About

RX Library Help for v 2.60

Check http://www.frasersoft.clara.net/rxhelp for updates.

Last updated: 11th November 1999


TSpeedItem.OnMouseDown

TSpeedItem

property OnMouseDown: TMouseEvent read GetOnMouseDown write SetOnMouseDown;


TDrawMenuItemEvent

Unit

RxMenus

TDrawMenuItemEvent ( Sender : TMenu ; Item : TMenuItem ; Rect : TRect ; State : TMenuOwnerDrawState )of object ;


TSpeedItem.ImageIndex

TSpeedItem

property ImageIndex: Integer read FImageIndex write SetImageIndex default - 1


TFilenameEdit.FileEditStyle

TFilenameEdit

property FileEditStyle: TFileEditStyle read GetFileEditStyle write SetFileEditStyle default fsEdit;


TGIFFrame.Corrupted

TGIFFrame

property Corrupted: Boolean read FCorrupted;


(Untitled)

TSharedImage Methods

TSharedImage By object Legend

FreeHandle

Reference

Release


TCustomDBComboBox.KeyPress

TCustomDBComboBox

procedure KeyPress ( var Key: Char );


TRxCustomRichEdit.OnTextNotFound

TRxCustomRichEdit

property OnTextNotFound: TRichEditFindErrorEvent read FOnTextNotFound write FOnTextNotFound;


TPropsStorage.OnReadString

TPropsStorage

property OnReadString: TReadStrEvent read FOnReadString write FOnReadString;


TRxLookupControl.ListLinkActiveChanged

TRxLookupControl

procedure ListLinkActiveChanged;


TConverter.DateTimeFormat

TConverter

The value of this property controls the format of date-and-time values when TConverter component converts date-time data to string and backward.

property DateTimeFormat: TDateTimeFormat;


TFileDirEdit.DisableSysErrors

TFileDirEdit

procedure DisableSysErrors;


AppUtils.FindForm

AppUtils

FindForm returns the windowed Delphi's form whose class is identified by the specified class name FormClass.

property function FindForm(FormClass: TFormClass): TForm;

Description

If FormClass is not the name of the class of an existing form, FindForm returns nil.

FindForm example:

begin

__F := FindForm(TMyForm);

__if F = nil then

____Application.CreateForm(TMyForm, F);

__with F do

__begin

____if WindowState = wsMinimized then WindowState := wsNormal;

____Show;

__end;

end;


TWinMinMaxInfo.MaxSizeHeight

TWinMinMaxInfo

The MaxSizeHeight propertiy specifies the maximized height of the form.

property MaxSizeHeight: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


TRxDBCalcEdit.OnDragOver

TRxDBCalcEdit

property OnDragOver;


TRxTimerList.Activate

TRxTimerList

Activate and Deactivate methods controls whether the timer's responds to timer events.

property procedure Activate;

Description

Call Activate to set the Active property for the timer list to True.


TRxLabel.ShowAccelChar

TRxLabel

property ShowAccelChar;


(Untitled)

TRxErrorDialog Properties

TRxErrorDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


(Untitled)

Hierarchy

TObject

|

Exception

|

EOleError


TRxMemoryData.InternalFirst

TRxMemoryData

procedure InternalFirst;


TDBLoginDialog.OnCheckUserEvent

TDBLoginDialog

property OnCheckUserEvent: TCheckUserNameEvent read FCheckUserEvent write FCheckUserEvent;


TColorComboBox.OnClick

TColorComboBox

property OnClick;


(Untitled)

TGIFFrame Methods

TGIFFrame By object Legend

Assign

AssignTo

Create

Destroy

Draw

GetNamePath

GrayscaleImage

LoadFromStream


TFontComboBox.Style

TFontComboBox

property Style;


TRxDBCalcEdit.Ctl3D

TRxDBCalcEdit

property Ctl3D;


DateUtil.MonthsBetween

DateUtil

Count months between Date1 and Date2.

property function MonthsBetween(Date1, Date2: TDateTime): Double;

Description

MonthsBetween example:

Res := MonthsBetween(Date1, Date2);


(Untitled)

TDirectoryListDialog Methods

TDirectoryListDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TDBLocate.RestoreIndex

TDBLocate

Restores TTable.IndexFieldNames property after calling SetIndex procedure.

property procedure RestoreIndex(Table: TTable);

Description

It's important to use SetIndex and RestoreIndex in conjunction.

> RestoreIndex example:

SetIndex(Table1, 'NAME');

try

__...

finally

__RestoreIndex(Table1);

end;


TComObjectFactory._AddRef

TComObjectFactory

function _AddRef: Integer;


TPageHistoryItem

Hierarchy

Unit

PageMngr


TCustomDateEdit.CheckOnExit

TCustomDateEdit

property CheckOnExit: Boolean read FCheckOnExit write FCheckOnExit default False;


TRxSpeedButton.UpdateTracking

TRxSpeedButton

procedure UpdateTracking;


TComboEdit.OnStartDrag

TComboEdit

property OnStartDrag;


TRxQueryThread.Execute

TRxQueryThread

procedure Execute;


TRxSpeedButton.ButtonClick

TRxSpeedButton

The ButtonClick method simulates a mouse click, as if the user had clicked the TRxSpeedButton.

property procedure ButtonClick;


TRxCustomLabel.RightMargin

TRxCustomLabel

property RightMargin: Integer read FRightMargin write SetRightMargin default 0


TGIFImage.SaveToClipboardFormat

TGIFImage

procedure SaveToClipboardFormat ( var AFormat: Word; var AData: THandle; var APalette: HPALETTE );


TMemoryTable.DoAfterClose

TMemoryTable

procedure DoAfterClose;


(Untitled)

TRxCustomListBox Properties

TRxCustomListBox By object Legend

Action

Align

Anchors

AutoScroll

BiDiMode

BorderStyle

BoundsRect

Brush

Canvas

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Columns

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

ExtendedSelect

Floating

FloatingDockSiteClass

GraySelection

Handle

Height

HelpContext

Hint

HostDockSite

IntegralHeight

ItemHeight

ItemIndex

Items

Left

LRDockWidth

MultiSelect

Name

Owner

Parent

ParentWindow

SelCount

Selected

ShowHint

Showing

Sorted

Style

TabOrder

TabStop

TabWidth

Tag

TBDockHeight

Top

TopIndex

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TSpeedItem.ParentShowHint

TSpeedItem

property ParentShowHint: Boolean read GetParentShowHint write SetParentShowHint default True;


TRxTrayIcon.Enabled

TRxTrayIcon

property Enabled: Boolean read FEnabled write FEnabled default True;


TPictureEditDialog.DecreaseColors

TPictureEditDialog

property DecreaseColors: Boolean read GetDecreaseColors;


(Untitled)

TIconFrame Properties

TIconFrame Alphabetically Legend

In TIconFrame

JiffRate

Seq


TFormStorage.SaveProperties

TFormStorage

procedure SaveProperties save the properties of the selected controls and form.

property procedure SaveProperties;


TRxCheckListBox.OnMouseDown

TRxCheckListBox

property OnMouseDown;


TDBListDataSet.RecordCount

TDBListDataSet

property RecordCount: Longint read GetRecordCount;


TRxSpeedButton.Anchors

TRxSpeedButton

property Anchors;


TFontComboBox.ParentColor

TFontComboBox

property ParentColor;


TRxDrawGrid.DrawMultiline

TRxDrawGrid

DrawMultiline draws a string inside the grid's cell specified by the ACol and ARow

parameters. The string will be written using the current value of Font property. Align

parameter specifies how text is aligned within the cell. Lines are automatically broken

between words if a word would extend past the edge of the cell's rectangle. You can use

this method in your custom OnDrawCell event handler.

property procedure DrawMultiline(ARect: TRect; const S: string; Align: TAlignment);


TRxSlider.DragMode

TRxSlider

property DragMode;


(Untitled)

TIconListProperty Methods

TIconListProperty Alphabetically Legend

In TIconListProperty

Edit

GetAttributes

GetValue

SetValue


TSpeedBar.OnMouseUp

TSpeedBar

property OnMouseUp;


TRxTimerList.ExecCount

TRxTimerList

Run-time and read only. Property stored number of occured times after execute Activate method of TRxTimerList. When Active property of TRxTimerList set in False then value of ExecCount is equal to zero.

property ExecCount: Integer;


TRxDice.Constraints

TRxDice

property Constraints;


TRxLookupControl.OnGetImage

TRxLookupControl

property OnGetImage: TGetImageEvent read FOnGetImage write FOnGetImage;


(Untitled)

DateUtil Methods

DateUtil Alphabetically Legend

In DateUtil

CutTime

DateDiff

DaysBetween

DaysInPeriod

DaysPerMonth

DefDateFormat

DefDateMask

FirstDayOfNextMonth

FirstDayOfPrevMonth

GetDateOrder

IncDate

IncDay

IncHour

IncMinute

IncMonth

IncMSec

IncSecond

IncTime

IncYear

IsLeapYear

LastDayOfPrevMonth

MonthsBetween

StrToDateDef

StrToDateFmt

StrToDateFmtDef

ValidDate


TVersionInfo.Destroy

TVersionInfo

destructor Destroy;


TVersionInfo.FixedFileInfo

TVersionInfo

This data structure contains a VSFixedFileInfo structure that specifies arbitrary data associated with this structure:

property FixedFileInfo: PVSFixedFileInfo;


(Untitled)

TRxCustomTrackBar Events


TDBSecurity.SelectAlias

TDBSecurity

property SelectAlias: Boolean read FSelectAlias write FSelectAlias default False;


TColorComboBox.ImeMode

TColorComboBox

property ImeMode;


TRxDBLookupCombo.TabStop

TRxDBLookupCombo

property TabStop;


TRxTimerEvent.Handle

TRxTimerEvent

property Handle: Longint read FHandle;


TPopupWindow.GetPopupText

TPopupWindow

function GetPopupText: string;


TRxSwitch.OnOff

TRxSwitch

This event is triggered when the the Switch is switched off..

property OnOff: TNotifyEvent;


(Untitled)

TDatabaseItems Methods

TDatabaseItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


EOleException

Hierarchy Properties Methods

Class of exceptions raise by procs and funcs included in this unit.

Unit

ComObj


(Untitled)

TRxImageControl Properties

TRxImageControl Alphabetically Legend

Derived from TGraphicControl

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TMRUManager.RemoveOnSelect

TMRUManager

RemoveOnSelect defines whether the most recently used entry is deleted when the entry is selected.

property RemoveOnSelect: Boolean;


TGIFItem

Hierarchy Properties Methods

Internal object child of TSharedImage object

Unit

RxGIF


TSpeedbarSection.List

TSpeedbarSection

property List: TList read FList;


TRxLookupEdit.BiDiMode

TRxLookupEdit

property BiDiMode;


(Untitled)

TStrEditDlg Events

TStrEditDlg Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TCurrencyEdit.ParentCtl3D

TCurrencyEdit

property ParentCtl3D;


(Untitled)

TChPswdForm Properties

TChPswdForm Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TLangDrivList

Hierarchy Properties Methods Events

Returns the list of language drivers installed in the BDE

Unit

DBLists


TRxDBRichEdit.PopupMenu

TRxDBRichEdit

property PopupMenu;


TSQLScript.SQL

TSQLScript

property SQL: TStrings read FSQL write SetQuery;


TFontComboBox.OnEnter

TFontComboBox

property OnEnter;


TRxLookupControl.DataField

TRxLookupControl

property DataField: string read FDataFieldName write SetDataFieldName;


TSpeedBar.ParentFont

TSpeedBar

property ParentFont default False;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TCollection


TRxDBCalcEdit.ClickKey

TRxDBCalcEdit

property ClickKey;


TDBDateEdit.Color

TDBDateEdit

property Color;


THookMessageEvent

THookMessageEvent is the type of the BeforeMessage and AfterMessage events of the TRxWindowHook component. The Handled parameter is only valid in the BeforeMessage event.

Unit

RxHook

procedure (Sender: TObject; var Msg: TMessage; var Handled: Boolean) of object;

Description

Hook events (after /before message).

You can read and set the message and tell the hooked control whether the message has been processed or not (Handled).


TSpeedBar.OnDragDrop

TSpeedBar

property OnDragDrop;


TRxDBComboEdit.ShowHint

TRxDBComboEdit

property ShowHint;


TDriverDesc

Hierarchy Properties Methods

Internal object to retrieve a Driver description.

Unit

DBLists


TSpeedBar.FindItem

TSpeedBar

FindItem tries to find item. If the function returns true, the Section and Index would be

filled with the appropriate IDs where exactly the item is.

property function FindItem(Item: TSpeedItem; var Section, Index: Integer): Boolean;


TRxSlider.Options

TRxSlider

These are the possible values that can be included in the Options set for the TRxSlider control:

property Options: TSliderOptions;

Description

soSmooth - determines whether the thumb are moved smooth or step-by-step when the user move mouse pointer;

soShowPoints - determines whether tick marks are displayed along the track.

soShowFocus - indicates whether TRxSlider should draw a focus rectangle around self when it has input focus.


TRxCheckListBox.Items

TRxCheckListBox

property Items stored False;


TIconList.EndUpdate

TIconList

procedure EndUpdate;


TRxGIFAnimator.DragCursor

TRxGIFAnimator

property DragCursor;


TAggregatedObject

Properties Methods

TAggregate object

Unit

ComObj


TLocateObject.LookupExact

TLocateObject

property LookupExact: Boolean read FLookupExact;


TRxCheckListBox.Enabled

TRxCheckListBox

property Enabled;


(Untitled)

TRxCalculatorForm Events

TRxCalculatorForm Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TFormRequestEvent

Unit

MrgMngr

TFormRequestEvent ( Sender : TObject ; CurrentForm : TCustomForm ; var NewForm : TCustomForm )of object ;


TAppEvents.Destroy

TAppEvents

destructor Destroy;


TRxDBLookupList.LookupDisplay

TRxDBLookupList

property LookupDisplay;


TComObjectFactory.CreateInstance

TComObjectFactory

function CreateInstance ( const UnkOuter: IUnknown; const IID: TGUID; out Obj ): HResult;


(Untitled)

TScreenCanvas Properties

TScreenCanvas Alphabetically Legend

In TScreenCanvas

Bits

Size

Derived from TCanvas

Brush

CanvasOrientation

ClipRect

CopyMode

Font

Handle

LockCount

Pen

PenPos

Pixels

TextFlags


TRxSwitch.OnEndDrag

TRxSwitch

property OnEndDrag;


TRxLookupEdit.PopupDropDown

TRxLookupEdit

procedure PopupDropDown ( DisableEdit: Boolean );


TRxCalcEdit.NumGlyphs

TRxCalcEdit

property NumGlyphs;


TUpdateCaption

The TUpdateCaption is the type for the UpdateCaption property of TDBSecurity component.

Unit

RxLogin

property TUpdateCaption = (ucNoChange, ucAppTitle, ucFormCaption);

Description

ValueMeaning

ucNoChange

ucAppTitle

ucFormCaption


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl


TGIFImage.MoveFrame

TGIFImage

procedure MoveFrame ( CurIndex , NewIndex: Integer );


(Untitled)

TAggregatedObject Methods

TAggregatedObject By object Legend

_AddRef

_Release

Create

QueryInterface


TCheckTitleBtnEvent

TCheckTitleBtnEvent is the type of the OnCheckButton event of the TRxDBGrid component.

Unit

RXDBCtrl

TCheckTitleBtnEvent = procedure (Sender: TObject; ACol: Longint; Field: TField; var Enabled: Boolean) of object;


TRxDBGrid.Options

TRxDBGrid

property Options: TDBGridOptions read GetOptions write SetOptions default DefRxGridOptions;


TRxSwitch.DragCursor

TRxSwitch

property DragCursor;


TGIFImage.Create

TGIFImage

constructor Create;


TRxCustomRichEdit.AllowInPlace

TRxCustomRichEdit

property AllowInPlace: Boolean read FAllowInPlace write FAllowInPlace default True;


VCLUtils.WidthOf

VCLUtils

Retrieves the horizontal size (width) of the specified rectangle R in pixels.

property function WidthOf(R: TRect): Integer;

Description

WidthOf example:

W := WidthOf(Rect);


(Untitled)

TObjectStrings Methods

TObjectStrings By object Legend

Add

AddObject

AddStrings

Append

Assign

BeginUpdate

Clear

CustomSort

Delete

Destroy

DestroyObject

EndUpdate

Equals

Exchange

Find

GetNamePath

GetText

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

ParseStrings

PutObject

Remove

SaveToFile

SaveToStream

SetText

Sort

SortList


TRxClock.AlarmMinute

TRxClock

This property defines the time (with the AlarmHour and AlarmSecond properties) to be used as alarm time checks by the TRxClock component.

When computer's time is equal to the time specified by these properties, and AlarmEnabled is True, the OnAlarm event is occured.

property AlarmMinute: Byte Index 2 read GetAlarmElement write SetAlarmElement default 0;


TRxDBComboEdit.Change

TRxDBComboEdit

procedure Change;


TRxCheckListBox.GetCheckWidth

TRxCheckListBox

function GetCheckWidth: Integer;


TBits.Bits

TBits

property Bits [ Index: Integer ]: Boolean read GetBit write SetBit;


TRxLookupEdit.ParentColor

TRxLookupEdit

property ParentColor;


TMRUManager.Add

TMRUManager

Adds an entry RecentName to the MRU list and UserData.

property procedure Add(const RecentName: string; UserData: Longint);

Description

UserData can be anything (a longint or a pointer casted into a longint).


(Untitled)

TTableList Events

TTableList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TComObjectFactory.ComServer

TComObjectFactory

property ComServer: TComServerObject read FComServer;


(Untitled)

TCustomClipboardViewer Properties

TCustomClipboardViewer By object Legend

Action

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderStyle

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ClipboardFormatNames

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DockSite

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HorzScrollBar

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

VertScrollBar

ViewFormat

Visible

VisibleDockClientCount

Width

WindowProc


TFontComboBox.Click

TFontComboBox

procedure Click;


TCurrencyEdit.DefaultDisplayFormat

TCurrencyEdit

function DefaultDisplayFormat: string;


TCustomComboEdit.SetPopupValue

TCustomComboEdit

procedure SetPopupValue ( const Value: Variant );


TRxSwitch.DoOff

TRxSwitch

procedure DoOff;


TDBLocate.CurrentRecordDeleted

TDBLocate

Determines if the current record of DataSet is deleted.

property function CurrentRecordDeleted(DataSet: TBDEDataSet): Boolean;

Description

Applicable only when soft delete is supported (dBASE and FoxPro only) and soft deletes is set to True by calling DatSetShowDeleted procedure.

CurrentRecordDeleted example:

if CurrentRecordDeleted(Table1) then

begin

__\\\\\\\ undelete record \\\\\\\

end;


TPicClip.Masked

TPicClip

Masked specifies whether the background of the "cell picture" obscures objects below the image object when the image is drawn by the Draw method. Default value is True.

property Masked: Boolean;

Description

Set Masked to True to allow objects behind the TPicClip object to show through the background of the bitmap. Set Masked to False to make the background of the "cell picture" opaque.


(Untitled)

TStrEditDlg Methods

TStrEditDlg Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCurrencyEdit.OnStartDrag

TCurrencyEdit

property OnStartDrag;


TRxLookupEdit.ButtonHint

TRxLookupEdit

property ButtonHint;


TOleController

Hierarchy Properties Methods

This class allows you accesses OLE Automation objects.

Unit

Ole2Auto

Description

OLE Automation controllers are clients that use the OLE IDispatch interface to access the OLE server objects that implement this interface. The controller must first create the object by calling the CreateObject method, then call the object's interface methods by using the CallFunction, CallFunctionNamedParams, CallProcedure, CallProcedureNamedParams etc methods.

In 32-bit Delphi versions you can use internal Delphi OLE Automation controller instead, but Delphi controller not supports the object's interface methods that named with '$' symbols, i.e. "GetText$" (in Word Basic). This class allows you call such methods still.


TRxDBFilter.SetCapture

TRxDBFilter

You can use same data-aware controls (i.e. TDBEdit, TDBCheckBox etc) to display and edit dataset's records and to enter filter's selection criteria.

property procedure SetCapture;

Description

Use SetCapture, ReleaseCapture and ReadCaptureControls methods to enable end-users to enter selection criteria into data-aware controls at run-time. SetCapture method "captures" data-aware controls linked to a same datasource as TRxDBFilter component and allows user to enter data into these controls as selection criteria (without change the state of a dataset). You can use entered data by calling ReadCaptureControls method. After entering and reading selection criteria you must return data-aware controls to its normal state by calling ReleaseCapture method. Calling SetCapture triggers the OnSetCapture event handler if one is defined for the TRxDBFilter component.


TDBStatusLabel.Align

TDBStatusLabel

property Align;


TRxDBLookupCombo.KeyDown

TRxDBLookupCombo

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxCalculatorForm.DisplayChange

TRxCalculatorForm

procedure DisplayChange ( Sender: TObject );


TFilenameEdit.DragKind

TFilenameEdit

property DragKind;


TMemoryRecord

Hierarchy Properties Methods

Internal object used to store a record in the memory table.

Unit

RxMemDS


DateUtil.FirstDayOfPrevMonth

DateUtil

Returns the first day of the previous month relative to the current system date.

property function FirstDayOfPrevMonth: TDateTime;

Description

FirstDayOfPrevMonth example:

First := FirstDayOfPrevMonth;


TPageManager.Destroy

TPageManager

destructor Destroy;


TDBProgress.Destroy

TDBProgress

destructor Destroy;


(Untitled)

MaxMin Methods

MaxMin By object Legend

Max

MaxFloat

MaxInteger

MaxOf

Min

MinFloat

MinInteger

MinOf

SwapInt

SwapLong


StrUtils

Methods

Miscellaneous string utility functions.

Unit

StrUtils


TRxDBComboBox.Enabled

TRxDBComboBox

property Enabled;


TCustomDBComboBox.DropDown

TCustomDBComboBox

procedure DropDown;


(Untitled)

TRxCalculator Methods

TRxCalculator Alphabetically Legend

In TRxCalculator

CalcKey

Change

Create

Destroy

DisplayChange

Execute

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TConverter.GetAsString

TConverter

function GetAsString: string;


(Untitled)

TDateTimeFormat Properties

TDateTimeFormat By object Legend

AMString

DateMask

DateOrder

DateSeparator

FourDigitYear

LeadingZero

LongDate

Mask

PMString

TimeFormat

TimeMask

TimeSeparator


TTextListBox.Constraints

TTextListBox

property Constraints;


(Untitled)

TSortCollection Methods

TSortCollection Alphabetically Legend

In TSortCollection

QuickSort

Sort

Derived from TCollection

Add

Assign

BeginUpdate

Clear

Create

Delete

Destroy

EndUpdate

FindItemID

GetNamePath

Insert

Derived from TPersistent


TCheckKind

The TCheckKind type lists the values the CheckKind property of the check list box (TRxCheckListBox) can assume.

Unit

RXCtrls

property TCheckKind = (ckCheckBoxes, ckRadioButtons, ckCheckMarks);

Description

ValueMeaning

ckCheckBoxes

ckRadioButtons

ckCheckMarks


TRxSlider.OnChanged

TRxSlider

property OnChanged;


TFontComboBox.OnDblClick

TFontComboBox

property OnDblClick;


TReadStrEvent

Unit

RXProps

TReadStrEvent ( const ASection , Item , Default : string ): string of object ;


TRxDBRichEdit.UpdateMemo

TRxDBRichEdit

procedure UpdateMemo;


TRxDBComboEdit.Ctl3D

TRxDBComboEdit

property Ctl3D;


(Untitled)

TDBIndexCombo Properties

TDBIndexCombo By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataSource

DesignInfo

DispalyMode

DisplayMode

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DropDownCount

DroppedDown

Enabled

EnableNoIndex

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

ItemHeight

ItemIndex

Items

Left

LRDockWidth

Name

NoIndexItem

Owner

Parent

ParentBiDiMode

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

SelLength

SelStart

SelText

ShowHint

Showing

Sorted

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxTrayIcon.IconExtract

TRxTrayIcon

The IconExtract function creates the TIcon object from the given executable file, dynamic-link library (DLL), or icon file.

property function IconExtract(const FileName: string; Id: Integer): TIcon;

Description

The FileName parameter specifies the name of an executable file, DLL, or icon file. The ID parameter specifies the index of the icon to retrieve. If this value is 0, the function returns the handle of the first icon in the specified file. If the function succeeds, the return value is the pointer to the Icon-object. After using the icon you must destroy it by Free method.

IconExtract example:

var

__Ico: TIcon;

begin

__Ico := IconExtract('PROGMAN.EXE', 0);

__try

____\\\\\\\ use icon \\\\\\\

__finally

____Ico.Free;

__end;

end;


TFilenameEdit.GetShortName

TFilenameEdit

function GetShortName: string;


(Untitled)

TFormPropsDlg Properties

TFormPropsDlg Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBStatusLabel.OnGetDataName

TDBStatusLabel

OnGetDateName event is triggered when the OnGetDataName is called.

property OnGetDataName: TGetStringEvent;


TDateEdit.DirectInput

TDateEdit

If the value stored in this variable is true, then the date is directly validated.

property DirectInput : boolean


TRxCustomSlider.Increment

TRxCustomSlider

property Increment: Longint read FIncrement write SetIncrement default 10;


TCustomDatabaseItems.ItemName

TCustomDatabaseItems

property ItemName: string read GetItemName;


TRxDBLookupList.RowCount

TRxDBLookupList

Set RowCount to the number of rows displayed in the lookup list box.

property RowCount: Integer;

Description

The list box is resized to match the specified number of rows. Resizing the list box (such as by changing its Height property) automatically changes the value of RowCount to match the new height.


TIconList.AddResource

TIconList

The AddResource method loads an icon resource by ResID identifier and adds its to the list of icons.

property function AddResource(Instance: THandle; ResId: PChar): Integer; virtual;

Description

AddResource returns the index of the added icon.


TRxDBGrid.IndicatorOffset

TRxDBGrid

property IndicatorOffset: Byte read GetIndicatorOffset;


TNotifyIconData

Internal use

Unit

RXShell

TNotifyIconData record

cbSize:Longint;

Wnd:Longint;

uID:Longint;

uFlags:Longint;

uCallbackMessage:Longint;

hIcon:Longint;

szTip:array[0.63ofChar;

end;


StrUtils.CompStr

StrUtils

CompStr compares S1 to S2, with case-sensitivity.

property function CompStr(const S1, S2: string): Integer;

Description

The return value is -1 if S1 < S2, 0 if S1 = S2, or 1 if S1 > S2.

CompStr example:

var I: Integer;

begin

__I := CompStr(S1, S2);

__if I = 0 then

__begin

____\\\\\\\ S1 = S2 \\\\\\\

__end else

____if I < 0 then

____begin

______\\\\\\\ S1 < S2 \\\\\\\

____end else begin

______\\\\\\\ S1 > S2 \\\\\\\

__end;

end;


(Untitled)

TNotifyThread Events

TNotifyThread By object Legend

OnChange

OnTerminate


TRxSpeedButton.MouseUp

TRxSpeedButton

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TRxSpinButton Methods

TRxSpinButton By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

Notification

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TStrEditDlg

Hierarchy Properties Methods Events

Unit

StrLEdit


TFileDirEdit.ClearFileList

TFileDirEdit

procedure ClearFileList;


TPageManager.OnHide

TPageManager Example

OnHide event is triggered when a hidden page is triggered or accessed.

property OnHide: TPageNotifyEvent;


(Untitled)

EOleError Properties

EOleError Alphabetically Legend

Derived from Exception

HelpContext

Message


TRxRichEdit.PopupMenu

TRxRichEdit

property PopupMenu;


RXMemory.SetFieldValues

RXMemory

SetFieldValues enables you to perform updates on entire in-memory table.

procedure SetFieldValues(const FieldNames: array of string; const Values: array of const);

Description

This method sets all fields passed in the FieldNames parameter to the new field values passed in the Values parameter. The assignment of the elements of Values to fields in the FielsNames is sequential; the first element is assigned to the first field, the second to the second, etc.


(Untitled)

TTableList Properties

TTableList Alphabetically Legend

In TTableList

ExtendedInfo

FileMask

SystemItems

Derived from TCustomDatabaseItems

ItemName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TAutoObject.GetTypeInfo

TAutoObject

function GetTypeInfo ( Index , LocaleID: Integer; out TypeInfo ): HResult;


TRichEditFindErrorEvent

Unit

RxRichEd

TRichEditFindErrorEvent ( Sender : TObject ; const FindText : string )of object ;


TComObject.Destroy

TComObject

destructor Destroy;


TRxDBComboEdit.Destroy

TRxDBComboEdit

destructor Destroy;


TAppEvents.OnDeactivate

TAppEvents

OnDeactivate is triggered when the form is deactivated.

Method DoDeactivate(Sender: TObject);


TEditButton.MouseDown

TEditButton

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TDateEdit.PopupAlign

TDateEdit

property PopupAlign;


TComObjectFactory.CreateComObject

TComObjectFactory

function CreateComObject ( const Controller: IUnknown ): TComObject;


TRxRemoteLogin.Active

TRxRemoteLogin

property Active;


TRxSpinButton.DownGlyph

TRxSpinButton

property DownGlyph: TBitmap read GetDownGlyph write SetDownGlyph;


TMemoryTable.InternalDelete

TMemoryTable

procedure InternalDelete;


TDBIndexCombo.OnEnter

TDBIndexCombo

property OnEnter;


(Untitled)

TDualListDialog Methods

TDualListDialog Alphabetically Legend

In TDualListDialog

Create

Destroy

Execute

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TPageHistory.AddPageIndex

TPageHistory

procedure AddPageIndex ( PageIndex: Integer );


TSpeedBar.DragMode

TSpeedBar

property DragMode;


TRxClock.Constraints

TRxClock

property Constraints;


(Untitled)

TRxDrawGrid Events

TRxDrawGrid By object Legend

OnAcceptEditKey

OnCancelEdit

OnChangeFocus

OnCheckButton

OnClick

OnColumnMoved

OnColumnSized

OnContextPopup

OnDblClick

OnDragDrop

OnDragOver

OnDrawCell

OnEditButtonClick

OnEditChange

OnEndDock

OnEndDrag

OnEnter

OnExit

OnFixedCellClick

OnGetEditAlign

OnGetEditLimit

OnGetEditMask

OnGetEditStyle

OnGetEditText

OnGetPicklist

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnRowMoved

OnRowSized

OnSelectCell

OnSetEditText

OnShowEditor

OnStartDock

OnStartDrag

OnTopLeftChanged


(Untitled)

TRxCalcEdit Methods

TRxCalcEdit Alphabetically Legend

Derived from TRxCustomCalcEdit

Create

Derived from TCustomNumEdit

Clear

Destroy

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


EOleSysError

Hierarchy Properties Methods

Class of exceptions raise by procs and funcs included in this unit.

Unit

ComObj


TFilenameEdit.Font

TFilenameEdit

property Font;


TPopupDataWindow.Create

TPopupDataWindow

constructor Create ( AOwner: TComponent );


VCLUtils.HugeInc

VCLUtils

Increment a huge pointer.

property procedure HugeInc(var HugePtr: Pointer; Amount: Longint);

Description

HugeInc example:

var

__P: Pointer;

__L: Longint;

__\\\\\\\...\\\\\\\

__HugeInc(P, L);

__\\\\\\\...\\\\\\\


TDateEdit.DragKind

TDateEdit

property DragKind;


TSpeedbarSection.SpeedBar

TSpeedbarSection

property SpeedBar: TSpeedBar read FParent write SetSpeedbar stored False;


TRxCaptionList.RestoreDefaults

TRxCaptionList

procedure RestoreDefaults;


TRxGradientCaption.IsRightToLeft

TRxGradientCaption

function IsRightToLeft: Boolean;


TRxClock.AlarmEnabled

TRxClock

This property determines whether the alarm should be activated (trigger) or not.

property AlarmEnabled: Boolean read FAlarmEnabled write FAlarmEnabled default False;


TOleController.AssignIDispatch

TOleController

property procedure AssignIDispatch(V: Variant); virtual;


(Untitled)

TDBStatusLabel Events

TDBStatusLabel Alphabetically Legend

In TDBStatusLabel

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnGetDataName

OnGetRecNo

OnGetRecordCount

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TControl


TRxMemoryData.GetIsIndexField

TRxMemoryData

function GetIsIndexField ( Field: TField ): Boolean;


TFileDirEdit.DestroyWindowHandle

TFileDirEdit

procedure DestroyWindowHandle;


TStrHolder.String

TStrHolder

Property String is the main container to store the strings. See also: your Borland Help, TStringList

String : tStringList


TCustomDBComboBox.ComboText

TCustomDBComboBox

property ComboText: string read GetComboText write SetComboText;


THintProperty

Hierarchy Methods

Unit

HintProp


(Untitled)

EOleError Methods

EOleError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxDBLookupCombo.ResetField

TRxDBLookupCombo

ResetField method sets the Value property to the EmptyValue and the DisplayValue to the DisplayEmpty.

property procedure ResetField;


TRxDBCalcEdit.MaxLength

TRxDBCalcEdit

property MaxLength;


TRxLookupEdit.OnEnter

TRxLookupEdit

property OnEnter;


TProxyEditor.OwnerForm

TProxyEditor

property OwnerForm: TCustomForm read GetForm;


TRxDrawGrid.DrawStr

TRxDrawGrid

procedure DrawStr(ARect: TRect; const S: string; Align: TAlignment);

DrawStr draws a string inside the grid's cell specified by the ACol and ARow

parameters. The string will be written using the current value of Font property. Align

parameter specifies how text is aligned within the cell. DrawStr displays text on a single

line only. To display multiline text in a grid's cell use DrawMultiline method.You can use

this method in your custom OnDrawCell event handler.

property


TSelectDataSetForm

Hierarchy Properties Methods Events

Unit

SelDSFrm


TRxLookupEdit.CharCase

TRxLookupEdit

property CharCase;


TCustomDateEdit.DefaultToday

TCustomDateEdit

property DefaultToday: Boolean read FDefaultToday write FDefaultToday default False;


TRxCalcEdit.Font

TRxCalcEdit

property Font;


(Untitled)

TRxSplitter Methods

TRxSplitter Alphabetically Legend

In TRxSplitter

Changed

Changing

Create

DefineProperties

Loaded

MouseDown

MouseMove

MouseUp

Notification

UpdateState

Derived from TCustomPanel

GetControlsAlignment

Derived from TCustomControl

Destroy

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomDateEdit.Date

TCustomDateEdit

property Date: TDateTime read GetDate write SetDate;


TRxCustomLabel.FocusControl

TRxCustomLabel

property FocusControl: TWinControl read FFocusControl write SetFocusControl;


TDBLocate.CheckFieldType

TDBLocate

procedure CheckFieldType ( Field: TField );


TSQLScript.DatabaseName

TSQLScript

property DatabaseName: string read GetDatabaseName write SetDatabaseName;


TSpeedItem.CheckBtnMenuDropDown

TSpeedItem

function CheckBtnMenuDropDown: Boolean;


TRxCalcEdit.CheckOnExit

TRxCalcEdit

property CheckOnExit;


TRxSlider.ImageVThumb

TRxSlider

This is the the bitmap for the knob on the vertical slider

property ImageVThumb: TBitmap;


TOleController.CreateLCID

TOleController

Sets language code.

property function CreateLCID(PrimaryLangID, SubLangID: Word): TLCID;

Description

CreateLCID example:

Next code fragment sets the language code for English:

OleController.Locale := CreateLCID(LANG_ENGLISH, SUBLANG_DEFAULT);


TRxRichEdit.OnChange

TRxRichEdit

property OnChange;


TConverter.Destroy

TConverter

destructor Destroy;


TComboEdit.BiDiMode

TComboEdit

property BiDiMode;


TMemBlobStream.Truncate

TMemBlobStream

procedure Truncate;


(Untitled)

TGIFFrame Events

TGIFFrame Alphabetically Legend

In TGIFFrame

OnProgress


StrUtils.Hex2Dec

StrUtils

Hex2Dec converts the given hexadecimal string to the corresponding integer value.

property function Hex2Dec(const S: string): Longint;

Description

Hex2Dec example:

I := Hex2Dec('1A');

\\\\\\\ here I = 26 \\\\\\\


TRxSwitch.Color

TRxSwitch

property Color;


(Untitled)

TMetafileCanvas Properties

TMetafileCanvas By object Legend

Brush

CanvasOrientation

ClipRect

CopyMode

Font

Handle

LockCount

Metafile

Pen

PenPos

Pixels

TextFlags


TCheckUserNameEvent

Unit

LoginDlg

TCheckUserNameEvent ( UsersTable : TTable ; const UserName , Password : string ): Boolean of object ;


(Untitled)

TTextListBox Events

TTextListBox By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag


TRxCustomRichEdit.OnResizeRequest

TRxCustomRichEdit

property OnResizeRequest: TRichEditResizeEvent read FOnResizeRequest write FOnResizeRequest;


TGIFImage.FrameIndex

TGIFImage

This property contains the current frame being displayed.

property FrameIndex: Integer;

Description

When this property is changed, it would change the frame being displayed on the canvas.


TRxSwitch.DragKind

TRxSwitch

property DragKind;


TRxMainMenu.Create

TRxMainMenu

constructor Create(AOwner: TComponent); override;


TFontComboBox.ParentFont

TFontComboBox

property ParentFont;


(Untitled)

TAutoIntfObject Properties

TAutoIntfObject Alphabetically Legend

In TAutoIntfObject

DispIID

DispIntfEntry

DispTypeInfo

Derived from TInterfacedObject

RefCount


TRxDBComboEdit.DataField

TRxDBComboEdit

property DataField: string read GetDataField write SetDataField;


TRxCalculator.Change

TRxCalculator

procedure Change;


TPageManager.OnCheckButtons

TPageManager

OnCheckButtons

property OnCheckButtons: TNotifyEvent;


TFontComboBox.OnDragDrop

TFontComboBox

property OnDragDrop;


StrUtils.DelRSpace

StrUtils

DelRSpace trims leading and trailing spaces from the given string.

property function DelRSpace(const S: string): string;

Description

DelRSpace example:

var S: string;

begin

__S := ' Let It Be ';

__S := DelSpace(S);

__ShowMessage(S); \\\\\\\ here S = 'Let It Be' \\\\\\\

end;


TRxCustomSlider.ImageHThumb

TRxCustomSlider

property ImageHThumb: TBitmap index Ord ( siHThumb ) read GetImage write SetImage stored StoreImage;


TSpeedItem.InvalidateItem

TSpeedItem

procedure InvalidateItem;


TAutoIntfObject.GetTypeInfo

TAutoIntfObject

function GetTypeInfo ( Index , LocaleID: Integer; out TypeInfo ): HResult;


TAnimatedImage.Opaque

TAnimatedImage

Opaque specifies whether the background of the image obscures objects below the animated image object.

property Opaque: Boolean;

Description

Set Opaque to False to allow objects behind the TAnimatedImage object to show through the background of the bitmap.

Set Opaque to True to make the background of the bitmap opaque. Opaque has no effect unless the TransparentColor property not equal to clNone.


TSecretPanel.ScrollDirection

TSecretPanel

property ScrollDirection: TScrollDirection read FDirection write SetDirection default sdVertical;


(Untitled)

TRxPopupMenu Events

TRxPopupMenu Alphabetically Legend

In TRxPopupMenu

OnDrawItem

OnDrawMargin

OnGetImageIndex

OnGetItemParams

OnMeasureItem

Derived from TPopupMenu

OnChange

OnPopup


TRxDBCalcEdit.Reset

TRxDBCalcEdit

procedure Reset;


TGIFData

Hierarchy Properties Methods

Internal object

Unit

RxGIF


TRxDBComboEdit.ButtonWidth

TRxDBComboEdit

property ButtonWidth;


DateUtil.IncSecond

DateUtil

IncSecond changes the time of day ATime by Delta number of seconds.

property function IncSecond(ATime: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncSecond example:

var T1, T2: TDateTime;

S: string;

begin

ShortTimeFormat := 'HH:MM:SS';

T1 := StrToTime('00:00:00');

T2 := IncSecond(T1, -10);

S := TimeToStr(T2);

end;


TRichStreamMode

Unit

RxRichEd

Description

ValueMeaning

smSelection

smPlainRtf

smNoObjects

smUnicode


TSpeedBar.AfterCustomize

TSpeedBar

procedure AfterCustomize;


TRxLookupEdit.PopupMenu

TRxLookupEdit

property PopupMenu;


TRxCaption.TextWidth

TRxCaption

property TextWidth: Integer read GetTextWidth;


TMemoryTable.BatchMove

TMemoryTable

function BatchMove ( ASource: TDataSet; AMode: TBatchMode; ARecordCount: Longint ): Longint;


TCurrencyEdit.DisplayText

TCurrencyEdit

Run-time and read-only.

The string value for the field when it is displayed in the TCurrencyEdit or in the TRxCalcEdit control that is not in edit mode (have not focus).

property DisplayText: string;

Description

NOTE. The Text property always returns unformatted string.


TRxProjectResExpert.GetAuthor

TRxProjectResExpert

function GetAuthor: string;


TDirectoryEdit.DialogKind

TDirectoryEdit

Use this property to select between standard dialog types:

• dkVCL - standard Delphi VCL dialog (using SelectDirectory standard function);

• dkWin32 - standard Windows "Browse For Folder" dialog, used only in Windows95 or

NT 4.x or higher. In NT 3.51 standard Delphi VCL dialog will be used regardless this

property value.

NOTE. When you set DialogKind to dkWin32 value, the DialogOptions property will be

ignored.

property DialogKind: TDirDialogKind;


TCustomNumEdit.Destroy

TCustomNumEdit

destructor Destroy;


TClipboardViewer.OnChange

TClipboardViewer

OnChange occurs whenever the contents of the clipboard may have changed.

Write an OnChange event handler to take specific action whenever the contents of the

clipboard may have changed. For example, you can specify appropriate display format

of TClipboardViewer component (ViewFormat property) in this event handler.

property OnChange: TNotifyEvent;


TNotifyThread.DoChange

TNotifyThread

procedure DoChange;


TPanelDrawEvent

Unit

RXCtrls

TPanelDrawEvent ( Sender : TObject ; Canvas : TCanvas ; Rect : TRect )of object ;


TRxCalculator.Ctl3D

TRxCalculator

property Ctl3D: Boolean read FCtl3D write FCtl3D default True;


TRxDice.OnKeyPress

TRxDice

property OnKeyPress;


TNotifyThread.Terminate

TNotifyThread

procedure Terminate;


TRxClock.Anchors

TRxClock

property Anchors;


TDualListDialog.HelpBtnCaption

TDualListDialog

HelpBtnCaption sets the caption of the Help Button.

property HelpBtnCaption: TCaption;


TRxSwitch.Cursor

TRxSwitch

property Cursor;


TAutoIntfObject.Invoke

TAutoIntfObject

function Invoke ( DispID: Integer; const IID: TGUID; LocaleID: Integer; Flags: Word; var Params; VarResult , ExcepInfo , ArgErr: Pointer ): HResult;


(Untitled)

TRxPopupMenu Methods

TRxPopupMenu By object Legend

Assign

BeforeDestruction

Create

DefaultDrawItem

DefaultDrawMargin

Destroy

DestroyComponents

Destroying

DispatchCommand

DispatchPopup

DrawItem

DrawMargin

ExecuteAction

FindComponent

FindItem

FreeNotification

FreeOnRelease

GetHelpContext

GetImageIndex

GetItemParams

GetNamePath

GetParentComponent

HasParent

InsertComponent

IsOwnerDrawMenu

IsRightToLeft

IsShortCut

Loaded

MeasureItem

Notification

ParentBiDiModeChanged

Popup

ProcessMenuChar

Refresh

RefreshMenu

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

UseRightToLeftAlignment


TRxDBGrid.OnGetCellProps

TRxDBGrid

Obsolete event (for backward compatibility only). Use OnGetCellParams instead.

property OnGetCellProps: TGetCellPropsEvent read FOnGetCellProps write FOnGetCellProps;


TRxDBGrid.TopLeftChanged

TRxDBGrid

procedure TopLeftChanged;


(Untitled)

TStrHolder Properties

TStrHolder Alphabetically Legend

In TStrHolder

Capacity

CommaText

Duplicates

KeyString

Sorted

String

Strings

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRemoteLogin.AfterLogin

TRxRemoteLogin

property AfterLogin;


(Untitled)

TRxCheckListBox Properties

TRxCheckListBox By object Legend

Action

Align

AllowGrayed

Anchors

AutoScroll

BiDiMode

BorderStyle

BoundsRect

Brush

Canvas

Checked

CheckedIndex

CheckKind

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

Columns

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

EnabledItem

ExtendedSelect

Floating

FloatingDockSiteClass

Font

GraySelection

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

IniStorage

IntegralHeight

ItemHeight

ItemIndex

Items

Left

LRDockWidth

MultiSelect

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

SelCount

Selected

ShowHint

Showing

Sorted

State

Style

TabOrder

TabStop

TabWidth

Tag

TBDockHeight

Top

TopIndex

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxDBCalcEdit.OnStartDock

TRxDBCalcEdit

property OnStartDock;


TAnimatedImage.Color

TAnimatedImage

property Color;


TRxMemoryData.InternalOpen

TRxMemoryData

procedure InternalOpen;


TAppEvents.Chained

TAppEvents

The Chained property indicates whether this component should replace any other TAppEvents event handlers of the same type.

property Chained: Boolean;

Description

When Chained is False, the specified event handler replaces any previously registered by TAppEvents objects event handlers of the same type. When Chained is True, the corresponding event handler is called in addition to other registered events (by other TAppEvents objects).


TRxCalcEdit.MinValue

TRxCalcEdit

property MinValue;


TComServerObject.CountFactory

TComServerObject

function CountFactory ( Created: Boolean ): Integer;


TRxDBFilter.Loaded

TRxDBFilter

procedure Loaded;


TRxDice.OnDragOver

TRxDice

property OnDragOver;


TCustomDBComboBox.GetPaintText

TCustomDBComboBox

function GetPaintText: string;


TAnimatedCursorImage

Hierarchy Properties Methods

The TAnimatedCursorImage object encapsulates the data loaded from a Windows animated cursor (.ANI) file.

Unit

AniFile

Description

(An ANI file is a file that contains a list of icons that animate during run-time)

To load an ANI cursor image from a file, call the LoadFromFile method. To retrieve a single image as an icon by its index from the list after loading, use the Icons and IconCount properties.

You can also assign the images from the animated cursors to the bitmap that consists of a series of frames arranged one after other by using the AssignToBitmap method.

To extract the copyright information, utilise the property Creator and the title property to obtain the description of what the ANI file is about. To control the speed of the rate of animation, use the default rate property. If your background is of some other colour or you would like your ANI file to be background transparent, use the original colours property to tweak the background colour.

See also:

RX Animate (TAnimatedImage) and RX Gif Animator (TRxGIFAnimator).


TRxDBLookupCombo.OnStartDock

TRxDBLookupCombo

property OnStartDock;


TDateEdit.BiDiMode

TDateEdit

property BiDiMode;


TDateEdit.Font

TDateEdit

property Font;


TPicClip.Count

TPicClip

Gives number of cells in the matrix - effectively Cols*Rows.

Count: Integer

Description

If the matrix is empty, return 0.


(Untitled)

TDriverDesc Methods

TDriverDesc By object Legend

Create


TRxDBLookupCombo.OnKeyPress

TRxDBLookupCombo

property OnKeyPress;


TSecretPanel.GlyphLayout

TSecretPanel

GlyphLayout property sets the position of the Glyph.

property GlyphLayout: TGlyphLayout;


TRxCustomLogin.CheckUnlock

TRxCustomLogin

function CheckUnlock ( const Password: string ): Boolean;


TComObjectFactory.ErrorIID

TComObjectFactory

property ErrorIID: TGUID read FErrorIID write FErrorIID;


TDBSecurity.AfterLogin

TDBSecurity

After the user login, AfterLogin event is triggered.

property AfterLogin: TNotifyEvent read FAfterLogin write FAfterLogin;


TSpeedBar.Images

TSpeedBar

property Images: TImageList read FImages write SetImages;


TRxSpeedButton.WordWrap

TRxSpeedButton

property WordWrap: Boolean read GetWordWrap write SetWordWrap default False;


(Untitled)

TRxWindowHook Methods

TRxWindowHook By object Legend

Assign

BeforeDestruction

Create

DefineProperties

Destroy

DestroyComponents

Destroying

DoAfterMessage

DoBeforeMessage

ExecuteAction

FindComponent

FindVirtualMethodIndex

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

GetVirtualMethodAddress

HasParent

HookControl

InsertComponent

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

SetVirtualMethodAddress

UnhookControl

UpdateAction


DateUtil.IsLeapYear

DateUtil

IsLeapYear returns True if the specified year AYear is a leap year.

property function IsLeapYear(AYear: Integer): Boolean;

Description

IsLeapYear example:

var

__Leap: Boolean;

begin

__Leap := IsLeapYear(1995);

__\\\\\\\ here Leap = False \\\\\\\

end;


TRxCalcEdit.MaxLength

TRxCalcEdit

property MaxLength;


TRxDBRichEdit.OnStartDock

TRxDBRichEdit

property OnStartDock;


(Untitled)

TPageManager Methods

TPageManager By object Legend

Assign

BeforeDestruction

ChangePage

CheckBtnEnabled

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetChildren

GetNamePath

GetNextPageIndex

GetParentComponent

GetPriorPageIndex

GetUniqueName

GotoHistoryPage

HasParent

InsertComponent

Loaded

NextPage

Notification

PriorPage

RemoveComponent

RemoveFreeNotification

Resync

SafeCallException

SetPage

UpdateAction

WriteComponents


TRxDBGrid.EditChanged

TRxDBGrid

procedure EditChanged ( Sender: TObject );


TDBStatusLabel.OnStartDock

TDBStatusLabel

property OnStartDock;


TRxTimer.Create

TRxTimer

constructor Create ( AOwner: TComponent );


TReadObjectEvent

TReadObjectEvent is the type of the OnReadObject event of the TRxIniFile class.

Unit

RXIni

TReadObjectEvent = function(Sender: TObject; const Section, Item, Value: string): TObject of object;


(Untitled)

TFontComboBox Methods

TFontComboBox Alphabetically Legend

In TFontComboBox

Change

Click

Create

CreateWnd

Destroy

DoChange

DrawItem

MinItemHeight

PopulateList

Derived from TOwnerDrawComboBox

Derived from TCustomComboBox

Clear

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSpeedButton.Loaded

TRxSpeedButton

procedure Loaded;


TDBIndexCombo.OnKeyPress

TDBIndexCombo

property OnKeyPress;


TParserFunc

Internal.

Unit

Parsing

Description

ValueMeaning

pfArcTan

pfCos

pfSin

pfTan

pfAbs

pfExp

pfLn

pfLog

pfSqrt

pfSqr

pfInt

pfFrac

pfTrunc

pfRound

pfArcSin

pfArcCos

pfSign

pfNot


TSecretPanel

Hierarchy Properties Methods Events

TSecretPanel implements the generic behavior introduced in TPanel and publishes all properties inherited from TPanel.

Unit

RXCtrls

Description

TSecretPanel also allows lines of text (Lines property) to be scrolled vertically from bottom to top when the Active property is True. It facilitates, amoung other things, the text display features to be changed, such as alignment, font and style (lowered, raised, or normal). You can also display graphic specified by Glyph property during text scrolling. When Active is False the lines of text and image Glyph are invisible.

This panel acts as a credits panel, or a scrolling text panel, where the text is scrolled simiar to movie credits.

A good usage of this panel is an enhanced version of the about box. Use the Glyph property to set the bitmap and the GlyphLayout to set the left part of the panel. Set the Active property and Cycled property to true, and add the text of the property lines.


TRxDBLookupCombo.DisplayAllFields

TRxDBLookupCombo

property DisplayAllFields: Boolean read GetDisplayAll write SetDisplayAll default False;


TRxDBGrid.OnKeyPress

TRxDBGrid

property OnKeyPress: TKeyPressEvent read FOnKeyPress write FOnKeyPress;


TClipboardViewer.ClipboardFormatNames

TClipboardViewer

The ClipboardFormatNames indexed property (run-time and read-only) is a list of the formats available for the information currently on the Clipboard. Use FormatCount property of TClipboard class to determine maximum value of index for ClipboardFormatNames.

You can use values of this property, fo example, to display list of currently available clipboard formats or to create menu items with clipboard format names.

property ClipboardFormatNames[Index: Integer]: string;


TColorComboBox.PopulateList

TColorComboBox

procedure PopulateList;


TRxCustomListBox.ItemIndex

TRxCustomListBox

property ItemIndex: Integer read GetItemIndex write SetItemIndex;


TRxCalcEdit.DragKind

TRxCalcEdit

property DragKind;


(Untitled)

TFormPlacement Methods

TFormPlacement By object Legend

Assign

BeforeDestruction

Create

DefaultMinMaxInfo

Destroy

DestroyComponents

Destroying

DoReadString

DoWriteString

EraseSections

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

ReadInteger

ReadString

RemoveComponent

RemoveFreeNotification

Restore

RestoreFormPlacement

RestorePlacement

SafeCallException

Save

SaveFormPlacement

SavePlacement

UpdateAction

WriteInteger

WriteString


TDBDateEdit.KeyPress

TDBDateEdit

procedure KeyPress ( var Key: Char );


(Untitled)

TRxDBComboBox Properties

TRxDBComboBox By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Count

Ctl3D

CurrentRowSelected

Cursor

DataField

DataSource

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DropDownCount

DroppedDown

Enabled

EnableValues

Field

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

ItemHeight

ItemIndex

Items

Left

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

Sorted

Style

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

Values

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxCheckListBox.OnDblClick

TRxCheckListBox

property OnDblClick;


TRxSwitch.StateOn

TRxSwitch

Set the swtichSet the state of the glyph on. This is the bitmap that your application would load when the state of the switch is on.

StateOn : Boolean


TDBStatusLabel.WordWrap

TDBStatusLabel

property WordWrap;


TGIFImage.ClearItems

TGIFImage

procedure ClearItems;


TDirectoryEdit.Constraints

TDirectoryEdit

property Constraints;


TRxSplitter.BevelOuter

TRxSplitter

property BevelOuter;


TFontComboBox.Anchors

TFontComboBox

property Anchors;


(Untitled)

EComboEditError Properties

EComboEditError Alphabetically Legend

Derived from Exception

HelpContext

Message


TRxFolderMonitor.FolderName

TRxFolderMonitor

property FolderName: string read FFolderName write SetFolderName;


TRxCheckListBox.SaveStatesReg

TRxCheckListBox

procedure SaveStatesReg ( IniFile: TRegIniFile );


TRxRichEdit.OnKeyUp

TRxRichEdit

property OnKeyUp;


TRxDBLookupCombo.OnDragOver

TRxDBLookupCombo

property OnDragOver;


TRxCustomSlider.DefineProperties

TRxCustomSlider

procedure DefineProperties ( Filer: TFiler );


FileUtil.MoveFile

FileUtil

Moves or renames the file passed in FileName to the directory specified as part of DestName parameter.

procedure MoveFile(const FileName, DestName: TFileName);

Description

Tries to just rename the file. If that fails, try to copy the file and delete the original.

Raises an exception if the source file is read-only, and therefore cannot be

deleted/moved/renamed.

MoveFile example:

MoveFile(FileName, ChangeFileExt(FileName, '.BAK'));


TRxDBGrid.Scroll

TRxDBGrid

procedure Scroll ( Distance: Integer );


TCustomComboEdit.ShowPopup

TCustomComboEdit

procedure ShowPopup ( Origin: TPoint );


(Untitled)

TFormPropsDlg Methods

TFormPropsDlg By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TComObjectFactory.LicString

TComObjectFactory

property LicString: WideString read FLicString write FLicString;


TFormHistory.AddForm

TFormHistory

procedure AddForm ( AForm: TCustomForm );


TRxDBLookupList.TabOrder

TRxDBLookupList

property TabOrder;


TDBIndexCombo.OnDragOver

TDBIndexCombo

property OnDragOver;


TRxDBGrid.OnMouseUp

TRxDBGrid

property OnMouseUp;


StrUtils.DelSpace

StrUtils

DelSpace return a string with all white spaces removed.

property function DelSpace(const S: string): string;

Description

DelSpace example:

var S: string;

begin

__S := 'Let It Be';

__S := DelSpace(S);

__ShowMessage(S); \\\\\\\ here S = 'LetItBe' \\\\\\\

end;


TBoundLines

TBoundLines is a set of values for the BoundLines property of the TSpeedbar component.

Unit

SpeedBar

property TBoundLines = set of TBoundLine;


TVersionInfo.OkToWriteModule

TVersionInfo

Return True if it's ok to overwrite ModuleName with NewVer.

property function OkToWriteModule(ModuleName: string; NewVer: Longint): Boolean;

Description

OkToWriteModule example:

if OkToWriteModule('C:\WINDOWS.DLL', NewVerNum) then

\\\\\\\ write file to disk \\\\\\\


(Untitled)

TPicClip Methods

TPicClip Alphabetically Legend

In TPicClip

Assign

AssignTo

Changed

Create

Destroy

Draw

DrawCenter

GetIndex

LoadBitmapRes

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TPageManager.PriorPage

TPageManager

PriorPage procedure triggers the subclassed tNoteBook to switch to the previos page.

property procedure PriorPage;


(Untitled)

TRxDBRichEdit Properties

TRxDBRichEdit By object Legend

Action

Align

Alignment

AllowInPlace

AllowObjects

Anchors

AutoDisplay

AutoURLDetect

AutoVerbMenu

BiDiMode

BorderStyle

BoundsRect

Brush

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DefAttributes

DefaultConverter

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Field

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

HideScrollBars

HideSelection

Hint

HostDockSite

ImeMode

ImeName

LangOptions

Left

LRDockWidth

MaxLength

Modified

Name

Owner

PageRect

Paragraph

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PlainText

PopupMenu

ReadOnly

RedoName

ScrollBars

SelAttributes

SelectionBar

SelectionType

SelLength

SelStart

SelText

ShowHint

Showing

StreamFormat

StreamMode

TabOrder

TabStop

Tag

TBDockHeight

Text

Title

Top

UndockHeight

UndockWidth

UndoLimit

UndoName

VCLComObject

Visible

VisibleDockClientCount

WantReturns

WantTabs

Width

WindowProc

WordAttributes

WordSelection

WordWrap


(Untitled)

TCheckItemEditor Events

TCheckItemEditor By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxTimerEvent.Interval

TRxTimerEvent

property Interval: Longint read FInterval write SetInterval default DefaultInterval;


TGIFImage.OnProgress

TGIFImage

property OnProgress: TProgressEvent read FOnProgress write FOnProgress;


TLocateObject.DataSetSortedSearch

TLocateObject

The DataSeetSortedSearch procedure searches a dataset for value in the field FieldName.

property function DataSetSortedSearch(DataSet: TDataSet; const Value: string; const FieldName: string; Unique, IgnoreCase: Boolean): Boolean;

Description

DataSetSortedSearch example:

if not DataSetSortedSearch(DataSet, 'Smit', 'Client_Name', False, True) then

__MessageDlg('Record not found', mtError, [mbOk], 0);

__...


TRxDBComboEdit.OnMouseDown

TRxDBComboEdit

property OnMouseDown;


TCustomTableItems

Hierarchy Properties Methods Events

Allows to get at a few table lists

Unit

DBLists


TSpeedbarSection.Destroy

TSpeedbarSection

destructor Destroy;


TRxParaAttributes.NumberingTab

TRxParaAttributes

property NumberingTab: Word read GetNumberingTab write SetNumberingTab;


(Untitled)

TCustomBDEItems Events

TCustomBDEItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxDBComboEdit.Reset

TRxDBComboEdit

procedure Reset;


TRxProjectResExpert.CreateEntry

TRxProjectResExpert

procedure CreateEntry ( ResFile: TIResourceFile; ResType , ResName: PChar; ADataSize: Integer; AData: Pointer; SetToEntry: Boolean );


TDirectoryEdit.Enabled

TDirectoryEdit

property Enabled;


TComObject.ObjQueryInterface

TComObject

function ObjQueryInterface ( const IID: TGUID; out Obj ): HResult;


TDateEdit.OnExit

TDateEdit

property OnExit;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TCollectionItem


(Untitled)

TRxLoginForm Methods

TRxLoginForm Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TComboEdit.CharCase

TComboEdit

property CharCase;


TCustomDBComboBox.Notification

TCustomDBComboBox

procedure Notification ( AComponent: TComponent; Operation: TOperation );


(Untitled)

TMinMaxInfoEditDialog Events

TMinMaxInfoEditDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TMemoryTable.DoBeforeDelete

TMemoryTable

procedure DoBeforeDelete;


TCustomComboEdit.AcceptPopup

TCustomComboEdit

function AcceptPopup ( var Value: Variant ): Boolean;


TLocateObject.MatchesLookup

TLocateObject

function MatchesLookup ( Field: TField ): Boolean;


(Untitled)

TRxSwitch Events

TRxSwitch By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnOff

OnOn

OnStartDock

OnStartDrag


TFileDirEdit.ReceptFileDir

TFileDirEdit

procedure ReceptFileDir ( const AFileName: string );


TSpeedBar.MouseDown

TSpeedBar

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TCurrencyEdit.OnKeyUp

TCurrencyEdit

property OnKeyUp;


(Untitled)

TTypedComObject Properties

TTypedComObject By object Legend

Controller

Factory

RefCount

ServerExceptionHandler


TRxSplitter.MouseUp

TRxSplitter

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxCalcEdit.Constraints

TRxCalcEdit

property Constraints;


TValueType

ValueType

Unit

RXSpin

Description

ValueMeaning

vtInt

vtFloat


TRxRichEdit.OnSelectionChange

TRxRichEdit

property OnSelectionChange;


TRxCheckListBox.OnMeasureItem

TRxCheckListBox

property OnMeasureItem;


TRxDBRichEdit.Align

TRxDBRichEdit

property Align;


TWriteItemEvent

TWriteItemEvent is the type of the OnWriteItem event of the TMRUManager component.

Unit

MRUList

property TWriteItemEvent = procedure (Sender: TObject; IniFile: TObject; const Section: string; Index: Integer; const RecentName: string; UserData: Longint) of object;


TRxWindowHook.FindVirtualMethodIndex-Example

type THookForm = class(TForm)

protected

__procedure WndProc(var Message: TMessage); override;

end;

\\\...\\\

WndProcSeq := FindVirtualMethodIndex(THookForm, @THookForm.WndProc);

\\\...\\\


TSpeedItem.OnMouseMove

TSpeedItem

property OnMouseMove: TMouseMoveEvent read GetOnMouseMove write SetOnMouseMove;


TRxDBLookupCombo.KeyPress

TRxDBLookupCombo

procedure KeyPress ( var Key: Char );


RxGraph.SetBitmapPixelFormat

RxGraph

Specify format of a bitmap

procedure SetBitmapPixelFormat(ABitmap: TBitmap; PixelFormat: TPixelFormat; Method: TMappingMethod);

Description

SetBitmapPixelFormat procedure allows you to determine in what bit format the bitmap image specified by ABitmap parameter will be displayed: 8-bit, 24-bit etc. For example, you can use SetBitmapPixelFormat to set the pixel format of the bitmap image to 8-bit

for video driveres that cannot display the native format of a bitmap image. You can specify method to decrease bitmap colors count by the Method parameter. Possible values for PixelFormat parameter are: pf1bit, pf4bit, pf8bit, pf24bit.

SetBitmapPixelFormat example:

__SetBitmapPixelFormat(Image.Bitmap, pf8bit, mmQuantize);


TRxTrayIcon.Handle

TRxTrayIcon

property Handle: HWnd read FHandle;


(Untitled)

TPictureEditDialog Events

TPictureEditDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxDBComboEdit.ReadOnly

TRxDBComboEdit

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TDBLoginDialog.Destroy

TDBLoginDialog

destructor Destroy;


TRxSwitch.PopupMenu

TRxSwitch

property PopupMenu;


TRxMemoryData.GetCurrentRecord

TRxMemoryData

function GetCurrentRecord ( Buffer: PChar ): Boolean;


(Untitled)

TGIFItem Properties

TGIFItem Alphabetically Legend

Derived from TSharedImage


TRxDBCalcEdit.ParentCtl3D

TRxDBCalcEdit

property ParentCtl3D;


TRxCustomRichEdit.CloseFindDialog

TRxCustomRichEdit

procedure CloseFindDialog ( Dialog: TFindDialog );


(Untitled)

TStoredProcList Methods

TStoredProcList Alphabetically Legend

In TStoredProcList

Create

Derived from TCustomDatabaseItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TSecretPanel.Cycled

TSecretPanel

Cycles property defines whether Active is property should be active after the text scrolled out of the SecretPanel.

property Cycled: Boolean;

Description

Once the text in the lines property are scrolled out of the SecretPanel, Active becomes false. To set Active to permanently, set the Cycled property to true.


TRxRichEdit.Constraints

TRxRichEdit

property Constraints;


TFilenameEdit.ParentColor

TFilenameEdit

property ParentColor;


TDualListDialog.Destroy

TDualListDialog

destructor Destroy;


TDirectoryEdit.DialogText

TDirectoryEdit

property DialogText: string read FDialogText write FDialogText;


TRxCheckListBox.ParentFont

TRxCheckListBox

property ParentFont;


(Untitled)

TRxHintWindow Events

TRxHintWindow Alphabetically Legend

Derived from TWinControl

Derived from TControl


TRxCalculator.OnDisplayChange

TRxCalculator

The TRxCalculator component makes a simple Calculator dialog box available for your plus a few extras like memory, square root, percent, invert, and sign change.

property OnDisplayChange: TNotifyEvent read FOnDisplayChange write FOnDisplayChange;

Description

Display the Calculator dialog box by calling the Execute method. The calculation result is stored in the Value property.


TRxCheckListBox.OnDragDrop

TRxCheckListBox

property OnDragDrop;


TSpeedBar.OnEnter

TSpeedBar

property OnEnter;


(Untitled)

TRxCustomTrackBar Events

TRxCustomTrackBar Alphabetically Legend

Derived from TRxCustomSlider

Derived from TWinControl

Derived from TControl


(Untitled)

TRxPopupDataList Methods

TRxPopupDataList By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClearValue

Click

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawItemText

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyPress

Locate

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetField

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxDBLookupCombo.ParentCtl3D

TRxDBLookupCombo

property ParentCtl3D;


(Untitled)

TRxTimerEvent Methods

TRxTimerEvent Alphabetically Legend

In TRxTimerEvent

Create

Destroy

GetParentComponent

HasParent

ReadState

SetParentComponent

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDateEdit.ButtonWidth

TDateEdit

This is the width of the button on the right of the DateEdit field. Use this property to specify the width of the button. Set this property to zero value to hide the button in a combo-edit control.

property ButtonWidth: Integer;


TVersionInfo.Valid

TVersionInfo

The read-only Valid property determines whether a version resource loaded successfully and information is valid.

property Valid: Boolean;

Description

You can check this property after creation a resource object and after the FileName property has been changed.


TRxBdeErrorDlg.ShowException

TRxBdeErrorDlg

procedure ShowException ( Sender: TObject; E: Exception );


TPropInfoList

Hierarchy Properties Methods

Unit

RXProps


TRxDBRichEdit.ParentCtl3D

TRxDBRichEdit

property ParentCtl3D;


TCloneDataset.SourceHandle

TCloneDataset

property SourceHandle: HDBICur read FSourceHandle write SetSourceHandle;


TDBStatusLabel.BiDiMode

TDBStatusLabel

property BiDiMode;


TRxClock.DockSite

TRxClock

property DockSite;


TAnimatedImage.InactiveGlyph

TAnimatedImage

The InactiveGlyph property specifies the frame number of the frame displayed when Active is set to False.

property InactiveGlyph: Integer;

Description

When the InactiveGlyph property value is equal to -1, the

GlyphNum property can be set to the frame number which needs to be displayed. When

InactiveGlyph is within the acceptable range (between 0 and the number of frames in

the bitmap) then this value used to display the image in inactive (non-animated) state

and this frame not used in during animation (i.e. when Active = True).


TPageHistory.DeleteHistoryItem

TPageHistory

procedure DeleteHistoryItem ( Index: Integer );


(Untitled)

TDBIndexCombo Events

TDBIndexCombo By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag


TRxClock.BevelInner

TRxClock

property BevelInner default bvLowered;


TRxCheckListBox.OnMouseMove

TRxCheckListBox

property OnMouseMove;


TRxSpinButton.OnTopClick

TRxSpinButton

property OnTopClick: TNotifyEvent read FOnTopClick write FOnTopClick;


TRxDBLookupCombo.OnDropDown

TRxDBLookupCombo

property OnDropDown: TNotifyEvent read FOnDropDown write FOnDropDown;


(Untitled)

TIconListDialog Events

TIconListDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


(Untitled)

TRxIniFile Properties

TRxIniFile Alphabetically Legend

In TRxIniFile

ListItemName

Derived from TCustomIniFile

FileName


(Untitled)

TPropsStorage Events

TPropsStorage Alphabetically Legend

In TPropsStorage

OnEraseSection

OnReadString

OnWriteString


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent


StrUtils.Copy2Symb

StrUtils

Copy2Symb returns a substring of a string S from begining to first character Symb.

property function Copy2Symb(const S: string; Symb: Char): string;

Description

Copy2Symb example:

S := 'Let-it-be';

S := Copy2Symb(S, '-');

\\\\\\\ here S = 'Let' \\\\\\\


(Untitled)

TRxDBComboEdit Methods

TRxDBComboEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditCanModify

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetReadOnly

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

Loaded

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

Reset

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


(Untitled)

TSQLScript Methods

TSQLScript By object Legend

Assign

BeforeDestruction

CheckExecQuery

Create

DefineProperties

Destroy

DestroyComponents

Destroying

ExecSQL

ExecStatement

ExecuteAction

ExecuteScript

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

GetText

HasParent

InsertComponent

ParamByName

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TRxTimerList.Create

TRxTimerList

constructor Create ( AOwner: TComponent );


(Untitled)

TPopupDataWindow Events

TPopupDataWindow Alphabetically Legend

In TPopupDataWindow

OnCloseUp

Derived from TRxDBLookupList

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

Derived from TRxLookupControl

Derived from TWinControl

Derived from TControl


TRxParaAttributes.InitPara

TRxParaAttributes

procedure InitPara ( var Paragraph: TParaFormat2 );


TMemoryTable.SetRecNo

TMemoryTable

procedure SetRecNo ( Value: Integer );


TDBListDataSet.GetRecordCount

TDBListDataSet

function GetRecordCount: Longint Integer;


TClipboardViewer.CanDrawFormat

TClipboardViewer

This class method returns True if data format specified by ClipboardFormat parameter is

supported by TClipboardViewer class and can be displayed. Otherwise CanDrawFormat

returns False.

property function CanDrawFormat(ClipboardFormat: Word): Boolean;


(Untitled)

TDBProgress Methods

TDBProgress By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

Notification

ProgressMsgValue

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TGIFImage.Progress

TGIFImage

procedure Progress ( Sender: TObject; Stage: TProgressStage; PercentDone: Byte; RedrawNow: Boolean; const R: TRect; const Msg: string );


(Untitled)

EOleException Methods

EOleException By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


(Untitled)

TRxParaAttributes Methods

TRxParaAttributes Alphabetically Legend

In TRxParaAttributes

Assign

AssignTo

Create

InitPara

Derived from TPersistent

Destroy

GetNamePath


TRxLookupEdit.EditMask

TRxLookupEdit

property EditMask;


(Untitled)

TRxTrayIcon Events

TRxTrayIcon Alphabetically Legend

In TRxTrayIcon

OnClick

OnDblClick

OnMouseDown

OnMouseMove

OnMouseUp


TGIFImage.Version

TGIFImage

Version number used to format the GIF data stream.

property Version: TGIFVersion;

Description

Identifies the minimum set of capabilities necessary to a decoder to fully process the contents of the Data Stream.

GIF version numbers can be one of following values:

gv87a - May 1987

gv89a - July 1989.


TRxRichEdit.StreamMode

TRxRichEdit

property StreamMode;


TDBIndexCombo.Anchors

TDBIndexCombo

property Anchors;


TBookmarkList.Count

TBookmarkList

Returns the number of currently selected items in the DBGrid.

property Count: Longint read GetCount;


TRxSwitch.DoOn

TRxSwitch

procedure DoOn;


(Untitled)

TResourceEntry Methods

TResourceEntry By object Legend

Create

Destroy

EnableEdit

EnableRenameDelete

GetData

GetGraphic

GetIconData

GetName

GetResourceName

GetResourceType

GetTypeName

Rename


(Untitled)

TStoredProcList Events

TStoredProcList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


(Untitled)

TRxImageControl Properties

TRxImageControl By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ShowHint

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc


TRxDBGrid.LayoutChanged

TRxDBGrid

procedure LayoutChanged;


TRxDBCalcEdit.OnStartDrag

TRxDBCalcEdit

property OnStartDrag;


TClipboardViewFormat

The TClipboardViewFormat type defines the possible values for the ViewFormat property of the TClipboardViewer component.

Unit

ClipView

property TClipboardViewFormat = (cvDefault, cvEmpty, cvUnknown, cvText, cvBitmap, cvMetafile, cvPalette, cvOemText, cvPicture, cvComponent, cvIcon);


TCustomDateEdit.CalendarStyle

TCustomDateEdit

property CalendarStyle: TCalendarStyle read GetCalendarStyle write SetCalendarStyle default dcsDefault;


TFormPlacement.Create

TFormPlacement

constructor Create ( AOwner: TComponent );


TPicClip.Picture

TPicClip

property Picture: TPicture read FPicture write SetPicture;


TMergeManager.GetForwardForm

TMergeManager

function GetForwardForm: TCustomForm;


TGraphicsEditor

Hierarchy Methods

Unit

PictEdit


TCurrencyEdit.MaxLength

TCurrencyEdit

property MaxLength;


(Untitled)

TRxCheckListBox Methods

TRxCheckListBox By object Legend

ApplyState

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ChangeItemState

Clear

ClickCheck

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateItemList

CreateParams

CreateParented

CreateWnd

DefaultDrawText

DefaultHandler

DefineProperties

DeleteString

Destroy

DestroyComponents

Destroying

DestroyWnd

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawItem

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetCheckWidth

GetControlsAlignment

GetItemData

GetItemWidth

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ItemAtPos

ItemRect

KeyPress

Loaded

ManualDock

ManualFloat

MouseDown

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetContent

RestoreStates

RestoreStatesReg

SafeCallException

SaveStates

SaveStatesReg

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetItemData

SetItems

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WMDestroy


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TRxLookupControl


StrUtils.ExtractDelimited

StrUtils

ExtractWord, ExtractWordPos and ExtractDelimited given a set of word delimiters, return the N'th word in S.

property function ExtractDelimited(N: Integer; const S: string; const Delims: TCharSet): string;

Description

ExtractDelimited example:

S := 'Let him go';

S1 := ExtractDelimited(2, S, [' ']);

\\\\\\\ here S1 = '' \\\\\\\


TGIFData.Create

TGIFData

constructor Create;


TRxSpeedButton.MenuPosition

TRxSpeedButton

This property defines the menu position, whether it should be drop-down or on the right of the button.

property MenuPosition: TRxDropDownMenuPos;


TMemoryTable.DoBeforeClose

TMemoryTable

procedure DoBeforeClose;


(Untitled)

TRxMathParser Methods

TRxMathParser By object Legend

Exec

GetFormulaValue


TDirectoryEdit.ParentBiDiMode

TDirectoryEdit

property ParentBiDiMode;


TRxButtonGlyph.WordWrap

TRxButtonGlyph

property WordWrap: Boolean read FWordWrap write FWordWrap;


(Untitled)

TDriverDesc Properties

TDriverDesc Alphabetically Legend

In TDriverDesc

Description


TRxCustomLogin.MaxPasswordLen

TRxCustomLogin

property MaxPasswordLen: Integer read FMaxPasswordLen write FMaxPasswordLen default 0


TRxLookupEdit.Anchors

TRxLookupEdit

property Anchors;


TRxCustomSlider.SetRange

TRxCustomSlider

procedure SetRange ( Min , Max: Longint );


(Untitled)

TBDEItems Events

TBDEItems Alphabetically Legend

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnFilterRecord


TTextListBox.CreateWnd

TTextListBox

procedure CreateWnd;


TDateEdit.HideSelection

TDateEdit

property HideSelection;


(Untitled)

TFilenameProperty Methods

TFilenameProperty Alphabetically Legend

In TFilenameProperty

Edit

GetAttributes

GetFilter


TRxDBLookupCombo.OnStartDrag

TRxDBLookupCombo

property OnStartDrag;


TClipboardViewer

Hierarchy Properties Methods Events

TClipBoardViewer is a special panel that can display the contents of the Windows Clipboard on a form. This is useful for examining the contents of the Windows clipboard without cutting & pasting.

Unit

ClipView

Description

As the clipboard stores information in multiple formats, you can use this to feature to transfer information between programs that use different formats.

The ViewFormat property allows you to change current display format of Clipboard contents. The ClipboardFormatNames indexed property (run-time and read-only) is a list of the formats available for the information currently on the Clipboard.

TClipboardViewer component automatically changes ViewFormat property when Clipboard contents is changed. You can set format you needed in your handler of OnChange event.

Use TClipboard class to determine formats currently available on the Clipboard.


TPropInfoList.Destroy

TPropInfoList

destructor Destroy;


(Untitled)

TConverter Methods

TConverter Alphabetically Legend

In TConverter

Change

Clear

Create

Destroy

GetAsBoolean

GetAsDate

GetAsDateTime

GetAsFloat

GetAsInteger

GetAsString

GetAsTime

IsValidChar

ResetDefault

SetAsBoolean

SetAsDate

SetAsDateTime

SetAsFloat

SetAsInteger

SetAsString

SetAsTime

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBLocate.GetBDEDirectory

TDBLocate

Retrieves the path of the Borland Database Engine (BDE) directory. The BDE directory contains all BDE DLLs.

property function GetBDEDirectory: string;

Description

GetBDEDirectory example:

ShowMessage(Format('BDI installed at %s', [GetBDEDirectory]));


TRxDBGrid.FixedColor

TRxDBGrid

property FixedColor: TColor read GetFixedColor write SetFixedColor default clBtnFace;


TCustomClipboardViewer.CreateWnd

TCustomClipboardViewer

procedure CreateWnd;


TRxSpinEdit.Color

TRxSpinEdit

property Color;


TRxDBRichEdit.OnStartDrag

TRxDBRichEdit

property OnStartDrag;


TRxDBComboBox.DragKind

TRxDBComboBox

property DragKind;


TEditShowEvent

TEditLimitEvent is the type of the OnShowEditor event of the TRxDrawGrid component.

The value of the AllowEdit parameter determines if the in-place editor can show or not.

Unit

RXGrids

property TEditShowEvent = procedure (Sender: TObject; ACol, ARow: Longint; var AllowEdit: Boolean) of object;


(Untitled)

TRxCalcEdit Methods

TRxCalcEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TDBStatusLabel.OnStartDrag

TDBStatusLabel

property OnStartDrag;


TAnimatedImage.GlyphNum

TAnimatedImage

The GlyphNum property stores the frame number of the frame currently displayed.

property GlyphNum: Integer;

Description

It can be set to the frame number which needs to be displayed while Active property is False.

Note: When the InactiveGlyph property is not equal to -1, the GlyphNum property value are ignored.

When setting this property, if the value is within the acceptable range (between 0 and the number of frames in the Glyph) the current frame display is changed.

Note: Before using this property, ensure that the animation sequence if properly loaded into the Glyph property.


TRxDBLookupCombo.EscapeClear

TRxDBLookupCombo

When the DisplayEmpty property is set to empty string, the user is not able to clear their selection.

property EscapeClear: Boolean read FEscapeClear write FEscapeClear default True;

Description

The EscapeClear property when set to True (by default), gives the user a convenient way to clear the combos current selection simply by entering the <ESCAPE> character.


TRxLookupEdit.OnKeyPress

TRxLookupEdit

property OnKeyPress;


(Untitled)

TRxTimerList Events

TRxTimerList Alphabetically Legend

In TRxTimerList

OnFinish

OnTimers


TRxDBGrid.MouseDown

TRxDBGrid

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TSpeedBar.EditMode

TSpeedBar

property EditMode: Boolean read GetEditing;


TRxSpinEdit.KeyPress

TRxSpinEdit

procedure KeyPress ( var Key: Char );


TFilenameEdit.ImeMode

TFilenameEdit

property ImeMode;


TRxSplitter.Ctl3D

TRxSplitter

property Ctl3D default False;


VCLUtils.AllocMemo

VCLUtils

AllocMemo allocates a block of the given Size on the heap.

property function AllocMemo(Size: Longint): Pointer;

Description

Each byte in the allocated buffer is set to zero. To dispose the buffer, use the FreeMemo procedure.

AllocMemo example:

var

__P: Pointer;

begin

__P := AllocMemo(128000);

__try

____\\\\\\\ use memory \\\\\\\

__finally

____FreeMemo(P);

__end;

end;


TRxCalcEdit.HideSelection

TRxCalcEdit

property HideSelection;


(Untitled)

TRxDBLookupList Methods

TRxDBLookupList Alphabetically Legend

In TRxDBLookupList

Create

CreateParams

CreateWnd

DisplayValueChanged

DoMouseWheelDown

DoMouseWheelUp

DrawItemText

KeyDown

KeyPress

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

Loaded

MouseDown

MouseMove

MouseUp

Paint

SetBounds

UpdateDisplayEmpty

Derived from TRxLookupControl

ClearValue

Destroy

ExecuteAction

Locate

ResetField

UpdateAction

UseRightToLeftAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

TRxQuery Events

TRxQuery By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TQBEQuery.Destroy

TQBEQuery

destructor Destroy;


TDBDateEdit.ParentColor

TDBDateEdit

property ParentColor;


TAnimatedImage.OnStartDock

TAnimatedImage

property OnStartDock;


TRxCustomRichEdit.OnSaveClipboard

TRxCustomRichEdit

property OnSaveClipboard: TRichEditSaveClipboard read FOnSaveClipboard write FOnSaveClipboard;


TRxGIFAnimator.Constraints

TRxGIFAnimator

property Constraints;


TColorComboBox.DragKind

TColorComboBox

property DragKind;


(Untitled)

TRxSlider Methods

TRxSlider By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultDrawPoints

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


StrUtils.Copy2SpaceDel

StrUtils

Copy2SpaceDel returns a substring of a string S from begining to first white space and removes this substring from S.

property function Copy2SpaceDel(var S: string): string;

Description

Copy2SpaceDel example:

S := 'Let it be';

S1 := Copy2SpaceDel(S);

\\\\\\\ here S1 = 'Let', S = 'it be' \\\\\\\


(Untitled)

TRxCustomLabel Methods

TRxCustomLabel Alphabetically Legend

In TRxCustomLabel

AdjustBounds

Create

GetDefaultFontColor

GetLabelCaption

MouseDown

MouseEnter

MouseLeave

MouseUp

Notification

Paint

Derived from TGraphicControl

Destroy

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TPageProxy Methods

TPageProxy By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

ReadState

RemoveComponent

RemoveFreeNotification

SafeCallException

SetParentComponent

UpdateAction


TComboEdit.OnKeyDown

TComboEdit

property OnKeyDown;


(Untitled)

AppUtils Methods

AppUtils By object Legend

AppBroadcast

FindForm

FindShowForm

GetDefaultIniName

GetDefaultIniRegKey

GetDefaultSection

GetUniqueFileNameInDir

InstantiateForm

ReadFormPlacement

ReadFormPlacementReg

RestoreFormPlacement

RestoreGridLayout

RestoreGridLayoutReg

RestoreMDIChildren

RestoreMDIChildrenReg

SaveFormPlacement

SaveGridLayout

SaveGridLayoutReg

SaveMDIChildren

SaveMDIChildrenReg

ShowDialog

WriteFormPlacement

WriteFormPlacementReg


TSecretPanel.Lines

TSecretPanel

The lines property contains the lines that will be scrolled

property Lines: TStrings;


(Untitled)

FileUtil Methods

FileUtil Alphabetically Legend

In FileUtil

ClearDir

CopyFile

DeleteFiles

DirExists

FileDateTime

FileLock

FileUnlock

GetFileSize

HasAttr

LongToShortFileName

LongToShortPath

MoveFile

NormalDir

ShortToLongFileName

ShortToLongPath

ValidFileName


TRxCustomRichEdit.GetSelText

TRxCustomRichEdit

function GetSelText: string;


TConverter.GetAsBoolean

TConverter

function GetAsBoolean: Boolean;


(Untitled)

TCloneTable Properties

TCloneTable By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

DefaultIndex

Designer

DesignInfo

Eof

Exclusive

Exists

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

IndexDefs

IndexFieldCount

IndexFieldNames

IndexFields

IndexFiles

IndexName

KeyExclusive

KeyFieldCount

KeySize

Locale

MasterFields

MasterSource

Modified

Name

ObjectView

Owner

ReadOnly

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

StoreDefs

TableLevel

TableName

TableType

Tag

UpdateMode

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TAnimatedImage.Start

TAnimatedImage

procedure Start;


TTextListBox.Font

TTextListBox

property Font;


(Untitled)

TRxGIFAnimator Events

TRxGIFAnimator By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnFrameChanged

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop


(Untitled)

TRxCustomRichEdit Events

TRxCustomRichEdit Alphabetically Legend

In TRxCustomRichEdit

OnCloseFindDialog

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnTextNotFound

OnURLClick

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


TRxCustomRichEdit

Hierarchy Properties Methods Events

New RxLib 2.60 RTF editor supporting OLE objects and embedded graphics.

Unit

RxRichEd


TSpeedBar.SetChildOrder

TSpeedBar

procedure SetChildOrder ( Component: TComponent; Order: Integer );


TRxImageControl.AdjustSize

TRxImageControl

procedure AdjustSize;


(Untitled)

TIndexList Events

TIndexList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TGIFImage.Assign

TGIFImage

procedure Assign ( Source: TPersistent );


TDirectoryEdit.Glyph

TDirectoryEdit

property Glyph;


TRxBdeErrorDlg.OnErrorMsg

TRxBdeErrorDlg

Use OnErrorMsg to perform special processing when the error message is shown. You

can, for example, change the text of error message by using Msg parameter.

property OnErrorMsg: TDBErrorEvent;


TCustomClipboardViewer.CreatePaintControl

TCustomClipboardViewer

procedure CreatePaintControl;


TPageManager.OnHide-Example

You want to password protect the form. Use OnHide to prevent the user from hacking the EXE file to trigger the active page instead <g>.


(Untitled)

TMergeManager Methods

TMergeManager By object Legend

Assign

BeforeDestruction

Create

DefineProperties

Destroy

DestroyComponents

Destroying

DoChange

DoReorder

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetBackForm

GetForwardForm

GetNamePath

GetParentComponent

GoBack

GoForward

GotoForm

GotoFormClass

GotoHistoryIndex

HasParent

InsertComponent

Merge

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TMetafileCanvas

Hierarchy Properties Methods Events Example

Meta file component.

Unit

VCLUtils


TRxSplitter.OnDblClick

TRxSplitter

property OnDblClick;


TRxCustomListBox.ItemRect

TRxCustomListBox

function ItemRect ( Index: Integer ): TRect;


TFontComboBox.Font

TFontComboBox

property Font;


TRxProjectResExpert.NewBinaryRes

TRxProjectResExpert

procedure NewBinaryRes ( ResFile: TIResourceFile; ResName , ResType: PChar; Stream: TMemoryStream );


(Untitled)

TRxDBRichEdit Events

TRxDBRichEdit By object Legend

OnChange

OnClick

OnCloseFindDialog

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnStartDock

OnStartDrag

OnTextNotFound

OnURLClick


TRxDBLookupCombo.LookupDisplay

TRxDBLookupCombo

property LookupDisplay;


(Untitled)

TLookupSourceLink Properties

TLookupSourceLink Alphabetically Legend

Derived from TDataLink

Active

ActiveRecord

BOF

BufferCount

DataSet

DataSource

DataSourceFixed

Editing

Eof

ReadOnly

RecordCount


TClipboardViewer.Anchors

TClipboardViewer

property Anchors;


TLookupSourceLink.ActiveChanged

TLookupSourceLink

procedure ActiveChanged;


TRxMemoryData.FreeRecordBuffer

TRxMemoryData

procedure FreeRecordBuffer ( var Buffer: PChar );


(Untitled)

TPicClip Properties

TPicClip Alphabetically Legend

In TPicClip

Cells

Cols

Count

GraphicCell

Height

IsEmpty

MaskColor

Masked

Picture

Rows

Width

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCaption.Font

TRxCaption

property Font: TFont read FFont write SetFont stored IsFontStored;


TRxDBComboEdit.ButtonHint

TRxDBComboEdit

property ButtonHint;


VCLUtils.StopWait

VCLUtils

StopWait stops the waiting period. See also: StartWait

property procedure StopWait;

Description

StopWait example:

StartWait; \\\\\\\ set cursor to WaitCursor \\\\\\\

try

__\\\\\\\ ... \\\\\\\

__StartWait; \\\\\\\ no effect \\\\\\\

__try

____\\\\\\\ ... \\\\\\\

__finally

____StopWait; \\\\\\\ no effect \\\\\\\

__end;

__\\\\\\\ ... \\\\\\\

finally

__StopWait; \\\\\\\ restore default cursor \\\\\\\

end;


TRxDBRichEdit.TabStop

TRxDBRichEdit

property TabStop default True;


TRxLookupEdit.MaxLength

TRxLookupEdit

property MaxLength;


TCurrencyEdit.Value

TCurrencyEdit

Value is the actual data in a TCurrencyEdit or in a TRxCalcEdit. Use Value to read data directly from and write data directly to an editor. When Text property is empty string, the Value property returns 0 (zero).

property Value: Extended;


(Untitled)

TColorComboBox Properties

TColorComboBox Alphabetically Legend

In TColorComboBox

Anchors

BiDiMode

Color

ColorNames

ColorValue

Constraints

Ctl3D

DisplayNames

DragCursor

DragKind

DragMode

Enabled

Font

ImeMode

ImeName

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

Style

TabOrder

TabStop

Visible

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

Items

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBComboBox.OnKeyDown

TRxDBComboBox

property OnKeyDown;


TRxDBComboEdit.OnMouseMove

TRxDBComboEdit

property OnMouseMove;


TRxDBLookupCombo.ListVisible

TRxDBLookupCombo

ListVisible specifies whether the lookup list is open or "dropped-down".

property ListVisible: Boolean;

Description

Read ListVisible to determine whether the list of lookup values is currently in the open (dropped-down) position. If ListVisible is True, the list is open; if ListVisible is False, the list is closed.


(Untitled)

TDirectoryListDialog Properties

TDirectoryListDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TDirectoryEdit.DialogOptions

TDirectoryEdit

The DialogOptions properties is a set of values. If DialogOptions is the empty set, the user can only select a directory that already exists. No edit box is provided for the user to enter a new directory name.

These are the possible values that can be added to the DialogOptions set:

- sdAllowCreate - an edit box appears to allow the user to type in the name of a directory that does not exist. This option does not create a directory, but the application can access the Text property to create the directory selected if desired.

- sdPerformCreate - Used only when DialogOptions contains sdAllowCreate. If the user enters a directory name that does not exist, the TDirectoryEdit creates it just the dialog is closed.

- sdPrompt - Used when DialogOptions contains sdAllowCreate. Displays a message box that informs the user when the entered directory does not exist and asks if the directory should be created. If the user chooses OK, the directory is created if DialogOptions contains sdPerformCreate. If DialogOptions does not contain sdPerformCreate, the directory is not created: the application should create it separately.

NOTE. In 32-bit version when DialogKind = dkWin32 this property is ignored.

property DialogOptions: TSelectDirOpts;


TColorComboBox.ParentShowHint

TColorComboBox

property ParentShowHint;


(Untitled)

TRxSpinEdit Methods

TRxSpinEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParams

CreateParented

CreateWnd

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DownClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsValidChar

KeyDown

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

UpClick

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TFormPlacement.IniFileName

TFormPlacement

The IniFileName property is used to tell a saver component the name of the initialization (ini) file it is to write to and read from.

property IniFileName: string;

Description

If UseRegistry property is set to True (32-bit version only), then this property specifies Windows system registry key name.

If you do not specify a value of this property, then default name returned by GetDefaultIniName (or GetDefaultIniRegKey for registry) will be used.


(Untitled)

TRxSpeedButton Properties

TRxSpeedButton By object Legend

Action

Align

Alignment

AllowAllUp

AllowTimer

Anchors

BiDiMode

BoundsRect

ButtonGlyph

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

Down

DragCursor

DragKind

DragMode

DropDownMenu

Enabled

Flat

Floating

FloatingDockSiteClass

Font

Glyph

GrayedInactive

GroupIndex

Height

Hint

HostDockSite

InitPause

Layout

Left

LRDockWidth

Margin

MarkDropDown

MenuPosition

ModalResult

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentFont

ParentShowHint

RepeatInterval

ShowHint

Spacing

Style

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc

WordWrap


TRxDBRichEdit.DragKind

TRxDBRichEdit

property DragKind;


(Untitled)

TRxButtonGlyph Properties

TRxButtonGlyph By object Legend

Alignment

Glyph

NumGlyphs

WordWrap


TRxDBComboEdit.OnKeyUp

TRxDBComboEdit

property OnKeyUp;


TRxTextAttributes

Hierarchy Properties Methods

Stores text attributes

Unit

RxRichEd


(Untitled)

EOleError Methods

EOleError Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxCaption.GlueNext

TRxCaption

property GlueNext: Boolean read FGlueNext write SetGlueNext default False;


RxQuery.Macros

RxQuery

When you enter a query, TRxQuery creates a Macros array for the macros of a dynamic

SQL statement. Macros is a zero-based array of TParam objects with an element for

each macro (indicated by the leading MacroChar character) in the query; that is, the first

macro is Macros[0], the second Macros[1], and so on. The number of macros is

specified by MacroCount.

Note: Use the MacroByName method instead of Macros to avoid dependencies on the

order of the parameters.

Macros example

For example, suppose a TRxQuery component named rxQuery2 has the following

statement for its SQL property:

SELECT * FROM ITEMS ORDER BY %ORDER and MacroChar = '%'.

An application could use Macros property and MacroByName method to specify the

value of the "ORDER" macro as follows:

rxQuery2.Close;

rxQuery2.MacroByName('ORDER').AsString := 'ITEMS.ID';

rxQuery2.Open;

rxQuery2.Close;

rxQuery2.MacroByName('ORDER').AsString := 'ITEMS.NAME';

rxQuery2.Open;

rxQuery2.Close;

rxQuery2.MacroByName('ORDER').AsString := 'ITEMS.VENDOR';

rxQuery2.Open;

These three statements would sort the query result by the ID, NAME and VENDOR field correspondingly.

property Macros: TParams read GetMacros write SetMacros;


TButtonImage.Create

TButtonImage

constructor Create;


(Untitled)

TPopupWindow Methods

TPopupWindow Alphabetically Legend

In TPopupWindow

CloseUp

Create

CreateParams

CreateWnd

GetPopupText

GetValue

Hide

InvalidateEditor

PopupMouseUp

SetValue

Show

Derived from TCustomControl

Destroy

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


FileUtil

Methods

Miscellaneous useful file manipulation functions

Unit

FileUtil


TColorComboBox.OnKeyDown

TColorComboBox

property OnKeyDown;


TRxDrawGrid

Hierarchy Properties Methods Events

Rx Draw is an draw grid. It allows more complex plug-ins to be activated.

Unit

RXGrids


TFilenameEdit.CharCase

TFilenameEdit

property CharCase;


TRxProjectResExpert.GetPage

TRxProjectResExpert

function GetPage: string;


TSpeedBar.MouseMove

TSpeedBar

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TTextListBox.OnMouseUp

TTextListBox

property OnMouseUp;


(Untitled)

TRxIniFile Methods

TRxIniFile By object Legend

Create

DeleteKey

Destroy

EraseSection

Flush

ReadBool

ReadClearList

ReadColor

ReadDate

ReadDateTime

ReadFloat

ReadFont

ReadInteger

ReadList

ReadObject

ReadPoint

ReadRect

ReadSection

ReadSections

ReadSectionValues

ReadString

ReadTime

SectionExists

UpdateFile

ValueExists

WriteBool

WriteColor

WriteDate

WriteDateTime

WriteFloat

WriteFont

WriteInteger

WriteList

WriteObject

WritePoint

WriteRect

WriteString

WriteTime


TFilenameEdit.DefaultExt

TFilenameEdit

DefaultExt variable stores the default extension, example: ".doc"

DefaultExt: string;


(Untitled)

TPopupWindow Properties

TPopupWindow By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentWindow

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TOleController Properties

TOleController Alphabetically Legend

In TOleController

Locale

OleObject


EPropReadOnly

Hierarchy Properties Methods

Property is read only (attemp to write to a read only property)

Unit

Ole2Auto


TRxDBCalcEdit.Anchors

TRxDBCalcEdit

property Anchors;


TRxLookupEdit.DragMode

TRxLookupEdit

property DragMode;


TComServerObject.GetServerFileName

TComServerObject

function GetServerFileName: string;


(Untitled)

TSQLScript Properties

TSQLScript Alphabetically Legend

In TSQLScript

Database

DatabaseName

DBSession

IgnoreParams

ParamCount

Params

SemicolonTerm

SessionName

SQL

Term

Text

Transaction

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TSecretPanel Methods

TSecretPanel Alphabetically Legend

In TSecretPanel

AlignControls

Create

Destroy

Paint

PaintClient

Play

StartPlay

Stop

StopPlay

TimerExpired

Derived from TCustomPanel

GetControlsAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TSpeedBar.SearchSection

TSpeedBar

SearchSection function searches for a particular caption on the speedbar.

property function SearchSection(const ACaption: string): Integer;


TRxCustomSlider.BevelStyle

TRxCustomSlider

property BevelStyle: TPanelBevel read FBevelStyle write SetBevelStyle default bvNone;


MaxMin.Max

MaxMin

The Max function returns the largest of two longint values A and B.

function Max(A, B: Longint): Longint;

Description

Max example:

I1 := Max(I1, I2);


TRxCheckListBox.TabOrder

TRxCheckListBox

property TabOrder;


TComClassManager.Create

TComClassManager

constructor Create;


DefCompanyName

This variable uses by GetDefaultIniRegKey function to construct registry key used by TFormPlacement and TFormStorage components.

Unit

AppUtils

property DefCompanyName: string = '';


TGIFImage.LoadFromStream

TGIFImage

procedure LoadFromStream ( Stream: TStream );


TComObject.CreateFromFactory

TComObject

constructor CreateFromFactory ( Factory: TComObjectFactory; const Controller: IUnknown );


TRxTimer.Enabled

TRxTimer

property Enabled: Boolean read FEnabled write SetEnabled default True;


(Untitled)

TFieldList Properties

TFieldList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

TableName

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


MaxMin.Min

MaxMin

The Max function returns the smallest of two longint values A and B.

function Min(A, B: Longint): Longint;

Description

Min example:

I1 := Min(I1, I2);


TRxBdeErrorDlg.DbErrorIntercept

TRxBdeErrorDlg

DbErrorIntercept enables the TRxBdeErrorDlg instance, replacing the standard

exception message for BDE errors at runtime.

property procedure DbErrorIntercept;

Description

DbErrorIntercept example:

You can call the DbErrorIntercept procedure in the body of your project file (.DPR):

begin

__Application.Title := 'My Application';

__DbErrorIntercept;

__Application.CreateForm(TMainForm, MainForm);

__Application.CreateForm(...);

__...

__Application.Run;

end;


TRxMemoryData.AfterEdit

TRxMemoryData

property AfterEdit;


(Untitled)

TRxDBComboEdit Properties

TRxDBComboEdit Alphabetically Legend

In TRxDBComboEdit

Anchors

AutoSelect

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CharCase

ClickKey

Color

Constraints

Ctl3D

DataField

DataSource

DirectInput

DragCursor

DragKind

DragMode

Enabled

Field

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Visible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Text

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TPictEditor Methods

TPictEditor By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

Execute

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TSpeedBar.MouseUp

TSpeedBar

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

RxGraph Methods

RxGraph By object Legend

BitmapToMemory

GetBitmapPixelFormat

GrayscaleBitmap

SaveBitmapToFile

SetBitmapPixelFormat


TDatabaseItems.SystemItems

TDatabaseItems

property SystemItems;


TCustomComboEdit

Hierarchy Properties Methods Events

Unit

ToolEdit


TResourceEntry

Hierarchy Methods

Unit

RxResExp


TRxCalcEdit.BiDiMode

TRxCalcEdit

property BiDiMode;


TRxDBRichEdit.StreamMode

TRxDBRichEdit

property StreamMode;


(Untitled)

TSpeedItem Events

TSpeedItem Alphabetically Legend

In TSpeedItem

OnClick

OnDblClick

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp


TButtonImage.Glyph

TButtonImage

property Glyph: TBitmap read GetGlyph write SetGlyph;


(Untitled)

Hierarchy

TCaptionProperty


(Untitled)

TRxCustomLogin Properties

TRxCustomLogin By object Legend

Active

AllowEmptyPassword

AttemptNumber

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

IniFileName

LoggedUser

MaxPasswordLen

Name

Owner

Tag

UpdateCaption

UseRegistry

VCLComObject


TSpeedItem.Down

TSpeedItem

property Down: Boolean read GetDown write SetDown default False;


(Untitled)

TImageForm Methods

TImageForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

CheckDatabaseChange

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

Execute

ExecuteAction

FillParams

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

GetUserName

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TRxCaptionList.Items

TRxCaptionList

property Items [ Index: Integer ]: TRxCaption read GetCaption write SetCaption;


(Untitled)

TNotifyThread Events

TNotifyThread Alphabetically Legend

In TNotifyThread

OnChange

Derived from TThread

OnTerminate


(Untitled)

TCustomDBComboBox Properties

TCustomDBComboBox By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComboText

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DataField

DataSource

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DroppedDown

Enabled

Field

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

ItemIndex

Items

Left

LRDockWidth

Name

Owner

Parent

ParentWindow

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

Style

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxDice.OnStart

TRxDice

property OnStart: TNotifyEvent read FOnStart write FOnStart;


RepeatPause

Const RepeatPause: Pause before hint window displays (MSec).

Unit

RxSpin

property RepeatPause = 100;


TCustomDateEdit.WeekendColor

TCustomDateEdit

property WeekendColor: TColor read FWeekendColor write SetWeekendColor default clRed;


(Untitled)

TRxParaAttributes Methods

TRxParaAttributes By object Legend

Assign

AssignTo

Create

Destroy

GetNamePath

InitPara


(Untitled)

TDBDateEdit Properties

TDBDateEdit By object Legend

Action

Align

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CanUndo

CheckOnExit

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

Date

DefaultToday

DesignInfo

DialogTitle

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Field

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupColor

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

StartOfWeek

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

WeekendColor

Weekends

Width

WindowProc

YearDigits


TDBSecurity.Active

TDBSecurity

If there any IO access to the data, this is triggered

property Active: Boolean;


TRxWindowHook.GetVirtualMethodAddress-Example

Method := GetVirtualMethodAddress(TForm1, 1);


(Untitled)

TFileDirEdit Events

TFileDirEdit By object Legend

OnAfterDialog

OnBeforeDialog

OnButtonClick

OnDropFiles


TRxCustomLogin.OnIconDblClick

TRxCustomLogin

property OnIconDblClick: TNotifyEvent read FOnIconDblClick write FOnIconDblClick;


TSpeedBar.ParentShowHint

TSpeedBar

property ParentShowHint default False;


TRxDBRichEdit.KeyDown

TRxDBRichEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxCustomSlider.ThumbMouseUp

TRxCustomSlider

procedure ThumbMouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxDBLookupList.CreateWnd

TRxDBLookupList

procedure CreateWnd;


TRxDBComboEdit.BorderStyle

TRxDBComboEdit

property BorderStyle;


TRxDrawGrid.Options

TRxDrawGrid

property Options default [ goFixedVertLine , goFixedHorzLine , goVertLine , goHorzLine , goDrawFocusSelected , goColSizing ];


TRxDBLookupList.Enabled

TRxDBLookupList

property Enabled;


TRxLookupEdit.Font

TRxLookupEdit

property Font;


TSpeedbarSection.Count

TSpeedbarSection

property Count: Integer read GetCount;


(Untitled)

TDirectoryEdit Events

TDirectoryEdit By object Legend

OnAfterDialog

OnBeforeDialog

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropFiles

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TPageManager.Notification

TPageManager

procedure Notification ( AComponent: TComponent; AOperation: TOperation );


TRxDBCalcEdit.KeyPress

TRxDBCalcEdit

procedure KeyPress ( var Key: Char );


TRxImageControl.DoPaintControl

TRxImageControl

procedure DoPaintControl;


(Untitled)

TRxButtonGlyph Methods

TRxButtonGlyph Alphabetically Legend

In TRxButtonGlyph

CalcButtonLayout

Create

CreateButtonGlyph

CreateImageGlyph

Destroy

Draw

DrawButtonGlyph

DrawButtonImage

DrawButtonText

DrawEx

DrawPopupMark

Invalidate

MinimizeCaption


TDirectoryEdit.DragKind

TDirectoryEdit

property DragKind;


(Untitled)

TColorComboBox Methods

TColorComboBox Alphabetically Legend

In TColorComboBox

Change

Click

Create

CreateWnd

Destroy

DoChange

DrawItem

PopulateList

Derived from TOwnerDrawComboBox

Derived from TCustomComboBox

Clear

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCheckItemsEditor

Hierarchy Properties Methods Events

Unit

CheckItm


TDBLocate.GetAliasPath

TDBLocate

Retrieves physical path for BDE alias specified by AliasName parameter.

property function GetAliasPath(const AliasName: string): string;

Description

If specified database is SQL-bases database, the function returns server name as result.

GetAliasPath example:

...

S := Format('Database path: %s', GetAliasPath(Database.AliasName));

...


DateUtil.IncHour

DateUtil

IncHour changes the time of day ATime by Delta number of hours.

property function IncHour(ATime: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncHour example:

var T1, T2: TDateTime; S: string;

begin

ShortTimeFormat := 'HH:MM:SS';

T1 := StrToTime('00:00:00');

T2 := IncHour(T1, -1);

S := TimeToStr(T2);

end;


TRxCustomSlider.MinValue

TRxCustomSlider

property MinValue: Longint read FMinValue write SetMinValue default 0;


TRxLabel.Alignment

TRxLabel

property Alignment;


TRxMemoryData.LoadFromDataSet

TRxMemoryData

function LoadFromDataSet ( Source: TDataSet; RecordCount: Integer; Mode: TLoadMode ): Integer;


TDaysOfWeek

Set of day of the week.

Unit

DateUtil

property TDaysOfWeek = set of TDayNameOfWeek;


(Untitled)

TIniLink Properties

TIniLink Alphabetically Legend

In TIniLink

IniObject

RootSection

Storage


TDBEditShowEvent

Unit

RXDBCtrl

TDBEditShowEvent ( Sender : TObject ; Field : TField ; var AllowEdit : Boolean )of object ;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TScrollingWinControl

|

TScrollBox

|

TCustomClipboardViewer


TFontComboBox.Constraints

TFontComboBox

property Constraints;


TRxPopupMenu.MinTextOffset

TRxPopupMenu

property MinTextOffset: Cardinal read FMinTextOffset write FMinTextOffset default 0;


TDBStatusLabel.Alignment

TDBStatusLabel

property Alignment;


TRxSpinEdit.OnMouseUp

TRxSpinEdit

property OnMouseUp;


TGradientCaptionEditor

Hierarchy

Unit

GradEdit


TRxCalculator.CalcDisplay

TRxCalculator

property CalcDisplay: Double read GetDisplay;


(Untitled)

TRxDBLookupCombo Properties

TRxDBLookupCombo By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DesignInfo

DisplayAllFields

DisplayEmpty

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DropDownAlign

DropDownCount

DropDownWidth

EmptyItemColor

EmptyValue

Enabled

EscapeClear

Field

FieldsDelimiter

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

IgnoreCase

ImeMode

ImeName

IndexSwitch

IsDropDown

ItemHeight

Left

ListStyle

ListVisible

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TFilenameEdit.OnExit

TFilenameEdit

property OnExit;


(Untitled)

TOEMConversion Methods

TOEMConversion By object Legend

ConvertReadStream

ConvertWriteStream


TQBEQuery.Local

TQBEQuery

property Local: Boolean read FLocal;


TGIFImage.BackgroundColor

TGIFImage

The BackgroundColor property determines which background color stored in the GIF file to use when drawing a GIF image. The background color is the color used for those pixels on the screen that are not covered by an image.

property BackgroundColor: TColor;


TRxRichEdit.ReadOnly

TRxRichEdit

property ReadOnly;


(Untitled)

RXMemory Properties

RXMemory Alphabetically Legend

In RXMemory

EnableDelete

RecNo


TFormPlacement.DoReadString

TFormPlacement

function DoReadString ( const Section , Ident , Default: string ): string;


(Untitled)

TCustomComboEdit Methods

TCustomComboEdit Alphabetically Legend

In TCustomComboEdit

AcceptPopup

AcceptValue

ButtonClick

Change

Create

CreateParams

CreateWnd

Destroy

DoChange

DoClick

EditCanModify

GetDefaultBitmap

GetPopupValue

GetReadOnly

HidePopup

KeyDown

KeyPress

MouseDown

PopupChange

PopupCloseUp

PopupDropDown

SelectAll

SetPopupValue

ShowPopup

UpdatePopupVisible

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TSpeedBar.Notification

TSpeedBar

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TWinMinMaxInfo.MaxPosTop

TWinMinMaxInfo

MaxPosTop properties specifies the position of the top of the maximized window.

property MaxPosTop: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MaxPosTop to 0 lets the form be any height (up to whatever

MaxSizeHeight is, unless, that to is zero).


TFormPlacement.RegIniFile

TFormPlacement

This is used internally. It encapsulates the contents of the Ini file to the registry (something like mapping A to B).

property RegIniFile: TRegIniFile;


TRecentStrings.Mode

TRecentStrings

Insertion mode

property Mode: TRecentMode read FMode write FMode;


TRxCustomRichEdit.DoSetMaxLength

TRxCustomRichEdit

procedure DoSetMaxLength ( Value: Integer );


(Untitled)

ESpeedbarError Properties

ESpeedbarError Alphabetically Legend

Derived from Exception

HelpContext

Message


(Untitled)

TPopupWindow Properties

TPopupWindow Alphabetically Legend

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDice.DoStop

TRxDice

procedure DoStop;


TRxDBLookupCombo.Visible

TRxDBLookupCombo

property Visible;


(Untitled)

SplshWnd Properties

SplshWnd Alphabetically Legend

In SplshWnd

SplashStayOnTop


TAnimatedImage.OnStartDrag

TAnimatedImage

property OnStartDrag;


TRxCalcEdit.OnButtonClick

TRxCalcEdit

property OnButtonClick;


TComboEdit.GlyphKind

TComboEdit

property GlyphKind;


TMergeManager.DoChange

TMergeManager

procedure DoChange;


TEditButton

Hierarchy Properties Methods Events

Unit

ToolEdit


TIconList.Clear

TIconList

procedure Clear;


TRxDBComboBox.Delete

TRxDBComboBox

procedure Delete;


TSpeedItem.ReadState

TSpeedItem

procedure ReadState ( Reader: TReader );


AppUtils

Methods

Miscellaneous useful functions

Unit

AppUtils


TRxSlider.Increment

TRxSlider

The property Increment is the amount the Value changes when the user presses the arrow keys.

property Increment: Longint;


TQBEQuery.DefineProperties

TQBEQuery

procedure DefineProperties ( Filer: TFiler );


TCurrencyEdit.ParentBiDiMode

TCurrencyEdit

property ParentBiDiMode;


(Untitled)

TCustomTableItems Properties

TCustomTableItems Alphabetically Legend

In TCustomTableItems

ItemType

PhysTypes

TableName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSpeedbarEditor.Activated

TSpeedbarEditor

procedure Activated;


TRxCaption.Destroy

TRxCaption

destructor Destroy;


TTextListBox.Enabled

TTextListBox

property Enabled;


TRxCustomLabel.Transparent

TRxCustomLabel

property Transparent: Boolean read GetTransparent write SetTransparent default False;


StrUtils.Dec2Numb

StrUtils

Dec2Numb converts the given value to a string representation with the base equal to B and with the minimum number of digits (A) specified.

property function Dec2Numb(N: Longint; A, B: Byte): string;

Description

Dec2Numb example:

S := Dec2Numb(10, 8, 2);

\\\\\\\ here S = '00001010' \\\\\\\


TRxSpinEdit.OnStartDock

TRxSpinEdit

property OnStartDock;


TBtnControl.Layout

TBtnControl

property Layout: TButtonLayout read FLayout write FLayout;


TRxLookupEdit.Constraints

TRxLookupEdit

property Constraints;


TOleController.CallProcedureNoParamsByID

TOleController

CallProcedureNoparamsById calls a procedure without any parameters by it's ID (number).

property procedure CallProcedureNoParamsByID(ID: DISPID);


TFilenameEdit.DialogKind

TFilenameEdit

Use this property to select between standard dialog types:

dkOpen - TOpenDialog

dkSave - TSaveDialog

dkOpenPicture - TOpenPictureDialog (Delphi 3.0 or higher)

dkSavePicture - TSavePictureDialog (Delphi 3.0 or higher)

DialogKind: TFileDialogKind;


TPageProxy.OnLeave

TPageProxy

property OnLeave: TPageNotifyEvent read FOnLeave write FOnLeave;


TStoredPropsProperty

Hierarchy Methods

Unit

PresrDsn


TRxDBRichEdit.Field

TRxDBRichEdit

property Field: TField read GetField;


TPageRequestEvent

TPageRequestEvent type is used for the OnGetNextPage and OnGetPriorPage events of the TPageManager component.

Unit

PageMngr

property TPageRequestEvent = procedure(CurrentPage: Integer; var NewPage: Integer) of object;


TRxDBFilter.Options

TRxDBFilter

Options lets you fine-tune the filtering provided by the Filter property. The TFilterOptions type defines the possible values for the Options property, as described below:

- foCaseInsensitive - The filter is processed without regard to case in the dataset's data.

- foNoPartialCompare - String matches must be exact over the length of the data in the dataset; partial matches aren't allowed.

property Options: TDBFilterOptions;


TRxSlider.OnEndDock

TRxSlider

property OnEndDock;


TObjectStrings.DestroyObject

TObjectStrings

procedure DestroyObject ( AObject: TObject );


TRichLangOption

Unit

RxRichEd

Description

ValueMeaning

rlAutoKeyboard

rlAutoFont

rlImeCancelComplete

rlImeAlwaysSendNotify


TRxGradientCaption.DefaultFont

TRxGradientCaption

If True, captions are drawn using default fault

property DefaultFont: Boolean read FDefaultFont write SetDefaultFont default True;


(Untitled)

Hierarchy

TDefaultEditor


THugeList.SetCapacity

THugeList

procedure SetCapacity ( NewCapacity: Longint );


TRxFolderMonitor.DelayTime

TRxFolderMonitor

property DelayTime: Cardinal read GetDelayTime write SetDelayTime default 0;


(Untitled)

TRxDBComboBox Methods

TRxDBComboBox Alphabetically Legend

In TRxDBComboBox

Compare

Create

CurrentRow

Delete

Destroy

Find

GetComboText

GetPaintText

IndexOf

LinkActive

SetComboText

SetStyle

Derived from TCustomDBComboBox

ExecuteAction

UpdateAction

UseRightToLeftAlignment

Derived from TCustomComboBox

Clear

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TRxDBGrid.MultiSelect-Example

The behavior is similar to a multi-select list box. The records you select are represented as bookmarks and are stored in the SelectedRows property. The SelectedRows property is an object of type TBookmarkList.


TRxCustomRichEdit.WordSelection

TRxCustomRichEdit

property WordSelection: Boolean read GetWordSelection write SetWordSelection default True;


TDateEdit.OnMouseMove

TDateEdit

property OnMouseMove;


(Untitled)

TAnimatedImage Methods

TAnimatedImage Alphabetically Legend

In TAnimatedImage

AdjustSize

CanAutoSize

Create

Destroy

DoPaintImage

FrameChanged

GetPalette

Loaded

Paint

Start

Stop

Derived from TRxImageControl

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TFormHistory.DeleteHistoryItem

TFormHistory

procedure DeleteHistoryItem ( Index: Integer );


TPicClip.Draw

TPicClip

Draw renders the "cell picture" specified by the Index parameter on the Canvas at the

location given by the coordinates (X, Y). If Masked property is True the MaskColor

property determines which color of the "cell picture" is to be transparent when the image

is drawn by calling the Draw method.

property procedure Draw(Canvas: TCanvas; X, Y, Index: Integer);


(Untitled)

THugeList Properties

THugeList By object Legend

Capacity

Count

Items

List


TComboEdit.DragMode

TComboEdit

property DragMode;


TRxSwitch.ShowFocus

TRxSwitch

property ShowFocus: Boolean read FShowFocus write SetShowFocus default True;


TRxCustomRichEdit.CanPaste

TRxCustomRichEdit

property CanPaste: Boolean read GetCanPaste;


(Untitled)

TCustomDatabaseItems Properties

TCustomDatabaseItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

ExtendedInfo

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

FileMask

Filter

Filtered

FilterOptions

Found

Handle

ItemName

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

SystemItems

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TSecretPanel.OnMouseDown

TSecretPanel

property OnMouseDown;


TRxDBGrid.DisableScroll

TRxDBGrid

procedure DisableScroll;


TDBIndexCombo.UpdateList

TDBIndexCombo

procedure UpdateList;


(Untitled)

TRxCustomRichEdit Events

TRxCustomRichEdit By object Legend

OnCloseFindDialog

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnTextNotFound

OnURLClick


TRxCustomCalcEdit

Hierarchy Properties Methods Events

Custom Calculator edit

Unit

CurrEdit


(Untitled)

TEditButton Methods

TEditButton By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

ButtonClick

CheckBtnMenuDropDown

Click

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseDown

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UpdateAction

UpdateTracking

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TPopupDataWindow.DisplayValueChanged

TPopupDataWindow

procedure DisplayValueChanged;


THugeList.Count

THugeList

property Count: Longint read FCount write SetCount;


TPageManager.PriorEnabled

TPageManager

The variable contained enables or disable the "Prior" button defined on the form.

property PriorEnabled: Boolean;


TRxDBRichEdit.Loaded

TRxDBRichEdit

procedure Loaded;


TRxGIFAnimator.Enabled

TRxGIFAnimator

property Enabled;


TSelectData

Unit

SbEdit

TSelectData record

bRowCount:Integer;

bRow:Integer;

sRowCount:Integer;

sRow:Integer;

end;


TRxMemoryData.OpenCursor

TRxMemoryData

procedure OpenCursor ( InfoQuery: Boolean );


(Untitled)

TDBDateEdit Properties

TDBDateEdit Alphabetically Legend

In TDBDateEdit

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CheckOnExit

ClickKey

Color

Constraints

Ctl3D

DataField

DataSource

DefaultToday

DialogTitle

DirectInput

DragCursor

DragKind

DragMode

Enabled

Field

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupColor

PopupMenu

ReadOnly

ShowHint

StartOfWeek

TabOrder

TabStop

Visible

WeekendColor

Weekends

YearDigits

Derived from TCustomDateEdit

Date

PopupVisible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxSpinEdit.Create

TRxSpinEdit

constructor Create ( AOwner: TComponent );


TSpeedBar.DeleteSection

TSpeedBar

procedure DeleteSection ( Section: Integer );


(Untitled)

TPopupDataWindow Properties

TPopupDataWindow By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DesignInfo

DisplayEmpty

DisplayValue

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

Field

FieldsDelimiter

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

KeyValue

Left

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

RowCount

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TIconListProperty Methods

TIconListProperty By object Legend

Edit

GetAttributes

GetValue

SetValue


(Untitled)

TIconFrame Methods

TIconFrame Alphabetically Legend

In TIconFrame

Assign

Create

Destroy

Derived from TPersistent

GetNamePath


TGIFImage.GlobalColorCount

TGIFImage

property GlobalColorCount: Integer read GetGlobalColorCount;


TRxGIFAnimator.Paint

TRxGIFAnimator

procedure Paint;


TClipboardMonitor.Change

TClipboardMonitor

procedure Change;


TCustomClipboardViewer.Change

TCustomClipboardViewer

procedure Change;


TSpeedItem.Action

TSpeedItem

property Action: TBasicAction read GetAction write SetAction;


TRxSplitter.Cursor

TRxSplitter

property Cursor read GetCursor stored False;


TRxDBLookupCombo.DataField

TRxDBLookupCombo

property DataField;


TSpeedbarOptions

TSpeedbarOptions is a set of values for the Options property of the TSpeedbar component.

Unit

Speedbar

property TSpeedbarOptions = set of TSpeedbarOption;


TSpeedBar.Loaded

TSpeedBar

procedure Loaded;


TRxSlider.Enabled

TRxSlider

property Enabled;


(Untitled)

TFormHistory Methods

TFormHistory Alphabetically Legend

In TFormHistory

AddForm

Create

DeleteHistoryItem

Destroy

RemoveItem

ResetHistory

Derived from TList

Add

Clear

Delete

Exchange

Expand

Extract

First

IndexOf

Insert

Last

Move

Pack

Remove

Sort


TRxRichEdit.ParentFont

TRxRichEdit

property ParentFont;


TRxTrayIcon.Destroy

TRxTrayIcon

destructor Destroy;


TRxDBComboBox.BiDiMode

TRxDBComboBox

property BiDiMode;


(Untitled)

TRxGradient Methods

TRxGradient By object Legend

Assign

Changed

Create

Destroy

Draw

GetNamePath


TRxRichEdit.OnDragDrop

TRxRichEdit

property OnDragDrop;


TRxDice.Rotate

TRxDice

Rotate property rotates the dice. By setting it to true, it will rotate. When the value is false, the dice is in "stop" mode (or does not move).

Rotate : boolean


(Untitled)

TButtonImage Methods

TButtonImage Alphabetically Legend

In TButtonImage

CalcButtonLayout

Create

CreateButtonGlyph

CreateImageGlyph

Destroy

Draw

DrawButtonGlyph

DrawButtonImage

DrawButtonText

DrawEx

DrawPopupMark

Invalidate

MinimizeCaption


TRxMemoryData.AutoCalcFields

TRxMemoryData

property AutoCalcFields;


TColorComboBox.OnEnter

TColorComboBox

property OnEnter;


TRxCustomRichEdit.FindDialog

TRxCustomRichEdit

function FindDialog ( const SearchStr: string ): TFindDialog;


TPropInfoList.Delete

TPropInfoList

procedure Delete ( Index: Integer );


TConverter.SetAsBoolean

TConverter

procedure SetAsBoolean ( Value: Boolean );


(Untitled)

TFontComboBox Methods

TFontComboBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

Click

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DoChange

Dock

DockDrop

DragDrop

Dragging

DrawItem

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MinItemHeight

MouseWheelHandler

PaintTo

Perform

PopulateList

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxRemoteLogin.RemoteServer

TRxRemoteLogin

property RemoteServer: TCustomRemoteServer read FRemoteServer write SetRemoteServer;


TCustomDateEdit.OnAcceptDate

TCustomDateEdit

property OnAcceptDate: TExecDateDialog read FOnAcceptDate write FOnAcceptDate;


MaxMin.MinFloat

MaxMin

The MinFloat function returns the smallest signed value in the Values array.

function MinFloat(const Values: array of Extended): Extended;

Description

MinFloat example:

MinVal := MinFloat([MinVal, -1, 12.2, 3.36, 12.438]);


TDatabaseDesc.Create

TDatabaseDesc

constructor Create ( const DatabaseName: string );


TLocateObject.Bookmark

TLocateObject

property Bookmark: TBookmark read FBookmark write FBookmark;


TRxCaption.GradientCaption

TRxCaption

property GradientCaption: TRxGradientCaption read GetParentCaption;


TCustomComboEdit.HidePopup

TCustomComboEdit

procedure HidePopup;


TFilenameEdit.OnEndDock

TFilenameEdit

property OnEndDock;


TDBIndexCombo.OnKeyDown

TDBIndexCombo

property OnKeyDown;


TBits.Destroy

TBits

destructor Destroy;


TRxWindowHook.HookControl

TRxWindowHook

procedure HookControl;


(Untitled)

ERxParserError Methods

ERxParserError Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxMemoryData.CurrToBCD

TRxMemoryData

function CurrToBCD ( const Curr: Currency; BCD: Pointer; Precision , Decimals: Integer ): Boolean;


(Untitled)

TCurrencyEdit Properties

TCurrencyEdit By object Legend

Action

Align

Alignment

Anchors

AsInteger

AutoSelect

AutoSize

BeepOnError

BiDiMode

BorderStyle

BoundsRect

Brush

CanUndo

CheckOnExit

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DecimalPlaces

DesignInfo

DisplayFormat

DisplayText

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Floating

FloatingDockSiteClass

Font

FormatOnEditing

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

MaxValue

MinValue

Modified

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

ZeroEmpty


TItemParamsEvent

Unit

RxMenus

TItemParamsEvent ( Sender : TMenu ; Item : TMenuItem ; State : TMenuOwnerDrawState ; AFont : TFont ; var Color : TColor ; var Graphic : TGraphic ; var NumGlyphs : Integer )of object ;


TRxLoginForm.OnFormShow

TRxLoginForm

property OnFormShow: TNotifyEvent read FOnFormShow write FOnFormShow;


TDateEdit.BorderStyle

TDateEdit

property BorderStyle;


TRxDBLookupList.OnMouseMove

TRxDBLookupList

property OnMouseMove;


TFilenameEdit.EditMask

TFilenameEdit

property EditMask;


(Untitled)

TRxDBLookupCombo Methods

TRxDBLookupCombo Alphabetically Legend

In TRxDBLookupCombo

Click

CloseUp

Create

CreateParams

Destroy

DisplayValueChanged

DropDown

GetPicture

KeyDown

KeyPress

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

MouseDown

MouseMove

MouseUp

Paint

ResetField

UpdateDisplayEmpty

UpdateFieldText

Derived from TRxLookupControl

ClearValue

ExecuteAction

Locate

UpdateAction

UseRightToLeftAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TPictEditor.Picture

TPictEditor

property Picture: TPicture read FPicture write SetPicture;


TRxQuery.CreateHandle

TRxQuery

function CreateHandle: HDBICur;


(Untitled)

TRxCustomCalcEdit Events

TRxCustomCalcEdit Alphabetically Legend

Derived from TCustomComboEdit

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


TSpeedBar

Hierarchy Properties Methods Events

TSpeedBar manages speed buttons, arranging them in rows and automatically adjusting their sizes and positions.

Unit

SpeedBar

Description

All speed buttons on a speed bar maintain a uniform width, height and style.

The Options property allows the background to show through the speed buttons and gives pop-up borders to the speed buttons.

Spaces and dividers (which are in fact specially configured speed buttons) can group buttons on the TSpeedBar both visually and functionally.

Typically, the speed buttons correspond to items in an application’s menu and give the user more direct access to the application’s commands.

Speedbar design-time component editor provides a method to create and edit your speedbar and buttons. TSpeedbar has a methods to bring up Customize Dialog at run-time and user can customize the speed bar in run-time using drag-and-drop operation, similar to Delphi speedbar.

TSpeedbar has also methods to store and load layout using ini-file or Win'95 system registry.


TRxCustomListBox.Canvas

TRxCustomListBox

property Canvas: TCanvas read FCanvas;


TFormPlacement.SavePlacement

TFormPlacement

procedure SavePlacement;


TRxLookupEdit.SetPopupValue

TRxLookupEdit

procedure SetPopupValue ( const Value: Variant );


TDateEdit.DragMode

TDateEdit

property DragMode;


RxQuery.MacroCount

RxQuery

Run-time and read-only. The MacroCount property specifies how many entries the

TRxQuery has in its Macros array, that is, how many macros the query has. Adding a

new item to Macros will automatically increase the value; removing an item will

automatically decrease the value.

property MacroCount: Word read GetMacroCount;


TRxCheckListBox.Destroy

TRxCheckListBox

destructor Destroy;


TRxSpinEdit.ParentCtl3D

TRxSpinEdit

property ParentCtl3D;


TAppEvents.OnException

TAppEvents

OnEception is triggered when there is an error (or exception on the form).

Method DoException(Sender: TObject; E: Exception);


TRxGIFAnimator.Animate

TRxGIFAnimator

Animate indicates whether the animation control is playing the GIF clip.

property Animate: Boolean;

Description

Set Animate to True to cycle through the frames specified by the Image property. Set Animate to False to interrupt the animation control when it is playing the GIF clip. For continuous sequencing of frames, set the Loop property to True.


TRxCalculator.Destroy

TRxCalculator

destructor Destroy;


TConverter.SetAsDateTime

TConverter

procedure SetAsDateTime ( Value: TDateTime );


TRxCalcEdit.Glyph

TRxCalcEdit

property Glyph;


TRxPopupMenu.Canvas

TRxPopupMenu

property Canvas: TCanvas read FCanvas;


TObjectStrings.PutObject

TObjectStrings

procedure PutObject ( Index: Integer; AObject: TObject );


TRecentMode

TRecentMode is a set of values for the Mode property of the TMRUManager component.

Unit

MruList

property TRecentMode = (rmInsert, rmAppend);

Description

ValueMeaning

rmInsert

rmAppend


TDBLocate.LocateKey

TDBLocate

function LocateKey: Boolean;


TAppEvents.Create

TAppEvents

constructor Create ( AOwner: TComponent );


TRxMemoryData.Active

TRxMemoryData

property Active;


EPropWriteOnly

Hierarchy Properties Methods

Property is read only (attemp to read from a write only property)

Unit

Ole2Auto


TRxSpeedButton.MouseEnter

TRxSpeedButton

procedure MouseEnter;


TRxImageControl.PaintDesignRect

TRxImageControl

procedure PaintDesignRect;


TFileDirEdit.GetLongName

TFileDirEdit

function GetLongName: string;


TDateEdit

Hierarchy Properties Methods Events

The TDateEdit is a TEdit field designed for date input.

Unit

ToolEdit

Description

The TDateEdit control has a button so that when you click the button (click event) it pops up a calendar dialog form or calendar (according to CalendarStyle property value) so that you can choose a date.

The calendar form/ popup contains navigation controls (arrows) that responds to the keyboard and allows setting the selected date on the calendar to the next or previous month or year.

Other properties include such as DefaultToday, DirectInput (validated) and OnExit (after the focus leaves the ComboBox) properties.

The Date property contains the date value displayed in the Edit box. If the property DefaultToday is set to True and the Date property is zero then the current date is assigned to the Date property.

To control whether the year is two or four digits you use a typed boolean constant FourDigitYear from DateUtil unit.


TFormReorderEvent

Unit

MrgMngr

TFormReorderEvent ( Sender : TObject ; Activated , Deactivated : TCustomForm )of object ;


(Untitled)

TRxSliderImages Properties

TRxSliderImages By object Legend

EdgeSize

HorzRuler

HorzThumb

NumThumbStates

VertRuler

VertThumb


TAutoObject.GetTypeInfoCount

TAutoObject

function GetTypeInfoCount ( out Count: Integer ): HResult;


TRxCheckListBox.ChangeItemState

TRxCheckListBox

procedure ChangeItemState ( Index: Integer );


TRxCheckListBox.CreateItemList

TRxCheckListBox

function CreateItemList: TStrings;


TGIFImage.LoadFromResourceName

TGIFImage

procedure LoadFromResourceName ( Instance: THandle; const ResName: string; ResType: PChar );


TRxDBGrid.IniStorage

TRxDBGrid

property IniStorage: TFormPlacement read GetStorage write SetStorage;


TIconFrame.Destroy

TIconFrame

destructor Destroy;


TGlyphOrientation

This type defines possible values for Orientation property of a TAnimatedImage component. The value goHorizontal sets horizontal (from left to right) alternation of frames and the value goVertical - vertical (from top to bottom).

Unit

Animate

property TGlyphOrientation = (goHorizontal, goVertical);

Description

ValueMeaning

goHorizontal

goVertical


(Untitled)

TSpeedBar Events

TSpeedBar By object Legend

OnAddItem

OnApplyAlign

OnClick

OnCustomize

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPosChanged

OnResize

OnStartDock

OnStartDrag

OnVisibleChanged


TRxDBRichEdit.ParentShowHint

TRxDBRichEdit

property ParentShowHint;


TBtnControl.WordWrap

TBtnControl

property WordWrap: Boolean read GetWordWrap write SetWordWrap;


TMemBlobStream.Read

TMemBlobStream

function Read ( var Buffer; Count: Longint ): Longint;


TRxDBGrid.MouseToCell

TRxDBGrid

procedure MouseToCell ( X , Y: Integer; var ACol , ARow: Longint );


TSpeedBar.PosChanged

TSpeedBar

procedure PosChanged;


TRxCustomLabel.GetDefaultFontColor

TRxCustomLabel

function GetDefaultFontColor: TColor;


TRxIniFile.ReadFont

TRxIniFile

ReadFont reads font details from the Section and Ident of an INI file.

function ReadFont(const Section, Ident: string; Font: TFont): TFont;


AppUtils.AppBroadcast

AppUtils

AppBroadcast sends a message Msg to each of the forms of the application.

property procedure AppBroadcast(Msg, wParam: Longint; lParam: Longint);

Description

AppBroadcast example:

const CM_MYMESSAGE = WM_USER + 1;

begin

__...

__AppBroadcast(CM_MYMESSAGE, MyWParam, MyLParam);

__...

end;


TRxSpinEdit.Enabled

TRxSpinEdit

property Enabled;


TRxDBGrid.MouseMove

TRxDBGrid

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TRxClock.Cursor

TRxClock

property Cursor;


TRxSpeedButton.Paint

TRxSpeedButton

procedure Paint;


TSpeedItem.OnMouseEnter

TSpeedItem

property OnMouseEnter: TNotifyEvent read GetOnMouseEnter write SetOnMouseEnter;


TRxDBComboBox.Destroy

TRxDBComboBox

destructor Destroy;


TRxDBLookupList.BorderStyle

TRxDBLookupList

property BorderStyle: TBorderStyle read FBorderStyle write SetBorderStyle default bsSingle;


TRxFolderMonitor.Active

TRxFolderMonitor

property Active: Boolean read GetActive write SetActive default False;


(Untitled)

TComClassManager Methods

TComClassManager Alphabetically Legend

In TComClassManager

Create

Destroy

ForEachFactory

GetFactoryFromClass

GetFactoryFromClassID


TRxGradient.StartColor

TRxGradient

property StartColor: TColor read FStartColor write SetStartColor default clSilver;


(Untitled)

TPictEditor Properties

TPictEditor By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

GraphicClass

Name

Owner

PicDlg

Picture

Tag

VCLComObject


TDBFilterOption

Unit

DBFilter

Description

ValueMeaning

foCaseInsensitive

foNoPartialCompare


TSecretPanel.ParentShowHint

TSecretPanel

property ParentShowHint;


(Untitled)

TRxDBFilter Methods

TRxDBFilter By object Legend

Activate

ActiveChanged

Assign

BeforeDestruction

Create

Deactivate

Destroy

DestroyComponents

Destroying

DoActivate

DoDeactivate

DropAllFilters

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

Notification

ReadCaptureControls

ReleaseCapture

RemoveComponent

RemoveFreeNotification

SafeCallException

SetCapture

Update

UpdateAction

UpdateFuncFilter


TRxSpinEdit.OnStartDrag

TRxSpinEdit

property OnStartDrag;


TRxDBLookupCombo.Click

TRxDBLookupCombo

procedure Click;


(Untitled)

TGradCaptionsEditor Properties

TGradCaptionsEditor By object Legend

Action

Active

ActiveCaption

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TEditLimitEvent

TEditLimitEvent is the type of the OnGetEditLimit event of the TRxDrawGrid component.

Unit

RXGrids

property TEditLimitEvent = procedure (Sender: TObject; var MaxLength: Integer) of object;


(Untitled)

TRxBdeErrorDlg Methods

TRxBdeErrorDlg By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DbErrorIntercept

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowException

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TCustomComboEdit.ButtonClick

TCustomComboEdit

procedure ButtonClick;


TRxDBFilter.Captured

TRxDBFilter

Captured (runtime and read-only) indicates whether the filter has 'captured' data-aware controls assosiated with filtered dataset (specified by DataSource property).

property Captured: Boolean;

Description

A data-aware controls becomes the "captured controls" when the TRxDBFilter calls SetCapture method.

To release captured controls application must call the ReleaseCapture method. When data-aware controls are captured by the filter, the dataset's Post method calls the ReadCaptureControls; ReleaseCapture; Activate; methods and sets the filter by using

the entered values; the dataset's Cancel method releases controls by calling ReleaseCapture; method.


TConverter.Digits

TConverter

Digits is the number of digits that are displayed to the right of the decimal point.

property Digits: Integer;


TDateEdit.Enabled

TDateEdit

property Enabled;


TRxDBLookupList.KeyValueChanged

TRxDBLookupList

procedure KeyValueChanged;


TAnimatedImage.OnDragOver

TAnimatedImage

property OnDragOver;


TMemoryTable.GetRecordNumber

TMemoryTable

function GetRecordNumber: Longint;


TConverter.TimeMask

TConverter

The TimeMask (read-only) property specifies the time output format. The value of this property corresponds to the values of other properties of TDateTimeFormat object.

property TimeMask: string;


TSpeedItem.OnClick

TSpeedItem

property OnClick: TNotifyEvent read GetOnClick write SetOnClick;


TRxSlider.OnEndDrag

TRxSlider

property OnEndDrag;


(Untitled)

TStoredProcList Properties

TStoredProcList Alphabetically Legend

In TStoredProcList

ExtendedInfo

SystemItems

Derived from TCustomDatabaseItems

ItemName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxSlider Events

TRxSlider By object Legend

OnChange

OnChanged

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDrawPoints

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag


(Untitled)

EPropWriteOnly Properties

EPropWriteOnly By object Legend

HelpContext

Message


TMemoryTable.Locate

TMemoryTable

function Locate ( const KeyFields: string; const KeyValues: Variant; Options: TLocateOptions ): Boolean;


TRxDBLookupCombo.ImeName

TRxDBLookupCombo

property ImeName;


TRxDBComboEdit.OnKeyPress

TRxDBComboEdit

property OnKeyPress;


TRxClock.UpdateClock

TRxClock

procedure UpdateClock;


TRxSwitch.ParentColor

TRxSwitch

property ParentColor;


TDBDateEdit.OnEndDock

TDBDateEdit

property OnEndDock;


TRxPopupMenu.DrawMargin

TRxPopupMenu

procedure DrawMargin ( ARect: TRect );


THugeList.Exchange

THugeList

procedure Exchange ( Index1 , Index2: Longint );


TPageHistoryCommand

Unit

PageMngr

Description

ValueMeaning

hcNone

hcAdd

hcBack

hcForward

hcGoto


TRxDBLookupList.OnMouseUp

TRxDBLookupList

property OnMouseUp;


TSecretPanel.BevelOuter

TSecretPanel

property BevelOuter default bvLowered;


TRxFolderMonitor.MonitorSubtree

TRxFolderMonitor

property MonitorSubtree: Boolean read FMonitorSubtree write SetMonitorSubtree default True;


TComObject.SafeCallException

TComObject

function SafeCallException ( ExceptObject: TObject; ExceptAddr: Pointer ): HResult;


TFontComboBox.TabStop

TFontComboBox

property TabStop;


TPopupWindow.PopupMouseUp

TPopupWindow

procedure PopupMouseUp ( Sender: TObject; Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TTextListBox Events

TTextListBox Alphabetically Legend

In TTextListBox

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

Derived from TCustomListBox

Derived from TWinControl

Derived from TControl


TQBEQuery.RequestLive

TQBEQuery

property RequestLive: Boolean read FRequestLive write FRequestLive default False;


TRxLookupControl.GetWindowWidth

TRxLookupControl

function GetWindowWidth: Integer;


AppUtils.FindShowForm

AppUtils

FindShowForm returns the windowed Delphi's form whose class is identified by the specified class name FormClass and (or) window caption passed as Caption.

property function FindShowForm(FormClass: TFormClass; const Caption: string): TForm;

Description

If FormClass is not the name of the class of an existing form, FindShowForm creates new form by calling Application.CreateForm. For found or created form the Show method is called.

FindShowForm example:

procedure MainForm.ShowFormItemClick(Sender: TObject);

begin

__FindShowForm(TForm1, '');

end;


TRxSliderImages.NumThumbStates

TRxSliderImages

property NumThumbStates: TNumThumbStates read GetNumThumbStates write SetNumThumbStates default 2;


TRxTimer.OnTimer

TRxTimer

property OnTimer: TNotifyEvent read FOnTimer write SetOnTimer;


TRxMainMenu.DefaultDrawItem

TRxMainMenu

DefaultDrawItem(Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState);


TResourceStream.Create

TResourceStream

constructor Create ( Instance: THandle; const ResName: string; ResType: PChar );


TDBLocate.SetToBookmark

TDBLocate

Returns dataset specified by the ADataSet parameter to a bookmark previously created by GetBookmark method.

property function SetToBookmark(ADataSet: TDataSet; ABookmark: TBookmark): Boolean;

Description

SetToBookmark returns True if the call was successful,

otherwise it retuqrns False. Note: If the bookmark is unstable, the cursor may be in an

unexpected position.

SetToBookmark example:

BM := Table1.GetBookmark;

try

__\\\\\\\...\\\\\\\

__SetToBookmark(Table1, BM); \\\\\\\ no exceptions raised \\\\\\\

finally

__Table1.FreeBookmark(BM);

end;


TItemImageEvent

Unit

RxMenus

TItemImageEvent ( Sender : TMenu ; Item : TMenuItem ; State : TMenuOwnerDrawState ; var ImageIndex : Integer )of object ;


TSpeedbarSection.Index

TSpeedbarSection

property Index: Integer read GetIndex write SetIndex stored False;


TDateEdit.DragCursor

TDateEdit

property DragCursor;


(Untitled)

TAggregatedObject Methods

TAggregatedObject Alphabetically Legend

In TAggregatedObject

_AddRef

_Release

Create

QueryInterface


TRxClock.DragMode

TRxClock

property DragMode;


TSpeedBar.AlignItemsToGrid

TSpeedBar

procedure AlignItemsToGrid;


TRxLookupControl.KeyValue

TRxLookupControl

property KeyValue: Variant read GetKeyValue write SetKeyValue stored False;


TRxDBComboEdit.EditCanModify

TRxDBComboEdit

function EditCanModify: Boolean;


TRxMemoryData.BeforeCancel

TRxMemoryData

property BeforeCancel;


TRxClock.OnCanResize

TRxClock

property OnCanResize;


TRxDBLookupList.ShowHint

TRxDBLookupList

property ShowHint;


TRxCaption.Assign

TRxCaption

procedure Assign ( Source: TPersistent );


TRxDBRichEdit.WordWrap

TRxDBRichEdit

property WordWrap;


TRxDBComboEdit.OnDragOver

TRxDBComboEdit

property OnDragOver;


TSpeedBar.BoundLines

TSpeedBar

Use this property to specify which sides of the Speedbar component will be framed with

a recessed (lowered) line.

property BoundLines: TBoundLines;


(Untitled)

TDBSecurity Methods

TDBSecurity Alphabetically Legend

In TDBSecurity

ChangePassword

Create

Destroy

DoCheckUser

DoLogin

Loaded

Notification

Derived from TRxCustomLogin

Lock

Login

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBIndexCombo.OnStartDock

TDBIndexCombo

property OnStartDock;


(Untitled)

TRxTimerEvent Methods

TRxTimerEvent By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

ReadState

RemoveComponent

RemoveFreeNotification

SafeCallException

SetParentComponent

UpdateAction


TDualListForm.ShowHelp

TDualListForm

property ShowHelp: Boolean read GetShowHelp write SetShowHelp default True;


TComObject.RefCount

TComObject

property RefCount: Integer read FRefCount;


TRxCheckListBox.GetItemWidth

TRxCheckListBox

function GetItemWidth ( Index: Integer ): Integer;


TDBStatusLabel.ShadowColor

TDBStatusLabel

property ShadowColor;


(Untitled)

TRxLookupEdit Events

TRxLookupEdit Alphabetically Legend

In TRxLookupEdit

OnButtonClick

OnChange

OnClick

OnCloseUp

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TDBStatusLabel.DragMode

TDBStatusLabel

property DragMode;


TRxButtonGlyph

Properties Methods Events

Internal object

Unit

RXCtrls


(Untitled)

TImageForm Events

TImageForm Alphabetically Legend

In TImageForm

OnCheckUnlock

OnCheckUserEvent

OnIconDblClick

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TRxCustomListBox Events

TRxCustomListBox By object Legend

OnDrawItem

OnGetItemWidth

OnMeasureItem


TComObjectFactory.ValidateUserLicense

TComObjectFactory

function ValidateUserLicense ( const LicStr: WideString ): Boolean;


StrUtils.OemToAnsiStr

StrUtils

OemToAnsiStr translates a string from the OEM character set into the Windows character set.

property function OemToAnsiStr(const OemStr: string): string;

Description

OemToAnsiStr example:

S := OemToAnsiStr(S);


(Untitled)

TRxGradientCaption Properties

TRxGradientCaption Alphabetically Legend

In TRxGradientCaption

Active

Captions

DefaultFont

Font

FontInactiveColor

Form

FormCaption

GradientActive

GradientInactive

GradientSteps

HideDirection

PopupMenu

StartColor

TextWidth

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCalcEdit.OnKeyUp

TRxCalcEdit

property OnKeyUp;


TDateTimeFormat.TimeSeparator

TDateTimeFormat

property TimeSeparator: Char read FTimeSeparator write FTimeSeparator;


TFormPlacement.IniFile

TFormPlacement

This property specifies the INI file to use. When this is specified, the form's metric information will be stored inside the INI file, and inside the section.

property IniFile: TIniFile;

Description

When IniFileName is set to the empty string the default name for the INI-file (or Registry

Key) will be used.


TGIFImage.GetTransparent

TGIFImage

function GetTransparent: Boolean;


TConverter.DateMask

TConverter

The DateMask (read-only) property specifies the date output format. The value of this property corresponds to the values of other properties of TDateTimeFormat object.

property DateMask: string;


(Untitled)

TMetafileCanvas Methods

TMetafileCanvas Alphabetically Legend

In TMetafileCanvas

Create

Destroy

Derived from TCanvas

Arc

BrushCopy

Chord

CopyRect

Draw

DrawFocusRect

Ellipse

FillRect

FloodFill

FrameRect

LineTo

Lock

MoveTo

Pie

PolyBezier

PolyBezierTo

Polygon

Polyline

Rectangle

Refresh

RoundRect

StretchDraw

TextExtent

TextHeight

TextOut

TextRect

TextWidth

TryLock

Unlock

Derived from TPersistent

Assign

GetNamePath


TResourceStream.CreateFromID

TResourceStream

constructor CreateFromID ( Instance: THandle; ResID: Integer; ResType: PChar );


TUnlockAppEvent

Unit

RxLogin

TUnlockAppEvent ( Sender : TObject ; const UserName , Password : string ; var AllowUnlock : Boolean )of object ;


TRxSliderImages.HorzRuler

TRxSliderImages

property HorzRuler: TBitmap index Ord ( siHRuler ) read GetImage write SetImage stored StoreImage;


StrUtils.Dec2Hex

StrUtils

Dec2Hex converts the given value to a hexadecimal string representation with the minimum number of digits (A) specified.

property function Dec2Hex(N: Longint; A: Byte): string;

Description

Dec2Hex example:

S := Dec2Hex(10, 2);

\\\\\\\ here S = '0A' \\\\\\\


TCustomDateEdit.Create

TCustomDateEdit

constructor Create ( AOwner: TComponent );


TUnderlineType

Underline options

Unit

RxRichEd

Description

ValueMeaning

utNone

utSolid

utWord

utDouble

utDotted

utWave


TRxRichEdit.ImeMode

TRxRichEdit

property ImeMode;


TFilenameEdit.OnEndDrag

TFilenameEdit

property OnEndDrag;


TObjectStrings.ParseStrings

TObjectStrings

procedure ParseStrings ( const Values: string );


TContainedObject

Hierarchy Properties Methods

Unit

ComObj


TRxSpeedButton.Flat

TRxSpeedButton

Flat determines whether the button has a a 3D border that provides a raised or lowered look. Set Flat to True to remove the raised border when the button is unselected and the lowered border when the button is clicked or selected. When Flat is True, use separate bitmaps for the different button states to provide visual feedback to the user about the button state. When the button has not the mouse focus, and Flat and GrayedInactive properties both set to True, the associated bitmap is drawn in shades.

property Flat: Boolean;


TRxRichEdit.Ctl3D

TRxRichEdit

property Ctl3D;


TCurrencyEdit.OnClick

TCurrencyEdit

property OnClick;


TRxDBGrid.DrawDataCell

TRxDBGrid

procedure DrawDataCell ( const Rect: TRect; Field: TField; State: TGridDrawState );


TSQLScript.Params

TSQLScript

property Params: TParams read FParams write SetParamsList stored False;


TIconList.GetCount

TIconList

function GetCount: Integer;


TRxSpeedButton.DragCursor

TRxSpeedButton

property DragCursor;


TDirectoryEdit.DirectInput

TDirectoryEdit

property DirectInput;


TInverseMode

Unit

RXSplit

Description

ValueMeaning

imNew

imClear

imMove


TAutoIntfObject.GetTypeInfoCount

TAutoIntfObject

function GetTypeInfoCount ( out Count: Integer ): HResult;


TFileDirEdit.OnButtonClick

TFileDirEdit

property OnButtonClick;


TPictProperty

Hierarchy Methods

Unit

PictEdit


TTypedComObject

Hierarchy Properties Methods

Unit

ComObj


(Untitled)

TRxDBComboBox Events

TRxDBComboBox Alphabetically Legend

In TRxDBComboBox

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDrawItem

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMeasureItem

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TTextListBox.OnMouseDown

TTextListBox

property OnMouseDown;


TRxDBFilter.Filter

TRxDBFilter

Specifies the text of the current filter for a dataset. Use Filter to specify a dataset filter.

property Filter: TStringList;

Description

When filtering is applied to a dataset (by setting the Active property to True or calling Activate method), only those records that meet a filter’s conditions are available to an application. Filter contains the string that describes the filter condition. For example, the following filter condition displays only those records where the customer number greather then 1000 and customer name starts with 'A' character: (( Cust_No > 1000) OR ([Customer Name] < 'B')) The following conditions are also available: State = 'CA' or Pay = NULL or [Date] > '12/01/1995'. To filter strings bases on partial comparisons, use an asterisk as a wildcard. For example: State = 'M*' The following unary operations available in a filter expressions: = NULL <> NULL

The following binary operations available in a filter expressions:

__<> (not equal)

__>= (great or equal)

__<= (less or equal)

__= (equal)

__> (great)

__< (less)

Applications can set Filter at runtime to change the filtering condition for a dataset at (for example, in response to user input).

Filter example

with rxDBFilter1.Filter do

begin

__BeginUpdate;

__try

____Clear;

____Add('((Cust_No > 1000) OR');

____Add('([Customer Name] <= ''B'')) AND (State = ''CA'')');

__finally

____EndUpdate;

__end;

end;

rxDBFilter1.Active := True;


(Untitled)

TRxSpeedButton Methods

TRxSpeedButton Alphabetically Legend

In TRxSpeedButton

ActionChange

ButtonClick

CheckBtnMenuDropDown

Click

Create

Destroy

GetDropDownMenuPos

GetPalette

Loaded

MouseDown

MouseEnter

MouseLeave

MouseMove

MouseUp

Notification

Paint

PaintGlyph

UpdateTracking

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxIniFile.WriteList

TRxIniFile

WriteList writes the value of the string list to a section of the specified IniFile.

procedure WriteList(const Section: string; List: TStrings);


TRxMainMenu.OnGetImageIndex

TRxMainMenu

property OnGetImageIndex: TItemImageEvent read FOnGetImageIndex write FOnGetImageIndex;


TDBDateEdit.OnClick

TDBDateEdit

property OnClick;


TOleController.CallFunction

TOleController

CallFunction function calls the function name AName with parameters Params.

property function CallFunction(const AName: string; const Params: array of const): PVariant;


TRxTrayIcon.Interval

TRxTrayIcon

This is the time to wait between animation frames.

property Interval: Word read FInterval write SetInterval default 150


(Untitled)

TRxDBLookupCombo Properties

TRxDBLookupCombo Alphabetically Legend

In TRxDBLookupCombo

Anchors

BiDiMode

Color

Constraints

Ctl3D

DataField

DataSource

DisplayAllFields

DisplayEmpty

DragCursor

DragKind

DragMode

DropDownAlign

DropDownCount

DropDownWidth

EmptyItemColor

EmptyValue

Enabled

EscapeClear

FieldsDelimiter

Font

IgnoreCase

ImeMode

ImeName

IndexSwitch

IsDropDown

ItemHeight

ListStyle

ListVisible

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Visible

Derived from TRxLookupControl

Field

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBLoginDialog

Properties Methods Events

Unit

LoginDlg


(Untitled)

TEditButton Methods

TEditButton Alphabetically Legend

In TEditButton

Click

Create

MouseDown

Paint

Derived from TRxSpeedButton

ButtonClick

CheckBtnMenuDropDown

Destroy

UpdateTracking

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxMainMenu Methods

TRxMainMenu Alphabetically Legend

In TRxMainMenu

Create

DefaultDrawItem

Destroy

DrawItem

GetImageIndex

GetItemParams

IsOwnerDrawMenu

Loaded

MeasureItem

Notification

Refresh

RefreshMenu

Derived from TMainMenu

GetOle2AcceleratorTable

Merge

PopulateOle2Menu

SetOle2MenuHandle

Unmerge

Derived from TMenu

DispatchCommand

DispatchPopup

FindItem

GetHelpContext

IsRightToLeft

IsShortCut

ParentBiDiModeChanged

ProcessMenuChar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TAnimatedImage.ShowHint

TAnimatedImage

property ShowHint;


FileUtil.FileLock

FileUtil

The FileLock function locks a region in an open file.

function FileLock(Handle: Integer; Offset, LockSize: Longint): Integer;

Description

Locking a region prevents other processes from accessing the region. Handle identifies the file with a region to be locked.

Offset specifies the starting byte offset in the file where the lock should begin.

LockSize specifies the length of the byte range to be locked.

FileLock example:

var FileHandle : Integer;

begin

__FileHandle := FileOpen(FileName, fmOpenWrite or fmShareDenyNone);

__if FileHandle > 0 then

__try

____\\\\\\\ valid file handle \\\\\\\

____if FileLock(FileHandle, 0, 1024) = 0 then

____try

______\\\\\\\ first 1024 bytes of opened file is locked \\\\\\\

____finally

______FileUnlock(FileHandle, 0, 1024);

____end;

__finally

____FileClose(FileHandle);

__end else

__\\\\\\\Open error: FileHandle = negative DOS error code\\\\\\\;

end;


TGIFImage.LoadFromClipboardFormat

TGIFImage

procedure LoadFromClipboardFormat ( AFormat: Word; AData: THandle; APalette: HPALETTE );


(Untitled)

TChPswdForm Events

TChPswdForm By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TSpeedItem.WordWrap

TSpeedItem

property WordWrap: Boolean read GetWordWrap write SetWordWrap default False;


TProxyEditor

Hierarchy Properties Methods

Unit

PgMngrEd


TDualListForm

Hierarchy Properties Methods Events

Unit

FDualLst


TComboEdit.OnStartDock

TComboEdit

property OnStartDock;


(Untitled)

TDirectoryListDialog Events

TDirectoryListDialog Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TRxDBCalcEdit.Color

TRxDBCalcEdit

property Color;


TDateEdit.OnEndDrag

TDateEdit

property OnEndDrag;


TDBIndexCombo.Ctl3D

TDBIndexCombo

property Ctl3D;


TRxCustomRichEdit.OnURLClick

TRxCustomRichEdit

property OnURLClick: TRichEditURLClickEvent read FOnURLClick write FOnURLClick;


(Untitled)

TRxResourceEditor Events

TRxResourceEditor By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxParaAttributes

Hierarchy Properties Methods

Paragraph attributes object

Unit

RxRichEd


(Untitled)

TMergeManager Events

TMergeManager Alphabetically Legend

In TMergeManager

OnChange

OnGetBackForm

OnGetForwardForm

OnReorder


TRxLoginForm.SelectDatabase

TRxLoginForm

property SelectDatabase: Boolean read FSelectDatabase write FSelectDatabase;


TRxSlider.OnDrawPoints

TRxSlider

This event is triggered when the points are drawn.

(This is used where another thing is drawn (e.g., attaching a needle) or to counts the

number of points on the slider)

property OnDrawPoints: TNotifyEvent;


TRxCaptionList.Parent

TRxCaptionList

property Parent: TRxGradientCaption read FParent;


(Untitled)

TMemoryTable Properties

TMemoryTable Alphabetically Legend

In TMemoryTable

EnableDelete

RecNo

RecordCount

TableName

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxLoginForm.OnOkClick

TRxLoginForm

property OnOkClick: TNotifyEvent read FOnOkClick write FOnOkClick;


TPopupWindow.CloseUp

TPopupWindow

procedure CloseUp ( Accept: Boolean );


TDBDateEdit.ImeMode

TDBDateEdit

property ImeMode;


TSecretPanel.BorderStyle

TSecretPanel

property BorderStyle;


TRxSlider.PopupMenu

TRxSlider

property PopupMenu;


TAppEvents.UpdateMetricSettings

TAppEvents

property UpdateMetricSettings: Boolean read GetUpdateMetricSettings write SetUpdateMetricSettings default True;


TComboEdit.ClickKey

TComboEdit

property ClickKey;


TObjectSortCompare

Unit

ObjStr

TObjectSortCompare ( const S1 , S2 : string ; Item1 , Item2 : TObject ): Integer of object ;


TSQLScript.SessionName

TSQLScript

property SessionName: string read GetSessionName write SetSessionName;


TRxClock.OnMouseDown

TRxClock

property OnMouseDown;


TRxGradientCaption.Notification

TRxGradientCaption

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxClockTime

Internal use

Unit

RXClock

TRxClockTime packed record

Hour,Minute,Second:Word;

end;


TRxGIFAnimator.DoPaintImage

TRxGIFAnimator

procedure DoPaintImage;


TRxSlider.EdgeSize

TRxSlider

It is the size of the outer edge of the slider control.

property EdgeSize: Integer;


TRxImageControl.DoPaletteChange

TRxImageControl

function DoPaletteChange: Boolean;


TRxSpinEdit.CreateParams

TRxSpinEdit

procedure CreateParams ( var Params: TCreateParams );


TRxQueryThread.Create

TRxQueryThread

constructor Create ( Data: TBDEDataSet; RunMode: TRunQueryMode; Prepare , CreateSuspended: Boolean );


TRxSwitch.DragMode

TRxSwitch

property DragMode;


TMinMaxProperty.GetValue

TMinMaxProperty

function GetValue: string;


TCustomTableItems.PhysTypes

TCustomTableItems

property PhysTypes: Boolean read FPhysTypes write SetPhysTypes default False;


TCurrencyEdit.ParentColor

TCurrencyEdit

property ParentColor;


(Untitled)

TTypedComObject Properties

TTypedComObject Alphabetically Legend

Derived from TComObject

Controller

Factory

RefCount

ServerExceptionHandler


StrUtils.DelChars

StrUtils

DelChars return a string with all Chr characters removed.

property function DelChars(const S: string; Chr: Char): string;

Description

DelChars example:

var S: string;

begin

__S := 'Let It Be';

__S := DelChars(S, 'e');

__ShowMessage(S); \\\\\\\ here S = 'Lt It B' \\\\\\\

end;


TRxCustomLogin.Create

TRxCustomLogin

constructor Create ( AOwner: TComponent );


TPicClip.IsEmpty

TPicClip

property IsEmpty: Boolean read GetIsEmpty;


TAppEvents.MouseDragThreshold

TAppEvents

property MouseDragThreshold: Integer read GetMouseDragThreshold write SetMouseDragThreshold default 5 property


TDirectoryEdit.ButtonWidth

TDirectoryEdit

property ButtonWidth;


TClipboardViewer.OnStartDrag

TClipboardViewer

property OnStartDrag;


TFilterLogicCond

property TFilterLogicCond = (flAnd, flOr);

The TFilterLogicCond type defines the possible values for the LogicCond property of the TRxDBFilter component.

Unit

DbFilter

Description

ValueMeaning

flAnd

flOr


TRxPopupMenu.OnMeasureItem

TRxPopupMenu

property OnMeasureItem: TMeasureMenuItemEvent read FOnMeasureItem write FOnMeasureItem;


(Untitled)

TGIFFrame Properties

TGIFFrame Alphabetically Legend

In TGIFFrame

AnimateInterval

Bitmap

ColorCount

Comment

Corrupted

DisposalMethod

Height

Interlaced

Origin

TransparentColor

Width


TRxPopupMenu.OnDrawMargin

TRxPopupMenu

property OnDrawMargin: TDrawMarginEvent read FOnDrawMargin write FOnDrawMargin;


TSpeedBar.BtnCaption

TSpeedBar

BtnCaption specifies a text string that will be shown as a caption of button control (TRxSpeedButton) in the speed bar.

property BtnCaption: TCaption read GetBtnCaption write SetBtnCaption;


TRxTimerList.DoTimer

TRxTimerList

procedure DoTimer ( Event: TRxTimerEvent );


TRxDBLookupList.MouseDown

TRxDBLookupList

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxDBFilter.DoActivate

TRxDBFilter

procedure DoActivate;


THugeList.Expand

THugeList

function Expand: THugeList;


TWinMinMaxInfo.MinTrackHeight

TWinMinMaxInfo

The MinTrackHeight and MinTrackWidth properties specifies the minimum tracking

width and the minimum tracking height of the form at run-time.

property MinTrackHeight: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


TRxDBLookupList.Loaded

TRxDBLookupList

procedure Loaded;


TFilenameEdit.FileName

TFilenameEdit

The FileName property specifies the file name that the TFilenameEdit displays and that appears in the File Name edit box when the pop-up dialog box opens.

property FileName: string;


TCustomComboEdit.Destroy

TCustomComboEdit

destructor Destroy;


(Untitled)

TDBLoginDialog Methods

TDBLoginDialog By object Legend

CheckDatabaseChange

Create

Destroy

Execute

FillParams

GetUserName


TDBIndexCombo.DispalyMode

TDBIndexCombo

DisplayMode determines the text that is displayed in the drop-down list.

property DispalyMode: TIdxDisplayMode;

Description

The following table list possible values for DisplayMode and their meanings:

- dmFieldLabels - displays the DisplayLabel of the fields in the index;

- dmFieldNames - displays the list of field names that make up the index;

- dmIndexName - displays the actual index name.


TAutoObject.Initialize

TAutoObject

procedure Initialize;


TPageOwner

Defines type of PageOwner property of TPageManager component. Currently only TNotebook is supported as page owner.

Unit

PageMngr

property TPageOwner =TNotebook;


(Untitled)

TGraphicPropertyEditor Methods

TGraphicPropertyEditor By object Legend

Edit

GetAttributes

GetValue

SetValue


TRxCaption.RestoreDefaults

TRxCaption

procedure RestoreDefaults;


RxQuery.OpenStatus

RxQuery

OpenStatus reads the current status of the query component after calling OpenOrExec method. The possible values are those of the TQueryOpenStatus type:

qsOpened - query was successfully executed and result set was returned (i.e. SELECT statement);

qsExecuted - query was successfully executed but result set has not generated (i.e. INSERT, UPDATE, DELETE, or any DDL statement);

qsFailed - error has detected during query execution.

property OpenStatus: TQueryOpenStatus read FOpenStatus;


TRxDBLookupList.ReadOnly

TRxDBLookupList

property ReadOnly;


(Untitled)

TSecretPanel Events

TSecretPanel Alphabetically Legend

In TSecretPanel

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPaintClient

OnResize

OnStartDock

OnStartDrag

OnStartPlay

OnStopPlay

Derived from TWinControl

Derived from TControl


TRxMemoryData.AfterInsert

TRxMemoryData

property AfterInsert;


TSpeedBar.Position

TSpeedBar

TBarPosition = (bpAuto, bpCustom);

Positition subclasses the position so that it appears to be either automatically located (bpAuto) or customised to some certain configuration (bpCustom).

property Position: TBarPosition;


TCustomDateEdit.GetDefaultBitmap

TCustomDateEdit

function GetDefaultBitmap ( var DestroyNeeded: Boolean ): TBitmap;


(Untitled)

TRxPopupDataList Properties

TRxPopupDataList Alphabetically Legend

Derived from TRxDBLookupList

Align

Anchors

BiDiMode

BorderStyle

Color

Constraints

Ctl3D

DataField

DataSource

DisplayEmpty

DisplayValue

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

FieldsDelimiter

Font

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

KeyValue

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

RowCount

ShowHint

TabOrder

TabStop

Value

Visible

Derived from TRxLookupControl

Field

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TComboEdit.OnKeyUp

TComboEdit

property OnKeyUp;


TSpeedBar.TabStop

TSpeedBar

property TabStop;


TCustomDatabaseItems

Hierarchy Properties Methods Events

Unit

DBLists


TDirectoryEdit.CharCase

TDirectoryEdit

property CharCase;


(Untitled)

TDBProgress Methods

TDBProgress Alphabetically Legend

In TDBProgress

Create

Destroy

Loaded

Notification

ProgressMsgValue

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TSplashWindow.CreateParams

TSplashWindow

procedure CreateParams ( var Params: TCreateParams );


TRxDBGrid.SelectAll

TRxDBGrid

This method adds all records to the list of currently selected records (if MultiSelect=True).

procedure SelectAll;


TDirectoryEdit.OnMouseUp

TDirectoryEdit

property OnMouseUp;


TMergeManager.GotoFormClass

TMergeManager

GotoFormClass(AFormClass: TFormClass);


(Untitled)

TClipboardMonitor Properties

TClipboardMonitor Alphabetically Legend

In TClipboardMonitor

Enabled

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.DropDownWidth

TRxDBLookupCombo

property DropDownWidth: Integer read FDropDownWidth write FDropDownWidth default 0


TRxTimerEvent.SetParentComponent

TRxTimerEvent

procedure SetParentComponent ( Value: TComponent );


TCustomNumEdit.Clear

TCustomNumEdit

procedure Clear;


TRxHintWindow

Hierarchy Properties Methods Events

New hint style component

Unit

RxHints


(Untitled)

TCustomDatabaseItems Events

TCustomDatabaseItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TFilenameEdit.PopupMenu

TFilenameEdit

property PopupMenu;


TCustomNumEdit.UpdatePopup

TCustomNumEdit

procedure UpdatePopup;


(Untitled)

TRxTimerList Events

TRxTimerList By object Legend

OnFinish

OnTimers


(Untitled)

TEditButton Events

TEditButton Alphabetically Legend

Derived from TRxSpeedButton

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TControl


TDBProgress.SessionName

TDBProgress

property SessionName: string read FSessionName write SetSessionName;


TRxClock.AlarmHour

TRxClock

This property defines the time (with the AlarmMinute and AlarmSecond properties) to be used as alarm time checks by the TRxClock component. When computer's time is equal to the time specified by these properties, and AlarmEnabled is True, the OnAlarm event is occured. The hour value uses a 24 hour clock.

property AlarmHour: Byte Index 1 read GetAlarmElement write SetAlarmElement default 0;


(Untitled)

TRxDBRichEdit Methods

TRxDBRichEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditCanModify

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FindDialog

FindNext

FindText

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetCaretPos

GetCharPos

GetControlsAlignment

GetLineIndex

GetLineLength

GetNamePath

GetParentComponent

GetSelection

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

GetTextRange

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

InsertObjectDialog

Invalidate

IsRightToLeft

KeyDown

KeyPress

LineFromChar

Loaded

LoadMemo

ManualDock

ManualFloat

MouseWheelHandler

Notification

ObjectPropertiesDialog

PaintTo

PasteFromClipboard

PasteSpecialDialog

Perform

Print

Realign

Redo

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDialog

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetPlainText

SetSelection

SetSelTextBuf

SetTextBuf

Show

StopGroupTyping

Undo

Update

UpdateAction

UpdateControlState

UpdateMemo

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WordAtCursor


TDBDateEdit.DragCursor

TDBDateEdit

property DragCursor;


TRxCalcEdit.ButtonWidth

TRxCalcEdit

property ButtonWidth;


(Untitled)

TAddInNotifier Methods

TAddInNotifier Alphabetically Legend

In TAddInNotifier

Create

EventNotification

FileNotification


(Untitled)

TMergeManager Properties

TMergeManager Alphabetically Legend

In TMergeManager

ActiveForm

FormHistory

HistoryCommand

MergeFrame

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxDBGrid Events

TRxDBGrid Alphabetically Legend

In TRxDBGrid

OnCheckButton

OnColumnMoved

OnEditChange

OnGetBtnParams

OnGetCellParams

OnGetCellProps

OnKeyPress

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnShowEditor

OnTitleBtnClick

Derived from TDBGrid

OnCellClick

OnColEnter

OnColExit

OnDblClick

OnDragDrop

OnDragOver

OnDrawColumnCell

OnDrawDataCell

OnEditButtonClick

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyUp

OnStartDock

OnStartDrag

OnTitleClick

Derived from TWinControl

Derived from TControl


TRxDBLookupCombo.KeyValueChanged

TRxDBLookupCombo

procedure KeyValueChanged;


TRxLookupEdit.PopupChange

TRxLookupEdit

procedure PopupChange;


(Untitled)

TRxGIFAnimator Events

TRxGIFAnimator Alphabetically Legend

In TRxGIFAnimator

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnFrameChanged

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop

Derived from TControl


TDateEdit.ClickKey

TDateEdit

property ClickKey;


TCheckType

Unit

DBQBE

Description

ValueMeaning

ctNone

ctCheck

ctCheckPlus

ctCheckDesc

ctCheckGroup


TRxDBComboEdit.OnButtonClick

TRxDBComboEdit

property OnButtonClick;


TRxCheckListBox.ParentShowHint

TRxCheckListBox

property ParentShowHint;


TDBDateEdit.Constraints

TDBDateEdit

property Constraints;


TRxCustomListBox.Create

TRxCustomListBox

constructor Create ( AOwner: TComponent );


(Untitled)

TDBSecurity Events

TDBSecurity Alphabetically Legend

In TDBSecurity

AfterLogin

BeforeLogin

OnChangePassword

OnCheckUser

OnIconDblClick

OnUnlock


(Untitled)

TGraphicsEditor Methods

TGraphicsEditor Alphabetically Legend

In TGraphicsEditor

EditProperty


TComServerObject.CountObject

TComServerObject

function CountObject ( Created: Boolean ): Integer;


TRxLookupEdit.ParentBiDiMode

TRxLookupEdit

property ParentBiDiMode;


TDBDateEdit.Weekends

TDBDateEdit

property Weekends;


TDualListDialog.Ctl3D

TDualListDialog

property Ctl3D: Boolean read FCtl3D write FCtl3D default True;


TCustomComboEdit.Glyph

TCustomComboEdit

property Glyph: TBitmap read GetGlyph write SetGlyph stored IsCustomGlyph;


TSpeedBar.NewItem

TSpeedBar

function NewItem ( AOwner: TComponent; Section: Integer; const AName: string ): TSpeedItem;


TRxCaption.InactiveColor

TRxCaption

property InactiveColor: TColor read FInactiveColor write SetInactiveColor default clInactiveCaptionText;


TRxCustomSlider.Destroy

TRxCustomSlider

destructor Destroy;


TMRUManager.Notification

TMRUManager

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxSpinEdit.DragCursor

TRxSpinEdit

property DragCursor;


TTextListBox.OnKeyDown

TTextListBox

property OnKeyDown;


TPictEditor.GraphicClass

TPictEditor

property GraphicClass: TGraphicClass read FGraphicClass write SetGraphicClass;


TRxDBCalcEdit.ZeroEmpty

TRxDBCalcEdit

property ZeroEmpty;


TFormStorage.SetNotification

TFormStorage

procedure SetNotification;


TRxDBComboEdit.Color

TRxDBComboEdit

property Color;


TImageForm.FillParams

TImageForm

procedure FillParams ( LoginParams: TStrings );


TRxQuery.Disconnect

TRxQuery

procedure Disconnect;


TSecretPanel.OnDblClick

TSecretPanel

property OnDblClick;


(Untitled)

TClipboardViewer Methods

TClipboardViewer By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanDrawFormat

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxPopupMenu.Create

TRxPopupMenu

constructor Create(AOwner: TComponent); override;


(Untitled)

EPropReadOnly Properties

EPropReadOnly By object Legend

HelpContext

Message


TRxCalcEdit.AutoSelect

TRxCalcEdit

property AutoSelect;


TRxCalcEdit.DragMode

TRxCalcEdit

property DragMode;


TFormPlacement.IniFileObject

TFormPlacement

This is an IniFileObject. It encapsulates the information so that instead of the information being stored inside the INI file, it is stored inside the registry instead.

(This is used internally)

property IniFileObject: TObject;


TProjectNotifier

Hierarchy Methods

Unit

RxResExp


TAggregatedObject._AddRef

TAggregatedObject

function _AddRef: Integer;


TBoundLine

TBoundLines is a set of values for the BoundLines property of the TSpeedbar component.

Unit

SpeedBar

property TBoundLine = (blTop, blBottom, blLeft, blRight);

Description

ValueMeaning

blTop

blBottom

blLeft

blRight


TDataSourceLink.LayoutChanged

TDataSourceLink

procedure LayoutChanged;


TRxDice.OnMouseUp

TRxDice

property OnMouseUp;


TSpeedBar.Items

TSpeedBar

Items function returns the speeditem based on the section id and the index of the

speeditem.

property function Items(Section, Index: Integer): TSpeedItem;


TGIFImage.WriteData

TGIFImage

procedure WriteData ( Stream: TStream );


(Untitled)

TCustomDateEdit Events

TCustomDateEdit Alphabetically Legend

In TCustomDateEdit

OnAcceptDate

Derived from TCustomComboEdit

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


TRxLabel.OnMouseEnter

TRxLabel

An OnMouseEnter event occurs when the user enter mouse pointer to the control. You can use OnMouseEnter and OnMouseLeave event handlers to change color, font, style of control etc.

property OnMouseEnter: TNotifyEvent;


TCustomClipboardViewer.ClipboardFormatNames

TCustomClipboardViewer

property ClipboardFormatNames [ Index: Integer ]: string read GetClipboardFormatNames;


TDualListDialog.HelpContext

TDualListDialog

property HelpContext: THelpContext read FHelpContext write FHelpContext;


StrUtils.MS

StrUtils

MS return a string of length N filled with character C.

property function MS(C: Char; N: Integer): string;

Description

MS example:

__S := MS(' ', 10);


(Untitled)

ESpeedbarError Methods

ESpeedbarError Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TCustomBDEItems.Locate

TCustomBDEItems

function Locate ( const KeyFields: string; const KeyValues: Variant; Options: TLocateOptions ): Boolean;


TMRUManager.GetItemData

TMRUManager

procedure GetItemData ( var Caption: string; var ShortCut: TShortCut; UserData: Longint );


TSpeedBar.OnDragOver

TSpeedBar

property OnDragOver;


(Untitled)

Hierarchy

TDesignWindow


TRxDBComboEdit.OnMouseUp

TRxDBComboEdit

property OnMouseUp;


TStrHolder.DefineProperties

TStrHolder

procedure DefineProperties ( Filer: TFiler );


TRxDBComboEdit.OnClick

TRxDBComboEdit

property OnClick;


TFontComboBox.OnKeyDown

TFontComboBox

property OnKeyDown;


TColorComboBox.DoChange

TColorComboBox

procedure DoChange;


TSharedImage.RefCount

TSharedImage

property RefCount: Integer read FRefCount;


TDBSecurity.UpdateCaption

TDBSecurity

UpdateCaption is used to update the Application's title, or form-caption if necessary, to inform the user of something important.

property UpdateCaption: TUpdateCaption;


TFilenameEdit.ParentBiDiMode

TFilenameEdit

property ParentBiDiMode;


(Untitled)

TRxSplitter Methods

TRxSplitter By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Changed

Changing

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

DefineProperties

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

MouseWheelHandler

Notification

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UpdateState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


(Untitled)

TLangDrivList Methods

TLangDrivList Alphabetically Legend

Derived from TCustomBDEItems

Locate

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

Create

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxMemoryData.InternalLast

TRxMemoryData

procedure InternalLast;


TRxIniFile.WriteColor

TRxIniFile

WriteColor writes the value of the colour to a section and ident of the specified IniFile.

procedure WriteColor(const Section, Ident: string; Value: TColor);


TIconList

Hierarchy Properties Methods Events

The TIconList class is a container for a group of icons.

Unit

IcoList

Description

This class used internally by TRxTrayIcon component. To add an icon to the icon list, use the Add, AddResource, Insert, InsertResource and LoadResource methods. To retrieve an icons by its index

from the icon list, use the Icons property and the Indexof property to obtain the icon listing from it's index.


TQBEQuery.Disconnect

TQBEQuery

procedure Disconnect;


TWinMinMaxInfo.MaxPosLeft

TWinMinMaxInfo

MaxPosLeft specifies the position of the left side of the maximized window.

property MaxPosLeft: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


RxGraph.BitmapToMemory

RxGraph

This maps a bitmap to a stream to be utilitsed by a memory mapped function or for file streaming purposes.

function BitmapToMemory(Bitmap: TBitmap; Colors: Integer): TStream;

Description

BitMap : pointer to bitmap

Colours: Number of colours. (maximum: 2^32)

BitmapToMemory example:

Next code fragment shows how you can decrease the number of colours in a bitmap to 16 colours:

var

__S: TStream;

begin

__S := BitmapToMemory(Picture.Bitmap, 16);

__try

____Picture.Graphic.LoadFromStream(S);

__finally

____S.Free;

__end;

end;


TRxDBComboEdit.UseRightToLeftAlignment

TRxDBComboEdit

function UseRightToLeftAlignment: Boolean;


TDirectoryEdit.OnMouseDown

TDirectoryEdit

property OnMouseDown;


TRxDBRichEdit.Visible

TRxDBRichEdit

property Visible;


TRxQuery.Prepare

TRxQuery

procedure Prepare;


(Untitled)

TRxQuery Methods

TRxQuery Alphabetically Legend

In TRxQuery

Create

CreateHandle

Destroy

Disconnect

ExecDirect

ExecSQL

ExpandMacros

IsEmpty

Loaded

MacroByName

OpenCursor

OpenOrExec

Prepare

Derived from TQuery

GetDetailLinkFields

ParamByName

UnPrepare

Derived from TDBDataSet

CheckOpen

CloseDatabase

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Locate

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomBDEItems.GetRecordCount

TCustomBDEItems

function GetRecordCount: Longint Integer;


TLocateObject.ActiveChanged

TLocateObject

procedure ActiveChanged;


(Untitled)

TSpeedbarEditor Properties

TSpeedbarEditor By object Legend

OwnerForm

SpeedBar


TRxDBCalcEdit.TabStop

TRxDBCalcEdit

property TabStop;


TRxSplitter.ControlFirst

TRxSplitter

ControlFirst specifies a first control (left or top), which can be resized by splitter.

property ControlFirst: TControl;

Description

You need to assign a value to this property only when automatically assigned value are missed. You can also leave this property blank when ControlFirst value specified.


TRxMainMenu.MinTextOffset

TRxMainMenu

property MinTextOffset: Cardinal read FMinTextOffset write FMinTextOffset default 0;


TRxTimerEvent.Create

TRxTimerEvent

constructor Create ( AOwner: TComponent );


(Untitled)

TRxTrayIcon Events

TRxTrayIcon By object Legend

OnClick

OnDblClick

OnMouseDown

OnMouseMove

OnMouseUp


TRxTrayIcon.DoClick

TRxTrayIcon

procedure DoClick ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxClock.OnEndDock

TRxClock

property OnEndDock;


TRxCheckListBox.ShowHint

TRxCheckListBox

property ShowHint;


(Untitled)

TRxGradient Events

TRxGradient By object Legend

OnChange


TRxDBComboEdit.ImeMode

TRxDBComboEdit

property ImeMode;


TRxSwitch.OnKeyUp

TRxSwitch

property OnKeyUp;


TRxSpinButton.OnDragDrop

TRxSpinButton

property OnDragDrop;


TDBStatusLabel.Paint

TDBStatusLabel

procedure Paint;


(Untitled)

TTimerItemsEditor Properties

TTimerItemsEditor Alphabetically Legend

In TTimerItemsEditor

OwnerForm

TimersCollection


TRxDBComboBox.Create

TRxDBComboBox

constructor Create ( AOwner: TComponent );


TRxCustomListBox.Sorted

TRxCustomListBox

property Sorted: Boolean read FSorted write SetSorted default False;


(Untitled)

TLocateObject Properties

TLocateObject Alphabetically Legend

In TLocateObject

Bookmark

CaseSensitive

DataSet

IndexSwitch

LookupExact

LookupField

LookupValue


TSpeedBar.Font

TSpeedBar

property Font;


TDayOfWeekName

An enumerated type used when representing a day of the week.

Unit

DateUtil

property TDayOfWeekName = (Sun, Mon, Tue, Wed, Thu, Fri, Sat);

Description

ValueMeaning

Sun

Mon

Tue

Wed

Thu

Fri

Sat


TFormStorage.Notification

TFormStorage

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TSharedImage.FreeHandle

TSharedImage

procedure FreeHandle;


TRxRemoteLogin.Loaded

TRxRemoteLogin

procedure Loaded;


TRxSpinEdit.OnKeyDown

TRxSpinEdit

property OnKeyDown;


TSecretPanel.Font

TSecretPanel

property Font;


TRxLookupControl.ExecuteAction

TRxLookupControl

function ExecuteAction ( Action: TBasicAction ): Boolean;


TDBDateEdit.PopupMenu

TDBDateEdit

property PopupMenu;


TBtnControl.Paint

TBtnControl

procedure Paint;


TSecretPanel.ParentFont

TSecretPanel

property ParentFont;


VCLUtils.MakeModuleBitmap

VCLUtils

MakeModuleBitmap instantiates a bitmap object (TBitmap), and loads the specified

bitmap resource from a module's executable file.

property function MakeModuleBitmap(Module: THandle; ResID: PChar): TBitmap;

Description

Specify the resource to be loaded as the value of ResID which points to a null-terminated string that contains the name of the bitmap resource to be loaded. Alternatively, this parameter can consist of the resource identifier in the low-order word and zero in the high-order word. The MakeIntResource function can be used to create this value. Module parameter identifies the instance of the module whose executable file contains the bitmap to be loaded.

When you no longer need the bitmap, call it's Destory destructor to free it.

An application can use the MakeModuleBitmap function to access the predefined bitmaps used by the Windows API. To do so, the application must set the Module parameter to zero. If the function fails, the return value is Nil.

MakeModuleBitmap example:

var Bmp: TBitmap;

begin

__Bmp := MakeModuleBitmap(0, PChar(32759)); \\\\\\\ check box image \\\\\\\

__try

____\\\\\\\ use bitmap \\\\\\\

__finally

____Bmp.Free;

__end;

end;


TRxSpeedButton.MouseDown

TRxSpeedButton

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TSecretPanel.OnDragDrop

TSecretPanel

property OnDragDrop;


TRxCalcEdit.OnMouseDown

TRxCalcEdit

property OnMouseDown;


TConverter.AMString

TConverter

Character string used to indicate morning (before noon and after midnight) times, when using a twelve-hour clock. Default value is standard TimeAMString constant from SYSUTILS.PAS unit.

property AMString: string;


TFilenameEdit.OnEnter

TFilenameEdit

property OnEnter;


TRxCustomRichEdit.PasteSpecialDialog

TRxCustomRichEdit

function PasteSpecialDialog: Boolean;


TScreenCanvas.Destroy

TScreenCanvas

destructor Destroy;


TDBStatusLabel.OnClick

TDBStatusLabel

property OnClick;


(Untitled)

TLookupSourceLink Methods

TLookupSourceLink By object Legend

ActiveChanged

Assign

Create

DataSetChanged

Destroy

Edit

ExecuteAction

GetNamePath

LayoutChanged

UpdateAction

UpdateRecord


TDBSecurity.Notification

TDBSecurity

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxCheckListBox.OnDrawItem

TRxCheckListBox

property OnDrawItem;


(Untitled)

TTextListBox Properties

TTextListBox By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

Canvas

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

ExtendedSelect

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

IntegralHeight

ItemHeight

ItemIndex

Items

Left

LRDockWidth

MultiSelect

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

SelCount

Selected

ShowHint

Showing

Sorted

TabOrder

TabStop

TabWidth

Tag

TBDockHeight

Top

TopIndex

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxCalcEdit.ZeroEmpty

TRxCalcEdit

property ZeroEmpty;


TComObject

Hierarchy Properties Methods

Unit

ComObj


TRxDBComboEdit

Hierarchy Properties Methods Events

This is DB Edit with a button on right side. There are some built-in glyps (ellipsis, down arrow...) or you can set you own glyph.

Unit

RXDBCtrl


TOwnerDrawComboBox.Create

TOwnerDrawComboBox

constructor Create ( AOwner: TComponent );


TRxCustomRichEdit.Undo

TRxCustomRichEdit

procedure Undo;


(Untitled)

TCustomBDEItems Methods

TCustomBDEItems Alphabetically Legend

In TCustomBDEItems

CloseCursor

CreateHandle

GetRecordCount

Locate

OpenCursor

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

Create

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxMathParser.GetFormulaValue

TRxMathParser

Call GetFormulaValue to retrieve computed value of expression specified by Formula parameter.

property function GetFormulaValue(const Formula: string): Double;

Description

This function uses TRxMathParser class to calculate an expression.

GetFormulaValue example:

Value := GetFormulaValue('2 * Sqrt(4)');

\\\\\\\ here Value is 4 \\\\\\\


TRxSwitch.OnOn

TRxSwitch

This event is triggered when the the Switch is switched on.

property OnOn: TNotifyEvent;


TCustomDateEdit.CalendarHints

TCustomDateEdit

property CalendarHints: TStrings read FCalendarHints write SetCalendarHints;


TSortCollection.Sort

TSortCollection

procedure Sort ( Compare: TItemSortCompare );


ERxParserError

Hierarchy Properties Methods

Parser exception class

Unit

Parsing


TBookmarkList.Clear

TBookmarkList

The Clear method will free all the selected records within the DBGrid.

procedure Clear;


TRxTextAttributes.BackColor

TRxTextAttributes

property BackColor: TColor read GetBackColor write SetBackColor;


TRxRichEdit.OnMouseDown

TRxRichEdit

property OnMouseDown;


TRxTrayIcon.DblClick

TRxTrayIcon

procedure DblClick;


RXMemory.EnableDelete

RXMemory

If True (the default), the application can delete the current record by using Delete method.

property EnableDelete: Boolean read FEnableDelete write FEnableDelete default True;

Description

If False, TMemoryTable won't delete records (it is read-only (aka dBase)).


TRxDBCalcEdit.KeyDown

TRxDBCalcEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


(Untitled)

TRxLookupControl Properties

TRxLookupControl By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DataField

DataSource

DesignInfo

DisplayEmpty

DisplayValue

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EmptyItemColor

EmptyValue

Enabled

Field

FieldsDelimiter

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

IgnoreCase

IndexSwitch

ItemHeight

KeyValue

Left

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LRDockWidth

Name

Owner

Parent

ParentWindow

ReadOnly

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPicClip.GraphicCell

TPicClip

GraphicCell returns the image ("cell picture") specified by the Index parameter as a TBitmap object. You don't need to free this object later. The TPicClip object retrieving "cell picture" via their Index within the range 0 to (Cols * Rows) - 1, with left-to-right and top-to-bottom direction.

property GraphicCell[Index: Integer]: TBitmap;


TRxDBGrid.ScrollDisabled

TRxDBGrid

function ScrollDisabled: Boolean;


TConverter

Hierarchy Properties Methods Events

This component allows you to access data of any types and convert data between types.

Unit

DataConv

Description

TConverter class has properties AsBoolean, AsDate, AsDateTime, AsFloat, AsInteger, AsString and AsTime. Use these properties as appropriate to access or modify the current value stored in TConverter object.


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TFormPlacement


TRxCustomRichEdit.CanUndo

TRxCustomRichEdit

property CanUndo: Boolean read GetCanUndo;


TSecretPanel.TabOrder

TSecretPanel

property TabOrder;


TRxDBGrid.SelectedRows

TRxDBGrid

SelectedRows is a set of bookmarks to all the records in the dataset that correspond to rows selected in the grid.

property SelectedRows;

Description

Use the properties and methods of the TBookmarkList object returned by SelectedRows to

Determine the number of rows in the grid that are selected.

Determine whether the current record in the dataset is selected.

Determine whether a particular record in the dataset is selected.

Delete all selected rows from the dataset.

SelectedRows is only meaningful when the MultiSelect property is True (or Options property includes dgMultiSelect in 32-bit version). You can navigate through selected rows in the dataset by using GotoSelection method of TRxDBGrid.


(Untitled)

TTypedComObjectFactory Properties

TTypedComObjectFactory By object Legend

ClassID

ClassInfo

ClassName

ComClass

ComServer

Description

ErrorIID

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TRxSpeedButton.Visible

TRxSpeedButton

property Visible;


TPropsStorage.LoadAnyProperty

TPropsStorage

procedure LoadAnyProperty ( PropInfo: PPropInfo );


EComboEditError

Hierarchy Properties Methods

EComboEditError is the exception class for data that are invalid for TComboEdit and inherited components.

Unit

ToolEdit

EComboEditError = class(Exception);


TRxDBComboBox.ParentBiDiMode

TRxDBComboBox

property ParentBiDiMode;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit

|

TCustomDateEdit

|

TDateEdit


(Untitled)

TStrHolder Events

TStrHolder Alphabetically Legend

In TStrHolder

OnChange

OnChanging


(Untitled)

TRxLookupControl Methods

TRxLookupControl Alphabetically Legend

In TRxLookupControl

Change

ClearValue

Create

Destroy

DisplayValueChanged

ExecuteAction

GetPicture

GetWindowWidth

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

Locate

Notification

ResetField

SearchText

UpdateAction

UpdateDisplayEmpty

UseRightToLeftAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TSpeedItem.Font

TSpeedItem

property Font: TFont read GetFont write SetFont stored IsFontStored;


TMRUManager.Capacity

TMRUManager

Capacity is the maximum number of strings the MRU list can hold. Adding new strings will delete oldest strings if necessary.

property Capacity: Integer;


TPageManager.NextPage

TPageManager

NextPage procedure triggers the subclassed tNoteBook to switch to the next page.

property procedure NextPage;


DateUtil.DateDiff

DateUtil

Return the difference in days, months, and years between two valid dates Date1 and Date2.

property procedure DateDiff(Date1, Date2: TDateTime; var Days, Months, Years: Word);

Description

DateDiff example:

var

D1, D2: TDateTime;

D, M, Y: Word;

begin

__ShortDateFormat := 'dd.mm.yyyy';

__D1 := StrToDate('24.03.1994');

__D2 := StrToDate('12.08.1995');

__DateDiff(D1, D2, D, M, Y);

__\\\\\\\ here D=19; M=4; Y=1 \\\\\\\

end;


TRxRichEdit.OnEndDrag

TRxRichEdit

property OnEndDrag;


TRxClock.SetAlarmTime

TRxClock

This allows you to set the alarm time. (Note: The date is ignored.)

Type TShowClock

property TShowClock = (scDigital, scAnalog);

The TShowClock type defines the possible values for the ShowMode property of the TRxClock component.

procedure SetAlarmTime ( AlarmTime: TDateTime );


(Untitled)

TIndexList Methods

TIndexList Alphabetically Legend

Derived from TCustomTableItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxGIFAnimator.Stretch

TRxGIFAnimator

property Stretch: Boolean read FStretch write SetStretch default False;


TProgressControlProperty.Release

TProgressControlProperty

procedure Release;


TPicClip.Rows

TPicClip

Rows is the number of rows in the matrix of pictures.

property Rows: Integer;


TConverter.AsInteger

TConverter

Run-time only. This is a conversion property. AsInteger can be used to read or set the value stored in the TConverter component as an intheger value.

property AsInteger: Longint;


TComboEdit.OnDblClick

TComboEdit

property OnDblClick;


TRxCheckListBox.IntegralHeight

TRxCheckListBox

property IntegralHeight;


DateUtil.LastDayOfPrevMonth

DateUtil

Returns the last day of the previous month relative to the current system date.

property function LastDayOfPrevMonth: TDateTime;

Description

LastDayOfPrevMonth example:

Last := LastDayOfPrevMonth;


TOleController.GetProperty

TOleController

Many automation objects include properties in their interfaces. Properties represent the state or content of the automation server. This method allows you to refer to automation-object property by its name AName.

property function GetProperty(const AName: string): PVariant;


TFontComboBox.OnKeyPress

TFontComboBox

property OnKeyPress;


TAnimatedImage.Create

TAnimatedImage

constructor Create ( AOwner: TComponent );


TRxDice.OnMouseMove

TRxDice

property OnMouseMove;


TCheckUserEvent

TCheckUserEvent is the type of the OnCheckUser event of the TDBSecurity component.

Unit

DBSecur

TCheckUserEvent ( UsersTable : TTable ; const Password : string ): Boolean of object ;

Description

property TCheckUserEvent = function(UsersTable: TTable; const Password: string): Boolean of object;


TDBCallback

Hierarchy Methods

Internal BDE callback object

Unit

DbPrgrss


TCloneTable.InitFromTable

TCloneTable

procedure InitFromTable ( SourceTable: TTable; Reset: Boolean );


TRxDBComboBox.Sorted

TRxDBComboBox

property Sorted;


TRxTrayIcon.MouseDown

TRxTrayIcon

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxMemoryData.ClearCalcFields

TRxMemoryData

procedure ClearCalcFields ( Buffer: PChar );


TFontComboBox.OnChange

TFontComboBox

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxCustomRichEdit.HideSelection

TRxCustomRichEdit

property HideSelection: Boolean read FHideSelection write SetHideSelection default True;


BoxProcs.BoxMoveSelectedItems

BoxProcs

Moves all selected items from the SrcList to the DstList.

property procedure BoxMoveSelectedItems(SrcList, DstList: TCustomListBox);

Description

BoxMoveSelectedItems example:

procedure TMyForm.IncBtnClick(Sender: TObject);

begin

__BoxMoveSelectedItems(SrcList, DstList);

end;


TSortMarker

Unit

RXDBCtrl

Description

ValueMeaning

smNone

smDown

smUp


TRxCalculator.Title

TRxCalculator

The Title property determines the text that appears in the calculator dialog box's title bar.

property Title: string;


TRxClock.Font

TRxClock

property Font;


VCLUtils.LoadAniCursor

VCLUtils

Loads an animated cursor from executable

property function LoadAniCursor(Instance: THandle; ResID: PChar): HCursor;

Description

The LoadAniCursor function loads the specified animated cursor resource from the executable (.EXE or .DLL) file associated with the specified application instance.

Instance parameter identifies an instance of the module whose executable file contains the animated cursor to be loaded. ResID parameter points to a null-terminated string that contains the name of the animated cursor resource (RT_ANICURSOR type) to be

loaded. Alternatively, this parameter can consist of the resource identifier in the low-order word and zero in the high-order word. The MakeIntResource function can also be used to create this value. If the function succeeds, the return value is the handle of the newly loaded animated cursor. If the function fails, the return value is 0 (zero).

LoadAniCursor example:

var Cur: HCursor;

begin

__\\\\\\\...\\\\\\\

__Cur := LoadAniCursor(hInstance, 'CUR_COIN');

__if Cur = 0 then

____\\\\\\\ error loading cursor \\\\\\\

__else

____Screen.Cursors[200] := Cur;

__\\\\\\\...\\\\\\\

end;


TPropInfoList.Create

TPropInfoList

constructor Create ( AObject: TObject; Filter: TTypeKinds );


(Untitled)

TCheckItemsEditor Methods

TCheckItemsEditor Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TTypedComObject Methods

TTypedComObject Alphabetically Legend

In TTypedComObject

GetClassInfo

Derived from TComObject

Create

CreateAggregated

CreateFromFactory

Destroy

Initialize

ObjAddRef

ObjQueryInterface

ObjRelease

SafeCallException


TPopupDataWindow.Click

TPopupDataWindow

procedure Click;


TRxCheckListBox.CreateWnd

TRxCheckListBox

procedure CreateWnd;


TRxDBComboBox.DragMode

TRxDBComboBox

property DragMode;


TRxTimer.SyncEvent

TRxTimer

property SyncEvent: Boolean read FSyncEvent write FSyncEvent default True;


TDBDateEdit.GetReadOnly

TDBDateEdit

function GetReadOnly: Boolean;


TIconList.Exchange

TIconList

procedure Exchange ( Index1 , Index2: Integer );


TWinMinMaxInfo.Assign

TWinMinMaxInfo

procedure Assign ( Source: TPersistent );


TRxCalcEdit.Value

TRxCalcEdit

Value is the actual data in a TCurrencyEdit or in a TRxCalcEdit.

property Value: Extended;

Description

Use Value to read data directly from and write data directly to an editor. When Text property is empty string, the Value property returns 0 (zero)


TRxDBGrid.GetCellProps

TRxDBGrid

procedure GetCellProps ( Field: TField; AFont: TFont; var Background: TColor; Highlight: Boolean );


TPageProxy.Destroy

TPageProxy

destructor Destroy;


TFontDevice

Unit

RXCombos

Description

ValueMeaning

fdScreen

fdPrinter

fdBoth


TDBLoginDialog.OnCheckUnlock

TDBLoginDialog

property OnCheckUnlock: TCheckUnlockEvent read FCheckUnlock write FCheckUnlock;


TFormPlacement

Hierarchy Properties Methods Events

The TFormPlacement component provides a quick method for saving size and position of its parent form.

Unit

Placemnt

Description

To use the component, specify which properties you want to save in the Options property, and set the IniFileName and IniSections property to the filename of your applications initialization file. In 32-bit version you can set the UseRegistry property to True to use Windows system registry instead of an ini-file.

You can then set property Active to True to allow automatically save and restore specified properties, or call the RestoreFormPlacement and SaveFormPlacement methods to retrieve or save the form. The MinMaxInfo property provides an easy way to limit a form's minimum and maximum tracking size.

Using class TFormPlacement

Set Active property to True to enable save and restore parent form's size and position.

When IniFileName is set to the empty string the default name for the INI-file (or Registry Key) will be used.

In 32-bit version, when UseRegistry is True, TFormPlacement uses standard TRegIniFile class. So the IniFileName passed to a TFormPlacement component becomes a subkey under the system registry’s root key (HKEY_CURRENT_USER by default).

You can handle the OnSavePlacement ans OnRestorePlacement events to save and restore additional information to the initialization file or Windows Registry.

The TFormPlacement and TFormStorage components provides a quick method for saving size and position of its parent form.

This component also allows control of a parent form with style bsSizeable to have the Minumum and Maximum sizes controlled by the developer.


TDirectoryEdit.OnKeyUp

TDirectoryEdit

property OnKeyUp;


TGIFImage.GetWidth

TGIFImage

function GetWidth: Integer;


TDateEdit.PopupMenu

TDateEdit

property PopupMenu;


TFontComboBox.OnDragOver

TFontComboBox

property OnDragOver;


TRxLookupControl.DisplayEmpty

TRxLookupControl

property DisplayEmpty: string read FDisplayEmpty write SetDisplayEmpty;


TDirectoryEdit.EditMask

TDirectoryEdit

property EditMask;


TRxSpeedButton.CheckBtnMenuDropDown

TRxSpeedButton

CheckBtnMenuDropDown allows applications to programatically display a TRxSpeedButton's or TSpeedItem's drop-down menu.

property function CheckBtnMenuDropDown: Boolean;


TRxGIFAnimator.Center

TRxGIFAnimator

property Center: Boolean read FCenter write SetCenter default False;


TConverter.SetAsDate

TConverter

procedure SetAsDate ( Value: TDateTime );


TCloneTable

Hierarchy Properties Methods Events

Child of TTable. Allows to clone a table (to work on different records at the same time with only 1 table opened).

Unit

BdeUtils


(Untitled)

TBookmarkList Methods

TBookmarkList Alphabetically Legend

In TBookmarkList

Clear

Compare

Create

CurrentRow

Delete

Destroy

Find

IndexOf

LinkActive

Refresh


TRxDBGrid.OnCheckButton

TRxDBGrid

When the checkbutton is checked or unchecked, this event is triggered.

property OnCheckButton: TCheckTitleBtnEvent read FOnCheckButton write FOnCheckButton;


(Untitled)

TRxRemoteLogin Events

TRxRemoteLogin Alphabetically Legend

In TRxRemoteLogin

OnCheckUser

OnIconDblClick

OnUnlock

Derived from TRxCustomLogin


TIconFrame.Seq

TIconFrame

property Seq: Integer read FSeq;


TDirectoryEdit.MultipleDirs

TDirectoryEdit

When MultipleDir = True, the directory name selected in the dialog will be added to the Text property; when False, the selected directory name will replace the text of the editor.

property MultipleDirs: Boolean;


TAniTag

Internal use

Unit

AniFile

TAniTag packed record

ckID:TFourCC;

ckSize:Longint;

end;


(Untitled)

TRxRichEdit Methods

TRxRichEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FindDialog

FindNext

FindText

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetCaretPos

GetCharPos

GetControlsAlignment

GetLineIndex

GetLineLength

GetNamePath

GetParentComponent

GetSelection

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

GetTextRange

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

InsertObjectDialog

Invalidate

IsRightToLeft

LineFromChar

ManualDock

ManualFloat

MouseWheelHandler

ObjectPropertiesDialog

PaintTo

PasteFromClipboard

PasteSpecialDialog

Perform

Print

Realign

Redo

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDialog

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelection

SetSelTextBuf

SetTextBuf

Show

StopGroupTyping

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WordAtCursor


TDBLoginDialog.FillParams

TDBLoginDialog

procedure FillParams ( LoginParams: TStrings );


TRxDBCalcEdit.DataField

TRxDBCalcEdit

property DataField: string read GetDataField write SetDataField;


TCustomBDEItems.CreateHandle

TCustomBDEItems

function CreateHandle: HDBICur;


(Untitled)

EPropReadOnly Methods

EPropReadOnly By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TIconList.Insert

TIconList

The Insert method inserts an icon into the list of icons.

property procedure Insert(Index: Integer; Icon: TIcon); virtual;

Description

Specify the icon to insert as the value of the Icon parameter. Specify the position in the list where you want the icon inserted as the value of the Index parameter. The index is zero-based, so the first position in the list has an index value of 0.


(Untitled)

TDirectoryListDialog Methods

TDirectoryListDialog Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TPictEditor

Hierarchy Properties Methods

Unit

PictEdit


(Untitled)

TRxCustomSlider Properties

TRxCustomSlider By object Legend

Action

Align

Anchors

BevelStyle

BiDiMode

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EdgeSize

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

ImageHRuler

ImageHThumb

ImageVRuler

ImageVThumb

Increment

Left

LRDockWidth

MaxValue

MinValue

Name

NumThumbStates

Options

Orientation

Owner

Parent

ParentWindow

ReadOnly

ShowHint

Showing

SliderRect

TabOrder

TabStop

Tag

TBDockHeight

ThumbOffset

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TSpeedItem.AllowTimer

TSpeedItem

property AllowTimer: Boolean read GetAllowTimer write SetAllowTimer default False;


(Untitled)

TRxFolderMonitor Methods

TRxFolderMonitor Alphabetically Legend

In TRxFolderMonitor

Changed

Create

Destroy

FreeNotifyThread

Loaded

ResetNotifyThread

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomNumEdit.Alignment

TCustomNumEdit

property Alignment: TAlignment read FAlignment write SetAlignment default taRightJustify;


(Untitled)

TColorComboBox Methods

TColorComboBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

Click

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DoChange

Dock

DockDrop

DragDrop

Dragging

DrawItem

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

PopulateList

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxSpinEdit.MaxValue

TRxSpinEdit

Use this property to specify the maximum Value that can be entered.

property MaxValue: Double;


TDateTimeFormat.TimeFormat

TDateTimeFormat

property TimeFormat: TTimeFormat read FTimeFormat write FTimeFormat;


TRxLabel.Anchors

TRxLabel

property Anchors;


TDirectoryEdit.DragCursor

TDirectoryEdit

property DragCursor;


TRxTimer.Destroy

TRxTimer

destructor Destroy;


TLineSpacingRule

Unit

RxRichEd

Description

ValueMeaning

lsSingle

lsOneAndHalf

lsDouble

lsSpecifiedOrMore

lsSpecified

lsMultiple


(Untitled)

TRxMainMenu Events

TRxMainMenu Alphabetically Legend

In TRxMainMenu

OnDrawItem

OnGetImageIndex

OnGetItemParams

OnMeasureItem

Derived from TMainMenu

OnChange


(Untitled)

TRxDBCalcEdit Methods

TRxDBCalcEdit By object Legend

AcceptValue

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditCanModify

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDisplayText

GetNamePath

GetParentComponent

GetReadOnly

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsValidChar

KeyDown

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

Reset

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateFieldParams

UpdatePopup

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TTextListBox.BiDiMode

TTextListBox

property BiDiMode;


TRxDBRichEdit.AllowInPlace

TRxDBRichEdit

property AllowInPlace;


TOleController.SetLocale

TOleController

procedure SetLocale ( PrimaryLangID , SubLangID: Word );


TRxGradientCaption.OnDeactivate

TRxGradientCaption

Fired when the active property is set to false

property OnDeactivate: TNotifyEvent read FOnDeactivate write FOnDeactivate;


TResourceEntry.GetGraphic

TResourceEntry

function GetGraphic ( ResFile: TIResourceFile ): TGraphic;


TMergeManager.Notification

TMergeManager

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxDBLookupCombo.FieldsDelimiter

TRxDBLookupCombo

property FieldsDelimiter;


TSpeedbarEditor.GetEditState

TSpeedbarEditor

function GetEditState: TEditState;


StrUtils.AddCharR

StrUtils

AddCharR return a string right-padded to length N with characters C.

property function AddCharR(C: Char; const S: string; N: Integer): string;

Description

AddCharR example:

__S := 'Let It Be';

__S := AddChar(' ', S, 10);

__\\\\\\\ here S = 'Let It Be ' \\\\\\\


(Untitled)

TTextListBox Methods

TTextListBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ItemAtPos

ItemRect

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WndProc


TPopupWindow.Create

TPopupWindow

constructor Create ( AOwner: TComponent );


StrUtils.FindPart

StrUtils

FindPart compares a string with '?' and another, returns the position of HelpWilds in InputStr.

property function FindPart(const HelpWilds, InputStr: string): Integer;

Description

FindPart example:

var P: Integer; Wild: string;

begin

__Wild := '?im';

__P := FindPart(Wild, 'Let him go');

__\\\\\\\ here P = 5 \\\\\\\

end;


TDirectoryEdit.OnDblClick

TDirectoryEdit

property OnDblClick;


(Untitled)

TAggregatedObject Properties

TAggregatedObject By object Legend

Controller


TRxCheckListBox.OnExit

TRxCheckListBox

property OnExit;


(Untitled)

TRxSpinButton Events

TRxSpinButton By object Legend

OnBottomClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnStartDock

OnStartDrag

OnTopClick


(Untitled)

TDatabaseList Events

TDatabaseList Alphabetically Legend

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnFilterRecord


TDBDateEdit.ParentShowHint

TDBDateEdit

property ParentShowHint;


TDispDesc

Unit

ComObj

TDispDesc packed record

DispID:Integer;

ResType:Byte;

CallDesc:TCallDesc;

end;


TAnimatedImage.OnStop

TAnimatedImage

The OnStop event is triggered if the component has finished displaying the animation and the Active (Animate) property is set to False (during run-time).

property OnStop: TNotifyEvent;


TAggregatedObject.Create

TAggregatedObject

constructor Create ( Controller: IUnknown );


TComboEdit.ParentFont

TComboEdit

property ParentFont;


TRxTrayIcon.Notification

TRxTrayIcon

procedure Notification ( AComponent: TComponent; Operation: TOperation );


(Untitled)

TComboEdit Methods

TComboEdit Alphabetically Legend

Derived from TCustomComboEdit

Create

Destroy

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxLookupEdit.DirectInput

TRxLookupEdit

property DirectInput;


TRxDBComboEdit.Loaded

TRxDBComboEdit

procedure Loaded;


TRxCalculator.OnChange

TRxCalculator

OnChange event is triggered when any value of the calculator is changed.


TRxCalculator.Precision

TRxCalculator

Precision determines the precision used in formatting the value in the Calculator display.

property Precision: Byte read FPrecision write FPrecision default DefCalcPrecision;

Description

Use Precision set the number of digits beyond the decimal point the value should be formatted to before rounding begins.

The default value of Precision is 15 decimal places.

NOTE. Precision must be greater than or equal to 2. Trying to set Precision to a value less than 2 changes the value of Precision to 2.


TComboEdit.OnDragDrop

TComboEdit

property OnDragDrop;


TRxRichEdit.WantReturns

TRxRichEdit

property WantReturns;


TAutoObjectFactory

Hierarchy Properties Methods

Unit

ComObj


TSpeedbarSection.RemoveItem

TSpeedbarSection

procedure RemoveItem ( Item: TSpeedItem );


TRxGradientCaption.Active

TRxGradientCaption

Determines if component is active i.e. visible or not.

property Active: Boolean read GetActive write SetActive default True;


TTextListBox.OnMouseMove

TTextListBox

property OnMouseMove;


TRxClock.OnEndDrag

TRxClock

property OnEndDrag;


TRxProjectResExpert.GetResFile

TRxProjectResExpert

function GetResFile: TIResourceFile;


TRxCaption.ParentFont

TRxCaption

property ParentFont: Boolean read FParentFont write SetParentFont default True;


(Untitled)

TDBProgress Events

TDBProgress Alphabetically Legend

In TDBProgress

OnMessageChange

OnPercentChange

OnProgress

OnTrace


TRxDBCalcEdit.ParentColor

TRxDBCalcEdit

property ParentColor;


TFilenameEdit.NumGlyphs

TFilenameEdit

property NumGlyphs;


TRxGIFAnimator.OnFrameChanged

TRxGIFAnimator

The OnFrameChanged event is generated for every change in the display of frames. The new frame number can be obtained from the FrameIndex property.

property OnFrameChanged: TNotifyEvent;


TSpeedBar.ForEachItem

TSpeedBar

procedure ForEachItem ( Proc: TForEachItem; Data: Longint );


(Untitled)

TImageForm Events

TImageForm By object Legend

OnActivate

OnCanResize

OnCheckUnlock

OnCheckUserEvent

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnIconDblClick

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


(Untitled)

TCustomClipboardViewer Methods

TCustomClipboardViewer Alphabetically Legend

In TCustomClipboardViewer

Change

Create

CreatePaintControl

CreateWnd

DestroyWindowHandle

GetDrawFormat

ValidFormat

Derived from TScrollBox

Derived from TScrollingWinControl

Destroy

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCurrencyEdit.ZeroEmpty

TCurrencyEdit

When True and Value property has zero value (0) the focused editor has empty Text property (empty string). When False editor always shows '0' string when Value = 0. The default value is True..

property ZeroEmpty: Boolean;


TButtonImage

Hierarchy Properties Methods Events

Internal object

Unit

RXCtrls


(Untitled)

TContainedObject Properties

TContainedObject By object Legend

Controller


TOwnerDrawComboBox.ResetItemHeight

TOwnerDrawComboBox

procedure ResetItemHeight;


TDBDateEdit.Create

TDBDateEdit

constructor Create ( AOwner: TComponent );


TSecretPanel.TimerExpired

TSecretPanel

procedure TimerExpired ( Sender: TObject );


TRxDBLookupCombo.ParentColor

TRxDBLookupCombo

property ParentColor;


TFormPlacement.Restore

TFormPlacement

procedure Restore;


TRxDBFilter.DropAllFilters

TRxDBFilter Example

DropAllFilter drops the all filters on the specified DataSet and frees all resources associated with the filters.

property procedure DropAllFilters(DataSet: TDataSet);


TPageHistory.ResetHistory

TPageHistory

procedure ResetHistory;


(Untitled)

TClipboardViewer Events

TClipboardViewer Alphabetically Legend

In TClipboardViewer

OnChange

OnEndDock

OnStartDock

OnStartDrag

Derived from TScrollBox

OnCanResize

OnClick

OnConstrainedResize

OnContextPopup

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDrag

OnEnter

OnExit

OnGetSiteInfo

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnResize

OnUnDock

Derived from TWinControl


(Untitled)

TRxCustomRichEdit Methods

TRxCustomRichEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

CloseFindDialog

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParams

CreateParented

CreateWindowHandle

CreateWnd

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DestroyWnd

DisableAlign

Dock

DockDrop

DoSetMaxLength

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FindDialog

FindNext

FindText

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetCaretPos

GetCharPos

GetControlsAlignment

GetLineIndex

GetLineLength

GetNamePath

GetParentComponent

GetPopupMenu

GetSelection

GetSelLength

GetSelStart

GetSelText

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

GetTextRange

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

InsertObjectDialog

Invalidate

IsRightToLeft

LineFromChar

ManualDock

ManualFloat

MouseWheelHandler

ObjectPropertiesDialog

PaintTo

PasteFromClipboard

PasteSpecialDialog

Perform

Print

ProtectChange

Realign

Redo

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDialog

ReplaceDockedControl

RequestSize

SafeCallException

SaveClipboard

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SelectionChange

SendToBack

SetBounds

SetFocus

SetPlainText

SetSelection

SetSelLength

SetSelStart

SetSelTextBuf

SetTextBuf

Show

StopGroupTyping

TextNotFound

Undo

Update

UpdateAction

UpdateControlState

URLClick

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WordAtCursor


TAllTimersEvent

TAllTimersEvent is the type of the OnTimers event of the TRxTimerList component.

Unit

TimerLst

property TAllTimersEvent = procedure(Sender: TObject; Handle: Longint) of object;


TSecretPanel.OnMouseUp

TSecretPanel

property OnMouseUp;


(Untitled)

TCloneTable Events

TCloneTable By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxDBRichEdit.ParentColor

TRxDBRichEdit

property ParentColor;


TOleController.CallProcedureNoParams

TOleController

CallProcedureNoParams calls a procedure with No parameters, and function name AName.

property procedure CallProcedureNoParams(const AName: string);


TSpeedbarSection.Create

TSpeedbarSection

constructor Create ( AOwner: TComponent );


TDBStatusLabel.ParentColor

TDBStatusLabel

property ParentColor;


TRxDBRichEdit.ImeName

TRxDBRichEdit

property ImeName;


(Untitled)

TRxCaption Methods

TRxCaption By object Legend

Assign

Create

Destroy

GetNamePath

GetParentCaption

RestoreDefaults


TDBLocate.FetchAllRecords

TDBLocate

The FetchAllRecords procedure, when used with a query against a server database, forces the server to release all intermediate locks and reads the entire result set.

property procedure FetchAllRecords(DataSet: TDataSet);

Description

In Delphi 2.x or higher, use TDataset.FetchAll method instead.

FetchAllRecords example:

__Query1.Open;

__try

____FetchAllRecords(Query1);

____\\\\\\\ working with query result set \\\\\\\

__finally

____Query1.Close;

__end;


TRxQuery.IsEmpty

TRxQuery

function IsEmpty: Boolean;


TRxCustomRichEdit.InsertObjectDialog

TRxCustomRichEdit

function InsertObjectDialog: Boolean;


(Untitled)

TRxCustomSlider Methods

TRxCustomSlider By object Legend

AlignControls

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

CanModify

Change

Changed

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultDrawPoints

DefaultHandler

DefineProperties

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSliderRect

GetSliderValue

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

Loaded

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

MouseWheelHandler

Paint

PaintTo

Perform

RangeChanged

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetRange

SetTextBuf

Show

Sized

ThumbMouseDown

ThumbMouseMove

ThumbMouseUp

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TDirectoryEdit.GetLongName

TDirectoryEdit

function GetLongName: string;


TRxDice.OnChange

TRxDice

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TMemDataSetEditor

Hierarchy Methods

Unit

SelDSFrm


DateUtil.DaysPerMonth

DateUtil

DaysPerMonth returns the number of days in the specified month AMonth (1..12) and year AYear.

property function DaysPerMonth(AYear, AMonth: Integer): Integer;

Description

DaysPerMonth example:

The following example returns 28, since 1995 is not a leap year.

var D: Word;

begin

__D := DaysPerMonth(1995, 2);

end;


TFontComboBox.OnDropDown

TFontComboBox

property OnDropDown;


TDBDateEdit.TabOrder

TDBDateEdit

property TabOrder;


TBits

Properties Methods

Unit

VCLUtils


MaxMin.SwapLong

MaxMin

Exchange the values in two long integers Int1 and Int2.

procedure SwapLong(var Int1, Int2: Longint);

Description

SwapLong example:

SwapLong(I1, I2);


TCalendarStyle

The TCalendarStyle type is the type of the CalendarStyle property for a date editors (TDateEdit and TDBDateEdit components).

Unit

ToolEdit

TCalendarStyle = (csPopup, csDialog);

Description

ValueMeaning

csPopup

csDialog


TAnimatedImage.ParentShowHint

TAnimatedImage

property ParentShowHint;


TSplitterMoveEvent

Unit

RXSplit

TSplitterMoveEvent ( Sender : TObject ; X , Y : Integer ; var AllowChange : Boolean )of object ;


EOleException.Create

EOleException

constructor Create ( const Message: string; ErrorCode: Integer; const Source , HelpFile: string; HelpContext: Integer );


TRxClock.OnMouseMove

TRxClock

property OnMouseMove;


VCLUtils.ShadeRect

VCLUtils

ShadeRect the specified Rect (rectangle) area with parameter DC (Device to Context).

property procedure ShadeRect(DC: HDC; const Rect: TRect);

Description

ShadeRect example:

ShadeRect(Canvas.Handle, ARect);


(Untitled)

TRxLoginForm Properties

TRxLoginForm Alphabetically Legend

In TRxLoginForm

Attempt

SelectDatabase

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDateEdit.GetDateMask

TDateEdit

GetEditMask returns the validation edit mask (or the validation control during data entry). This mask is created according to the current Windows settings and to the FourDigitYears global variable (declared in DateUtil unit).

function GetDateMask: string;


TFilenameEdit.ClickKey

TFilenameEdit

property ClickKey;


TRxCheckListBox.OnGetItemWidth

TRxCheckListBox

This obtains the item's width.

(It should be bigger than any item or record on the list.)

property OnGetItemWidth: TGetItemWidthEvent;


(Untitled)

TRxButtonGlyph Events

TRxButtonGlyph Alphabetically Legend

In TRxButtonGlyph

OnChange


TFontComboBox.PopulateList

TFontComboBox

procedure PopulateList;


(Untitled)

TIniLink Methods

TIniLink Alphabetically Legend

In TIniLink

Destroy

LoadFromIni

SaveToIni

Derived from TPersistent

Assign

GetNamePath


TGIFFrame.AnimateInterval

TGIFFrame

Specifies the amount of time, in milliseconds, that the image displays during the

animation.

property AnimateInterval: Word;


(Untitled)

Hierarchy

TObject

|

TInterfacedObject


TRxPopupMenu.GetImageIndex

TRxPopupMenu

procedure GetImageIndex ( Item: TMenuItem; State: TMenuOwnerDrawState; var ImageIndex: Integer );


(Untitled)

TComObjectFactory Properties

TComObjectFactory Alphabetically Legend

In TComObjectFactory

ClassID

ClassName

ComClass

ComServer

Description

ErrorIID

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TRxSlider.BevelStyle

TRxSlider

property BevelStyle;


TSpeedItem.OnDblClick

TSpeedItem

property OnDblClick: TNotifyEvent read GetOnDblClick write SetOnDblClick;


(Untitled)

TRxDBComboEdit Events

TRxDBComboEdit By object Legend

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TQBEQuery.QBE

TQBEQuery

This property holds the actual QBE query statements.

property QBE: TStrings;

Description

After creating a query via the Database Desktop, or from within Paradox for Windows, save the query as a .QBE file (File | Save menu options). You can then load this previously saved file into the Delphi String list editor window for the QBE property by clicking on the Load button and selecting the file you previously saved. Optionally, you can specify the QBE statements interactively. The default value is blank - no QBE defined.

NOTES: The contents of the "ANSWER:" QBE statement generated when you save a query to a file are ignored by the BDE QBE processor. The contents of the Selected Fields list box of the Select Fields dialog box default to all fields that are selected via the QBE statements contained in the QBE property.


TDirectoryEdit.ParentFont

TDirectoryEdit

property ParentFont;


TTextListBox.BorderStyle

TTextListBox

property BorderStyle;


TCustomDBComboBox.Style

TCustomDBComboBox

property Style: TComboBoxStyle read GetStyle write SetStyle default csDropDown;


TDirectoryEdit.OnDragDrop

TDirectoryEdit

property OnDragDrop;


(Untitled)

TRxErrorDialog Events

TRxErrorDialog Alphabetically Legend

In TRxErrorDialog

OnErrorMsg

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TSQLScript Methods

TSQLScript Alphabetically Legend

In TSQLScript

CheckExecQuery

Create

DefineProperties

Destroy

ExecSQL

ExecStatement

ExecuteScript

GetText

ParamByName

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TAppEvents.UpdateFormatSettings

TAppEvents

property UpdateFormatSettings: Boolean read GetUpdateFormatSettings write SetUpdateFormatSettings default True;


TRxSpinButton.Anchors

TRxSpinButton

property Anchors;


(Untitled)

THugeList Events

THugeList By object Legend

OnDestroyObject


TRxDBLookupList.MouseMove

TRxDBLookupList

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TAppEvents.HintPause

TAppEvents

property HintPause: Integer read GetHintPause write SetHintPause default DefHintPause;


TRxGIFAnimator.OnEndDock

TRxGIFAnimator

property OnEndDock;


TRxCustomListBox.DefaultDrawText

TRxCustomListBox

procedure DefaultDrawText ( X , Y: Integer; const S: string );


(Untitled)

TRxBdeErrorDlg Properties

TRxBdeErrorDlg By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TAppEvents.HintShortPause

TAppEvents

This variable determines the amount of time required before the hint shows up.

HintShortPause : Longint

Description

(That is, you put the mouse on the form, how long it takes for the hint to come out after you put the mouse on the form).


TDBProgress.Active

TDBProgress

Set the Active property to True to enables the progress callback-events.

property Active: Boolean;

Description

Depending on the value of the Active the DBProgress will generate the OnProgress, OnMessageChange and OnPercentChange events each time the database passes control back to the TDBProgress component during the current database operation. Setting this property to False disables the generic progress callbacks.


(Untitled)

Hierarchy

TObject

|

TCustomIniFile

|

TIniFile


TRxCustomLabel.MouseDown

TRxCustomLabel

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxDBComboEdit.ExecuteAction

TRxDBComboEdit

function ExecuteAction ( Action: TBasicAction ): Boolean;


TDBDateEdit.DefaultToday

TDBDateEdit

property DefaultToday;


(Untitled)

TRxHintWindow Methods

TRxHintWindow By object Legend

ActivateHint

ActivateHintData

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CalcHintRect

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsHintMsg

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

ReleaseHandle

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TCustomClipboardViewer.Color

TCustomClipboardViewer

property Color default clWindow;


TRxCheckListBox.OnKeyPress

TRxCheckListBox

property OnKeyPress;


TCustomDateEdit.YearDigits

TCustomDateEdit

property YearDigits: TYearDigits read FYearDigits write SetYearDigits default dyDefault;


TCustomDBComboBox.ComboWndProc

TCustomDBComboBox

procedure ComboWndProc ( var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer );


TButtonImage.OnChange

TButtonImage

property OnChange: TNotifyEvent read FOnChange write FOnChange;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TCanvas


TRxRichEdit.OnProtectChangeEx

TRxRichEdit

property OnProtectChangeEx;


(Untitled)

TRxImageControl Methods

TRxImageControl Alphabetically Legend

In TRxImageControl

AdjustSize

Create

Destroy

DoPaintControl

DoPaintImage

DoPaletteChange

Lock

PaintDesignRect

PaintImage

PictureChanged

Unlock

Derived from TGraphicControl

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


StrUtils.ExtractWordPos

StrUtils

ExtractWord, ExtractWordPos and ExtractDelimited given a set of word delimiters, return the N'th word in S.

property function ExtractWordPos(N: Integer; const S: string; const WordDelims: TCharSet; var Pos: Integer): string;

Description

ExtractWordPos example:

S := 'Let him go';

S1 := ExtractWordPos(2, S, [' '], P);

\\\\\\\ here S1 = 'him', P = 6 \\\\\\\


TConverter.GetAsTime

TConverter

function GetAsTime: TDateTime;


(Untitled)

TBDEItems Events

TBDEItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TGraphic


TRxDBLookupList.OnKeyDown

TRxDBLookupList

property OnKeyDown;


TRxDice.MouseDown

TRxDice

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxClock.UseDockManager

TRxClock

property UseDockManager default True;


(Untitled)

EComboEditError Methods

EComboEditError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxDBFilter.Deactivate

TRxDBFilter

Deactivate filter for a dataset. It is equivalent to setting the Active property to False.

property procedure Deactivate;


(Untitled)

RXDate Properties

RXDate By object Legend

Action

Align

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

BoundsRect

Brush

Button

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CanUndo

CheckOnExit

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

Date

DefaultToday

DesignInfo

DialogTitle

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditMask

EditText

Enabled

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupColor

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

StartOfWeek

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

WeekendColor

WeekendColour

Weekends

Width

WindowProc

YearDigits


TRxSplitter.Color

TRxSplitter

property Color;


TFilenameEdit.HistoryList

TFilenameEdit

property HistoryList: TStrings read GetHistoryList write SetHistoryList;


TDirectoryEdit

Hierarchy Properties Methods Events

The TDirectoryEdit is a normal TEdit field for inputting directory names.

Unit

ToolEdit

Description

The TDirectoryEdit control has a button attached to it. When the Onclick event is triggered (when you click on the button), a dialog appears to allow the user to select a directory name. When the user chooses OK in the dialog box, the selected directory name is placed into the edit box's Text property.

Optionally, you can also permit the user to choose multiple directory names with the MultipleDir property.

This component use the SelectDirectory (Delphi) standard function from FileCtrl unit to show the dialog box.


TFormPlacement.EraseSections

TFormPlacement

procedure EraseSections;


TDBIndexCombo.Visible

TDBIndexCombo

property Visible;


TRxMemoryData.BeforeDelete

TRxMemoryData

property BeforeDelete;


TRxImageControl.PaintImage

TRxImageControl

procedure PaintImage;


TParaAlignment

Unit

RxRichEd

Description

ValueMeaning

paLeftJustify

paRightJustify

paCenter

paJustify


(Untitled)

TRxCalcEdit Events

TRxCalcEdit By object Legend

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


(Untitled)

EFilterError Methods

EFilterError Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TOleController.Locale

TOleController

Returns the Language ID.

property Locale: TLCID;


TRxTrayIcon.MouseMove

TRxTrayIcon

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TRxLookupControl.UseRightToLeftAlignment

TRxLookupControl

function UseRightToLeftAlignment: Boolean;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TMenu

|

TPopupMenu


TRxIniFile.ReadPoint

TRxIniFile

ReadPoint reads a point from the Inifile, from Section and Ident.

function ReadPoint(const Section, Ident: string; const Default: TPoint):TPoint;


TRxSwitch.ParentFont

TRxSwitch

property ParentFont;


VCLUtils.MinimizeText

VCLUtils

MinimimizeText returns a text string for display purposes, adding ellipses if necessary to maintain a length limit.

property function MinimizeText(const Text: string; Canvas: TCanvas; MaxWidth: Integer): string;

Description

Call MinimizeText to ensure that a text string fits in the alloted display space. If the text string passed as the Text parameter is longer than MaxWidth pixels when written to the canvas specified by the Canvas parameter, MinimizeText will remove last characters of the string and replace them by ellipses ('...') in order to shorten the resulting string.

MinimizeText example:

\\\\\\\...\\\\\\\

Form1.Canvas.TextRect(Rect, Rect.Left, Rect.Top,

MinimizeText(S, Form1.Canvas, WidthOf(Rect)));

\\\\\\\...\\\\\\\


TGIFFrame.ColorCount

TGIFFrame

property ColorCount: Integer read GetColorCount;


TRxClock.PopupMenu

TRxClock

property PopupMenu;


TCurrencyEdit.CheckOnExit

TCurrencyEdit

property CheckOnExit;


TRxCalcEdit.BorderStyle

TRxCalcEdit

property BorderStyle;


TRxSpinButton.ShowHint

TRxSpinButton

property ShowHint;


(Untitled)

TRxResourceEditor Methods

TRxResourceEditor By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TRxSwitch.OnDragDrop

TRxSwitch

property OnDragDrop;


(Untitled)

TRxRemoteLogin Properties

TRxRemoteLogin By object Legend

Active

AfterLogin

AllowEmptyPassword

AttemptNumber

BeforeLogin

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

IniFileName

LoggedUser

MaxPasswordLen

Name

Owner

RemoteServer

Tag

UpdateCaption

UseRegistry

VCLComObject


(Untitled)

TClipboardMonitor Methods

TClipboardMonitor By object Legend

Assign

BeforeDestruction

Change

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


(Untitled)

TRxRemoteLogin Methods

TRxRemoteLogin Alphabetically Legend

In TRxRemoteLogin

Create

Destroy

DoCheckUser

DoLogin

Loaded

Notification

Derived from TRxCustomLogin

Lock

Login

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxCustomLogin.Login

TRxCustomLogin

function Login: Boolean;


TRxLookupEdit.OEMConvert

TRxLookupEdit

property OEMConvert;


(Untitled)

TRxGIFAnimator Properties

TRxGIFAnimator Alphabetically Legend

In TRxGIFAnimator

Align

Anchors

Animate

AsyncDrawing

AutoSize

Center

Constraints

Cursor

DragCursor

DragKind

DragMode

Enabled

FrameIndex

Image

Loop

ParentShowHint

PopupMenu

ShowHint

Stretch

Transparent

Visible

Derived from TGraphicControl

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBRichEdit.DataField

TRxDBRichEdit

property DataField: string read GetDataField write SetDataField;


(Untitled)

TCheckItemEditor Methods

TCheckItemEditor By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TAnimatedCursorImage.LoadFromStream

TAnimatedCursorImage

procedure LoadFromStream ( Stream: TStream );


TRxTextAttributes.InitFormat

TRxTextAttributes

procedure InitFormat ( var Format: TCharFormat2 );


TGIFFrame.Bitmap

TGIFFrame

An internal bitmap that contains the GIF frame's image. Protected.

property Bitmap: TBitmap;


TRxRichEdit.OnEnter

TRxRichEdit

property OnEnter;


TFormStorage.RestoreProperties

TFormStorage

procedure RestoreProperties restores the properties of the selected controls and form.

property procedure RestoreProperties;


TRxLookupEdit.Visible

TRxLookupEdit

property Visible;


(Untitled)

TRxHintWindow Methods

TRxHintWindow Alphabetically Legend

In TRxHintWindow

ActivateHint

ActivateHintData

CalcHintRect

Create

CreateParams

Destroy

Paint

Derived from THintWindow

IsHintMsg

ReleaseHandle

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TSpeedItem Properties

TSpeedItem By object Legend

Action

AllowAllUp

AllowTimer

ASection

BtnCaption

Button

Caption

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Cursor

DesignInfo

Down

DropDownMenu

Enabled

Font

Glyph

GroupIndex

Hint

ImageIndex

Layout

Left

Margin

MarkDropDown

Name

NumGlyphs

Owner

ParentFont

ParentShowHint

ShowHint

Spacing

SpeedBar

Stored

Tag

Top

VCLComObject

Visible

WordWrap


TRxSplitter.ParentCtl3D

TRxSplitter

property ParentCtl3D default False;


(Untitled)

TGIFImage Events

TGIFImage Alphabetically Legend

In TGIFImage

OnProgress

Derived from TGraphic

OnChange


TRxSpeedButton.Constraints

TRxSpeedButton

property Constraints;


TRxGradientCaption

Hierarchy Properties Methods Events

This allows your caption bar to have a colour gradient accross it similar to Word, Excel etc.

Unit

RxGrdCpt


TRxCustomRichEdit.StopGroupTyping

TRxCustomRichEdit

procedure StopGroupTyping;


TCustomComboEdit.NumGlyphs

TCustomComboEdit

property NumGlyphs: TNumGlyphs read GetNumGlyphs write SetNumGlyphs;


TProgressControlProperty

Hierarchy Properties Methods

Unit

RxDsgn


TCheckUnlockEvent

TCheckUnlockEvent is the type of the OnUnlock event of the TDBSecurity component.

Unit

RxLogin

TCheckUnlockEvent ( const Password : string ): Boolean of object ;

Description

property TCheckUnlockEvent = function(const Password: string): Boolean of object;


TRxMemoryData.GetRecord

TRxMemoryData

function GetRecord ( Buffer: PChar; GetMode: TGetMode; DoCheck: Boolean ): TGetResult;


(Untitled)

TCustomDatabaseItems Events

TCustomDatabaseItems Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxRichEdit.BorderStyle

TRxRichEdit

property BorderStyle;


TRxLookupControl.ItemHeight

TRxLookupControl

property ItemHeight: Integer read GetItemHeight write SetItemHeight stored ItemHeightStored;


(Untitled)

RXDate Methods

RXDate By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

CheckValidDate

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDateMask

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateMask

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxClock.OnUnDock

TRxClock

property OnUnDock;


TRxGIFAnimator.OnStart

TRxGIFAnimator

property OnStart: TNotifyEvent read FOnStart write FOnStart;


TRxSplitter.BevelInner

TRxSplitter

property BevelInner;


(Untitled)

THugeList Methods

THugeList Alphabetically Legend

In THugeList

Add

Clear

Delete

Destroy

Exchange

Expand

First

Get

Grow

IndexOf

Insert

Last

Move

Pack

Put

Remove

SetCapacity

SetCount

Derived from TList

Extract

Sort


(Untitled)

TRxQueryThread Events

TRxQueryThread Alphabetically Legend

Derived from TThread

OnTerminate


TDBDateEdit.MaxLength

TDBDateEdit

property MaxLength;


TRxSlider.DefaultDrawPoints

TRxSlider

This allows the user to draw the 'ticks' of the RxSlider instead of using the default settings.

propertyprocedure DefaultDrawPoints(PointsStep, PointsHeight, ExtremePointsHeight: Integer); virtual;

Description

Example, draw a blue notch for every 5 points.


TAnimatedImage.Glyph

TAnimatedImage

The Glyph property holds the animation sequence frames .

property Glyph: TBitmap;

Description

The frames should be in Windows Bitmap file format. The frames may be arranged in either vertical or horizontal fashion one after the other.


TRxDice.ShowHint

TRxDice

property ShowHint;


TStrHolder.Changed

TStrHolder

procedure Changed;


TConverter.SetAsTime

TConverter

procedure SetAsTime ( Value: TDateTime );


TRxMemoryData.InternalInitFieldDefs

TRxMemoryData

procedure InternalInitFieldDefs;


TFileDirEdit.OnBeforeDialog

TFileDirEdit

property OnBeforeDialog: TExecOpenDialogEvent read FOnBeforeDialog write FOnBeforeDialog;


TDBDateEdit.CalendarStyle

TDBDateEdit

property CalendarStyle;


TRxCheckListBox.Ctl3D

TRxCheckListBox

property Ctl3D;


ClipIcon.CreateRealSizeIcon

ClipIcon

Creates new icon handle from Icon object that has the "real" size.

property function CreateRealSizeIcon(Icon: TIcon): HIcon;

Description

If the function succeeds, the return value is the handle of an icon. If the function fails, the return value is 0.

Before closing, an application must call the Windows API DestroyIcon function to free system resources associated with the icon.

CreateRealSizeIcon example:

var

__Ico: HIcon;

begin

__Ico := CreateRealSizeIcon(Form1.Icon);

__try

____\\\\\\\ ... \\\\\\\

__finally

____DestroyIcon(Ico);

__end;

end;


TRxWindowHook.AfterMessage

TRxWindowHook

AfterMessage event is triggered after a message generated from that particular control is passed.

property AfterMessage: THookMessageEvent read FAfterMessage write FAfterMessage;


(Untitled)

TRxCalcEdit Events

TRxCalcEdit Alphabetically Legend

In TRxCalcEdit

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TDBIndexCombo.EnableNoIndex

TDBIndexCombo

EnableNoIndex property determines whether or not the popup list contains additional item which can be selected by end-user to defeat using any indexes (i.e. assign empty value to IndexName and IndexFieldNames properties of attached table).

property EnableNoIndex: Boolean;

Description

String value for this additional item specified by NoIndexItem property.


TOleController.GetPropertyByID

TOleController

Many automation objects include properties in their interfaces.

property function GetPropertyByID(ID: DISPID): PVariant;

Description

Properties represent the state or content of the automation server. This method allows you to refer to automation-object property by its identifier ID.


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit

|

TCustomNumEdit


TTextListBox.WndProc

TTextListBox

procedure WndProc ( var Message: TMessage );


TRxCalcEdit.PopupAlign

TRxCalcEdit

property PopupAlign;


TCurrencyEdit.OnEnter

TCurrencyEdit

property OnEnter;


TPicClip.Changed

TPicClip

procedure Changed;


TIconList.LoadResource

TIconList

The LoadResource method loads the icons resources by ResIDs identifiers and adds them to the list of icons.

property procedure LoadResource(Instance: THandle; const ResIds: array of PChar);


(Untitled)

TResourceEntry Methods

TResourceEntry Alphabetically Legend

In TResourceEntry

Create

Destroy

EnableEdit

EnableRenameDelete

GetData

GetGraphic

GetIconData

GetName

GetResourceName

GetResourceType

GetTypeName

Rename


TSpeedBar.SetEditing

TSpeedBar

procedure SetEditing ( Win: HWnd );


TButtonImage.CreateButtonGlyph

TButtonImage

function CreateButtonGlyph ( State: TRxButtonState ): Integer;


TEraseSectEvent

Unit

RXProps

TEraseSectEvent ( const ASection : string )of object ;


TRxLookupControl.LookupDisplayIndex

TRxLookupControl

property LookupDisplayIndex: Integer read FDisplayIndex write FDisplayIndex default 0 property LookupField: string read GetLookupField write SetLookupField;


TCheckItemEditor.Create

TCheckItemEditor

constructor Create ( AOwner: TComponent );


TComboEdit.Constraints

TComboEdit

property Constraints;


THugeList.SetCount

THugeList

procedure SetCount ( NewCount: Longint );


TDBLoginDialog.CheckDatabaseChange

TDBLoginDialog

function CheckDatabaseChange: Boolean;


(Untitled)

TBits Methods

TBits Alphabetically Legend

In TBits

Destroy

OpenBit


TRxDBFilter.Handle

TRxDBFilter

property Handle: hDBIFilter read FExprHandle;


TRxMainMenu.Style

TRxMainMenu

property Style: TRxMenuStyle read FStyle write SetStyle default msStandard;


TRxLookupEdit.OnMouseDown

TRxLookupEdit

property OnMouseDown;


THugeList.Clear

THugeList

procedure Clear;


TRxDBLookupCombo.IgnoreCase

TRxDBLookupCombo

If IgnoreCase property is True (default), the incrementally search through the lookup list is processed without regard to case in the dataset's data. When False, incremental searching considers case sensitivity when performing an incremental search.

property IgnoreCase: Boolean;

Description

This property has no effect with some SQL-Links.


TRxSplitter.Loaded

TRxSplitter

procedure Loaded;


TDBStatusLabel.OnMouseLeave

TDBStatusLabel

property OnMouseLeave;


TRxCustomRichEdit.CreateWindowHandle

TRxCustomRichEdit

procedure CreateWindowHandle ( const Params: TCreateParams );


TSpeedItem.Hint

TSpeedItem

property Hint: string read GetHint write SetHint;


(Untitled)

TRxPopupDataList Events

TRxPopupDataList Alphabetically Legend

Derived from TRxDBLookupList

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

Derived from TRxLookupControl

Derived from TWinControl

Derived from TControl


(Untitled)

TTableList Methods

TTableList Alphabetically Legend

In TTableList

GetTableName

Derived from TCustomDatabaseItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTextListBox.OnMouseWheelUp

TTextListBox

property OnMouseWheelUp;


TRxSplitter.BottomRightLimit

TRxSplitter

TopLeftLimit and BottomRightLimit are the minimum sizes, in pixels, of the client area the splitter must leave on the form.

property BottomRightLimit: Integer;

Description

Set TopLeftLimit or BottomRightLimit to provide a minimum size the splitter must leave when resizing its neighboring control. For example, if the Align property is alLeft or alRight, TopLeftLimit is the minimum width of the client area to the left of the splitter and BottomRightLimit is the minimum width of the client area to the right of the splitter. If the Align property is alTop, TopLeftLimit is

the minimum height of the client area above the splitter.


TCustomDateEdit.CreateWindowHandle

TCustomDateEdit

procedure CreateWindowHandle ( const Params: TCreateParams );


VCLUtils.RegisterServer

VCLUtils

RegisterServer registers an OLE server.

property function RegisterServer(const ModuleName: string): Boolean;

Description

RegisterServer example:

RegisterServer('cfx32.ocx');


(Untitled)

Hierarchy

TObject

|

TComObject

|

TTypedComObject


TDBLocate.SetIndex

TDBLocate

Use SetIndex specify an alternative index for a table by setting IndexFieldNames property. Use this procedure only with RestoreIndex:

property procedure SetIndex(Table: TTable; const IndexFieldNames: string);

Description

SetIndex(Table1, 'NAME');

try

__...

finally

__RestoreIndex(Table1);

end;

SetIndex example:

SetIndex(Table1, 'NAME');

try

__...

finally

__RestoreIndex(Table1);

end;


TComServerObject.GetServerName

TComServerObject

function GetServerName: string;


TBtnControl.NumGlyphs

TBtnControl

property NumGlyphs: TRxNumGlyphs read GetNumGlyphs write SetNumGlyphs;


TDBLocate.InitRSRun

TDBLocate

Initializes Report Smith runtime by updating RPTSMITH.CON file.

property procedure InitRSRun(Database: TDatabase; const ConName: string; ConType: Integer; const ConServer: string);

Description

ConName parameter specifies connection name. You can use empty string as this parameter to use application EXE-name as connection name. ConType is a connection type, defined in REPORT.PAS unit (i.e. ctIDAPIDBase). ConServer specifies server name, for example, 'PARADOX' or 'IBLOCAL'.

InitRSRun example:

procedure TMainForm.FormCreate(Sender: TObject);

begin

__InitRSRUN(Database, '', ctIDAPIParadox, 'PARADOX');

end;


TRxClock.TwelveHour

TRxClock

This specifies whether or not TRxClock displays time values using a twelve-hour clock.

property TwelveHour: Boolean read FTwelveHour write SetTwelveHour default False;

Description

TwelveHour = true --> 8:21 p.m. --> "08:21 PM";

Property TwelveHour = false --> 8:21 p.m. --> "20:21 PM";

The values of TimeAMString and TimePMString standard global variables are used during the formatting of the twelve-hour time.


TSpeedItem.DefineProperties

TSpeedItem

procedure DefineProperties ( Filer: TFiler );


(Untitled)

TOwnerDrawComboBox Methods

TOwnerDrawComboBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MinItemHeight

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetItemHeight

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxDrawGrid.OnGetPicklist

TRxDrawGrid

OnGetPicklist occurs when the in-place editor requests a pick-list for its drop-down

control. You must fill contents of string-list specified by PickList parameter by adding

lines (and possible objects) to the string-list. OnGetPicklist does not occur unless the

Options property includes goEditing and your custom OnGetEditStyle event handler set

Style parameter to iePicklist.

property OnGetPicklist: TPicklistEvent;


TRxDrawGrid.InvalidateCol

TRxDrawGrid

procedure InvalidateCol ( ACol: Longint );


TRxMainMenu.OnMeasureItem

TRxMainMenu

property OnMeasureItem: TMeasureMenuItemEvent read FOnMeasureItem write FOnMeasureItem;


TIconList.InsertResource

TIconList

The InsertResource method loads an icon resource by ResID identifier and inserts its into the list of icons.

property procedure InsertResource(Index: Integer; Instance: THandle; ResId: PChar); virtual;

Description

Specify the position in the list where you want the icon inserted as the value of the Index parameter.


TSpeedBar.OnApplyAlign

TSpeedBar

OnApplyAlign sets the alignment to a particular part of the form [top, bottom, left and

right]. OnApplyAlign is useful for setting some settings that are form specific, e.g., the

position of the speedbuttons (from Left-right to Top bottom).

OnApplyAlign example

procedure TMainForm.SpeedBarApplyAlign(Sender: TObject; Align: TAlign; var Apply:

Boolean);

begin

__Apply := Align in [alTop, alBottom];

end;

property OnApplyAlign: TApplyAlignEvent;


TStrHolder.Create

TStrHolder

constructor Create ( AOwner: TComponent );


(Untitled)

TCustomClipboardViewer Properties

TCustomClipboardViewer Alphabetically Legend

In TCustomClipboardViewer

ClipboardFormatNames

Color

ParentColor

ViewFormat

Derived from TScrollBox

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderStyle

Constraints

Ctl3D

DockSite

DragCursor

DragKind

DragMode

Enabled

Font

ParentBiDiMode

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

TabOrder

TabStop

Visible

Derived from TScrollingWinControl

HorzScrollBar

VertScrollBar

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSpeedBar.ParentCtl3D

TSpeedBar

property ParentCtl3D;


TRxSpinEdit.TabOrder

TRxSpinEdit

property TabOrder;


TCustomComboEdit.ReadOnly

TCustomComboEdit

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TFontComboBox.ImeName

TFontComboBox

property ImeName;


(Untitled)

TTypedComObject Methods

TTypedComObject By object Legend

Create

CreateAggregated

CreateFromFactory

Destroy

GetClassInfo

Initialize

ObjAddRef

ObjQueryInterface

ObjRelease

SafeCallException


TPropsStorage.EraseSection

TPropsStorage

procedure EraseSection ( const ASection: string );


TRxMemoryData.IsCursorOpen

TRxMemoryData

function IsCursorOpen: Boolean;


TRxProjectResExpert.UniqueName

TRxProjectResExpert

function UniqueName ( ResFile: TIResourceFile; ResType: PChar; var Index: Integer ): string;


TRxSpinEdit.DownClick

TRxSpinEdit

procedure DownClick ( Sender: TObject );


(Untitled)

TRxClock Properties

TRxClock Alphabetically Legend

In TRxClock

AlarmEnabled

AlarmHour

AlarmMinute

AlarmSecond

Align

Anchors

AutoSize

BevelInner

BevelOuter

BevelWidth

BorderStyle

BorderWidth

Color

Constraints

Ctl3D

Cursor

DockSite

DotsColor

DragCursor

DragKind

DragMode

Enabled

Font

FullRepaint

LeadingZero

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

ShowMode

ShowSeconds

TwelveHour

UseDockManager

Visible

Derived from TCustomPanel

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBIndexCombo.FillIndexList

TDBIndexCombo

procedure FillIndexList ( List: TStrings );


(Untitled)

TRxLabel Properties

TRxLabel By object Legend

Action

Align

Alignment

Anchors

AutoSize

BiDiMode

BoundsRect

Canvas

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

FocusControl

Font

Height

Hint

HostDockSite

Layout

Left

LRDockWidth

MouseInControl

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentFont

ParentShowHint

PopupMenu

ShadowColor

ShadowPos

ShadowSize

ShowAccelChar

ShowFocus

ShowHint

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc

WordWrap


TAnimatedImage.ParentColor

TAnimatedImage

property ParentColor default True;


TRxLabel.ShowHint

TRxLabel

property ShowHint;


TRxQuery.ExecDirect

TRxQuery

procedure ExecDirect;


TMemoryTable.TableName

TMemoryTable

property TableName: TFileName read FTableName write SetTableName;


TColorComboBox.OnStartDock

TColorComboBox

property OnStartDock;


TRxSpinEdit.OnExit

TRxSpinEdit

property OnExit;


TCurrencyEdit.MaxValue

TCurrencyEdit

Use this property to specify the maximum value that can be entered.

property MaxValue: Extended;


TGIFImage.Draw

TGIFImage

procedure Draw ( ACanvas: TCanvas; const ARect: TRect );


TCustomDBComboBox.SetStyle

TCustomDBComboBox

procedure SetStyle ( Value: TComboBoxStyle );


TRxCustomRichEdit.Title

TRxCustomRichEdit

property Title: string read FTitle write SetTitle;


TRxDice.AdjustSize

TRxDice

procedure AdjustSize;


TLookupSourceLink.DataSetChanged

TLookupSourceLink

procedure DataSetChanged;


TPageManager.GetUniqueName

TPageManager

THIS TOPIC IS NOT COMPLETE!

property function GetUniqueName(Component: TComponent): string;


(Untitled)

TDatabaseList Methods

TDatabaseList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

ClearFields

Close

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TConverter.TimeFormat

TConverter

The TimeFormat property controls the order and number of digits in the hours, minutes, and seconds components of time.

property TimeFormat: TTimeFormat;


(Untitled)

TDirectoryEdit Events

TDirectoryEdit Alphabetically Legend

In TDirectoryEdit

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TFileDirEdit

OnAfterDialog

OnBeforeDialog

OnButtonClick

OnDropFiles

Derived from TWinControl

Derived from TControl


TSpeedBar.OnVisibleChanged

TSpeedBar

OnVisibleChanged occurs when the control is shown or hide (that is, when the control’s

Visible property changes).

property OnVisibleChanged: TNotifyEvent;


TPopupWindow.SetValue

TPopupWindow

procedure SetValue ( const Value: Variant );


TRxLookupControl

Hierarchy Properties Methods Events

Base class for Lookup support

Unit

RxLookup


TAnimatedImage.AutoSize

TAnimatedImage

property AutoSize default True;


TRxSlider.ParentShowHint

TRxSlider

property ParentShowHint;


TRxCustomRichEdit.URLClick

TRxCustomRichEdit

procedure URLClick ( const URLText: string; Button: TMouseButton );


TSQLScript.IgnoreParams

TSQLScript

property IgnoreParams: Boolean read FIgnoreParams write FIgnoreParams default False;


(Untitled)

VCLUtils Methods

VCLUtils Alphabetically Legend

In VCLUtils

ActivatePrevInstance

ActivateWindow

AllocMemo

AnsiUpperFirstChar

AssignBitmapCell

CenterControl

CenterWindow

ChangeBitmapColor

CompareMem

CopyParentImage

CreateBitmapFromIcon

CreateTwoColorsBrushPattern

DefineCursor

Delay

DialogUnitsToPixelsX

DialogUnitsToPixelsY

DrawBitmapRectTransparent

DrawBitmapTransparent

DrawCellBitmap

DrawCellText

DrawInvertFrame

FreeMemo

FreeUnusedOLE

GetEnvVar

GetMemoSize

GradientFillRect

HeightOf

HugeDec

HugeInc

HugeMove

HugeOffset

KillMessage

LoadAniCursor

LoadDLL

MakeBitmap

MakeBitmapID

MakeIcon

MakeIconID

MakeModuleBitmap

MakeModuleIcon

MergeForm

MinimizeText

MsgBox

NotImplemented

PaintInverseRect

PixelsToDialogUnitsX

PixelsToDialogUnitsY

PointInPolyRgn

PointInRect

RegisterServer

ResourceNotFound

ShadeRect

SplitCommandLine

StartWait

StopWait

WidthOf

Win32Check


(Untitled)

TFileDirEdit Methods

TFileDirEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearFileList

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateHandle

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DestroyWindowHandle

DisableAlign

DisableSysErrors

DoAfterDialog

DoBeforeDialog

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableSysErrors

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDefaultBitmap

GetLongName

GetNamePath

GetParentComponent

GetSelTextBuf

GetShortName

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

ReceptFileDir

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxSplitter

Hierarchy Properties Methods Events

TRxSplitter divides the client area of a form into resizable panes.

Unit

RXSplit

Description

The splitter (or divisor) is between a control aligned to one of the edges of the form and the controls that fill up the rest of the client area. Give the splitter the same alignment as the control that is anchored to the edge of the form.

When the user moves the splitter, it resizes the anchored control. This, in turn, changes the client area of the form, and the controls that fill up the rest of the client area resize accordingly.

Use each control (ControlFirst ~ ControlSecond) on the form as a separate pane. After each pane is placed, place a splitter with the same alignment to allow that pane (ControlFirst) to be resized. The last pane to be placed on the form (ControlSecond) should be client-aligned, so that it resizes automatically to fill up the remaining space after all other panes are resized.

Using class TRxSplitter

Add a splitter to a form between two aligned controls to allow users to resize the

controls at runtime.


(Untitled)

TDBDateEdit Methods

TDBDateEdit Alphabetically Legend

In TDBDateEdit

AcceptValue

ApplyDate

Change

Create

Destroy

EditCanModify

ExecuteAction

GetReadOnly

KeyDown

KeyPress

Notification

Reset

UpdateAction

UpdateMask

UseRightToLeftAlignment

Derived from TCustomDateEdit

CheckValidDate

GetDateMask

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

TRxDBLookupList Properties

TRxDBLookupList Alphabetically Legend

In TRxDBLookupList

Align

Anchors

BiDiMode

BorderStyle

Color

Constraints

Ctl3D

DataField

DataSource

DisplayEmpty

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

FieldsDelimiter

Font

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

RowCount

ShowHint

TabOrder

TabStop

Visible

Derived from TRxLookupControl

Field

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TFormPlacement.DoWriteString

TFormPlacement

procedure DoWriteString ( const Section , Ident , Value: string );


TRxSpinEdit.Alignment

TRxSpinEdit

property Alignment: TAlignment read FAlignment write SetAlignment default taLeftJustify;


TRxCustomRichEdit.LineFromChar

TRxCustomRichEdit

function LineFromChar ( CharIndex: Integer ): Integer;


(Untitled)

TRxCustomLogin Methods

TRxCustomLogin Alphabetically Legend

In TRxCustomLogin

CheckUnlock

Create

CreateLoginForm

Destroy

DoAfterLogin

DoBeforeLogin

DoIconDblCLick

DoLogin

DoUnlockDialog

DoUpdateCaption

Lock

Login

SetLoggedUser

UnlockOkClick

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTrayIcon

Hierarchy Properties Methods Events

The TRxTrayIcon component enables 32-bit Delphi applications to add icons to the Windows 95 or Windows NT 4.x tray.

Unit

RXShell

Description

The icon can be added to the tray by setting the Active property to true, and can be removed from the tray by setting the Active property to false.

The Icon property specifies static icon to the tray. If you want animate icons in the tray, set values to the Icons property and set the Animated property to True. You can test tray-icon in design-time by setting the ShowDesign property to True. To respond to mouse events for the icon, use the OnClick and OnDblClick events.

Note:

To display a pop-up menu when the user clicks the right mouse button on the Tray Icon, assign a PopupMenu component to the PopupMenu property and set the AutoPopup property of the menu to True.

To display a Help Hint whenever the mouse pointer pauses over the icon momentarily, set the Hint property to a help string.

You can use 16x16 icons with the TRxTrayIcon component as well as 32x32 icons.


TDateEdit.MaxLength

TDateEdit

property MaxLength;


TComboEdit.OnButtonClick

TComboEdit

OnButtonClick event occurs whenever the button in a button edit component gets pressed or the user presses the accelerator key specified by ClickKey property.

property OnButtonClick: TNotifyEvent;

Description

When ButtonWidth = 0 the OnButtonClick events doesn't occure.


(Untitled)

TRxCustomCalcEdit Properties

TRxCustomCalcEdit By object Legend

Action

Align

Anchors

AsInteger

BiDiMode

BoundsRect

Brush

CanUndo

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DisplayText

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EditText

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

IsMasked

Left

LRDockWidth

Modified

Name

Owner

Parent

ParentWindow

PopupVisible

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


SplshWnd

Properties Methods

Splash screen

Unit

SplshWnd


(Untitled)

TRxDBRichEdit Events

TRxDBRichEdit Alphabetically Legend

In TRxDBRichEdit

OnChange

OnClick

OnCloseFindDialog

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnStartDock

OnStartDrag

OnTextNotFound

OnURLClick

Derived from TWinControl

Derived from TControl


TDirectoryEdit.OnKeyDown

TDirectoryEdit

property OnKeyDown;


TOleController.CallFunctionByID

TOleController

CallFunctionById calls the function by it's ID number and with parameters Params

property function CallFunctionByID(ID: DISPID; const Params: array of const): PVariant;


(Untitled)

TIconList Events

TIconList By object Legend

OnChange


(Untitled)

TDatabaseItems Properties

TDatabaseItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

ExtendedInfo

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

FileMask

Filter

Filtered

FilterOptions

Found

Handle

ItemName

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

SystemItems

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


(Untitled)

RXMemory Properties

RXMemory By object Legend

EnableDelete

RecNo


TRxDBLookupCombo.LookupField

TRxDBLookupCombo

property LookupField;


TRxSpinButton.OnEndDrag

TRxSpinButton

property OnEndDrag;


TSpeedBar.OnStartDrag

TSpeedBar

property OnStartDrag;


TStrHolder.Clear

TStrHolder

Clear procedure cleares the string list.

procedure Clear;


TRxDBComboEdit.DragKind

TRxDBComboEdit

property DragKind;


TCurrencyEdit.Constraints

TCurrencyEdit

property Constraints;


TDBStatusLabel.DatasetState

TDBStatusLabel

property DatasetState: TDataSetState read GetDatasetState;


TCustomDBComboBox.ExecuteAction

TCustomDBComboBox

function ExecuteAction ( Action: TBasicAction ): Boolean;


(Untitled)

TCustomComboEdit Properties

TCustomComboEdit By object Legend

Action

Align

Alignment

AlwaysEnable

Anchors

BiDiMode

BoundsRect

Brush

Button

ButtonHint

ButtonWidth

CanUndo

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EditText

Enabled

Floating

FloatingDockSiteClass

Glyph

GlyphKind

Handle

Height

HelpContext

Hint

HostDockSite

IsMasked

Left

LRDockWidth

Modified

Name

NumGlyphs

Owner

Parent

ParentWindow

PopupAlign

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TDBSecurity.Loaded

TDBSecurity

procedure Loaded;


TIconListProperty.GetValue

TIconListProperty

function GetValue: string;


TRxSpeedButton.Caption

TRxSpeedButton

property Caption;


TRxCheckListBox.ExtendedSelect

TRxCheckListBox

property ExtendedSelect;


AppUtils.WriteFormPlacement

AppUtils

WriteFormPlacement writes state (normal, minimize, maximize) and placement (size and position) of Delphi form Form to an INI file specified by IniFileName parameter.

property procedure WriteFormPlacement(Form: TForm; IniFile: TIniFile; const Section: string);

Description

To retrieve form's placement from an INI file use ReadFormPlacement procedure.

WriteFormPlacement example:

WriteFormPlacement(MyForm, IniFile, MyForm.ClassName);


TAutoIntfObject.GetIDsOfNames

TAutoIntfObject

function GetIDsOfNames ( const IID: TGUID; Names: Pointer; NameCount , LocaleID: Integer; DispIDs: Pointer ): HResult;


TRxDBLookupList.DrawItemText

TRxDBLookupList

procedure DrawItemText ( Canvas: TCanvas; Rect: TRect; Selected , IsEmpty: Boolean );


TSpeedBar.Locked

TSpeedBar

property Locked;


TSpeedBar.IniStorage

TSpeedBar

IniStorage property is the IniStorage component that this component saves and restores

all the component state information from.

property IniStorage: TFormPlacement;


TComServerObject.GetServerKey

TComServerObject

function GetServerKey: string;


TRxDBLookupCombo.Enabled

TRxDBLookupCombo

property Enabled;


(Untitled)

TComboEdit Events

TComboEdit By object Legend

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TCustomNumEdit.Value

TCustomNumEdit

property Value: Extended read GetValue write SetValue;


TRxClock.Loaded

TRxClock

procedure Loaded;


TCustomNumEdit.Text

TCustomNumEdit

property Text: string read GetText write SetText stored False;


RegUseAppTitle

This variable uses by GetDefaultIniRegKey function to construct registry key used by TFormPlacement and TFormStorage components.

Unit

AppUtils

property RegUseAppTitle: Boolean = False;


(Untitled)

TDBIndexCombo Methods

TDBIndexCombo Alphabetically Legend

In TDBIndexCombo

Change

Create

Destroy

FillIndexList

Loaded

Notification

UpdateList

Derived from TCustomComboBox

Clear

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TStrHolder.Sorted

TStrHolder

Property Sorted ensures the string list is sorted when any changes occur.

Sorted : boolean


(Untitled)

TSecretPanel Methods

TSecretPanel By object Legend

AlignControls

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

Paint

PaintClient

PaintTo

Perform

Play

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

StartPlay

Stop

StopPlay

TimerExpired

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TAutoObject.Invoke

TAutoObject

function Invoke ( DispID: Integer; const IID: TGUID; LocaleID: Integer; Flags: Word; var Params; VarResult , ExcepInfo , ArgErr: Pointer ): HResult;


TRxCustomListBox.MeasureItem

TRxCustomListBox

procedure MeasureItem ( Index: Integer; var Height: Integer );


TGIFFrame

Hierarchy Properties Methods Events

Object storing a Frame of a GIF image

Unit

RxGIF


TComboEdit.OnClick

TComboEdit

property OnClick;


TFormStorage.Create

TFormStorage

constructor Create ( AOwner: TComponent );


TAnimatedImage.TransparentColor

TAnimatedImage

TransparentColor determines which color of the bitmap is to be transparent when the

frame is drawn.

property TransparentColor: TColor;

Description

This property makes the frame partially transparent by setting the color in the bitmap which should be replaced by the parent's background (when Opaque = False) or by the Color property value (when Opaque = True).


TRxDropDownMenuPos

TRxDropDownMenuPos defines the values the MenuPosition property of a TRxSpeedButton can assume.

Unit

RXCtrls

property TRxDropDownMenuPos = (dmpBottom, dmpRight);

Description

ValueMeaning

dmpBottom

dmpRight


TClickMenuEvent

TClickMenuEvent is the type of the OnClick event of the TMRUManager component.

Unit

MRUList

property TClickMenuEvent = procedure (Sender: TObject; const RecentName, Caption: string; UserData: Longint) of object;


TScreenCanvas.SetOrigin

TScreenCanvas

procedure SetOrigin ( X , Y: Integer );


VCLUtils.GradientFillRect

VCLUtils

GradientFillRect procedure displays a rectangle Rect on a Canvas with a color pattern that blends from one choosen color BeginColor to another color EndColor.

property procedure GradientFillRect(Canvas: TCanvas; Rect: TRect; BeginColor, EndColor: TColor; Direction: TFillDirection; Colors: Byte);

Description

Colors parameter determines the number of color bands that are painted between the starting and ending colors. The valid range for Colors is 1 to 255. Direction parameter determines whether the gradient is horizontal or vertical.

GradientFillRect example:

procedure TForm1.FormPaint(Sender: TObject);

begin

__GradientFillRect(Canvas, ClientRect, clBlue, clBlack, fdTopToBottom, 255);

end;

\\\\\\\...\\\\\\\

procedure TForm1.FormResize(Sender: TObject);

begin

__Invalidate;

end;


(Untitled)

TWinMinMaxInfo Properties

TWinMinMaxInfo Alphabetically Legend

In TWinMinMaxInfo

MaxPosLeft

MaxPosTop

MaxSizeHeight

MaxSizeWidth

MaxTrackHeight

MaxTrackWidth

MinTrackHeight

MinTrackWidth


TRxSplitter.ControlSecond

TRxSplitter

ControlSecond specifies a second control (right or bottom), which can be resized by splitter.

property ControlSecond: TControl;

Description

You need assign value to this property only when automatically assigned value are missed. You can also leave this property blank when ControlSecond value specified.


TRxDBComboBox.Compare

TRxDBComboBox

function Compare ( const Item1 , Item2: TBookmark ): Longint;


TRxRemoteLogin.UpdateCaption

TRxRemoteLogin

property UpdateCaption;


TCustomDateEdit.UpdatePopup

TCustomDateEdit

procedure UpdatePopup;


(Untitled)

TRxTimer Properties

TRxTimer Alphabetically Legend

In TRxTimer

Enabled

Interval

SyncEvent

Threaded

ThreadPriority

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCustomListBox.OnMeasureItem

TRxCustomListBox

property OnMeasureItem: TMeasureItemEvent read FOnMeasureItem write FOnMeasureItem;


(Untitled)

TDateEdit Methods

TDateEdit Alphabetically Legend

In TDateEdit

CheckValidDate

Create

GetDateMask

Derived from TCustomDateEdit

Destroy

UpdateMask

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TEditAlignEvent

TEditAlignEvent is the type of the OnGetEditAlign event of the TRxDrawGrid component.

Unit

RXGrids

property TEditAlignEvent = procedure (Sender: TObject; ACol, ARow: Longint; var Alignment: TAlignment) of object;


TRxTextAttributes.Assign

TRxTextAttributes

procedure Assign ( Source: TPersistent );


TRxDBRichEdit.HideScrollBars

TRxDBRichEdit

property HideScrollBars;


TRxDrawGrid.DefaultRowHeight

TRxDrawGrid

property DefaultRowHeight default 18


TRxDice.OnKeyDown

TRxDice

property OnKeyDown;


(Untitled)

TRxTextAttributes Properties

TRxTextAttributes Alphabetically Legend

In TRxTextAttributes

BackColor

Charset

Color

ConsistentAttributes

Disabled

Height

Hidden

Link

Name

Offset

Pitch

Protected

RevAuthorIndex

Size

Style

SubscriptStyle

UnderlineType


(Untitled)

TBtnControl Properties

TBtnControl Alphabetically Legend

In TBtnControl

Alignment

Caption

Glyph

ImageIndex

Images

Layout

Margin

NumGlyphs

Spacing

WordWrap

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TGIFImage.GetEmpty

TGIFImage

function GetEmpty: Boolean;


TVersionInfo.GetVerValue

TVersionInfo

The GetVerValue function returns selected version information from the specified version-information resource.

property function GetVerValue(const VerName: string): string;


TSpeedBar.ButtonClick

TSpeedBar

ButtonClick simulates a mouse click, as if the user had clicked the button of TSpeedItem.

property procedure ButtonClick;


TSpeedItem

Hierarchy Properties Methods Events

This is the class of all items of a TSpeedBar component

Unit

SpeedBar


TRxPopupMenu.OnGetItemParams

TRxPopupMenu

property OnGetItemParams: TItemParamsEvent read FOnGetItemParams write FOnGetItemParams;


TFormPlacement.DefaultMinMaxInfo

TFormPlacement

Returns True when all key properties of TWinMinMaxInfo object are set to 0. For internal using only.

property function DefaultMinMaxInfo: Boolean;


TRxDBComboEdit.ParentShowHint

TRxDBComboEdit

property ParentShowHint;


(Untitled)

TConverter Properties

TConverter By object Legend

AMString

AsBoolean

AsDate

AsDateTime

AsFloat

AsInteger

AsString

AsTime

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataType

DateMask

DateOrder

DateSeparator

DateTimeFormat

DesignInfo

Digits

DisplayFalse

DisplayTrue

FloatFormat

FourDigitYear

LeadingZero

LongDate

Mask

Name

Owner

PMString

Precision

RaiseOnError

Tag

Text

TimeFormat

TimeMask

TimeSeparator

VCLComObject


VCLUtils.HugeMove

VCLUtils

Copy memory from Src to Dst, copying Size units from Base+Src to Base+Dst.

property procedure HugeMove(Base: Pointer; Dst, Src, Size: Longint);

Description

The reason to separate the Base pointer from the Dst and Src indexes is to easily compare the indexes to see what direction to copy, without having to muck about with normalizing segments. Offsets and the size are in longwords, for convenience, but you need to convert them to short words, in case the code is running on a 286 machine, which does not support the movsd instruction, just movsw.

HugeMove example:

var

__P: Pointer;

__L: Longint;

begin

__\\\\\\\...\\\\\\\

__L := 1024 * 82; \\\\\\\82 K\\\\\\\

__HugeMove(P, 0, L, L);

__\\\\\\\...\\\\\\\

end;


(Untitled)

TMemDataSetEditor Methods

TMemDataSetEditor Alphabetically Legend

In TMemDataSetEditor

ExecuteVerb

GetVerb

GetVerbCount


TDBDateEdit.OnChange

TDBDateEdit

property OnChange;


TFontComboBox.Create

TFontComboBox

constructor Create ( AOwner: TComponent );


TRxDBLookupCombo.OnMouseUp

TRxDBLookupCombo

property OnMouseUp;


TRxTextAttributes.Color

TRxTextAttributes

property Color: TColor read GetColor write SetColor;


TDBIndexCombo.Create

TDBIndexCombo

constructor Create ( AOwner: TComponent );


TDBListDataSet.Locate

TDBListDataSet

function Locate ( const KeyFields: string; const KeyValues: Variant; Options: TLocateOptions ): Boolean;


TDBLocate.DataSetRecNo

TDBLocate

This function retrieves the sequence (for Paradox and In-Memory tables) or physical (for DBase tables) number of the current record in the dataset DataSet.

property function DataSetRecNo(DataSet: TDataSet): Longint;

Description

Applications might use this function with RecordCount property to iterate through all the records in a dataset, though typically record iteration is handled with calls to First, Last, MoveBy, Next, and Prior.

DataSetRecNo example:

RecNo := DataSetRecNo(Table1);


(Untitled)

TTimerItemsEditor Methods

TTimerItemsEditor By object Legend

Activated

ComponentDeleted

EditAction

FormClosed

FormModified

GetEditState

UniqueName


TSpeedBar.Visible

TSpeedBar

property Visible;


TRxDBComboEdit.OnKeyDown

TRxDBComboEdit

property OnKeyDown;


TDBIndexCombo.ImeName

TDBIndexCombo

property ImeName;


(Untitled)

TProgressControlProperty Properties

TProgressControlProperty Alphabetically Legend

In TProgressControlProperty

RefCount


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TCustomGrid

|

TDrawGrid


TOwnerDrawComboBox.CreateWnd

TOwnerDrawComboBox

procedure CreateWnd;


TSpeedItem.NumGlyphs

TSpeedItem

property NumGlyphs: TRxNumGlyphs read GetNumGlyphs write SetNumGlyphs default 1


(Untitled)

TRxSlider Events

TRxSlider Alphabetically Legend

In TRxSlider

OnChange

OnChanged

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDrawPoints

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TComboEdit.ImeMode

TComboEdit

property ImeMode;


TFormHistory.Current

TFormHistory

property Current: Integer read FCurrent write SetCurrent;


(Untitled)

TCustomBDEItems Events

TCustomBDEItems Alphabetically Legend

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnFilterRecord


TColorComboBox.ParentCtl3D

TColorComboBox

property ParentCtl3D;


TRxDBCalcEdit.TabOrder

TRxDBCalcEdit

property TabOrder;


TRxLookupEdit.ImeName

TRxLookupEdit

property ImeName;


TRxDBComboBox.DragCursor

TRxDBComboBox

property DragCursor;


TRxGradientCaption.HideDirection

TRxGradientCaption

Control direction the captions are shown. Left-to-right or right-to-left.

property HideDirection: THideDirection read FHideDirection write SetHideDirection default hdLeftToRight;


TFilenameEdit.ButtonWidth

TFilenameEdit

property ButtonWidth;


TDBStatusLabel.GetCaption

TDBStatusLabel

function GetCaption ( State: TDataSetState ): string;


TRxCheckListBox.MouseDown

TRxCheckListBox

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxSlider.ImageVRuler

TRxSlider

This is the the bitmap for the vertical ruler, the background image of the slider

property ImageVRuler: TBitmap;


(Untitled)

TStrHolder Properties

TStrHolder By object Legend

Capacity

CommaText

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Duplicates

KeyString

Name

Owner

Sorted

String

Strings

Tag

VCLComObject


TMRUManager.OnGetItemData

TMRUManager

OnGetItemData event is triggered when an item is retrieved from the MRU list.

property OnGetItemData: TGetItemEvent;


TOleController.CreateObject

TOleController

The CreateObject method creates an OLE automation object of the specified class. This is the way to get a new instance of an OLE automation server object for your automation controller.

property procedure CreateObject(const ClassName: string);


TRxDice.OnEnter

TRxDice

property OnEnter;


StrUtils.AnsiProperCase

StrUtils

Returns string, with the first letter of each word in uppercase, all other letters in lowercase. Words are delimited by WordDelims.

property function AnsiProperCase(const S: string; const WordDelims: TCharSet): string;

Description

AnsiProperCase example:

__S := AnsiProperCase('let him go');

__\\\\\\\ here S = 'Let Him Go' \\\\\\\


TRxSlider.MaxValue

TRxSlider

MaxValue is the maximum Value the thumb of the TRxSlider can move upto.

Use MaxValue to set an upper limit to the Value that can be represented using the slider. The thumb of the slider indicates the current Value in a range between MinValue and MaxValue.

property MaxValue: Longint;


TNotifyThread.NotifyHandle

TNotifyThread

property NotifyHandle: THandle read FNotifyHandle;


(Untitled)

THintProperty Methods

THintProperty By object Legend

Edit

GetAttributes

GetEditLimit


TRxGIFAnimator.OnMouseMove

TRxGIFAnimator

property OnMouseMove;


(Untitled)

TRxSpinEdit Events

TRxSpinEdit By object Legend

OnBottomClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

OnTopClick


TAutoObjectFactory.DispIntfEntry

TAutoObjectFactory

property DispIntfEntry: PInterfaceEntry read FDispIntfEntry;


VCLUtils.SplitCommandLine

VCLUtils

SplitCommandLine splits the commandline information presented to the program into the head (ExeName) and tail (Params).

property procedure SplitCommandLine(const CmdLine: string; var ExeName, Params: string);

Description

SplitCommandLine example:

S := 'MYAPP.EXE "Parameter Name" -K -S';

SplitCommandLine(S, ExeName, Params);

\\\\\\\ here ExeName = 'MYAPP.EXE' Params = '"Parameter Name" -K -S' \\\\\\\


TDBDateEdit.OnEnter

TDBDateEdit

property OnEnter;


TRxCustomLabel.OnMouseLeave

TRxCustomLabel

property OnMouseLeave: TNotifyEvent read FOnMouseLeave write FOnMouseLeave;


TRxRichEdit.LangOptions

TRxRichEdit

property LangOptions;


TRxGIFAnimator.PopupMenu

TRxGIFAnimator

property PopupMenu;


(Untitled)

TRxDBLookupList Events

TRxDBLookupList Alphabetically Legend

In TRxDBLookupList

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

Derived from TRxLookupControl

Derived from TWinControl

Derived from TControl


TRxCustomSlider.ImageHRuler

TRxCustomSlider

property ImageHRuler: TBitmap index Ord ( siHRuler ) read GetImage write SetImage stored StoreImage;


(Untitled)

TQBEQuery Events

TQBEQuery By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


VCLUtils.FreeMemo

VCLUtils

The FreeMemo procedure disposes of a dynamic variable.

property procedure FreeMemo(var fpBlock: Pointer);

Description

fpBlock is a variable of any pointer type previously assigned by the AllocMemo function.

FreeMemo example:

var

__P: Pointer;

begin

__P := AllocMemo(128000);

__try

____\\\\\\\ use memory \\\\\\\

__finally

____FreeMemo(P);

__end;

end;


TSpeedBar.ScaleFlags

TSpeedBar

property ScaleFlags: TSbScaleFlags read FScaleFlags write FScaleFlags;


TRxGIFAnimator.Transparent

TRxGIFAnimator

Set Transparent to True to replace the background color stored in the GIF file with the parent's background. Set Transparent to False to display the background color stored in the GIF clip.

property Transparent: Boolean;


TRxSpinEdit.OnTopClick

TRxSpinEdit

The OnTopClick event occurs when the user clicks the top button in the spin button control.

property OnTopClick: TNotifyEvent;


(Untitled)

TAnimatedCursorImage Properties

TAnimatedCursorImage By object Legend

Creator

DefaultRate

Frames

IconCount

Icons

OriginalColors

Title


TPageProxy.OnHide

TPageProxy

property OnHide: TPageNotifyEvent read FOnHide write FOnHide;


(Untitled)

Hierarchy

TObject

|

TLocateObject


TRxCustomRichEdit.RedoName

TRxCustomRichEdit

property RedoName: TUndoName read GetRedoName;


(Untitled)

TSharedImage Methods

TSharedImage Alphabetically Legend

In TSharedImage

FreeHandle

Reference

Release


TCloneDbDataset.InitFromDataSet

TCloneDbDataset

procedure InitFromDataSet ( Source: TDBDataSet; Reset: Boolean );


(Untitled)

TDirnameProperty Methods

TDirnameProperty Alphabetically Legend

In TDirnameProperty

Edit

GetAttributes


TDBDateEdit.DirectInput

TDBDateEdit

property DirectInput;


TAnimatedCursorImage.DefaultRate

TAnimatedCursorImage

The DefaultRate property determines the amount of time in milliseconds that passes

among frames of a TAnimatedCursorImage animation. This value is read from .ANI file

and is equal to the duration of first cursor's image.

property DefaultRate: Longint;


TRxDBLookupCombo.OnChange

TRxDBLookupCombo

property OnChange;


TGradCaptionsEditor.SetGradientCaption

TGradCaptionsEditor

procedure SetGradientCaption ( Component: TRxGradientCaption; Designer: IDesigner );


TSecretPanel.OnStartPlay

TSecretPanel

OnStartPlay event is triggered when the Active property is set to true.

property OnStartPlay: TNotifyEvent;


(Untitled)

TAnimatedImage Properties

TAnimatedImage Alphabetically Legend

In TAnimatedImage

Active

Align

Anchors

AsyncDrawing

AutoSize

Center

Color

Constraints

Cursor

DragCursor

DragKind

DragMode

Glyph

GlyphNum

InactiveGlyph

Interval

NumGlyphs

Opaque

Orientation

ParentColor

ParentShowHint

PopupMenu

ShowHint

Stretch

TransparentColor

Visible

Derived from TGraphicControl

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRichEdit.Anchors

TRxRichEdit

property Anchors;


(Untitled)

Hierarchy

TObject

|

TList


TRxSpinButton.Paint

TRxSpinButton

procedure Paint;


(Untitled)

TCloneDataset Properties

TCloneDataset Alphabetically Legend

In TCloneDataset

ReadOnly

SourceHandle

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

Handle

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TOwnerDrawComboBox Methods

TOwnerDrawComboBox Alphabetically Legend

In TOwnerDrawComboBox

Create

CreateParams

CreateWnd

MinItemHeight

ResetItemHeight

Derived from TCustomComboBox

Clear

Destroy

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TVersionInfo.PrivateBuild

TVersionInfo

This contains the string specifying information about a private version of the file--for example, "Built by TESTER1 on ".

property PrivateBuild: string;

Description

This string should be present only if the VS_FF_PRIVATEBUILD flag is set in the dwFileFlags member of the FixedFileInfo property (VS_FIXEDFILEINFO structure) of the version resource.


TBtnControl.Destroy

TBtnControl

destructor Destroy;


TColorComboBox.OnStartDrag

TColorComboBox

property OnStartDrag;


TDualListDialog.CancelBtnCaption

TDualListDialog

Property CancelBtnCaption sets the caption of the Cancel Button.

property CancelBtnCaption: TCaption;


TDBIndexCombo.Sorted

TDBIndexCombo

property Sorted;


(Untitled)

TPageProxy Methods

TPageProxy Alphabetically Legend

In TPageProxy

Create

Destroy

GetParentComponent

HasParent

ReadState

SetParentComponent

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSwitch.OnClick

TRxSwitch

property OnClick;


TSpeedBar.GetEditing

TSpeedBar

function GetEditing: Boolean;


TPicClip.Cells

TPicClip

Cells gives access to each cell in the grid on a col/row basis.

Cells[Col, Row: Cardinal]


TDualListForm.SetButtons

TDualListForm

procedure SetButtons;


TRxSpinEdit

Hierarchy Properties Methods Events

The TRxSpinEdit component combines a edit field with two buttons forming a spinner.

Unit

RXSpin

Description

The edit portion of the TRxSpinEdit component can only accept numeric data and the

buttons allow the user to increment and decrement the value.

This component can accept integer values as well as floating point values. To only allow

integers, set the (ValueType = vtInteger). If you are using floating point values, use the

decimal property to specify the number of decimal places used by a spin edit when

displaying floating point values (ValueType = vtFloat).

The Increment property is used to specify the amount the Value is incremented or

decremented when one of the buttons is pressed. Increment can be a floating point

value.

If the increment property is 5, the value is incremented or decremented +/- 5.


TRxSpinEdit.ValueType

TRxSpinEdit

Set this property to vtInteger to restrict values to Integers and to vtFloat to allow floating values input.

property ValueType: TValueType;

Description

If keyboard entry is allowed via EditorEnabled, the user is not allowed to enter a decimal point. Therefore, the Decimal property has no effect when ValueType is vtInteger.


TRxMemoryData.GetRecNo

TRxMemoryData

function GetRecNo: Integer;


TRxSpinEdit.ArrowKeys

TRxSpinEdit

property ArrowKeys: Boolean read FArrowKeys write SetArrowKeys default True;


(Untitled)

TTableList Methods

TTableList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GetTableName

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TDirectoryEdit.GlyphKind

TDirectoryEdit

property GlyphKind;


TRxDBCalcEdit.Visible

TRxDBCalcEdit

property Visible;


TCustomBDEItems.SessionName

TCustomBDEItems

property SessionName: string read FSessionName write SetSessionName;


TRxSpinEdit.ParentColor

TRxSpinEdit

property ParentColor;


TRxDBLookupList

Hierarchy Properties Methods Events

TRxDBLookupList provides a list of lookup items for filling in fields that require data from another dataset.

Unit

RxLookup

Description

Use TRxDBLookupList to provide users with a convenient list of lookup items to set a field value using the values of a field in another dataset. Lookup list boxes usually display values that are a represent a more meaningful description of the actual field value. The relationship between field values and the corresponding values in the lookup dataset can be set using the properties LookupSource, LookupField and LookupDisplay.

This component provides the following:

You can select any number of fields to be displayed in the lookup list.

End-users can incrementally search through the lookup list by directly typing into the control. This is a great advantage when using lookup tables that contain hundreds of even thousands of records. You can perform a lookup on a Query or QBE result. It even incrementally searches on the query result.

The component does not have to be bound, or assigned, to a table's field (DataField and DataSource properties) which gives you greater flexibility in using this lookup list for general tasks where a source table is not involved.

If DataSource and DataField properties is set, when a user selects a list item, the corresponding field value is changed in the underlying dataset.

If IgnoreCase property is True (default), the incrementally search through the lookup list is processed without regard to case in the dataset's data.

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

The DisplayEmpty property allows you specify the text value to display when no item is selected from the lookup list. If DisplayEmpty set to the non-empty string, this value will be shown in the top of the list additionaly to the lookup items.

You can also use an OnGetImage event to specify graphical picture to display in each item of lookup list accordingly to the contents of lookup source.


TRxLookupEdit.AutoSelect

TRxLookupEdit

property AutoSelect;


TRxRichEdit

Hierarchy Properties Methods Events

This is a RichText (RTF) Editor which is able to manage OLE objects and graphics.

Unit

RxRichEd


(Untitled)

TSpeedItem Events

TSpeedItem By object Legend

OnClick

OnDblClick

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp


TCurrencyEdit.Anchors

TCurrencyEdit

property Anchors;


TImageForm.GetUserName

TImageForm

function GetUserName: string;


TRxCustomListBox.Destroy

TRxCustomListBox

destructor Destroy;


(Untitled)

TRxCustomLogin Methods

TRxCustomLogin By object Legend

Assign

BeforeDestruction

CheckUnlock

Create

CreateLoginForm

Destroy

DestroyComponents

Destroying

DoAfterLogin

DoBeforeLogin

DoIconDblCLick

DoLogin

DoUnlockDialog

DoUpdateCaption

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Lock

Login

RemoveComponent

RemoveFreeNotification

SafeCallException

SetLoggedUser

UnlockOkClick

UpdateAction


MaxMin.MinOf

MaxMin

The MinOf function returns the smallest value in the Values array.

function MinOf(const Values: array of Variant): Variant;

Description

MinOf example:

MinVal := MinOf([MinVal, -1, 12.2, 3.36, 12.438]);


TFilenameEdit.OnDblClick

TFilenameEdit

property OnDblClick;


TFormHistoryCommand

Unit

MrgMngr

Description

ValueMeaning

hcNone

hcAdd

hcBack

hcForward

hcGoto


(Untitled)

TRxCustomLabel Events

TRxCustomLabel By object Legend

OnMouseEnter

OnMouseLeave


TRxSpinEdit.ButtonKind

TRxSpinEdit

property ButtonKind: TSpinButtonKind read FButtonKind write SetButtonKind default bkDiagonal;


TRxGIFAnimator.OnChange

TRxGIFAnimator

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxDBCalcEdit.CheckOnExit

TRxDBCalcEdit

property CheckOnExit;


TComObjectFactory.RequestLicKey

TComObjectFactory

function RequestLicKey ( dwResrved: Longint; out bstrKey: WideString ): HResult;


TSortCollection

Hierarchy Properties Methods

Unit

ObjStr


(Untitled)

TCustomComboEdit Properties

TCustomComboEdit Alphabetically Legend

In TCustomComboEdit

Alignment

AlwaysEnable

Button

ButtonHint

ButtonWidth

ClickKey

DirectInput

Glyph

GlyphKind

NumGlyphs

PopupAlign

PopupVisible

ReadOnly

Derived from TCustomMaskEdit

EditText

IsMasked

Text

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxParaAttributes.SpaceAfter

TRxParaAttributes

property SpaceAfter: Longint read GetSpaceAfter write SetSpaceAfter;


TRxWindowHook.FindVirtualMethodIndex

TRxWindowHook Example

function FindVirtualMethodIndex(AClass: TClass; MethodAddr: Pointer): Integer;


TSpeedBar.BorderWidth

TSpeedBar

property BorderWidth;


TFontComboBox.Options

TFontComboBox

These are the possible values that can be included in the Options set for the TFontComboBox:

foAnsiOnly - If True, the user can select fonts that use the Windows character set only; that is, the user can't choose a font that contains only symbols because they aren't displayed in the Font combo box.

foTrueTypeOnly - If True, only TrueType fonts are displayed in the Font combo box.

foFixedPitchOnly - If True, only monospaced fonts are displayed in the Font combo box.

foNoOEMFonts - If True, only fonts that aren't vector fonts are displayed in the Font combo box.

foOEMFontsOnly - If True, only OEM fonts are displayed in the Font combo box.

foScalableOnly - If True, only fonts that can be scaled are displayed in the Font combo box.

The default value is [].

property Options: TFontListOptions;


TRxRichEdit.OnKeyPress

TRxRichEdit

property OnKeyPress;


TRxClock.AlarmSecond

TRxClock

This property defines the time (with the AlarmHour and AlarmMinute properties) to be used as alarm time checks by the TRxClock component. When computer's time is equal to the time specified by these properties, and AlarmEnabled is True, the OnAlarm event is occured.

property AlarmSecond: Byte Index 3 read GetAlarmElement write SetAlarmElement default 0;


TTextListBox.ParentBiDiMode

TTextListBox

property ParentBiDiMode;


TFontComboBox.ParentShowHint

TFontComboBox

property ParentShowHint;


TRxHintWindow.CreateParams

TRxHintWindow

procedure CreateParams ( var Params: TCreateParams );


THintProperty.GetAttributes

THintProperty

function GetAttributes: TPropertyAttributes;


TRxQueryThread.HandleException

TRxQueryThread

procedure HandleException;


TComboEdit.ParentBiDiMode

TComboEdit

property ParentBiDiMode;


TDBLocate.PackTable

TDBLocate

Packs the specified table, i.e deletes unused records from a Paradox or dBase table.

property procedure PackTable(Table: TTable);

Description

This function does not work with SQL databases.

PackTable example:

PackTable(Table1);


TRxDBLookupList.EmptyItemColor

TRxDBLookupList

The EmptyItemColor property allows you specify the color value to display additional non-scrolled "empty" item in the top of the list if DisplayEmpty set to the non-empty string.

property EmptyItemColor: TColor;


DateUtil.IncMonth

DateUtil

IncMonth changes the date ADate by Delta number of months.

property function IncMonth(ADate: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncMonth example:

var D1, D2: TDateTime; S: string;

begin

ShortDateFormat := 'dd.mm.yy';

D1 := StrToDate('30.12.1991');

D2 := IncMonth(D1, 2);

S := DateToStr(D2);

end;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TGraphicControl


TJumpMode

Unit

RXSlider

Description

ValueMeaning

jmNone

jmHome

jmEnd

jmNext

jmPrior


(Untitled)

TFormHistory Methods

TFormHistory By object Legend

Add

AddForm

Clear

Create

Delete

DeleteHistoryItem

Destroy

Exchange

Expand

Extract

First

IndexOf

Insert

Last

Move

Pack

Remove

RemoveItem

ResetHistory

Sort


(Untitled)

EPropWriteOnly Methods

EPropWriteOnly Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TSecretPanel.ShowHint

TSecretPanel

property ShowHint;


TTextListBox.Sorted

TTextListBox

property Sorted;


TFilenameEdit.OnMouseDown

TFilenameEdit

property OnMouseDown;


TDirectoryEdit.Create

TDirectoryEdit

constructor Create ( AOwner: TComponent );


TTypedComObjectFactory.Create

TTypedComObjectFactory

constructor Create ( ComServer: TComServerObject; TypedComClass: TTypedComClass; const ClassID: TGUID; Instancing: TClassInstancing; ThreadingModel: TThreadingModel = tmSingle );


(Untitled)

TRxGradient Properties

TRxGradient By object Legend

Direction

EndColor

StartColor

StepCount

Visible


(Untitled)

TRxTextAttributes Properties

TRxTextAttributes By object Legend

BackColor

Charset

Color

ConsistentAttributes

Disabled

Height

Hidden

Link

Name

Offset

Pitch

Protected

RevAuthorIndex

Size

Style

SubscriptStyle

UnderlineType


(Untitled)

THugeList Methods

THugeList By object Legend

Add

Clear

Delete

Destroy

Exchange

Expand

Extract

First

Get

Grow

IndexOf

Insert

Last

Move

Pack

Put

Remove

SetCapacity

SetCount

Sort


TRxRichEdit.OnDragOver

TRxRichEdit

property OnDragOver;


VCLUtils.CompareMem

VCLUtils

CompareMem performs a binary compare of Size bytes of memory referenced by fpBlock1 to that of fpBlock2.

property function CompareMem(fpBlock1, fpBlock2: Pointer; Size: Integer): Boolean; assembler;

Description

CompareMem returns True if the memory referenced by

fpBlock1 is identical to that of fpBlock2.

CompareMem example:

if CompareMem(fp1, fp2, 1024) then

begin

__\\\\\\\ ... \\\\\\\

end;


(Untitled)

TIniLink Events

TIniLink By object Legend

OnLoad

OnSave


TGIFFrame.GrayscaleImage

TGIFFrame

procedure GrayscaleImage ( ForceEncoding: Boolean );


TDBDateEdit.WeekendColor

TDBDateEdit

property WeekendColor;


TRxDrawGrid.CreateEditor

TRxDrawGrid

function CreateEditor: TInplaceEdit;


TTextListBox.DragMode

TTextListBox

property DragMode;


TDateEdit.CheckValidDate

TDateEdit

CheckValidDate method checks the date value in the edit control and raises the exception EConvertError if the date in the edit box is invalid or an empty date.

procedure CheckValidDate;


(Untitled)

TVersionInfo Properties

TVersionInfo By object Legend

Comments

CompanyName

FileDescription

FileLongVersion

FileName

FileVersion

FixedFileInfo

InternalName

LegalCopyright

LegalTrademarks

OriginalFilename

PrivateBuild

ProductLongVersion

ProductName

ProductVersion

SpecialBuild

Translation

Valid

Values

VerFileDate

VersionCharSet

VersionLanguage

VersionNum


TRxParaAttributes.RightIndent

TRxParaAttributes

property RightIndent: Longint read GetRightIndent write SetRightIndent;


TRxSpinButton.Notification

TRxSpinButton

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxDBComboEdit.GlyphKind

TRxDBComboEdit

property GlyphKind;


(Untitled)

TRxWindowHook Events

TRxWindowHook Alphabetically Legend

In TRxWindowHook

AfterMessage

BeforeMessage


(Untitled)

TPageProxy Events

TPageProxy Alphabetically Legend

In TPageProxy

OnEnter

OnHide

OnLeave

OnShow


TDatabaseItems.ExtendedInfo

TDatabaseItems

property ExtendedInfo;


TFixedCellClickEvent

Unit

RXGrids

TFixedCellClickEvent ( Sender : TObject ; ACol , ARow : Longint )of object ;


(Untitled)

TRxDBLookupCombo Events

TRxDBLookupCombo Alphabetically Legend

In TRxDBLookupCombo

OnChange

OnClick

OnCloseUp

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TRxClock

Hierarchy Properties Methods Events

A clock component with digital and analogic display

Unit

RXClock


TPageManagerEditor

Hierarchy

Unit

PgMngrEd


TTypedComObjectFactory.GetInterfaceTypeInfo

TTypedComObjectFactory

function GetInterfaceTypeInfo ( TypeFlags: Integer ): ITypeInfo;


(Untitled)

TSortCollection Properties

TSortCollection By object Legend

Count

ItemClass

Items


TGetItemWidthEvent

TGetItemWidthEvent is the type of the OnGetItemWidth event of the TRxCheckListBox component.

Unit

RXCtrls

property TGetItemWidthEvent = procedure(Control: TWinControl; Index: Integer; var Width: Integer) of object;


TAnimatedImage.Anchors

TAnimatedImage

property Anchors;


TRxGIFAnimator

Hierarchy Properties Methods Events

The TRxGIFAnimator control can display animated GIF images on the form on which it is placed.

Unit

GIFCtrl

Description

The animated image is stored in the Image property. It is possible to define number of a frame displayed in the present moment, in runtime on value of property FrameIndex. You can also set this value in the designer. The property Transparent determines, whether the component will be completely transparent (using the TGIFImage.TransparentColor property).

Control also includes properties similar to the TImage's properties. Set Animate property to True to start animation. The OnStart event is generated when the animation started. The OnStop event is generated when the property Active sets to False.

See also:

RX ANI file (TAnimatedCursorImage) and RX Animate (TAnimatedImage),

Standard Gif (TRxGif).


TPageHistory.Current

TPageHistory

property Current: Integer read FCurrent write SetCurrent;


(Untitled)

TFormPropsDlg Methods

TFormPropsDlg Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxProjectResExpert Methods

TRxProjectResExpert Alphabetically Legend

In TRxProjectResExpert

BeginUpdate

CheckRename

Create

CreateEntry

DeleteEntry

Destroy

EditBinaryRes

EditBitmapRes

EditCursorIconRes

EndUpdate

Execute

GetAuthor

GetComment

GetGlyph

GetIDString

GetMenuText

GetName

GetPage

GetResFile

GetState

GetStyle

MarkModified

NewBinaryRes

NewBitmapRes

NewCursorIconRes

UniqueName


TCustomNumEdit.DefaultDisplayFormat

TCustomNumEdit

function DefaultDisplayFormat: string;


TRxHintWindow.Destroy

TRxHintWindow

destructor Destroy;


TRxDBLookupCombo.ListLinkDataChanged

TRxDBLookupCombo

procedure ListLinkDataChanged;


TRxDBComboBox.Items

TRxDBComboBox

property Items;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit

|

TCustomNumEdit

|

TRxCustomCalcEdit


TButtonImage.MinimizeCaption

TButtonImage

procedure MinimizeCaption ( Canvas: TCanvas; const Caption: string; Buffer: PChar; MaxLen , Width: Integer );


TComServerObject.ServerKey

TComServerObject

property ServerKey: string read GetServerKey;


TConverter.AsString

TConverter

Run-time only. This is a conversion property. AsString can be used to read or set the value stored in the TConverter component as a string value.

property AsString: string;

Description

When then DataType property is not equal to dtString value and RaiseOnError is True, an exception is raised if TConverter component can't convert a string to the appropriate type.


TRxDBCalcEdit.PopupAlign

TRxDBCalcEdit

property PopupAlign;


TOleController.CallFunctionNoParamsByID

TOleController

CallFunctionNoParamsById calls a function by it's ID.

property function CallFunctionNoParamsByID(ID: DISPID): PVariant;


(Untitled)

TRxClock Methods

TRxClock By object Legend

Alarm

AlignControls

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DestroyWindowHandle

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSystemTime

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetAlarmTime

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateClock

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxWindowHook

Hierarchy Properties Methods Events

This class allows the creation of a "windows system hook".

Unit

RxHook

Description

Registers an event with the windows event system so that it can be processed by your application instead. Even if you do not have the source code you can make an extension to a component that does not have the source code, or is difficult to modify.


TRxWindowHook.WinControl

TRxWindowHook

This is the component to "hook" to.

WinControl: TWinControl;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TRxCustomLogin


TRxCalcEdit.OnExit

TRxCalcEdit

property OnExit;


TFilenameEdit.ParentFont

TFilenameEdit

property ParentFont;


(Untitled)

EComboEditError Methods

EComboEditError Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TPicClip.Create

TPicClip

constructor Create ( AOwner: TComponent );


TAnimatedCursorImage.Create

TAnimatedCursorImage

constructor Create;


TDBIndexCombo.DisplayMode

TDBIndexCombo

property DisplayMode: TIdxDisplayMode read FDisplayMode write SetDisplayMode default dmFieldLabels;


(Untitled)

TGraphicsEditor Methods

TGraphicsEditor By object Legend

EditProperty


TDirectoryEdit.OnClick

TDirectoryEdit

property OnClick;


TFilenameEdit.OnDragDrop

TFilenameEdit

property OnDragDrop;


(Untitled)

TRxProjectResExpert Methods

TRxProjectResExpert By object Legend

BeginUpdate

CheckRename

Create

CreateEntry

DeleteEntry

Destroy

EditBinaryRes

EditBitmapRes

EditCursorIconRes

EndUpdate

Execute

GetAuthor

GetComment

GetGlyph

GetIDString

GetMenuText

GetName

GetPage

GetResFile

GetState

GetStyle

MarkModified

NewBinaryRes

NewBitmapRes

NewCursorIconRes

UniqueName


TRxFolderMonitor.Loaded

TRxFolderMonitor

procedure Loaded;


(Untitled)

TQBEQuery Methods

TQBEQuery By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

DefineProperties

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Disconnect

Edit

EnableConstraints

EnableControls

ExecQBE

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParamsCount

GetParentComponent

GetQBEText

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

ParamByName

Post

Prepare

Prior

Refresh

RefreshQuery

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetDBFlag

SetFields

Translate

UnPrepare

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TRxQuery.Create

TRxQuery

constructor Create ( AOwner: TComponent );


TAutoObject.EventSinkChanged

TAutoObject

procedure EventSinkChanged ( const EventSink: IUnknown );


TVersionInfo.FileVersion

TVersionInfo

This contains the string specifying the version number of the file--for example, "3.10" or "5.00.RC2". For more information about version, see the Windows API reference.

property FileVersion: string;


(Untitled)

TRecentStrings Methods

TRecentStrings Alphabetically Legend

In TRecentStrings

Add

AddStrings

Create

DeleteExceed

Remove

Derived from TStringList

Clear

CustomSort

Delete

Destroy

Exchange

Find

IndexOf

Insert

Sort

Derived from TStrings

AddObject

Append

Assign

BeginUpdate

EndUpdate

Equals

GetText

IndexOfName

IndexOfObject

InsertObject

LoadFromFile

LoadFromStream

Move

SaveToFile

SaveToStream

SetText

Derived from TPersistent

GetNamePath


(Untitled)

TRxSpinButton Properties

TRxSpinButton Alphabetically Legend

In TRxSpinButton

Anchors

Constraints

Down

DownGlyph

DragCursor

DragKind

DragMode

Enabled

FocusControl

ParentShowHint

ShowHint

UpGlyph

Visible

Derived from TGraphicControl

Derived from TControl

Action

Align

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCustomLabel.MouseEnter

TRxCustomLabel

procedure MouseEnter;


TPictEditor.PicDlg

TPictEditor

property PicDlg: TPictureEditDialog read FPicDlg;


(Untitled)

TRxIniFile Properties

TRxIniFile By object Legend

FileName

ListItemName


TRxLookupControl.LookupSource

TRxLookupControl

property LookupSource: TDataSource read GetLookupSource write SetLookupSource;


TRxMainMenu.Refresh

TRxMainMenu

procedure Refresh;


TDBLocate.IsBookmarkStable

TDBLocate

Return True, if specified DataSet supports stable bookmarks.

property function IsBookmarkStable(DataSet: TDataSet): Boolean;

Description

Stable bookmarks are those that remain unchanged after another user has modified the table. For example, return value is True for Paradox tables having a primary key, but False for Paradox heap tables.

IsBookmarkStable example:

BM := Table1.GetBookmark;

try

__\\\\\\\...\\\\\\\

__if IsBookmarkStable(Table1) then

____SetToBookmark(Table1, BM); \\\\\\\ no exceptions raised \\\\\\\

__finally

____Table1.FreeBookmark(BM);

end;


TRxDBComboEdit.OnEnter

TRxDBComboEdit

property OnEnter;


TClipboardMonitor

Hierarchy Properties Methods Events

Unit

ClipMon


TCustomClipboardViewer

Hierarchy Properties Methods Events

Unit

ClipView


(Untitled)

TObjectStrings Properties

TObjectStrings By object Legend

Capacity

CommaText

Count

Duplicates

Names

Objects

Sorted

Strings

StringsAdapter

Text

Values


(Untitled)

Hierarchy

TStringProperty


TRxCustomRichEdit.FindNext

TRxCustomRichEdit

function FindNext: Boolean;


TPictureEditDialog

Hierarchy Properties Methods Events

Unit

PictEdit


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet

|

TQuery


TWinMinMaxInfo.MaxSizeWidth

TWinMinMaxInfo

The MaxSizeWidth properties specifies the maximized width.

property MaxSizeWidth: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


TDirectoryEdit.ClickKey

TDirectoryEdit

property ClickKey;


(Untitled)

TDBStatusLabel Properties

TDBStatusLabel Alphabetically Legend

In TDBStatusLabel

Align

Alignment

Anchors

AutoSize

BiDiMode

CalcRecCount

Captions

Color

Constraints

DatasetName

DatasetState

DataSource

DragCursor

DragKind

DragMode

EditColor

Font

GlyphAlign

Layout

ParentBiDiMode

ParentColor

ParentFont

ParentShowHint

PopupMenu

ShadowColor

ShadowPos

ShadowSize

ShowHint

ShowOptions

Style

Transparent

Visible

WordWrap

Derived from TRxCustomLabel

Canvas

MouseInControl

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDataSourceLink

Hierarchy Properties Methods

Unit

RxLookup


(Untitled)

TTypedComObjectFactory Properties

TTypedComObjectFactory Alphabetically Legend

In TTypedComObjectFactory

ClassInfo

Derived from TComObjectFactory

ClassID

ClassName

ComClass

ComServer

Description

ErrorIID

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TAutoObject.GetIDsOfNames

TAutoObject

function GetIDsOfNames ( const IID: TGUID; Names: Pointer; NameCount , LocaleID: Integer; DispIDs: Pointer ): HResult;


(Untitled)

TDirectoryListDialog Events

TDirectoryListDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TAnimatedImage.Stop

TAnimatedImage

procedure Stop;


(Untitled)

TDatabaseItems Events

TDatabaseItems Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TComObject.Factory

TComObject

property Factory: TComObjectFactory read FFactory;


(Untitled)

TSecretPanel Properties

TSecretPanel Alphabetically Legend

In TSecretPanel

Active

Align

Alignment

Anchors

AsyncDrawing

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BorderWidth

Color

Constraints

Ctl3D

Cycled

DragCursor

DragKind

DragMode

Font

Glyph

GlyphLayout

Interval

Lines

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ScrollDirection

ShowHint

TabOrder

TabStop

TextStyle

Visible

Derived from TCustomPanel

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TMRUManager.AccelDelimiter

TMRUManager

This defines the accelerated delimiter.

property AccelDelimiter: TAccelDelimiter;

Description

Since "&" cannot be stored in, it is substituted to either a tab or space instead. The property AccelDelimiter sets this.


TDirectoryEdit.ImeMode

TDirectoryEdit

property ImeMode;


TRxLookupEdit.OnMouseMove

TRxLookupEdit

property OnMouseMove;


TCurrencyEdit.Create

TCurrencyEdit

constructor Create ( AOwner: TComponent );


(Untitled)

TCustomClipboardViewer Events

TCustomClipboardViewer Alphabetically Legend

In TCustomClipboardViewer

OnChange

Derived from TScrollBox

OnCanResize

OnClick

OnConstrainedResize

OnContextPopup

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetSiteInfo

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnResize

OnStartDock

OnStartDrag

OnUnDock

Derived from TWinControl


TDBIndexCombo.OnChange

TDBIndexCombo

property OnChange;


TRxCustomRichEdit.OnSelectionChange

TRxCustomRichEdit

property OnSelectionChange: TNotifyEvent read FOnSelChange write FOnSelChange;


TGradCaptionsEditor.ActiveCaption

TGradCaptionsEditor

property ActiveCaption: TRxCaption read GetActiveCaption;


TRxMenuStyle

Menu styles

Unit

RxMenus

Description

ValueMeaning

msStandard

msOwnerDraw

msBtnLowered

msBtnRaised


TRxRichEdit.Color

TRxRichEdit

property Color;


TCustomDBComboBox

Hierarchy Properties Methods Events

Unit

RxDBComb


TExecState

TExecState type defines the four possible initial states of the launched applications main window for the InitialState parameter of FileExecute and FileExecuteWait functions: normal, minimized, maximized or hidden.

Unit

RxShell

property TExecState = (esNormal, esMinimized, esMaximized, esHidden);

Description

ValueMeaning

esNormal

esMinimized

esMaximized

esHidden


TRxTimerList.Active

TRxTimerList

The Active property controls whether the timer's should respond to timer events.

property Active: Boolean;


TRxLabel.OnEndDock

TRxLabel

property OnEndDock;


TRxLabel.Font

TRxLabel

property Font;


VCLUtils.MakeBitmap

VCLUtils

MakeBitmap instantiates a bitmap object (TBitmap), and loads the specified bitmap resource from an application's executable file.

property function MakeBitmap(ResID: PChar): TBitmap;

Description

Specify the resource to be loaded as the value of ResID. When you no longer need the bitmap, call it's Destory destructor to free it. If the function fails, the return value is Nil.

MakeBitmap example:

var

__Bmp: TBitmap;

begin

__Bmp := MakeBitmap('MY_BITMAP');

__try

____\\\\\\\ use bitmap \\\\\\\

__finally

____Bmp.Free;

__end;

end;


THugeList.Delete

THugeList

procedure Delete ( Index: Longint );


TPictProperty.Edit

TPictProperty

procedure Edit;


TGIFImage.NewImage

TGIFImage

procedure NewImage;


TRxSplitter.Notification

TRxSplitter

procedure Notification ( AComponent: TComponent; AOperation: TOperation );


TRxMainMenu.GetImageIndex

TRxMainMenu

procedure GetImageIndex ( Item: TMenuItem; State: TMenuOwnerDrawState; var ImageIndex: Integer );


TDBStatusLabel.OnEndDock

TDBStatusLabel

property OnEndDock;


(Untitled)

TClipboardViewer Events

TClipboardViewer By object Legend

OnCanResize

OnChange

OnClick

OnConstrainedResize

OnContextPopup

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetSiteInfo

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnResize

OnStartDock

OnStartDrag

OnUnDock


TComClassManager.GetFactoryFromClass

TComClassManager

function GetFactoryFromClass ( ComClass: TClass ): TComObjectFactory;


TRxPopupDataList.Create

TRxPopupDataList

constructor Create ( AOwner: TComponent );


(Untitled)

TDateEdit Events

TDateEdit Alphabetically Legend

In TDateEdit

OnAcceptDate

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


(Untitled)

TRxRichEdit Methods

TRxRichEdit Alphabetically Legend

Derived from TRxCustomRichEdit

Clear

ClearUndo

Create

Destroy

FindDialog

FindNext

FindText

GetCaretPos

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetSelTextBuf

GetTextRange

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

Print

Redo

ReplaceDialog

SetSelection

StopGroupTyping

Undo

WordAtCursor

Derived from TCustomMemo

GetControlsAlignment

Derived from TCustomEdit

ClearSelection

CopyToClipboard

CutToClipboard

DefaultHandler

PasteFromClipboard

SelectAll

SetSelTextBuf

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDBRichEdit.OnTextNotFound

TRxDBRichEdit

property OnTextNotFound;


TMRUManager.LoadFromRegistry

TMRUManager

LoadsFromRegistry loads the MRU list from the registry.

property procedure LoadFromRegistry(Ini: TRegIniFile; const Section: string);


TTextLayout

TTextLayout specifies the available values for vertical placement of the text in the label.

Unit

RXCtrls

TTextLayout = (tlTop, tlCenter, tlBottom);

Description

ValueMeaning

tlTop

tlCenter

tlBottom


TCustomDBComboBox.Destroy

TCustomDBComboBox

destructor Destroy;


TRxDBLookupList.OnDragDrop

TRxDBLookupList

property OnDragDrop;


TConverter.GetAsInteger

TConverter

function GetAsInteger: Longint;


TMemoryRecord.Create

TMemoryRecord

constructor Create ( MemoryData: TRxMemoryData );


TMemoryTable.EnableDelete

TMemoryTable

property EnableDelete: Boolean read FEnableDelete write FEnableDelete default True;


TComObjectFactory.ComClass

TComObjectFactory

property ComClass: TClass read FComClass;


TEditButton.Create

TEditButton

constructor Create ( AOwner: TComponent );


TRxDBLookupCombo.OnGetImage

TRxDBLookupCombo

property OnGetImage;


TRxCheckListBox.OnClick

TRxCheckListBox

property OnClick;


TRxDBFilter.Destroy

TRxDBFilter

destructor Destroy;


TDBStatusLabel.Destroy

TDBStatusLabel

destructor Destroy;


TRxSwitch.Align

TRxSwitch

property Align;


TRxCustomRichEdit.AutoURLDetect

TRxCustomRichEdit

property AutoURLDetect: Boolean read GetAutoURLDetect write SetAutoURLDetect default True;


TConverter.LongDate

TConverter

When this property is True, then the full month's names (January-December, using the strings given by the LongMonthNames global variable) are using for output. When False, displays the month as a number (1-12).

property LongDate: Boolean;


TVersionInfo.Create

TVersionInfoSee also

The Create method allocates memory to create a TVersionInfo object, passes it the file name of the interesting file and read version information about a specified file from VERSIONINFO resource.

property constructor Create(const AFileName: string);

Description

If the reading succeeds, the Valid property is True. If the reading fails, the Valid property is False.


TRxDBCalcEdit.GetReadOnly

TRxDBCalcEdit

function GetReadOnly: Boolean;


TRxFolderMonitor

Hierarchy Properties Methods Events

This component allows to keep an eye on a folder and to monitor any changes to it.

Unit

RxNotify


TPageManager.PageProxies

TPageManager

PageProxies is the list of cached pages that is contained in the notebook.

property PageProxies: TList;


TDBIndexCombo.Color

TDBIndexCombo

property Color;


TLocateObject

Hierarchy Properties Methods

Use TLocateObject to search a dataset specified by DataSet property for a specific record and position the cursor on it.

Unit

DBUtils

Description

After setting DataSet property you can call Locate method which has parameter KeyField specified field name on which to search.

When you search on BDE data source, use TDBLocate class (inherits from TLocateObject) instead.

NOTE. In Delphi 2.0 or higher you can use standard TDataSet.Locate method instead.


TSpeedBar.Options

TSpeedBar

TSpeedbarOption = (sbAllowDrag, sbAllowResize, sbFlatBtns, sbGrayedBtns,

sbTransparentBtns, sbStretchBitmap);

sbAllowDrag - allow the speed bar to be dragged to a new position.

sbAllowResize - allows the speed bar to be resized.

sbFlatBtns - subclasses the RxSpeedButtons so that they appear to be flat.

sbGrayedBtns - subclasses the RxSpeedButtons so that they appear grayed.

sbTransparentBtns - subclasses the RxSpeedButtons so that they appear transparent.

sbStretchBitmap - stretches the wallpaper if necessary.

property Options: TSpeedbarOptions;


TRxCheckListBox.CreateParams

TRxCheckListBox

procedure CreateParams ( var Params: TCreateParams );


TRxSlider.TabOrder

TRxSlider

property TabOrder;


TCurrencyEdit.OnKeyPress

TCurrencyEdit

property OnKeyPress;


TFormStorage.StoredProps

TFormStorage

StoredProps contains the forms controls you have selected or chosen to have their properties stored into a file.

property StoredProps: TStrings;


TComboEdit.Font

TComboEdit

property Font;


TDBProgress.OnPercentChange

TDBProgress

The OnPercentChange event occurs every time percent notifications is returned from the database engine (BDE).

property OnPercentChange: TOnPercentChange;

Description

This event is only generated when Active is set to True.


TAppEvents.OnIdle

TAppEvents

OnIdle is triggered when the application is idle.

Method DoIdle(Sender: TObject; var Done: Boolean);


TRxDBGrid.OnMouseWheelDown

TRxDBGrid

property OnMouseWheelDown;


TDBSecurity.UsersTableName

TDBSecurity

The UsersTableName property points to an existing database table, which holds data about the users of the application and their passwords.

property UsersTableName: TFileName;

Description

At the least, the table must have a field representing a login name, specified by LoginNameField property, and optionaly a fields representing a password or any extraneous information, which can be used in the OnCheckUser event handler.


TRxDBRichEdit.OnKeyPress

TRxDBRichEdit

property OnKeyPress;


TRxDBComboEdit.Anchors

TRxDBComboEdit

property Anchors;


(Untitled)

TRxErrorDialog Events

TRxErrorDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnErrorMsg

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


(Untitled)

TCloneTable Methods

TCloneTable By object Legend

ActiveBuffer

AddIndex

Append

AppendRecord

ApplyRange

ApplyUpdates

Assign

BatchMove

BeforeDestruction

BookmarkValid

Cancel

CancelRange

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CloseIndexFile

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CreateTable

CursorPosChanged

Delete

DeleteIndex

DeleteTable

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EditKey

EditRangeEnd

EditRangeStart

EmptyTable

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindKey

FindLast

FindNearest

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetIndexNames

GetNamePath

GetParentComponent

GotoBookmark

GotoCurrent

GotoKey

GotoNearest

HasParent

InitFromTable

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

LockTable

Lookup

MoveBy

Next

Open

OpenDatabase

OpenIndexFile

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

RenameTable

Resync

RevertRecord

SafeCallException

SetFields

SetKey

SetRange

SetRangeEnd

SetRangeStart

Translate

UnlockTable

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TFormPlacement.RestoreFormPlacement

TFormPlacement

The RestoreFormPlacement method loads all the properties specified in the related Options property from the initialization file or registry key specified in IniFileName independently of Active property value.

property procedure RestoreFormPlacement; virtual;


TSecretPanel.Paint

TSecretPanel

procedure Paint;


THugeList.Move

THugeList

procedure Move ( CurIndex , NewIndex: Longint );


TTextListBox.OnKeyUp

TTextListBox

property OnKeyUp;


(Untitled)

TAnimatedImage Properties

TAnimatedImage By object Legend

Action

Active

Align

Anchors

AsyncDrawing

AutoSize

BiDiMode

BoundsRect

Center

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Glyph

GlyphNum

Height

Hint

HostDockSite

InactiveGlyph

Interval

Left

LRDockWidth

Name

NumGlyphs

Opaque

Orientation

Owner

Parent

ParentColor

ParentShowHint

PopupMenu

ShowHint

Stretch

Tag

TBDockHeight

Top

TransparentColor

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc


AppUtils.WriteFormPlacementReg

AppUtils

WriteFormPlacementReg writes state (normal, minimize, maximize) and placement (size and position) of Delphi form Form to the Windows95/NT system registry key specified by IniFile parameter.

property procedure WriteFormPlacementReg(Form: TForm; IniFile: TRegIniFile; const Section: string);

Description

To retrieve form's placement from the system registry use ReadFormPlacementReg procedure.

WriteFormPlacementReg example:

WriteFormPlacementReg(MyForm, RegIniFile, MyForm.ClassName);


TRxCheckListBox.ImeMode

TRxCheckListBox

property ImeMode;


TRxDBCalcEdit.OnChange

TRxDBCalcEdit

property OnChange;


TFormStorageEditor

Hierarchy

Unit

PresrDsn


TComServerObject.GetTypeLib

TComServerObject

function GetTypeLib: ITypeLib;


TRxSpinButton.OnStartDrag

TRxSpinButton

property OnStartDrag;


TRxDBRichEdit.LoadMemo

TRxDBRichEdit

procedure LoadMemo;


TStrHolder.Assign

TStrHolder

procedure Assign ( Source: TPersistent );


TInplaceEditStyle

TInplaceEditStyle defines the values the Style parameter of OnGetEditStyle event handler can assume.

Unit

RXGrids

property TInplaceEditStyle = (ieSimple, ieEllipsis, iePickList);

Description

The Style parameter determines how users can edit the data of a grid cell. These are the possible values of Style:

ValueMeaning

ieSimpleNo combo box or ellipsis button is provided. The user cannot select the cell's content from a list.

iePicklistThe grid displays a combo box in the column, and the user can choose a value from the drop-down list. You must specify contents of a pick-list by handling OnGetPicklist event.

ieEllipsisThe column displays an ellipsis button that the user can click to choose a value. Clicking the ellipsis button triggers an OnEditButtonClick event.


TLocateObject.RefreshQuery

TLocateObject

The RefreshQuery procedure for a dataset Query flushes local buffers and refetches data for an open dataset.

property procedure RefreshQuery(Query: TDataSet);

Description

You can use this procedure to update the display in data-aware controls if you think that the underlying data has changed because other applications have simultaneous access to the data used in your application.

RefreshQuery example:

RefreshQuery(Query1);


(Untitled)

TBDEItems Methods

TBDEItems Alphabetically Legend

Derived from TCustomBDEItems

Locate

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

Create

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCurrencyEdit.OnDragOver

TCurrencyEdit

property OnDragOver;


(Untitled)

TRxTimerList Methods

TRxTimerList By object Legend

Activate

Add

AddItem

Assign

BeforeDestruction

Clear

Create

Deactivate

Delete

Destroy

DestroyComponents

Destroying

DoTimer

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetChildren

GetNamePath

GetParentComponent

HasParent

InsertComponent

ItemByHandle

ItemIndexByHandle

NextHandle

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

WriteComponents


TRxDBRichEdit.OnDragOver

TRxDBRichEdit

property OnDragOver;


TSpeedBar.RestoreLayoutReg

TSpeedBar

procedure RestoreLayoutReg ( IniFile: TRegIniFile );


TSpeedbarSection.HasParent

TSpeedbarSection

function HasParent: Boolean;


TRxSpeedButton.Spacing

TRxSpeedButton

property Spacing: Integer read FSpacing write SetSpacing default 1


TRxDBComboBox.OnClick

TRxDBComboBox

property OnClick;


TWMMouseWheel

Describes a mouse wheel event

Unit

VCLUtils

TWMMouseWheel record

Msg:Cardinal;

Keys:Word;

Delta:Word;

case Integer of

0: (

XPos: Smallint;

YPos: Smallint);

1: (

Pos: TSmallPoint;

Result: Longint);end;


TAnimatedImage.Align

TAnimatedImage

property Align;


TBtnControl.ReleaseHandle

TBtnControl

procedure ReleaseHandle;


(Untitled)

TTableItems Events

TTableItems Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


(Untitled)

TDateEdit Properties

TDateEdit By object Legend

Action

Align

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

BoundsRect

Brush

Button

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CanUndo

CheckOnExit

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

Date

DefaultToday

DesignInfo

DialogTitle

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupColor

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

StartOfWeek

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

WeekendColor

WeekendColour

Weekends

Width

WindowProc

YearDigits


TRxCheckListBox.ResetContent

TRxCheckListBox

procedure ResetContent;


(Untitled)

TCustomTableItems Methods

TCustomTableItems Alphabetically Legend

In TCustomTableItems

CreateHandle

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomDateEdit.PopupColor

TCustomDateEdit

property PopupColor: TColor read GetPopupColor write SetPopupColor default clBtnFace;


ClipIcon.CreateIconFromClipboard

ClipIcon

CreateIconFromClipboard retrieves icon image from the Clipboard when Clipboard has format CF_ICON, and creates new icon object.

property function CreateIconFromClipboard: TIcon;

Description

You must destroy created object after using it. When Clipboard has not icon data, this function returns nil.

Use the TClipboard.HasFormat method to determine whether the information on the clipboard uses a format compatible with the icon object (CF_ICON).

You can place icon in the Clipboard by calling CopyIconToClipboard procedure.

CreateIconFromClipboard example:

var Icon: TIcon;

begin

__...

__Icon := CreateIconFromClipboard;

__try

____\\\\\\\ using the icon \\\\\\\

__finally

____Icon.Free;

__end;

__...

end;


TRxLabel.FocusControl

TRxLabel

property FocusControl;


(Untitled)

TImageForm Methods

TImageForm Alphabetically Legend

In TImageForm

CheckDatabaseChange

Create

Destroy

Execute

FillParams

GetUserName

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

CreateNew

DefaultHandler

DefocusControl

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSpinEdit.Change

TRxSpinEdit

procedure Change;


TRxDBComboBox.OnExit

TRxDBComboBox

property OnExit;


(Untitled)

TRxTimerList Properties

TRxTimerList Alphabetically Legend

In TRxTimerList

Active

AsSeconds

Count

Cycled

EnabledCount

Events

ExecCount

Handle

RepeatCount

TimerList

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TCustomNumEdit.MinValue

TCustomNumEdit

property MinValue: Extended read FMinValue write SetMinValue;


TGIFImage.DeleteFrame

TGIFImage

procedure DeleteFrame ( Index: Integer );


TPageManager.OnEnter

TPageManager

OnHide event is triggered when focus comes into the Notebook.

property OnEnter: TPageNotifyEvent;


TRxSwitch.DefineProperties

TRxSwitch

procedure DefineProperties ( Filer: TFiler );


TCloneDataset.ReadOnly

TCloneDataset

property ReadOnly: Boolean read FReadOnly write SetReadOnly default False;


TFilenameEdit.OnMouseMove

TFilenameEdit

property OnMouseMove;


TChPswdForm.CreateParams

TChPswdForm

procedure CreateParams ( var Params: TCreateParams );


TSecretPanel.StopPlay

TSecretPanel

procedure StopPlay;


(Untitled)

TRxDBFilter Events

TRxDBFilter Alphabetically Legend

In TRxDBFilter

OnActivate

OnDeactivate

OnFiltering

OnReleaseCapture

OnSetCapture


TAnimatedCursorImage.IconCount

TAnimatedCursorImage

IconCount is read only and contains the number of icons in a list after loading ANI data

from a ANI Cursor file.

property IconCount: Integer;


TComboEdit.ButtonHint

TComboEdit

The ButtonHint property is the text string that specifies the Hint property for the button in a button edit component (TComboEdit and derived).

property ButtonHint: string;


TDataSourceLink.RecordChanged

TDataSourceLink

procedure RecordChanged ( Field: TField );


TResourceStream.Seek

TResourceStream

function Seek ( Offset: Longint; Origin: Word ): Longint;


(Untitled)

TRxCustomLabel Properties

TRxCustomLabel Alphabetically Legend

In TRxCustomLabel

Alignment

AutoSize

FocusControl

Layout

LeftMargin

MouseInControl

RightMargin

ShadowColor

ShadowPos

ShadowSize

ShowAccelChar

ShowFocus

Transparent

WordWrap

Derived from TGraphicControl

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxSlider.ImageHThumb

TRxSlider

This is the the bitmap for the knob on the horizontal slider

property ImageHThumb: TBitmap;


TRxRichEdit.OnProtectChange

TRxRichEdit

property OnProtectChange;


TAutoIntfObject

Hierarchy Properties Methods

TAutoIntfObject

Unit

ComObj


TStoredPropsProperty.Edit

TStoredPropsProperty

procedure Edit;


TRxIniFile.Destroy

TRxIniFile

destructor Destroy;


TLookupListStyle

The TLookupListStyle type is the type of the ListStyle property for a lookup list controls (TRxDBLookupList and TRxDBLookupCombo components).

Unit

RxLookup

property TLookupListStyle = (lsFixed, lsDelimited);

Description

ValueMeaning

lsFixed

lsDelimited


TCustomBDEItems.OpenCursor

TCustomBDEItems

procedure OpenCursor ( InfoQuery: Boolean );


TMergeManager.MergeFrame

TMergeManager

MergeFrame

property MergeFrame: TWinControl read FMergeFrame write SetMergeFrame stored NotIsForm;


TDBStatusLabel.Anchors

TDBStatusLabel

property Anchors;


TDBIndexCombo.ShowHint

TDBIndexCombo

property ShowHint;


TRxDBComboBox.ImeMode

TRxDBComboBox

property ImeMode;


TStrHolder.CommaText

TStrHolder

property CommaText: string read GetCommaText write SetCommaText;


TRxDBFilter.DataSource

TRxDBFilter

property DataSource: TDataSource read GetDataSource write SetDataSource;


(Untitled)

TIconListDialog Methods

TIconListDialog Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxCustomRichEdit.ProtectChange

TRxCustomRichEdit

function ProtectChange ( const Message: TMessage; StartPos , EndPos: Integer ): Boolean;


(Untitled)

TPopupDataWindow Events

TPopupDataWindow By object Legend

OnClick

OnCloseUp

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag


TRxSlider.OnStartDrag

TRxSlider

property OnStartDrag;


TRxSlider.OnKeyUp

TRxSlider

property OnKeyUp;


TRxSplitter.OnMouseUp

TRxSplitter

property OnMouseUp;


TColorComboBox.Visible

TColorComboBox

property Visible;


TDBLoginDialog.Execute

TDBLoginDialog

function Execute ( LoginParams: TStrings ): Boolean;


RXMemory.GotoRecord

RXMemory

Use this method to position the cursor on record, specified by the sequence number RecordNo.

procedure GotoRecord(RecordNo: Longint);

Description

First record in the in-memory table has number 1.


(Untitled)

TFieldList Methods

TFieldList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TDateTimeFormat.GetMask

TDateTimeFormat

function GetMask: string;


TOwnerDrawComboBox.CreateParams

TOwnerDrawComboBox

procedure CreateParams ( var Params: TCreateParams );


TRxMainMenu.RefreshMenu

TRxMainMenu

procedure RefreshMenu ( AOwnerDraw: Boolean );


TSpeedbarEditor.OwnerForm

TSpeedbarEditor

property OwnerForm: TCustomForm read GetForm;


(Untitled)

TProgressControlProperty Methods

TProgressControlProperty Alphabetically Legend

In TProgressControlProperty

FreeHandle

GetValues

Reference

Release


TWriteObjectEvent

TWriteObjectEvent is the type of the OnWriteObject event of the TRxIniFile class.

Unit

RXIni

TWriteObjectEvent = procedure(Sender: TObject; const Section, Item: string; Obj: TObject) of object;


TRxDBComboEdit.CharCase

TRxDBComboEdit

property CharCase;


TDualListDialog.Execute

TDualListDialog

function Execute: Boolean;


(Untitled)

TMRUManager Events

TMRUManager Alphabetically Legend

In TMRUManager

OnChange

OnClick

OnGetItemData

OnReadItem

OnWriteItem


TRxCustomLabel.Alignment

TRxCustomLabel

property Alignment: TAlignment read FAlignment write SetAlignment default taLeftJustify;


TFormPlacement.UseRegistry

TFormPlacement

This property is enabled under Delphi 2.0 It maps the INI file to the registry instead.

UseRegistry : boolean


(Untitled)

TRxTrayIcon Methods

TRxTrayIcon By object Legend

Assign

BeforeDestruction

Create

DblClick

Destroy

DestroyComponents

Destroying

DoClick

ExecuteAction

FileExecute

FileExecuteWait

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

Hide

IconExtract

InsertComponent

Loaded

MouseDown

MouseMove

MouseUp

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

Show

UpdateAction

UpdateNotifyData

WinAbout


TRxGIFAnimator.FrameChanged

TRxGIFAnimator

procedure FrameChanged;


TRxMemoryData.BCDToCurr

TRxMemoryData

function BCDToCurr ( BCD: Pointer; var Curr: Currency ): Boolean;


TRxLookupControl.FieldsDelimiter

TRxLookupControl

property FieldsDelimiter: Char read FFieldsDelim write SetFieldsDelim default DefFieldsDelim;


TRxGradientCaption.Update

TRxGradientCaption

procedure Update;


BoxProcs.BoxMoveAllItems

BoxProcs

Copies all items from SrcList to the DstList and then clears the SrcList.

property procedure BoxMoveAllItems(SrcList, DstList: TCustomListBox);

Description

BoxMoveAllItems example:

BoxMoveAllItems(DstList, SrcList);


TTimerItemsEditor.FormClosed

TTimerItemsEditor

procedure FormClosed ( Form: TCustomForm );


(Untitled)

TLookupSourceLink Properties

TLookupSourceLink By object Legend

Active

ActiveRecord

BOF

BufferCount

DataSet

DataSource

DataSourceFixed

Editing

Eof

ReadOnly

RecordCount


TPictProperty.GetAttributes

TPictProperty

function GetAttributes: TPropertyAttributes;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TGraphicControl

|

TRxImageControl


(Untitled)

TCustomDatabaseItems Properties

TCustomDatabaseItems Alphabetically Legend

In TCustomDatabaseItems

ExtendedInfo

FileMask

ItemName

ItemType

SystemItems

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


EOleError

Hierarchy Properties Methods

Class of exceptions raise by procs and funcs included in this unit.

Unit

ComObj


TSecretPanel.BevelInner

TSecretPanel

property BevelInner;


(Untitled)

TComServerObject Methods

TComServerObject Alphabetically Legend

In TComServerObject

CountFactory

CountObject

GetHelpFileName

GetServerFileName

GetServerKey

GetServerName

GetStartSuspended

GetTypeLib

SetHelpFileName


TRxCustomRichEdit.CreateParams

TRxCustomRichEdit

procedure CreateParams ( var Params: TCreateParams );


TQBEQuery.ExecQBE

TQBEQuery

Use the ExecQBE method to execute an QBE statement assigned to the QBE property of a TQBEQuery if the statement does not return a result set.

property procedure ExecQBE;

Description

If the QBE statement is an INSERT, UPDATE, DELETE, or any DDL statement, then use this method.


TRxMainMenu

Hierarchy Properties Methods Events

Main menu with new styles including owner draw

Unit

RxMenus


TDBSecurity.OnCheckUser

TDBSecurity

Password checking

property OnCheckUser: TCheckUserEvent;

Description

OnCheckUser example:

function TMainForm.SecurityCheckUser(UsersTable: TTable; const Password: String):

Boolean;

begin

__Result := False;

__with UsersTable do

__begin

____if CryptString(PswdKey, FieldByName('PASSWORD').AsString) = Password then

____begin

______Result := True;

______UserId := FieldByName('ID').AsInteger;

______UserLevel := FieldByName('USER_LEVEL').AsInteger;

____end;

__end;

end;


TGetImageEvent

TGetImageEvent is the type of the OnGetImage event of the TRxDBLookupList and the TRxDBLookupCombo components.

Unit

RxLookup

property TGetImageEvent = procedure (Sender: TObject; IsEmpty: Boolean; var Graphic: TGraphic; var TextMargin: Integer) of object;


RxQuery.MacroByName

RxQuery

The MacroByName method returns the element of the Macros property whose Name property matches Value. Use it to assign values to macroses in a dynamic TRxQuery by their names.

MacroByName example

rxQuery1.ParamByName('ORDER').AsString := 'ITEMS.NAME';

function MacroByName(const Value: string): TParam;


TFilenameEdit.BorderStyle

TFilenameEdit

property BorderStyle;


TAnimatedCursorImage.Frames

TAnimatedCursorImage

property Frames [ Index: Integer ]: TIconFrame read GetFrame;


TRxRichEdit.OnExit

TRxRichEdit

property OnExit;


TRxTimerList.RepeatCount

TRxTimerList

Property stored number of times what need occur event whenever a specified period of time passes after execute Activate method of TRxTimerList. After it property Enabled has been False value.

property RepeatCount: Integer;

Description

Value of this property must be more greater or equal 1. May be used only when Cycled property value is False.

You can use ExecCount property for definition of the times occured events after execute TRxTimerList.


TRxCalcEdit.OnEnter

TRxCalcEdit

property OnEnter;


TFilenameEdit.ClearFileList

TFilenameEdit

procedure ClearFileList;


TSpeedBar.TabOrder

TSpeedBar

property TabOrder;


TRxTrayIcon.UpdateNotifyData

TRxTrayIcon

procedure UpdateNotifyData;


TRxPopupDataList.Click

TRxPopupDataList

procedure Click;


TDirectoryEdit.ButtonHint

TDirectoryEdit

property ButtonHint;


(Untitled)

TChPswdForm Methods

TChPswdForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParams

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TAnimatedCursorImage.AssignToBitmap

TAnimatedCursorImage

The procedure AssignToBitmap discards any current image in Bitmap object and

replaces the icon's images loaded from ANI-file. The resulting image is a series of

frames arranged one after the other according to the Vertical parameter value. To make

resulted image partially transparent you could use the BackColor parameter. Also you

could use DecreaseColors property to decrease bitmap color count to the original value

described in the ANI-file.

property procedure AssignToBitmap(Bitmap: TBitmap; BackColor: TColor; DecreaseColors, Vertical: Boolean);


(Untitled)

TRxLookupEdit Events

TRxLookupEdit By object Legend

OnButtonClick

OnChange

OnClick

OnCloseUp

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TRxSpeedButton.ButtonGlyph

TRxSpeedButton

property ButtonGlyph: Pointer read FGlyph;


TDBLocate.FieldLogicMap

TDBLocate

Returns BDE logical type identifier for the specified Delphi database field type.

property function FieldLogicMap(FldType: TFieldType): Integer;

Description

FieldLogicMap example:

var

__I: Integer;

__Fld: TField;

begin

__...

__I := FieldLogicMap(Fld.DataType);

end;


TRxMemoryData.SetBookmarkData

TRxMemoryData

procedure SetBookmarkData ( Buffer: PChar; Data: Pointer );


TPropInfoList.Find

TPropInfoList

function Find ( const AName: string ): PPropInfo;


TColorComboBox.DrawItem

TColorComboBox

procedure DrawItem ( Index: Integer; Rect: TRect; State: TOwnerDrawState );


(Untitled)

RxQuery Methods

RxQuery Alphabetically Legend

In RxQuery

ExecDirect

ExpandMacros

IsEmpty

MacroByName

OpenOrExec


TFormStorage.Destroy

TFormStorage

destructor Destroy;


TDBDateEdit.ReadOnly

TDBDateEdit

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


(Untitled)

TMemBlobStream Properties

TMemBlobStream Alphabetically Legend

Derived from TStream

Position

Size


TRxLookupControl.DataSource

TRxLookupControl

property DataSource: TDataSource read GetDataSource write SetDataSource;


(Untitled)

TOleController Properties

TOleController By object Legend

Locale

OleObject


TDBSecurity.BeforeLogin

TDBSecurity

Before the user login, BeforeLogin event is triggered.

property BeforeLogin: TNotifyEvent read FBeforeLogin write FBeforeLogin;


TRxLookupEdit.DropDownCount

TRxLookupEdit

property DropDownCount: Integer read FDropDownCount write SetDropDownCount default 8


RxQuery.ExpandMacros

RxQuery

Replace all macroses in the SQL text by their string values before executing of the query. Called automatically by the Open, Prepare or ExecSQL methods, by must be called manually before ExecDirect or OpenOrExec methods if SQL statements has macroses (MacroCount > 0).

procedure ExpandMacros;


TBookmarkList.CurrentRowSelected

TBookmarkList

The CurrentRowSelected property returns a boolean value and determines whether the current row is selected or not.

property CurrentRowSelected: Boolean read GetCurrentRowSelected write SetCurrentRowSelected;


TRxDBLookupList.DoMouseWheelUp

TRxDBLookupList

function DoMouseWheelUp ( Shift: TShiftState; MousePos: TPoint ): Boolean;


(Untitled)

TButtonImage Events

TButtonImage Alphabetically Legend

In TButtonImage

OnChange


(Untitled)

TCheckItemsProperty Methods

TCheckItemsProperty By object Legend

Edit

GetAttributes


TRxLabel.OnStartDock

TRxLabel

property OnStartDock;


TDualListDialog.Title

TDualListDialog

The Title property determines the text that appears in the dialog box's title bar.

property Title: string;


TRxDice.AutoSize

TRxDice

AutoSize property sizes the dice to the default size.

AutoSize : boolean


TRxDBRichEdit.Enabled

TRxDBRichEdit

property Enabled;


TPicClip.LoadBitmapRes

TPicClip

LoadBitmapRes loads the specified bitmap resource along with palette information from

a module's executable file or DLL specified by Instance parameter into then TPicClip

object. Specify the resource to be loaded as the value of ResID.

property procedure LoadBitmapRes(Instance: THandle; ResID: PChar);


TOleController.CallProcedureByID

TOleController

CallProcedureById calls a procedure by it's ID and with parameters Params

property procedure CallProcedureByID(ID: DISPID; const Params: array of const);


TGradCaptionsEditor

Hierarchy Properties Methods Events

Unit

GradEdit


TRxMemoryData.OnEditError

TRxMemoryData

property OnEditError;


TRxLookupEdit.OnGetImage

TRxLookupEdit

property OnGetImage: TGetImageEvent read GetOnGetImage write SetOnGetImage;


DateUtil.DefDateFormat

DateUtil

DefDateFormat returns the default date format string according to the current Windows settings (ShortDateFormat) and to the FourDigitYear variable's value.

property function DefDateFormat: string;

Description

The order for month, day, and year is determined by the ShortDateFormat global variable.

For example, if the ShortDateFormat = 'D/mm/yy', then the DefDateFormat returns:

'DD/MM/YYYY'.

DefDateFormat example:

Field1.AsDateTime := StrToDateFmt(DefDateFormat, Edit1.Text);


TAnimatedImage.OnMouseUp

TAnimatedImage

property OnMouseUp;


TLongVersion

Unit

RxVerInf

TLongVersion record

caseIntegerof0(All:array[1.4ofWord);

1(MS,LS:LongInt);

end;


TResourceStream

Hierarchy Properties Methods

To manage resource as a stream

Unit

VCLUtils


TCustomComboEdit.AlwaysEnable

TCustomComboEdit

property AlwaysEnable: Boolean read FAlwaysEnable write FAlwaysEnable default False;


TScreenCanvas.Size

TScreenCanvas

property Size: Integer read FSize write SetSize;


TAutoObjectFactory.DispTypeInfo

TAutoObjectFactory

property DispTypeInfo: ITypeInfo read FDispTypeInfo;


TRxClock.ShowSeconds

TRxClock

The ShowSeconds property determines whether or not seconds (the seconds hand in the analogue clock or seconds time in the digital font) will be displayed.

property ShowSeconds: Boolean read FShowSeconds write SetShowSeconds default True;


TRxSpinEdit.OnKeyUp

TRxSpinEdit

property OnKeyUp;


(Untitled)

TComServerObject Properties

TComServerObject Alphabetically Legend

In TComServerObject

HelpFileName

ServerFileName

ServerKey

ServerName

StartSuspended

TypeLib


TQBEQuery.GetParamsCount

TQBEQuery

function GetParamsCount: Word;


TMRUManager.UpdateRecentMenu

TMRUManager

UpdateRecentMenu updates the MRU list. Use this if the autoupdate property is false and you want to update the MRU list manually instead.

property procedure UpdateRecentMenu;


TSQLScript.DBSession

TSQLScript

property DBSession: TSession read GetDBSession;


TProxyEditor.PageManager

TProxyEditor

property PageManager: TPageManager read FPageManager write SetPageManager;


TCloneTable.ReadOnly

TCloneTable

property ReadOnly: Boolean read FReadOnly write SetReadOnly default False;


(Untitled)

TRxWindowHook Properties

TRxWindowHook By object Legend

Active

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

HookWindow

Name

Owner

Tag

VCLComObject

WinControl


TComObjectFactory.Destroy

TComObjectFactory

destructor Destroy;


SplshWnd.SplashStayOnTop

SplshWnd

This global variable determines whether or not the form created by ShowSplashWindow function will be have FormStyle property equal to fsStayOnTop.

property SplashStayOnTop: Boolean = True;;

Description

The default setting is True. Set SplashStayOnTop to False if you want to create splash screen with form style equal to fsNormal.

Type TSplashWindow

property TSplashWindow = class(TForm);

This class is intended for creating splash screens. Splash screens are simply forms that are presented to users while the application is performing time-consuming operations or displayed as soon as your application program is executed.

To create and display splash screen use ShowSplashWindow function.


TRxSpeedButton.AllowTimer

TRxSpeedButton

When the AllowTimer property is set to True, instead of generating a single OnClick event when the button is pressed, TRxSpeedButton continues to generate OnClick events as long as the button is in the down state, with RepeatPause interval.

property AllowTimer: Boolean;


TRxSpinEdit.ShowHint

TRxSpinEdit

property ShowHint;


TButtonImage.Destroy

TButtonImage

destructor Destroy;


TRxDBLookupCombo.DisplayEmpty

TRxDBLookupCombo

The DisplayEmpty property allows you specify the text value to display when no item is selected from the lookup list and the Value property is equal to the EmptyValue property (empty string by default).

property DisplayEmpty: string;

Description

If DisplayEmpty set to the non-empty string, this value will be show at the top of the list additionaly to the lookup items. The EmptyItemColor value use to display background of this item.


TMRUManager.DoWriteItem

TMRUManager

procedure DoWriteItem ( Ini: TObject; const Section: string; Index: Integer; const RecentName: string; UserData: Longint );


(Untitled)

Hierarchy

TIAddInNotifier


(Untitled)

RXDate Properties

RXDate Alphabetically Legend

Derived from TDateEdit

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

Button

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CheckOnExit

ClickKey

Color

Constraints

Ctl3D

Date

DefaultToday

DialogTitle

DirectInput

DragCursor

DragKind

DragMode

EditMask

Enabled

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupColor

PopupMenu

ReadOnly

ShowHint

StartOfWeek

TabOrder

TabStop

Text

Visible

WeekendColor

WeekendColour

Weekends

YearDigits

Derived from TCustomDateEdit

PopupVisible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TConverter.Clear

TConverter

This method clears the value stored in TConverter component.

property procedure Clear;


TBDEItems

Hierarchy Properties Methods Events

Unit

DBLists


(Untitled)

TDBSecurity Properties

TDBSecurity By object Legend

Active

AllowEmptyPassword

AttemptNumber

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DesignInfo

IniFileName

LoggedUser

LoginNameField

MaxPasswordLen

Name

Owner

SelectAlias

Tag

UpdateCaption

UseRegistry

UsersTableName

VCLComObject


TComboEdit.DirectInput

TComboEdit

property DirectInput;


TDateEdit.OnKeyUp

TDateEdit

property OnKeyUp;


TSecretPanel.OnClick

TSecretPanel

property OnClick;


(Untitled)

TProxyEditor Methods

TProxyEditor By object Legend

Activated

ComponentDeleted

FormClosed

FormModified

GetEditState

NameProxy

UniqueName


TRxSpinEdit.Value

TRxSpinEdit

This property contains the contents of the edit portion. It is in floating point format.

property Value: Double;


(Untitled)

TRxMemoryData Events

TRxMemoryData By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError


TRxDBLookupCombo.ReadOnly

TRxDBLookupCombo

property ReadOnly;


TAnimatedImage.Constraints

TAnimatedImage

property Constraints;


TDBDateEdit.UseRightToLeftAlignment

TDBDateEdit

function UseRightToLeftAlignment: Boolean;


(Untitled)

TQueryParamsDialog Properties

TQueryParamsDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TFormPlacement.Form

TFormPlacement

property Form: TForm read GetForm;


TGraphicsEditor.EditProperty

TGraphicsEditor

procedure EditProperty ( PropertyEditor: TPropertyEditor; var Continue , FreeEditor: Boolean );


TRxCustomSlider.Create

TRxCustomSlider

constructor Create ( AOwner: TComponent );


TDataSourceLink.FocusControl

TDataSourceLink

procedure FocusControl ( Field: TFieldRef );


TGIFImage.Transparent

TGIFImage

property Transparent: Boolean read GetTransparent;


TRxRichEdit.ParentShowHint

TRxRichEdit

property ParentShowHint;


TRxLookupEdit.PopupAlign

TRxLookupEdit

property PopupAlign;


TVersionInfo.VerFileDate

TVersionInfo

property VerFileDate: TDateTime read GetVerFileDate;


TRxGradientCaption.TextWidth

TRxGradientCaption

property TextWidth: Integer read GetTextWidth;


TAnimatedImage.AdjustSize

TAnimatedImage

procedure AdjustSize;


StrUtils.Tab2Space

StrUtils

Tab2Space converts any tabulation character in the given string to the Numb spaces characters.

property function Tab2Space(const S: string; Numb: Byte): string;

Description

Tab2Space example:__

__S := Tab2Space(S, 8);


TRxMemoryData.SetFiltered

TRxMemoryData

procedure SetFiltered ( Value: Boolean );


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TCustomGrid

|

TCustomDBGrid

|

TDBGrid


TCustomComboEdit.PopupVisible

TCustomComboEdit

property PopupVisible: Boolean read GetPopupVisible;


(Untitled)

TPicClip Methods

TPicClip By object Legend

Assign

AssignTo

BeforeDestruction

Changed

Create

Destroy

DestroyComponents

Destroying

Draw

DrawCenter

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetIndex

GetNamePath

GetParentComponent

HasParent

InsertComponent

LoadBitmapRes

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TRxDBLookupCombo.MouseMove

TRxDBLookupCombo

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


(Untitled)

TBDEItems Properties

TBDEItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TRxDBComboEdit.AutoSelect

TRxDBComboEdit

property AutoSelect;


TRxLabel.AutoSize

TRxLabel

property AutoSize;


(Untitled)

TRxResourceEditor Events

TRxResourceEditor Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TConverter.SetAsInteger

TConverter

procedure SetAsInteger ( Value: Longint );


TRxRichEdit.StreamFormat

TRxRichEdit

property StreamFormat;


TRxSliderImages.VertThumb

TRxSliderImages

property VertThumb: TBitmap index Ord ( siVThumb ) read GetImage write SetImage stored StoreImage;


TCustomDBComboBox.Field

TCustomDBComboBox

property Field: TField read GetField;


TSpeedbarSetupWindow.SpeedBar

TSpeedbarSetupWindow

property SpeedBar: TSpeedBar read FBar write SetSpeedBar;


TRxDBLookupList.ListStyle

TRxDBLookupList

ListStyle determines how the lookup list displays its items when multiple fields specified by the LookupDisplay property.

property ListStyle: TLookupListStyle;

Description

By default, style is lsFixed, meaning that the each display field always takes up a fixed width accordingly to their DisplayWidth properties. The lsDelimited style meaning that each field takes a variable width, and the fields are separated by a comma (',') character.


TCheckItemsProperty.GetAttributes

TCheckItemsProperty

function GetAttributes: TPropertyAttributes;


TDBDateEdit.OnExit

TDBDateEdit

property OnExit;


TRxIniFile.WriteObject

TRxIniFile

procedure WriteObject ( const Section , Item: string; Index: Integer; Obj: TObject );


TComboEdit.OnEndDock

TComboEdit

property OnEndDock;


TDateEdit.OnDblClick

TDateEdit

property OnDblClick;


(Untitled)

TIconFrame Properties

TIconFrame By object Legend

JiffRate

Seq


TRxSpeedButton.Enabled

TRxSpeedButton

property Enabled;


(Untitled)

TAnimatedImage Events

TAnimatedImage By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnFrameChanged

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop


(Untitled)

TAutoObjectFactory Methods

TAutoObjectFactory Alphabetically Legend

In TAutoObjectFactory

Create

GetIntfEntry

Derived from TTypedComObjectFactory

GetInterfaceTypeInfo

UpdateRegistry

Derived from TComObjectFactory

CreateComObject

Destroy

RegisterClassObject


TRxCustomTrackBar.Images

TRxCustomTrackBar

property Images: TRxSliderImages read FImages write FImages;


TRxPopupMenu.IsOwnerDrawMenu

TRxPopupMenu

function IsOwnerDrawMenu: Boolean;


TCustomDateEdit.Change

TCustomDateEdit

procedure Change;


TRxLabel.PopupMenu

TRxLabel

property PopupMenu;


(Untitled)

TComboEdit Methods

TComboEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxDrawGrid.ColWidthsChanged

TRxDrawGrid

procedure ColWidthsChanged;


TRxDBLookupCombo.OnKeyDown

TRxDBLookupCombo

property OnKeyDown;


TRxCaptionList.Add

TRxCaptionList

function Add: TRxCaption;


TRxDBCalcEdit.OnMouseUp

TRxDBCalcEdit

property OnMouseUp;


TRxDBComboBox.IndexOf

TRxDBComboBox

function IndexOf ( const Item: TBookmark ): Longint;


(Untitled)

TDatabaseItems Methods

TDatabaseItems Alphabetically Legend

Derived from TCustomDatabaseItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBStatusLabel.PopupMenu

TDBStatusLabel

property PopupMenu;


TCustomDBComboBox.WndProc

TCustomDBComboBox

procedure WndProc ( var Message: TMessage );


TColorComboBox.DragCursor

TColorComboBox

property DragCursor;


TGIFImage.RepeatCount

TGIFImage

property RepeatCount: Word read FRepeatCount write SetRepeatCount;


(Untitled)

TStoredPropsProperty Methods

TStoredPropsProperty Alphabetically Legend

In TStoredPropsProperty

Edit

GetAttributes

GetValue


TRxMainMenu.OwnerDraw

TRxMainMenu

property OwnerDraw stored False;


TRxCustomRichEdit.Print

TRxCustomRichEdit

procedure Print ( const Caption: string );


TFilenameEdit.DialogFiles

TFilenameEdit

Run-time and read only.

The DialogFiles property value contains a list of all the file names selected in the TOpenDialog dialog box including the path names.

DialogFiles: TStrings;


TRxSpinButton.FocusControl

TRxSpinButton

property FocusControl: TWinControl read FFocusControl write SetFocusControl;


TRxSlider.DragCursor

TRxSlider

property DragCursor;


(Untitled)

TRxCustomCalcEdit Methods

TRxCustomCalcEdit Alphabetically Legend

In TRxCustomCalcEdit

Create

Derived from TCustomNumEdit

Clear

Destroy

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTimerList.AddItem

TRxTimerList

function AddItem ( Item: TRxTimerEvent ): Longint;


TObjectStrings.Remove

TObjectStrings

procedure Remove ( Index: Integer );


TRxCustomRichEdit.PageRect

TRxCustomRichEdit

property PageRect: TRect read FPageRect write FPageRect;


VCLUtils.NotImplemented

VCLUtils

NotImplemented, as it's name implies, specifies that the code inside a particular procedure implemented is "not implemented yet."

property procedure NotImplemented;

Description

The NotImplemented procedure shows a messagebox stating 'Not Implemented Yet'.

NotImplemented example:

procedure TForm1.SaveClick(Sender: TObject);

begin

__NotImplemented;

end;


TRxPopupMenu.Refresh

TRxPopupMenu

procedure Refresh;


TRxMainMenu.Destroy

TRxMainMenu

destructor Destroy; override;


(Untitled)

TOwnerDrawComboBox Properties

TOwnerDrawComboBox By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DroppedDown

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

ItemIndex

Items

Left

LRDockWidth

Name

Owner

Parent

ParentWindow

SelLength

SelStart

SelText

ShowHint

Showing

Style

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxSpinButton.OnDragOver

TRxSpinButton

property OnDragOver;


TRxDBComboBox.OnEndDock

TRxDBComboBox

property OnEndDock;


FileUtil.NormalDir

FileUtil

Add a default backslash '/' to the end of a directory name DirName.

function NormalDir(const DirName: string): string;

Description

If DirName already has '/' symbol at the end, this function does nothing.

NormalDir example:

__\\\\\\\...\\\\\\\

__Result := NormalDir(DirName) + ExtractFileName(MyFileName);

__\\\\\\\...\\\\\\\


TAppEvents.SettingsChanged

TAppEvents

procedure SettingsChanged;


TRxSpeedButton.OnDblClick

TRxSpeedButton

property OnDblClick;


TRxCaptionList

Hierarchy Properties Methods

This object maintains a list of captions for the TRxGradientCaption component

Unit

RxGrdCpt


TAutoIntfObject.InterfaceSupportsErrorInfo

TAutoIntfObject

function InterfaceSupportsErrorInfo ( const iid: TIID ): HResult;


TIndexList

Hierarchy Properties Methods Events

Unit

DBLists


TBDEItems.ItemType

TBDEItems

property ItemType;


TResourceEntry.GetResourceType

TResourceEntry

function GetResourceType: PChar;


(Untitled)

TGIFData Properties

TGIFData Alphabetically Legend

Derived from TSharedImage


TComServerObject.SetHelpFileName

TComServerObject

procedure SetHelpFileName ( const Value: string );


TColorComboBox.OnEndDock

TColorComboBox

property OnEndDock;


TDateTimeFormat.GetTimeMask

TDateTimeFormat

function GetTimeMask: string;


TRxDBRichEdit.WantTabs

TRxDBRichEdit

property WantTabs;


TRxDrawGrid.InvalidateRow

TRxDrawGrid

InvalidateRow invalidates the region occupied by a row so that it will be repainted with

the next Windows paint message. Call InvalidateRow when a row changes so that the

area it occupies will need to be repainted. The ARow parameter is the row index.

property procedure InvalidateRow(ARow: Longint);


TRxMainMenu.Images

TRxMainMenu

property Images: TImageList read FImages write SetImages;


TRxRichEdit.WordWrap

TRxRichEdit

property WordWrap;


TSpeedItem.GroupIndex

TSpeedItem

property GroupIndex: Integer read GetGroupIndex write SetGroupIndex default 0


TDirnameProperty

Hierarchy Methods

Unit

RxDsgn


TTextListBox.DragCursor

TTextListBox

property DragCursor;


TRxClock.LeadingZero

TRxClock

Specifies whether or not single digit hour values have a leading zero if ShowMode property is scDigital.

property LeadingZero: Boolean read FLeadingZero write SetLeadingZero default True;


TRxCalcEdit.DragCursor

TRxCalcEdit

property DragCursor;


TColorComboBox.ImeName

TColorComboBox

property ImeName;


TSecretPanel.OnDragOver

TSecretPanel

property OnDragOver;


TSpeedBar.Version

TSpeedBar

Apparently does nothing.

property Version: Integer;


(Untitled)

TBits Methods

TBits By object Legend

Destroy

OpenBit


(Untitled)

TObjectStrings Properties

TObjectStrings Alphabetically Legend

Derived from TStringList

Duplicates

Sorted

Derived from TStrings

Capacity

CommaText

Count

Names

Objects

Strings

StringsAdapter

Text

Values


TCustomNumEdit.CheckRange

TCustomNumEdit

procedure CheckRange;


TRxDBCalcEdit.IsValidChar

TRxDBCalcEdit

function IsValidChar ( Key: Char ): Boolean;


TIniLink.IniObject

TIniLink

property IniObject: TObject read GetIniObject;


TRxCheckListBox.SetItems

TRxCheckListBox

procedure SetItems ( Value: TStrings );


TIconFrame

Hierarchy Properties Methods

Stores a frame of an animated icon.

Unit

AniFile


(Untitled)

TDBListDataSet Properties

TDBListDataSet Alphabetically Legend

In TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupList.ParentShowHint

TRxDBLookupList

property ParentShowHint;


TRxTextAttributes.UnderlineType

TRxTextAttributes

property UnderlineType: TUnderlineType read GetUnderlineType write SetUnderlineType;


(Untitled)

TSpeedbarSetupWindow Properties

TSpeedbarSetupWindow Alphabetically Legend

In TSpeedbarSetupWindow

SpeedBar

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRichEdit.OnURLClick

TRxRichEdit

property OnURLClick;


TSpeedBar.OnEndDock

TSpeedBar

property OnEndDock;


TRxDBLookupCombo.Paint

TRxDBLookupCombo

procedure Paint;


(Untitled)

TSpeedItem Methods

TSpeedItem By object Legend

Assign

BeforeDestruction

ButtonClick

CheckBtnMenuDropDown

Click

Create

DefineProperties

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

InvalidateItem

ReadState

RemoveComponent

RemoveFreeNotification

SafeCallException

SetEnabled

SetName

SetParentComponent

SetVisible

UpdateAction

UpdateSection


TSpeedBar.SearchItem

TSpeedBar

function SearchItem ( const ItemName: string ): TSpeedItem;


TDateEdit.ParentFont

TDateEdit

property ParentFont;


TRxDBCalcEdit.ShowHint

TRxDBCalcEdit

property ShowHint;


TFileDirEdit.AcceptFiles

TFileDirEdit

property AcceptFiles: Boolean read FAcceptFiles write SetAcceptFiles default False;


(Untitled)

TRxPopupMenu Events

TRxPopupMenu By object Legend

OnChange

OnDrawItem

OnDrawMargin

OnGetImageIndex

OnGetItemParams

OnMeasureItem

OnPopup


TDateEdit.OnDragDrop

TDateEdit

property OnDragDrop;


TRxGradient.Draw

TRxGradient

procedure Draw ( Canvas: TCanvas; Rect: TRect );


TRxProjectResExpert.GetState

TRxProjectResExpert

function GetState: TExpertState;


TMemoryTable.DoBeforeOpen

TMemoryTable

procedure DoBeforeOpen;


TRxLabel.OnStartDrag

TRxLabel

property OnStartDrag;


TDateEdit.StartOfWeek

TDateEdit

StartOfWeek property specifies the starting day (e.g., Monday) for each week.

property StartOfWeek : Mon...Sun


(Untitled)

TRxCalculator Methods

TRxCalculator By object Legend

Assign

BeforeDestruction

CalcKey

Change

Create

Destroy

DestroyComponents

Destroying

DisplayChange

Execute

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TRxClock.OnDockDrop

TRxClock

property OnDockDrop;


MaxMin.MaxInteger

MaxMin

The MaxInteger function returns the greatest longint value in the Values array.

function MaxInteger(const Values: array of Longint): Longint;

Description

MaxInteger example:

MaxVal := MaxInteger([MaxVal, 1, 12, 36, 43]);


(Untitled)

TCloneTable Events

TCloneTable Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TSecretPanel.TextStyle

TSecretPanel

TextStyle sets the style of the text -

bvLowered - sub-raised text.

bvNone - none

bvRaised - raised text.

property TextStyle: TPanelBevel;


VCLUtils.GetMemoSize

VCLUtils

The GetMemoSize function retrieves the current size, in bytes, of the specified dynamic variable.

property function GetMemoSize(fpBlock: Pointer): Longint;

Description

fpBlock is a variable of any pointer type previously assigned by the AllocMemo function.

GetMemoSize example:

var P: Pointer; S: Longint;

begin

__P := AllocMemo(128000);

__try

____\\\\\\\ use memory \\\\\\\

____S := GetMemoSize(P);

____\\\\\\\ ... \\\\\\\

__finally

____FreeMemo(P);

end;

end;


AppUtils.ReadFormPlacement

AppUtils

ReadFormPlacement retrieves state (normal, minimize, maximize) and placement (size and position) of Delphi form Form from an INI file specified by IniFile parameter.

property procedure ReadFormPlacement(Form: TForm; IniFile: TIniFile; const Section: string; LoadState, LoadPosition: Boolean);

Description

To store form's placement to an INI file use WriteFormPlacement or SaveFormPlacement procedures.

ReadFormPlacement example:

ReadFormPlacement(MyMDIChildForm, IniFile, MyMDIChildForm.ClassName, True,

False);


(Untitled)

TButtonImage Events

TButtonImage By object Legend

OnChange


(Untitled)

TCustomDateEdit Events

TCustomDateEdit By object Legend

OnAcceptDate


TCurrencyEdit.OnChange

TCurrencyEdit

property OnChange;


TRxCheckListBox.OnStateChange

TRxCheckListBox

If any changes are made to the control (by the user - NOT by direct manipulation of the

CheckedListBox by programming), this is triggered.

property OnStateChange: TChangeStateEvent;


TPicClip.Assign

TPicClip

procedure Assign ( Source: TPersistent );


(Untitled)

TRxDBFilter Events

TRxDBFilter By object Legend

OnActivate

OnDeactivate

OnFiltering

OnReleaseCapture

OnSetCapture


TRxSpinEdit.UpGlyph

TRxSpinEdit

Use this property to override the default up arrow bitmap used for a spin button component.

property UpGlyph: TBitmap;

Description

Store your own glyph in this property if you want to use another glyph instead.


(Untitled)

TCustomBDEItems Properties

TCustomBDEItems Alphabetically Legend

In TCustomBDEItems

DBSession

ItemType

RecordCount

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

Handle

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TAnimatedCursorImage.Assign

TAnimatedCursorImage

procedure Assign ( Source: TPersistent );


TFilenameEdit.ReceptFileDir

TFilenameEdit

procedure ReceptFileDir ( const AFileName: string );


(Untitled)

TFormPlacement Methods

TFormPlacement Alphabetically Legend

In TFormPlacement

Create

DefaultMinMaxInfo

Destroy

DoReadString

DoWriteString

EraseSections

Loaded

ReadInteger

ReadString

Restore

RestoreFormPlacement

RestorePlacement

Save

SaveFormPlacement

SavePlacement

WriteInteger

WriteString

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TSpeedbarEditor Methods

TSpeedbarEditor By object Legend

Activated

EditAction

FormClosed

FormModified

GetEditState

UniqueName


TDBDateEdit.OnMouseMove

TDBDateEdit

property OnMouseMove;


FileUtil.ShortToLongPath

FileUtil

Use this procedure to obtain the long version of the directory name specified by ShortName parameter.

function ShortToLongPath(const ShortName: string): string;

Description

ShortToLongPath example:

DirectoryName := ShortToLongPath(DirectoryName);


TEditStyleEvent

TEditStyleEvent is the type of the OnGetEditStyle event of the TRxDrawGrid component.

Unit

RXGrids

property TEditStyleEvent = procedure (Sender: TObject; ACol, ARow: Longint; var Style: TInplaceEditStyle) of object;

Description

The Style parameter determines how users can edit the data of a grid cell. These are the possible values of Style: - ieSimple - No combo box or ellipsis button is provided. The user cannot select the cell's content from a list.

iePicklist - The grid displays a combo box in the column, and the user can choose a value from the drop-down list. You must specify contents of a pick-list by handling OnGetPicklist event.

ieEllipsis - The column displays an ellipsis button that the user can click to choose a value. Clicking the ellipsis button triggers an OnEditButtonClick event.


TAnimatedImage.NumGlyphs

TAnimatedImage

The NumGlyphs property specifies the number of frames in the image contained in the Glyph property.

property NumGlyphs: Integer;


TDBLabelOptions

TDBLabelOptions is a set of available values for the ShowOptions property of the TDBStatusLabel control.

Unit

RXDBCtrl

TDBLabelOptions = (doCaption, doGlyph, doBoth);

Description

ValueMeaning

doCaption

doGlyph

doBoth


TDBDateEdit.Field

TDBDateEdit

property Field: TField read GetField;


TLocateObject.FilterApplicable

TLocateObject

function FilterApplicable: Boolean;


TDateTimeFormat.GetDateMask

TDateTimeFormat

function GetDateMask: string;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMemo


TMinMaxProperty

Hierarchy Methods

Unit

MinMaxEd


TRxDrawGrid.OnCancelEdit

TRxDrawGrid

OnCancelEdit occurs whenever the in-place editor requests to cancel changes to the

current cell. This event is called when user press "Escape" key in in-place editor.

property OnCancelEdit: TNotifyEvent;


TButtonImage.DrawEx

TButtonImage

procedure DrawEx ( Canvas: TCanvas; X , Y , Margin , Spacing: Integer; Layout: TButtonLayout; AFont: TFont; Images: TImageList; ImageIndex: Integer; Flags: Word );


RxQuery.IsEmpty

RxQuery

Checks for a dataset without records.

function IsEmpty: Boolean;


TRxCalcEdit.OnMouseUp

TRxCalcEdit

property OnMouseUp;


(Untitled)

TCurrencyEdit Methods

TCurrencyEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultDisplayFormat

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TConverter.Text

TConverter

This property can be used to set value stored in the TConverter component as a string value. Available at design-time and at run-time.

property Text: string;


TAggregatedObject._Release

TAggregatedObject

function _Release: Integer;


TRxRichEdit.TabStop

TRxRichEdit

property TabStop;


TRxMemoryData.Locate

TRxMemoryData

function Locate ( const KeyFields: string; const KeyValues: Variant; Options: TLocateOptions ): Boolean;


(Untitled)

FileUtil Methods

FileUtil By object Legend

ClearDir

CopyFile

DeleteFiles

DirExists

FileDateTime

FileLock

FileUnlock

GetFileSize

HasAttr

LongToShortFileName

LongToShortPath

MoveFile

NormalDir

ShortToLongFileName

ShortToLongPath

ValidFileName


(Untitled)

TRxDBComboEdit Events

TRxDBComboEdit Alphabetically Legend

In TRxDBComboEdit

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TRxCustomSlider.Sized

TRxCustomSlider

procedure Sized;


TAppEvents.OnActiveFormChange

TAppEvents

property OnActiveFormChange: TNotifyEvent read FOnActiveFormChange write FOnActiveFormChange;


TRxSwitch.OnMouseDown

TRxSwitch

property OnMouseDown;


TDBStatusLabel.ParentBiDiMode

TDBStatusLabel

property ParentBiDiMode;


TRxSpeedButton.ParentFont

TRxSpeedButton

property ParentFont;


TSecretPanel.Alignment

TSecretPanel

property Alignment: TAlignment read FAlignment write SetAlignment default taCenter;


TRxSpinEdit.Down

TRxSpinEdit

The Down property of a spin button determines the current button state.

property Down: TSpinButtonState;

Description

true if the user has depressed the spin button.


TRxSpeedButton.OnDragDrop

TRxSpeedButton

property OnDragDrop;


(Untitled)

TResourceStream Methods

TResourceStream Alphabetically Legend

In TResourceStream

Create

CreateFromID

CreateFromPChar

Destroy

Seek

Write

Derived from THandleStream

Read

Derived from TStream

CopyFrom

FixupResourceHeader

ReadBuffer

ReadComponent

ReadComponentRes

ReadResHeader

WriteBuffer

WriteComponent

WriteComponentRes

WriteDescendent

WriteDescendentRes

WriteResourceHeader


TRxQuery.RealSQL

TRxQuery

property RealSQL: TStrings read GetRealSQL;


TRxCheckListBox.RestoreStates

TRxCheckListBox

procedure RestoreStates ( IniFile: TIniFile );


TComboEdit.Ctl3D

TComboEdit

property Ctl3D;


TShadowPosition

TShadowPosition is the type of the ShadowPos property of the TRxLabel component.

Unit

RXCtrls

TShadowPosition = (spLeftTop, spLeftBottom, spRightBottom, spRightTop);

Description

ValueMeaning

spLeftTop

spLeftBottom

spRightBottom

spRightTop


TRxDBRichEdit.EditCanModify

TRxDBRichEdit

function EditCanModify: Boolean;


(Untitled)

TPopupWindow Events

TPopupWindow By object Legend

OnCloseUp


TCustomDBComboBox.Change

TCustomDBComboBox

procedure Change;


(Untitled)

TRxDice Methods

TRxDice Alphabetically Legend

In TRxDice

AdjustSize

Change

Create

Destroy

DoStart

DoStop

GetPalette

MouseDown

Paint

RandomValue

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TMetafileCanvas.Create

TMetafileCanvas

constructor Create ( AMetafile: TMetafile; ReferenceDevice: HDC );


(Untitled)

TRxSlider Properties

TRxSlider Alphabetically Legend

In TRxSlider

Align

Anchors

BevelStyle

Color

Constraints

Cursor

DragCursor

DragKind

DragMode

EdgeSize

Enabled

ImageHRuler

ImageHThumb

ImageVRuler

ImageVThumb

Increment

MaxValue

MinValue

NumThumbStates

Options

Orientation

ParentColor

ParentShowHint

PopupMenu

ShowHint

TabOrder

TabStop

Value

Visible

Derived from TRxCustomSlider

Canvas

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


VCLUtils.PaintInverseRect

VCLUtils

The PaintInverseRect function inverts a rectangle in a screen device context by performing a logical NOT operation on the color values for each pixel in the rectangle's interior.

property procedure PaintInverseRect(RectOrg, RectEnd: TPoint);

Description

RectOrg and RectEnd parameters contain the logical coordinates of the rectangle in the screen coordinates (relative to the upper-left corner of the screen).

PaintInverseRect example:

Invert and restore Widows screen:

__PaintInversRect(Point(0, 0), Point(Screen.Width, Screen.Height));

__Delay(2000);

__PaintInversRect(Point(0, 0), Point(Screen.Width, Screen.Height));


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet

|

TDBListDataSet


TRxDBLookupList.IgnoreCase

TRxDBLookupList

property IgnoreCase;


TRxCalcEdit.Anchors

TRxCalcEdit

property Anchors;


TRxLookupControl.Value

TRxLookupControl

property Value: string read FValue write SetValue stored False;


TMergeManager.Create

TMergeManager

constructor Create(AOwner: TComponent); override;


(Untitled)

TDBProgress Properties

TDBProgress By object Legend

Active

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Gauge

MessageControl

Name

Owner

SessionName

Tag

Trace

TraceFlags

VCLComObject

WaitCursor


TRxRichEdit.BiDiMode

TRxRichEdit

property BiDiMode;


TRxTextAttributes.Charset

TRxTextAttributes

property Charset: TFontCharset read GetCharset write SetCharset;


TComObjectFactory._Release

TComObjectFactory

function _Release: Integer;


TQBEQuery.UpdateObject

TQBEQuery

property UpdateObject;


TRxCustomLabel

Hierarchy Properties Methods Events

Base class for label with effects

Unit

RXCtrls


TRxSplitter.MouseDown

TRxSplitter

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TCurrencyEdit.TabStop

TCurrencyEdit

property TabStop;


TCustomDateEdit.KeyPress

TCustomDateEdit

procedure KeyPress ( var Key: Char );


TRxTimerList.Destroy

TRxTimerList

destructor Destroy;


(Untitled)

TAppEvents Methods

TAppEvents Alphabetically Legend

In TAppEvents

Create

Destroy

Loaded

MessageHook

PaintIcon

SettingsChanged

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TMetafileCanvas-Example

To create a metafile image from scratch, you must draw the image in a metafile canvas. When the canvas is destroyed, it transfers the image into the metafile object provided to the canvas constructor.

After the image is drawn on the canvas and the canvas is destroyed, the image is 'playable' in the metafile object. Like this:

MyMetafile := TMetafile.Create;

with TMetafileCanvas.Create(MyMetafile, 0) do

try

Brush.Color := clRed;

Ellipse(0,0,100,100);

...

finally

Free;

end;

Form1.Canvas.Draw(0,0,MyMetafile); { 1 red circle }

To add to an existing metafile image, create a metafile canvas and play the source metafile into the metafile canvas. Like this:

{ continued from previous example, so MyMetafile contains an image }

with TMetafileCanvas.Create(MyMetafile, 0) do

try

Draw(0,0,MyMetafile);

Brush.Color := clBlue;

Ellipse(100,100,200,200);

...

finally

Free;

end;

Form1.Canvas.Draw(0,0,MyMetafile); { 1 red circle and 1 blue circle }


TRxDBLookupCombo.Destroy

TRxDBLookupCombo

destructor Destroy;


(Untitled)

TQBEQuery Events

TQBEQuery Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


VCLUtils.MakeModuleIcon

VCLUtils

MakeModuleIcon instantiates an icon object (TIcon), and loads the specified icon resource from a module's executable file.

property function MakeModuleIcon(Module: THandle; ResID: PChar): TIcon;

Description

Specify the resource to be loaded as the value of ResID which points to a null-terminated string that contains the name of the icon resource to be loaded. Alternatively, this parameter can consist of the resource identifier in the low-order word and zero in the high-order word. The MakeIntResource function can be used to create this value. Module parameter identifies the instance of the module whose executable file contains the icon to be loaded. When you no longer need the icon, call it's Destory destructor to free it.

An application can use the MakeModuleIcon function to access the predefined icons

used by the Windows API. To do so, the application must set the Module parameter to

zero and the ResID parameter to one of the following values:

IDI_APPLICATION, IDI_ASTERISK, IDI_EXCLAMATION, IDI_HAND, IDI_QUESTION,

IDI_WINLOGO (Win95 or NT 4.0 or higher).

If the function fails, the return value is Nil.

MakeModuleIcon example:

var

__Ico: TIcon;

__Module: THandle;

begin

__Module := LoadLibrary('MY_RES.DLL');

__if Module >= HINSTANCE_ERROR then

__try

____Ico := MakeModuleIcon(Module, MakeIntResource(2));

____try

______\\\\\\\ use icon \\\\\\\

____finally

______Ico.Free;

____end;

__finally

____FreeLibrary(Module);

__end;

end;


TRxDBLookupCombo.EmptyItemColor

TRxDBLookupCombo

property EmptyItemColor;


TRxSpinEdit.Constraints

TRxSpinEdit

property Constraints;


TAutoIntfObject.DispIID

TAutoIntfObject

property DispIID: TGUID read FDispIID;


(Untitled)

TCustomNumEdit Methods

TCustomNumEdit Alphabetically Legend

In TCustomNumEdit

AcceptValue

Change

CheckRange

Clear

Create

DataChanged

DefaultDisplayFormat

Destroy

FormatDisplayText

GetDefaultBitmap

GetDisplayText

IsValidChar

KeyPress

ReformatEditText

Reset

UpdateData

UpdatePopup

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TComboEdit.OnKeyPress

TComboEdit

property OnKeyPress;


TDBDateEdit.BorderStyle

TDBDateEdit

property BorderStyle;


TQBEQuery.Prepared

TQBEQuery

property Prepared: Boolean read FPrepared write SetPrepare;


TRxDice.AutoStopInterval

TRxDice

property AutoStopInterval: Cardinal read FAutoStopInterval write FAutoStopInterval default 0;


(Untitled)

TRxCustomTrackBar Methods

TRxCustomTrackBar By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultDrawPoints

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TComboEdit.OnEndDrag

TComboEdit

property OnEndDrag;


(Untitled)

TSplashWindow Events

TSplashWindow Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TGIFFrame Properties

TGIFFrame By object Legend

AnimateInterval

Bitmap

ColorCount

Comment

Corrupted

DisposalMethod

Height

Interlaced

Origin

TransparentColor

Width


(Untitled)

TVersionInfo Methods

TVersionInfo Alphabetically Legend

In TVersionInfo

Create

Destroy

GetVerValue

OkToWriteModule


TRxDBRichEdit.KeyPress

TRxDBRichEdit

procedure KeyPress ( var Key: Char );


(Untitled)

TRxButtonGlyph Methods

TRxButtonGlyph By object Legend

CalcButtonLayout

Create

CreateButtonGlyph

CreateImageGlyph

Destroy

Draw

DrawButtonGlyph

DrawButtonImage

DrawButtonText

DrawEx

DrawPopupMark

Invalidate

MinimizeCaption


(Untitled)

TSpeedbarSetupWindow Properties

TSpeedbarSetupWindow By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

SpeedBar

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


(Untitled)

TAnimatedImage Methods

TAnimatedImage By object Legend

AdjustSize

Assign

BeforeDestruction

BeginDrag

BringToFront

CanAutoSize

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DoPaintImage

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FrameChanged

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetPalette

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Start

Stop

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TDateEdit.WeekendColor

TDateEdit

property WeekendColor;


TCustomNumEdit.DataChanged

TCustomNumEdit

procedure DataChanged;


TPageProxy.PageName

TPageProxy

property PageName: string read GetPageName write SetPageName;


TImageForm.OnIconDblClick

TImageForm

property OnIconDblClick: TNotifyEvent read FIconDblClick write FIconDblClick;


TRxCustomRichEdit.LangOptions

TRxCustomRichEdit

property LangOptions: TRichLangOptions read GetLangOptions write SetLangOptions default [ rlAutoFont ];


TApplyAlignEvent

TApplyAlignEvent is the type of the OnApplyAlign event of the TSpeedBar component.

Unit

SpeedBar

property TApplyAlignEvent = procedure (Sender: TObject; Align: TAlign; var Apply: Boolean) of object;


TLocateObject.CaseSensitive

TLocateObject

property CaseSensitive: Boolean read FCaseSensitive;


TRxSwitch.TextPosition

TRxSwitch

property TextPosition: TTextPos read FTextPosition write SetTextPosition default tpNone;


(Untitled)

TIndexList Properties

TIndexList Alphabetically Legend

Derived from TCustomTableItems

TableName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TClipboardViewer.BiDiMode

TClipboardViewer

property BiDiMode;


TRxDBLookupList.Create

TRxDBLookupList

constructor Create ( AOwner: TComponent );


TRxParaAttributes.Numbering

TRxParaAttributes

property Numbering: TRxNumbering read GetNumbering write SetNumbering;


TNotifyThread.LastError

TNotifyThread

property LastError: DWORD read FLastError;


TComboEdit.OnEnter

TComboEdit

property OnEnter;


TBtnControl.Create

TBtnControl

constructor Create ( AOwner: TComponent );


TRxDBCalcEdit.Glyph

TRxDBCalcEdit

property Glyph;


TComObject.InterfaceSupportsErrorInfo

TComObject

function InterfaceSupportsErrorInfo ( const iid: TIID ): HResult;


(Untitled)

TDatabaseList Events

TDatabaseList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TConverter.Change

TConverter

procedure Change;


TCustomNumEdit.AsInteger

TCustomNumEdit

property AsInteger: Longint read GetAsInteger write SetAsInteger;


TComboEdit.OnDragOver

TComboEdit

property OnDragOver;


TRxCustomRichEdit.SetSelStart

TRxCustomRichEdit

procedure SetSelStart ( Value: Integer );


TPopupAlign

Unit

ToolEdit

Description

ValueMeaning

epaRight

epaLeft


(Untitled)

TPropsStorage Methods

TPropsStorage By object Legend

CreateStorage

EraseSection

GetItemName

LoadAnyProperty

LoadObjectsProps

LoadProperties

ReadString

StoreAnyProperty

StoreObjectsProps

StoreProperties

WriteString


TGIFFrame.Interlaced

TGIFFrame

property Interlaced: Boolean read FInterlaced;


TAnimatedImage.DoPaintImage

TAnimatedImage

procedure DoPaintImage;


TIconList.IndexOf

TIconList

The IndexOf method returns the position of an icon in a list.

property function IndexOf(Icon: TIcon): Integer; virtual;

Description

The first position in a list is 0. If an icon is not in the list, IndexOf returns -1.


(Untitled)

TConverter Events

TConverter Alphabetically Legend

In TConverter

OnChange


TDBDateEdit

Hierarchy Properties Methods Events

Unit

RXDBCtrl


(Untitled)

TRxLookupControl Events

TRxLookupControl Alphabetically Legend

In TRxLookupControl

OnChange

OnGetImage

Derived from TWinControl

Derived from TControl


(Untitled)

TCustomDateEdit Properties

TCustomDateEdit By object Legend

Action

Align

Anchors

BiDiMode

BlanksChar

BoundsRect

Brush

CalendarHints

CalendarStyle

CanUndo

CheckOnExit

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

Date

DefaultToday

DesignInfo

DialogTitle

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EditText

Enabled

Floating

FloatingDockSiteClass

Formatting

Handle

Height

HelpContext

Hint

HostDockSite

IsMasked

Left

LRDockWidth

Modified

Name

Owner

Parent

ParentWindow

PopupColor

SelLength

SelStart

SelText

ShowHint

Showing

StartOfWeek

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

WeekendColor

Weekends

Width

WindowProc

YearDigits


TRxSplitter.Enabled

TRxSplitter

property Enabled;


TRxDBComboBox.OnEndDrag

TRxDBComboBox

property OnEndDrag;


TImageForm.Mode

TImageForm

property Mode: TDialogMode read FMode;


(Untitled)

TGIFImage Properties

TGIFImage Alphabetically Legend

In TGIFImage

BackgroundColor

Bitmap

Comment

Corrupted

Count

FrameIndex

Frames

GlobalColorCount

Looping

Palette

PixelFormat

RepeatCount

ScreenHeight

ScreenWidth

Transparent

TransparentColor

Version

Derived from TGraphic

Empty

Height

Modified

PaletteModified

Width


TRxRemoteLogin.IniFileName

TRxRemoteLogin

property IniFileName;


TRxDBComboEdit.DragMode

TRxDBComboEdit

property DragMode;


TSpeedItem.Layout

TSpeedItem

property Layout: TButtonLayout read GetLayout write SetLayout default blGlyphTop;


TGetBtnParamsEvent

Unit

RXDBCtrl

TGetBtnParamsEvent ( Sender : TObject ; Field : TField ; AFont : TFont ; var Background : TColor ; var SortMarker : TSortMarker ; IsDown : Boolean )of object ;


TRxDBCalcEdit.DragCursor

TRxDBCalcEdit

property DragCursor;


TLocateObject.FormatSQLCondition

TLocateObject

FormatSQLCondition formats an SQL condition to the BDE equivalent.

property function FormatSQLCondition(const FieldName, Operator, Value: string; FieldType: TFieldType; Exact: Boolean): string;

Description

FormatSQLCondition example:

rxQuery1.MacroByName('CONTRACT_NO').AsString :=

FormatSQLCondition('CONTRACTS."CONTRACT_NO"', '', 'N-4596?', ftString, True);


TRxDBRichEdit.OnMouseWheelUp

TRxDBRichEdit

property OnMouseWheelUp;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit


(Untitled)

TFileDirEdit Methods

TFileDirEdit Alphabetically Legend

In TFileDirEdit

ClearFileList

Create

CreateHandle

DestroyWindowHandle

DisableSysErrors

DoAfterDialog

DoBeforeDialog

EnableSysErrors

GetDefaultBitmap

GetLongName

GetShortName

ReceptFileDir

Derived from TCustomComboEdit

Destroy

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDateEdit.Weekends

TDateEdit

Manipulating weekends property to specify which date should be classified as

property Weekends : set weekends.


AppUtils.RestoreGridLayoutReg

AppUtils

Retrieves grid's columns widths and positions (indexes) from the Windows95/NT system registry.

property procedure RestoreGridLayoutReg(Grid: TCustomGrid; IniFile: TRegIniFile);

Description

Can be used for any TCustomGrid descendants such as TStringGrid, TDrawGrid, TRxDrawGrid or other. To save grid's layout to the system registry use SaveGridLayoutReg procedure. You can call this procedure in the OnRestorePlacement event handler of the TFormPlacement, TFormStorage components when its UseRegistry property is True.

RestoreGridLayoutReg example:

RestoreGridLayoutReg(DrawGrid1, Placement.RegIniFile);


TMergeManager.GoBack

TMergeManager

GoBack;


TRxSpinButton.Visible

TRxSpinButton

property Visible;


TVersionInfo.VersionCharSet

TVersionInfo

Specifies one of the character-set identifiers.

property VersionCharSet: TVersionCharSet;


TComServerObject.HelpFileName

TComServerObject

property HelpFileName: string read GetHelpFileName write SetHelpFileName;


TRxCustomListBox.DeleteString

TRxCustomListBox

procedure DeleteString ( Index: Integer );


TRxTextAttributes.Pitch

TRxTextAttributes

property Pitch: TFontPitch read GetPitch write SetPitch;


TDirectoryEdit.OnEnter

TDirectoryEdit

property OnEnter;


TSpinButtonState

The TSpinButtonState type contains the values the Down property of spin buttons (TRxSpinButton) can assume.

Unit

RXSpin

Description

ValueMeaning

sbNotDown

sbTopDown

sbBottomDown


TDataSourceLink.ActiveChanged

TDataSourceLink

procedure ActiveChanged;


TRxLookupEdit.Enabled

TRxLookupEdit

property Enabled;


TRxCustomLabel.MouseUp

TRxCustomLabel

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxSplitter.ParentColor

TRxSplitter

property ParentColor;


TRxCustomSlider.EdgeSize

TRxCustomSlider

property EdgeSize: Integer read FEdgeSize write SetEdgeSize default 2

property Options: TSliderOptions read FOptions write SetOptions default [ soShowFocus , soShowPoints , soSmooth ];


TRxDBRichEdit.OnURLClick

TRxDBRichEdit

property OnURLClick;


(Untitled)

TRxSwitch Events

TRxSwitch Alphabetically Legend

In TRxSwitch

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnOff

OnOn

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TRxTimerEvent

Hierarchy Properties Methods Events

This component intend for storage of the event of TRxTimerList events queue.

Unit

TimerLst

Description

TRxTimerEvent have the same properties as TTimer: Enabled, Interval, OnTimer.

Additional event may be "single" - stand inactive after one execute of OnTimer (it's action depend on Cycled property value).


TCustomComboEdit.GetDefaultBitmap

TCustomComboEdit

function GetDefaultBitmap ( var DestroyNeeded: Boolean ): TBitmap;


TDBDateEdit.ParentFont

TDBDateEdit

property ParentFont;


TDBDateEdit.KeyDown

TDBDateEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TSpeedBar.ParentBiDiMode

TSpeedBar

property ParentBiDiMode;


TPopupWindow.OnCloseUp

TPopupWindow

property OnCloseUp: TCloseUpEvent read FCloseUp write FCloseUp;


TAppEvents.ShowHint

TAppEvents

Showhint determines whether the application should show hints or not.

ShowHint : Boolean


TRxMemoryData.AfterCancel

TRxMemoryData

property AfterCancel;


TDBDateEdit.OnDragDrop

TDBDateEdit

property OnDragDrop;


TRxDrawGrid.OnFixedCellClick

TRxDrawGrid

property OnFixedCellClick: TFixedCellClickEvent read FOnFixedCellClick write FOnFixedCellClick;


TCurrencyEdit.OnMouseDown

TCurrencyEdit

property OnMouseDown;


TRxCustomRichEdit.OnCloseFindDialog

TRxCustomRichEdit

property OnCloseFindDialog: TRichEditFindCloseEvent read FOnCloseFindDialog write FOnCloseFindDialog;


TStrHolder.Changing

TStrHolder

procedure Changing;


VCLUtils.KillMessage

VCLUtils

KillMessage deletes the requested message Msg from the window message queue, but throw back any WM_QUIT messages that PeekMessage standard Windows function may also return.

property procedure KillMessage(Wnd: HWnd; Msg: Cardinal);

Description

KillMessage example:

KillMessage(Form1.Handle, Msg.Message);


TMemBlobStream.Create

TMemBlobStream

constructor Create ( Field: TBlobField; Mode: TBlobStreamMode );


TRxCalculator.BeepOnError

TRxCalculator

BeepOnError determines whether a beep is sounded when an invalid character is entered.

Set property BeepOnError to true and a beep will be generated.

Description

If BeepOnError is True, MessageBeep is called when an invalid character is entered or when a character is entered and the field is full.


TRunQueryMode

Unit

RxQuery

Description

ValueMeaning

rqOpen

rqExecute

rqExecDirect

rqOpenOrExec


TStrHolder.AssignTo

TStrHolder

procedure AssignTo ( Dest: TPersistent );


TCustomDateEdit.BlanksChar

TCustomDateEdit

property BlanksChar: Char read FBlanksChar write SetBlanksChar default default';


TRxCustomSlider.SliderRect

TRxCustomSlider

property SliderRect: TRect read GetSliderRect;


TRxDrawGrid.EditButtonClick

TRxDrawGrid

procedure EditButtonClick;


(Untitled)

TCloneDataset Properties

TCloneDataset By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

ReadOnly

RecNo

RecordCount

RecordSize

SourceHandle

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TDBIndexCombo.OnEndDrag

TDBIndexCombo

property OnEndDrag;


TDBSecurity.UseRegistry

TDBSecurity

UseRegistry determines whether or not a Windows System Registry will be used (in 32-bit version only) to store data. When UseRegistry is False, data will be store in text INI-file.

property UseRegistry: Boolean;


TDualListDialog.ShowHelp

TDualListDialog

ShowHelp determines whether the "Help" button is shown or not.

property ShowHelp: Boolean;


TSQLScript.ExecuteScript

TSQLScript

procedure ExecuteScript ( StatementNo: Integer );


(Untitled)

TRxWindowHook Properties

TRxWindowHook Alphabetically Legend

In TRxWindowHook

Active

HookWindow

WinControl

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TCloneDataset Events

TCloneDataset By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


AppUtils.RestoreMDIChildren

AppUtils

This procedure restores from an INI-file set and placements of MDI-child forms in MDI application.

property procedure RestoreMDIChildren(MainForm: TForm; IniFile: TIniFile);

Description

Use RestoreMDIChildren with SaveMDIChildren to store all child forms in INI-file. You must register all MDI-child form classes by RegisterClass or RegisterClasses procedure to use these classes in SaveMDIChildren and RestoreMDIChildren procedures.

RestoreMDIChildren example:

RestoreMDIChildren(MainForm, IniFile);

...

initialization

__RegisterClasses([TChildForm1, TChildForm2]);

end.


TRxDBCalcEdit.DecimalPlaces

TRxDBCalcEdit

property DecimalPlaces;


TRxCalculator.Execute

TRxCalculator

Method Execute starts the calculator.


TComboEdit.Anchors

TComboEdit

property Anchors;


TRxSpinEdit.ParentFont

TRxSpinEdit

property ParentFont;


TRxTimerList.AsSeconds

TRxTimerList

This is conversion property. AsSecond can be used to read or set the value of Interval property in seconds.

property AsSeconds: Cardinal read GetAsSeconds write SetAsSeconds;


TRxCheckListBox.Color

TRxCheckListBox

property Color;


TRxSpeedButton.InitPause

TRxSpeedButton

Use this property to specify the number of milliseconds before the first OnClick event is generated after a TRxSpeedButton is depressed when the AllowTimer property is True.

property InitPause: Word;


TRxLabel.ShadowPos

TRxLabel

Use this property to specify the position of the shadow.

property ShadowPos: TShadowPosition;

Description

This property is only applicable when ShadowSize is set to non-zero value.


TFilenameEdit.Visible

TFilenameEdit

property Visible;


TDateTimeFormat.DateMask

TDateTimeFormat

property DateMask: string read GetDateMask;


TRxSpinEdit.OnDragDrop

TRxSpinEdit

property OnDragDrop;


TFixedCellCheckEvent

Unit

RXGrids

TFixedCellCheckEvent ( Sender : TObject ; ACol , ARow : Longint ; var Enabled : Boolean )of object ;


(Untitled)

TDriverDesc Properties

TDriverDesc By object Legend

Description


TPageManager.UseHistory

TPageManager

property UseHistory: Boolean read FUseHistory write FUseHistory default False;


TRxRichEdit.AllowObjects

TRxRichEdit

property AllowObjects;


TRxSpeedButton.ActionChange

TRxSpeedButton

procedure ActionChange ( Sender: TObject; CheckDefaults: Boolean );


TRxSplitter.Changing

TRxSplitter

procedure Changing ( X , Y: Integer; var AllowChange: Boolean );


(Untitled)

TLangDrivList Events

TLangDrivList Alphabetically Legend

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnFilterRecord


TRxDBLookupList.OnClick

TRxDBLookupList

property OnClick;


TRxDBFilter

Hierarchy Properties Methods Events

This component implements a BDE-level filter, based on a callback into your form's/unit's code.

Unit

DBFilter

Description

The TRxDBFilter component allows you to specify one or more record selection criteria to be used when displaying data from a table or query (TTable, TQuery, TQBEQuery or TRxQuery components). Filter criteria can be specified for any number of fields in a table, giving you more flexibility than Delphi's built-in Range operators and some advantages over performing a single-table query.

You can specify one or more lines of filter criteria in Filter property to be used when displaying data from the associated table or query. The default value is blank - no filter defined. Applications can also specify a filter using the OnFiltering event handler. The Filter property supplements the OnFiltering event handler. Be sure that the interactions between the Filter property and the OnFiltering event handler do not result in an empty filter set when they are used simultaneously in an application.

Delphi 2.0 and 3.0 TTable and TQuery components has a similar property named Filter, which has similar functionality. However Delphi 2.0 is for 32 bit applications only. We recommend you use Delphi’s filtering if you are developing 32-bit only applications, but use TRxDBFilter if you need to simultaneously support both 16 and 32 bit. You can also use same data-aware controls (i.e. TDBEdit, TDBCheckBox etc) to display and edit dataset's records and to enter filter's selection criteria. Use SetCapture, ReleaseCapture and ReadCaptureControls methods to enable users to enter selection criteria into

data-aware controls at runtime.


TDBStatusLabel.ShadowPos

TDBStatusLabel

property ShadowPos;


TPropsStorage.LoadProperties

TPropsStorage

procedure LoadProperties ( PropList: TStrings );


TRxRichEdit.OnMouseUp

TRxRichEdit

property OnMouseUp;


TRxLookupEdit.TabOrder

TRxLookupEdit

property TabOrder;


TFilenameEdit.Ctl3D

TFilenameEdit

property Ctl3D;


TGIFImage.Bitmap

TGIFImage

property Bitmap: TBitmap read GetBitmap;


(Untitled)

TRxPopupMenu Properties

TRxPopupMenu Alphabetically Legend

In TRxPopupMenu

Canvas

Cursor

Images

LeftMargin

MinTextOffset

OwnerDraw

ShowCheckMarks

Style

Derived from TPopupMenu

Alignment

AutoHotkeys

AutoLineReduction

AutoPopup

BiDiMode

HelpContext

MenuAnimation

ParentBiDiMode

PopupComponent

TrackButton

Derived from TMenu

Handle

Items

WindowHandle

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TDBLoginDialog Events

TDBLoginDialog Alphabetically Legend

In TDBLoginDialog

OnCheckUnlock

OnCheckUserEvent

OnIconDblClick


(Untitled)

TRxSwitch Methods

TRxSwitch Alphabetically Legend

In TRxSwitch

Create

CreateParams

DefineProperties

Destroy

DoOff

DoOn

GetPalette

KeyDown

MouseDown

Paint

ToggleSwitch

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxCustomLogin Properties

TRxCustomLogin Alphabetically Legend

In TRxCustomLogin

Active

AllowEmptyPassword

AttemptNumber

IniFileName

LoggedUser

MaxPasswordLen

UpdateCaption

UseRegistry

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TCustomBDEItems Methods

TCustomBDEItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

ClearFields

Close

CloseCursor

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GetRecordCount

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenCursor

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TRxGIFAnimator.OnStop

TRxGIFAnimator

property OnStop: TNotifyEvent read FOnStop write FOnStop;


(Untitled)

TDBStatusLabel Properties

TDBStatusLabel By object Legend

Action

Align

Alignment

Anchors

AutoSize

BiDiMode

BoundsRect

CalcRecCount

Canvas

Captions

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DatasetName

DatasetState

DataSource

DesignInfo

DockOrientation

DragCursor

DragKind

DragMode

EditColor

Enabled

Floating

FloatingDockSiteClass

Font

GlyphAlign

Height

Hint

HostDockSite

Layout

Left

LRDockWidth

MouseInControl

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentFont

ParentShowHint

PopupMenu

ShadowColor

ShadowPos

ShadowSize

ShowHint

ShowOptions

Style

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc

WordWrap


TClipboardMonitor.OnChange

TClipboardMonitor

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TCustomClipboardViewer.OnChange

TCustomClipboardViewer

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TComboEdit.PopupMenu

TComboEdit

property PopupMenu;


TPageManager.HistoryCommand

TPageManager

property HistoryCommand: TPageHistoryCommand read FHistoryCommand write FHistoryCommand;


TRxDBRichEdit.OnCloseFindDialog

TRxDBRichEdit

property OnCloseFindDialog;


TRxSwitch.OnKeyPress

TRxSwitch

property OnKeyPress;


TRxCheckListBox.ParentCtl3D

TRxCheckListBox

property ParentCtl3D;


TCloneDataset.CreateHandle

TCloneDataset

function CreateHandle: HDBICur;


TRichEditFindCloseEvent

Unit

RxRichEd

TRichEditFindCloseEvent ( Sender : TObject ; Dialog : TFindDialog )of object ;


(Untitled)

TRxGradient Methods

TRxGradient Alphabetically Legend

In TRxGradient

Assign

Changed

Create

Draw

Derived from TPersistent

Destroy

GetNamePath


TSpeedbarEditor.FormClosed

TSpeedbarEditor

procedure FormClosed ( Form: TCustomForm );


TFileDirEdit.DoAfterDialog

TFileDirEdit

procedure DoAfterDialog ( var FileName: string; var Action: Boolean );


TRxCustomLogin.DoUpdateCaption

TRxCustomLogin

procedure DoUpdateCaption;


TFontComboBox.OnExit

TFontComboBox

property OnExit;


TDateTimeFormat.LeadingZero

TDateTimeFormat

property LeadingZero: Boolean read FLeadingZero write FLeadingZero default False;


TDBIndexCombo.OnExit

TDBIndexCombo

property OnExit;


TIconList.Move

TIconList

procedure Move ( CurIndex , NewIndex: Integer );


TItemSortCompare

Unit

ObjStr

TItemSortCompare ( Item1 , Item2 : TCollectionItem ): Integer of object ;


TRxQuery.ParamCheck

TRxQuery

property ParamCheck: Boolean read FParamCheck write FParamCheck default True;


TDBProgress.WaitCursor

TDBProgress

Indicates the mouse cursor changes to during long BDE operations.

property WaitCursor: TCursor;


TRxCheckListBox

Hierarchy Properties Methods Events

The TRxCheckListBox displays a scrollable list with a check box next to each item.

Unit

RXCtrls

Description

TRxCheckListBox is similar to TListBox, except that each item has a check box or

radio button (according to the CheckKind property) next to it.

The custom component editor (a wizard) is used to modify the item list and can set all

the details - Add, Delete, List, State, Checked and EnabledItem properties at

design-time

Optionally, if the AutoScroll property is set to True, a horizontal scroll bar appears

automatically on the control. (This is useful for placing a list of items without the list

scrolling off the screen)

Note: The word (check [x]) = (tick [ü]) and the word (tick [ü]) = (check [x]).

Hence the phrase "I checked your work and I found a few mistakes..."


TSecretPanel.StartPlay

TSecretPanel

procedure StartPlay;


(Untitled)

TRxGradientCaption Events

TRxGradientCaption By object Legend

OnActivate

OnDeactivate


VCLUtils.DrawCellBitmap

VCLUtils

DrawBitmap draws a bitmap Bmp onto Control (assumed as DrawGrid) with ACol and ARow as it's specifier. The bitmap occupies the space Rect.

property procedure DrawCellBitmap(Control: TCustomControl; ACol, ARow: Longint; Bmp: TBitmap; Rect: TRect);

Description

DrawCellBitmap example:

procedure TForm1.Grid1DrawCell(Sender: TObject; Col, Row: Longint; Rect: TRect;

State: TGridDrawState);

var

Bmp: TBitmap;

begin

Bmp := GetCellBitmap(Col, Row);

if Bmp <> nil then

DrawCellBitmap(Grid1, Col, Row, Bmp, Rect);

end;


(Untitled)

TClipboardMonitor Properties

TClipboardMonitor By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Enabled

Name

Owner

Tag

VCLComObject


TRxCustomLogin.Active

TRxCustomLogin

property Active: Boolean read FActive write FActive default True;


TRxGIFAnimator.OnDragOver

TRxGIFAnimator

property OnDragOver;


(Untitled)

TPopupDataWindow Properties

TPopupDataWindow Alphabetically Legend

Derived from TRxDBLookupList

Align

Anchors

BiDiMode

BorderStyle

Color

Constraints

Ctl3D

DataField

DataSource

DisplayEmpty

DisplayValue

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

FieldsDelimiter

Font

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

KeyValue

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

RowCount

ShowHint

TabOrder

TabStop

Value

Visible

Derived from TRxLookupControl

Field

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TStoredProcList Properties

TStoredProcList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

ExtendedInfo

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

ItemName

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

SystemItems

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TPageProxy.OnShow

TPageProxy

property OnShow: TPageNotifyEvent read FOnShow write FOnShow;


(Untitled)

TDBSecurity Methods

TDBSecurity By object Legend

Assign

BeforeDestruction

ChangePassword

Create

Destroy

DestroyComponents

Destroying

DoCheckUser

DoLogin

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

Lock

Login

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TComServerObject.GetStartSuspended

TComServerObject

function GetStartSuspended: Boolean;


TAppEvents.OnMinimize

TAppEvents

OnMinimize is triggered when your application is minimized..

Method DoMinimize(Sender: TObject);


TRxSwitch.OnMouseMove

TRxSwitch

property OnMouseMove;


TSubscriptStyle

Unit

RxRichEd

Description

ValueMeaning

ssNone

ssSubscript

ssSuperscript


TRxCustomLabel.MouseInControl

TRxCustomLabel

property MouseInControl: Boolean read FMouseInControl;


(Untitled)

TGIFData Methods

TGIFData By object Legend

Create

Destroy

FreeHandle


TRxDBLookupList.ImeMode

TRxDBLookupList

property ImeMode;


TRxGIFAnimator.AutoSize

TRxGIFAnimator

property AutoSize default True;


(Untitled)

ESpeedbarError Properties

ESpeedbarError By object Legend

HelpContext

Message


(Untitled)

Hierarchy

TObject

|

TPersistent


TDBLocate.DeleteRange

TDBLocate

Deletes from Table all records specified by the key values FieldValues. Table must have an index on fields specified by IndexFields parameters.

property procedure DeleteRange(Table: TTable; IndexFields: array of const; FieldValues: array of const);

Description

DeleteRange example:

DeleteRange(Table1, ['ORDER_ID', 'CUSTOMER_NO'], [1, 255]);


TPageManager.PageOwner

TPageManager

This is the notebook component that the MRU manager hooks upon.

property PageOwner: TPageOwner;


TSpeedBar.ParentColor

TSpeedBar

property ParentColor;


TConverter.PMString

TConverter

Character string used to indicate evening (after noon and before midnight) times, when using a twelve-hour clock. Default value is standard TimePMString constant from SYSUTILS.PAS unit.

property PMString: string;


(Untitled)

TRxDBCalcEdit Methods

TRxDBCalcEdit Alphabetically Legend

In TRxDBCalcEdit

AcceptValue

Change

Create

Destroy

EditCanModify

ExecuteAction

GetDisplayText

GetReadOnly

IsValidChar

KeyDown

KeyPress

Notification

Reset

UpdateAction

UpdateFieldParams

UpdatePopup

UseRightToLeftAlignment

Derived from TCustomNumEdit

Clear

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

BoxProcs Methods

BoxProcs Alphabetically Legend

In BoxProcs

BoxDragOver

BoxMoveAllItems

BoxMoveFocusedItem

BoxMoveSelectedItems


(Untitled)

TDateEdit Methods

TDateEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

CheckValidDate

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDateMask

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateMask

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


(Untitled)

TRxDBComboBox Events

TRxDBComboBox By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDrawItem

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMeasureItem

OnStartDock

OnStartDrag


TAnimatedImage.DragKind

TAnimatedImage

property DragKind;


StrUtils.ReplaceStr

StrUtils

Returns string with every occurrence of Srch string replaced with Replace string.

property function ReplaceStr(const S, Srch, Replace: string): string;

Description

ReplaceStr example:

__S := ReplaceStr(ReplaceStr(Condition, '*', '%'), '?', '_');


RXMemory

Properties Methods

Memory tables are tables created in memory (RAM) and the contents are deleted when you close them.

They are much faster and are very useful when you need fast operations on small tables. Memory tables do not support certain features (like referntial integrity, indexes, autoincrement fields and BLOBs).

Unit

MemTable

Description

Only standard (logical) BDE field types are supported by the in-memory table. "Physical" field types are not supported. The table is kept in memory if possible, but it could be swapped to disk if the table becomes too big.

The maximum table size is 512Mb with a maximum record size of 16Kb with a maximum of 1024 fields.

Please note that Logical Auto-increment and BLOB fields are not supported due to their nature of operations.

Using class TMemoryTable

Use TMemoryTable to create a "temporary" table never intended to be written to disk. These tables are created by the application for gathering information that is needed temporarily during processing. These tables can be created only with logical types. These tables do not support indexes.

Before create in-memory table you must specify the table structure by adding fields in Dataset Designer (at design time) or by using FieldDefs property (at run time). To create table you need call the CreateTable or Open method (or assign True value to the Active property).

When the table is closed (by the Close method or assigning Active := False), all data in the memory table will be lost.

The TMemoryTable component provides live access to temporary in-memory BDE tables.


TRxRemoteLogin.Destroy

TRxRemoteLogin

destructor Destroy;


TRxDBCalcEdit.UseRightToLeftAlignment

TRxDBCalcEdit

function UseRightToLeftAlignment: Boolean;


(Untitled)

TRxTimer Properties

TRxTimer By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Enabled

Interval

Name

Owner

SyncEvent

Tag

Threaded

ThreadPriority

VCLComObject


TRxSwitch.OnDragOver

TRxSwitch

property OnDragOver;


TClipboardViewer.Constraints

TClipboardViewer

property Constraints;


TRxDBComboBox.PopupMenu

TRxDBComboBox

property PopupMenu;


TTableList.FileMask

TTableList

property FileMask;


TRxCustomLogin.SetLoggedUser

TRxCustomLogin

procedure SetLoggedUser ( const Value: string );


(Untitled)

TRxRemoteLogin Events

TRxRemoteLogin By object Legend

OnCheckUser

OnIconDblClick

OnUnlock


TPopupWindow.Hide

TPopupWindow

procedure Hide;


TDateEdit.YearDigits

TDateEdit

property YearDigits;


TRxSlider.ShowHint

TRxSlider

property ShowHint;


TColorComboBox.PopupMenu

TColorComboBox

property PopupMenu;


TRxSwitch.OnEndDock

TRxSwitch

property OnEndDock;


TQBEQuery.ParamCheck

TQBEQuery

The ParamCheck property determines whether the query fills the Params array when the SQL or QBE property is changed at run time. Default is True.

property ParamCheck: Boolean;


TRxDBComboEdit.TabStop

TRxDBComboEdit

property TabStop;


TPropsStorage.GetItemName

TPropsStorage

function GetItemName ( const APropName: string ): string;


(Untitled)

TRxPopupDataList Events

TRxPopupDataList By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag


TSliderOrientation

TSliderOrientation defines the values for the Orientation property of TRxSlider.

Unit

RXSlider

Description

ValueMeaning

soHorizontaldefault, slider is horizontal

soVerticalslider is vertical


THintPos

Unit

RxHints

Description

ValueMeaning

hpTopRight

hpTopLeft

hpBottomRight

hpBottomLeft


THugeList.OnDestroyObject

THugeList

The OnDestroyObject event occurs when a object stored in the list are freed.

property OnDestroyObject: TDestroyEvent;

Description

By default, the DestroyObject method calls the OnDestroyObject event handler, which calls TObject.Free to free and dereference the object. You can change this behavior by specifying what processing you want to occur in the OnDestroyObject event handler.


TRxLookupEdit.LookupDisplay

TRxLookupEdit

property LookupDisplay: string read GetLookupDisplay write SetLookupDisplay;


TRxFolderMonitor.Filter

TRxFolderMonitor

property Filter: TFileChangeFilters read FFilter write SetFilter default [fnFileName, fnDirName, fnSize, fnLastWrite];


TComObjectFactory.SupportsLicensing

TComObjectFactory

property SupportsLicensing: Boolean read FSupportsLicensing write FSupportsLicensing;


TIconList.SaveToStream

TIconList

procedure SaveToStream ( Stream: TStream );


(Untitled)

TRxCaptionList Properties

TRxCaptionList Alphabetically Legend

In TRxCaptionList

Items

Parent

Derived from TCollection

Count

ItemClass


TFilenameEdit.ButtonHint

TFilenameEdit

property ButtonHint;


TAutoIntfObject.DispIntfEntry

TAutoIntfObject

property DispIntfEntry: PInterfaceEntry read FDispIntfEntry;


TRxTextAttributes.Disabled

TRxTextAttributes

property Disabled: Boolean read GetDisabled write SetDisabled;


TTextListBox.OnClick

TTextListBox

property OnClick;


TRxLabel.ShowFocus

TRxLabel

ShowFocus indicates whether TRxLabel should draw a focus rectangle around the ClientRect when the control specified by FocusControl property has input focus.

property ShowFocus: Boolean;


TRxSplitter.MouseMove

TRxSplitter

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TSpeedBar.Ctl3D

TSpeedBar

property Ctl3D;


TRxCheckListBox.OnStartDrag

TRxCheckListBox

property OnStartDrag;


(Untitled)

TIndexList Methods

TIndexList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TMergeManager.HistoryCommand

TMergeManager

property HistoryCommand: TFormHistoryCommand read FHistoryCommand write FHistoryCommand;


TRxLookupEdit.OnMouseUp

TRxLookupEdit

property OnMouseUp;


TRxMemoryData.CompareRecords

TRxMemoryData

function CompareRecords ( Item1 , Item2: TMemoryRecord ): Integer;


VCLUtils.AssignBitmapCell

VCLUtils

AssignBitmapCell example:

property procedure AssignBitmapCell(Source: TGraphic; Dest: TBitmap; Cols, Rows, Index: Integer);

Description

Next code fragment loads standard Windows "box" images, cut cell from it and assign

selected bitmap to Glyph property of TSpeedButton component:

var

__Bmp, Checks: TBitmap;

begin

__Bmp := TBitmap.Create;

__Checks := MakeModuleBitmap(0, PChar(32759));

__try

____\\\\\\\...\\\\\\\

____AssignBitmapCell(Checks, Bmp, 4, 3, 1);

____SpeedButton1.Glyph := Bmp;

____\\\\\\\...\\\\\\\

__finally

____Bmp.Free;

____Checks.Free;

__end;

end;


TRxProjectResExpert.EditBitmapRes

TRxProjectResExpert

procedure EditBitmapRes ( Entry: TResourceEntry; Bitmap: TBitmap );


TSpeedItem.ButtonClick

TSpeedItem

procedure ButtonClick;


TIconList.LoadFromStream

TIconList

procedure LoadFromStream ( Stream: TStream );


TColorComboBox.ColorValue

TColorComboBox

This property represents the color value that currently selected. If you assign a TColor value to ColorValue, the corresponding entry in the list is selected. If the specified TColor is not in the color combo box list, the assignment is ignored and the current selection is unchanged.

property ColorValue: TColor;


TTextListBox.OnExit

TTextListBox

property OnExit;


TColorComboBox.Create

TColorComboBox

constructor Create ( AOwner: TComponent );


TSpeedBar.PopupMenu

TSpeedBar

property PopupMenu;


TRxMemoryData.Destroy

TRxMemoryData

destructor Destroy;


TMRUManager.DoReadItem

TMRUManager

procedure DoReadItem ( Ini: TObject; const Section: string; Index: Integer; var RecentName: string; var UserData: Longint );


TCustomTableItems.TableName

TCustomTableItems

property TableName: TFileName read FTableName write SetTableName;


TSpeedBar.BtnHeight

TSpeedBar

BtnHeight represents the height, in pixels, of the buttons in the TSpeedBar. During

upgrading your application, don't remember to increase value of Version property if the

BtnHeight or BtnWidth property has been changed.

property BtnHeight: Integer;


TMemoryTable.DoAfterScroll

TMemoryTable

procedure DoAfterScroll;


TRxCustomRichEdit.SetSelection

TRxCustomRichEdit

procedure SetSelection ( StartPos , EndPos: Longint; ScrollCaret: Boolean );


TRxCalcEdit.BeepOnError

TRxCalcEdit

property BeepOnError;


TDBLocate.TransActive

TDBLocate

Indicates whether a database transaction is in progress or not. Use this function to determine if a database transaction is currently in progress. Return value is True if a transaction is in progress, False otherwise.

property function TransActive(Database: TDatabase): Boolean;

Description

TransActive example:

if TransActive(Database) then

__Database.Commit;


TTextListBox.OnMouseWheelDown

TTextListBox

property OnMouseWheelDown;


TSQLScript.DefineProperties

TSQLScript

procedure DefineProperties ( Filer: TFiler );


TSpeedItem.Left

TSpeedItem

property Left: Integer read GetLeft write SetLeft default 0


TRxLookupControl.Locate

TRxLookupControl

function Locate ( const SearchField: TField; const AValue: string; Exact: Boolean ): Boolean;


TRxSwitch.Anchors

TRxSwitch

property Anchors;


TRxCalculator.HelpContext

TRxCalculator

property HelpContext: THelpContext read FHelpContext write FHelpContext default 0


FileUtil.FileDateTime

FileUtil

FileDateTime returns the date-and-time of the specified file.

function FileDateTime(const FileName: string): TDateTime;

Description

FileDateTime example:

D1 := FileDateTime('unit1.pas');


TSecretPanel.OnResize

TSecretPanel

property OnResize;


TRxSwitch.BorderStyle

TRxSwitch

property BorderStyle: TBorderStyle read FBorderStyle write SetBorderStyle default bsNone;


TRxDrawGrid.DrawMasked

TRxDrawGrid

This draws an edit mask, or mask around the selected region.

property procedure DrawMasked(ARect: TRect; Graphic: TBitmap);


TRxPopupMenu.Destroy

TRxPopupMenu

destructor Destroy; override;


TTextListBox.ImeMode

TTextListBox

property ImeMode;


StrUtils.Numb2Dec

StrUtils

Numb2Dec converts the given B-based numeric string to the corresponding integer value.

property function Numb2Dec(S: string; B: Byte): Longint;

Description

Numb2Dec example:

__I := Numb2Dec('1010', 2);

__\\\\\\\ here I = 10 \\\\\\\


TRxTextAttributes.ConsistentAttributes

TRxTextAttributes

property ConsistentAttributes: TRxConsistentAttributes read GetConsistentAttributes;


(Untitled)

TRxMathParser Methods

TRxMathParser Alphabetically Legend

In TRxMathParser

Exec

GetFormulaValue


TRxCalculator.CalcKey

TRxCalculator

procedure CalcKey ( var Key: Char );


TDBDateEdit.DataField

TDBDateEdit

property DataField: string read GetDataField write SetDataField;


TRxPopupMenu

Hierarchy Properties Methods Events

Popup menu having same behavior as TRxMainMenu

Unit

RxMenus


(Untitled)

TDateTimeFormat Properties

TDateTimeFormat Alphabetically Legend

In TDateTimeFormat

AMString

DateMask

DateOrder

DateSeparator

FourDigitYear

LeadingZero

LongDate

Mask

PMString

TimeFormat

TimeMask

TimeSeparator


TCurrencyEdit.Text

TCurrencyEdit

property Text;


TRxGIFAnimator.OnClick

TRxGIFAnimator

property OnClick;


TBtnControl.Margin

TBtnControl

property Margin: Integer read FMargin write FMargin;


VCLUtils.DialogUnitsToPixelsX

VCLUtils

Convert dialog units to pixels in horizontal direction.

property function DialogUnitsToPixelsX(DlgUnits: Word): Word;

Description

The dialog box base units used by Windows to create dialog boxes.

DialogUnitsToPixelsX example:

X := DialogUnitsToPixelsX(X);


VCLUtils.DialogUnitsToPixelsY

VCLUtils

Convert dialog units to pixels in vertical direction.

property function DialogUnitsToPixelsY(DlgUnits: Word): Word;

Description

The dialog box base units used by Windows to create dialog boxes.

DialogUnitsToPixelsY example:

Y := DialogUnitsToPixelsY(Y);


(Untitled)

EPropReadOnly Properties

EPropReadOnly Alphabetically Legend

Derived from Exception

HelpContext

Message


TSpeedBar.SaveLayoutReg

TSpeedBar

procedure SaveLayoutReg ( IniFile: TRegIniFile );


TDBLocate.LocateFilter

TDBLocate

function LocateFilter: Boolean;


TRxDBComboEdit.KeyDown

TRxDBComboEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TClipboardViewer.ParentBiDiMode

TClipboardViewer

property ParentBiDiMode;


TRxConsistentAttribute

Unit

RxRichEd

Description

ValueMeaning

caBold

caColor

caFace

caItalic

caSize

caStrikeOut

caUnderline

caProtected

caOffset

caHidden

caLink

caBackColor

caDisabled

caWeight

caSubscript

caRevAuthor


TRxPopupDataList.KeyPress

TRxPopupDataList

procedure KeyPress ( var Key: Char );


TStoredPropsProperty.GetAttributes

TStoredPropsProperty

function GetAttributes: TPropertyAttributes;


TStrHolder.Destroy

TStrHolder

Destory procedure destroys the String Holder.

destructor Destroy;


TRxLabel.Layout

TRxLabel

The property Layout specifies the vertical placement of the text within the label when the AutoSize property is False.

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the label is placed within the ClientRect of the label control. Layout can be one of the following values:

tlTop - The text appears at the top of the label.

tlCenter - The text is vertically centered in the label.

tlBottom - The text appears along the bottom of the label.


TRxSlider.OnClick

TRxSlider

property OnClick;


(Untitled)

TRxFolderMonitor Events

TRxFolderMonitor By object Legend

OnChange


TDBDateEdit.Change

TDBDateEdit

procedure Change;


(Untitled)

TProxyEditor Properties

TProxyEditor Alphabetically Legend

In TProxyEditor

OwnerForm

PageManager


TPopupDataWindow.PopupMouseUp

TPopupDataWindow

procedure PopupMouseUp ( Sender: TObject; Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxGradientCaption.Destroy

TRxGradientCaption

destructor Destroy; override;


TFontComboBox.Ctl3D

TFontComboBox

property Ctl3D;


(Untitled)

TQBEQuery Properties

TQBEQuery By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

AuxiliaryTables

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlankAsZero

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constrained

Constraints

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Local

Locale

Modified

Name

ObjectView

Owner

ParamCheck

ParamCount

Params

Prepared

QBE

RecNo

RecordCount

RecordSize

RequestLive

RowsAffected

SessionName

SparseArrays

StartParam

State

StmtHandle

Tag

Text

UpdateMode

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


(Untitled)

TClipboardMonitor Events

TClipboardMonitor By object Legend

OnChange


TPicClip.Destroy

TPicClip

destructor Destroy;


TRxDBFilter.Create

TRxDBFilter

constructor Create ( AOwner: TComponent );


(Untitled)

TRxLookupEdit Methods

TRxLookupEdit By object Legend

AcceptPopup

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetPopupValue

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

HidePopup

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

PopupChange

PopupDropDown

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetPopupValue

SetSelTextBuf

SetTextBuf

Show

ShowPopup

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TSpeedBar.Enabled

TSpeedBar

property Enabled;


(Untitled)

TStoredProcList Methods

TStoredProcList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TComboEdit.TabOrder

TComboEdit

property TabOrder;


(Untitled)

TRxGradient Events

TRxGradient Alphabetically Legend

In TRxGradient

OnChange


TVersionInfo.OriginalFilename

TVersionInfo

This contains the string specifying the original name of the file (do not include the path!).

property OriginalFilename: string;

Description

This information enables an application to determine whether a file has been renamed by a user. The format of the name depends on the file system for which the file was created.


TRxDBComboBox.EnableValues

TRxDBComboBox

EnableValues forces the values found in Values to be displayed instead.

property EnableValues: Boolean;


TFormPlacement.OnSavePlacement

TFormPlacement

When the screen is being saved, this event is triggered.

property OnSavePlacement: TNotifyEvent;

Description

A good usage is, "your computer is now auto-saving the contents of your document..."


TBarPosition

property TBarPosition = (bpAuto, bpCustom);

TBarPosition is a set of values for the Position property of the TSpeedbar component.

Unit

speedbar

Description

ValueMeaning

bpAuto

bpCustom


TCustomTableItems.ItemType

TCustomTableItems

property ItemType: TTabItemType read FItemType write SetItemType default dtFields;


TRxIniFile.WriteRect

TRxIniFile

WriteRect writes the value of TRect to a section and Ident of the specified IniFile.

procedure WriteRect(const Section, Ident: string; const Value: TRect);


TRxSpeedButton

Hierarchy Properties Methods Events

TRxSpeedButton is similar to the standard TSpeedButton control.

Unit

RXCtrls

Description

This component has the all properties, methods, and events that apply to the TSpeedButton controls, and additional properties.

The Flat property determines whether the button has a 3D border that provides a raised or lowered look when the button is unselected. The Transparent property specifies whether the background of the button obscures objects below the button control when the button is drawn. The GrayedInactive property specifies whether the button's glyph will be "grayed" when the button is unselected.

When it has not the mouse focus, the associated bitmap is drawn in shades (actually the bitmap is shaded with clWhite, clBtnHighlight, clBtnShadow and clBlack, so the look remains consistent when you change the system colors) - you can still give a specific non-focus bitmap if you want to.

When the AllowTimer property is set to True, instead of generating a single OnClick event when the button is pressed, TRxSpeedButton continues to generate OnClick events as long as the button is in the down state, with RepeatInterval interval.

Additionally, you can specify the "drop-down" menu for the button by the DropDownMenu property.


TRxDrawGrid.CanEditShow

TRxDrawGrid

function CanEditShow: Boolean;


TColorComboBox.ParentColor

TColorComboBox

property ParentColor;


TPropInfoList.Intersect

TPropInfoList

procedure Intersect ( List: TPropInfoList );


TRxSpeedButton.Create

TRxSpeedButton

constructor Create ( AOwner: TComponent );


TRxCustomLogin.IniFileName

TRxCustomLogin

property IniFileName: string read GetIniFileName write SetIniFileName;


TDirectoryEdit.OnExit

TDirectoryEdit

property OnExit;


TRxDBCalcEdit.ButtonWidth

TRxDBCalcEdit

property ButtonWidth;


TSliderOptions

TSliderOptions is a set of values for the Options property of the TRxSlider component.

Unit

RXSlider

property TSliderOptions = set of TSliderOption;


TRxMemoryData.Capacity

TRxMemoryData

property Capacity: Integer read GetCapacity write SetCapacity default 0 property Active;


TRxWindowHook.DoBeforeMessage

TRxWindowHook

procedure DoBeforeMessage ( var Msg: TMessage; var Handled: Boolean );


TDateEdit.ParentShowHint

TDateEdit

property ParentShowHint;


TRxClock.ShowMode

TRxClock

The ShowMode property determines type of clock to display - (scDigital = digital), (scAnalog = traditional analogue clock).

property ShowMode: TShowClock read FShowMode write SetShowMode default scDigital;


VCLUtils.CreateTwoColorsBrushPattern

VCLUtils

CreateTwoColoursBrushPattern, as it's name implies, creates a b

property function CreateTwoColorsBrushPattern(Color1, Color2: TColor): TBitmap;

Description

CreateTwoColorsBrushPattern example:

var

__Bmp: TBitmap;

begin

__Bmp := CreateTwoColorsBrushPattern(clBtnFace, clWhite);

__try

____Canvas.Brush.Bitmap := Bmp;

____\\\\\\\ ... \\\\\\\

__finally

____Bmp.Free;

__end;

end;


TRecentStrings.MaxSize

TRecentStrings

Maximum size of the list

property MaxSize: Integer read FMaxSize write SetMaxSize;


TRxDrawGrid.SetEditText

TRxDrawGrid

procedure SetEditText ( ACol , ARow: Longint; const Value: string );


TRxGradientCaption.StartColor

TRxGradientCaption

Starting color of the gradient effect

property StartColor: TColor read FStartColor write SetStartColor default clWindowText;


TRxWindowHook.Destroy

TRxWindowHook

destructor Destroy;


TRxDBLookupList.EmptyValue

TRxDBLookupList

property EmptyValue;


TSpeedBar.ShowHint

TSpeedBar

property ShowHint default True;


(Untitled)

TRxErrorDialog Methods

TRxErrorDialog Alphabetically Legend

In TRxErrorDialog

ShowException

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TConverter.IsValidChar

TConverter

IsValidChar is used by TConverter component to determine if a particular character is valid for the type specified by DataType property.

property function IsValidChar(Ch: Char): Boolean; virtual;


TRxCustomRichEdit.Create

TRxCustomRichEdit

constructor Create ( AOwner: TComponent );


TRxDBRichEdit.ParentBiDiMode

TRxDBRichEdit

property ParentBiDiMode;


TDBIndexCombo.Font

TDBIndexCombo

property Font;


TRxSpinEdit.AsInteger

TRxSpinEdit

property AsInteger: Longint read GetAsInteger write SetAsInteger default 0 property Text;


TPopupDataWindow.Hide

TPopupDataWindow

procedure Hide;


TCustomComboEdit.ButtonHint

TCustomComboEdit

property ButtonHint: string read GetButtonHint write SetButtonHint;


TRxDBComboBox.CurrentRowSelected

TRxDBComboBox

property CurrentRowSelected: Boolean read GetCurrentRowSelected write SetCurrentRowSelected;


TSpeedBar.OnAddItem

TSpeedBar

property OnAddItem: TNotifyEvent read FOnAddItem write FOnAddItem;


(Untitled)

TRxQueryThread Methods

TRxQueryThread Alphabetically Legend

In TRxQueryThread

Create

DoTerminate

Execute

HandleException

ModeError

Derived from TThread

Destroy

Resume

Suspend

Terminate

WaitFor


TRxSpinEdit.IsValidChar

TRxSpinEdit

function IsValidChar ( Key: Char ): Boolean;


(Untitled)

TObjectStrings Events

TObjectStrings Alphabetically Legend

In TObjectStrings

OnDestroyObject

Derived from TStringList

OnChange

OnChanging


TRxSpeedButton.OnMouseMove

TRxSpeedButton

property OnMouseMove;


TRxDBLookupCombo.ListLinkActiveChanged

TRxDBLookupCombo

procedure ListLinkActiveChanged;


TRxCheckListBox.OnEnter

TRxCheckListBox

property OnEnter;


TQBEQuery.Text

TQBEQuery

property Text: string read FText;


TDirectoryEdit.Anchors

TDirectoryEdit

property Anchors;


TRxCheckListBox.Font

TRxCheckListBox

property Font;


TFilenameEdit.ImeName

TFilenameEdit

property ImeName;


TRxDBComboEdit.OnStartDock

TRxDBComboEdit

property OnStartDock;


TCustomComboEdit.GetPopupValue

TCustomComboEdit

function GetPopupValue: Variant;


TRxDice.DragCursor

TRxDice

property DragCursor;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TCustomPanel


TRxSlider.Cursor

TRxSlider

property Cursor;


TRxSpeedButton.Transparent

TRxSpeedButton

Transparent specifies whether the background of the button obscures objects below the TRxSpeedButton object when the button is drawn. Default value is False.

property Transparent: Boolean;


TRxWindowHook.GetVirtualMethodAddress

TRxWindowHook Example

GetMethodAddress

function GetVirtualMethodAddress(AClass: TClass; AIndex: Integer):Pointer;


TSecretPanel.ParentBiDiMode

TSecretPanel

property ParentBiDiMode;


(Untitled)

TRxWindowHook Methods

TRxWindowHook Alphabetically Legend

In TRxWindowHook

Create

DefineProperties

Destroy

DoAfterMessage

DoBeforeMessage

FindVirtualMethodIndex

GetVirtualMethodAddress

HookControl

Notification

SetVirtualMethodAddress

UnhookControl

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTableList

Hierarchy Properties Methods Events

List of Tables

Unit

DBLists


TRxPopupDataList.CreateWnd

TRxPopupDataList

procedure CreateWnd;


TRxTimerList.TimerList

TRxTimerList

This contains a "List of events"

property TimerList: TRxTimerList;


TFilenameEdit.HideSelection

TFilenameEdit

property HideSelection;


TRxSwitch.OnMouseUp

TRxSwitch

property OnMouseUp;


TMergeManager.GotoForm

TMergeManager

GotoForm(AForm: TCustomForm);


TCustomComboEdit.PopupChange

TCustomComboEdit

procedure PopupChange;


TCustomDateEdit.AcceptPopup

TCustomDateEdit

function AcceptPopup ( var Value: Variant ): Boolean;


TRxLookupControl.Field

TRxLookupControl

property Field: TField read GetField;


TRxGIFAnimator.GetPalette

TRxGIFAnimator

function GetPalette: HPALETTE;


TRxMainMenu.Loaded

TRxMainMenu

procedure Loaded;


THugeList.Pack

THugeList

procedure Pack;


TDateEdit.TabOrder

TDateEdit

property TabOrder;


TRxSpinEdit.OnClick

TRxSpinEdit

property OnClick;


TRxCheckListBox.DragKind

TRxCheckListBox

property DragKind;


TRxCalcState

Unit

RxCalc

Description

ValueMeaning

csFirst

csValid

csError


TRxRemoteLogin.MaxPasswordLen

TRxRemoteLogin

property MaxPasswordLen;


(Untitled)

TQueryParamsDialog Methods

TQueryParamsDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TRxDBRichEdit.OnResizeRequest

TRxDBRichEdit

property OnResizeRequest;


(Untitled)

TGIFData Methods

TGIFData Alphabetically Legend

In TGIFData

Create

Destroy

FreeHandle

Derived from TSharedImage


TSpeedbarSection.Items

TSpeedbarSection

property Items [ Index: Integer ]: TSpeedItem read Get write Put;


TCurrencyEdit.ReadOnly

TCurrencyEdit

property ReadOnly;


(Untitled)

TRecentStrings Events

TRecentStrings By object Legend

OnChange

OnChanging


TRxDBLookupCombo.DropDownCount

TRxDBLookupCombo

property DropDownCount: Integer read FDropDownCount write FDropDownCount default 7 property


(Untitled)

TRxDice Methods

TRxDice By object Legend

AdjustSize

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoStart

DoStop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetPalette

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseDown

MouseWheelHandler

Paint

PaintTo

Perform

RandomValue

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxSwitch.GetPalette

TRxSwitch

function GetPalette: HPALETTE;


TRxDBCalcEdit.Enabled

TRxDBCalcEdit

property Enabled;


TComObject._AddRef

TComObject

function _AddRef: Integer;


TComboEdit.OnMouseMove

TComboEdit

property OnMouseMove;


(Untitled)

TLocateObject Methods

TLocateObject By object Legend

ActiveChanged

AssignRecord

CheckFieldType

CheckRequiredField

ConfirmDataSetCancel

ConfirmDelete

DataSetSortedSearch

FilterApplicable

FormatAnsiSQLCondition

FormatSQLCondition

FormatSQLDateRange

Locate

LocateFilter

LocateFull

LocateKey

MatchesLookup

RefreshQuery

RestoreFields

RestoreFieldsReg

SaveFields

SaveFieldsReg

UseKey


(Untitled)

TConverter Properties

TConverter Alphabetically Legend

In TConverter

AMString

AsBoolean

AsDate

AsDateTime

AsFloat

AsInteger

AsString

AsTime

DataType

DateMask

DateOrder

DateSeparator

DateTimeFormat

Digits

DisplayFalse

DisplayTrue

FloatFormat

FourDigitYear

LeadingZero

LongDate

Mask

PMString

Precision

RaiseOnError

Text

TimeFormat

TimeMask

TimeSeparator

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.DragCursor

TRxDBLookupCombo

property DragCursor;


TLocateObject.UseKey

TLocateObject

function UseKey: Boolean;


TCurrencyEdit.Ctl3D

TCurrencyEdit

property Ctl3D;


TRxDBLookupCombo.LookupSource

TRxDBLookupCombo

property LookupSource;


TGetCellParamsEvent

Unit

RXDBCtrl

TGetCellParamsEvent ( Sender : TObject ; Field : TField ; AFont : TFont ; var Background : TColor ; Highlight : Boolean )of object ;


TCurrencyEdit.OnExit

TCurrencyEdit

property OnExit;


(Untitled)

TRxLoginForm Methods

TRxLoginForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TDateEdit.OnClick

TDateEdit

property OnClick;


TDriverDesc.Description

TDriverDesc

property Description: DRVType read FDescription;


(Untitled)

TTableList Events

TTableList Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxDBComboBox.OnEnter

TRxDBComboBox

property OnEnter;


TRxLabel.ShadowColor

TRxLabel

Use this property to specify the color of the shadow.

property ShadowColor: TColor;

Description

This property is only applicable when ShadowSize is set to non-zero value.


TAnimatedImage.Active

TAnimatedImage

Once the frame sequence is properly loaded in the Glyph variable and the properties NumGlyphs, GlyphNum, InactiveGlyph and Interval properties are set, setting Active property to True will cause the animation to start (and stop when the Active property is False).

property Active: Boolean;


TMRUManager.StartAccel

TMRUManager

StartAccel defines if the each member of the MRU list should start with an accelerated character.

property StartAccel: Cardinal;


TDBIndexCombo.DragCursor

TDBIndexCombo

property DragCursor;


TRxMemoryData.OnCalcFields

TRxMemoryData

property OnCalcFields;


TRxDBCalcEdit.OnKeyDown

TRxDBCalcEdit

property OnKeyDown;


TAnimatedCursorImage.Destroy

TAnimatedCursorImage

destructor Destroy;


TRxSpinEdit.ImeMode

TRxSpinEdit

property ImeMode;


VCLUtils.DrawBitmapTransparent

VCLUtils

DrawBitmapTransparent paints the bitmap specified by the Bitmap parameter on the canvas Dest at the location given by the coordinates (DstX, DstY).

property procedure DrawBitmapTransparent(Dest: TCanvas; DstX, DstY: Integer; Bitmap: TBitmap; TransparentColor: TColor);

Description

TransparentColor determines which color of the bitmap is to be transparent when the bitmap is drawn. To render only part of bitmap use DrawBitmapRectTransparent procedure.

DrawBitmapTransparent example:

var

__Bmp: TBitmap;

begin

__Bmp := Image1.Picture.Bitmap;

__DrawBitmapTransparent(PaintBox1.Canvas, 10, 10, Bmp, clOlive);

end;


TRxRemoteLogin.Notification

TRxRemoteLogin

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxSpinEdit.AutoSize

TRxSpinEdit

property AutoSize;


TIconListProperty.SetValue

TIconListProperty

procedure SetValue ( const Value: string );


TRxDBLookupList.OnGetImage

TRxDBLookupList

OnGetImage event is triggered when an image is requested.

property OnGetImage: TGetImageEvent;


TPicClip.Cols

TPicClip

Cols is the number of columns in the matrix of pictures.

property Cols: Integer;


TMemoryTable.Create

TMemoryTable

constructor Create ( AOwner: TComponent );


TRxDBLookupList.BiDiMode

TRxDBLookupList

property BiDiMode;


TRxDBLookupCombo.IsDropDown

TRxDBLookupCombo

IsDropDown method returns True if the lookup list is open or "dropped-down"; if IsDropDown returns False, the list is closed.

property IsDropDown: Boolean read FListVisible;


TDBIndexCombo.PopupMenu

TDBIndexCombo

property PopupMenu;


TRxLabel.Color

TRxLabel

property Color;


TRxDBGrid.FixedCols

TRxDBGrid

The FixedCols property can be used to specify a number of fixed columns in the grid.

property FixedCols: Integer read GetFixedCols write SetFixedCols default 0 property ClearSelection: Boolean read FClearSelection write FClearSelection default True;

Description

The number of fixed columns must always be less than the total number of columns or fields in the grid. Fixed columns are always read-only when adding or editing records. This allows program or database generated fields such as record keys to be locked from user update. Values can be added to these fields by the DBMS when posting a record; in the AfterInsert event, in the OnNewRecord or in the BeforePost event of the linked dataset. The value can be set from 0 to one less than the total number of columns (or fields in the dataset).

Associated with the FixedCols property is a FixedColor property which allows you to change the color of the fixed columns.


StrUtils.DelBSpace

StrUtils

DelBSpace trims leading spaces from the given string.

property function DelBSpace(const S: string): string;

Description

DelBSpace example:

var S: string;

begin

__S := ' Let It Be';

__S := DelSpace(S);

__ShowMessage(S); \\\\\\\ here S = 'Let It Be' \\\\\\\

end;


TComObject.ObjRelease

TComObject

function ObjRelease: Integer;


TSecretPanel.OnExit

TSecretPanel

property OnExit;


(Untitled)

TFieldList Events

TFieldList Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


RxGraph.GrayscaleBitmap

RxGraph

This procedure transforms a color bitmap image into grayscale.

procedure GrayscaleBitmap(Bitmap: TBitmap);

Description

Each pixel is transformed into the gray pixel (Red = Green = Blue) with the (approximate) same luminosity.

GrayscaleBitmap example:

__GrayscaleBitmap(Image1.Bitmap);


TComboEdit.NumGlyphs

TComboEdit

property NumGlyphs;


TRxDBFilter.OnSetCapture

TRxDBFilter

The OnSetCapture event is activated when a filter captures the data-aware controls assosiated with filtered dataset, by calling the SetCapture method.

property OnSetCapture: TNotifyEvent;

Description

By assigning a method to this property, you can take any special actions required by the event.


TDBLocate.DataSetFindValue

TDBLocate

Searches the dataset for a specified record and makes that record the current record.

property function DataSetFindValue(DataSet: TDataSet; const Value, FieldName: string): Boolean;

Description

Call DataSetFindValue to search a dataset for a specific record and position the cursor on it. FieldName is a string containing a field name on which to search. Value is a value to match in the key field.

DataSetFindValue returns True if it finds a matching record, and makes that record the current one. Otherwise DataSetFindValue returns False.

DataSetFindValue example:

var DataSet: TDataSet; FieldName: string; Found: Boolean;

begin

__...

__Found := DataSetFindValue(DataSet, DataSet.FieldByName(FieldName).AsString,

FieldName);

__if not Found then

____MessageDlg('Record not found', mtError, [mbOk], 0);

end;


TRxErrorDialog

Hierarchy Properties Methods Events

Unit

ExcptDlg


TRxDBCalcEdit.OnMouseDown

TRxDBCalcEdit

property OnMouseDown;


TDateEdit.ImeMode

TDateEdit

property ImeMode;


TRxCalcEdit.MaxValue

TRxCalcEdit

property MaxValue;


TContainedObject.QueryInterface

TContainedObject

function QueryInterface ( const IID: TGUID; out Obj ): HResult;


TBookmarkList.Destroy

TBookmarkList

destructor Destroy;


TButtonImage.DrawButtonImage

TButtonImage

function DrawButtonImage ( Canvas: TCanvas; X , Y: Integer; Images: TImageList; ImageIndex: Integer; State: TRxButtonState ): TPoint;


TPageManager.NextBtn

TPageManager

NextBtn defines which control to the NextBtn on the form which should be used to control the pages

property NextBtn: TControl;


TNotifyThread.OnChange

TNotifyThread

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TDBLocate.ExportDataSet

TDBLocate

This procedure exports data from data source specified by Source parameter to the table specified by DestTable parameter.

property procedure ExportDataSet(Source: TDataSet; DestTable: TTable; TableType: TTableType; const AsciiCharSet: string; AsciiDelimited: Boolean; MaxRecordCount: Longint);

Description

Function create the destination table based on the structure of the source data set. If the destination already exists, the function will delete it, and replace it with the new copy of the source.

For export into ASCII-format you can specify destination character set by AsciiCharSet parameter and fixed or delimited (varying) format by AsciiDelimited parameter.

RecordCount parameter specifies the maximum number of records that are exported to the destination table when function is called. If zero, all records are added, beginning with the first record in Source.

ExportDataSet example:

var SourceDataSet: TDataSet; DestName, CharSet: string;

begin

__\\\\\\\...\\\\\\\

__if (SourceDataSet <> nil) then

__begin

____if SourceDataSet.Active then

______SourceDataSet.CheckBrowseMode;

____if (SourceDataSet is TTable) then

______DestName := ExtractFileName(TTable(SourceDataSet).TableName)

____else begin

______if not SourceDataSet.Active then DBError(SDataSetClosed);

________DestName := 'Query';

____end;

____DestName := ChangeFileExt(DestName, '.TXT');

__end;

__DestTable.TableName := DestName;

__ExportDataSet(SourceDataSet, DestTable, ttASCII, 'db866ru0', True, 0);

__MessageDlg(Format('Table %s successfully created.', [DestTable.TableName]),

____mtInformation, [mbOk], 0);

end;


TRxTimerList.Clear

TRxTimerList

This method removes all events from the list.

property procedure Clear;


TRxDBFilter.ReadCaptureControls

TRxDBFilter

You can use same data-aware controls (i.e. TDBEdit, TDBCheckBox etc) to display and edit dataset's records and to enter filter's selection criteria. Use SetCapture, ReleaseCapture and ReadCaptureControls methods to enable end-users to enter selection criteria into data-aware controls at run-time.

property procedure ReadCaptureControls;

Description

SetCapture method "captures" data-aware controls linked to a same datasource as TRxDBFilter component and allows user to enter data into these controls as selection criteria (without change the state of a dataset). You can read entered data by calling ReadCaptureControls method. This method reads selection criteria from data-aware controls captured by the filter component and fills the its Filter property by values

readed. The single ctiteries combines into Filter property by using AND or OR logic operation according to LogicCond property value. After entering and reading selection criteria you MUST return data-aware controls to its normal state by calling ReleaseCapture method.


TIconList.OnChange

TIconList

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxDBLookupCombo.OnMouseDown

TRxDBLookupCombo

property OnMouseDown;


(Untitled)

TCustomNumEdit Properties

TCustomNumEdit By object Legend

Action

Align

Alignment

Anchors

AsInteger

BeepOnError

BiDiMode

BoundsRect

Brush

CanUndo

CheckOnExit

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DecimalPlaces

DesignInfo

DisplayFormat

DisplayText

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EditText

Enabled

Floating

FloatingDockSiteClass

FormatOnEditing

Formatting

Handle

Height

HelpContext

Hint

HostDockSite

IsMasked

Left

LRDockWidth

MaxValue

MinValue

Modified

Name

Owner

Parent

ParentWindow

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

ZeroEmpty


TQBEQuery.Constrained

TQBEQuery

property Constrained: Boolean read FConstrained write FConstrained default False;


TRxWindowHook.DoAfterMessage

TRxWindowHook

procedure DoAfterMessage ( var Msg: TMessage; var Handled: Boolean );


(Untitled)

TLangDrivList Methods

TLangDrivList By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

ClearFields

Close

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TTextListBox.OnEndDock

TTextListBox

property OnEndDock;


(Untitled)

TRxTimer Events

TRxTimer By object Legend

OnTimer


TTimerItemsEditor.GetEditState

TTimerItemsEditor

function GetEditState: TEditState;


TRxDBRichEdit.UseRightToLeftAlignment

TRxDBRichEdit

function UseRightToLeftAlignment: Boolean;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet


TRxDBRichEdit.OnMouseDown

TRxDBRichEdit

property OnMouseDown;


TComboEdit.BorderStyle

TComboEdit

property BorderStyle;


TPageManager.WriteComponents

TPageManager

procedure WriteComponents ( Writer: TWriter );


TPicklistEvent

TPicklistEvent is the type of the OnGetPicklist event of the TRxDrawGrid component.

Unit

RXGrids

property TPicklistEvent = procedure (Sender: TObject; ACol, ARow: Longint; PickList: TStrings) of object;


TDBStatusLabel.OnMouseDown

TDBStatusLabel

property OnMouseDown;


TAppEvents.OnActivate

TAppEvents

OnActivate is triggered when the form is activated.

Method DoActivate(Sender: TObject);


TRxDBComboBox.Count

TRxDBComboBox

property Count: Longint read GetCount;


StrUtils.IsEmptyStr

StrUtils

EmptyStr returns True if the given string contains only character from the EmptyChars.

property function IsEmptyStr(const S: string; const EmptyChars: TCharSet): Boolean;

Description

IsEmptyStr example:

if IsEmptyStr(S, [#0,' ']) then

begin

__ShowMessage('S contains only while spaces');

end;


TQBEQuery.Constraints

TQBEQuery

property Constraints stored ConstraintsStored;


(Untitled)

TRxDBFilter Properties

TRxDBFilter Alphabetically Legend

In TRxDBFilter

Active

Captured

DataSource

ExprFilter

Filter

FuncFilter

Handle

LogicCond

Options

Priority

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBRichEdit.AutoDisplay

TRxDBRichEdit

property AutoDisplay: Boolean read FAutoDisplay write SetAutoDisplay default True;


TRxDBComboEdit.ParentCtl3D

TRxDBComboEdit

property ParentCtl3D;


TRxDrawGrid.GetEditLimit

TRxDrawGrid

function GetEditLimit: Integer;


(Untitled)

TPictProperty Methods

TPictProperty Alphabetically Legend

In TPictProperty

Edit

GetAttributes

GetValue

SetValue


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TMenu

|

TMainMenu


TBookmarkList

Properties Methods

When you set MultiSelect property of a TRxDBGrid to True, you give yourself the ability to select multiple records within the grid.

Unit

RXDBCtrl

TBookmarkList = class;

Description

The records you select are represented as bookmarks and are stored in the SelectedRows property. The SelectedRows property is an object of type TBookmarkList.


(Untitled)

TCloneDbDataset Events

TCloneDbDataset By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TCustomDBComboBox.DataField

TCustomDBComboBox

property DataField: string read GetDataField write SetDataField;


(Untitled)

TTextListBox Properties

TTextListBox Alphabetically Legend

In TTextListBox

Align

Anchors

BiDiMode

BorderStyle

Color

Constraints

Ctl3D

DragCursor

DragKind

DragMode

Enabled

ExtendedSelect

Font

ImeMode

ImeName

IntegralHeight

ItemHeight

Items

MultiSelect

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

Sorted

TabOrder

TabStop

TabWidth

Visible

Derived from TCustomListBox

Canvas

ItemIndex

SelCount

Selected

TopIndex

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRichEdit.OnResizeRequest

TRxRichEdit

property OnResizeRequest;


TRxDrawGrid.GetEditStyle

TRxDrawGrid

function GetEditStyle ( ACol , ARow: Longint ): TInplaceEditStyle;


TRxDBLookupCombo.ParentShowHint

TRxDBLookupCombo

property ParentShowHint;


TFilenameEdit.Dialog

TFilenameEdit

Read-only property to the direct access to the TOpenDialog component, than called by the TFilenameEdit control.

Dialog: TOpenDialog;


TFontComboBox.OnEndDock

TFontComboBox

property OnEndDock;


TCurrencyEdit.OnMouseMove

TCurrencyEdit

property OnMouseMove;


TFormPlacement.IniSection

TFormPlacement

The IniSection is the section of the IniFile which the information will be stored in. If you specify blank, the information about your form's metrics will not be saved.

property IniSection: string;


TComServerObject.ServerName

TComServerObject

property ServerName: string read GetServerName;


TRxButtonGlyph.CreateButtonGlyph

TRxButtonGlyph

function CreateButtonGlyph ( State: TRxButtonState ): Integer;


(Untitled)

RXDate Methods

RXDate Alphabetically Legend

Derived from TDateEdit

CheckValidDate

Create

DoClick

GetDateMask

Derived from TCustomDateEdit

Destroy

UpdateMask

Derived from TCustomComboEdit

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxPopupMenu.Cursor

TRxPopupMenu

property Cursor: TCursor read FCursor write FCursor default crDefault;


TRxDBCalcEdit.FormatOnEditing

TRxDBCalcEdit

property FormatOnEditing;


TRxCustomListBox.ItemHeight

TRxCustomListBox

property ItemHeight: Integer read GetItemHeight write SetItemHeight;


TRxQuery.MacroCount

TRxQuery

property MacroCount: Word read GetMacroCount;


TCurrencyEdit.DragMode

TCurrencyEdit

property DragMode;


TDBDateEdit.DialogTitle

TDBDateEdit

property DialogTitle;


TRxTimerList.Add

TRxTimerList

You can use this method to add new event.

property function Add(AOnTimer: TNotifyEvent; AInterval: Longint; ACycled: Boolean): Longint;

Description

Parameters AOnTimer, AInterval and ACycled contained values of properties OnTimer, Interval and Cycled accordingly for new event. Handle of this event returned as method result.


TRxDBGrid.OnColumnMoved

TRxDBGrid

property OnColumnMoved: TMovedEvent read FOnColumnMoved write FOnColumnMoved;


TRxCustomRichEdit.Clear

TRxCustomRichEdit

procedure Clear;


(Untitled)

TSelectDataSetForm Properties

TSelectDataSetForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TProxyEditor.NameProxy

TProxyEditor

procedure NameProxy ( Sender: TObject );


TCustomNumEdit.Change

TCustomNumEdit

procedure Change;


TRxDBRichEdit.ExecuteAction

TRxDBRichEdit

function ExecuteAction ( Action: TBasicAction ): Boolean;


(Untitled)

ClipIcon Methods

ClipIcon Alphabetically Legend

In ClipIcon

AssignClipboardIcon

CopyIconToClipboard

CreateIconFromClipboard

CreateRealSizeIcon

DrawRealSizeIcon

GetIconSize


TRxCustomLogin.DoUnlockDialog

TRxCustomLogin

function DoUnlockDialog: Boolean;


TDBStatusLabel.OnGetRecordCount

TDBStatusLabel

property OnGetRecordCount: TDataValueEvent read FOnGetRecordCount write FOnGetRecordCount;


RXMemory.BatchMove

RXMemory

The BatchMove method copies or appends records in the TMemoryTable. ASource is a Table or Query linked to a database table containing the source records. AMode is the copy mode; it can be only batAppend or batCopy.

function BatchMove(ASource: TDataSet; AMode: TBatchMode;

Description

The ARecordCount parameter is used to control the maximum number of records that will be moved. If zero, all records are moved, beginning with the first record in ASource.

If ARecordCount is not zero, a maximum of ARecordCount records will be moved, beginning with the current record. If ARecordCount exceeds the number of records remaining in ASource, no wraparound occurs; the operation is terminated. BatchMove returns the number of records operated on.


TDatabaseItems.FileMask

TDatabaseItems

property FileMask;


TRxCheckListBox.OnMouseWheelUp

TRxCheckListBox

property OnMouseWheelUp;


TRxDBRichEdit.Destroy

TRxDBRichEdit

destructor Destroy;


(Untitled)

TRxSpinEdit Events

TRxSpinEdit Alphabetically Legend

In TRxSpinEdit

OnBottomClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

OnTopClick

Derived from TWinControl

Derived from TControl


TSplitterStyle

TSplitterStyle type defines the values, internally used by the TRxSplitter component.

Unit

RXSplit

property TSplitterStyle = (spUnknown, spHorizontalFirst, spHorizontalSecond, spVerticalFirst, spVerticalSecond);

Description

ValueMeaning

spUnknown

spHorizontalFirst

spHorizontalSecond

spVerticalFirst

spVerticalSecond


TRxDBGrid.DoMouseWheelUp

TRxDBGrid

function DoMouseWheelUp ( Shift: TShiftState; MousePos: TPoint ): Boolean;


TDBIndexCombo.ParentBiDiMode

TDBIndexCombo

property ParentBiDiMode;


TRxPopupMenu.Style

TRxPopupMenu

property Style: TRxMenuStyle read FStyle write SetStyle default msStandard;


TRxSpinEdit.Increment

TRxSpinEdit

Use this property to specify the amount the Value property is incremented or decremented by when one of the spin buttons is pressed or when either the up or down arrow key is pressed.

property Increment: Double;

Description

Note that the Increment property can be set to a floating point value, thus allowing non-integer increments.


TRxCalcEdit.OnKeyDown

TRxCalcEdit

property OnKeyDown;


THugeList.Items

THugeList

property Items [ Index: Longint ]: Pointer read Get write Put;


TRxMemoryData.OnNewRecord

TRxMemoryData

property OnNewRecord;


(Untitled)

TNotifyThread Methods

TNotifyThread Alphabetically Legend

In TNotifyThread

Create

Destroy

DoChange

DoTerminate

Execute

Terminate

Derived from TThread

Resume

Suspend

WaitFor


StrUtils.WordPosition

StrUtils

Given a set of word delimiters, return start position of N'th word in S.

property function WordPosition(const N: Integer; const S: string; const WordDelims: TCharSet): Integer;

Description

WordPosition example:

I := WordPosition(2, 'Let him go', [' ', ',']);

\\\\\\\ here I = 5 \\\\\\\


TRxTrayIcon.Hide

TRxTrayIcon

procedure Hide;


TRxDBRichEdit.OnMouseWheel

TRxDBRichEdit

property OnMouseWheel;


TRxRichEdit.DragMode

TRxRichEdit

property DragMode;


TRxDBComboEdit.OnStartDrag

TRxDBComboEdit

property OnStartDrag;


TMemoryTable.RecNo

TMemoryTable

property RecNo: Longint read GetRecordNumber write SetRecNo;


TDateEdit.OnStartDock

TDateEdit

property OnStartDock;


(Untitled)

TGIFItem Methods

TGIFItem Alphabetically Legend

In TGIFItem

Destroy

FreeHandle

Derived from TSharedImage


TRxMemoryData.BeforeEdit

TRxMemoryData

property BeforeEdit;


(Untitled)

TQueryParamsDialog Methods

TQueryParamsDialog Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TBits.Size

TBits

property Size: Integer read FSize write SetSize;


TRxDBCalcEdit.Create

TRxDBCalcEdit

constructor Create ( AOwner: TComponent );


TRxDBFilter.OnActivate

TRxDBFilter

The OnActivate event is activated after a filter is activated, either by calling the Activate method or by setting the Active property to True. By assigning a method to this property, you can take any special actions required by the event.

property OnActivate: TNotifyEvent;


TRxTrayIcon.Hint

TRxTrayIcon

property Hint: string read FHint write SetHint;


TCustomNumEdit.IsValidChar

TCustomNumEdit

function IsValidChar ( Key: Char ): Boolean;


TRxSpinEdit.OnEndDock

TRxSpinEdit

property OnEndDock;


TRxButtonGlyph.Create

TRxButtonGlyph

constructor Create;


TRxPopupMenu.Notification

TRxPopupMenu

procedure Notification ( AComponent: TComponent; Operation: TOperation );


(Untitled)

TRxCustomRichEdit Properties

TRxCustomRichEdit Alphabetically Legend

In TRxCustomRichEdit

AllowInPlace

AllowObjects

AutoURLDetect

AutoVerbMenu

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

DefAttributes

DefaultConverter

HideScrollBars

HideSelection

LangOptions

Lines

PageRect

Paragraph

PlainText

RedoName

SelAttributes

SelectionBar

SelectionType

StreamFormat

StreamMode

Title

UndoLimit

UndoName

WordAttributes

WordSelection

Derived from TCustomMemo

Derived from TCustomEdit

Modified

SelLength

SelStart

SelText

TabStop

Text

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TAnimatedCursorImage.Draw

TAnimatedCursorImage

procedure Draw ( ACanvas: TCanvas; const ARect: TRect );


THintProperty.Edit

THintProperty

procedure Edit;


TRxDBComboEdit.ClickKey

TRxDBComboEdit

property ClickKey;


TPageManager.PageCount

TPageManager

PageCount is the total number of pages that the PageManager contains.

property PageCount: Integer;


TDBDateEdit.YearDigits

TDBDateEdit

property YearDigits;


FileUtil.ValidFileName

FileUtil

ValidFileName indicates whether FileName string refers to a valid name of physical file.

function ValidFileName(const FileName: string): Boolean;

Description

ValidFileName example:

if not ValidFileName(S) then

__ShowMessage('Invalid file name');


TConverter.FourDigitYear

TConverter

Specifies the number of digits for the year value (four or two). If True, years are

expressed in four digits (i.e., 1997). If False, years have two digits (97).

property FourDigitYear: Boolean;


TRxCustomTrackBar.Create

TRxCustomTrackBar

constructor Create ( AOwner: TComponent );


(Untitled)

Hierarchy

TObject

|

Exception

|

EOleError

|

EOleSysError


TRxCustomListBox.TabWidth

TRxCustomListBox

property TabWidth: Integer read FTabWidth write SetTabWidth default 0


TRxMemoryData.SetRecNo

TRxMemoryData

procedure SetRecNo ( Value: Integer );


(Untitled)

TClipboardViewer Methods

TClipboardViewer Alphabetically Legend

In TClipboardViewer

CanDrawFormat

Derived from TCustomClipboardViewer

Create

Derived from TScrollBox

Derived from TScrollingWinControl

Destroy

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TAppEvents.OnSettingsChanged

TAppEvents

OnSettingsChanged event occurred when the user alters the Windows system configuration and application receives a WM_WININICHANGE message.

property OnSettingsChanged: TNotifyEvent;


TRxCheckListBox.State

TRxCheckListBox

This indicates the state of the items on the list - whether they are checked or grayed.

property State[Index: Integer]: TCheckBoxState;

Description

For each member of the Items array, State indicates whether its check box is selected (cbChecked), deselected (cbUnchecked), or grayed (cbGrayed).

The cbChecked state corresponds to the Boolean property Checked,

- Checked property True is equivalent to the RadioButton's state of cbChecked.

- Checked property False is equivalent to the RadioButton's state of cbUnchecked or cbGrayed.)

If CheckKind = ckRadioButtons, the user selects a radio button in the list box and any selected item is automatically unselected.


TRxLabel.Caption

TRxLabel

property Caption;


(Untitled)

TObjectStrings Methods

TObjectStrings Alphabetically Legend

In TObjectStrings

Clear

Delete

DestroyObject

Move

ParseStrings

PutObject

Remove

SortList

Derived from TStringList

Add

CustomSort

Destroy

Exchange

Find

IndexOf

Insert

Sort

Derived from TStrings

AddObject

AddStrings

Append

Assign

BeginUpdate

EndUpdate

Equals

GetText

IndexOfName

IndexOfObject

InsertObject

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream

SetText

Derived from TPersistent

GetNamePath


TCurrencyEdit.BorderStyle

TCurrencyEdit

property BorderStyle;


TRxSpeedButton.OnMouseLeave

TRxSpeedButton

property OnMouseLeave: TNotifyEvent read FOnMouseLeave write FOnMouseLeave;


TRxDBLookupCombo.CreateParams

TRxDBLookupCombo

procedure CreateParams ( var Params: TCreateParams );


TRxCalculator.Value

TRxCalculator

The Value property is used to retreive calculation results from the Calculator dialog box and to set current value in the calculator's display.

property Value: Double;


TDBStatusLabel.EditColor

TDBStatusLabel

When the database is in edit mode, TDBStatusLabel changes to the colour specified by EditColor.

property EditColor: TColor;


TRxDBLookupCombo.OnKeyUp

TRxDBLookupCombo

property OnKeyUp;


(Untitled)

TRxFolderMonitor Properties

TRxFolderMonitor Alphabetically Legend

In TRxFolderMonitor

Active

DelayTime

Filter

FolderName

MonitorSubtree

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxClock.DestroyWindowHandle

TRxClock

procedure DestroyWindowHandle;


(Untitled)

TPopupWindow Events

TPopupWindow Alphabetically Legend

In TPopupWindow

OnCloseUp

Derived from TWinControl

Derived from TControl


TIniLink.OnSave

TIniLink

property OnSave: TNotifyEvent read FOnSave write FOnSave;


(Untitled)

TRxSpeedButton Events

TRxSpeedButton By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


(Untitled)

TRxMemoryData Properties

TRxMemoryData Alphabetically Legend

In TRxMemoryData

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeScroll

Capacity

Filtered

Records

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

FilterOptions

Found

Modified

ObjectView

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TOleController.Destroy

TOleController

destructor Destroy;


TComboEdit.OnChange

TComboEdit

property OnChange;


TDBStatusLabel.UpdateData

TDBStatusLabel

procedure UpdateData;


(Untitled)

TPictProperty Methods

TPictProperty By object Legend

Edit

GetAttributes

GetValue

SetValue


TRxDBComboBox.OnStartDrag

TRxDBComboBox

property OnStartDrag;


TSpeedItem.Click

TSpeedItem

procedure Click;


TSpeedItem.ASection

TSpeedItem

property ASection: Integer read GetSection write SetSection;


TRxCheckListBox.ParentBiDiMode

TRxCheckListBox

property ParentBiDiMode;


TRxDBRichEdit.OnKeyDown

TRxDBRichEdit

property OnKeyDown;


RxGraph.SaveBitmapToFile

RxGraph

This saves a bit map to disk

procedure SaveBitmapToFile(const FileName: string; Bitmap: TBitmap; Colors: Integer);

Description

SaveBitmapToFile example:

var

__Bmp: TBitmap;

begin

__\\\\\\\...\\\\\\\

__Bmp.Assign(Clipboard);

__SaveBitmapToFile(SaveDialog1.FileName, Bmp, 16);

__\\\\\\\...\\\\\\\

end;


TFontComboBox.Change

TFontComboBox

procedure Change;


VCLUtils.CopyParentImage

VCLUtils

CopyParentImage copies the image contained within the control to a tCanvas.

property procedure CopyParentImage(Control: TControl; Dest: TCanvas);

Description

CopyParentImage example:

procedure TMyControl.Paint;

begin

__Canvas.FillRect(Bounds(0, 0, Width, Height));

__\\\\\\\ copy image from parent and back-level controls \\\\\\\

__CopyParentImage(Self, Canvas);

__DrawBitmapTransparent(Canvas, 0, 0, FImage, FImage.TransparentColor);

end;


TRxSwitch.TabOrder

TRxSwitch

property TabOrder;


TDBIndexCombo.Change

TDBIndexCombo

procedure Change;


TRxSpeedButton.ShowHint

TRxSpeedButton

property ShowHint default True;


(Untitled)

TFontComboBox Events

TFontComboBox By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag


TRxDBLookupList.OnStartDrag

TRxDBLookupList

property OnStartDrag;


TGIFFrame.Comment

TGIFFrame

property Comment: TStrings read GetComment write SetComment;


TProgressEvent

Unit

RxGIF

TProgressEvent ( Sender : TObject ; Stage : TProgressStage ; PercentDone : Byte ; RedrawNow : Boolean ; const R : TRect ; const Msg : string )of object ;


TLocateObject.LocateKey

TLocateObject

function LocateKey: Boolean;


TFontComboBox.DragKind

TFontComboBox

property DragKind;


(Untitled)

TQBEQuery Methods

TQBEQuery Alphabetically Legend

In TQBEQuery

Create

CreateHandle

DefineProperties

Destroy

Disconnect

ExecQBE

GetParamsCount

GetQBEText

IsEmpty

ParamByName

Prepare

RefreshQuery

SetDBFlag

UnPrepare

Derived from TDBDataSet

CheckOpen

CloseDatabase

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Locate

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TPageBtnProperty

Hierarchy

Unit

PgMngrEd


TRxSlider.ParentColor

TRxSlider

property ParentColor;


TRxGIFAnimator.ParentShowHint

TRxGIFAnimator

property ParentShowHint;


TCustomDatabaseItems.ItemType

TCustomDatabaseItems

property ItemType: TDBItemType read FItemType write SetItemType default dtTables;


TDBStatusLabel.Font

TDBStatusLabel

property Font;


TPropsStorage

Hierarchy Properties Methods Events

Unit

RXProps


TBookmarkList.Find

TBookmarkList

The Find method determines whether a bookmark is in the selected list.

function Find ( const Item: TBookmark; var Index: Longint ): Boolean;

Description

Use the Find method to locate the position of the bookmarked record within the selected list in the DBGrid.


TRxTextAttributes.Style

TRxTextAttributes

property Style: TFontStyles read GetStyle write SetStyle;


TRxProjectResExpert.GetMenuText

TRxProjectResExpert

function GetMenuText: string;


TMRUManager.LoadFromIni

TMRUManager

LoadFromIni loads the MRU list from the INI file.

property procedure LoadFromIni(Ini: TIniFile; const Section: string);


(Untitled)

TRxTimer Events

TRxTimer Alphabetically Legend

In TRxTimer

OnTimer


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit


TRxDBLookupList.OnEndDock

TRxDBLookupList

property OnEndDock;


TProgressControlProperty.FreeHandle

TProgressControlProperty

procedure FreeHandle;


TSpeedBar.OnCustomize

TSpeedBar

OnCustomize occurs when the speedbar's Customize Dialog closes. Write an

OnCustomize event handler to perform special processing when the customize dialog

closes.

property OnCustomize: TNotifyEvent;


TGIFImage.SaveToStream

TGIFImage

procedure SaveToStream ( Stream: TStream );


TCustomComboEdit.Create

TCustomComboEdit

constructor Create ( AOwner: TComponent );


TRxDBComboBox.DataSource

TRxDBComboBox

property DataSource;


TPopupDataWindow.KeyPress

TPopupDataWindow

procedure KeyPress ( var Key: Char );


TOleController.OleObject

TOleController

Read OleObject property to access the OLE object created by the OLE controller as a variant.

property OleObject: Variant;


TPageProxy.Create

TPageProxy

constructor Create ( AOwner: TComponent );


(Untitled)

EOleException Properties

EOleException Alphabetically Legend

In EOleException

HelpFile

Source

Derived from EOleSysError

ErrorCode

Derived from Exception

HelpContext

Message


TSpeedBar.Wallpaper

TSpeedBar

WallPaper property contains the picture that is used to "wallpaper" or cover the

speedbar.

property Wallpaper: TPicture;


TRxDBLookupCombo.ListStyle

TRxDBLookupCombo

property ListStyle;


(Untitled)

TTableItems Properties

TTableItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

PhysTypes

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

TableName

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TFillDirection

TFillDirection defines the possible values of the Direction parameter for GradientFillRect procedure.

Unit

VCLUtils

property TFillDirection = (fdTopToBottom, fdBottomToTop, fdLeftToRight, fdRightToLeft);

Description

ValueMeaning

fdTopToBottom

fdBottomToTop

fdLeftToRight

fdRightToLeft


TRxClock.Destroy

TRxClock

destructor Destroy;


TDBProgress.TraceFlags

TDBProgress

property TraceFlags: TTraceFlags read FTraceFlags write SetTraceFlags default [ ];


TOleController.CallFunctionByIDsNamedParams

TOleController

CallFunctionByIdsNamedParams calls the function by it's IDs with parameters Params with count of parameters Cnt.

property function CallFunctionByIDsNamedParams(const IDs: TDispIDList; const Params: array of const; Cnt: Byte): PVariant;


TDateEdit.ButtonHint

TDateEdit

The ButtonHint property is the text string that specifies the Hint property for the button in a button edit component (TComboEdit and derived).

property ButtonHint: string;


(Untitled)

TDualListForm Events

TDualListForm Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TRxDrawGrid Methods

TRxDrawGrid Alphabetically Legend

In TRxDrawGrid

CanEditAcceptKey

CanEditShow

CheckFixedCellButton

ColWidthsChanged

Create

CreateEditor

Destroy

DoFixedCellClick

DrawCell

DrawMasked

DrawMultiline

DrawPicture

DrawStr

EditButtonClick

EditChanged

GetEditAlignment

GetEditLimit

GetEditStyle

GetPicklist

InvalidateCell

InvalidateCol

InvalidateRow

KeyDown

MouseDown

MouseMove

MouseUp

Paint

RowHeightsChanged

SetEditText

TopLeftChanged

Derived from TDrawGrid

CellRect

MouseToCell

Derived from TCustomGrid

MouseCoord

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxRichEdit.ImeName

TRxRichEdit

property ImeName;


TDatabaseList

Hierarchy Properties Methods Events

Unit

DBLists


TRxDBCalcEdit.OnMouseMove

TRxDBCalcEdit

property OnMouseMove;


(Untitled)

TRxLookupControl Methods

TRxLookupControl By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

ClearValue

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisplayValueChanged

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetPicture

GetTabOrderList

GetTextBuf

GetTextLen

GetWindowWidth

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

Locate

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetField

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SearchText

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UpdateDisplayEmpty

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxButtonGlyph.DrawButtonGlyph

TRxButtonGlyph

function DrawButtonGlyph ( Canvas: TCanvas; X , Y: Integer; State: TRxButtonState ): TPoint;


TAnimatedImage.Interval

TAnimatedImage

The Interval property specifies in milliseconds the amount of time required between changing the frames of a TAnimatedImage animation.

property Interval: Word;


TRxDice.Visible

TRxDice

property Visible;


TRxMemoryData.InternalGotoBookmark

TRxMemoryData

procedure InternalGotoBookmark ( Bookmark: TBookmark );


TRxSplitter.ParentShowHint

TRxSplitter

property ParentShowHint;


(Untitled)

TRxSwitch Properties

TRxSwitch Alphabetically Legend

In TRxSwitch

Align

Anchors

BorderStyle

Caption

Color

Constraints

Cursor

DragCursor

DragKind

DragMode

Enabled

Font

GlyphOff

GlyphOn

ParentColor

ParentFont

ParentShowHint

PopupMenu

ShowFocus

ShowHint

StateOn

TabOrder

TabStop

TextPosition

ToggleKey

Visible

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBComboBox.OnDblClick

TRxDBComboBox

property OnDblClick;


TDateTimeFormat.Create

TDateTimeFormat

constructor Create;


TDBLoginDialog.Mode

TDBLoginDialog

property Mode: TDialogMode read FMode;


TMRUManager.SeparateSize

TMRUManager

SeparateSize - separate size is the MRU manager's stuff.

property SeparateSize: Word;


TRxCustomLogin.OnUnlock

TRxCustomLogin

property OnUnlock: TCheckUnlockEvent read FOnUnlock write FOnUnlock;


TPictEditor.Destroy

TPictEditor

destructor Destroy;


TDBDateEdit.Visible

TDBDateEdit

property Visible;


TSecretPanel.Anchors

TSecretPanel

property Anchors;


TRxDBLookupCombo.OnMouseMove

TRxDBLookupCombo

property OnMouseMove;


TRxSwitch.Paint

TRxSwitch

procedure Paint;


TRxLookupControl.ListLinkDataChanged

TRxLookupControl

procedure ListLinkDataChanged;


TRxDBGrid.SetColumnAttributes

TRxDBGrid

procedure SetColumnAttributes;


TRxRichEdit.HideScrollBars

TRxRichEdit

property HideScrollBars;


TFilenameEdit.Filter

TFilenameEdit

property Filter: string read GetFilter write SetFilter stored IsCustomFilter;


TGraphicPropertyEditor.Edit

TGraphicPropertyEditor

procedure Edit;


TRxQueryThread.ModeError

TRxQueryThread

procedure ModeError;


(Untitled)

TRxQueryThread Properties

TRxQueryThread Alphabetically Legend

Derived from TThread

FreeOnTerminate

Handle

Priority

Suspended

ThreadID


TRxImageControl.Lock

TRxImageControl

procedure Lock;


TRxCheckListBox.GraySelection

TRxCheckListBox

property GraySelection;


TDBProgress

Hierarchy Properties Methods Events

TDBProgress is a wrapper for a Borland Database Engine (BDE) generic progress callback and (in 32-bit version only) trace callback functions.

Unit

DbPrgrss

Description

Generic progress callback is issued by BDE to inform applications about the progress made during large batch operations, such as DbiBatchMove. The Generic Progress Report callback allows the

client to obtain progress reports during an operation, and to cancel the operation, if desired. This callback is generated when working with Paradox driver and with some other BDE drivers. The query execution generates some text messages and BatchMove execution generates text and percent notifications. You can specify the MessageControl property and Gauge property to display BDE messages and percentage.

For some operations, a percentage completed is passed back to the callback function, for most others a string containing progress information is passed back; for simple database operations no progress information is returned at all. It has been our experience that percentages are mainly passed back in operations where the BDE must physically sort a local database file, such as in indexing DBase files. It is of course possible to interpret the messages passed back and calculate your own percentage completed.

32-bit trace callback is a system-level callback that can be used to retrieve trace information.

TraceFlags specifies the database operations to track with the OnTrace event at run time while Trace property is True.

Using class TDBProgress

The TDBProgress component is a non-visual component that holds the latest progress information on the current database operation as returned by the database engine. By updating visual components, such as a gauge or a label, whenever the OnProgress, OnMessageChange and OnPercentChange events is generated, the user is aware of the status of the database action being executed. Such feedback is especially useful when performing database operations that consume a considerable amount of time, such as:

- Index Creation

- Query Execution

- BatchMoves

- etc.

The TDBProgress component enables you to see the actual statement calls made through SQL Links to a remote server or through the ODBC socket to an ODBC data source, like SQL Monitor. You can elect to monitor different types of activity. Choose TraceFlags property value to select different categories of activities to monitor.

Use the TDBProgress component to provide progress feedback on database operations and see the actual statement calls made through SQL Links to a remote server.


(Untitled)

TRxGIFAnimator Methods

TRxGIFAnimator By object Legend

AdjustSize

Assign

BeforeDestruction

BeginDrag

BringToFront

CanAutoSize

Change

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DoPaintImage

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FrameChanged

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetPalette

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Start

Stop

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TUndoName

Used by RichText component to show what operation will be undone

Unit

RxRichEd

Description

ValueMeaning

unUnknown

unTyping

unDelete

unDragDrop

unCut

unPaste


TFormPlacement.RestorePlacement

TFormPlacement

procedure RestorePlacement;


TDBStatusLabel.OnMouseMove

TDBStatusLabel

property OnMouseMove;


TRxDBFilter.ActiveChanged

TRxDBFilter

procedure ActiveChanged;


TRxCalculator.DisplayChange

TRxCalculator

procedure DisplayChange;


TAnimatedImage.OnMouseDown

TAnimatedImage

property OnMouseDown;


TPageManager.PageIndex

TPageManager

PageIndex is the total number of pages that the PageManager contains.

property PageIndex: Integer;


TRxDBRichEdit.OnMouseMove

TRxDBRichEdit

property OnMouseMove;


TDateEdit.OnChange

TDateEdit

property OnChange;


TRxMainMenu.OnDrawItem

TRxMainMenu

property OnDrawItem: TDrawMenuItemEvent read FOnDrawItem write FOnDrawItem;


TMemoryTable.DoBeforeScroll

TMemoryTable

procedure DoBeforeScroll;


TColorComboBox.Enabled

TColorComboBox

property Enabled;


TIconList.DefineProperties

TIconList

procedure DefineProperties ( Filer: TFiler );


TRxDBRichEdit.OnSaveClipboard

TRxDBRichEdit

property OnSaveClipboard;


THugeList.Add

THugeList

function Add ( Item: Pointer ): Longint;


TRxCheckListBox.BiDiMode

TRxCheckListBox

property BiDiMode;


(Untitled)

TResourceStream Properties

TResourceStream Alphabetically Legend

Derived from THandleStream

Handle

Derived from TStream

Position

Size


TPageManager.PageManager

TPageManager

PageManager contains the tNotebook custom control on the form.

property PageManager: TPageManager;


TDBStatusLabel.Transparent

TDBStatusLabel

property Transparent;


TRxCheckListBox.SaveStates

TRxCheckListBox

procedure SaveStates ( IniFile: TIniFile );


TRxSpinButton.DragKind

TRxSpinButton

property DragKind;


(Untitled)

EOleSysError Properties

EOleSysError Alphabetically Legend

In EOleSysError

ErrorCode

Derived from Exception

HelpContext

Message


TCurrencyEdit.ImeName

TCurrencyEdit

property ImeName;


TStoredProcList.ExtendedInfo

TStoredProcList

property ExtendedInfo;


(Untitled)

TPictureEditDialog Methods

TPictureEditDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateHandle

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TMRUManager.Mode

TMRUManager

Property mode controls how the entries are added into the system.

property Mode: TRecentMode;

Description

They are either:

mrInsert - inserted into the most recently used list.

mrAppend - appended into the most recently used list.


TRxFolderMonitor.ResetNotifyThread

TRxFolderMonitor

procedure ResetNotifyThread ( Activate: Boolean );


TFormPlacement.MinMaxInfo

TFormPlacement

This property allows control of a parent form with style bsSizeable to have the minimum and maximum sizes controlled by the developer.

MinMaxInfo: TWinMinMaxInfo


TFormPlacement.Save

TFormPlacement

procedure Save;


(Untitled)

TCustomBDEItems Properties

TCustomBDEItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


DbErrorHelpCtx

Const DbErrorHelpCtx: The DbErrorHelpCtx variable is an integer value that determines which Help screen appears when the user requests context-sensitive online Help from the TRxBdeErrorDlg dialog by pressing "F1" key..

Unit

DbExcpt

property DbErrorHelpCtx: THelpContext = 0;


TRxDBLookupList.DisplayEmpty

TRxDBLookupList

property DisplayEmpty;


TFilenameProperty.GetFilter

TFilenameProperty

function GetFilter: string;


TRxMemoryData.InitFieldDefsFromFields

TRxMemoryData

procedure InitFieldDefsFromFields;


TRxDBGrid.ToggleRowSelection

TRxDBGrid

This method adds or removes the record relating to the current grid row to the list of currently selected records if MultiSelect property is True. For instance, you can call this method from OnKeyPress event handler.

procedure ToggleRowSelection;


TRxRichEdit.OnKeyDown

TRxRichEdit

property OnKeyDown;


TRxCalcEdit.TabOrder

TRxCalcEdit

property TabOrder;


TRxMemoryData.OnDeleteError

TRxMemoryData

property OnDeleteError;


TRxRichEdit.AutoURLDetect

TRxRichEdit

property AutoURLDetect;


StrUtils.WordCount

StrUtils

WordCount given a set of word delimiters, return number of words in S.

property function WordCount(const S: string; const WordDelims: TCharSet): Integer;

Description

WordCount example:

I := WordCount('Let him go', [' ', ',']);

\\\\\\\ here I = 3 \\\\\\\


TFontComboBox.Destroy

TFontComboBox

destructor Destroy;


StrUtils.IsWild

StrUtils

IsWild compare InputString with WildCard string and return True if corresponds.

property function IsWild(InputStr, Wilds: string; IgnoreCase: Boolean): Boolean;

Description

IsWild example:

There are possible masks and corresponding strings:

* : >= 0 letters;

*A : words with >= 1 letters and A at the end;

A*A : words with >= 2 letters and A at the begin and end;

A* : words with >= 1 letters and A at the begin;

? : one letter.


TCurrencyEdit.AutoSize

TCurrencyEdit

property AutoSize;


(Untitled)

TChPswdForm Events

TChPswdForm Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TRxCheckListBox.Checked

TRxCheckListBox

This property identifies which items on the list are checked.

property Checked[Index: Integer]: Boolean;

Description

For each member of the Item List, the boolean value Checked is True if a check mark appears on the item’s check box (or radio button). Checked corresponds to the cbChecked state.

- Checked property True is equivalent to the RadioButton's state of cbChecked.

- Checked property False is equivalent to the RadioButton's state of cbUnchecked or cbGrayed.)


TCustomComboEdit.ButtonWidth

TCustomComboEdit

property ButtonWidth: Integer read GetButtonWidth write SetButtonWidth stored BtnWidthStored;


TRxSplitter.Constraints

TRxSplitter

property Constraints;


TComObject.IUnknown._AddRef

TComObject

function IUnknown._AddRef = ObjAddRef;


TImageForm

Hierarchy Properties Methods Events

Unit

ImagPrvw


TFormStorage.SavePlacement

TFormStorage

procedure SavePlacement;


TRxDBCalcEdit.BorderStyle

TRxDBCalcEdit

property BorderStyle;


TRxDBGrid.OnGetCellParams

TRxDBGrid

This event, which executes just prior to painting the field values within each grid cell, allows you to change both the font and background colors of individual cells.

property OnGetCellParams: TGetCellParamsEvent read FOnGetCellParams write FOnGetCellParams;


THugeList.First

THugeList

function First: Pointer;


(Untitled)

TRxLookupEdit Properties

TRxLookupEdit By object Legend

Action

Align

Alignment

Anchors

AutoSelect

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

CanUndo

CharCase

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DropDownCount

DropDownWidth

EditMask

EditText

Enabled

FieldsDelimiter

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LookupValue

LRDockWidth

MaxLength

Modified

Name

OEMConvert

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupMenu

PopupOnlyLocate

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TAnimatedImage.Paint

TAnimatedImage

procedure Paint;


TRxClock.DragKind

TRxClock

property DragKind;


TDBProgress.Trace

TDBProgress

Set the Trace property to True to enables the trace callback-events.

property Trace: Boolean;

Description

Setting this property to True enables the trace callback and depending on the value of the TraceFlags the DBProgress will generate the OnTrace events. Setting this property to False disables the trace callbacks.


TRxDice.DragKind

TRxDice

property DragKind;


(Untitled)

TSelectDataSetForm Methods

TSelectDataSetForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TComObject.IUnknown.QueryInterface

TComObject

function IUnknown.QueryInterface = ObjQueryInterface;


TRxImageControl.DoPaintImage

TRxImageControl

procedure DoPaintImage;


TComboEdit.TabStop

TComboEdit

property TabStop;


TCurrencyEdit.DisplayFormat

TCurrencyEdit

The DisplayFormat property is used to format the value of the field for display purposes.

property DisplayFormat: string;

Description

Formatting is performed by FloatToTextFmt function.


TRxDrawGrid.DrawCell

TRxDrawGrid

procedure DrawCell ( ACol , ARow: Longint; ARect: TRect; AState: TGridDrawState );


TReadItemEvent

TReadItemEvent is the type of the OnReadItem event of the TMRUManager component.

Unit

MRUList

property TReadItemEvent = procedure (Sender: TObject; IniFile: TObject; const Section: string; Index: Integer; var RecentName: string; var UserData: Longint) of object;


TRxSplitter.ShowHint

TRxSplitter

property ShowHint;


(Untitled)

TRxIniFile Events

TRxIniFile By object Legend

OnReadObject

OnWriteObject


TRxDBComboBox.ParentFont

TRxDBComboBox

property ParentFont;


VCLUtils.MakeIconID

VCLUtils

MakeIconID instantiates an icon object (TIcon), and loads the specified icon resource from an application's executable file.

property function MakeIconID(ResID: Word): TIcon;

Description

Specify the resource to be loaded as the value of ResID. When you no longer need the icon, call it's Destory destructor to free it. If the function fails, the return value is Nil.

MakeIconID example:

const ResID = 23012;

var

__Ico: TIcon;

begin

__Ico := MakeIconID(ResID);

__try

____\\\\\\\ use icon \\\\\\\

__finally

____Ico.Free;

en__d;

end;


(Untitled)

TGIFImage Properties

TGIFImage By object Legend

BackgroundColor

Bitmap

Comment

Corrupted

Count

Empty

FrameIndex

Frames

GlobalColorCount

Height

Looping

Modified

Palette

PaletteModified

PixelFormat

RepeatCount

ScreenHeight

ScreenWidth

Transparent

TransparentColor

Version

Width


TRxDBRichEdit.BorderStyle

TRxDBRichEdit

property BorderStyle;


TRxDBComboBox.OnDragDrop

TRxDBComboBox

property OnDragDrop;


TCustomNumEdit.DisplayText

TCustomNumEdit

property DisplayText: string read GetDisplayText;


TRxGIFAnimator.Start

TRxGIFAnimator

procedure Start;


TRxLookupEdit.ShowHint

TRxLookupEdit

property ShowHint;


TLocateObject.ConfirmDataSetCancel

TLocateObject

The ConfirmDatasetCancel procedure verifies that the dataset's state, and if the dataset's State property is dsEdit or dsInsert displays a message box which asks user for confirmation that the pending changes will be saved to the database or will be cancelled.

property procedure ConfirmDataSetCancel(DataSet: TDataSet);

Description

If user selected "Yes" (save) in a message box, the dataset's Post method is called to post any pending changes, if user selected "No", the dataset's Cancel method is called, otherwise (if the "Cancel" button was selected by user) the standard Abort procedure is called to generate EAbort exception.

ConfirmDataSetCancel example:

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);

begin

__ConfirmDataSetCancel(Table1);

end;


TDateTimeFormat.DateOrder

TDateTimeFormat

property DateOrder: TDateOrder read FDateOrder write FDateOrder;


TSQLScript.Transaction

TSQLScript

property Transaction: Boolean read FTransaction write FTransaction;


TCustomDateEdit.GetDateFormat

TCustomDateEdit

function GetDateFormat: string;


(Untitled)

TCheckItemEditor Properties

TCheckItemEditor By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TSecretPanel.Ctl3D

TSecretPanel

property Ctl3D;


TRxSpinButton.Down

TRxSpinButton

property Down: TSpinButtonState read FDown write SetDown default sbNotDown;


TSecretPanel.AsyncDrawing

TSecretPanel

property AsyncDrawing: Boolean read FAsyncDrawing write SetAsyncDrawing default True;


(Untitled)

TMergeManager Events

TMergeManager By object Legend

OnChange

OnGetBackForm

OnGetForwardForm

OnReorder


TSecretPanel.OnStartDock

TSecretPanel

property OnStartDock;


TRxQuery.OpenStatus

TRxQuery

property OpenStatus: TQueryOpenStatus read FOpenStatus;


TRxTextAttributes.RevAuthorIndex

TRxTextAttributes

property RevAuthorIndex: Byte read GetRevAuthorIndex write SetRevAuthorIndex;


TConverter.ResetDefault

TConverter

ResetDefault clears the values of all properties of TDateTimeFormat object and sets them to its default values. Default values for these properties are depends on Windows settings.

property procedure ResetDefault; virtual;


TRxSpinEdit.ImeName

TRxSpinEdit

property ImeName;


TRxSpeedButton.GroupIndex

TRxSpeedButton

property GroupIndex: Integer read FGroupIndex write SetGroupIndex default 0


TTextListBox.PopupMenu

TTextListBox

property PopupMenu;


(Untitled)

TRxDBLookupList Methods

TRxDBLookupList By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClearValue

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisplayValueChanged

Dock

DockDrop

DoMouseWheelDown

DoMouseWheelUp

DragDrop

Dragging

DrawItemText

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

Loaded

Locate

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetField

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UpdateDisplayEmpty

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TDBDateEdit.AutoSelect

TDBDateEdit

property AutoSelect;


(Untitled)

TCustomNumEdit Events

TCustomNumEdit Alphabetically Legend

Derived from TCustomComboEdit

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


TRxDBRichEdit.Create

TRxDBRichEdit

constructor Create ( AOwner: TComponent );


TRxCustomRichEdit.AutoVerbMenu

TRxCustomRichEdit

property AutoVerbMenu: Boolean read FAutoVerbMenu write FAutoVerbMenu default True;


(Untitled)

TQueryParamsDialog Events

TQueryParamsDialog By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


(Untitled)

TFormPropsDlg Properties

TFormPropsDlg By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TPlacementOperation

Unit

Placemnt

Description

ValueMeaning

poSave

poRestore


TRxLookupEdit.OnKeyDown

TRxLookupEdit

property OnKeyDown;


TPageProxy.GetParentComponent

TPageProxy

function GetParentComponent: TComponent;


TRxRichEdit.OnSaveClipboard

TRxRichEdit

property OnSaveClipboard;


TRxSpeedButton.OnEndDock

TRxSpeedButton

property OnEndDock;


TSpeedBar.Create

TSpeedBar

constructor Create ( AOwner: TComponent );


TSpeedItem.SetVisible

TSpeedItem

procedure SetVisible ( Value: Boolean );


TCloneDbDataset

Hierarchy Properties Methods Events

Child of TBDEDataSet. Allows to clone a dataset (to work on different records at the same time with only 1 dataset opened).

Unit

BdeUtils


(Untitled)

TMRUManager Methods

TMRUManager Alphabetically Legend

In TMRUManager

Add

Change

Clear

Create

Destroy

DoClick

DoReadItem

DoWriteItem

GetItemData

LoadFromIni

LoadFromRegistry

Notification

Remove

SaveToIni

SaveToRegistry

UpdateRecentMenu

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TMemoryTable.CreateHandle

TMemoryTable

function CreateHandle: HDBICur;


TRxLookupControl.Notification

TRxLookupControl

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxCustomLabel.WordWrap

TRxCustomLabel

property WordWrap: Boolean read FWordWrap write SetWordWrap default False;


(Untitled)

TTimerItemsEditor Properties

TTimerItemsEditor By object Legend

OwnerForm

TimersCollection


TRxCustomRichEdit.SetPlainText

TRxCustomRichEdit

procedure SetPlainText ( Value: Boolean );


TRxCustomRichEdit.SaveClipboard

TRxCustomRichEdit

function SaveClipboard ( NumObj , NumChars: Integer ): Boolean;


TSpeedBar.Constraints

TSpeedBar

property Constraints;


TRxCustomSlider.MouseDown

TRxCustomSlider

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TRxSwitch Methods

TRxSwitch By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

DefaultHandler

DefineProperties

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoOff

DoOn

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetPalette

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

ManualDock

ManualFloat

MouseDown

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

ToggleSwitch

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TMRUManager.SaveToIni

TMRUManager

SaveToIni procedure saves the MRU list to an INI file instead.

property procedure SaveToIni(Ini: TIniFile; const Section: string);


(Untitled)

EOleSysError Properties

EOleSysError By object Legend

ErrorCode

HelpContext

Message


TFontComboBox.PopupMenu

TFontComboBox

property PopupMenu;


TAutoObjectFactory.GetIntfEntry

TAutoObjectFactory

function GetIntfEntry ( Guid: TGUID ): PInterfaceEntry;


TMemoryTable.IsSequenced

TMemoryTable

function IsSequenced: Boolean;


TDBStatusLabel.CalcRecCount

TDBStatusLabel

property CalcRecCount: Boolean read FCalcCount write SetCalcCount default False;


TRxLabel.DragKind

TRxLabel

property DragKind;


TRxSwitch.ParentShowHint

TRxSwitch

property ParentShowHint;


VCLUtils.HugeOffset

VCLUtils

Add an offset to a huge pointer and return the result.

property function HugeOffset(HugePtr: Pointer; Amount: Longint): Pointer;

Description

HugeOffset example:

P := HugeOffset(P, L);


TRxDBLookupList.OnEndDrag

TRxDBLookupList

property OnEndDrag;


(Untitled)

TPropInfoList Methods

TPropInfoList Alphabetically Legend

In TPropInfoList

Contains

Create

Delete

Destroy

Find

Intersect


(Untitled)

TRxCheckListBox Events

TRxCheckListBox By object Legend

OnClick

OnClickCheck

OnDblClick

OnDragDrop

OnDragOver

OnDrawItem

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetItemWidth

OnKeyDown

OnKeyPress

OnKeyUp

OnMeasureItem

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

OnStateChange


TRxCustomSlider.MaxValue

TRxCustomSlider

property MaxValue: Longint read FMaxValue write SetMaxValue default 100;


(Untitled)

TRxDBGrid Properties

TRxDBGrid Alphabetically Legend

In TRxDBGrid

ClearSelection

DefaultDrawing

FixedColor

FixedCols

IndicatorOffset

IniStorage

MultiSelect

Options

RowsHeight

SelCount

SelectedRows

ShowGlyphs

TitleButtons

TitleOffset

Derived from TDBGrid

Align

Anchors

BiDiMode

BorderStyle

Canvas

Color

Columns

Constraints

Ctl3D

DataSource

DragCursor

DragKind

DragMode

Enabled

Font

ImeMode

ImeName

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

TitleFont

Visible

Derived from TCustomDBGrid

EditorMode

FieldCount

Fields

SelectedField

SelectedIndex

Derived from TCustomGrid

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxResourceEditor Properties

TRxResourceEditor Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TColorComboBox Properties

TColorComboBox By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ColorNames

ColorValue

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DisplayNames

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DroppedDown

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

ItemIndex

Items

Left

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

SelLength

SelStart

SelText

ShowHint

Showing

Style

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TMemoryRecord Methods

TMemoryRecord By object Legend

Assign

Create

Destroy

GetNamePath

SetIndex


TDualListDialog

Hierarchy Properties Methods

DualListDialogue is a window with two listboxes, one is the source, the other is the destination.

Unit

DualList

Description

If you want to change the captions of the Help, Cancel and OK, use the CancelBtnCaption properties.

The main principle is very simple : when the user double-click an item, it goes in the other list. This action can also be carried out using buttons (>, >>, < , <<).

Very useful to allow the user to select a subset of anything (fields to display, tables to export, correspondents to send a document, ...).


TRxClock.DotsColor

TRxClock

The DotsColor specifies the color of the hour dots in the TRxClock control when ShowMode is scAnalog. (This is used only when Ctl3D property is True.)

property DotsColor: TColor read FDotsColor write SetDotsColor default clTeal;


SplshWnd.ShowSplashWindow

SplshWnd

ShowSplashWindow creates and displays splash form.

function ShowSplashWindow(Graphic: TGraphic; const MsgText: string; Animate: Boolean; AlignForm: TForm): TSplashWindow;

Description

Splash forms are simply forms that are presented to users while the application is performing time-consuming operations or displayed as soon as your application program is executed. While the splash screen is being displayed, you can perform other operations in your program.

Graphic parameter specified a graphic to displaing in left part of splash screen. It may be icon, bitmap or "animated" bitmap. When Animate parameter is True and Graphic is TBitmap object, then TAnimatedImage component will be created to display animation in splash screen. Of course you must call Application.ProcessMessages method while the splash screen is being displayed to allow animation.

MsgText parameter specified the text string that will be displayed on the splash screen.

AlignForm is a form withih the splash screen will be centered. Function returns a

TSplashForm object. Don't forget to destroy splash screen after displaying by calling its Free destructor.

ShowSplashWindow example:

var

__Splash: TForm;

begin

__Splash := ShowSplashWindow(Application.Icon, 'Loading... Please wait.',

______________False, Application.MainForm);

__try

____\\\\\\\ time-consuming operations \\\\\\\

__finally

____Splash.Free;

__end;

end;


TCustomDateEdit.Weekends

TCustomDateEdit

property Weekends: TDaysOfWeek read FWeekends write SetWeekends default [ Sun ];


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet


TRxPopupMenu.Images

TRxPopupMenu

property Images: TImageList read FImages write SetImages;


TRxCustomLabel.Create

TRxCustomLabel

constructor Create ( AOwner: TComponent );


TDBIndexCombo.Destroy

TDBIndexCombo

destructor Destroy;


TPropsStorage.CreateStorage

TPropsStorage

function CreateStorage: TPropsStorage;


TExecOpenDialogEvent

The TExecOpenDialogEvent type points to the method that handles the closing of a pop-up dialog.

Unit

ToolEdit

TExecOpenDialogEvent = procedure(Sender: TObject; var Name: string; var Action: Boolean) of object;


TErrorEvent

Unit

ExcptDlg

TErrorEvent ( Error : Exception ; var Msg : string )of object ;


TRxSplitter.DefineProperties

TRxSplitter

procedure DefineProperties ( Filer: TFiler );


TFilterEvent

The TFilterEvent type points to a method that responds to an OnFiltering event of the TRxDBFilter component, for including or excluding records from being visible in a dataset.

Unit

DBFilter

property TFilterEvent = function (Sender: TObject; DataSet: TDataSet) : Boolean of object;


TGraphicPropertyEditor

Hierarchy Methods

Unit

PictEdit


TRxLookupControl.ResetField

TRxLookupControl

procedure ResetField;


TAnimatedCursorImage.Creator

TAnimatedCursorImage

After loading ANI cursor file into the TAnimatedCursorImage object, the Creator property

contains the information about the author that produced the file or some another

copyright information.

property Creator: string;


TRxDBComboEdit.Visible

TRxDBComboEdit

property Visible;


TGIFImage.Looping

TGIFImage

property Looping: Boolean read FLooping write SetLooping;


TRxDBRichEdit.Font

TRxDBRichEdit

property Font;


TRxSlider.NumThumbStates

TRxSlider

This is the number of thumb states. This allows the flexibility of using a double image or a single image.

property NumThumbStates: TNumThumbStates;

Description

____disabled thumb = v

____enabled thumb = v

__The bitmap is vv.

____NumThumbStates = 1, Enabled = True _--> |----|----|-vv---|---|)

____NumThumbStates = 1, Enabled = False --> |----|----|-vv---|---|)

__The bitmap is vv.

____NumThumbStates = 2, Enabled = True _--> |----|----|-v---|---|)

____NumThumbStates = 2, Enabled = False --> |----|----|-v---|---|)


THugeList.Grow

THugeList

procedure Grow;


(Untitled)

ERxParserError Properties

ERxParserError Alphabetically Legend

Derived from Exception

HelpContext

Message


TPageProxy.OnEnter

TPageProxy

property OnEnter: TPageNotifyEvent read FOnEnter write FOnEnter;


TRxTimerList.ItemIndexByHandle

TRxTimerList

function ItemIndexByHandle ( AHandle: Longint ): Integer;


TDirectoryEdit.Text

TDirectoryEdit

property Text;


TRxDBCalcEdit.Alignment

TRxDBCalcEdit

property Alignment;


TRxSwitch.TabStop

TRxSwitch

property TabStop default True;


TCustomNumEdit.DecimalPlaces

TCustomNumEdit

property DecimalPlaces: Cardinal read FDecimalPlaces write SetDecimalPlaces default 2;


TRxMemoryData.AfterDelete

TRxMemoryData

property AfterDelete;


(Untitled)

TCustomComboEdit Events

TCustomComboEdit Alphabetically Legend

In TCustomComboEdit

OnButtonClick

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


TRxLookupEdit.Destroy

TRxLookupEdit

destructor Destroy;


TDBDateEdit.ParentBiDiMode

TDBDateEdit

property ParentBiDiMode;


THugeList.Remove

THugeList

Removes the item given by Index from the list. Remove does not destroy of item. If you need to delete and destroy of an item, call Delete method.

function Remove ( Item: Pointer ): Longint;


(Untitled)

TRxQuery Events

TRxQuery Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxSpinEdit.PopupMenu

TRxSpinEdit

property PopupMenu;


TDBSecurity.AttemptNumber

TDBSecurity

AttemptNumber is a count of available attempts to input valid user name and password in the login dialog.

property AttemptNumber: Integer;

Description

After user input invalid user name or password more then AttemptNumber times the application halts.


(Untitled)

TDBListDataSet Properties

TDBListDataSet By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TDateTimeFormat

Hierarchy Properties Methods

Stores all information about Date and Time format

Unit

DataConv


FileUtil.GetFileSize

FileUtil

GetFileSize returns the size of a file, specified by FileName parameter, in bytes.

function GetFileSize(const FileName: string): Longint;

Description

GetFileSize example:

FSize := GetFileSize('c:.exe');


TCustomDBComboBox.UseRightToLeftAlignment

TCustomDBComboBox

function UseRightToLeftAlignment: Boolean;


(Untitled)

TBtnControl Properties

TBtnControl By object Legend

Action

Align

Alignment

Anchors

BiDiMode

BoundsRect

Brush

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Glyph

Handle

Height

HelpContext

Hint

HostDockSite

ImageIndex

Images

Layout

Left

LRDockWidth

Margin

Name

NumGlyphs

Owner

Parent

ParentWindow

ShowHint

Showing

Spacing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

WordWrap


TDirectoryEdit.Ctl3D

TDirectoryEdit

property Ctl3D;


TDateTimeFormat.Mask

TDateTimeFormat

property Mask: string read GetMask;


TRxDBRichEdit.AutoURLDetect

TRxDBRichEdit

property AutoURLDetect;


TGIFFrame.Height

TGIFFrame

Height indicates the vertical size in pixels of the GIF-frame image.

property Height: Integer;


TCustomComboEdit.OnButtonClick

TCustomComboEdit

property OnButtonClick: TNotifyEvent read FOnButtonClick write FOnButtonClick;


TRxDBComboBox.TabOrder

TRxDBComboBox

property TabOrder;


TRxMemoryData.SetBookmarkFlag

TRxMemoryData

procedure SetBookmarkFlag ( Buffer: PChar; Value: TBookmarkFlag );


TRxMemoryData.Records

TRxMemoryData

property Records [ Index: Integer ]: TMemoryRecord read GetMemoryRecord;


TGIFImage.DecodeAllFrames

TGIFImage

procedure DecodeAllFrames;


(Untitled)

TCustomClipboardViewer Methods

TCustomClipboardViewer By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

ClientToScreen

ContainsControl

ControlAtPos

Create

CreatePaintControl

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DestroyWindowHandle

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDrawFormat

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidFormat


TEditButton.Click

TEditButton

procedure Click;


TRxLabel.ParentColor

TRxLabel

property ParentColor;


FileUtil.CopyFile

FileUtil

CopyFile copies the file specified by FileName parameter to the new file specified by DestName parameter.

procedure CopyFile(const FileName, DestName: string; ProgressControl: TControl);

Description

When ProgressControl is not nil, the control specified by ProgressControl (TGauge in 16-bit version or TProgressBar in 32-bit version) will be display the percentage of file copying progress.

CopyFile example:

CopyFile('c:.pas', 'd:.pas', Gauge);


(Untitled)

TRxCustomSlider Events

TRxCustomSlider By object Legend

OnChange

OnChanged

OnDrawPoints


TRxDBLookupCombo.DisplayValueChanged

TRxDBLookupCombo

procedure DisplayValueChanged;


TSecretPanel.ParentCtl3D

TSecretPanel

property ParentCtl3D;


(Untitled)

TAddInNotifier Methods

TAddInNotifier By object Legend

Create

EventNotification

FileNotification


TSpeedBar.RestoreLayout

TSpeedBar

procedure RestoreLayout ( IniFile: TIniFile );


TLocateObject.SaveFields

TLocateObject

SaveFields procedure saves widths (in pixels) and indexes of dataset's fields to the INI-file specified in IniFile parameter.

property procedure SaveFields(DataSet: TDataSet; IniFile: TIniFile);

Description

Can be used to store field's parameters changed by user, for example, in a DBGrid

component. To restore widths and indexes of fields use RestoreFields procedure.

SaveFields example:

procedure TGridForm.FormStorageSavePlacement(Sender: TObject);

var

__DataSet: TDataSet; I: Integer;

begin

__for I := 0 to TabSet.Tabs.Count - 1 do

__begin

____DataSet := DataSetByIndex(TabSet.TabIndex);

____if (DataSet <> nil) and (DataSet.Active) then

______SaveFields(DataSet, FormStorage.IniFile);

__end;

end;


TRxSpinEdit.OnMouseDown

TRxSpinEdit

property OnMouseDown;


(Untitled)

TMinMaxInfoEditDialog Properties

TMinMaxInfoEditDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState

WinMinMaxInfo


(Untitled)

TPicClip Properties

TPicClip By object Legend

Cells

Cols

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Count

DesignInfo

GraphicCell

Height

IsEmpty

MaskColor

Masked

Name

Owner

Picture

Rows

Tag

VCLComObject

Width


(Untitled)

TClipboardViewer Properties

TClipboardViewer Alphabetically Legend

In TClipboardViewer

Anchors

BiDiMode

ClipboardFormatNames

Constraints

DragKind

ParentBiDiMode

ViewFormat

Derived from TCustomClipboardViewer

Color

ParentColor

Derived from TScrollBox

Align

AutoScroll

AutoSize

BorderStyle

Ctl3D

DockSite

DragCursor

DragMode

Enabled

Font

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

TabOrder

TabStop

Visible

Derived from TScrollingWinControl

HorzScrollBar

VertScrollBar

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDice.Value

TRxDice

TRxDiceValue is the type for the Value property of TRxDice component.

property Value: TRxDiceValue read FValue write SetValue default 1 property Visible;

Description

The value (or the variable that contains the value) of the dice.


TRxMemoryData.OnPostError

TRxMemoryData

property OnPostError;


(Untitled)

TRxCustomListBox Events

TRxCustomListBox Alphabetically Legend

In TRxCustomListBox

OnDrawItem

OnGetItemWidth

OnMeasureItem

Derived from TWinControl

Derived from TControl


TDropDownAlign

Unit

RxLookup

Description

ValueMeaning

daLeft

daRight

daCenter


TAnimatedCursorImage.Title

TAnimatedCursorImage

The Title property stores the description of the ANI file.

property Title: string;


(Untitled)

TSpeedbarSection Properties

TSpeedbarSection Alphabetically Legend

In TSpeedbarSection

Caption

Count

Index

Items

List

SpeedBar

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBDateEdit.ImeName

TDBDateEdit

property ImeName;


TSpeedBar.AddSection

TSpeedBar

AddSection adds a particular section to the toolbar.

property function AddSection(const ACaption: string): Integer;


TMergeManager.OnChange

TMergeManager

OnChange

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxSpeedButton.MouseLeave

TRxSpeedButton

procedure MouseLeave;


TRxLookupEdit.OnEndDrag

TRxLookupEdit

property OnEndDrag;


TRxCustomRichEdit.SelectionBar

TRxCustomRichEdit

property SelectionBar: Boolean read FSelectionBar write SetSelectionBar default True;


TRxDBComboEdit.Notification

TRxDBComboEdit

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRecentStrings

Hierarchy Properties Methods Events

Internal TStringlist child holding the MRU insertion modes.

Unit

MRUList


TRxDBCalcEdit.DisplayFormat

TRxDBCalcEdit

property DisplayFormat;


TRxDBLookupList.OnExit

TRxDBLookupList

property OnExit;


TRxDBGrid.DefaultDataCellDraw

TRxDBGrid

procedure DefaultDataCellDraw ( const Rect: TRect; Field: TField; State: TGridDrawState );


TRxDBCalcEdit.Field

TRxDBCalcEdit

property Field: TField read GetField;


TComboEdit.ShowHint

TComboEdit

property ShowHint;


(Untitled)

TPageHistory Methods

TPageHistory Alphabetically Legend

In TPageHistory

AddPageIndex

Create

DeleteHistoryItem

Destroy

ResetHistory

Derived from TList

Add

Clear

Delete

Exchange

Expand

Extract

First

IndexOf

Insert

Last

Move

Pack

Remove

Sort


TDBStatusLabel.Visible

TDBStatusLabel

property Visible;


StrUtils.IsWordPresent

StrUtils

IsWordPresent given a set of word delimiters, return True if word W is present in string S.

property function IsWordPresent(const W, S: string; const WordDelims: TCharSet): Boolean;

Description

IsWordPresent example:

if IsWordPresent('him', 'Let him go', [' ', ',']) then

__ShowMessage('String contsins word "him"');


TRxLookupEdit.AcceptPopup

TRxLookupEdit

function AcceptPopup ( var Value: Variant ): Boolean;


TRxDBLookupList.OnEnter

TRxDBLookupList

property OnEnter;


TRxCustomListBox.SelCount

TRxCustomListBox

property SelCount: Integer read GetSelCount;


TSQLScript.GetText

TSQLScript

function GetText: PChar;


TSpeedBar.AddItem

TSpeedBar

AddItem procedure adds an item speedbar item to a particular section.

property procedure AddItem(Section: Integer; Item: TSpeedItem);


TRxDice.Align

TRxDice

property Align;


TRxRichEdit.Lines

TRxRichEdit

property Lines;


TDatabaseDesc.Description

TDatabaseDesc

property Description: DBDesc read FDescription;


TRxSwitch.KeyDown

TRxSwitch

procedure KeyDown ( var Key: Word; Shift: TShiftState );


DateUtil.DefDateMask

DateUtil

DefDateMask returns the default edit mask for the date (for using as EditMask property value in the TMaskEdit component) according to the current Windows settings (ShortDateFormat) and to the FourDigitYear variable's value.

property function DefDateMask(BlanksChar: Char): string;

Description

The order for month, day, and year is determined by the ShortDateFormat global variable.

For example, if the ShortDateFormat = 'D/mm/yy', then the DefDateMask returns:

'!99/99/9999;1; '.

DefDateMask example:

MaskEdit1.EditMask := DefDateMask('_');


TStrHolder

Hierarchy Properties Methods Events

TStrHolder is a TStrings wrapper component making it easier to work with the TStrings and TStringList objects at design time.

Unit

StrHlder

Description

Using TStrHolder component you can set TStrings object properties and event handlers in Delphi form designer and hold a number of strings in your forms.


TButtonImage.Draw

TButtonImage

procedure Draw ( Canvas: TCanvas; X , Y , Margin , Spacing: Integer; Layout: TButtonLayout; AFont: TFont; Flags: Word );


TMemoryTable.GotoRecord

TMemoryTable

procedure GotoRecord ( RecordNo: Longint );


(Untitled)

TRxQuery Properties

TRxQuery By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constrained

Constraints

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Local

Locale

MacroChar

MacroCount

Macros

Modified

Name

ObjectView

OpenStatus

Owner

ParamCheck

ParamCount

Params

Prepared

RealSQL

RecNo

RecordCount

RecordSize

RequestLive

RowsAffected

SessionName

SparseArrays

SQL

SQLBinary

State

StmtHandle

Tag

Text

UniDirectional

UpdateMode

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TCustomBDEItems.RecordCount

TCustomBDEItems

property RecordCount: Longint read GetRecordCount;


TDBStatusLabel.Color

TDBStatusLabel

property Color;


TSpeedItem.OnMouseLeave

TSpeedItem

property OnMouseLeave: TNotifyEvent read GetOnMouseLeave write SetOnMouseLeave;


TSpeedbarEditor.FormModified

TSpeedbarEditor

procedure FormModified;


TRxDrawGrid.OnCheckButton

TRxDrawGrid

property OnCheckButton: TFixedCellCheckEvent read FOnCheckButton write FOnCheckButton;


TRxSwitch.OnKeyDown

TRxSwitch

property OnKeyDown;


TRxDBFilter.UpdateFuncFilter

TRxDBFilter

Update resets the callback-filter on the filtered dataset. This method must be called when you change the conditions in OnFiltering event handler at runtime.

property procedure UpdateFuncFilter;


TColorComboBox.Constraints

TColorComboBox

property Constraints;


TRxFolderMonitor.Changed

TRxFolderMonitor

procedure Changed;


TRxMemoryData.SetBlobData

TRxMemoryData

procedure SetBlobData ( Field: TField; Buffer: PChar; Value: TMemBlobData );


(Untitled)

TDatabaseList Properties

TDatabaseList Alphabetically Legend

Derived from TCustomBDEItems

DBSession

RecordCount

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

Handle

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSecretPanel.OnStartDrag

TSecretPanel

property OnStartDrag;


(Untitled)

TCheckItemsEditor Properties

TCheckItemsEditor By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TDBStatusLabel.GlyphAlign

TDBStatusLabel

This property determines the location of a glyph displayed within a status label. The glyph can be placed either to the left (the default) or to the right of the caption.

property GlyphAlign: TGlyphAlign;


TSpeedbarSection.GetParentComponent

TSpeedbarSection

function GetParentComponent: TComponent;


TDBIndexCombo

Hierarchy Properties Methods Events

TDBIndexCombo is a descendant of the TCustomComboBox component and provides a drop-down list of the indexes available in the attached dataset.

Unit

DBIndex

Description

The list of indexes can be configured to display the index name in several ways to include a user-defined string for each index.

Selecting one of the index names from the drop-down list changes the dataset's active index so that future operations on that dataset will use the newly selected index.


TRxCalcEdit.Alignment

TRxCalcEdit

property Alignment;


TRxCustomSlider.ImageVThumb

TRxCustomSlider

property ImageVThumb: TBitmap index Ord ( siVThumb ) read GetImage write SetImage stored StoreImage;


TRxMemoryData.CopyStructure

TRxMemoryData

procedure CopyStructure ( Source: TDataSet );


(Untitled)

TMinMaxInfoEditDialog Properties

TMinMaxInfoEditDialog Alphabetically Legend

In TMinMaxInfoEditDialog

WinMinMaxInfo

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxButtonGlyph.OnChange

TRxButtonGlyph

property OnChange: TNotifyEvent read FOnChange write FOnChange;


(Untitled)

TClipboardMonitor Events

TClipboardMonitor Alphabetically Legend

In TClipboardMonitor

OnChange


(Untitled)

TRxSpeedButton Properties

TRxSpeedButton Alphabetically Legend

In TRxSpeedButton

Action

Alignment

AllowAllUp

AllowTimer

Anchors

BiDiMode

ButtonGlyph

Caption

Constraints

Down

DragCursor

DragKind

DragMode

DropDownMenu

Enabled

Flat

Font

Glyph

GrayedInactive

GroupIndex

InitPause

Layout

Margin

MarkDropDown

MenuPosition

ModalResult

NumGlyphs

ParentBiDiMode

ParentFont

ParentShowHint

RepeatInterval

ShowHint

Spacing

Style

Transparent

Visible

WordWrap

Derived from TGraphicControl

Derived from TControl

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TNotifyThread Properties

TNotifyThread By object Legend

Finished

FreeOnTerminate

Handle

LastError

NotifyHandle

Priority

Suspended

ThreadID


TSecretPanel.AlignControls

TSecretPanel

procedure AlignControls ( AControl: TControl; var Rect: TRect );


TSpeedBar.BtnOffsetVert

TSpeedBar

Determines the minimum available vertical offset (top coordinate) for the top-most

buttons in Speedbar.

property BtnOffsetVert: Integer;


TPopupDataWindow.GetPicture

TPopupDataWindow

function GetPicture ( Current , Empty: Boolean; var TextMargin: Integer ): TGraphic;


TScreenCanvas.CreateHandle

TScreenCanvas

procedure CreateHandle;


DateUtil.FirstDayOfNextMonth

DateUtil

Returns the first day of the next month relative to the current system date.

property function FirstDayOfNextMonth: TDateTime;

Description

FirstDayOfNextMonth example:

First := FirstDayOfNextMonth;


TRxDBComboBox.Values

TRxDBComboBox

Values stores selections without connecting the second table to a database (e.g., male, female).

property Values: TStrings;


(Untitled)

TRxCheckListBox Events

TRxCheckListBox Alphabetically Legend

In TRxCheckListBox

OnClick

OnClickCheck

OnDblClick

OnDragDrop

OnDragOver

OnDrawItem

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetItemWidth

OnKeyDown

OnKeyPress

OnKeyUp

OnMeasureItem

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag

OnStateChange

Derived from TWinControl

Derived from TControl


(Untitled)

TClipboardViewer Properties

TClipboardViewer By object Legend

Action

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderStyle

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ClipboardFormatNames

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DockSite

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HorzScrollBar

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

VertScrollBar

ViewFormat

Visible

VisibleDockClientCount

Width

WindowProc


TIconList.Add

TIconList

The Add method adds an icon to the list of icons.

property function Add(Icon: TIcon): Integer; virtual;

Description

Specify the icon to insert as the value of the Icon parameter. Add returns the index of the added icon.


(Untitled)

TSelectDataSetForm Methods

TSelectDataSetForm Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TComObjectFactory.ProgID

TComObjectFactory

property ProgID: string read GetProgID;


TRxProjectResExpert.GetGlyph

TRxProjectResExpert

function GetGlyph: HICON;


TMRUManager

Hierarchy Properties Methods Events

This component greatly simplifies adding MRU (More Recently Used) object lists (i.e. file descriptions) to the application menus.

Unit

MRUList

Description

Under the File menu, I have a sub-menu called "Recent". So, under the RecentMenu property of the MRUManager, I have this menu item. I save up to 10 recently used files in the registry. The call I use to load these files from the registry is:

MRUManager.LoadFromRegistry(EMIni.CSRegistry,'Recent');

where EMIni.CSRegistry is the registry key and recent is the section. Check out the Rx code in the MRUList.PAS unit for any more details on this. To save a file to the MRUManager, I use:

MRUManager.Add(OpenDialog.Filename,0)

Where OpenDialog.Filename is the name of the file to be added to the list and 0 is a UserData flag which I don't use. Again, the MRUList.PAS has the source for this.

Then, when I close my program, I save the info which was added to the MRUManager by calling:

MRUManager.SaveToRegistry(EMIni.CSRegistry,'Recent');


MaxMin.MaxFloat

MaxMin

The MaxFloat function returns the largest signed value in the Values array.

function MaxFloat(const Values: array of Extended): Extended;

Description

MaxFloat example:

MaxVal := MaxFloat([MaxVal, -1, 12.2, 3.36, 12.438]);


TRxDBLookupList.DragMode

TRxDBLookupList

property DragMode;


TRxCustomRichEdit.GetLineLength

TRxCustomRichEdit

function GetLineLength ( CharIndex: Integer ): Integer;


TRxCustomRichEdit.AllowObjects

TRxCustomRichEdit

property AllowObjects: Boolean read FAllowObjects write SetAllowObjects default True;


TRxDBCalcEdit.Notification

TRxDBCalcEdit

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TDirectoryEdit.TabStop

TDirectoryEdit

property TabStop;


TCheckItemsProperty.Edit

TCheckItemsProperty

procedure Edit;


DateUtil.IncDay

DateUtil

IncDay changes the date ADate by Delta number of days.

property function IncDay(ADate: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive

or negative value.

IncDay example:

var D1, D2: TDateTime;

S: string;

begin

ShortDateFormat := 'dd.mm.yy';

D1 := StrToDate('24.03.1994');

D2 := IncDay(D1, 145);

S := DateToStr(D2);

end;


TSpinButtonKind

Unit

RXSpin

Description

ValueMeaning

bkStandard

bkDiagonal


TRxSpeedButton.OnEndDrag

TRxSpeedButton

property OnEndDrag;


TMergeManager

Hierarchy Properties Methods Events

Unit

MrgMngr


TDateEdit.CalendarStyle

TDateEdit

property CalendarStyle;


(Untitled)

TGradCaptionsEditor Properties

TGradCaptionsEditor Alphabetically Legend

In TGradCaptionsEditor

ActiveCaption

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxSpeedButton.DropDownMenu

TRxSpeedButton

Specifies a TPopupMenu that can be linked with the button. If MarkDropDown set to true, a small icon is displayed at the right of the bitmap or the caption.

property DropDownMenu: TPopupMenu;


TGIFImage.UniqueImage

TGIFImage

procedure UniqueImage;


TFormPlacement.Destroy

TFormPlacement

destructor Destroy;


TMemoryRecord.Data

TMemoryRecord

property Data: Pointer read FData;


TSpeedItem.Caption

TSpeedItem

property Caption: TCaption read GetCaption write SetCaption;


TAnimatedImage.DragCursor

TAnimatedImage

property DragCursor;


TDBProgress.OnMessageChange

TDBProgress

The OnPercentChange event occurs every time new text message is returned from the database engine (BDE).

property OnMessageChange: TOnMessageChange;

Description

This event is only generated when Active is set to True.


TComboEdit.Color

TComboEdit

property Color;


TDateEdit.PopupColor

TDateEdit

property PopupColor;


TRxDBRichEdit.LangOptions

TRxDBRichEdit

property LangOptions;


TRxTimer.ThreadPriority

TRxTimer

property ThreadPriority: TThreadPriority read FThreadPriority write SetThreadPriority default tpNormal;


TDirectoryEdit.OnEndDock

TDirectoryEdit

property OnEndDock;


TRxWindowHook.SetVirtualMethodAddress-Example

Next example shows how you can replace address of virtual method WndProc for

descendant of TForm:

\\\\\\\ THookForm \\\\\\\

type

THookForm = class(TForm)

protected

__procedure WndProc(var Message: TMessage); override;

end;

procedure THookForm.WndProc(var Message: TMessage);

var I: Integer;

begin

__inherited WndProc(Message);

__if (Message.Msg = WM_NCHITTEST) then

__try

____\\\\\\\ your specific event handler \\\\\\\

__except

____Application.HandleException(Self);

__end;

end;

Replace and restore method address:

type PClass = ^TClass;

var SaveMethod: TWndMethod;

procedure SetHook(AForm: TForm);

var MethodIndex: Integer;

begin

__MethodIndex := FindVirtualMethodIndex(THookForm, @THookForm.WndProc);

__@SaveMethod := SetVirtualMethodAddress(PClass(Form)^,

__MethodIndex, @THookForm.WndProc);

end;

procedure ReleaseHook(AForm: TForm);

var MethodIndex: Integer;

begin

__if Assigned(SaveMethod) then

__begin

____MethodIndex := FindVirtualMethodIndex(THookForm, @THookForm.WndProc);

____SetVirtualMethodAddress(PClass(Form)^, MethodIndex, @SaveMethod);

____SaveMethod := nil;

__end;

end;


TRxDBLookupList.DisplayValueChanged

TRxDBLookupList

procedure DisplayValueChanged;


(Untitled)

TRxGradient Properties

TRxGradient Alphabetically Legend

In TRxGradient

Direction

EndColor

StartColor

StepCount

Visible


TDateEdit.ShowHint

TDateEdit

property ShowHint;


TTextListBox.OnEnter

TTextListBox

property OnEnter;


TPicClip.DrawCenter

TPicClip

procedure DrawCenter ( Canvas: TCanvas; Rect: TRect; Index: Integer );


TTypedComObjectFactory.ClassInfo

TTypedComObjectFactory

property ClassInfo: ITypeInfo read FClassInfo;


TFilenameEdit.OnChange

TFilenameEdit

property OnChange;


(Untitled)

TRxTextAttributes Methods

TRxTextAttributes By object Legend

Assign

AssignTo

Create

Destroy

GetNamePath

InitFormat


VCLUtils.ActivateWindow

VCLUtils

The ActivateWindow function activates a window and forces the thread that created the window into the foreground.

property procedure ActivateWindow(Wnd: HWnd);

Description

An application should call ActivateWindow if it wants to put itself into the foreground.

If window specified by Wnd handle is hidden, then ActivateWindow displays the window.

If the window is minimized ActivateWindow restores it to its original size and position.

ActivateWindow example:

ActivateWindow(Wnd);


TDBSecurity.LoginNameField

TDBSecurity

The LoginNameField property is a string which represents the name of a field in the table, specified by UsersTableName property.

property LoginNameField: string;

Description

The field in question contains the login name of the user, and in most cases must be the first field in the existing index for the table.


(Untitled)

TFormStorage Properties

TFormStorage Alphabetically Legend

In TFormStorage

StoredProps

Derived from TFormPlacement

Active

IniFile

IniFileName

IniFileObject

IniSection

MinMaxInfo

Options

PreventResize

RegIniFile

UseRegistry

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBDateEdit.ButtonHint

TDBDateEdit

property ButtonHint;


TRxDBLookupCombo.UpdateDisplayEmpty

TRxDBLookupCombo

procedure UpdateDisplayEmpty ( const Value: string );


TDateEdit.OnKeyPress

TDateEdit

property OnKeyPress;


TFilenameProperty.GetAttributes

TFilenameProperty

function GetAttributes: TPropertyAttributes;


TFontComboBox

Hierarchy Properties Methods Events

This component is indended for font selection.

Unit

RXCombos

Description

Its drop-down list contains the list of fonts currently available. Device and Options properties controls what fonts are displayed.


(Untitled)

TMetafileCanvas Events

TMetafileCanvas Alphabetically Legend

Derived from TCanvas

OnChange

OnChanging


TRxProjectResExpert.GetStyle

TRxProjectResExpert

function GetStyle: TExpertStyle;


TAppEvents.Loaded

TAppEvents

procedure Loaded;


TDBCallback.Create

TDBCallback

constructor Create ( AOwner: TObject; CBType: CBType; CBBufSize: Cardinal; CallbackEvent: TDBCallbackEvent; Chain: TDBCallbackChain );


TRxDBLookupList.Align

TRxDBLookupList

property Align;


TBarOrientation

property TBarOrientation = (boHorizontal, boVertical);

TBarOrientation is a set of values for the Orientation property of the TSpeedbar component.

Unit

speedbar

Description

ValueMeaning

boHorizontal

boVertical


TSpeedItem.SetName

TSpeedItem

procedure SetName ( const Value: TComponentName );


TPicClip.AssignTo

TPicClip

procedure AssignTo ( Dest: TPersistent );


(Untitled)

TCustomTableItems Events

TCustomTableItems Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxDrawGrid.OnEditChange

TRxDrawGrid

OnEditChange occurs whenever the text for the in-place editor in TRxDrawGrid

component may have changed. Write an OnEditChange event handler to take specific

action whenever the text for the in-place editor may have changed. This event provides

the first opportunity to respond to modifications that the user types into the in-place

editor.

property OnEditChange: TNotifyEvent;


TRxCustomSlider.ThumbMouseDown

TRxCustomSlider

procedure ThumbMouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TPictEditor Properties

TPictEditor Alphabetically Legend

In TPictEditor

GraphicClass

PicDlg

Picture

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBComboEdit.DragCursor

TRxDBComboEdit

property DragCursor;


(Untitled)

TBtnControl Events

TBtnControl Alphabetically Legend

Derived from TWinControl

Derived from TControl


(Untitled)

RXDate Events

RXDate Alphabetically Legend

Derived from TDateEdit

OnAcceptDate

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TQBEQuery.SetDBFlag

TQBEQuery

function SetDBFlag ( Flag: Integer; Value: Boolean ): Boolean;


TPageManager.OnPageChanged

TPageManager

property OnPageChanged: TNotifyEvent read FOnPageChanged write FOnPageChanged;


(Untitled)

TPropsStorage Properties

TPropsStorage Alphabetically Legend

In TPropsStorage

AObject

Prefix

Section


TRxIniFile.ReadObject

TRxIniFile

function ReadObject ( const Section , Item , Value: string ): TObject;


TVersionCharSet

TVersionCharSet is a set of values for the VersionCharSet property of the TVersionInfo class.

Unit

RxVerInf

property TVersionCharSet = (vcsASCII, vcsJapan, vcsKorea, vcsTaiwan, vcsUnicode, vcsEasternEuropean, vcsCyrillic, vcsMultilingual, vcsGreek, vcsTurkish, vcsHebrew, vcsArabic, vcsUnknown);

Description

ValueMeaning

vcsASCII

vcsJapan

vcsKorea

vcsTaiwan

vcsUnicode

vcsEasternEuropean

vcsCyrillic

vcsMultilingual

vcsGreek

vcsTurkish

vcsHebrew

vcsArabic

vcsUnknown


TProxyEditor.FormModified

TProxyEditor

procedure FormModified;


TRxSlider.OnMouseWheelUp

TRxSlider

property OnMouseWheelUp;


TIconListProperty.Edit

TIconListProperty

procedure Edit;


TRxDBComboEdit.Field

TRxDBComboEdit

property Field: TField read GetField;


TRxIniFile

Hierarchy Properties Methods Events

RxIniFile is an enhanced version of the IniFile specially designed to store FormStorage and Rx Form Placement.

Unit

RXIni


TRxLookupEdit.Change

TRxLookupEdit

procedure Change;


TRxDBRichEdit

Hierarchy Properties Methods Events

TRxDBRichEdit is a DB Rich Edit. An aquivalent component is now part of the standard Delphi library, so, this RX version is not really useful unless you want to maintain backward compatibility from Delphi 2 (where DB RTF was not available in the VCL).

Unit

DBRichEd


(Untitled)

RXMemory Methods

RXMemory By object Legend

BatchMove

CopyStructure

GotoRecord

SetFieldValues


TDateEdit.OnDragOver

TDateEdit

property OnDragOver;


TRxDice.OnEndDock

TRxDice

property OnEndDock;


TRxClock.OnDockOver

TRxClock

property OnDockOver;


TCustomComboEdit.UpdatePopupVisible

TCustomComboEdit

procedure UpdatePopupVisible;


TRxCustomSlider.MouseUp

TRxCustomSlider

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TMergeManager.DefineProperties

TMergeManager

procedure DefineProperties ( Filer: TFiler );


THugeList.Get

THugeList

function Get ( Index: Longint ): Pointer;


TRxPopupMenu.ShowCheckMarks

TRxPopupMenu

property ShowCheckMarks: Boolean read FShowCheckMarks write FShowCheckMarks default True;


TResourceEntry.EnableRenameDelete

TResourceEntry

function EnableRenameDelete: Boolean;


TRxSplitter.Align

TRxSplitter

property Align: TAlign read GetAlign write SetAlign default alNone;


AppUtils.GetDefaultSection

AppUtils

The function returns unique string for specified Component.

property function GetDefaultSection(Component: TComponent): string;

Description

This string can be used, for instance, as section name in the TIniFile (or TRegIniFile) object to store specific component's properties.

Kind of return value can be understand from function's text below:

function GetDefaultSection(Component: TComponent): string;

var

__F: TCustomForm;

__Owner: TComponent;

begin

__if Component <> nil then

__begin

____if Component is TCustomForm then

______Result := Component.ClassName

____else begin

______Result := Component.Name;

______if Component is TControl then

______begin

________F := GetParentForm(TControl(Component));

________if F <> nil then

__________Result := F.ClassName + Result

________else begin

__________if TControl(Component).Parent <> nil then

____________Result := TControl(Component).Parent.Name + Result;

________end;

______end else

______begin

________Owner := Component.Owner;

________if Owner is TForm then

__________Result := Format('%s.%s', [Owner.ClassName, Result]);

______end;

____end;

__end else

____Result := '';

end;

GetDefaultSection example:

var

__Ini: TIniFile;

__Sect: string;

begin

__...

__Sect := GetDefaultSection(Bevel1);

__with Bevel1 do

__begin

____Ini.WriteInteger(Sect, 'Shape', Integer(Bevel1.Shape));

____Ini.WriteInteger(Sect, 'Width', Bevel1.Width);

__end;

end;


TRxDBComboEdit.OnEndDock

TRxDBComboEdit

property OnEndDock;


TSecretPanel.DragKind

TSecretPanel

property DragKind;


TDateEdit.DialogTitle

TDateEdit

DialogTitle specifies the title of the popup dialog.

property DialogTitle : string


(Untitled)

EOleError Properties

EOleError By object Legend

HelpContext

Message


TSpeedBar.Destroy

TSpeedBar

destructor Destroy;


(Untitled)

TDBStatusLabel Events

TDBStatusLabel By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnGetDataName

OnGetRecNo

OnGetRecordCount

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TCustomBDEItems.DBSession

TCustomBDEItems

property DBSession: TSession read GetDBSession;


TRxLookupControl.UpdateAction

TRxLookupControl

function UpdateAction ( Action: TBasicAction ): Boolean;


TRxSlider.OnEnter

TRxSlider

property OnEnter;


(Untitled)

TRxClock Methods

TRxClock Alphabetically Legend

In TRxClock

Alarm

AlignControls

Create

CreateWnd

Destroy

DestroyWindowHandle

GetSystemTime

Loaded

Paint

SetAlarmTime

UpdateClock

Derived from TCustomPanel

GetControlsAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TGIFData.FreeHandle

TGIFData

procedure FreeHandle;


TSQLScript.BeforeExec

TSQLScript

property BeforeExec: TNotifyEvent read FBeforeExec write FBeforeExec;


(Untitled)

TTypedComObjectFactory Methods

TTypedComObjectFactory Alphabetically Legend

In TTypedComObjectFactory

Create

GetInterfaceTypeInfo

UpdateRegistry

Derived from TComObjectFactory

CreateComObject

Destroy

RegisterClassObject


DateUtil.DaysBetween

DateUtil

Count days between Date1 and Date2 + 1.

property function DaysBetween(Date1, Date2: TDateTime): Longint;

Description

If Date1 = Date2 then result = 1, if Date2 < Date1 result = 0.

DaysBetween example:

Days := DaysBetween(Date1, Date2);


(Untitled)

TCustomTableItems Properties

TCustomTableItems By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

ItemType

KeySize

Locale

Modified

Name

ObjectView

Owner

PhysTypes

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

TableName

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TAnimatedImage.OnMouseMove

TAnimatedImage

property OnMouseMove;


TCustomDatabaseItems.ExtendedInfo

TCustomDatabaseItems

property ExtendedInfo: Boolean read FExtended write SetExtendedInfo default False;


TRxDBComboEdit.ImeName

TRxDBComboEdit

property ImeName;


(Untitled)

TDBLocate Properties

TDBLocate Alphabetically Legend

Derived from TLocateObject

DataSet

IndexSwitch


FileUtil.FileUnlock

FileUtil

The FileUnlock function unlocks a region in an open file.

function FileUnlock(Handle: Integer; Offset, LockSize: Longint): Integer;

Description

Unlocking a region enables other processes to access the region. Handle identifies a file that contains a region locked with FileLock.

Offset specifies the starting byte offset in the file where the locked region begins.

LockSize specifies the length of the byte range to be unlocked.

FileUnlock example:

var

__FileHandle : Integer;

begin

__FileHandle := FileOpen(FileName, fmOpenWrite or fmShareDenyNone);

__if FileHandle > 0 then

__try

____\\\\\\\ valid file handle \\\\\\\

____if FileLock(FileHandle, 0, 1024) = 0 then

____try

______\\\\\\\ first 1024 bytes of opened file is locked \\\\\\\

____finally

______FileUnlock(FileHandle, 0, 1024);

____end;

__finally

____FileClose(FileHandle);

__end else

____\\\\\\\Open error: FileHandle = negative DOS error code\\\\\\\;

end;


TBtnControl.AssignSpeedItem

TBtnControl

procedure AssignSpeedItem ( Item: TSpeedItem );


TColorComboBox

Hierarchy Properties Methods Events

This component is intended for color selection.

Unit

RXCombos

Description

It is actually a combo-box which drop-down list contains 16 basic system colors. The available colors are the same as the ones in the Object Inspector’s drop-down list of colors for the Color property.


(Untitled)

TCloneDbDataset Events

TCloneDbDataset Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


(Untitled)

TRxMemoryData Events

TRxMemoryData Alphabetically Legend

In TRxMemoryData

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


(Untitled)

TIconList Methods

TIconList By object Legend

Add

AddResource

Assign

BeginUpdate

Changed

Clear

Create

DefineProperties

Delete

Destroy

EndUpdate

Exchange

Get

GetCount

GetNamePath

IndexOf

Insert

InsertResource

LoadFromStream

LoadResource

Move

Put

SaveToStream


TRxLookupEdit.ReadOnly

TRxLookupEdit

property ReadOnly;


(Untitled)

SplshWnd Methods

SplshWnd Alphabetically Legend

In SplshWnd

ShowSplashWindow


TSplashWindow.CenterFor

TSplashWindow

procedure CenterFor ( Form: TCustomForm );


TFontListOption

Unit

RXCombos

Description

ValueMeaning

foAnsiOnly

foTrueTypeOnly

foFixedPitchOnly

foNoOEMFonts

foOEMFontsOnly

foScalableOnly


TRxDBCalcEdit

Hierarchy Properties Methods Events

The TRxDBCalcEdit component is the data-aware version of the TRxCalcEdit.

Unit

RXDBCtrl

Description

This means that the TRxDBCalcEdit can be connected to a data source and edit the contents of numeric fields in the data source. TRxDBCalcEdit provides a drop-down calculator to help you calculate the number. TRxDBCalcEdit is a direct descendant of the TRxCalcEdit class and inherits all of its properties, events and methods.


TFilenameEdit.OnMouseUp

TFilenameEdit

property OnMouseUp;


TPicClip.MaskColor

TPicClip

MaskColor determines which color of the "cell picture" is to be transparent when the bitmap is drawn by calling the Draw method and Masked property is True. Use MaskColor to determine how to draw the picture transparently.

property MaskColor: TColor;


TRxSpinEdit.OnMouseMove

TRxSpinEdit

property OnMouseMove;


TDBIndexCombo.ItemHeight

TDBIndexCombo

property ItemHeight;


TDBStatusLabel.DragKind

TDBStatusLabel

property DragKind;


TRxSpinButton.Enabled

TRxSpinButton

property Enabled;


TDBStatusLabel.ShadowSize

TDBStatusLabel

property ShadowSize default 0 property Align;


TRxDBRichEdit.OnKeyUp

TRxDBRichEdit

property OnKeyUp;


TRxMemoryData.InternalAddRecord

TRxMemoryData

procedure InternalAddRecord ( Buffer: Pointer; Append: Boolean );


TRxDice.OnStartDrag

TRxDice

property OnStartDrag;


TSpeedBar.Button

TSpeedBar

Run-time and read-only property to direct access to the button in a speed-item

component as to the TRxSpeedButton control.

property Button: TRxSpeedButton;


(Untitled)

ESpeedbarError Methods

ESpeedbarError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TColorComboBox.OnExit

TColorComboBox

property OnExit;


(Untitled)

TDBDateEdit Methods

TDBDateEdit By object Legend

AcceptValue

ApplyDate

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

CheckValidDate

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditCanModify

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDateMask

GetNamePath

GetParentComponent

GetReadOnly

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

Reset

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateMask

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxDBLookupCombo.DragKind

TRxDBLookupCombo

property DragKind;


TGIFImage.GetPalette

TGIFImage

function GetPalette: HPALETTE;


TVersionInfo.Comments

TVersionInfo

This contains the string specifying the comments..

property Comments: string;


(Untitled)

TPageProxy Properties

TPageProxy By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

PageManager

PageName

Tag

VCLComObject


TRxCustomListBox.DrawItem

TRxCustomListBox

procedure DrawItem ( Index: Integer; Rect: TRect; State: TOwnerDrawState );


TRxDBComboBox.TabStop

TRxDBComboBox

property TabStop;


TSpeedItem.AllowAllUp

TSpeedItem

property AllowAllUp: Boolean read GetAllowAllUp write SetAllowAllUp default False;


TRxCaptionList.Update

TRxCaptionList

procedure Update ( Item: TCollectionItem );


TStrHolder.Capacity

TStrHolder

property Capacity: Integer read GetCapacity write SetCapacity default 0


TSpeedBar.AppendSection

TSpeedBar

function AppendSection ( Value: TSpeedbarSection ): Integer;


TDBStatusLabel.Captions

TDBStatusLabel

property Captions: TStrings;


TDateTimeFormat.Assign

TDateTimeFormat

procedure Assign ( Source: TPersistent );


(Untitled)

TRxGIFAnimator Methods

TRxGIFAnimator Alphabetically Legend

In TRxGIFAnimator

AdjustSize

CanAutoSize

Change

Create

Destroy

DoPaintImage

FrameChanged

GetPalette

Paint

Start

Stop

Derived from TRxImageControl

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDice.ParentShowHint

TRxDice

property ParentShowHint;


TRxLabel.BiDiMode

TRxLabel

property BiDiMode;


TRxSpeedButton.GetPalette

TRxSpeedButton

function GetPalette: HPALETTE;


TPageHistory

Hierarchy Properties Methods

Unit

PageMngr


(Untitled)

TDateTimeFormat Methods

TDateTimeFormat Alphabetically Legend

In TDateTimeFormat

Assign

Create

Destroy

GetDateMask

GetMask

GetTimeMask

ResetDefault

Derived from TPersistent

GetNamePath


TRxDBLookupList.MouseUp

TRxDBLookupList

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TCustomComboEdit.CreateWnd

TCustomComboEdit

procedure CreateWnd;


(Untitled)

TRxRichEdit Properties

TRxRichEdit By object Legend

Action

Align

Alignment

AllowInPlace

AllowObjects

Anchors

AutoURLDetect

AutoVerbMenu

BiDiMode

BorderStyle

BorderWidth

BoundsRect

Brush

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefAttributes

DefaultConverter

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

HideScrollBars

HideSelection

Hint

HostDockSite

ImeMode

ImeName

LangOptions

Left

Lines

LRDockWidth

MaxLength

Modified

Name

Owner

PageRect

Paragraph

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PlainText

PopupMenu

ReadOnly

RedoName

ScrollBars

SelAttributes

SelectionBar

SelectionType

SelLength

SelStart

SelText

ShowHint

Showing

StreamFormat

StreamMode

TabOrder

TabStop

Tag

TBDockHeight

Text

Title

Top

UndockHeight

UndockWidth

UndoLimit

UndoName

VCLComObject

Visible

VisibleDockClientCount

WantReturns

WantTabs

Width

WindowProc

WordAttributes

WordSelection

WordWrap


TTextListBox.ParentCtl3D

TTextListBox

property ParentCtl3D;


TSecretPanel.OnEndDock

TSecretPanel

property OnEndDock;


TComObjectFactory.CreateInstanceLic

TComObjectFactory

function CreateInstanceLic ( const unkOuter: IUnknown; const unkReserved: IUnknown; const iid: TIID; const bstrKey: WideString; out vObject ): HResult;


(Untitled)

TRxSliderImages Properties

TRxSliderImages Alphabetically Legend

In TRxSliderImages

EdgeSize

HorzRuler

HorzThumb

NumThumbStates

VertRuler

VertThumb


TLocateObject.CheckRequiredField

TLocateObject

Checks if a field Field has a nonblank value.

property procedure CheckRequiredField(Field: TField);

Description

Calling this function with a null value of Field will cause an exception to be raised.

CheckRequiredField example:

CheckRequiredField(InventoryTableACCOUNT_NO);


EFilterError

Hierarchy Properties Methods

The EFilterError type is the exception type raised when an error is detected by the TRxDBFilter component.

Unit

DBFilter

property EFilterError = class(Exception);


TRxCustomLogin.AttemptNumber

TRxCustomLogin

property AttemptNumber: Integer read FAttemptNumber write FAttemptNumber default 3


TFilenameEdit.ShowHint

TFilenameEdit

property ShowHint;


TRxQuery.OpenCursor

TRxQuery

procedure OpenCursor ( InfoQuery: Boolean );


TProgressControlProperty.Reference

TProgressControlProperty

procedure Reference;


TRxDBGrid.EnableScroll

TRxDBGrid

procedure EnableScroll;


TCustomComboEdit.DoChange

TCustomComboEdit

procedure DoChange;


TCustomNumEdit.Formatting

TCustomNumEdit

property Formatting: Boolean read FFormatting;


TDateEdit.ReadOnly

TDateEdit

property ReadOnly;


(Untitled)

TGIFItem Methods

TGIFItem By object Legend

Destroy

FreeHandle


TRxGIFAnimator.Anchors

TRxGIFAnimator

property Anchors;


TRxRichEdit.Alignment

TRxRichEdit

property Alignment;


TFormHistory.ResetHistory

TFormHistory

procedure ResetHistory;


TRxCustomSlider.Change

TRxCustomSlider

procedure Change;


(Untitled)

TCustomDBComboBox Methods

TCustomDBComboBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

Click

ClientToScreen

ComboWndProc

ContainsControl

ControlAtPos

Create

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

DropDown

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetPaintText

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

Loaded

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetStyle

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WndProc


TFilenameEdit.Enabled

TFilenameEdit

property Enabled;


TIconList.Get

TIconList

function Get ( Index: Integer ): TIcon;


(Untitled)

TCheckItemsProperty Methods

TCheckItemsProperty Alphabetically Legend

In TCheckItemsProperty

Edit

GetAttributes


TTimerItemsEditor.Activated

TTimerItemsEditor

procedure Activated;


TComObjectFactory.ClassName

TComObjectFactory

property ClassName: string read FClassName;


(Untitled)

TCloneDbDataset Properties

TCloneDbDataset Alphabetically Legend

In TCloneDbDataset

ReadOnly

SourceHandle

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSpeedbarEditor.SpeedBar

TSpeedbarEditor

property SpeedBar: TSpeedBar read FBar write SetSpeedBar;


TCustomDBComboBox.CreateWnd

TCustomDBComboBox

procedure CreateWnd;


TSpeedBar.OnResize

TSpeedBar

property OnResize;


TRxSlider.Anchors

TRxSlider

property Anchors;


(Untitled)

TStoredProcList Events

TStoredProcList Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxGradientCaption.Font

TRxGradientCaption

Allows to define a specific font for captions

property Font: TFont read FFont write SetFont stored IsFontStored;


(Untitled)

TRxCustomTrackBar Properties

TRxCustomTrackBar Alphabetically Legend

In TRxCustomTrackBar

Images

Derived from TRxCustomSlider

Canvas

Increment

MaxValue

MinValue

Value

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxIniFile.ReadClearList

TRxIniFile

Function ReadClearList reads a string list from a section.

function ReadClearList(const Section: string; List: TStrings): TStrings;


TFilenameEdit.Color

TFilenameEdit

property Color;


TGradientCaptionsProperty

Hierarchy

Unit

GradEdit


TProgressControlProperty.GetValues

TProgressControlProperty

procedure GetValues ( Proc: TGetStrProc );


TRxGIFAnimator.DragKind

TRxGIFAnimator

property DragKind;


TRxGradientCaption.Form

TRxGradientCaption

property Form: TForm read GetForm;


TRxGradientCaption.GradientSteps

TRxGradientCaption

How many steps are displayed in the gradient.

property GradientSteps: Integer read FGradientSteps write SetGradientSteps default 64;

Description

The best effect is with larger values but this can affect slow machines. A value of 256 is the best, any higher doesn't make enough difference to be worthwhile.


TSpeedBar.AcceptDropItem

TSpeedBar

function AcceptDropItem ( Item: TSpeedItem; X , Y: Integer ): Boolean;


TRxMemoryData.CloseBlob

TRxMemoryData

procedure CloseBlob ( Field: TField );


TGIFData.Destroy

TGIFData

destructor Destroy;


TDBDateEdit.PopupColor

TDBDateEdit

property PopupColor;


TSpeedItem.GetParentComponent

TSpeedItem

function GetParentComponent: TComponent;


(Untitled)

TStoredPropsProperty Methods

TStoredPropsProperty By object Legend

Edit

GetAttributes

GetValue


TRxCheckListBox.ParentColor

TRxCheckListBox

property ParentColor;


(Untitled)

TSpeedBar Methods

TSpeedBar Alphabetically Legend

In TSpeedBar

AcceptDropItem

AddItem

AddSection

AfterCustomize

AlignControls

AlignItemsToGrid

AppendSection

ButtonClick

ChangeScale

Create

Customize

DefineProperties

DeleteSection

Destroy

FindItem

FindSpeedBar

ForEachItem

GetChildren

GetEditing

Items

ItemsCount

Loaded

MouseDown

MouseMove

MouseUp

NewItem

Notification

Paint

PosChanged

RemoveItem

RemoveSection

RestoreLayout

RestoreLayoutReg

SaveLayout

SaveLayoutReg

SearchItem

SearchSection

SetChildOrder

SetEditing

SetFontDefault

WriteComponents

Derived from TCustomPanel

GetControlsAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxClock.AlignControls

TRxClock

procedure AlignControls ( AControl: TControl; var Rect: TRect );


TRxSpinEdit.BorderStyle

TRxSpinEdit

property BorderStyle;


TRxCustomRichEdit.GetTextRange

TRxCustomRichEdit

function GetTextRange ( StartPos , EndPos: Longint ): string;


(Untitled)

TBookmarkList Properties

TBookmarkList By object Legend

Count

CurrentRowSelected

Items


TRxTrayIcon.PopupMenu

TRxTrayIcon

property PopupMenu: TPopupMenu read FPopupMenu write SetPopupMenu;


TAddInNotifier.EventNotification

TAddInNotifier

procedure EventNotification ( NotifyCode: TEventNotification; var Cancel: Boolean );


TRxCustomSlider

Hierarchy Properties Methods Events

Slider with customized thumb.

Unit

RXSlider


(Untitled)

TAnimatedCursorImage Methods

TAnimatedCursorImage By object Legend

Assign

AssignTo

AssignToBitmap

Clear

Create

Destroy

Draw

GetNamePath

LoadFromFile

LoadFromStream

SaveToStream


TDestroyEvent

TDestroyEvent is the type of the OnDestroyObject event of the TObjectStrings class.

Unit

ObjStr

property TDestroyEvent = procedure(Sender, AObject: TObject) of object;


TRxDBComboBox.OnChange

TRxDBComboBox

property OnChange;


TRxClock.ParentCtl3D

TRxClock

property ParentCtl3D;


TComClassManager.Destroy

TComClassManager

destructor Destroy;


TPicClip.Width

TPicClip

property Width: Integer read GetWidth write SetWidth stored False;


TOleController.CallProcedureByIDsNamedParams

TOleController

CallProcedureByIdsNamedParams calls a procedure by (ID number) Ids and with parameters Params and with parameter count Cnt.

property procedure CallProcedureByIDsNamedParams(const IDs: TDispIDList; const Params: array of const; Cnt: Byte);


TPopupDataWindow.Show

TPopupDataWindow

procedure Show ( Origin: TPoint );


(Untitled)

TRxSpinEdit Methods

TRxSpinEdit Alphabetically Legend

In TRxSpinEdit

Change

Create

CreateParams

CreateWnd

Destroy

DownClick

IsValidChar

KeyDown

KeyPress

UpClick

Derived from TCustomEdit

Clear

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SelectAll

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSpinButton.Constraints

TRxSpinButton

property Constraints;


TRxCalculator.OnCalcKey

TRxCalculator

OnCalcKey event is activated when the user presses any key.


TRxSpinEdit.MaxLength

TRxSpinEdit

property MaxLength;


TRxDBGrid.UnselectAll

TRxDBGrid

This method removes all records from the list of currently selected records (if MultiSelect=True).

procedure UnselectAll;


TRxCustomLogin.AfterLogin

TRxCustomLogin

property AfterLogin: TNotifyEvent read FAfterLogin write FAfterLogin;


TDBDateEdit.OnKeyPress

TDBDateEdit

property OnKeyPress;


TTextListBox.OnStartDrag

TTextListBox

property OnStartDrag;


TComObjectFactory.ShowErrors

TComObjectFactory

property ShowErrors: Boolean read FShowErrors write FShowErrors;


(Untitled)

TCustomDBComboBox Events

TCustomDBComboBox Alphabetically Legend

Derived from TCustomComboBox

Derived from TWinControl

Derived from TControl


(Untitled)

Hierarchy

TComponentEditor


(Untitled)

TRxDBCalcEdit Properties

TRxDBCalcEdit By object Legend

Action

Align

Alignment

Anchors

AsInteger

AutoSelect

BeepOnError

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CheckOnExit

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DecimalPlaces

DefaultParams

DesignInfo

DirectInput

DisplayFormat

DisplayText

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Field

Floating

FloatingDockSiteClass

Font

FormatOnEditing

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

MaxValue

MinValue

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

ZeroEmpty


(Untitled)

TRxCustomCalcEdit Properties

TRxCustomCalcEdit Alphabetically Legend

Derived from TCustomNumEdit

AsInteger

DisplayText

PopupVisible

Value

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

EOleSysError Methods

EOleSysError Alphabetically Legend

In EOleSysError

Create

Derived from Exception

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxDBLookupCombo

Hierarchy Properties Methods Events

The TRxDBLookupCombo visual interface component provides your end-users with the ability to select a value for a field from a drop-down list of values that is populated from a second lookup table.

Unit

RxLookup

Description

If TRxDBLookupCombo is linked to a lookup field component, it automatically reads the relationship between the field value and the lookup values in the lookup dataset from the field component. The relationship between field values and the corresponding values in the lookup dataset can also be explicitly set using the properties of the lookup combo box when the combo box is not linked toa lookup field component.

This component provides the following:

You can select any number of fields to be displayed in the drop-down list.

End-users can incrementally search through the lookup list by directly typing into the combo control while the lookup list is displayed. This is a great advantage when using lookup tables that contain hundreds of even thousands of records.

You can perform a lookup on a Query or QBE result. It even incrementally searches on the query result.

The component does not have to be bound, or assigned, to a table's field (DataField and DataSource properties) which gives you greater flexibility in using this LookupCombo for general tasks where a source table is not involved.

If DataSource and DataField properties is set, when a user selects a list item, the corresponding field value is changed in the underlying dataset.

If IgnoreCase property is True (default), the incrementally search through the lookup list is processed without regard to case in the dataset's data.

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

The DisplayEmpty property allows you specify the text value to display when no item is selected from the lookup list. If DisplayEmpty set to the non-empty string, this value will be shown in the drop-down list additionaly to the lookup items.

Use DropDownAlign property to specify how the drop-down list is aligned relative to its edit box.

Use an OnGetImage event to specify graphical picture to display in each item of lookup list accordingly to the contents of lookup source.

Write an OnChange event handler to take specific action immediately after the user selects an item from the list and the Value property changed.


(Untitled)

TFormStorage Methods

TFormStorage Alphabetically Legend

In TFormStorage

Create

Destroy

Loaded

Notification

RestorePlacement

RestoreProperties

SavePlacement

SaveProperties

SetNotification

WriteState

Derived from TFormPlacement

DefaultMinMaxInfo

EraseSections

ReadInteger

ReadString

RestoreFormPlacement

SaveFormPlacement

WriteInteger

WriteString

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDirectoryEdit.OnStartDock

TDirectoryEdit

property OnStartDock;


TRxDBLookupCombo.OnClick

TRxDBLookupCombo

property OnClick;


TRxSpinEdit.Decimal

TRxSpinEdit

This value specifies the number of decimal places to be utilised.

property Decimal: Integer;


(Untitled)

TDatabaseDesc Properties

TDatabaseDesc Alphabetically Legend

In TDatabaseDesc

Description


TObjectStrings.Delete

TObjectStrings

procedure Delete ( Index: Integer );


TCurrencyEdit.OnStartDock

TCurrencyEdit

property OnStartDock;


TRxImageControl

Hierarchy Properties Methods Events

Base class of TAnimatedImage

Unit

Animate


(Untitled)

TRxResourceEditor Methods

TRxResourceEditor Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxLabel.OnDragOver

TRxLabel

property OnDragOver;


TRxDBComboEdit.ParentBiDiMode

TRxDBComboEdit

property ParentBiDiMode;


TColorComboBox.OnDblClick

TColorComboBox

property OnDblClick;


TGIFItem.FreeHandle

TGIFItem

procedure FreeHandle;


TRxDice.Interval

TRxDice

Interval property is the wait state in milliseconds.

Interval : integer


TMemBlobStream.Seek

TMemBlobStream

function Seek ( Offset: Longint; Origin: Word ): Longint;


TRxSpinEdit.OnKeyPress

TRxSpinEdit

property OnKeyPress;


TRxCustomListBox.GetItemWidth

TRxCustomListBox

function GetItemWidth ( Index: Integer ): Integer;


(Untitled)

TRxDice Properties

TRxDice By object Legend

Action

Align

Anchors

AutoSize

AutoStopInterval

BiDiMode

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

Colour

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

Interval

Left

LRDockWidth

Name

Owner

Parent

ParentColor

ParentShowHint

ParentWindow

PopupMenu

Rotate

ShowFocus

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxLookupEdit

Hierarchy Properties Methods Events

Data aware edit with look up

Unit

RxLookup


TFormStorage.WriteState

TFormStorage

procedure WriteState ( Writer: TWriter );


TRxLookupEdit.Alignment

TRxLookupEdit

property Alignment;


TCloneDbDataset.ReadOnly

TCloneDbDataset

property ReadOnly: Boolean read FReadOnly write SetReadOnly default False;


AppUtils.GetDefaultIniName

AppUtils

Returns the default name for the application initialization file (INI-file).

property function GetDefaultIniName: string;

Description

Result string contains the name of the executable application with extension replaced by '.INI' and excluding path information. The result of GetDefaultIniName function can be passed as FileName parameter to the TIniFile constructor.

GetDefaultIniName example:

begin

__...

__IniFile := TIniFile.Create(GetDefaultIniName);

__...

end;


TRxSlider.OnDblClick

TRxSlider

property OnDblClick;


TDBDateEdit.Notification

TDBDateEdit

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TDBDateEdit.OnMouseUp

TDBDateEdit

property OnMouseUp;


TBtnControl.ImageIndex

TBtnControl

property ImageIndex: Integer read FImageIndex write FImageIndex;


TRxLabel.OnMouseLeave

TRxLabel

An OnMouseLeave event occurs when the user takes away mouse pointer from the control. You can use OnMouseEnter and OnMouseLeave event handlers to change color, font, style of control etc.

property OnMouseLeave: TNotifyEvent;


TDBDateEdit.OnDragOver

TDBDateEdit

property OnDragOver;


TRxSlider.ImageHRuler

TRxSlider

This is the the bitmap for the horizontal ruler, the background image of the slider

property ImageHRuler: TBitmap;


TRxButtonGlyph.Destroy

TRxButtonGlyph

destructor Destroy;


TRxSwitch.ShowHint

TRxSwitch

property ShowHint;


(Untitled)

TFilenameEdit Properties

TFilenameEdit By object Legend

AcceptFiles

Action

Align

Anchors

AutoSelect

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CharCase

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultExt

DesignInfo

Dialog

DialogFiles

DialogKind

DialogOptions

DialogTitle

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditMask

EditText

Enabled

FileEditStyle

FileName

Filter

FilterIndex

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

History

HistoryList

HostDockSite

ImeMode

ImeName

InitialDir

IsMasked

Left

LongName

LRDockWidth

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShortName

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TSpeedBar.Color

TSpeedBar

property Color;


TMergeManager.ActiveForm

TMergeManager

property ActiveForm: TCustomForm read GetActiveForm write SetActiveForm;


TButtonImage.DrawButtonText

TButtonImage

procedure DrawButtonText ( Canvas: TCanvas; const Caption: string; TextBounds: TRect; State: TRxButtonState; Flags: Word );


TRxCheckListBox.DragMode

TRxCheckListBox

property DragMode;


TDualListForm.CreateParams

TDualListForm

procedure CreateParams ( var Params: TCreateParams );


(Untitled)

TRxCalcEdit Properties

TRxCalcEdit Alphabetically Legend

In TRxCalcEdit

Alignment

Anchors

AutoSelect

AutoSize

BeepOnError

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CheckOnExit

ClickKey

Color

Constraints

Ctl3D

DecimalPlaces

DirectInput

DisplayFormat

DragCursor

DragKind

DragMode

Enabled

Font

FormatOnEditing

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

MaxValue

MinValue

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Value

Visible

ZeroEmpty

Derived from TCustomNumEdit

AsInteger

DisplayText

PopupVisible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TCurrencyEdit Events

TCurrencyEdit By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TRxCustomSlider.Value

TRxCustomSlider

property Value: Longint read FValue write SetValue default 0;


TRxLookupEdit.PopupOnlyLocate

TRxLookupEdit

property PopupOnlyLocate: Boolean read FPopupOnlyLocate write FPopupOnlyLocate default True;


FileUtil.LongToShortFileName

FileUtil

Use this procedure to obtain the short version of the file name specified by LongName parameter.

function LongToShortFileName(const LongName: string): string;

Description

LongToShortFileName example:

FileName := LongToShortFileName(FileName);


TRxSplitter.OnPosChanged

TRxSplitter

OnPosChanged occurs after the user has retiled the form using the splitter. Write an

OnPosChanged event handler to take specific action when the user finishes dragging

the edge of the neighboring control using the splitter.

property OnPosChanged: TNotifyEvent;


TRxCustomSlider.ThumbMouseMove

TRxCustomSlider

procedure ThumbMouseMove ( Shift: TShiftState; X , Y: Integer );


FourDigitYear

To control 2- or 4-digit year in TDateEdit, TDBDateEdit components you can use a typed constant FourDigitYear.

Unit

DateUtil

property const FourDigitYear: Boolean = True;

Description

The code in initialization section of DateUtil.pas is setting this constant to True or False depending on ShortDateFormat variable. You can set FourDigitYear to True in your project code or in initialization section of your unit (before

any of TDateEdit components created) to ensure that your users will be able to enter the year that they need.

When FourDigitYear is False the date entered is always treated as date in the current century so 01 entered now is 1901 but 01 entered in 2000 is 2001.


TRxMainMenu.OnGetItemParams

TRxMainMenu

property OnGetItemParams: TItemParamsEvent read FOnGetItemParams write FOnGetItemParams;


TRxDBLookupCombo.ImeMode

TRxDBLookupCombo

property ImeMode;


(Untitled)

TRxCustomTrackBar Methods

TRxCustomTrackBar Alphabetically Legend

In TRxCustomTrackBar

Create

Destroy

Derived from TRxCustomSlider

DefaultDrawPoints

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxClock.OnStartDrag

TRxClock

property OnStartDrag;


(Untitled)

TDirnameProperty Methods

TDirnameProperty By object Legend

Edit

GetAttributes


TDBDateEdit.HideSelection

TDBDateEdit

property HideSelection;


TRxRemoteLogin.Create

TRxRemoteLogin

constructor Create ( AOwner: TComponent );


TRxWindowHook.SetVirtualMethodAddress

TRxWindowHook Example

SetVirtualMethodAddress hooks the custom control AClass and specific type AIndex and linking it to new address.

function SetVirtualMethodAddress(AClass: TClass; AIndex: Integer; NewAddress: Pointer): Pointer;


TRxDBGrid.MultiSelect

TRxDBGrid Example

When True, the user can select multiple, non-contiguous rows using Ctrl+click or Shift+arrow keys.

property MultiSelect: Boolean read FMultiSelect write SetMultiSelect default False;


TRxSlider.Constraints

TRxSlider

property Constraints;


InitRepeatPause

Const InitRepeatPause: Pause before repeat timer (MSec).

Unit

RxSpin

property InitRepeatPause = 400;


TRxSpinEdit.OnDragOver

TRxSpinEdit

property OnDragOver;


TRxCustomRichEdit.GetCharPos

TRxCustomRichEdit

function GetCharPos ( CharIndex: Integer ): TPoint;


TTextListBox.OnDblClick

TTextListBox

property OnDblClick;


TRxSpinEdit.Anchors

TRxSpinEdit

property Anchors;


TRxCalcEdit.OnStartDock

TRxCalcEdit

property OnStartDock;


TFilenameProperty.Edit

TFilenameProperty

procedure Edit;


TRxCalcEdit.OnDblClick

TRxCalcEdit

property OnDblClick;


TSpeedBar.DragCursor

TSpeedBar

property DragCursor;


TRxRemoteLogin.OnCheckUser

TRxRemoteLogin

property OnCheckUser: TRxRemoteLoginEvent read FOnCheckUser write FOnCheckUser;


TRxTextAttributes.Height

TRxTextAttributes

property Height: Integer read GetHeight write SetHeight;


TTimeFormat

TTimeFormat is a set of values for the TimeFormat property of the TDateTimeFormat class.

Unit

DateUtil

property TTimeFormat = (tfHHMMSS, tfHMMSS, tfHHMM, tfHMM);

Description

ValueMeaning

tfHHMMSS

tfHMMSS

tfHHMM

tfHMM


(Untitled)

TSelectDataSetForm Events

TSelectDataSetForm Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TRxRichEdit.WordSelection

TRxRichEdit

property WordSelection;


TRxTextAttributes.Hidden

TRxTextAttributes

property Hidden: Boolean read GetHidden write SetHidden;


TRxDBFilter.Priority

TRxDBFilter

Priority determines the filter's priority relative to other filters on the same dataset.

property Priority: Word;


TRxCheckListBox.AllowGrayed

TRxCheckListBox

This determines whether the checkbox (on the left side of the listbox) can be in unknown (or "grayed") state.

If AllowGrayed is set to True, each item has three possible states: checked, unchecked, and grayed. If AllowGrayed is set to False, each item has only two possible states: checked and unchecked.

property AllowGrayed: Boolean;


(Untitled)

SplshWnd Properties

SplshWnd By object Legend

SplashStayOnTop


TRxCustomListBox.AutoScroll

TRxCustomListBox

property AutoScroll: Boolean read GetAutoScroll write SetAutoScroll default False;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TRxLookupControl

|

TRxDBLookupList


AppUtils.ReadFormPlacementReg

AppUtils

ReadFormPlacementReg retrieves state (normal, minimize, maximize) and placement (size and position) of Delphi form Form from the Windows 95/NT system registry.

property procedure ReadFormPlacementReg(Form: TForm; IniFile: TRegIniFile; const Section: string; LoadState, LoadPosition: Boolean);

Description

To store form's placement to the system registry use WriteFormPlacementReg procedure.

ReadFormPlacementReg example:

ReadFormPlacementReg(MyMDIChildForm, RegIniFile, MyMDIChildForm.ClassName,

True, False);


TRxCustomRichEdit.RequestSize

TRxCustomRichEdit

procedure RequestSize ( const Rect: TRect );


TRxCustomLogin.LoggedUser

TRxCustomLogin

property LoggedUser: string read GetLoggedUser;


TRxMemoryData.InternalInitRecord

TRxMemoryData

procedure InternalInitRecord ( Buffer: PChar );


TRxCalculatorForm.Create

TRxCalculatorForm

constructor Create ( AOwner: TComponent );


TDateEdit.Anchors

TDateEdit

property Anchors;


TVersionInfo.FileDescription

TVersionInfo

This contains the string specifying the file description of the file. This string may be displayed in a list box when the user is choosing files to install.

property FileDescription string;


TRxRichEdit.OnStartDock

TRxRichEdit

property OnStartDock;


(Untitled)

TRxImageControl Events


TSecretPanel.TabStop

TSecretPanel

property TabStop;


TRxGradient.Visible

TRxGradient

property Visible: Boolean read FVisible write SetVisible default False;


TRxDBCalcEdit.EditCanModify

TRxDBCalcEdit

function EditCanModify: Boolean;


TRxRemoteLogin.BeforeLogin

TRxRemoteLogin

property BeforeLogin;


(Untitled)

Hierarchy

TObject


TPopupDataWindow

Hierarchy Properties Methods Events

Internal class

Unit

RxLookup


TBookmarkList.Compare

TBookmarkList

function Compare ( const Item1 , Item2: TBookmark ): Longint;


(Untitled)

TRxDBLookupList Properties

TRxDBLookupList By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DesignInfo

DisplayEmpty

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

Field

FieldsDelimiter

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

Left

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

RowCount

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxSpinEdit.OnBottomClick

TRxSpinEdit

The OnBottomClick event is triggered when the user clicks the spin buttons in the spin button control.

property OnBottomClick: TNotifyEvent;

Description

If the user clicks the arrow buttons on the TRxSpinEdit to increment or decrement the spin button value, this event is triggered


TRxDBFilter.LogicCond

TRxDBFilter

The LogicCond property specifies a logical operator which used to create selection criteria with the ReadCaptureControls method. The valid values for LogicCond are flAND or flOR. If LogicCond is flAND, all simple filter conditions which has been read from data-aware controls, combines with "AND" logical operator. If LogicCond is flOR, the "OR" logical operator used to combine filter conditions into selection criteria (Filter property).

property LogicCond: TFilterLogicCond;


TCustomDateEdit.ButtonClick

TCustomDateEdit

procedure ButtonClick;


TDBIndexCombo.DragKind

TDBIndexCombo

property DragKind;


TNotifyThread.DoTerminate

TNotifyThread

procedure DoTerminate;


TFontComboBox.DoChange

TFontComboBox

procedure DoChange;


TRxCustomListBox.CreateItemList

TRxCustomListBox

function CreateItemList: TStrings;


TRxMemoryData.SaveToDataSet

TRxMemoryData

function SaveToDataSet ( Dest: TDataSet; RecordCount: Integer ): Integer;


TRxTrayIcon.WinAbout

TRxTrayIcon

The WinAbout procedure displays a Shell About dialog box.

property procedure WinAbout(const AppName, Stuff: string);

Description

Please note that the WinAbout procedure dialog box uses text and a default icon that are specific to either Microsoft Windows or Microsoft Windows NT. An example of a Shell About dialog box can be seen by selecting the About Program Manager command in Program Manager.

The AppName parameter is the text that the procedure displays in the title bar of the About dialog box and on the first line of the dialog box after the text "Microsoft Windows" or "Microsoft Windows NT". If the text contains a "#" separator, dividing it into two parts, the function displays the first part in the title bar, and the second part on the first line after the text "Microsoft Windows" or "Microsoft Windows NT".

The Stuff parameter is the text that the function displays in the dialog box after the version and copyright information.

> WinAbout example:

WinAbout('Delphi Demo Application', 'Borland Int., 1995');


TRxDBGrid.MouseUp

TRxDBGrid

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


THintProperty.GetEditLimit

THintProperty

function GetEditLimit: Integer;


TRxRichEdit.WantTabs

TRxRichEdit

property WantTabs;


TVersionInfo

Hierarchy Properties Methods

This manipulates the information from the Microsoft Version Resource (VERSIONINFO) structure.

Unit

RxVerInf

Description

Whenever the FileName property is changed, the class properties are updated. The read-only Valid property determines whether a version resource loaded successfully and information is valid. For more information about version resources, see your Windows API reference.


TColorComboBox.ParentFont

TColorComboBox

property ParentFont;


TRxCalcEdit.ImeName

TRxCalcEdit

property ImeName;


TCurrencyEdit.HideSelection

TCurrencyEdit

property HideSelection;


TChPswdForm

Hierarchy Properties Methods Events

Unit

ChPswDlg


TComObjectFactory.ClassID

TComObjectFactory

property ClassID: TGUID read FClassID;


TPopupWindow.CreateParams

TPopupWindow

procedure CreateParams ( var Params: TCreateParams );


(Untitled)

TSpeedItem Methods

TSpeedItem Alphabetically Legend

In TSpeedItem

ButtonClick

CheckBtnMenuDropDown

Click

Create

DefineProperties

Destroy

GetParentComponent

HasParent

InvalidateItem

ReadState

SetEnabled

SetName

SetParentComponent

SetVisible

UpdateSection

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TAppEvents Events

TAppEvents Alphabetically Legend

In TAppEvents

OnActionExecute

OnActionUpdate

OnActivate

OnActiveControlChange

OnActiveFormChange

OnDeactivate

OnException

OnHelp

OnHint

OnIdle

OnMessage

OnMinimize

OnPaintIcon

OnRestore

OnSettingsChanged

OnShortCut

OnShowHint


TDirectoryEdit.PopupMenu

TDirectoryEdit

property PopupMenu;


TColorComboBox.OnDragDrop

TColorComboBox

property OnDragDrop;


(Untitled)

TRxDBLookupList Events

TRxDBLookupList By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnStartDock

OnStartDrag


TRxTimerList.GetChildren

TRxTimerList

procedure GetChildren ( Proc: TGetChildProc; Root: TComponent );


TFontComboBox.Color

TFontComboBox

property Color;


TSecretPanel.OnEndDrag

TSecretPanel

property OnEndDrag;


ClipIcon.GetIconSize

ClipIcon

The GetIconSize procedure retrieves information about width and height (as W and H parameter correspondingly) of the specified icon.

property procedure GetIconSize(Icon: HICON; var W, H: Integer);

Description

This procedure work correctly in 32-bit version only. In Delphi 1.0 this procedure is "stub" and always retrieves SM_CXICON, SM_CYICON values.

GetIconSize example:

GetIconSize(Icon.Handle, W, H);


TRxSlider.OnDragDrop

TRxSlider

property OnDragDrop;


TRxDBGrid.OnMouseDown

TRxDBGrid

property OnMouseDown;


TRxGradientCaption.Captions

TRxGradientCaption

Gives access to the list of captions

property Captions: TRxCaptionList read FCaptions write SetCaptions;


TPicClip.OnChange

TPicClip

Event occurs when a change takes place to the picture matrix.

OnChange: TNotifyEvent;


StrUtils.LeftStr

StrUtils

LeftStr return a string right-padded to length N with blanks.

property function LeftStr(const S: string; N: Integer): string;

Description

LeftStr example:

S := 'Let It Be';

S := LeftStr(S, 10);

\\\\\\\ here S = 'Let It Be ' \\\\\\\


(Untitled)

TRxDrawGrid Events

TRxDrawGrid Alphabetically Legend

In TRxDrawGrid

OnAcceptEditKey

OnCancelEdit

OnChangeFocus

OnCheckButton

OnColumnSized

OnEditButtonClick

OnEditChange

OnFixedCellClick

OnGetEditAlign

OnGetEditLimit

OnGetEditStyle

OnGetPicklist

OnRowSized

OnShowEditor

Derived from TDrawGrid

OnClick

OnColumnMoved

OnContextPopup

OnDblClick

OnDragDrop

OnDragOver

OnDrawCell

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetEditMask

OnGetEditText

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnRowMoved

OnSelectCell

OnSetEditText

OnStartDock

OnStartDrag

OnTopLeftChanged

Derived from TWinControl

Derived from TControl


(Untitled)

TSpeedbarSetupWindow Methods

TSpeedbarSetupWindow Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDirectoryEdit.ParentCtl3D

TDirectoryEdit

property ParentCtl3D;


TRxPopupMenu.Loaded

TRxPopupMenu

procedure Loaded;


TDateEdit.OnMouseUp

TDateEdit

property OnMouseUp;


TRxCalcEdit.ShowHint

TRxCalcEdit

property ShowHint;


TRxDBLookupList.LookupSource

TRxDBLookupList

property LookupSource;


TRxCheckListBox.OnEndDock

TRxCheckListBox

property OnEndDock;


TRxDBGrid.ColumnMoved

TRxDBGrid

procedure ColumnMoved ( FromIndex , ToIndex: Longint );


TRxSliderImages.EdgeSize

TRxSliderImages

property EdgeSize: Integer read GetEdgeSize write SetEdgeSize default 2;


TSpeedBar.BevelWidth

TSpeedBar

property BevelWidth;


(Untitled)

TRxTimerList Methods

TRxTimerList Alphabetically Legend

In TRxTimerList

Activate

Add

AddItem

Clear

Create

Deactivate

Delete

Destroy

DoTimer

GetChildren

ItemByHandle

ItemIndexByHandle

NextHandle

WriteComponents

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTextListBox.ParentFont

TTextListBox

property ParentFont;


TRxCustomRichEdit.GetSelStart

TRxCustomRichEdit

function GetSelStart: Integer;


TRxDBGrid.DoTitleClick

TRxDBGrid

procedure DoTitleClick ( ACol: Longint; AField: TField );


TRxCalcEdit.ParentFont

TRxCalcEdit

property ParentFont;


TTextListBox.OnDragDrop

TTextListBox

property OnDragDrop;


TRxCheckListBox.TabWidth

TRxCheckListBox

property TabWidth;


TRxCalcEdit.OnDragDrop

TRxCalcEdit

property OnDragDrop;


TAnimatedImage.Center

TAnimatedImage

property Center: Boolean read FCenter write SetCenter default False;


TRxCustomRichEdit.FindText

TRxCustomRichEdit

function FindText ( const SearchStr: string; StartPos , Length: Integer; Options: TRichSearchTypes ): Integer;


TSpeedItem.DropDownMenu

TSpeedItem

property DropDownMenu: TPopupMenu read GetDropDownMenu write SetDropDownMenu;


TOwnerDrawComboBox

Hierarchy Properties Methods Events

Unit

RXCombos


TSpeedBar.Stored

TSpeedBar

This property determines whether or not button's position and visibility will be stored in an INI-file (or in a system registry) when application calls TSpeedbar.SaveLayout (or SaveLayourReg) method.

property Stored: Boolean read FStored write FStored default True;


TFontComboBox.ParentBiDiMode

TFontComboBox

property ParentBiDiMode;


(Untitled)

TFormHistory Properties

TFormHistory Alphabetically Legend

In TFormHistory

Current

Forms

HistoryCapacity

Derived from TList

Capacity

Count

Items

List


(Untitled)

TRxPopupDataList Methods

TRxPopupDataList Alphabetically Legend

In TRxPopupDataList

Click

Create

CreateParams

CreateWnd

KeyPress

Derived from TRxDBLookupList

DrawItemText

SetBounds

Derived from TRxLookupControl

ClearValue

Destroy

ExecuteAction

Locate

ResetField

UpdateAction

UseRightToLeftAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TRxCheckListBox.OnMouseWheelDown

TRxCheckListBox

property OnMouseWheelDown;


TRxRichEdit.Align

TRxRichEdit

property Align;


TRxTimerList.ItemByHandle

TRxTimerList

This returns the handle to the event by ordinal number.

property function ItemByHandle(AHandle: Longint): TRxTimerEvent;

Description

This converts a "handle to the event" to the actual event.


TRxTrayIcon.Icons

TRxTrayIconSee also

The Icons property is used to define the animation that will occur when a Tray Icon has Active property set to True and Animated property set to True also (if Animated property is False, the static Icon property use instead).

property Icons: TIconList;

Description

The property editor of the Icons property allows you to load Windows animation cursors (ani-files) to this property.


TRichEditURLClickEvent

Unit

RxRichEd

TRichEditURLClickEvent ( Sender : TObject ; const URLText : string ; Button : TMouseButton )of object ;


TRxDice.PopupMenu

TRxDice

property PopupMenu;


(Untitled)

TLookupSourceLink Methods

TLookupSourceLink Alphabetically Legend

In TLookupSourceLink

ActiveChanged

DataSetChanged

LayoutChanged

Derived from TDataLink

Create

Destroy

Edit

ExecuteAction

UpdateAction

UpdateRecord

Derived from TPersistent

Assign

GetNamePath


(Untitled)

TBtnControl Methods

TBtnControl By object Legend

Activate

Assign

AssignSpeedItem

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

ReleaseHandle

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxCheckListBox.EnabledItem

TRxCheckListBox

This indicates whether the items in the list are enabled (i.e. user can check and uncheck these items) or disabled (user cannot do anything with that record on the list)

property EnabledItem[Index: Integer]: Boolean;

Description

For each member of the Items array, EnabledItem indicates whether this item is enabled. Any item that is disabled appears in the "disabled font style" and the associated check box cannot be changed.

The Index value is zero based (ordinal) and corresponds to the index used in the Items property. Use this property to enable or disable individual list item in a TRxCheckList component.

Note: If Index is -1, there are no items on the list.


TSQLScript.Destroy

TSQLScript

destructor Destroy;


TDBStatusLabel.SetName

TDBStatusLabel

procedure SetName ( const Value: TComponentName );


(Untitled)

TResourceStream Properties

TResourceStream By object Legend

Handle

Position

Size


(Untitled)

TDatabaseList Methods

TDatabaseList Alphabetically Legend

Derived from TCustomBDEItems

Locate

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

Create

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxDBFilter Methods

TRxDBFilter Alphabetically Legend

In TRxDBFilter

Activate

ActiveChanged

Create

Deactivate

Destroy

DoActivate

DoDeactivate

DropAllFilters

Loaded

Notification

ReadCaptureControls

ReleaseCapture

SetCapture

Update

UpdateFuncFilter

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TConverter.SetAsFloat

TConverter

procedure SetAsFloat ( Value: Double );


TRxButtonGlyph.Invalidate

TRxButtonGlyph

procedure Invalidate;


TSecretPanel.BiDiMode

TSecretPanel

property BiDiMode;


TRxCalcEdit.ParentCtl3D

TRxCalcEdit

property ParentCtl3D;


TSpeedItem.Spacing

TSpeedItem

property Spacing: Integer read GetSpacing write SetSpacing default 4


(Untitled)

TRxTrayIcon Methods

TRxTrayIcon Alphabetically Legend

In TRxTrayIcon

Create

DblClick

Destroy

DoClick

FileExecute

FileExecuteWait

Hide

IconExtract

Loaded

MouseDown

MouseMove

MouseUp

Notification

Show

UpdateNotifyData

WinAbout

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTrayIcon.Show

TRxTrayIcon

procedure Show;


TDateTimeFormat.LongDate

TDateTimeFormat

property LongDate: Boolean read FLongDate write FLongDate default False;


TRxDBComboEdit.PopupMenu

TRxDBComboEdit

property PopupMenu;


TConverter.OnChange

TConverter

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxSpinEdit.MinValue

TRxSpinEdit

Use this property to specify the minimum Value that can be entered.

property MinValue: Double;


TRxCheckListBox.ApplyState

TRxCheckListBox

This updates the property of the CheckedListBox.

procedure ApplyState(AState: TCheckBoxState; EnabledOnly: Boolean);

Description

- if the new state is ckCheckBoxes, nothing occurs, except the state is changed to ckCheckBoxes.

- if the new state is ckRadioButtons, the EnabledOnly boolean variable is used to set whether the check list box is enabled or disabled.


TPageManager.NextEnabled

TPageManager

The variable contained enables or disable the "Next" button defined on the form.

property NextEnabled: Boolean;


TSpeedItem.SpeedBar

TSpeedItem

property SpeedBar: TSpeedBar read FParent;


TDBCallback.Destroy

TDBCallback

destructor Destroy;


TTableList.GetTableName

TTableList

function GetTableName: string;


TComboEdit.Visible

TComboEdit

property Visible;


TComboEdit.AutoSelect

TComboEdit

property AutoSelect;


TDirectoryEdit.OnStartDrag

TDirectoryEdit

property OnStartDrag;


(Untitled)

EOleSysError Methods

EOleSysError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TMemDataSetEditor.GetVerb

TMemDataSetEditor

function GetVerb ( Index: Integer ): string;


TDBProgress.OnProgress

TDBProgress

The OnProgress event occurs every time progress information is returned from the database engine (BDE).

property OnProgress: TOnProgressEvent;

Description

This event is only generated when Active is set to True. To abort the current database operation, set the Abort variable to False. The effect the abort will have depends of the nature of the database operation that is being aborted.


TRxTrayIcon.Animated

TRxTrayIcon

The Animated property is used to show animated icons in Windows 95 Tray.

property Animated: Boolean;

Description

The icons to be used in the animation are listed in the Icons property, and the time to wait between animation frames is specified by the Interval property.

If the Animated property is True, the Icons property used to show animation in the Tray, if the Animated property is False, then icon specified by the Icon property used to show static icon in the Windows 95 Tray.


TChangeStateEvent

TChangeStateEvent is the type of the OnChangeState event of the TRxCheckListBox component.

Unit

RXCtrls

property TChangeStateEvent = procedure (Sender: TObject; Index: Integer) of object;


TColorComboBox.OnChange

TColorComboBox

property OnChange: TNotifyEvent read FOnChange write FOnChange;


THugeList

Hierarchy Properties Methods Events

Class THugeList is 16-bit class similar to TList, but the indexes are of type LongInt, rather than Integer.

Unit

ObjStr

Description

The size of the list is limited only by the amount of virtual memory that can be allocated from Windows. Each item is a Pointer. THugeList never dereferences this pointer, and it can be any value you want it to be. When items are deleted from the list and when the list is destroyed, these items are not freed or dereferenced.

If you know that your indexes will be smaller than 16K, then use TList, not THugeList, to obtain better performance. Note that THugeList is not fully optimized for performance.

NOTE. In 32-bit version the THugeList class is a stub and declared as THugeList = TList;

Const MaxHugeListSize

property MaxHugeListSize = MaxLongint div SizeOf(Pointer);

The MaxHugeListSize constant represents the largest number of items a THugeList

object can contain.


TRxSpeedButton.NumGlyphs

TRxSpeedButton

property NumGlyphs: TRxNumGlyphs read GetNumGlyphs write SetNumGlyphs default 1;


(Untitled)

TBtnControl Events


(Untitled)

TComServerObject Methods

TComServerObject By object Legend

CountFactory

CountObject

GetHelpFileName

GetServerFileName

GetServerKey

GetServerName

GetStartSuspended

GetTypeLib

SetHelpFileName


TRxClock.CreateWnd

TRxClock

procedure CreateWnd;


TRxRichEdit.ParentCtl3D

TRxRichEdit

property ParentCtl3D;


TRxSwitch.ToggleKey

TRxSwitch

property ToggleKey: TShortCut read FToggleKey write FToggleKey default VK_SPACE;


(Untitled)

TRxDBCalcEdit Properties

TRxDBCalcEdit Alphabetically Legend

In TRxDBCalcEdit

Alignment

Anchors

AutoSelect

BeepOnError

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CheckOnExit

ClickKey

Color

Constraints

Ctl3D

DataField

DataSource

DecimalPlaces

DefaultParams

DirectInput

DisplayFormat

DragCursor

DragKind

DragMode

Enabled

Field

Font

FormatOnEditing

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

MaxValue

MinValue

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Visible

ZeroEmpty

Derived from TCustomNumEdit

AsInteger

DisplayText

PopupVisible

Value

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDualListDialog.List1

TDualListDialog

Property List1 is the source container. List1 contain the strings which would be transferred to List2.

property List1: TStrings;


TDualListDialog.List2

TDualListDialog

Property List2 is the target container. The items in List1 are transferred to List2.

property List2: TStrings;


TRxRemoteLogin.AttemptNumber

TRxRemoteLogin

property AttemptNumber;


(Untitled)

TSpeedbarSetupWindow Events

TSpeedbarSetupWindow Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TComObject.Create

TComObject

constructor Create;


TRxDBComboEdit.Create

TRxDBComboEdit

constructor Create ( AOwner: TComponent );


TMemoryTable

Hierarchy Properties Methods Events

BDE in-memory table component

Unit

MemTable


TRxMemoryData.BeforeClose

TRxMemoryData

property BeforeClose;


TCustomDateEdit.KeyDown

TCustomDateEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TSpeedBar.ChangeScale

TSpeedBar

procedure ChangeScale ( M , D: Integer );


TPageNameProperty

Hierarchy

Unit

PgMngrEd


TProxyEditor.Activated

TProxyEditor

procedure Activated;


TRxSpinEdit.DragKind

TRxSpinEdit

property DragKind;


TAppEvents.OnActionUpdate

TAppEvents

property OnActionUpdate: TActionEvent read FOnActionUpdate write FOnActionUpdate;


TQBEQuery.Prepare

TQBEQuery

procedure Prepare;


TRxDBCalcEdit.AcceptValue

TRxDBCalcEdit

procedure AcceptValue ( const Value: Variant );


TQBEQuery.CreateHandle

TQBEQuery

function CreateHandle: HDBICur;


TVertAlignment

TVertAlignment is a set of values for the VertAlign parameter of the DrawCellText procedure.

Unit

VclUtils

property TVertAlignment = (vaTopJustify, vaCenter, vaBottomJustify);

Description

ValueMeaning

vaTopJustify

vaCenter

vaBottomJustify


TRxDBComboBox.SetStyle

TRxDBComboBox

procedure SetStyle ( Value: TComboBoxStyle );


TIniLink.Destroy

TIniLink

destructor Destroy;


TGIFImage.AddFrame

TGIFImage

function AddFrame ( Value: TGraphic ): Integer;


TRxLookupEdit.HideSelection

TRxLookupEdit

property HideSelection;


TCurrencyEdit.ParentShowHint

TCurrencyEdit

property ParentShowHint;


TCurrencyEdit.Color

TCurrencyEdit

property Color;


TFontComboBox.DragCursor

TFontComboBox

property DragCursor;


(Untitled)

TMinMaxProperty Methods

TMinMaxProperty Alphabetically Legend

In TMinMaxProperty

Edit

GetAttributes

GetValue


TRxDBCalcEdit.OnExit

TRxDBCalcEdit

property OnExit;


(Untitled)

TRxGIFAnimator Properties

TRxGIFAnimator By object Legend

Action

Align

Anchors

Animate

AsyncDrawing

AutoSize

BiDiMode

BoundsRect

Center

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

FrameIndex

Height

Hint

HostDockSite

Image

Left

Loop

LRDockWidth

Name

Owner

Parent

ParentShowHint

PopupMenu

ShowHint

Stretch

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc


TRxCustomSlider.CanModify

TRxCustomSlider

function CanModify: Boolean;


(Untitled)

TFormPlacement Properties

TFormPlacement By object Legend

Active

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Form

IniFile

IniFileName

IniFileObject

IniSection

MinMaxInfo

Name

Options

Owner

PreventResize

RegIniFile

Tag

UseRegistry

VCLComObject


TMetafileCanvas.Destroy

TMetafileCanvas

destructor Destroy;


TRxClock.BorderWidth

TRxClock

property BorderWidth;


TCurrencyEdit.Font

TCurrencyEdit

property Font;


TRxDBLookupList.DoMouseWheelDown

TRxDBLookupList

function DoMouseWheelDown ( Shift: TShiftState; MousePos: TPoint ): Boolean;


TDBDateEdit.OnButtonClick

TDBDateEdit

property OnButtonClick;


TStoredProcList

Hierarchy Properties Methods Events

Child of TCustomDatabaseItems component

Unit

DBLists

Description

List of stored procedures.


TRxCalcEdit.OnStartDrag

TRxCalcEdit

property OnStartDrag;


TDirectoryEdit.ButtonClick

TDirectoryEdit

procedure ButtonClick;


(Untitled)

TDualListForm Events

TDualListForm By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


THugeList.Put

THugeList

procedure Put ( Index: Longint; Item: Pointer );


TRxMemoryData

Hierarchy Properties Methods Events

RXLib 2.60 new component. This is a memory table that does'nt need nor use the BDE nor the DBClient DLL.

Unit

RxMemDS

Description

It acts as a TDataSet and can be connected to all standard Delphi data-aware components.


TRxMemoryData.InternalSetToRecord

TRxMemoryData

procedure InternalSetToRecord ( Buffer: PChar );


TRxDice.Colour

TRxDice

Colour property sets the background colour.

Colour : tColour


TComServerObject.TypeLib

TComServerObject

property TypeLib: ITypeLib read GetTypeLib;


TRxCustomLogin.DoIconDblCLick

TRxCustomLogin

procedure DoIconDblCLick ( Sender: TObject );


TOnMessageChange

The TOnMessageChange type points to the method that handles the OnMessageChange event of the TDBProgress component.

Unit

DbPrgrss

property TOnMessageChange = procedure(Sender: TObject; const Msg: string) of object;

Description

The Msg parameter contains the last progress message passed back from the database engine.


TRxDBRichEdit.OnChange

TRxDBRichEdit

property OnChange;


(Untitled)

StrUtils Methods

StrUtils By object Legend

AddChar

AddCharR

AnsiProperCase

CenterStr

CompStr

Copy2Space

Copy2SpaceDel

Copy2Symb

Copy2SymbDel

Dec2Hex

Dec2Numb

DelBSpace

DelChars

DelESpace

DelRSpace

DelSpace

DelSpace1

ExtractDelimited

ExtractSubstr

ExtractWord

ExtractWordPos

FindPart

Hex2Dec

IntToRoman

IsEmptyStr

IsWild

IsWordPresent

LeftStr

MakeStr

MS

NPos

Numb2Dec

Numb2USA

OemToAnsiStr

ReplaceStr

RightStr

RomanToInt

StrToOem

Tab2Space

WordCount

WordPosition


TDBStatusLabel.GetDefaultFontColor

TDBStatusLabel

function GetDefaultFontColor: TColor;


(Untitled)

TRecentStrings Properties

TRecentStrings Alphabetically Legend

In TRecentStrings

MaxSize

Mode

Derived from TStringList

Duplicates

Sorted

Derived from TStrings

Capacity

CommaText

Count

Names

Objects

Strings

StringsAdapter

Text

Values


(Untitled)

TDatabaseDesc Properties

TDatabaseDesc By object Legend

Description


TRxTimerList.Cycled

TRxTimerList

Set the Active property to True to define what event to occur whenever a specified period of time passes. You use the Interval property to control the amount of time between timer events (in milliseconds). You can not use RepeatCount property anyhow. Set the Active property to False to define what event to occur only one time and after it Enabled property has been False value.

You can use RepeatCount to define number of occured times. You can use ExecCount property for definition of the times occured events after execute TRxTimerList.

property Cycled: Boolean;


(Untitled)

TDBStatusLabel Methods

TDBStatusLabel Alphabetically Legend

In TDBStatusLabel

Create

Destroy

GetCaption

GetDefaultFontColor

GetLabelCaption

Loaded

Notification

Paint

SetName

UpdateData

UpdateStatus

Derived from TRxCustomLabel

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TColorComboBox.Destroy

TColorComboBox

destructor Destroy;


TRxDice.OnExit

TRxDice

property OnExit;


TRxDBCalcEdit.GetDisplayText

TRxDBCalcEdit

function GetDisplayText: string;


(Untitled)

TMemBlobStream Properties

TMemBlobStream By object Legend

Position

Size


DateUtil.IncDate

DateUtil

IncDate adjusts a date by the specified number of days, months, and years.

property function IncDate(ADate: TDateTime; Days, Months, Years: Integer): TDateTime;

Description

IncDate adds (or subtracts) the specified number of Days, Months, and Years to (or from) a date ADate.

IncDate example:

var D1, D2: TDateTime; S: string;

begin

ShortDateFormat := 'dd.mm.yy';

D1 := StrToDate('24.03.1994');

D2 := IncDate(D1, 38, 5, 2);

S := DateToStr(D2);

\\\\\\\ here S = '01.10.96' \\\\\\\

end;


TRxDBComboBox.Style

TRxDBComboBox

property Style;


TFilenameEdit.ReadOnly

TFilenameEdit

property ReadOnly;


(Untitled)

TProgressControlProperty Methods

TProgressControlProperty By object Legend

FreeHandle

GetValues

Reference

Release


TRxRichEdit.OnStartDrag

TRxRichEdit

property OnStartDrag;


TTextListBox.TabOrder

TTextListBox

property TabOrder;


TDirectoryEdit.AutoSelect

TDirectoryEdit

property AutoSelect;


TSpeedItem.Tag

TSpeedItem

property Tag: Longint read GetTag write SetTag default 0


TRxDBCalcEdit.HideSelection

TRxDBCalcEdit

property HideSelection;


(Untitled)

TFontComboBox Properties

TFontComboBox Alphabetically Legend

In TFontComboBox

Anchors

BiDiMode

Color

Constraints

Ctl3D

Device

DragCursor

DragKind

DragMode

Enabled

Font

FontName

ImeMode

ImeName

Options

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

Style

TabOrder

TabStop

TrueTypeOnly

Visible

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

Items

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDateEdit.BlanksChar

TDateEdit

property BlanksChar;


RXMemory.CopyStructure

RXMemory

This method allows you copy field structure from another dataset ASource to the in-memory table.

procedure CopyStructure(ASource: TDataSet);

Description

After copying call Open or set Active property to True to activate in-memory table with new structure.


TRxCustomLabel.ShowAccelChar

TRxCustomLabel

property ShowAccelChar: Boolean read FShowAccelChar write SetShowAccelChar default True;


TAnimatedImage.Loaded

TAnimatedImage

procedure Loaded;


TDBLoginDialog.OnIconDblClick

TDBLoginDialog

property OnIconDblClick: TNotifyEvent read FIconDblClick write FIconDblClick;


TDateEdit.ImeName

TDateEdit

property ImeName;


(Untitled)

TGIFImage Methods

TGIFImage By object Legend

AddFrame

Assign

AssignTo

Clear

ClearItems

Create

DecodeAllFrames

DeleteFrame

Destroy

Draw

EncodeAllFrames

Equals

GetEmpty

GetHeight

GetNamePath

GetPalette

GetTransparent

GetWidth

Grayscale

LoadFromClipboardFormat

LoadFromFile

LoadFromResourceID

LoadFromResourceName

LoadFromStream

MoveFrame

NewImage

Progress

ReadData

SaveToClipboardFormat

SaveToFile

SaveToStream

SetHeight

SetWidth

UniqueImage

WriteData


(Untitled)

TRxDBComboBox Methods

TRxDBComboBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClientToScreen

Compare

ContainsControl

ControlAtPos

Create

CreateParented

CurrentRow

DefaultHandler

Delete

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

Find

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetComboText

GetControlsAlignment

GetNamePath

GetPaintText

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

IndexOf

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

LinkActive

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetComboText

SetFocus

SetStyle

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TSpeedItem.Top

TSpeedItem

property Top: Integer read GetTop write SetTop default 0


TConverter.SetAsString

TConverter

procedure SetAsString ( const Value: string );


(Untitled)

TRxSpeedButton Events

TRxSpeedButton Alphabetically Legend

In TRxSpeedButton

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TControl


(Untitled)

TOEMConversion Methods

TOEMConversion Alphabetically Legend

In TOEMConversion

ConvertReadStream

ConvertWriteStream


TRxCustomListBox.GetItemData

TRxCustomListBox

function GetItemData ( Index: Integer ): Longint;


TVersionInfo.InternalName

TVersionInfo

This contains the string specifying the internal name of the file, (if exists)

property InternalName: string;

Description

For example, a module name if the file is a dynamic-link library. If the file has no internal

name, this string should be the original filename, without extension.


TFontComboBox.OnKeyUp

TFontComboBox

property OnKeyUp;


StrUtils.DelESpace

StrUtils

DelESpace trims trailing spaces from the given string.

property function DelESpace(const S: string): string;

Description

DelESpace example:

var S: string;

begin

__S := 'Let It Be ';

__S := DelSpace(S);

__ShowMessage(S); \\\\\\\ here S = 'Let It Be' \\\\\\\

end;


TFileChangeFilter

Filter Options

Unit

RxNotify

Description

ValueMeaning

fnFileName

fnDirName

fnAttributes

fnSize

fnLastWrite

fnLastAccess

fnCreation

fnSecurity


TButtonImage.ButtonSize

TButtonImage

property ButtonSize: TPoint read FButtonSize write FButtonSize;


FileUtil.DeleteFiles

FileUtil

The DeleteFiles function erases all file specified by FileMask from the disk.

function DeleteFiles(const FileMask: string): Boolean;

Description

If files cannot be deleted or does not exist, the function returns False.

DeleteFiles example:

DeleteFiles('work.pas');


TDBDateEdit.UpdateAction

TDBDateEdit

function UpdateAction ( Action: TBasicAction ): Boolean;


TRxDBComboEdit.ParentColor

TRxDBComboEdit

property ParentColor;


TRxDBComboBox.ShowHint

TRxDBComboBox

property ShowHint;


TMRUManager.Strings

TMRUManager

Strings property can be used to direst access to list of elements stored in the TMRUManager component.

property Strings: TStrings;

Description

By using this property you can assign MRU-strings to another controls, for example, to list-boxes or to combo-boxes:

ListBox1.Items := MRUManager1.Strings;


(Untitled)

Hierarchy

TIExpert


TPopupWindow.GetValue

TPopupWindow

function GetValue: Variant;


TConverter.RaiseOnError

TConverter

This property determines whether or not an exception is raised when error of type conversion is occured. Default value is True.

property RaiseOnError: Boolean;


TRxDBLookupList.CreateParams

TRxDBLookupList

procedure CreateParams ( var Params: TCreateParams );


TSpeedBar.FindSpeedBar

TSpeedBar

FindSpeedBar attempts to find if the speedbar is at position X and Y.

property function FindSpeedBar(const Pos: TPoint): TSpeedBar;

Description

FindSpeedBar example:

__Bar := FindSpeedBar(Point(X, Y));

__if Bar <> nil then

__begin

____\\\\\\\...\\\\\\\

__end;


TRxSwitch.Visible

TRxSwitch

property Visible;


TAutoObject.EventConnect

TAutoObject

procedure EventConnect ( const Sink: IUnknown; Connecting: Boolean );


TProjectNotifier.Create

TProjectNotifier

constructor Create ( AProjectResources: TRxProjectResExpert );


TRxCheckListBox.OnEndDrag

TRxCheckListBox

property OnEndDrag;


TRxLabel.Constraints

TRxLabel

property Constraints;


(Untitled)

TScreenCanvas Events

TScreenCanvas Alphabetically Legend

Derived from TCanvas

OnChange

OnChanging


TOleController.CallProcedure

TOleController

CallProcedure calls a procedure AName with parameters Params.

property procedure CallProcedure(const AName: string; const Params: array of


(Untitled)

TPictureEditDialog Properties

TPictureEditDialog Alphabetically Legend

In TPictureEditDialog

DecreaseColors

GraphicClass

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TWinMinMaxInfo.MaxTrackHeight

TWinMinMaxInfo

The MinTrackHeight property specifies the minimum tracking height of the form at run-time.

property MaxTrackHeight: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


TTimerItemsEditor.OwnerForm

TTimerItemsEditor

property OwnerForm: TCustomForm read GetForm;


TRxDBCalcEdit.MinValue

TRxDBCalcEdit

property MinValue;


TRxWindowHook.HookWindow

TRxWindowHook

Get HWND for specified window

HookWindow HWND;


TRxDBComboBox.Font

TRxDBComboBox

property Font;


TLocateFilter

Defines the type of a TDBLocate filter.

Unit

BdeUtils

Description

ValueMeaning

lfTree :BDE low level tree-like filter

lfCallback :BDE User Defined Filter (using callback).


TRxQuery

Hierarchy Properties Methods Events

A TQuery supporting Macros and offering some new features

Unit

RxQuery


TRxCheckListBox.DestroyWnd

TRxCheckListBox

procedure DestroyWnd;


TTextPos

This sets the state of where the text position is.

Unit

RXSwitch

TTextPos = (tpRight, tpLeft, tpAbove, tpBelow, tpNone);

Description

TTextPos is a set of values for the TextPosition property of the TRxSwitch component.

ValueMeaning

tpNone

tpLeft

tpRight

tpAbove

tpBelow


TFormPlacement.OnRestorePlacement

TFormPlacement

When the screen is restored, this event is triggered.

property OnRestorePlacement: TNotifyEvent;

Description

A good usage is, "your computer hanged on the previous session. The previous contents of your document has been saved to a temporary file. Would you like to restore the contents of the temporary file?"


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TDataLink


TRxDice

Hierarchy Properties Methods Events

The purpose of this component is to emulate a dice.

Unit

RXDice

Description

RX Dice is a custom control representing a dice. This has six states (1,2,3,4,5,6).


TMemoryTable.EmptyTable

TMemoryTable

procedure EmptyTable;


TDirectoryEdit.OnChange

TDirectoryEdit

property OnChange;


TRxDBGrid.AcquireFocus

TRxDBGrid

function AcquireFocus: Boolean;


TPageProxy.HasParent

TPageProxy

function HasParent: Boolean;


TDBDateEdit.BiDiMode

TDBDateEdit

property BiDiMode;


(Untitled)

TRxSlider Methods

TRxSlider Alphabetically Legend

In TRxSlider

DefaultDrawPoints

Derived from TRxCustomSlider

Create

Destroy

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxCustomLogin.BeforeLogin

TRxCustomLogin

property BeforeLogin: TNotifyEvent read FBeforeLogin write FBeforeLogin;


(Untitled)

TComClassManager Methods

TComClassManager By object Legend

Create

Destroy

ForEachFactory

GetFactoryFromClass

GetFactoryFromClassID


TRxCalculator.Create

TRxCalculator

constructor Create ( AOwner: TComponent );


StrUtils.Copy2SymbDel

StrUtils

Copy2SymbDel returns a substring of a string S from begining to first character Symb and removes this substring from S.

property function Copy2SymbDel(var S: string; Symb: Char): string;

Description

Copy2SymbDel example:

S := 'Let-it-be';

S1 := Copy2SymbDel(S, '-');

\\\\\\\ here S1 = 'Let', S = 'it-be' \\\\\\\


TGIFImage.ReadData

TGIFImage

procedure ReadData ( Stream: TStream );


TRxCustomLogin.DoAfterLogin

TRxCustomLogin

procedure DoAfterLogin;


TButtonImage.Invalidate

TButtonImage

procedure Invalidate;


TFormPropsDlg

Hierarchy Properties Methods Events

Unit

PresrDsn


TVersionInfo.ProductVersion

TVersionInfo

This contains the string specifying the version of the product with which the file is distributed--for example, "3.10" or "5.00.RC2". For more information about version, see the Windows API reference.

property ProductVersion: string;


TSharedImage.Release

TSharedImage

procedure Release;


(Untitled)

TCustomNumEdit Properties

TCustomNumEdit Alphabetically Legend

In TCustomNumEdit

Alignment

AsInteger

BeepOnError

CheckOnExit

DecimalPlaces

DisplayFormat

DisplayText

FormatOnEditing

Formatting

MaxValue

MinValue

Text

Value

ZeroEmpty

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TPictureEditDialog.GraphicClass

TPictureEditDialog

property GraphicClass: TGraphicClass read FGraphicClass write SetGraphicClass;


TSecretPanel.Interval

TSecretPanel

property Interval: Cardinal read GetInterval write SetInterval default 30


TRxLabel.OnDblClick

TRxLabel

property OnDblClick;


TAppEvents.OnActionExecute

TAppEvents

OnActionExecute: TActionEvent read FOnActionExecute write FOnActionExecute;


(Untitled)

TRxQueryThread Properties

TRxQueryThread By object Legend

FreeOnTerminate

Handle

Priority

Suspended

ThreadID


TRxDBCalcEdit.DragKind

TRxDBCalcEdit

property DragKind;


TGIFImage.PixelFormat

TGIFImage

property PixelFormat: TPixelFormat read GetPixelFormat;


TRxSpinEdit.AutoSelect

TRxSpinEdit

property AutoSelect;


TRxHintWindow.Create

TRxHintWindow

constructor Create ( AOwner: TComponent );


TRxCustomRichEdit.GetPopupMenu

TRxCustomRichEdit

function GetPopupMenu: TPopupMenu;


TRxIniFile.Create

TRxIniFile

constructor Create ( const FileName: string );


TCustomNumEdit.UpdateData

TCustomNumEdit

procedure UpdateData;


TComObjectFactory.Create

TComObjectFactory

constructor Create ( ComServer: TComServerObject; ComClass: TComClass; const ClassID: TGUID; const ClassName , Description: string; Instancing: TClassInstancing; ThreadingModel: TThreadingModel = tmSingle );


TRxWindowHook.UnhookControl

TRxWindowHook

procedure UnhookControl;


(Untitled)

TRxCaptionList Methods

TRxCaptionList By object Legend

Add

Assign

BeginUpdate

Clear

Create

Delete

Destroy

EndUpdate

FindItemID

GetNamePath

GetOwner

Insert

RestoreDefaults

Update


TCustomComboEdit.KeyDown

TCustomComboEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxNumberingStyle

Unit

RxRichEd

Description

ValueMeaning

nsParenthesis

nsPeriod

nsEnclosed

nsSimple


TRxCustomSlider.OnChange

TRxCustomSlider

property OnChange: TNotifyEvent read FOnChange write FOnChange;


(Untitled)

TRxCustomLabel Methods

TRxCustomLabel By object Legend

AdjustBounds

Assign

BeforeDestruction

BeginDrag

BringToFront

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDefaultFontColor

GetLabelCaption

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseDown

MouseEnter

MouseLeave

MouseUp

Notification

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TWinMinMaxInfo.MaxTrackWidth

TWinMinMaxInfo

The MaxTrackHeight and MaxTrackWidth properties specifies the maximum tracking width and the maximum tracking height of the form.

property MaxTrackWidth: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


TLocateObject.RestoreFields

TLocateObject

Restore fields from ini file

property procedure RestoreFields(DataSet: TDataSet; IniFile: TIniFile; RestoreVisible: Boolean);

Description

RestoreFields procedure restores widths (in pixels) and indexes of dataset's fields from the INI-file specified in IniFile parameter, previously stored by SaveFields procedure. Can be used to save and restore field's parameters changed by user, for example, in a DBGrid component.

RestoreFields example:

procedure RestoreLayout;

var

__IniFile: TIniFile;

begin

__IniFile := TIniFile.Create(FormStorage.IniFileName);

__try

____RestoreFields(DataSet, IniFile);

__finally

____IniFile.Free;

__end;

end;


TScriptAction

Unit

RxQuery

Description

ValueMeaning

saFail

saAbort

saRetry

saIgnore

saContinue


TMergeManager.DoReorder

TMergeManager

procedure DoReorder ( Deactivated: TCustomForm );


TPageManager.GetPriorPageIndex

TPageManager

THIS TOPIC IS NOT COMPLETE!

property function GetPriorPageIndex(Page: Integer): Integer;


TFilenameEdit.DialogOptions

TFilenameEdit

DialogOptions is a set of flags that determine the behavior of the popup dialog. This property allows you to set the Options property of the TOpenDialog component.

DialogOptions: TOpenOptions;


(Untitled)

TEditButton Properties

TEditButton By object Legend

Action

Align

Alignment

AllowAllUp

AllowTimer

Anchors

BiDiMode

BoundsRect

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

Down

DragCursor

DragKind

DragMode

DropDownMenu

Enabled

Flat

Floating

FloatingDockSiteClass

Font

Glyph

GrayedInactive

GroupIndex

Height

Hint

HostDockSite

InitPause

Layout

Left

LRDockWidth

Margin

MarkDropDown

MenuPosition

ModalResult

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentFont

ParentShowHint

RepeatInterval

ShowHint

Spacing

Style

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc

WordWrap


TRxCustomSlider.GetSliderRect

TRxCustomSlider

function GetSliderRect: TRect;


(Untitled)

TRxRichEdit Properties

TRxRichEdit Alphabetically Legend

In TRxRichEdit

Align

Alignment

AllowInPlace

AllowObjects

Anchors

AutoURLDetect

AutoVerbMenu

BiDiMode

BorderStyle

BorderWidth

Color

Constraints

Ctl3D

DragCursor

DragKind

DragMode

Enabled

Font

HideScrollBars

HideSelection

ImeMode

ImeName

LangOptions

Lines

MaxLength

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PlainText

PopupMenu

ReadOnly

ScrollBars

SelectionBar

ShowHint

StreamFormat

StreamMode

TabOrder

TabStop

Title

UndoLimit

Visible

WantReturns

WantTabs

WordSelection

WordWrap

Derived from TRxCustomRichEdit

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

DefAttributes

DefaultConverter

PageRect

Paragraph

RedoName

SelAttributes

SelectionType

UndoName

WordAttributes

Derived from TCustomEdit

Modified

SelLength

SelStart

SelText

Text

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCustomRichEdit.WordAtCursor

TRxCustomRichEdit

function WordAtCursor: string;


TSecretPanel.PaintClient

TSecretPanel

procedure PaintClient ( Canvas: TCanvas; Rect: TRect );


TRxGIFAnimator.Change

TRxGIFAnimator

procedure Change;


TRxGIFAnimator.OnStartDock

TRxGIFAnimator

property OnStartDock;


(Untitled)

TRxClock Properties

TRxClock By object Legend

Action

AlarmEnabled

AlarmHour

AlarmMinute

AlarmSecond

Align

Anchors

AutoSize

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BorderWidth

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DockSite

DotsColor

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

FullRepaint

Handle

Height

HelpContext

Hint

HostDockSite

LeadingZero

Left

LRDockWidth

Name

Owner

Parent

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ShowHint

Showing

ShowMode

ShowSeconds

TabOrder

TabStop

Tag

TBDockHeight

Top

TwelveHour

UndockHeight

UndockWidth

UseDockManager

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPageManager.CheckBtnEnabled

TPageManager

procedure CheckBtnEnabled;


TRxDBGrid.SaveLayoutReg

TRxDBGrid

This method saves the current layout information of the DbGrid to the registry

procedure SaveLayoutReg ( IniFile: TRegIniFile );


TMergeManager.OnGetForwardForm

TMergeManager

OnGetForwardForm

property OnGetForwardForm: TFormRequestEvent read FOnGetForwardForm write FOnGetForwardForm;


TRxDBRichEdit.Anchors

TRxDBRichEdit

property Anchors;


TCurrencyEdit.PopupMenu

TCurrencyEdit

property PopupMenu;


TGIFFrame.TransparentColor

TGIFFrame

TransparentColor is a color that will treat as the transparent portion of the GIF image.

property TransparentColor: TColor;


TSpeedItem.Enabled

TSpeedItem

property Enabled: Boolean read FEnabled write SetEnabled default True;


TRxDBCalcEdit.DataSource

TRxDBCalcEdit

property DataSource: TDataSource read GetDataSource write SetDataSource;


TCustomNumEdit.KeyPress

TCustomNumEdit

procedure KeyPress ( var Key: Char );


TDirectoryEdit.NumGlyphs

TDirectoryEdit

property NumGlyphs;


TDBDateEdit.StartOfWeek

TDBDateEdit

property StartOfWeek;


TRxLookupEdit.OnStartDock

TRxLookupEdit

property OnStartDock;


TColorComboBox.Ctl3D

TColorComboBox

property Ctl3D;


(Untitled)

TSpeedItem Properties

TSpeedItem Alphabetically Legend

In TSpeedItem

Action

AllowAllUp

AllowTimer

ASection

BtnCaption

Button

Caption

Cursor

Down

DropDownMenu

Enabled

Font

Glyph

GroupIndex

Hint

ImageIndex

Layout

Left

Margin

MarkDropDown

NumGlyphs

ParentFont

ParentShowHint

ShowHint

Spacing

SpeedBar

Stored

Tag

Top

Visible

WordWrap

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

VCLComObject


TRxDBComboBox.OnDrawItem

TRxDBComboBox

property OnDrawItem;


TRxIniFile.OnReadObject

TRxIniFile

OnReadObject event is triggered when the data is read.

property OnReadObject: TReadObjectEvent;


(Untitled)

TRxIniFile Methods

TRxIniFile Alphabetically Legend

In TRxIniFile

Create

DeleteKey

Destroy

Flush

ReadClearList

ReadColor

ReadFont

ReadList

ReadObject

ReadPoint

ReadRect

WriteColor

WriteFont

WriteList

WriteObject

WritePoint

WriteRect

Derived from TIniFile

EraseSection

ReadSection

ReadSections

ReadSectionValues

ReadString

UpdateFile

WriteString

Derived from TCustomIniFile

ReadBool

ReadDate

ReadDateTime

ReadFloat

ReadInteger

ReadTime

SectionExists

ValueExists

WriteBool

WriteDate

WriteDateTime

WriteFloat

WriteInteger

WriteTime


TRxRichEdit.ScrollBars

TRxRichEdit

property ScrollBars;


(Untitled)

TDateTimeFormat Methods

TDateTimeFormat By object Legend

Assign

Create

Destroy

GetDateMask

GetMask

GetNamePath

GetTimeMask

ResetDefault


TRxSplitter.Create

TRxSplitter

constructor Create ( AOwner: TComponent );


TRxProjectResExpert.GetIDString

TRxProjectResExpert

function GetIDString: string;


(Untitled)

TCheckItemsEditor Properties

TCheckItemsEditor Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TScreenCanvas Properties

TScreenCanvas By object Legend

Bits

Brush

CanvasOrientation

ClipRect

CopyMode

Font

Handle

LockCount

Pen

PenPos

Pixels

Size

TextFlags


(Untitled)

TRxCustomCalcEdit Methods

TRxCustomCalcEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxCustomRichEdit.GetSelTextBuf

TRxCustomRichEdit

function GetSelTextBuf ( Buffer: PChar; BufSize: Integer ): Integer;


TRxDBLookupList.TabStop

TRxDBLookupList

property TabStop;


TRxCustomListBox.MultiSelect

TRxCustomListBox

property MultiSelect: Boolean read FMultiSelect write SetMultiSelect default False;


TRxDBLookupCombo.OnEndDrag

TRxDBLookupCombo

property OnEndDrag;


TSpeedbarSection.Caption

TSpeedbarSection

property Caption: string read GetTitle write SetTitle;


TPageManager.Loaded

TPageManager

procedure Loaded;


BoxProcs

Methods

This unit declares procedures and functions that can be used either against TCustomListbox or TRXCustomListBox.

Unit

BoxProcs


TRxCustomLabel.ShadowPos

TRxCustomLabel

property ShadowPos: TShadowPosition read FShadowPos write SetShadowPos default spLeftTop;


StrUtils.NPos

StrUtils

NPos searches for a N-th position of substring C in a given string S.

property function NPos(const C: string; S: string; N: Integer): Integer;

Description

NPos example:

var

__S: string; I: Integer;

begin

__S := 'Let It Be';

__I := NPos(' ', S, 2);

__\\\\\\\ I = 7 \\\\\\\

end;


TDrawMarginEvent

Unit

RxMenus

TDrawMarginEvent ( Sender : TMenu ; Rect : TRect )of object ;


(Untitled)

TRxLookupControl Properties

TRxLookupControl Alphabetically Legend

In TRxLookupControl

DataField

DataSource

DisplayEmpty

DisplayValue

EmptyItemColor

EmptyValue

Field

FieldsDelimiter

IgnoreCase

IndexSwitch

ItemHeight

KeyValue

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

ReadOnly

Value

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDualListDialog.Label1Caption

TDualListDialog

Property Label1Caption ("Source") sets the caption of the Help Button.

property Label1Caption: TCaption;


(Untitled)

EPropWriteOnly Properties

EPropWriteOnly Alphabetically Legend

Derived from Exception

HelpContext

Message


DateUtil.CutTime

DateUtil

Set time in the ADate parameter to 00:00:00:00.

property function CutTime(ADate: TDateTime): TDateTime;

Description

CutTime example:

DateWithoutTime := CutTime(ADate);


TRxDBComboBox.ReadOnly

TRxDBComboBox

property ReadOnly;


TTimerItemsEditor.EditAction

TTimerItemsEditor

procedure EditAction ( Action: TEditAction );


TRxCheckListBox.PopupMenu

TRxCheckListBox

property PopupMenu;


TTimerItemsEditor.UniqueName

TTimerItemsEditor

function UniqueName ( Component: TComponent ): string;


(Untitled)

TRxCaptionList Methods

TRxCaptionList Alphabetically Legend

In TRxCaptionList

Add

Create

GetOwner

RestoreDefaults

Update

Derived from TCollection

Assign

BeginUpdate

Clear

Delete

Destroy

EndUpdate

FindItemID

GetNamePath

Insert

Derived from TPersistent


(Untitled)

TFileDirEdit Properties

TFileDirEdit Alphabetically Legend

In TFileDirEdit

AcceptFiles

LongName

ShortName

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Text

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCustomRichEdit.Destroy

TRxCustomRichEdit

destructor Destroy;


TAnimatedImage.CanAutoSize

TAnimatedImage

function CanAutoSize ( var NewWidth , NewHeight: Integer ): Boolean;


TRxClock.BevelOuter

TRxClock

property BevelOuter default bvRaised;


TIconListProperty.GetAttributes

TIconListProperty

function GetAttributes: TPropertyAttributes;


TRichEditProtectChangeEx

Unit

RxRichEd

TRichEditProtectChangeEx ( Sender : TObject ; const Message : TMessage ; StartPos , EndPos : Integer ; var AllowChange : Boolean )of object ;


TRxQuery.MacroChar

TRxQuery

property MacroChar: Char read FMacroChar write SetMacroChar default DefaultMacroChar;


TPageManager.OnGetNextPage

TPageManager

OnGetNextPage is a tPageRequestEvent

property OnGetNextPage: TPageRequestEvent;


TRxCalcEdit.DisplayFormat

TRxCalcEdit

property DisplayFormat;


TDBDateEdit.BlanksChar

TDBDateEdit

property BlanksChar;


TRxDBFilter.Notification

TRxDBFilter

procedure Notification ( AComponent: TComponent; Operation: TOperation );


(Untitled)

TDateEdit Events

TDateEdit By object Legend

OnAcceptDate

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TLocateObject.SaveFieldsReg

TLocateObject

SaveFieldsReg procedure saves widths (in pixels) and indexes of dataset's fields to the Windows

property procedure SaveFieldsReg(DataSet: TDataSet; IniFile: TRegIniFile);

Description

System Registry in the key specified in IniFile parameter. Can be used to store field's parameters changed by user, for example, in a DBGrid component. To restore widths and indexes of fields use RestoreFieldsReg procedure.

SaveFieldsReg example:

procedure TGridForm.FormStorageSavePlacement(Sender: TObject);

var

__DataSet: TDataSet; I: Integer;

begin

__for I := 0 to TabSet.Tabs.Count - 1 do

__begin

____DataSet := DataSetByIndex(TabSet.TabIndex);

______if (DataSet <> nil) and (DataSet.Active) then

________if FormStorage.UseRegistry then

______SaveFieldsReg(DataSet, FormStorage.RegIniFile)

____else

______SaveFields(DataSet, FormStorage.IniFile);

__end;

end;


(Untitled)

THintProperty Methods

THintProperty Alphabetically Legend

In THintProperty

Edit

GetAttributes

GetEditLimit


TObjectStrings.SortList

TObjectStrings

procedure SortList ( Compare: TObjectSortCompare );


(Untitled)

EComboEditError Properties

EComboEditError By object Legend

HelpContext

Message


TDBLocate.ConvertStringToLogicType

TDBLocate

ConvertStringToLogicType translates string specified by Value parameter into BDE logical type specified by FldLogicType. You can use translated value when you call BDE API functions directly.

property procedure ConvertStringToLogicType(Locale: TLocale; FldLogicType: Integer; FldSize: Word; const FldName, Value: String; Buffer: Pointer);

Description

You must allocate memory for Buffer to retrieve translated value. FldSize parameter

specifies the maximum number of bytes to copy to the buffer.

ConvertStringToLogicType example:

var DataSet: TDataSet; Fld: TField; Buffer: Pointer; FldName: string;

begin

__...

__Fld := DataSet.FieldByName(FldName);

__GetMem(Buffer, Fld.DataSize);

__try

____ConvertStringToLogicType(DataSet.Locale, FieldLogicMap(Fld.DataType),

______Fld.DataSize, FldName, Value, Buffer);

____\\\\\\\ use the value in Buffer \\\\\\\

__finally

____FreeMem(Buffer, Fld.DataSize);

__end;

end;


TRxTextAttributes.Size

TRxTextAttributes

property Size: Integer read GetSize write SetSize;


TRxTimerList.OnTimers

TRxTimerList

The OnTimers defines an event handler that is called for each timer events.

property OnTimers: TAllTimersEvent;


(Untitled)

TTableItems Methods

TTableItems Alphabetically Legend

Derived from TCustomTableItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDrawGrid.IniStorage

TRxDrawGrid

property IniStorage: TFormPlacement read GetStorage write SetStorage;


TMemoryRecord.Index

TMemoryRecord

property Index: Integer read GetIndex write SetIndex;


TDirectoryEdit.ShowHint

TDirectoryEdit

property ShowHint;


TMemBlobStream

Hierarchy Properties Methods

Internal object allowing to store BLOBs in the memory dataset

Unit

RxMemDS


TRecentStrings.AddStrings

TRecentStrings

Add strings to the list

procedure AddStrings ( Strings: TStrings );


TRxLabel.DragMode

TRxLabel

property DragMode;


TRxRemoteLogin.UseRegistry

TRxRemoteLogin

property UseRegistry;


TRxDBRichEdit.OnExit

TRxDBRichEdit

property OnExit;


TFontComboBox.ParentCtl3D

TFontComboBox

property ParentCtl3D;


TFilenameEdit.Text

TFilenameEdit

property Text;


TCurrencyEdit.MinValue

TCurrencyEdit

Use this property to specify the minimum value that can be entered.

property MinValue: Extended;


TDirectoryEdit.ImeName

TDirectoryEdit

property ImeName;


TGIFFrame.Create

TGIFFrame

constructor Create ( AOwner: TGIFImage );


TFilenameEdit.OnKeyDown

TFilenameEdit

property OnKeyDown;


TGIFImage.Comment

TGIFImage

This contains the comment text stored in comment extension of a GIF file.

property Comment: TStrings;


TFilenameProperty

Hierarchy Methods

Unit

RxDsgn


TGIFImage.Palette

TGIFImage

Palette indicates the color palette of the graphical GIF image.

property Palette: HPALETTE;

Description

Use Palette to get the color palette of a GIF image.


TDBLocate.Destroy

TDBLocate

destructor Destroy;


TRxIniFile.ReadRect

TRxIniFile

ReadRect reads the value of TRect to a section and Ident of the specified IniFile.

function ReadRect(const Section, Ident: string; const Default: TRect): TRect;


TSpeedBar.OnExit

TSpeedBar

property OnExit;


TRxDBComboBox.DataField

TRxDBComboBox

property DataField;


TFormPlacement.PreventResize

TFormPlacement

This property prevents the form from being resized. Setting this to true prevents the form from being resized.

property PreventResize: Boolean;


TRxDice.Enabled

TRxDice

property Enabled;


TVersionInfo.Translation

TVersionInfo

This contains the string specifying the translation table in the variable information structure.

property Translation: Pointer;

Description

This property retrieves a pointer to an array of language and character-set identifiers.


TComObject.Initialize

TComObject

procedure Initialize;


StrUtils.CenterStr

StrUtils

CenterStr centers the characters in the string based upon the Len specified.

property function CenterStr(const S: string; Len: Integer):string;

Description

CenterStr example:

S := 'Let It Be';

S := CenterStr(S, 13);

\\\\\\\ here S = ' Let It Be ' \\\\\\\


TSpeedBar.OnMouseDown

TSpeedBar

property OnMouseDown;


TRxPopupMenu.OnGetImageIndex

TRxPopupMenu

property OnGetImageIndex: TItemImageEvent read FOnGetImageIndex write FOnGetImageIndex;


TDBDateEdit.Enabled

TDBDateEdit

property Enabled;


DateUtil.IncTime

DateUtil

IncTime adds the specified hours, minutes, seconds and milliseconds to the specified time of day ATime.

property function IncTime(ATime: TDateTime; Hours, Minutes, Seconds, MSecs: Integer): TDateTime;

Description

The result of IncTime is adjusted to account for the rollover at midnight.

IncTime example:

var T1, T2: TDateTime; S: string;

begin

__ShortTimeFormat := 'HH:MM:SS';

__T1 := StrToTime('00:00:00');

__T2 := IncTime(T1, -1, 5, -10, 0);

__S := TimeToStr(T2);

end;


TRxCalcEdit.Text

TRxCalcEdit

property Text;


TDBDateEdit.Ctl3D

TDBDateEdit

property Ctl3D;


TRxDice.DoStart

TRxDice

procedure DoStart;


TRxDBLookupList.SetBounds

TRxDBLookupList

procedure SetBounds ( ALeft , ATop , AWidth , AHeight: Integer );


TRxMainMenu.DrawItem

TRxMainMenu

procedure DrawItem ( Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState );


TRxLookupEdit.FieldsDelimiter

TRxLookupEdit

property FieldsDelimiter: Char read GetFieldsDelim write SetFieldsDelim default DefFieldsDelim;


TAccelDelimiter

TAccelDelimiter is a set of values for the AccelDelimiter property of the TMRUManager component.

Unit

MRUList

property TAccelDelimiter = (adTab, adSpace);

Description

ValueMeaning

adTab

adSpace


TRxButtonGlyph.Glyph

TRxButtonGlyph

property Glyph: TBitmap read FOriginal write SetGlyph;


TRxDBLookupList.KeyDown

TRxDBLookupList

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxCheckListBox.Visible

TRxCheckListBox

property Visible;


TDataSetStorage

Internal use

Unit

DBFilter

TDataSetStorage record

FBof:Boolean;

FEof:Boolean;

State:TDataSetState;

CanModify:Boolean;

BeforePost:TDataSetNotifyEvent;

BeforeCancel:TDataSetNotifyEvent;

BeforeInsert:TDataSetNotifyEvent;

BeforeEdit:TDataSetNotifyEvent;

end;


TTextListBox.TabStop

TTextListBox

property TabStop;


TCurrencyEdit.DragKind

TCurrencyEdit

property DragKind;


TMemoryTable.DeleteTable

TMemoryTable

procedure DeleteTable;


TRxDBComboEdit.MaxLength

TRxDBComboEdit

property MaxLength;


TComboEdit.ParentCtl3D

TComboEdit

property ParentCtl3D;


(Untitled)

TNotifyThread Methods

TNotifyThread By object Legend

Create

Destroy

DoChange

DoTerminate

Execute

Resume

Suspend

Terminate

WaitFor


TRxProjectResExpert.CheckRename

TRxProjectResExpert

procedure CheckRename ( ResFile: TIResourceFile; ResType , NewName: PChar );


(Untitled)

TButtonImage Properties

TButtonImage By object Legend

Alignment

ButtonSize

Caption

Glyph

NumGlyphs

WordWrap


(Untitled)

TProgressControlProperty Properties

TProgressControlProperty By object Legend

RefCount


TGIFImage.SetHeight

TGIFImage

procedure SetHeight ( Value: Integer );


TDBSecurity.Create

TDBSecurity

constructor Create ( AOwner: TComponent );


(Untitled)

TSpeedBar Properties

TSpeedBar By object Legend

Action

Align

Anchors

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BorderWidth

BoundLines

BoundsRect

Brush

BtnCaption

BtnHeight

BtnOffsetHorz

BtnOffsetVert

BtnWidth

Button

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragMode

EditMode

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

Images

IniStorage

Left

Locked

LRDockWidth

Name

Options

Orientation

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

Position

ScaleFlags

SectionCount

Sections

ShowHint

Showing

Stored

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Version

Visible

VisibleDockClientCount

Wallpaper

Width

WindowProc


TRxCustomListBox.Selected

TRxCustomListBox

property Selected [ Index: Integer ]: Boolean read GetSelected write SetSelected;


TDBStatusLabel.GetLabelCaption

TDBStatusLabel

function GetLabelCaption: string;


TRxCustomLabel.ShowFocus

TRxCustomLabel

property ShowFocus: Boolean read FShowFocus write SetShowFocus default False;


TRxSpinEdit.BiDiMode

TRxSpinEdit

property BiDiMode;


TComObjectFactory.GetLicenseString

TComObjectFactory

function GetLicenseString: WideString;


TAppEvents.HintHidePause

TAppEvents

HintHidePause determines whether the pause time before hiding the hint (or delay time after the mouse moves and the hint gets hidden).

HintHidePause : Boolean


TVersionInfo.CompanyName

TVersionInfo

This contains the string specifying the company that produced the file.

property CompanyName: string;


TRxDBRichEdit.OnClick

TRxDBRichEdit

property OnClick;


TRxDice.OnDblClick

TRxDice

property OnDblClick;


(Untitled)

AppUtils Methods

AppUtils Alphabetically Legend

In AppUtils

AppBroadcast

FindForm

FindShowForm

GetDefaultIniName

GetDefaultIniRegKey

GetDefaultSection

GetUniqueFileNameInDir

InstantiateForm

ReadFormPlacement

ReadFormPlacementReg

RestoreFormPlacement

RestoreGridLayout

RestoreGridLayoutReg

RestoreMDIChildren

RestoreMDIChildrenReg

SaveFormPlacement

SaveGridLayout

SaveGridLayoutReg

SaveMDIChildren

SaveMDIChildrenReg

ShowDialog

WriteFormPlacement

WriteFormPlacementReg


TRxLookupEdit.ParentCtl3D

TRxLookupEdit

property ParentCtl3D;


TRxClock.Create

TRxClock

constructor Create ( AOwner: TComponent );


NewComponent1

Unit

RXProps

TWriteStrEvent ( const ASection , Item , Value : string )of object ;


(Untitled)

TMinMaxInfoEditDialog Methods

TMinMaxInfoEditDialog Alphabetically Legend

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxCalculatorForm Methods

TRxCalculatorForm Alphabetically Legend

In TRxCalculatorForm

CalcKey

CancelClick

Create

DisplayChange

OkClick

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TFontComboBox.OnStartDrag

TFontComboBox

property OnStartDrag;


(Untitled)

TGIFImage Methods

TGIFImage Alphabetically Legend

In TGIFImage

AddFrame

Assign

AssignTo

Clear

ClearItems

Create

DecodeAllFrames

DeleteFrame

Destroy

Draw

EncodeAllFrames

Equals

GetEmpty

GetHeight

GetPalette

GetTransparent

GetWidth

Grayscale

LoadFromClipboardFormat

LoadFromResourceID

LoadFromResourceName

LoadFromStream

MoveFrame

NewImage

Progress

ReadData

SaveToClipboardFormat

SaveToStream

SetHeight

SetWidth

UniqueImage

WriteData

Derived from TGraphic

LoadFromFile

SaveToFile

Derived from TPersistent

GetNamePath


TDateTimeFormat.ResetDefault

TDateTimeFormat

procedure ResetDefault;


TRxDBComboBox.SetComboText

TRxDBComboBox

procedure SetComboText ( const Value: string );


TRxPopupMenu.RefreshMenu

TRxPopupMenu

procedure RefreshMenu ( AOwnerDraw: Boolean );


TSortCollection.QuickSort

TSortCollection

procedure QuickSort ( L , R: Integer; Compare: TItemSortCompare );


(Untitled)

TRxDrawGrid Properties

TRxDrawGrid Alphabetically Legend

In TRxDrawGrid

DefaultRowHeight

FixedButtons

IniStorage

Options

Derived from TDrawGrid

Align

Anchors

BiDiMode

BorderStyle

Canvas

Col

ColCount

Color

ColWidths

Constraints

Ctl3D

DefaultColWidth

DefaultDrawing

DragCursor

DragKind

DragMode

EditorMode

Enabled

FixedColor

FixedCols

FixedRows

Font

GridHeight

GridLineWidth

GridWidth

LeftCol

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

Row

RowCount

RowHeights

ScrollBars

Selection

ShowHint

TabOrder

TabStop

TabStops

TopRow

Visible

VisibleColCount

VisibleRowCount

Derived from TCustomGrid

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TGraphicPropertyEditor.SetValue

TGraphicPropertyEditor

procedure SetValue ( const Value: string );


TDBStatusLabel.OnMouseEnter

TDBStatusLabel

property OnMouseEnter;


TRxDice.ShowFocus

TRxDice

ShowFocus indicates whether control should draw a focus rectangle around the ClientRect when the control has input focus and TabStop = True.

ShowFocus: Boolean;


TRxCustomRichEdit.StreamMode

TRxCustomRichEdit

property StreamMode: TRichStreamModes read GetStreamMode write SetStreamMode default [ ];


TResourceEntry.GetTypeName

TResourceEntry

function GetTypeName: string;


TRxDBLookupCombo.DataSource

TRxDBLookupCombo

property DataSource;


VCLUtils.DrawInvertFrame

VCLUtils

DrawInvertFrame draws a rectangular frame in the screen by performing a logical XOR operation on the color values for each pixel of the rectangle's frame.

property procedure DrawInvertFrame(ScreenRect: TRect; Width: Integer);

Description

Because DrawInvertFrame uses an XOR function, calling it a second time while specifying the same rectangle removes the inverted rectangle from the screen. ScreenRect parameter contains the logical coordinates of the rectangle in the screen coordinates (relative to the upper-left corner of the screen). Width parameter specifies the width of the frame in pixels.

DrawInvertFrame example:

var

__P: TPoint;

__R: TRect;

begin

__P := Panel1.ClientToScreen(Point(0, 0));

__R := Bounds(P.X, P.Y, Panel1.Width, Panel1.Height);

__DrawInvertFrame(R, 3); \\\\\\\ Show invert frame \\\\\\\

__\\\\\\\ ... \\\\\\\

__DrawInvertFrame(R, 3); \\\\\\\ Hide invert frame \\\\\\\

end;


TRxDBGrid.GotoSelection

TRxDBGrid

This method moves the index to that particular row or selection.

procedure GotoSelection ( Index: Longint );


MaxMin.MinInteger

MaxMin

The MinInteger function returns the smallest longint value in the Values array.

function MinInteger(const Values: array of Longint): Longint;

Description

MinInteger example:

MinVal := MinInteger([MinVal, 1, 12, 36, 43]);


TRxTimerEvent.TimerList

TRxTimerEvent

property TimerList: TRxTimerList read FParentList;


TRxCustomListBox.IntegralHeight

TRxCustomListBox

property IntegralHeight: Boolean read FIntegralHeight write SetIntegralHeight default False;


(Untitled)

TCustomDateEdit Methods

TCustomDateEdit Alphabetically Legend

In TCustomDateEdit

AcceptPopup

AcceptValue

ApplyDate

ButtonClick

Change

CheckValidDate

Create

CreateWindowHandle

Destroy

DestroyWindowHandle

GetDateFormat

GetDateMask

GetDefaultBitmap

KeyDown

KeyPress

SetPopupValue

UpdateFormat

UpdateMask

UpdatePopup

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTimerList.Events

TRxTimerList

List included pointers to events defined by class TRxTimerEvent.

property Events: TList;

Description

Property intend for internal use. In components work time events order in this list may be changed. You can use for access to events data method ItemByHandle and for dynamic add a new events method Add.


TRxLabel.OnMouseMove

TRxLabel

property OnMouseMove;


TRxDrawGrid.Paint

TRxDrawGrid

procedure Paint;


VCLUtils.DrawCellText

VCLUtils

DrawCellText draws the text (const s : string) inside the TDrawGrid, with parameter ACol (Column) and ARow (row) inside ARect with specified Horizontal Alignment Align and Vertical Alignment VertAlign.

property procedure DrawCellText(Control: TCustomControl; ACol, ARow: Longint; const S: string; const ARect: TRect; Align: TAlignment; VertAlign: TVertAlignment);

Description

DrawCellText example:

procedure TForm1.DrawGrid1DrawCell(Sender: TObject; Col, Row: Longint; Rect: TRect;

State: TGridDrawState);

begin

__if (Row >= 0) then

__begin

____DrawCellText(Sender as TDrawGrid, Col, Row,

____GetCellText(Row), Rect, taLeftJustify, vaCenter);

__end;

end;


(Untitled)

TPropInfoList Methods

TPropInfoList By object Legend

Contains

Create

Delete

Destroy

Find

Intersect


TResourceStream.Destroy

TResourceStream

destructor Destroy;


TAutoObjectFactory.EventTypeInfo

TAutoObjectFactory

property EventTypeInfo: ITypeInfo read FEventTypeInfo;


TDBIndexCombo.DataSource

TDBIndexCombo

property DataSource: TDataSource read GetDataSource write SetDataSource;


(Untitled)

Hierarchy

TObject

|

Exception


TRxDBCalcEdit.OnKeyUp

TRxDBCalcEdit

property OnKeyUp;


TRxRichEdit.ParentBiDiMode

TRxRichEdit

property ParentBiDiMode;


TComObject.QueryInterface

TComObject

function QueryInterface ( const IID: TGUID; out Obj ): HResult;


TRxDBComboBox.Visible

TRxDBComboBox

property Visible;


TRxDBRichEdit.ImeMode

TRxDBRichEdit

property ImeMode;


(Untitled)

TCustomTableItems Methods

TCustomTableItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TRxSpeedButton.ModalResult

TRxSpeedButton

This determines whether and how the button closes its (modal) parent form. Setting the TRxSpeedButton component’s ModalResult property is an easy way to make clicking the button close a modal form. When a button is clicked, the ModalResult property of its parent form is set to the same value as the button’s ModalResult property.

property ModalResult: TModalResult;


TDualListDialog.Label2Caption

TDualListDialog

Property Label2Caption ("Destination") sets the caption of the Help Button.

property Label2Caption: TCaption;


TClassInstancing

Unit

ComObj

Description

ValueMeaning

ciInternal

ciSingleInstance

ciMultiInstance


TRxLoginForm.Attempt

TRxLoginForm

property Attempt: Integer read FAttempt;


TRxParaAttributes.TabCount

TRxParaAttributes

property TabCount: Integer read GetTabCount write SetTabCount;


(Untitled)

TDBDateEdit Events

TDBDateEdit Alphabetically Legend

In TDBDateEdit

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TCustomDateEdit

Derived from TWinControl

Derived from TControl


(Untitled)

TDBProgress Properties

TDBProgress Alphabetically Legend

In TDBProgress

Active

Gauge

MessageControl

SessionName

Trace

TraceFlags

WaitCursor

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TMRUManager.OnChange

TMRUManager

OnChange occurs immediately after the list of MRU-strings changes.

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to respond to changes in the list of MRU-elements. For example, if you are using MRU-strings in a control (list-box, combo-box or another), the OnChange event handler could be used to change string list associated with a control.


TMemDataSetEditor.ExecuteVerb

TMemDataSetEditor

procedure ExecuteVerb ( Index: Integer );


(Untitled)

RxQuery Properties

RxQuery Alphabetically Legend

In RxQuery

MacroChar

MacroCount

Macros

OpenStatus


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TRxLookupControl

|

TRxDBLookupList

|

TRxPopupDataList


TRxLookupEdit.ShowPopup

TRxLookupEdit

procedure ShowPopup ( Origin: TPoint );


TRxSlider.TabStop

TRxSlider

property TabStop default True;


TRxCustomListBox.Clear

TRxCustomListBox

procedure Clear;


TPageHistory.Destroy

TPageHistory

destructor Destroy;


TDateEdit.Text

TDateEdit

property Text;


TDBIndexCombo.OnDblClick

TDBIndexCombo

property OnDblClick;


TRxDBRichEdit.StreamFormat

TRxDBRichEdit

property StreamFormat;


TOleController.CallFunctionNoParams

TOleController

CallFunctionNoParams calls the function AName without parameters.

property function CallFunctionNoParams(const AName: string): PVariant;


TVersionInfo.Values

TVersionInfo

property Values [ const Name: string ]: string read GetVerValue;


TSecretPanel.Play

TSecretPanel

procedure Play;


TRxGIFAnimator.OnMouseUp

TRxGIFAnimator

property OnMouseUp;


WaitCursor

This defines the default wait cursor as the hour glass.

Unit

WaitCursor

property WaitCursor: TCursor = crHourGlass;


TRxParaAttributes.Alignment

TRxParaAttributes

property Alignment: TParaAlignment read GetAlignment write SetAlignment;


TRxCustomRichEdit.GetSelLength

TRxCustomRichEdit

function GetSelLength: Integer;


TSecretPanel.Color

TSecretPanel

property Color;


(Untitled)

TSpeedbarEditor Methods

TSpeedbarEditor Alphabetically Legend

In TSpeedbarEditor

Activated

EditAction

FormClosed

FormModified

GetEditState

UniqueName


TComboEdit.OnMouseUp

TComboEdit

property OnMouseUp;


TTimerItemsEditor.ComponentDeleted

TTimerItemsEditor

procedure ComponentDeleted ( Component: IPersistent );


TAppEvents.OnMessage

TAppEvents

OnMessage is triggered when hint is triggered.

Method DoMessage(var Msg: TMsg; var Handled: Boolean);


(Untitled)

TRxGradientCaption Methods

TRxGradientCaption By object Legend

Assign

BeforeDestruction

Clear

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

IsRightToLeft

Loaded

MoveCaption

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

Update

UpdateAction


TRxParaAttributes.Tab

TRxParaAttributes

property Tab [ Index: Byte ]: Longint read GetTab write SetTab;


TRxLookupEdit.OnStartDrag

TRxLookupEdit

property OnStartDrag;


(Untitled)

TSpeedBar Methods

TSpeedBar By object Legend

AcceptDropItem

AddItem

AddSection

AfterCustomize

AlignControls

AlignItemsToGrid

AppendSection

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

ButtonClick

CanFocus

ChangeScale

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

Customize

DefaultHandler

DefineProperties

DeleteSection

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FindItem

FindSpeedBar

FlipChildren

Focused

ForEachItem

FreeNotification

FreeOnRelease

GetChildren

GetControlsAlignment

GetEditing

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

Items

ItemsCount

Loaded

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

MouseWheelHandler

NewItem

Notification

Paint

PaintTo

Perform

PosChanged

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

RemoveItem

RemoveSection

Repaint

ReplaceDockedControl

RestoreLayout

RestoreLayoutReg

SafeCallException

SaveLayout

SaveLayoutReg

ScaleBy

ScreenToClient

ScrollBy

SearchItem

SearchSection

SendToBack

SetBounds

SetChildOrder

SetEditing

SetFocus

SetFontDefault

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WriteComponents


(Untitled)

TStrEditDlg Events

TStrEditDlg By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


(Untitled)

TCloneTable Properties

TCloneTable Alphabetically Legend

In TCloneTable

ReadOnly

Derived from TTable

Constraints

DefaultIndex

Exclusive

Exists

FieldDefs

Handle

IndexDefs

IndexFieldCount

IndexFieldNames

IndexFields

IndexFiles

IndexName

KeyExclusive

KeyFieldCount

MasterFields

MasterSource

StoreDefs

TableLevel

TableName

TableType

UpdateMode

UpdateObject

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBDateEdit.OnKeyDown

TDBDateEdit

property OnKeyDown;


TRxGIFAnimator.AsyncDrawing

TRxGIFAnimator

property AsyncDrawing: Boolean read FAsyncDrawing write SetAsyncDrawing default False;


TDateEdit.CalendarHints

TDateEdit

property CalendarHints;


TRxCheckListBox.Constraints

TRxCheckListBox

property Constraints;


TRecentStrings.DeleteExceed

TRecentStrings

Deletes strings above the maximum limit

procedure DeleteExceed;


TRxSlider.MinValue

TRxSlider

MinValue specifies the minimum Value of a TRxSlider.

property MinValue: Longint;

Description

Use MinValue to set an lower limit to the Value that can be represented using the slider.

The thumb of the slider indicates the current Value in a range between MinValue and MaxValue.


TCustomComboEdit.ClickKey

TCustomComboEdit

property ClickKey: TShortCut read FClickKey write FClickKey default scAltDown;


(Untitled)

TPopupWindow Methods

TPopupWindow By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClientToScreen

CloseUp

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

CreateWnd

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetPopupText

GetTabOrderList

GetTextBuf

GetTextLen

GetValue

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

InvalidateEditor

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

PopupMouseUp

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

SetValue

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


(Untitled)

TPageManager Properties

TPageManager By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

DestroyHandles

HistoryCommand

Name

NextBtn

NextEnabled

Owner

PageCount

PageHistory

PageIndex

PageManager

PageName

PageNames

PageOwner

PageProxies

PriorBtn

PriorEnabled

SetStartPage

Tag

UseHistory

VCLComObject


TRxCalculatorForm.CancelClick

TRxCalculatorForm

procedure CancelClick ( Sender: TObject );


TComObjectFactory.Instancing

TComObjectFactory

property Instancing: TClassInstancing read FInstancing;


TRxDrawGrid.OnEditButtonClick

TRxDrawGrid

OnEditButtonClick occurs when the user presses the ellipsis button in a grid cell. Write

an OnEditButtonClick event handler to bring up an appropriate list or dialog when the

user presses the ellipsis button in a grid cell. The OnEditButtonClick event handler can

set the value assotiated with the cell based on the user response to the list or dialog.

Use Col and Row properties to access the data assotiated with the current grid cell.

property OnEditButtonClick: TNotifyEvent;


TRxSpinButton.OnBottomClick

TRxSpinButton

property OnBottomClick: TNotifyEvent read FOnBottomClick write FOnBottomClick;


TRichStreamFormat

Unit

RxRichEd

Description

ValueMeaning

sfDefault

sfRichText

sfPlainText


TRxAttributeType

Unit

RxRichEd

Description

ValueMeaning

atDefaultText

atSelected

atWord


TRxSpeedButton.OnClick

TRxSpeedButton

property OnClick;


TLookupSourceLink.LayoutChanged

TLookupSourceLink

procedure LayoutChanged;


TRxQueryThread

Hierarchy Properties Methods Events

Unit

RxQuery


(Untitled)

TPageManager Events

TPageManager Alphabetically Legend

In TPageManager

OnCheckButtons

OnCheckProxy

OnEnter

OnGetNextPage

OnGetPriorPage

OnHide

OnLeave

OnPageChanged

OnShow


TRxMemoryData.InternalDelete

TRxMemoryData

procedure InternalDelete;


TRxDice.OnDragDrop

TRxDice

property OnDragDrop;


TPopupDataWindow.InvalidateEditor

TPopupDataWindow

procedure InvalidateEditor;


(Untitled)

TFontComboBox Events

TFontComboBox Alphabetically Legend

In TFontComboBox

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag

Derived from TCustomComboBox

Derived from TWinControl

Derived from TControl


TRxMainMenu.IsOwnerDrawMenu

TRxMainMenu

function IsOwnerDrawMenu: Boolean;


TSpeedItem.SetEnabled

TSpeedItem

procedure SetEnabled ( Value: Boolean );


TCustomComboEdit.AcceptValue

TCustomComboEdit

procedure AcceptValue ( const Value: Variant );


(Untitled)

TDBSecurity Properties

TDBSecurity Alphabetically Legend

In TDBSecurity

Active

AllowEmptyPassword

AttemptNumber

Database

IniFileName

LoginNameField

MaxPasswordLen

SelectAlias

UpdateCaption

UseRegistry

UsersTableName

Derived from TRxCustomLogin

LoggedUser

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBCalcEdit.ExecuteAction

TRxDBCalcEdit

function ExecuteAction ( Action: TBasicAction ): Boolean;


TSQLScript.CheckExecQuery

TSQLScript

procedure CheckExecQuery ( LineNo , StatementNo: Integer );


TImageForm.Execute

TImageForm

function Execute ( LoginParams: TStrings ): Boolean;


(Untitled)

TRxTextAttributes Methods

TRxTextAttributes Alphabetically Legend

In TRxTextAttributes

Assign

AssignTo

Create

InitFormat

Derived from TPersistent

Destroy

GetNamePath


TSecretPanel.OnStopPlay

TSecretPanel

OnStartPlay event is triggered when the Active property is set to false.

property OnStopPlay: TNotifyEvent;


(Untitled)

TRxMainMenu Properties

TRxMainMenu By object Legend

AutoHotkeys

AutoLineReduction

AutoMerge

BiDiMode

Canvas

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Cursor

DesignInfo

Handle

Images

Items

MinTextOffset

Name

Owner

OwnerDraw

ParentBiDiMode

ShowCheckMarks

Style

Tag

VCLComObject

WindowHandle


TSpeedItem.ShowHint

TSpeedItem

property ShowHint: Boolean read GetShowHint write SetShowHint stored IsShowHintStored;


TRxSlider.DragKind

TRxSlider

property DragKind;


TRxDBComboBox.DropDownCount

TRxDBComboBox

property DropDownCount;


(Untitled)

TFormPropsDlg Events

TFormPropsDlg Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TImageForm Properties

TImageForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

FileName

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Mode

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

SelectDatabase

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TRxDBLookupCombo.UpdateFieldText

TRxDBLookupCombo

procedure UpdateFieldText;


TRxMemoryData.GetFieldData

TRxMemoryData

function GetFieldData ( Field: TField; Buffer: Pointer ): Boolean;


TFilenameEdit.GlyphKind

TFilenameEdit

property GlyphKind;


TLocateObject.AssignRecord

TLocateObject

AssignRecord copies values of fields from current record of source dataset specified by Source parameter to the current records of dataset Dest.

property procedure AssignRecord(Source, Dest: TDataSet; ByName: Boolean);

Description

Destination dataset must be in edit or insert mode.

When ByName parameter is True, then field values will be set from Source to Dest

based on their names in the both datasets. If ByName is False, field values will be set

based on the order in which fields are defined in the Source dataset.

AssignRecord example:

MemoryTable1.Append;

AssignRecord(SourceDataSet, MemoryTable1, True);

MemoryTable1.Post;


TRxRichEdit.HideSelection

TRxRichEdit

property HideSelection;


TRxDBComboBox.OnKeyPress

TRxDBComboBox

property OnKeyPress;


TRxDBLookupCombo.ParentFont

TRxDBLookupCombo

property ParentFont;


(Untitled)

TProxyEditor Properties

TProxyEditor By object Legend

OwnerForm

PageManager


TCustomNumEdit.ZeroEmpty

TCustomNumEdit

property ZeroEmpty: Boolean read FZeroEmpty write SetZeroEmpty default True;


TRxDrawGrid.MouseUp

TRxDrawGrid

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TDirectoryEdit Properties

TDirectoryEdit Alphabetically Legend

In TDirectoryEdit

Anchors

AutoSelect

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CharCase

ClickKey

Color

Constraints

Ctl3D

DialogKind

DialogOptions

DialogText

DirectInput

DragCursor

DragKind

DragMode

EditMask

Enabled

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

InitialDir

MultipleDirs

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Visible

Derived from TFileDirEdit

AcceptFiles

LongName

ShortName

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupList.Font

TRxDBLookupList

property Font;


TRxDBLookupCombo.OnDragDrop

TRxDBLookupCombo

property OnDragDrop;


TRxDBLookupList.ParentBiDiMode

TRxDBLookupList

property ParentBiDiMode;


TRxLookupEdit.ParentShowHint

TRxLookupEdit

property ParentShowHint;


TRxDBGrid.OnTitleBtnClick

TRxDBGrid

The OnTItleBtnClick event occurs when the user clicks on one of the column headings in the TRxDBGrid. The TitleButtons property must be True in order for this event to occur.

property OnTitleBtnClick: TTitleClickEvent read FOnTitleBtnClick write FOnTitleBtnClick;


(Untitled)

TRxCalculatorForm Properties

TRxCalculatorForm Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.DropDownAlign

TRxDBLookupCombo

property DropDownAlign: TDropDownAlign read FDropDownAlign write FDropDownAlign default daLeft;


TRxDBLookupList.KeyPress

TRxDBLookupList

procedure KeyPress ( var Key: Char );


TRxDrawGrid.CheckFixedCellButton

TRxDrawGrid

procedure CheckFixedCellButton ( ACol , ARow: Longint; var Enabled: Boolean );


TRxButtonGlyph.NumGlyphs

TRxButtonGlyph

property NumGlyphs: TRxNumGlyphs read FNumGlyphs write SetNumGlyphs;


TDBIndexCombo.ParentFont

TDBIndexCombo

property ParentFont;


TRxDBRichEdit.PlainText

TRxDBRichEdit

property PlainText;


TLocateObject.FormatAnsiSQLCondition

TLocateObject

FormatAnsiSQLCondition formats an ANSI SQL condition to the BDE equivalent.

property function FormatAnsiSQLCondition(const FieldName, Operator, Value: string; FieldType: TFieldType; Exact: Boolean): string;

Description

FormatAnsiSQLCondition example:

rxQuery1.MacroByName('CONTRACT_NO').AsString :=

FormatSQLCondition('CONTRACTS."CONTRACT_NO"', '', 'N%4596*', ftString, True);


TRichSelection

Unit

RxRichEd

Description

ValueMeaning

stText

stObject

stMultiChar

stMultiObject


TFilenameEdit.FilterIndex

TFilenameEdit

property FilterIndex: Integer read GetFilterIndex write SetFilterIndex default 1


TRxDBCalcEdit.BiDiMode

TRxDBCalcEdit

property BiDiMode;


TCurrencyEdit

Hierarchy Properties Methods Events

The TCurrencyEdit component is a modified TEdit component. which allows the user to enter only numeric characters, so the user cannot enter invalid characters.

Unit

CurrEdit

Description

When the user leaves the field, the number is reformatted to display appropriately, accordingly with the DisplayFormat property.

The field value is stored in a Value property so you should read and write to that in your program. This field is of type is Extended. You can also read and write Value as integer number using the AsInteger property.


TDBLocate.AsyncQrySupported

TDBLocate

Returns True if database driver specified by Database parameter supports asynchronous query execution.

property function AsyncQrySupported(Database: TDatabase): Boolean;

Description

In 32-bit Delphi versions you can use OnServerYield event when True returned by AsyncQrySupported (for example, to break query execution in multi-threaded application). Currently, only Sybase driver supports asynchronous query execution.

AsyncQrySupported example:

When you execute your queries in separate thread, you can set OnServerYield event

handler, for example, to end query processing.

You can check database for supporting yields control during query processing to enable

or disable appropriate menu item:

CancelQueryItem.Visible := AsyncQrySupported(Database);


TRxDBComboEdit.Enabled

TRxDBComboEdit

property Enabled;


TDBIndexCombo.OnDragDrop

TDBIndexCombo

property OnDragDrop;


TFileDirEdit.OnDropFiles

TFileDirEdit

property OnDropFiles: TNotifyEvent read FOnDropFiles write FOnDropFiles;


TRxDBGrid.KeyDown

TRxDBGrid

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxCustomListBox

Hierarchy Properties Methods Events

Base class for list boxes

Unit

RXCtrls


TRxDBFilter.Active

TRxDBFilter

Specifies whether filtering is active for a dataset.

property Active: Boolean;

Description

Check Active to determine whether or not dataset filtering is in effect. If Active is True, then filtering is active. Otherwise Active is False. To apply filter conditions specified in the Filter property or the OnFiltering event handler, set Active to True (or call Activate method). When filtering is enabled, user edits to a record may mean that the record no longer meets a filter’s test condition. The next time the record is retrieved from the dataset while the filter is in effect, the record may seem to disappear. If that happens, the next record that passes the filter condition becomes the current record.


TSpeedItem.Create

TSpeedItem

constructor Create ( AOwner: TComponent );


FileUtil.ClearDir

FileUtil

The ClearDir function erases all files from directory named by Path from the disk.

function ClearDir(const Path: string; Delete: Boolean): Boolean;

Description

When Delete parameter is True the directory Path also will be erased.

If files or path cannot be deleted or does not exist, the function returns False.

ClearDir example:

if ClearDir('c:', True) then

__ShowMessage('Directory C:\TEMP deleted')

else

__ShowMessage('Can''t delete directory C:\TEMP');


TRxSpinButton.Destroy

TRxSpinButton

destructor Destroy;


TRxSpinEdit.TabStop

TRxSpinEdit

property TabStop;


TRxSpinEdit.OnMouseWheelUp

TRxSpinEdit

property OnMouseWheelUp;


TRxCustomRichEdit.CaretPos

TRxCustomRichEdit

property CaretPos: TPoint read GetCaretPos;


TRxDBComboBox.OnDragOver

TRxDBComboBox

property OnDragOver;


(Untitled)

TDBIndexCombo Events

TDBIndexCombo Alphabetically Legend

In TDBIndexCombo

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag

Derived from TCustomComboBox

Derived from TWinControl

Derived from TControl


TRxDBCalcEdit.Change

TRxDBCalcEdit

procedure Change;


TRxSpeedButton.Action

TRxSpeedButton

property Action;


TRxGIFAnimator.Cursor

TRxGIFAnimator

property Cursor;


TFileDirEdit.ShortName

TFileDirEdit

property ShortName: string read GetShortName;


(Untitled)

TRxSwitch Properties

TRxSwitch By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

GlyphOff

GlyphOn

Handle

Height

HelpContext

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentColor

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ShowFocus

ShowHint

Showing

StateOn

TabOrder

TabStop

Tag

TBDockHeight

TextPosition

ToggleKey

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPageManager.GotoHistoryPage

TPageManager

procedure GotoHistoryPage ( HistoryIndex: Integer );


TBookmarkList.IndexOf

TBookmarkList

The IndexOf method returns the index of the bookmark within the Items property.

function IndexOf ( const Item: TBookmark ): Longint;


ClipIcon.DrawRealSizeIcon

ClipIcon

Draws Icon on canvas

property procedure DrawRealSizeIcon(Canvas: TCanvas; Icon: TIcon; X, Y: Integer);

Description

Renders the icon specified by the Icon parameter on the Canvas at the location given by the coordinates (X, Y) using real icon size (for example, you can draw icon 16x16 or 48x48 pixels).

Standard TIcon class always renders icon using Windows metrics SM_CXICON, SM_CYICON.

NOTE. In 16-bit version this procedure is "stub" and is equivalent to standard TCanvas.Draw method.

DrawRealSizeIcon example:

DrawRealSizeIcon(Canvas, Icon, 0, 0);


TRxMemoryData.AfterOpen

TRxMemoryData

property AfterOpen;


(Untitled)

TRxQueryThread Events

TRxQueryThread By object Legend

OnTerminate


(Untitled)

TTimerItemsEditor Methods

TTimerItemsEditor Alphabetically Legend

In TTimerItemsEditor

Activated

ComponentDeleted

EditAction

FormClosed

FormModified

GetEditState

UniqueName


TDirectoryEdit.Color

TDirectoryEdit

property Color;


TRxDrawGrid.OnAcceptEditKey

TRxDrawGrid

The OnAcceptEditKey event occurs when a user presses a single character key in the

in-place editor. OnAcceptEditKey provides a simple screening of keyboard input while

the user is editing the contents of a cell. Write an OnAcceptEditKey event handler to

take specific action whenever a user presses a character key and to determine whether

keys typed by the user are valid for the current grid cell. OnAcceptEditKey does not

occur unless the Options property includes goEditing.

property OnAcceptEditKey: TAcceptKeyEvent;


TIconListProperty

Hierarchy Methods

Unit

IcoLEdit


TDirectoryEdit.GetShortName

TDirectoryEdit

function GetShortName: string;


TRxCustomListBox.OnGetItemWidth

TRxCustomListBox

property OnGetItemWidth: TGetItemWidthEvent read FOnGetItemWidth write SetOnGetItemWidth;


TFormStorage.Loaded

TFormStorage

procedure Loaded;


(Untitled)

TAutoObject Methods

TAutoObject By object Legend

Create

CreateAggregated

CreateFromFactory

Destroy

EventConnect

EventSinkChanged

GetIDsOfNames

GetTypeInfo

GetTypeInfoCount

Initialize

Invoke

ObjAddRef

ObjQueryInterface

ObjRelease

SafeCallException


(Untitled)

TPopupDataWindow Methods

TPopupDataWindow Alphabetically Legend

In TPopupDataWindow

Click

CloseUp

Create

DisplayValueChanged

GetPicture

Hide

InvalidateEditor

KeyPress

PopupMouseUp

Show

Derived from TRxPopupDataList

Derived from TRxDBLookupList

DrawItemText

SetBounds

Derived from TRxLookupControl

ClearValue

Destroy

ExecuteAction

Locate

ResetField

UpdateAction

UseRightToLeftAlignment

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

EPropReadOnly Methods

EPropReadOnly Alphabetically Legend

Derived from Exception

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TRxGradient.Changed

TRxGradient

procedure Changed;


(Untitled)

TFilenameProperty Methods

TFilenameProperty By object Legend

Edit

GetAttributes

GetFilter


TRxProjectResExpert.EditCursorIconRes

TRxProjectResExpert

procedure EditCursorIconRes ( Entry: TResourceEntry; IsIcon: Boolean; Stream: TStream );


TDialogMode

Unit

LoginDlg

Description

ValueMeaning

dmAppLogin

dmDBLogin

dmUnlock


TMemoryTable.GetRecNo

TMemoryTable

function GetRecNo: Integer;


(Untitled)

TRxCustomCalcEdit Events


TDateEdit.TabStop

TDateEdit

property TabStop;


TDateEdit.OnKeyDown

TDateEdit

property OnKeyDown;


TRxDBCalcEdit.BeepOnError

TRxDBCalcEdit

property BeepOnError;


TQueryOpenStatus

Unit

RxQuery

Description

ValueMeaning

qsOpened

qsExecuted

qsFailed


TFilenameEdit.ParentShowHint

TFilenameEdit

property ParentShowHint;


TRxCustomTrackBar.Destroy

TRxCustomTrackBar

destructor Destroy;


TNotifyThread.Destroy

TNotifyThread

destructor Destroy;


TSecretPanel.ParentColor

TSecretPanel

property ParentColor;


TComObjectFactory.GetLicInfo

TComObjectFactory

function GetLicInfo ( var licInfo: TLicInfo ): HResult;


TSQLScript.ExecStatement

TSQLScript

procedure ExecStatement ( StatementNo: Integer );


TThreadingModel

Unit

ComObj

Description

ValueMeaning

tmSingle

tmApartment

tmFree

tmBoth


TDBDateEdit.Reset

TDBDateEdit

procedure Reset;


TRxSplitter.BevelWidth

TRxSplitter

property BevelWidth;


TRxTimer.Threaded

TRxTimer

property Threaded: Boolean read FThreaded write SetThreaded default True;


TRxDice.Change

TRxDice

procedure Change;


(Untitled)

TMRUManager Properties

TMRUManager Alphabetically Legend

In TMRUManager

AccelDelimiter

AutoEnable

AutoUpdate

Capacity

IniStorage

Mode

RecentMenu

RemoveOnSelect

SeparateSize

ShowAccelChar

StartAccel

Strings

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TComboEdit Properties

TComboEdit By object Legend

Action

Align

Alignment

Anchors

AutoSelect

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CharCase

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditMask

EditText

Enabled

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

Modified

Name

NumGlyphs

OEMConvert

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxCustomLogin.UseRegistry

TRxCustomLogin

property UseRegistry: Boolean read FUseRegistry write FUseRegistry default False;


TRxDBRichEdit.ReadOnly

TRxDBRichEdit

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TRxSwitch.Caption

TRxSwitch

property Caption;


TStoredProcList.Create

TStoredProcList

constructor Create ( AOwner: TComponent );


TRxSpeedButton.Glyph

TRxSpeedButton

property Glyph: TBitmap read GetGlyph write SetGlyph;


TRxMemoryData.AfterClose

TRxMemoryData

property AfterClose;


TFilenameEdit.OnStartDock

TFilenameEdit

property OnStartDock;


TRxTimerList.Handle

TRxTimerList

Run-time and read only. The Handle property provides access to the event by unique identificator.

property Handle: Integer;


TDBIndexCombo.Loaded

TDBIndexCombo

procedure Loaded;


(Untitled)

TLocateObject Properties

TLocateObject By object Legend

Bookmark

CaseSensitive

DataSet

IndexSwitch

LookupExact

LookupField

LookupValue


TSecretPanel.DragMode

TSecretPanel

property DragMode;


TGIFItem.Destroy

TGIFItem

destructor Destroy;


(Untitled)

TDataSourceLink Properties

TDataSourceLink Alphabetically Legend

Derived from TDataLink

Active

ActiveRecord

BOF

BufferCount

DataSet

DataSource

DataSourceFixed

Editing

Eof

ReadOnly

RecordCount


TRxProjectResExpert.Execute

TRxProjectResExpert

procedure Execute;


TButtonImage.DrawPopupMark

TButtonImage

procedure DrawPopupMark ( Canvas: TCanvas; X , Y: Integer; State: TRxButtonState );


TRxCustomLabel.OnMouseEnter

TRxCustomLabel

property OnMouseEnter: TNotifyEvent read FOnMouseEnter write FOnMouseEnter;


TRxClock.OnResize

TRxClock

property OnResize;


TRxDBGrid.DrawCell

TRxDBGrid

procedure DrawCell ( ACol , ARow: Longint; ARect: TRect; AState: TGridDrawState );


(Untitled)

EOleException Properties

EOleException By object Legend

ErrorCode

HelpContext

HelpFile

Message

Source


TRecentStrings.Remove

TRecentStrings

Removes a string from the list

procedure Remove ( const S: String );


TRxCustomListBox.Style

TRxCustomListBox

property Style: TListBoxStyle read FStyle write SetStyle default lbStandard;


TSecretPanel.Visible

TSecretPanel

property Visible;


TRxTextAttributes.AssignTo

TRxTextAttributes

procedure AssignTo ( Dest: TPersistent );


TComObject.IUnknown._Release

TComObject

function IUnknown._Release = ObjRelease;


TRxCheckListBox.ImeName

TRxCheckListBox

property ImeName;


TRxMemoryData.BeforePost

TRxMemoryData

property BeforePost;


TRxMemoryData.Create

TRxMemoryData

constructor Create ( AOwner: TComponent );


TRxCustomLogin.UnlockOkClick

TRxCustomLogin

procedure UnlockOkClick ( Sender: TObject );


TGIFImage.Equals

TGIFImage

function Equals ( Graphic: TGraphic ): Boolean;


TProgressControlProperty.RefCount

TProgressControlProperty

property RefCount: Integer read FRefCount;


TRxDBLookupList.ItemHeight

TRxDBLookupList

property ItemHeight;


(Untitled)

TRxCalculator Events

TRxCalculator By object Legend

OnCalcKey

OnChange

OnDisplayChange


TRxDBLookupCombo.PopupMenu

TRxDBLookupCombo

property PopupMenu;


TMRUManager.OnClick

TMRUManager

OnClick event is triggered when the menu item in the MRU list is clicked.

property OnClick: TClickMenuEvent;


TRxSpinEdit.KeyDown

TRxSpinEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TMergeManager.GetBackForm

TMergeManager

function GetBackForm: TCustomForm;


TFontComboBox.MinItemHeight

TFontComboBox

function MinItemHeight: Integer;


TFilenameEdit.AutoSelect

TFilenameEdit

property AutoSelect;


TRxButtonGlyph.Draw

TRxButtonGlyph

function Draw ( Canvas: TCanvas; const Client: TRect; const Caption: string; Layout: TButtonLayout; Margin , Spacing: Integer; PopupMark: Boolean; State: TRxButtonState; Flags: Word ): TRect;


TOwnerDrawComboBox.MinItemHeight

TOwnerDrawComboBox

function MinItemHeight: Integer;


TRxLookupEdit.OnDblClick

TRxLookupEdit

property OnDblClick;


(Untitled)

TRxCustomListBox Properties

TRxCustomListBox Alphabetically Legend

In TRxCustomListBox

AutoScroll

BorderStyle

Canvas

Columns

ExtendedSelect

GraySelection

IntegralHeight

ItemHeight

ItemIndex

Items

MultiSelect

SelCount

Selected

Sorted

Style

TabStop

TabWidth

TopIndex

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBStatusLabel.DataSource

TDBStatusLabel

property DataSource: TDataSource read GetDataSource write SetDataSource;


TRxCustomListBox.ItemAtPos

TRxCustomListBox

function ItemAtPos ( Pos: TPoint; Existing: Boolean ): Integer;


TAppEvents.OnHelp

TAppEvents

OnHelp is triggered when help is triggered (useful for putting all the code inside your code instead of triggering it all over the place).

function DoHelp(Command: Word; Data: Longint;


TRxSpeedButton.Style

TRxSpeedButton

property Style: TButtonStyle read FStyle write SetStyle default bsAutoDetect;


TGIFFrame.AssignTo

TGIFFrame

procedure AssignTo ( Dest: TPersistent );


(Untitled)

TConverter Events

TConverter By object Legend

OnChange


TRxRichEdit.PlainText

TRxRichEdit

property PlainText;


TDBDateEdit.GlyphKind

TDBDateEdit

property GlyphKind;


TPropsStorage.Section

TPropsStorage

property Section: string read FSection write FSection;


TRxDBFilter.OnDeactivate

TRxDBFilter

The OnDeactivate event is activated after a filter is deactivated, either by calling the Deactivate method or by setting the Active property to False.

property OnDeactivate: TNotifyEvent;

Description

By assigning a method to this property, you can take any special actions required by the event.


(Untitled)

TDirectoryEdit Methods

TDirectoryEdit Alphabetically Legend

In TDirectoryEdit

ButtonClick

Create

GetLongName

GetShortName

ReceptFileDir

Derived from TFileDirEdit

Derived from TCustomComboEdit

Destroy

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TDirectoryEdit Properties

TDirectoryEdit By object Legend

AcceptFiles

Action

Align

Anchors

AutoSelect

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CharCase

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DialogKind

DialogOptions

DialogText

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditMask

EditText

Enabled

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

InitialDir

IsMasked

Left

LongName

LRDockWidth

Modified

MultipleDirs

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShortName

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TRxSpinEdit Properties

TRxSpinEdit By object Legend

Action

Align

Alignment

Anchors

ArrowKeys

AsInteger

AutoSelect

AutoSize

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonKind

CanUndo

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

Decimal

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Down

DownGlyph

DragCursor

DragKind

DragMode

EditorEnabled

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

Increment

Left

LRDockWidth

MaxLength

MaxValue

MinValue

Modified

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

UpGlyph

Value

ValueType

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TSQLScript Events

TSQLScript Alphabetically Legend

In TSQLScript

AfterExec

BeforeExec

OnScriptError


TRxFolderMonitor.Create

TRxFolderMonitor

constructor Create(AOwner: TComponent); override;


TSpeedBar.Customize

TSpeedBar

Customize sets the helpc context number.

property procedure Customize(HelpCtx: Longint);


TRxNumbering

Unit

RxRichEd

Description

ValueMeaning

nsNone

nsBullet

nsArabicNumbers

nsLoCaseLetter

nsUpCaseLetter

nsLoCaseRoman

nsUpCaseRoman


TConverter.AsTime

TConverter

Run-time only. This is a conversion property. AsTime can be used to read or set the value stored in the TConverter component as a time value.

property AsTime: TDateTime;


TRxCalcEdit.AutoSize

TRxCalcEdit

property AutoSize;


TRxDBRichEdit.ScrollBars

TRxDBRichEdit

property ScrollBars;


TDBStatusLabel.OnDblClick

TDBStatusLabel

property OnDblClick;


TColorComboBox.ColorNames

TColorComboBox

ColorNames provides a way to customize the display color's names for the items in the drop-down list of color combo box. Use the ColorNames property to supply color names of your choosing for the individual color items. Each color has a default english name.

ColorNames allow the values of any or all of these default names to be replaced by customized names.

ColorNames is a string list. Each name is a string. The first string in the string list becomes the name for the first item on the list (clBlack). The 16-th string becomes the name for the 16-th item (clWhite).

When specifying names at runtime, enter an empty string ('') for any name that should keep the default value. Simply leave the line blank when using the string list property editor of the Object Inspector for the ColorNames property.

property ColorNames: TStrings;


TRxDBComboBox.OnDropDown

TRxDBComboBox

property OnDropDown;


(Untitled)

TIndexList Properties

TIndexList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

TableName

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


(Untitled)

TGradCaptionsEditor Events

TGradCaptionsEditor Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TDateTimeFormat.PMString

TDateTimeFormat

property PMString: string read GetPMString write SetPMString;


TAppEvents.OnShortCut

TAppEvents

property OnShortCut: TShortCutEvent read FOnShortCut write FOnShortCut;


TRxDBFilter.OnFiltering-Example

procedure TForm1.RxFilterOnFiltering(Sender: TObject; DataSet: TDataSet): Boolean;

begin

__if (AnsiUpperCase(DataSet.FieldByName('Cust_Name')) = 'Smith') or

__ _((DataSet.FieldByName('Rate') > 0.5) and (DataSet.FieldByName('Rate') < 0.95))

__then

____Result := True

__else

____Result := False;

end;


TDirectoryEdit.ReadOnly

TDirectoryEdit

property ReadOnly;


TRxDBComboBox.ImeName

TRxDBComboBox

property ImeName;


TRxRichEdit.DragCursor

TRxRichEdit

property DragCursor;


TRxDBLookupCombo.OnEnter

TRxDBLookupCombo

property OnEnter;


TRxCalcEdit.DecimalPlaces

TRxCalcEdit

property DecimalPlaces;


TRxSplitter.OnMouseMove

TRxSplitter

property OnMouseMove;


TAnimatedImage

Hierarchy Properties Methods Events

The TAnimatedImage component can display simple animation sequences on the form on which it is placed.

Unit

Animate

Description

Use the TAnimatedImage component to display a sequence of frames with a set interval to create an animated image. You specify the bitmap containing the frames in the Glyph property. Set the Active property to True and watch the animation.

You can use design-time component editor to load Windows animated cursors (ANI files) into the Glyph property.

The animation sequence is stored in the Glyph property. The bitmap may consist of a series of frames arranged one after the other (from left to right or from top to bottom, according to Orientation property value), while the Interval property controls the rate at which the frames are displayed. The NumGlyphs property specifies count of the frames in the image.

It is possible to define number of frames to be displayed in the present moment, during runtime based on the value of the property GlyphNum. You can also set this value during design time.

The property Opaque determines, whether the component will fill in a background under image by colour Color or it will be completely transparent. Component also includes properties similar to the properties TImage. You can also use a component TAnimatedImage for a drawing on the form of the transparent motionless images, for example, for overlay of the images against each other.

The TransparentColor property sets the color for which the form's color should be displayed instead of the bitmap color. When you set the Active property to True, the glyph starts to animate. The OnStart event is triggered when the animation started and the OnStop event is generated when the property Active sets to False.

To display the frame sequence at timed intervals:

Set the Glyph property to the frame sequence.

Set the NumGlyphs property desired frame numbers in the image.

Set the TransparentColor and Opaque properties to control image transparency.

Set the Interval property to the desired time interval between successive frames.

Set the Active property to True.

You can stop the animation sequence by setting the Active property to False.

See also:

RX ANI file (TAnimatedCursorImage) and RX Gif Animator (TRxGIFAnimator)


TRxIniFile.ReadColor

TRxIniFile

ReadColour allows a colour to be read from the particular section andidentification part of an INI file.

function ReadColor(const Section, Ident: string; Default: TColor): TColor;


TRxDrawGrid.InvalidateCell

TRxDrawGrid

The InvalidateCell method causes the visible portion of a grid cell to repaint. Nothing is

repainted if the cell is not visible on screen. The ACol and ARow parameters specify the

column and row of the cell.

property procedure InvalidateCell(ACol, ARow: Longint);


(Untitled)

TCustomDatabaseItems Methods

TCustomDatabaseItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetItemName

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


(Untitled)

TScreenCanvas Methods

TScreenCanvas Alphabetically Legend

In TScreenCanvas

CreateHandle

Destroy

FreeHandle

OpenBit

SetOrigin

Derived from TCanvas

Arc

BrushCopy

Chord

CopyRect

Create

Draw

DrawFocusRect

Ellipse

FillRect

FloodFill

FrameRect

LineTo

Lock

MoveTo

Pie

PolyBezier

PolyBezierTo

Polygon

Polyline

Rectangle

Refresh

RoundRect

StretchDraw

TextExtent

TextHeight

TextOut

TextRect

TextWidth

TryLock

Unlock

Derived from TPersistent

Assign

GetNamePath


TRxRichEdit.OnMouseWheelDown

TRxRichEdit

property OnMouseWheelDown;


TGIFImage.EncodeAllFrames

TGIFImage

procedure EncodeAllFrames;


TRxDBComboBox.ParentShowHint

TRxDBComboBox

property ParentShowHint;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

THintWindow


ClipIcon.CopyIconToClipboard

ClipIcon

CopyIconToClipboard copies the icon to the Clipboard.

property procedure CopyIconToClipboard(Icon: TIcon; BackColor: TColor);

Description

This function places the data in CF_ICON format and assosiated bitmap to the clipboard. BackColor is color to fill background when creating bitmap from the icon.

Use CreateIconFromClipboard or AssignClipboardIcon to retrieve icon from the Clipboard.

CopyIconToClipboard example:

var Icon: TIcon;

begin

__...

__CopyIconToClipboard(Icon, clBtnFace);

end;


TQBEQuery.StmtHandle

TQBEQuery

property StmtHandle: HDBIStmt read FStmtHandle;


(Untitled)

TCustomTableItems Events

TCustomTableItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxDBLookupList.LookupField

TRxDBLookupList

property LookupField;


TRxCustomLabel.MouseLeave

TRxCustomLabel

procedure MouseLeave;


TSQLScript.Term

TSQLScript

property Term: Char read FTerm write FTerm default DefaultTermChar;


(Untitled)

TDualListDialog Properties

TDualListDialog By object Legend

CancelBtnCaption

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Ctl3D

DesignInfo

HelpBtnCaption

HelpContext

Label1Caption

Label2Caption

List1

List2

Name

OkBtnCaption

Owner

ShowHelp

Sorted

Tag

Title

VCLComObject


TDirectoryEdit.Font

TDirectoryEdit

property Font;


TOleController.SetPropertyByID

TOleController

Many automation objects include properties in their interfaces.

property procedure SetPropertyByID(ID: DISPID; const Prop: array of const);

Description

Properties represent the state or content of the automation server. This method allows you to set a value of automation-object property by its identifier ID.


(Untitled)

TDBIndexCombo Methods

TDBIndexCombo By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

Clear

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FillIndexList

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

MouseWheelHandler

Notification

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UpdateList

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxTrayIcon.ShowDesign

TRxTrayIcon

This property allows you to testing tray icon in design-time.

(This property is Ignored during run-time.)

property ShowDesign: Boolean;


TSQLScript.Text

TSQLScript

property Text: string read GetText;


(Untitled)

TRxHintWindow Properties

TRxHintWindow Alphabetically Legend

Derived from THintWindow

BiDiMode

Canvas

Caption

Color

Font

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBComboBox.LinkActive

TRxDBComboBox

procedure LinkActive ( Value: Boolean );


TRxDBGrid.TitleOffset

TRxDBGrid

property TitleOffset: Byte read GetTitleOffset;


(Untitled)

Hierarchy

TObject

|

TStream

|

THandleStream


TRxSplitter.OnClick

TRxSplitter

property OnClick;


TRxDrawGrid.MouseDown

TRxDrawGrid

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TComServerObject

Hierarchy Properties Methods

Unit

ComObj


TIniLink

Hierarchy Properties Methods Events

Internal object centralizing INI actions (save / restore)

Unit

Placemnt


TRxMemoryData.BeforeScroll

TRxMemoryData

property BeforeScroll;


TRxCustomSlider.ReadOnly

TRxCustomSlider

property ReadOnly: Boolean read FReadOnly write SetReadOnly default False;


(Untitled)

TOleController Methods

TOleController Alphabetically Legend

In TOleController

AssignIDispatch

CallFunction

CallFunctionByID

CallFunctionByIDsNamedParams

CallFunctionNamedParams

CallFunctionNoParams

CallFunctionNoParamsByID

CallProcedure

CallProcedureByID

CallProcedureByIDsNamedParams

CallProcedureNamedParams

CallProcedureNoParams

CallProcedureNoParamsByID

ClearObject

Create

CreateLCID

CreateObject

Destroy

GetActiveObject

GetProperty

GetPropertyByID

SetLocale

SetProperty

SetPropertyByID


AppUtils.GetDefaultIniRegKey

AppUtils

Returns the default name for the application registry key.

property function GetDefaultIniRegKey: string;

Description

Result string has next format:

"HKEY_CURRENT_USER + <DefCompanyName + <application name>

DefCompanyName is global string variable, equal to empty string by default.

<application name> is application EXE-name without extension when RegUseAppTitle is

False (by default) and is value of Application.Title property when RegUseAppTitle is

True. The result of GetDefaultIniRegKey function can be passed as FileName parameter

to the TRegIniFile constructor.

GetDefaultIniRegKey example:

begin

__...

__RegUseAppTitle := True;

__DefCompanyName := 'My Company';

__...

__RegIniFile := TRegIniFile.Create(GetDefaultIniRegKey);

__...

end;


TRxDice.Paint

TRxDice

procedure Paint;


TFilenameEdit.ParentCtl3D

TFilenameEdit

property ParentCtl3D;


TQBEQuery.UpdateMode

TQBEQuery

property UpdateMode;


TRxDBGrid.DoMouseWheelDown

TRxDBGrid

function DoMouseWheelDown ( Shift: TShiftState; MousePos: TPoint ): Boolean;


TClipboardMonitor.Enabled

TClipboardMonitor

property Enabled: Boolean read FEnabled write SetEnabled default True;


TRxClock.OnClick

TRxClock

property OnClick;


TFileDirEdit.OnAfterDialog

TFileDirEdit

property OnAfterDialog: TExecOpenDialogEvent read FOnAfterDialog write FOnAfterDialog;


TRxLookupEdit.ParentFont

TRxLookupEdit

property ParentFont;


(Untitled)

TButtonImage Properties

TButtonImage Alphabetically Legend

In TButtonImage

Alignment

ButtonSize

Caption

Glyph

NumGlyphs

WordWrap


TQBEQuery.GetQBEText

TQBEQuery

function GetQBEText: PChar;


TMemBlobStream.Write

TMemBlobStream

function Write ( const Buffer; Count: Longint ): Longint;


TRxTimerEvent.Enabled

TRxTimerEvent

property Enabled: Boolean read FEnabled write SetEnabled default True;


TRxLookupEdit.OnDragDrop

TRxLookupEdit

property OnDragDrop;


TWinMinMaxInfo.DefaultMinMaxInfo

TWinMinMaxInfo

function DefaultMinMaxInfo: Boolean;


(Untitled)

TComObjectFactory Properties

TComObjectFactory By object Legend

ClassID

ClassName

ComClass

ComServer

Description

ErrorIID

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TRxCalculatorForm.OkClick

TRxCalculatorForm

procedure OkClick ( Sender: TObject );


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TScrollingWinControl

|

TScrollBox


(Untitled)

TTextListBox Methods

TTextListBox Alphabetically Legend

In TTextListBox

CreateParams

CreateWnd

WndProc

Derived from TCustomListBox

Clear

Create

Destroy

ItemAtPos

ItemRect

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomNumEdit.FormatDisplayText

TCustomNumEdit

function FormatDisplayText ( Value: Extended ): string;


(Untitled)

TMemoryTable Methods

TMemoryTable Alphabetically Legend

In TMemoryTable

BatchMove

CopyStructure

Create

CreateHandle

CreateTable

DeleteTable

DoAfterClose

DoAfterOpen

DoAfterScroll

DoBeforeClose

DoBeforeDelete

DoBeforeOpen

DoBeforeScroll

EmptyTable

GetFieldData

GetRecNo

GetRecordCount

GetRecordNumber

GotoRecord

InternalDelete

IsSequenced

Locate

Lookup

SetFieldValues

SetRecNo

Derived from TDBDataSet

CheckOpen

CloseDatabase

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetIndexInfo

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxClock.OnDblClick

TRxClock

property OnDblClick;


TRxCustomRichEdit.SetSelLength

TRxCustomRichEdit

procedure SetSelLength ( Value: Integer );


TRxProjectResExpert.MarkModified

TRxProjectResExpert

procedure MarkModified;


TRxSpeedButton.Click

TRxSpeedButton

procedure Click;


TRxLookupControl.EmptyValue

TRxLookupControl

property EmptyValue: string read FEmptyValue write SetEmptyValue stored StoreEmpty;


(Untitled)

TComObject Properties

TComObject By object Legend

Controller

Factory

RefCount

ServerExceptionHandler


TRxSliderImages.HorzThumb

TRxSliderImages

property HorzThumb: TBitmap index Ord ( siHThumb ) read GetImage write SetImage stored StoreImage;


TResourceEntry.GetResourceName

TResourceEntry

function GetResourceName: PChar;


(Untitled)

TMemoryRecord Methods

TMemoryRecord Alphabetically Legend

In TMemoryRecord

Create

Destroy

SetIndex

Derived from TPersistent

Assign

GetNamePath


TRxCheckListBox.MultiSelect

TRxCheckListBox

property MultiSelect;


TRxDBComboEdit.DirectInput

TRxDBComboEdit

property DirectInput;


TObjectStrings.OnDestroyObject

TObjectStrings

property OnDestroyObject: TDestroyEvent read FOnDestroyObject write FOnDestroyObject;


TRxDBGrid.RestoreLayoutReg

TRxDBGridSee also

From the inifile, this method extracts the layout property information and restores the property information to the column, rows of the string-grid.

procedure RestoreLayoutReg ( IniFile: TRegIniFile );


TDBFilterOptions

The TDBFilterOptions type defines the possible values for the Options property of the TRxDBFilter component.

Unit

DBFilter

property TDBFilterOptions = (foCaseInsensitive, foNoPartialCompare);


TDBStatusLabel.ParentFont

TDBStatusLabel

property ParentFont;


TRxRemoteLogin.OnUnlock

TRxRemoteLogin

property OnUnlock;


(Untitled)

TGIFItem Properties


TSpeedBar.ItemsCount

TSpeedBar

ItemsCount function counts the number of items on a speedbar's section.

property function ItemsCount(Section: Integer): Integer;


TDateEdit.GlyphKind

TDateEdit

property GlyphKind;


TRxSplitter.BorderStyle

TRxSplitter

property BorderStyle;


TDBStatusLabel.OnDragDrop

TDBStatusLabel

property OnDragDrop;


TRxCheckListBox.DrawItem

TRxCheckListBox

procedure DrawItem ( Index: Integer; Rect: TRect; State: TOwnerDrawState );


TRxDBRichEdit.AutoVerbMenu

TRxDBRichEdit

property AutoVerbMenu;


TComObjectFactory.RegisterClassObject

TComObjectFactory

procedure RegisterClassObject;


TDBDateEdit.DragMode

TDBDateEdit

property DragMode;


TSpeedBar.OnMouseMove

TSpeedBar

property OnMouseMove;


TRxProjectResExpert.NewCursorIconRes

TRxProjectResExpert

procedure NewCursorIconRes ( ResFile: TIResourceFile; ResName: PChar; IsIcon: Boolean; Stream: TStream );


(Untitled)

TRxLabel Properties

TRxLabel Alphabetically Legend

In TRxLabel

Align

Alignment

Anchors

AutoSize

BiDiMode

Caption

Color

Constraints

DragCursor

DragKind

DragMode

Enabled

FocusControl

Font

Layout

ParentBiDiMode

ParentColor

ParentFont

ParentShowHint

PopupMenu

ShadowColor

ShadowPos

ShadowSize

ShowAccelChar

ShowFocus

ShowHint

Transparent

Visible

WordWrap

Derived from TRxCustomLabel

Canvas

MouseInControl

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TAutoObject.AutoFactory

TAutoObject

property AutoFactory: TAutoObjectFactory read FAutoFactory;


TRxRichEdit.AllowInPlace

TRxRichEdit

property AllowInPlace;


TIdxDisplayMode

See also

The TIdxDisplayMode type defines the possible values for the DisplayMode property of the TDBIndexCombo component.

Unit

DbIndex

property TIdxDisplayMode = (dmFieldLabels, dmFieldNames, dmIndexName);

Description

ValueMeaning

dmFieldLabels

dmFieldNames

dmIndexName


TRxProjectResExpert

Hierarchy Methods

Unit

RxResExp


TRxGradient.Assign

TRxGradient

procedure Assign ( Source: TPersistent );


AppUtils.SaveGridLayout

AppUtils

Write grid's columns widths and positions (indexes) to an INI file.

property procedure SaveGridLayout(Grid: TCustomGrid; IniFile: TIniFile);

Description

Can be used for any TCustomGrid descendants such as TStringGrid, TDrawGrid, TRxDrawGrid or other. To retrieve grid's layout from an INI file use RestoreGridLayout procedure. You can call this procedure in the OnSavePlacement event handler of the TFormPlacement, TFormStorage components.

SaveGridLayout example:

SaveGridLayout(DrawGrid1, Placement.IniFile);


TTextListBox.ShowHint

TTextListBox

property ShowHint;


TDateEdit.OnAcceptDate

TDateEdit

The event OnAcceptDate triggers just after the pop-up calendar (or form) is closed.

OnAcceptDate: TExecDateDialog;

Description

The OnAcceptDate event allows an application to (optionally) validate the date value. The value of the Action parameter (a boolean variable) determines if the application should reject or accept the date specified by the user.


TRxDBRichEdit.SetPlainText

TRxDBRichEdit

procedure SetPlainText ( Value: Boolean );


TAutoIntfObject.DispTypeInfo

TAutoIntfObject

property DispTypeInfo: ITypeInfo read FDispTypeInfo;


(Untitled)

TSpeedBar Events

TSpeedBar Alphabetically Legend

In TSpeedBar

OnAddItem

OnApplyAlign

OnClick

OnCustomize

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPosChanged

OnResize

OnStartDock

OnStartDrag

OnVisibleChanged

Derived from TWinControl

Derived from TControl


TFilenameEdit.OnStartDrag

TFilenameEdit

property OnStartDrag;


TRxLabel.Transparent

TRxLabel

property Transparent;


TClipboardMonitor.Create

TClipboardMonitor

constructor Create ( AOwner: TComponent );


TCustomClipboardViewer.Create

TCustomClipboardViewer

constructor Create ( AOwner: TComponent );


(Untitled)

TRxHintWindow Properties

TRxHintWindow By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

Caption

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentWindow

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


(Untitled)

TDBLocate Methods

TDBLocate By object Legend

ActiveChanged

AssignRecord

AsyncQrySupported

CheckFieldType

CheckOpen

CheckRequiredField

ConfirmDataSetCancel

ConfirmDelete

ConvertStringToLogicType

CurrentRecordDeleted

DataSetFindValue

DataSetPositionStr

DataSetRecNo

DataSetShowDeleted

DataSetSortedSearch

DeleteRange

Destroy

ExecuteQuery

ExportDataSet

FetchAllRecords

FieldLogicMap

FilterApplicable

FormatAnsiSQLCondition

FormatSQLCondition

FormatSQLDateRange

GetAliasPath

GetBDEDirectory

InitRSRun

IsBookmarkStable

Locate

LocateFilter

LocateKey

PackTable

RefreshQuery

RestoreFields

RestoreFieldsReg

RestoreIndex

SaveFields

SaveFieldsReg

SetIndex

SetToBookmark

TransActive

UseKey


TCustomNumEdit.ReformatEditText

TCustomNumEdit

procedure ReformatEditText;


TPropsStorage.AObject

TPropsStorage

property AObject: TObject read FObject write FObject;


TIconList.Assign

TIconList

procedure Assign ( Source: TPersistent );


TFontComboBox.OnClick

TFontComboBox

property OnClick;


TRxRemoteLoginEvent

Unit

RxRemLog

TRxRemoteLoginEvent ( Sender : TObject ; const UserName , Password : string ; var AllowLogin : Boolean )of object ;


(Untitled)

TAppEvents Events

TAppEvents By object Legend

OnActionExecute

OnActionUpdate

OnActivate

OnActiveControlChange

OnActiveFormChange

OnDeactivate

OnException

OnHelp

OnHint

OnIdle

OnMessage

OnMinimize

OnPaintIcon

OnRestore

OnSettingsChanged

OnShortCut

OnShowHint


TComObjectFactory.GetProgID

TComObjectFactory

function GetProgID: string;


TRxDBLookupCombo.Color

TRxDBLookupCombo

property Color;


TStrHolder.Duplicates

TStrHolder

property Duplicates: TDuplicates read GetDuplicates write SetDuplicates default dupIgnore;


TDBItemType

Unit

DBLists

Description

ValueMeaning

dtTables

dtStoredProcs

dtFiles

dtFunctions


AppUtils.SaveGridLayoutReg

AppUtils

Writes grid's columns widths and positions (indexes) to the Windows95/NT system registry.

property procedure SaveGridLayoutReg(Grid: TCustomGrid; IniFile: TRegIniFile);

Description

Can be used for any TCustomGrid descendants such as TStringGrid, TDrawGrid, TRxDrawGrid or other. To retrieve grid's layout from the system registry use RestoreGridLayoutReg procedure. You can call this procedure in the OnSavePlacement event handler of the TFormPlacement, TFormStorage components when its UseRegistry property is True.

SaveGridLayoutReg example:

SaveGridLayoutReg(DrawGrid1, Placement.RegIniFile);


TRxCalcEdit.OnEndDock

TRxCalcEdit

property OnEndDock;


TRxCustomSlider.Orientation

TRxCustomSlider

property Orientation: TSliderOrientation read FOrientation write SetOrientation default soHorizontal;


TRxCheckListBox.KeyPress

TRxCheckListBox

procedure KeyPress ( var Key: Char );


TRxWindowHook.DefineProperties

TRxWindowHook

procedure DefineProperties ( Filer: TFiler );


TDateEdit.Constraints

TDateEdit

property Constraints;


TRxLookupEdit.Text

TRxLookupEdit

property Text;


TGIFFrame.Assign

TGIFFrame

procedure Assign ( Source: TPersistent );


StrUtils.ExtractWord

StrUtils

ExtractWord, ExtractWordPos and ExtractDelimited given a set of word delimiters, return the N'th word in S.

property function ExtractWord(N: Integer; const S: string; const WordDelims: TCharSet): string;

Description

ExtractWord example:

S := 'Let him go';

S1 := ExtractWord(2, S, [' ']);

\\\\\\\ here S1 = 'him' \\\\\\\


TCloneTable.CreateHandle

TCloneTable

function CreateHandle: HDBICur;


TRxSlider.OnMouseDown

TRxSlider

property OnMouseDown;


TRxDBComboBox.GetPaintText

TRxDBComboBox

function GetPaintText: string;


TRxPopupMenu.OnDrawItem

TRxPopupMenu

property OnDrawItem: TDrawMenuItemEvent read FOnDrawItem write FOnDrawItem;


TRxDBComboEdit.GetReadOnly

TRxDBComboEdit

function GetReadOnly: Boolean;


TRxDBRichEdit.Notification

TRxDBRichEdit

procedure Notification ( AComponent: TComponent; Operation: TOperation );


VCLUtils.CreateBitmapFromIcon

VCLUtils

CreateBitMapFromIcon, as it's name implies, creates a bitmap from an icon.

property function CreateBitmapFromIcon(Icon: TIcon; BackColor: TColor): TBitmap;

Description

The BackColour is important because there is no bitmap equivalent of the colour "transparent".

CreateBitmapFromIcon example:

var

__Bmp: TBitmap;

begin

__Bmp := CreateBitmapFromIcon(Form1.Icon, clSilver);

__try

____\\\\\\\ use bitmap \\\\\\\

__finally

____Bmp.Free;

__end;

end;


TRxCustomListBox.ExtendedSelect

TRxCustomListBox

property ExtendedSelect: Boolean read FExtendedSelect write SetExtendedSelect default True;


TQBEQuery.ParamByName

TQBEQuery

function ParamByName ( const Value: string ): TParam;


(Untitled)

TCloneDataset Methods

TCloneDataset By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

ClearFields

Close

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


(Untitled)

TSpeedbarSection Methods

TSpeedbarSection Alphabetically Legend

In TSpeedbarSection

Clear

Create

Destroy

GetParentComponent

HasParent

ReadState

RemoveItem

SetParentComponent

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSpinButton.MouseDown

TRxSpinButton

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TDBDateEdit.ParentCtl3D

TDBDateEdit

property ParentCtl3D;


TPageManager.SetStartPage

TPageManager

SetStartPage property sets the start page.

property SetStartPage: Boolean;

Description

SetStartPage sets the particular page to start.


(Untitled)

TRxSpinButton Methods

TRxSpinButton Alphabetically Legend

In TRxSpinButton

Create

Destroy

MouseDown

MouseMove

MouseUp

Notification

Paint

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBIndexCombo.DragMode

TDBIndexCombo

property DragMode;


(Untitled)

TColorComboBox Events

TColorComboBox By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag


TGIFImage.LoadFromResourceID

TGIFImage

procedure LoadFromResourceID ( Instance: THandle; ResID: Integer; ResType: PChar );


(Untitled)

TRxDrawGrid Properties

TRxDrawGrid By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

Canvas

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Col

ColCount

Color

ColWidths

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultColWidth

DefaultDrawing

DefaultRowHeight

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditorMode

Enabled

FixedButtons

FixedColor

FixedCols

FixedRows

Floating

FloatingDockSiteClass

Font

GridHeight

GridLineWidth

GridWidth

Handle

Height

HelpContext

Hint

HostDockSite

IniStorage

Left

LeftCol

LRDockWidth

Name

Options

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

Row

RowCount

RowHeights

ScrollBars

Selection

ShowHint

Showing

TabOrder

TabStop

TabStops

Tag

TBDockHeight

Top

TopRow

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleColCount

VisibleDockClientCount

VisibleRowCount

Width

WindowProc


TSpeedBar.OnDblClick

TSpeedBar

property OnDblClick;


TTextListBox.ParentColor

TTextListBox

property ParentColor;


TCustomDatabaseItems.GetItemName

TCustomDatabaseItems

function GetItemName: string;


(Untitled)

TMinMaxInfoEditDialog Methods

TMinMaxInfoEditDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TRxCaption

Hierarchy Properties Methods

Caption object used in TRxGradientCaption component through a specialized list component (TRxCaptionList component)

Unit

RxGrdCpt


TRxLabel.ShadowSize

TRxLabel

Use this property to specify how far down and to the right the shadow text will be displayed from the main text.

property ShadowSize: Byte;


TRxDrawGrid.EditChanged

TRxDrawGrid

procedure EditChanged ( Sender: TObject );


TIniLink.LoadFromIni

TIniLink

procedure LoadFromIni;


TMemoryTable.DoAfterOpen

TMemoryTable

procedure DoAfterOpen;


(Untitled)

TRxCustomRichEdit Methods

TRxCustomRichEdit Alphabetically Legend

In TRxCustomRichEdit

Clear

ClearUndo

CloseFindDialog

Create

CreateParams

CreateWindowHandle

CreateWnd

Destroy

DestroyWnd

DoSetMaxLength

FindDialog

FindNext

FindText

GetCaretPos

GetCharPos

GetLineIndex

GetLineLength

GetPopupMenu

GetSelection

GetSelLength

GetSelStart

GetSelText

GetSelTextBuf

GetTextRange

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

Print

ProtectChange

Redo

ReplaceDialog

RequestSize

SaveClipboard

SelectionChange

SetPlainText

SetSelection

SetSelLength

SetSelStart

StopGroupTyping

TextNotFound

Undo

URLClick

WordAtCursor

Derived from TCustomMemo

GetControlsAlignment

Derived from TCustomEdit

ClearSelection

CopyToClipboard

CutToClipboard

DefaultHandler

PasteFromClipboard

SelectAll

SetSelTextBuf

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TRxIniFile Events

TRxIniFile Alphabetically Legend

In TRxIniFile

OnReadObject

OnWriteObject


TComObjectFactory.LockServer

TComObjectFactory

function LockServer ( fLock: BOOL ): HResult;


RxQuery.ExecDirect

RxQuery

This method is used to immediately prepare and execute a query. Use ExecDirect method to avoid having the SQL statement parsed for parameters (i.e. anything preceded by a colon ':').

In this case, it is being used to create an Oracle trigger, where ":new" refers to the new version of the updated record. Conversely, ":old" refers to the record before the update. Oracle also happens to use ":=" as an assignment operator in triggers.

procedure ExecDirect;


TSQLScript.OnScriptError

TSQLScript

property OnScriptError: TScriptErrorEvent read FOnScriptError write FOnScriptError;


VCLUtils.ResourceNotFound

VCLUtils

ResourceNotFound triggers an exception 'Resource Not Found' with ResId identified (or shown) as the bad resource.

property procedure ResourceNotFound(ResID: PChar);

Description

ResourceNotFound example:

procedure LoadCursorRes(ResID: PChar; AssignTo: TCursor);

var

__Handle: HCursor;

begin

__Handle := LoadCursor(hInstance, ResID);

__if Handle = 0 then

____ResourceNotFound(ResID)

__else

____Screen.Cursors[AssignTo] := Handle;

end;


TPageManager.OnLeave

TPageManager

OnLeave event is triggered when focus from a page from tNoteBook is no longer active.

property OnLeave: TPageNotifyEvent;


(Untitled)

TOwnerDrawComboBox Events

TOwnerDrawComboBox Alphabetically Legend

Derived from TCustomComboBox

Derived from TWinControl

Derived from TControl


(Untitled)

TWinMinMaxInfo Methods

TWinMinMaxInfo Alphabetically Legend

In TWinMinMaxInfo

Assign

DefaultMinMaxInfo

Derived from TPersistent

Destroy

GetNamePath


TRxGIFAnimator.Stop

TRxGIFAnimator

procedure Stop;


TCurrencyEdit.DragCursor

TCurrencyEdit

property DragCursor;


TMergeManager.Destroy

TMergeManager

destructor Destroy; override;


TColorComboBox.DisplayNames

TColorComboBox

If True the color names (Black, Red etc) will be displaying in color list to the right of the colors in the color combo box.

property DisplayNames: Boolean;


(Untitled)

TRxCustomLogin Events

TRxCustomLogin By object Legend

AfterLogin

BeforeLogin

OnIconDblClick

OnUnlock


TSpeedBar.SetFontDefault

TSpeedBar

SetFontDefault sets the font to the default font.

Class TSpeedItem

TSpeedItem is a wrapper component for the button control (TRxSpeedButton) in a

TSpeedBar object. To place speed buttons on a speed bar at design time, select the

speed bar, double-click, and choose Add. All buttons in the speed bar can be grouped

by the sections. You can rearange the buttons in a speed bar at design time and at

runtime by using drag-and-drop operations while the Speedbar Designer is shown.

property procedure SetFontDefault;


(Untitled)

TAnimatedImage Events

TAnimatedImage Alphabetically Legend

In TAnimatedImage

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnFrameChanged

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop

Derived from TControl


TDBCallback.Invoke

TDBCallback

function Invoke ( CallType: CBType; var CBInfo: Pointer ): CBRType;


TRxDBRichEdit.DragCursor

TRxDBRichEdit

property DragCursor;


(Untitled)

EFilterError Properties

EFilterError By object Legend

HelpContext

Message


TRxCustomRichEdit.SelAttributes

TRxCustomRichEdit

property SelAttributes: TRxTextAttributes read FSelAttributes write SetSelAttributes;


(Untitled)

TRxSplitter Properties

TRxSplitter Alphabetically Legend

In TRxSplitter

Align

BevelInner

BevelOuter

BevelWidth

BorderStyle

BottomRightLimit

Color

Constraints

ControlFirst

ControlSecond

Ctl3D

Cursor

Enabled

ParentColor

ParentCtl3D

ParentShowHint

ShowHint

TopLeftLimit

Visible

Derived from TCustomPanel

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRemoteLogin.DoLogin

TRxRemoteLogin

function DoLogin ( var UserName: string ): Boolean;


TMRUManager.AutoEnable

TMRUManager

AutoEnable property automatically enables the MRU manager on startup and shutdown of the form.

If true, all the load/save processing is done automatically for you.

property AutoEnable: Boolean;


(Untitled)

TRxCalculator Events

TRxCalculator Alphabetically Legend

In TRxCalculator

OnCalcKey

OnChange

OnDisplayChange


TRxDBRichEdit.OnMouseWheelDown

TRxDBRichEdit

property OnMouseWheelDown;


TSpeedItem.Button

TSpeedItem

property Button: TRxSpeedButton read FButton;


TSpeedItem.Destroy

TSpeedItem

destructor Destroy;


(Untitled)

TDBLoginDialog Events

TDBLoginDialog By object Legend

OnCheckUnlock

OnCheckUserEvent

OnIconDblClick


TAutoObject.EventSink

TAutoObject

property EventSink: IUnknown read FEventSink write FEventSink;


(Untitled)

TPageManager Methods

TPageManager Alphabetically Legend

In TPageManager

ChangePage

CheckBtnEnabled

Create

Destroy

GetChildren

GetNextPageIndex

GetPriorPageIndex

GetUniqueName

GotoHistoryPage

Loaded

NextPage

Notification

PriorPage

Resync

SetPage

WriteComponents

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBStatusLabel.DatasetName

TDBStatusLabel

Name contains the name of the dataset as referenced by other components.

property DatasetName: string read GetDataSetName write SetDataSetName;


TCustomDateEdit

Hierarchy Properties Methods Events

Unit

ToolEdit


TRxDBComboBox.Constraints

TRxDBComboBox

property Constraints;


TRxTimerEvent.HasParent

TRxTimerEvent

function HasParent: Boolean;


TCustomDateEdit.ApplyDate

TCustomDateEdit

procedure ApplyDate ( Value: TDateTime );


(Untitled)

TRecentStrings Methods

TRecentStrings By object Legend

Add

AddObject

AddStrings

Append

Assign

BeginUpdate

Clear

Create

CustomSort

Delete

DeleteExceed

Destroy

EndUpdate

Equals

Exchange

Find

GetNamePath

GetText

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

Remove

SaveToFile

SaveToStream

SetText

Sort


TFilenameEdit

Hierarchy Properties Methods Events

The TFilenameEdit is a normal TEdit field specially designed for inputting filenames.

Unit

ToolEdit

Description

The TFilenameEdit control has button. The button is automatically aligned to the right side of the edit field and triggers an event when clicked (OnButtonClick).

On the click event of this button you get a dialog to allow the user to select a file name.

The standard Delphi TOpenDialog component used to show dialog box. When the user chooses OK in the dialog box, the user's filename selection is stored in the edit box's FileName property, which you can then use to process as you want. The Text property contains same string as the FileName property, but in 32-bit version the long filenames with spaces enclosed in double-quotes.


TRxButtonGlyph.DrawPopupMark

TRxButtonGlyph

procedure DrawPopupMark ( Canvas: TCanvas; X , Y: Integer; State: TRxButtonState );


TAppEvents.ShowMainForm

TAppEvents

Setting this variable to true means the form will be shown.

ShowMainForm : Boolean


RXDate

Hierarchy Properties Methods Events

TDBDateEdit is a direct descendant of the TDateEdit and inherits all of its properties and methods.

Unit

RxDbCtrl

Description

There are very few differences in the behavior of the TDBDateEdit and TDateEdit except that TDBDateEdit connects to a DataSource and allows visual manipulation of a Date or DateTime field.

TDBDateEdit provides three additional properties. The DataField, DataSource, and Field properties are exactly the same as the like-named properties in Delphi's standard data-aware components.

Using a TDBDateEdit component is very simple - assign a TDataSource to the DataSource property and assign a date or date-time field name to the DataField property. The TDBDateEdit control automatically gets the date from the data field and

updates the data source with the changed data.

To control 2- or 4-digit year in TDateEdit, TDBDateEdit components you can use a typed boolean constant FourDigitYear from DateUtil unit.


(Untitled)

TRxQuery Methods

TRxQuery By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Disconnect

Edit

EnableConstraints

EnableControls

ExecDirect

ExecSQL

ExecuteAction

ExpandMacros

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Loaded

Locate

Lookup

MacroByName

MoveBy

Next

Open

OpenCursor

OpenDatabase

OpenOrExec

ParamByName

Post

Prepare

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UnPrepare

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TMRUManager.Create

TMRUManager

constructor Create ( AOwner: TComponent );


TCustomComboEdit.SelectAll

TCustomComboEdit

procedure SelectAll;


TDBCallbackEvent

Unit

DbPrgrss

TDBCallbackEvent ( CBInfo : Pointer ): CBRType of object ;


TRxDrawGrid.OnRowSized

TRxDrawGrid

OnRowSized occurs immediately after the height of a row changes. Write an

OnRowSized event handler to provide special processing whenever a row in the grid

changes height. Rows can be sized programmatically or by user manipulation.

OnRowSized does not occur unless the Options property includes goRowSizing.

property OnRowSized: TNotifyEvent;


TRxTimerEvent.OnTimer

TRxTimerEvent

property OnTimer: TNotifyEvent read FOnTimer write FOnTimer;


TRxDBLookupList.Constraints

TRxDBLookupList

property Constraints;


TRxDBCalcEdit.OnEndDrag

TRxDBCalcEdit

property OnEndDrag;


TRxDBLookupCombo.MouseUp

TRxDBLookupCombo

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TRxLoginForm Events

TRxLoginForm By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnFormShow

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnOkClick

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxClock.ParentColor

TRxClock

property ParentColor;


StrUtils.RightStr

StrUtils

RightStr return a string left-padded to length N with blanks.

property function RightStr(const S: string; N: Integer): string;

Description

RightStr example:

__S := 'Let It Be';

__S := RightStr(S, 10);

__\\\\\\\ here S = ' Let It Be' \\\\\\\


TRxDice.Cursor

TRxDice

property Cursor;


TDBDateEdit.OnStartDrag

TDBDateEdit

property OnStartDrag;


TRxTextAttributes.Offset

TRxTextAttributes

property Offset: Integer read GetOffset write SetOffset;


TRxCaptionList.GetOwner

TRxCaptionList

function GetOwner: TPersistent;


TNotifyThread

Hierarchy Properties Methods Events See also

Internal class used by TRxFolderMonitor component

Unit

RxNotify


TGIFVersion

TGIFVersion defines the types of GIF file that can be read.

Unit

RxGif

property TGIFVersion = (gvUnknown, gv87a, gv89a);

Description

ValueMeaning

gvUnknown

gv87a

gv89a


TRxLookupControl.Create

TRxLookupControl

constructor Create ( AOwner: TComponent );


TSpeedbarSection.SetParentComponent

TSpeedbarSection

procedure SetParentComponent ( Value: TComponent );


TRxButtonGlyph.DrawEx

TRxButtonGlyph

function DrawEx ( Canvas: TCanvas; const Client: TRect; const Caption: string; Layout: TButtonLayout; Margin , Spacing: Integer; PopupMark: Boolean; Images: TImageList; ImageIndex: Integer; State: TRxButtonState; Flags: Word ): TRect;


TNotifyThread.Create

TNotifyThread

constructor Create ( const FolderName: string; WatchSubtree: Boolean; Filter: TFileChangeFilters );


TRxCustomSlider.OnChanged

TRxCustomSlider

property OnChanged: TNotifyEvent read FOnChanged write FOnChanged;


TRxParaAttributes.LineSpacingRule

TRxParaAttributes

property LineSpacingRule: TLineSpacingRule read GetLineSpacingRule write SetLineSpacingRule;


TRxResourceEditor

Hierarchy Properties Methods Events

Unit

RxResExp


TDBStatusLabel.UpdateStatus

TDBStatusLabel

procedure UpdateStatus;


(Untitled)

TMemoryRecord Properties

TMemoryRecord Alphabetically Legend

In TMemoryRecord

Data

ID

Index

MemoryData


TRxParaAttributes.LineSpacing

TRxParaAttributes

property LineSpacing: Longint read GetLineSpacing write SetLineSpacing;


TSQLScript.AfterExec

TSQLScript

property AfterExec: TNotifyEvent read FAfterExec write FAfterExec;


(Untitled)

TTableItems Methods

TTableItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TAnimatedImage.OnFrameChanged

TAnimatedImage

property OnFrameChanged: TNotifyEvent read FOnFrameChanged write FOnFrameChanged;


TRxTimerEvent.Cycled

TRxTimerEvent

property Cycled: Boolean read FCycled write FCycled default True;


TComObjectFactory

Hierarchy Properties Methods

Unit

ComObj


TPageManager.Resync

TPageManager

procedure Resync;


DateUtil.StrToDateDef

DateUtil

StrToDateDef converts a string to a date format.

property function StrToDateDef(const S: string; Default: TDateTime): TDateTime;

Description

The order for month, day, and year is

determined by the ShortDateFormat global variable. If the given string does not contain a

valid date, StrToDateDef returns the date passed in Default.

StrToDateDef example:

Field1.AsDateTime := StrToDateDef(Edit1.Text, SysUtils.Date);


TRxDrawGrid.MouseMove

TRxDrawGrid

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TRxCustomRichEdit.GetLineIndex

TRxCustomRichEdit

function GetLineIndex ( LineNo: Integer ): Integer;


TRxMemoryData.GetBlobData

TRxMemoryData

function GetBlobData ( Field: TField; Buffer: PChar ): TMemBlobData;


(Untitled)

TRxCustomListBox Methods

TRxCustomListBox By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Clear

ClientToScreen

ContainsControl

ControlAtPos

Create

CreateItemList

CreateParams

CreateParented

CreateWnd

DefaultDrawText

DefaultHandler

DeleteString

Destroy

DestroyComponents

Destroying

DestroyWnd

DisableAlign

Dock

DockDrop

DragCanceled

DragDrop

Dragging

DrawItem

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetItemData

GetItemWidth

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ItemAtPos

ItemRect

ManualDock

ManualFloat

MeasureItem

MouseWheelHandler

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetContent

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetItemData

SetItems

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WndProc


(Untitled)

TRxDice Events

TRxDice Alphabetically Legend

In TRxDice

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop

Derived from TWinControl

Derived from TControl


TRxDBGrid.RowsHeight

TRxDBGrid

property RowsHeight: Integer read GetRowsHeight write SetRowsHeight stored False;


TRxMemoryData.Filtered

TRxMemoryData

property Filtered;


(Untitled)

TRxMemoryData Properties

TRxMemoryData By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeScroll

BlockReadSize

Bof

Bookmark

CanModify

Capacity

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DefaultFields

Designer

DesignInfo

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

Name

ObjectView

Owner

RecNo

RecordCount

Records

RecordSize

SparseArrays

State

Tag

VCLComObject


TRxLookupEdit.HidePopup

TRxLookupEdit

procedure HidePopup;


TRxSpeedButton.DragKind

TRxSpeedButton

property DragKind;


TIconList.Icons

TIconList

The Icons property returns the icon specified by Index as an TIcon object.

property Icons[Index: Integer]: TIcon;


TSharedImage.Reference

TSharedImage

procedure Reference;


TAnimatedCursorImage.SaveToStream

TAnimatedCursorImage

procedure SaveToStream ( Stream: TStream );


TRichConversionFormat

Unit

RxRichEd

TRichConversionFormat record

ConversionClass:TConversionClass;

Extension:string;

PlainText:Boolean;

Next:PRichConversionFormat;

end;


(Untitled)

TSelectDataSetForm Events

TSelectDataSetForm By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TWriteStrEvent

Unit

RXProps

TWriteStrEvent ( const ASection , Item , Value : string )of object ;


TRxLookupControl.IgnoreCase

TRxLookupControl

property IgnoreCase: Boolean read FIgnoreCase write FIgnoreCase default True;


TOleController.CallProcedureNamedParams

TOleController

CallProcedureByIdsNamedParams calls a procedure by (ID number) Ids and with parameters Params and with Names.

property procedure CallProcedureNamedParams(const AName: string; const Params: array of const; const Names: array of string);


TSpeedBar.AlignControls

TSpeedBar

procedure AlignControls ( AControl: TControl; var Rect: TRect );


(Untitled)

TComObject Properties

TComObject Alphabetically Legend

In TComObject

Controller

Factory

RefCount

ServerExceptionHandler


TDBStatusLabel.Notification

TDBStatusLabel

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxLabel.Align

TRxLabel

property Align;


TRxSpinButton.ParentShowHint

TRxSpinButton

property ParentShowHint;


TRxCustomRichEdit.UndoLimit

TRxCustomRichEdit

property UndoLimit: Integer read FUndoLimit write SetUndoLimit default 100


TBDEItemType

Unit

DBLists

Description

ValueMeaning

bdDatabases

bdDrivers

bdLangDrivers

bdUsers

bdRepositories


TPageManager.GetNextPageIndex

TPageManager

THIS TOPIC IS NOT COMPLETE!

property function GetNextPageIndex(Page: Integer): Integer;


TRxRemoteLogin.AllowEmptyPassword

TRxRemoteLogin

property AllowEmptyPassword;


TRxSpinEdit.DragMode

TRxSpinEdit

property DragMode;


TVersionInfo.LegalCopyright

TVersionInfo

This contains the string specifying copyright notices that apply to the file.

property LegalCopyright: string;

Description

This should include the full text of all notices, legal symbols, copyright dates, and so on.


TPageManager.OnGetPriorPage

TPageManager

OnGetNextPage is a tPageRequestEvent

property OnGetPriorPage: TPageRequestEvent;


TRxLookupEdit.LookupSource

TRxLookupEdit

property LookupSource: TDataSource read GetLookupSource write SetLookupSource;


TPropInfoList.Items

TPropInfoList

property Items [ Index: Integer ]: PPropInfo read Get;


TBtnControl.Glyph

TBtnControl

property Glyph: TBitmap read GetGlyph write SetGlyph;


(Untitled)

TRxErrorDialog Methods

TRxErrorDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowException

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TBookmarkList.CurrentRow

TBookmarkList

function CurrentRow: TBookmark;


TDateEdit.ParentBiDiMode

TDateEdit

property ParentBiDiMode;


TConverter.GetAsDate

TConverter

function GetAsDate: TDateTime;


TSpeedBar.OnClick

TSpeedBar

property OnClick;


TRxDrawGrid.OnShowEditor

TRxDrawGrid

OnShowEditor occurs before creating the editor for a cell. Write an OnShowEditor event

handler to indicate whether the in-place edit control can be created to allow editing. An

OnEditShow event handler contains a boolean AllowEdit variable that determines

whether a cell is allowed to editing. Its default value is True.

property OnShowEditor: TEditShowEvent;


TSplashWindow

Hierarchy Properties Methods Events

Splash screen form class

Unit

SplshWnd


EOleException.HelpFile

EOleException

property HelpFile: string read FHelpFile write FHelpFile;


TRxDBLookupList.Visible

TRxDBLookupList

property Visible;


(Untitled)

TSecretPanel Events

TSecretPanel By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPaintClient

OnResize

OnStartDock

OnStartDrag

OnStartPlay

OnStopPlay


VCLUtils.MakeIcon

VCLUtils

MakeIcon instantiates an icon object (TIcon), and loads the specified icon resource from an application's executable file.

property function MakeIcon(ResID: PChar): TIcon;

Description

Specify the resource to be loaded as the value of ResID.

When you no longer need the icon, call it's Destory destructor to free it. If the function

fails, the return value is Nil.

MakeIcon example:

var

__Ico: TIcon;

begin

__Ico := MakeIcon('MY_ICON');

__try

____\\\\\\\ use icon \\\\\\\

__finally

____Ico.Free;

__end;

end;


(Untitled)

TCustomComboEdit Events

TCustomComboEdit By object Legend

OnButtonClick


(Untitled)

TComServerObject Properties

TComServerObject By object Legend

HelpFileName

ServerFileName

ServerKey

ServerName

StartSuspended

TypeLib


TRxCalculator.Memory

TRxCalculator

Run-time and read-only. Memory contains the value of the calculator's memory register.

property Memory: Double;


(Untitled)

TDBLoginDialog Methods

TDBLoginDialog Alphabetically Legend

In TDBLoginDialog

CheckDatabaseChange

Create

Destroy

Execute

FillParams

GetUserName


TRxMemoryData.EmptyTable

TRxMemoryData

procedure EmptyTable;


TRxCustomRichEdit.SelectionChange

TRxCustomRichEdit

procedure SelectionChange;


TTableList.SystemItems

TTableList

property SystemItems;


TCustomNumEdit.MaxValue

TCustomNumEdit

property MaxValue: Extended read FMaxValue write SetMaxValue;


TRxCustomSlider.Changed

TRxCustomSlider

procedure Changed;


TCurrencyEdit.OnEndDock

TCurrencyEdit

property OnEndDock;


TConverter.DateOrder

TConverter

The DateOrder property controls the order of the month, day, and year components of date. The default is the order normally used in the country selected in the Windows Control Panel.

property DateOrder: TDateOrder;


TRxLookupEdit.LookupValue

TRxLookupEdit

property LookupValue: string read GetLookupValue write SetLookupValue;


TPageHistory.PageIndexes

TPageHistory

property PageIndexes [ Index: Integer ]: Integer read GetPageIndex;


TSpeedBar.BiDiMode

TSpeedBar

property BiDiMode;


TRxDBGrid.Paint

TRxDBGrid

procedure Paint;


TDBSecurity.OnIconDblClick

TDBSecurity

property OnIconDblClick;


TGIFFrame.Origin

TGIFFrame

Origin indicates the position of the left and top edges of the image, with respect to the

left edge of the Logical Screen. Leftmost column of the Logical Screen is 0. Top row of

the Logical Screen is also 0.

property Origin: TPoint;


TRxDBComboEdit.OnExit

TRxDBComboEdit

property OnExit;


(Untitled)

TRxCalculatorForm Properties

TRxCalculatorForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TCloneDataset

Hierarchy Properties Methods Events

Child of TBDEDataSet. Allows to clone a dataset (to work on different records at the same time with only 1 dataset opened).

Unit

BdeUtils


TCloneDbDataset.SourceHandle

TCloneDbDataset

property SourceHandle: HDBICur read FSourceHandle write SetSourceHandle;


TComboEdit.Glyph

TComboEdit

property Glyph;


TRxCheckListBox.ItemHeight

TRxCheckListBox

property ItemHeight;


TRxQuery.ExecSQL

TRxQuery

procedure ExecSQL;


TButtonImage.CalcButtonLayout

TButtonImage

procedure CalcButtonLayout ( Canvas: TCanvas; const Client: TRect; var Caption: string; Layout: TButtonLayout; Margin , Spacing: Integer; PopupMark: Boolean; var GlyphPos: TPoint; var TextBounds: TRect; Flags: Word; Images: TImageList; ImageIndex: Integer );


TDBStatusLabel.Style

TDBStatusLabel

Style defines the style defined by:

IsState - TDBStatusLabel displays the state of the table.

IsRecNo - TDBStatusLabel displays the current record number.

property Style: TDBLabelStyle;


(Untitled)

TCheckItemsEditor Events

TCheckItemsEditor By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxErrorDialog.OnErrorMsg

TRxErrorDialog

property OnErrorMsg: TErrorEvent read FOnErrorMsg write FOnErrorMsg;


TRxLabel.OnMouseUp

TRxLabel

property OnMouseUp;


TRxParaAttributes.SpaceBefore

TRxParaAttributes

property SpaceBefore: Longint read GetSpaceBefore write SetSpaceBefore;


TRxTextAttributes.Name

TRxTextAttributes

property Name: TFontName read GetName write SetName;


TRxCustomLabel.LeftMargin

TRxCustomLabel

property LeftMargin: Integer read FLeftMargin write SetLeftMargin default 0


TMRUManager.AutoUpdate

TMRUManager

Set AutoUpdate to true, the MRU is automatically updated.

property AutoUpdate: Boolean;


TRxCalcEdit.OnEndDrag

TRxCalcEdit

property OnEndDrag;


(Untitled)

TRxCustomSlider Properties

TRxCustomSlider Alphabetically Legend

In TRxCustomSlider

BevelStyle

EdgeSize

ImageHRuler

ImageHThumb

ImageVRuler

ImageVThumb

Increment

MaxValue

MinValue

NumThumbStates

Options

Orientation

ReadOnly

SliderRect

ThumbOffset

Value

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBSecurity.OnChangePassword

TDBSecurity

When the user changes the password, OngChangePassword is triggered.

property OnChangePassword: TChangePasswordEvent;

Description

OnChangePassword example:

function TMainForm.SecurityChangePassword(UsersTable: TTable; const OldPassword,

NewPassword: String): Boolean;

begin

__Result := False;

__if SecurityCheckUser(UsersTable, OldPassword) then

__begin

____with UsersTable do

____begin

______Edit;

______FieldByName('PASSWORD').AsString := CryptString(PswdKey, NewPassword);

______Post;

____Result := True;

____end;

__end;

end;


TFontComboBox.DrawItem

TFontComboBox

procedure DrawItem ( Index: Integer; Rect: TRect; State: TOwnerDrawState );


(Untitled)

TDriverDesc Methods

TDriverDesc Alphabetically Legend

In TDriverDesc

Create


TDBStatusLabel.OnMouseUp

TDBStatusLabel

property OnMouseUp;


AppUtils.SaveMDIChildrenReg

AppUtils

This procedure stores in Windows System Registry set and placements of opened MDI-child forms in MDI application.

property procedure SaveMDIChildrenReg(MainForm: TForm; IniFile: TRegIniFile);

Description

Use SaveMDIChildrenReg with RestoreMDIChildrenReg to open all child forms stored by

SaveMDIChildrenReg.

You must register all MDI-child form classes by RegisterClass or RegisterClasses

procedure to use these classes in SaveMDIChildrenReg and RestoreMDIChildrenReg

procedures.

SaveMDIChildrenReg example:

SaveMDIChildrenReg(MainForm, RegIniFile);


(Untitled)

TRxCustomLabel Events

TRxCustomLabel Alphabetically Legend

In TRxCustomLabel

OnMouseEnter

OnMouseLeave

Derived from TControl


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TScrollingWinControl

|

TCustomForm

|

TForm


TDataType

TDataType is a set of values for the DataType property of the TConverter component.

Unit

DataConv

property TDataType = (dtString, dtInteger, dtFloat, dtDateTime, dtDate, dtTime, dtBoolean);

Description

ValueMeaning

dtString

dtInteger

dtFloat

dtDateTime

dtDate

dtTime

dtBoolean


TDualListDialog.OkBtnCaption

TDualListDialog

Property OkBtnCaption ("Ok") sets the caption of the Ok Button.

property OkBtnCaption: TCaption;


VCLUtils.PointInRect

VCLUtils

The PointInRect function determines whether the specified point P lies within the specified rectangle R.

property function PointInRect(const P: TPoint; const R: TRect): Boolean;

Description

A point is within a rectangle if it lies on the left or top side or is within all four sides. A point on the right or bottom side is considered outside the rectangle. If the specified point lies within the rectangle, the return value is True.

PointInRect example:

if PointInRect(Point(X, Y), Image1.ClientRect) then begin

\\\\\\\ ... \\\\\\\

end;


TMRUManager.IniStorage

TMRUManagerSee also

A TFormPlacement component that will store MRU list.

property IniStorage: TFormPlacement read GetStorage write SetStorage;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomComboBox

|

TCustomDBComboBox


(Untitled)

TCurrencyEdit Methods

TCurrencyEdit Alphabetically Legend

In TCurrencyEdit

Create

DefaultDisplayFormat

Derived from TCustomNumEdit

Clear

Destroy

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


VCLUtils.HugeDec

VCLUtils

Decrement a huge pointer.

property procedure HugeDec(var HugePtr: Pointer; Amount: Longint);

Description

HugeDec example:

var P: Pointer; L: Longint;

\\\\\\\...\\\\\\\

HugeDec(P, L);

\\\\\\\...\\\\\\\


TRxCustomSlider.RangeChanged

TRxCustomSlider

procedure RangeChanged;


TPageManager.PageName

TPageManager

PageName property is the name of the current notebook page that is active or shown.

property PageName: string;


TRxDBCalcEdit.NumGlyphs

TRxDBCalcEdit

property NumGlyphs;


TRxGIFAnimator.Loop

TRxGIFAnimator

This property determines whether the GIF animation sequence should be repeated or not when all the frames are displayed. When set to True (default value) and the component runs out of frames, the FrameIndex property is reset to 0. When Loop

property if set to False and the component runs out of frames, the FrameIndex property holds the number of the last displayed frame and the OnStop event is generated.

When the Loop is True use the Animate property to interrupt the animation.

property Loop: Boolean;


TRxGIFAnimator.Align

TRxGIFAnimator

property Align;


TDateOrder

An enumerated type used to represent a possible day's, month's and year's order in the date format.

Unit

DateUtil

property TDateOrder = (doMDY, doDMY, doYMD);

Description

ValueMeaning

doMDY

doDMY

doYMD


TAnimatedImage.Destroy

TAnimatedImage

destructor Destroy;


TLocateObject.ConfirmDelete

TLocateObject

The ConfirmDelete procedure displays a message box which asks user for confirmation that the record from dataset should really be deleted.

property function ConfirmDelete: Boolean;

Description

The function returns True if user selected "Yes" button in a message box. Otherwise the function returns False.

ConfirmDelete example:

if ConfirmDelete then

__Table1.Delete;


TButtonImage.Alignment

TButtonImage

property Alignment: TAlignment read GetAlignment write SetAlignment;


(Untitled)

TStrHolder Methods

TStrHolder By object Legend

Assign

AssignTo

BeforeDestruction

Changed

Changing

Clear

Create

DefineProperties

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


(Untitled)

TRxCaption Methods

TRxCaption Alphabetically Legend

In TRxCaption

Assign

Create

Destroy

GetParentCaption

RestoreDefaults

Derived from TCollectionItem

GetNamePath

Derived from TPersistent


TIniLink.RootSection

TIniLink

property RootSection: string read GetRootSection;


TRxSplitter.OnPosChanging

TRxSplitter

property OnPosChanging: TSplitterMoveEvent read FOnPosChanging write FOnPosChanging;


(Untitled)

TCloneDataset Events

TCloneDataset Alphabetically Legend

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnFilterRecord


TCompareRecords

Unit

RxMemDS

TCompareRecords ( Item1 , Item2 : TMemoryRecord ): Integer of object ;


TRxParaAttributes.LeftIndent

TRxParaAttributes

property LeftIndent: Longint read GetLeftIndent write SetLeftIndent;


(Untitled)

TRxMainMenu Methods

TRxMainMenu By object Legend

Assign

BeforeDestruction

Create

DefaultDrawItem

Destroy

DestroyComponents

Destroying

DispatchCommand

DispatchPopup

DrawItem

ExecuteAction

FindComponent

FindItem

FreeNotification

FreeOnRelease

GetHelpContext

GetImageIndex

GetItemParams

GetNamePath

GetOle2AcceleratorTable

GetParentComponent

HasParent

InsertComponent

IsOwnerDrawMenu

IsRightToLeft

IsShortCut

Loaded

MeasureItem

Merge

Notification

ParentBiDiModeChanged

PopulateOle2Menu

ProcessMenuChar

Refresh

RefreshMenu

RemoveComponent

RemoveFreeNotification

SafeCallException

SetOle2MenuHandle

Unmerge

UpdateAction


TMeasureMenuItemEvent

Unit

RxMenus

TMeasureMenuItemEvent ( Sender : TMenu ; Item : TMenuItem ; var Width , Height : Integer )of object ;


(Untitled)

RXDate Events

RXDate By object Legend

OnAcceptDate

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TDirectoryEdit.ParentColor

TDirectoryEdit

property ParentColor;


TPageManager.PageHistory

TPageManager

property PageHistory: TPageHistory read FPageHistory;


(Untitled)

TRxRichEdit Events

TRxRichEdit By object Legend

OnChange

OnCloseFindDialog

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnStartDock

OnStartDrag

OnTextNotFound

OnURLClick


TAnimatedImage.OnDblClick

TAnimatedImage

property OnDblClick;


TRxGradientCaption.MoveCaption

TRxGradientCaption

procedure MoveCaption(FromIndex, ToIndex: Integer);


TTextListBox.Visible

TTextListBox

property Visible;


TRxCustomRichEdit.HideScrollBars

TRxCustomRichEdit

property HideScrollBars: Boolean read FHideScrollBars write SetHideScrollBars default True;


TGIFImage.Corrupted

TGIFImage

property Corrupted: Boolean read GetCorrupted;


TRxDBGrid.OnMouseWheelUp

TRxDBGrid

property OnMouseWheelUp;


(Untitled)

TIconList Properties

TIconList Alphabetically Legend

In TIconList

Count

Icons


TDBSecurity.OnUnlock

TDBSecurity

OnUnLock is triggered when the table is unlocked.

property OnUnlock: TCheckUnlockEvent;


(Untitled)

TVersionInfo Properties

TVersionInfo Alphabetically Legend

In TVersionInfo

Comments

CompanyName

FileDescription

FileLongVersion

FileName

FileVersion

FixedFileInfo

InternalName

LegalCopyright

LegalTrademarks

OriginalFilename

PrivateBuild

ProductLongVersion

ProductName

ProductVersion

SpecialBuild

Translation

Valid

Values

VerFileDate

VersionCharSet

VersionLanguage

VersionNum


TRxDBGrid.HighlightCell

TRxDBGrid

function HighlightCell ( DataCol , DataRow: Integer; const Value: string; AState: TGridDrawState ): Boolean;


TRxLookupControl.SearchText

TRxLookupControl

function SearchText ( var AValue: string ): Boolean;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomListBox


DateUtil.StrToDateFmt

DateUtil

StrToDateFmt converts a string to a date format.

property function StrToDateFmt(const DateFormat, S: string): TDateTime;

Description

The order for month, day, and year is determined by the DateFormat parameter. If the given string does not contain a valid date, an EConvertError exception is raised.

StrToDateFmt example:

Field1.AsDateTime := StrToDateFmt(DefDateFormat, Edit1.Text);


TRxDBComboEdit.DataSource

TRxDBComboEdit

property DataSource: TDataSource read GetDataSource write SetDataSource;


TRxDBCalcEdit.OnClick

TRxDBCalcEdit

property OnClick;


(Untitled)

TSQLScript Events

TSQLScript By object Legend

AfterExec

BeforeExec

OnScriptError


TForEachItem

Unit

SpeedBar

TForEachItem ( Item : TSpeedItem ; Data : Longint )of object ;


TLoadMode

When the memory dataset is loaded from regular dataset you can choose the copy mode.

Unit

RxMemDS

Description

ValueMeaning

lmCopyerase all data and copy the source structure.

lmAppendtries to append source data to existing ones in the memory dataset.


TEditButton.Paint

TEditButton

procedure Paint;


TRxLookupControl.EmptyItemColor

TRxLookupControl

property EmptyItemColor: TColor read FEmptyItemColor write SetEmptyItemColor default clWindow;


TRxSpeedButton.GetDropDownMenuPos

TRxSpeedButton

function GetDropDownMenuPos: TPoint;


TDBDateEdit.ClickKey

TDBDateEdit

property ClickKey;


TRxCustomSlider.Paint

TRxCustomSlider

procedure Paint;


TFormStorage.RestorePlacement

TFormStorage

procedure RestorePlacement;


(Untitled)

Hierarchy

TObject

|

TComObject


TRxTrayIcon.OnMouseDown

TRxTrayIcon

property OnMouseDown: TMouseEvent read FOnMouseDown write FOnMouseDown;


TRxSpinButton.UpGlyph

TRxSpinButton

property UpGlyph: TBitmap read GetUpGlyph write SetUpGlyph;


TLocateObject.RestoreFieldsReg

TLocateObject

RestoreFieldsReg procedure restores widths (in pixels) and indexes of dataset's fields from the Windows

property procedure RestoreFieldsReg(DataSet: TDataSet; IniFile: TRegIniFile; RestoreVisible: Boolean);

Description

System Registry key specified in IniFile parameter, previously stored by SaveFieldsReg

procedure. Can be used to save and restore field's parameters changed by user, for

example, in a DBGrid component.

RestoreFieldsReg example:

uses Registry, Placemnt, DBUtils;

...

procedure RestoreDSLayout;

var

__RegIniFile: TRegIniFile;

begin

__IniFile := TRegIniFile.Create(FormStorage.IniFileName);

__try

____RestoreFieldsReg(DataSet, RegIniFile);

__finally

____RegIniFile.Free;

__end;

end;


TDateEdit.AutoSelect

TDateEdit

property AutoSelect;


TPageProxy.ReadState

TPageProxy

procedure ReadState ( Reader: TReader );


TRxDrawGrid.Create

TRxDrawGrid

constructor Create ( AOwner: TComponent );


TRxDBRichEdit.OnEndDock

TRxDBRichEdit

property OnEndDock;


TCustomComboEdit.KeyPress

TCustomComboEdit

procedure KeyPress ( var Key: Char );


(Untitled)

TDualListDialog Properties

TDualListDialog Alphabetically Legend

In TDualListDialog

CancelBtnCaption

Ctl3D

HelpBtnCaption

HelpContext

Label1Caption

Label2Caption

List1

List2

OkBtnCaption

ShowHelp

Sorted

Title

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TFileDirEdit.DoBeforeDialog

TFileDirEdit

procedure DoBeforeDialog ( var FileName: string; var Action: Boolean );


TRxLookupEdit.DragKind

TRxLookupEdit

property DragKind;


TRxDBLookupCombo.IndexSwitch

TRxDBLookupCombo

property IndexSwitch;


TRxDBComboEdit.OnDblClick

TRxDBComboEdit

property OnDblClick;


TRxPopupMenu.DrawItem

TRxPopupMenu

procedure DrawItem ( Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState );


TColorComboBox.OnKeyPress

TColorComboBox

property OnKeyPress;


TComClassManager.ForEachFactory

TComClassManager

procedure ForEachFactory ( ComServer: TComServerObject; FactoryProc: TFactoryProc );


TPageHistory.HistoryCapacity

TPageHistory

property HistoryCapacity: Integer read FHistoryCapacity write SetHistoryCapacity;


TRxLabel.OnMouseDown

TRxLabel

property OnMouseDown;


TRxCalcEdit.ParentColor

TRxCalcEdit

property ParentColor;


TDBStatusLabel.Layout

TDBStatusLabel

Layout specifies the vertical placement of the text within the label when the AutoSize property is False.

property Layout: TTextLayout;

Description

Set Layout to specify how the text of the label is placed within the ClientRect of the label control .

Layout can be one of the following values:

- tlTop - The text appears at the top of the label.

- tlCenter - The text is vertically centered in the label.

- tlBottom - The text appears along the bottom of the label.


(Untitled)

TEditButton Properties

TEditButton Alphabetically Legend

Derived from TRxSpeedButton

Action

Alignment

AllowAllUp

AllowTimer

Anchors

BiDiMode

Caption

Constraints

Down

DragCursor

DragKind

DragMode

DropDownMenu

Enabled

Flat

Font

Glyph

GrayedInactive

GroupIndex

InitPause

Layout

Margin

MarkDropDown

MenuPosition

ModalResult

NumGlyphs

ParentBiDiMode

ParentFont

ParentShowHint

RepeatInterval

ShowHint

Spacing

Style

Transparent

Visible

WordWrap

Derived from TGraphicControl

Derived from TControl

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSpeedBar.BevelOuter

TSpeedBar

property BevelOuter;


(Untitled)

TSplashWindow Properties

TSplashWindow By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

MessageText

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


(Untitled)

TRxButtonGlyph Events

TRxButtonGlyph By object Legend

OnChange


TRxSlider.OnKeyPress

TRxSlider

property OnKeyPress;


TComboEdit.Enabled

TComboEdit

property Enabled;


TRxDBRichEdit.UpdateAction

TRxDBRichEdit

function UpdateAction ( Action: TBasicAction ): Boolean;


TRxGIFAnimator.Visible

TRxGIFAnimator

property Visible;


VCLUtils.MsgBox

VCLUtils

The MsgBox function creates, displays, and operates a message box.

property function MsgBox(const Caption, Text: string; Flags: Integer): Integer;

Description

This is a wrapper for standard Windows function MessageBox.

MsgBox example:

if MsgBox(Application.Title, 'Continue?', MB_YESNO + MB_ICONSTOP) = mrYes then

begin

__\\\\\\\ ... \\\\\\\

end;


TRxDBCalcEdit.DragMode

TRxDBCalcEdit

property DragMode;


TRxDBCalcEdit.ImeMode

TRxDBCalcEdit

property ImeMode;


TRxLookupEdit.LookupDisplayIndex

TRxLookupEdit

property LookupDisplayIndex: Integer read GetDisplayIndex write SetDisplayIndex default 0


TRxDBComboBox.Find

TRxDBComboBox

function Find ( const Item: TBookmark; var Index: Longint ): Boolean;


TRxButtonGlyph.CreateImageGlyph

TRxButtonGlyph

function CreateImageGlyph ( State: TRxButtonState; Images: TImageList; Index: Integer ): Integer;


VCLUtils.MakeBitmapID

VCLUtils

MakeBitmapID instantiates a bitmap object (TBitmap), and loads the specified bitmap resource from an application's executable file.

property function MakeBitmapID(ResID: Word): TBitmap;

Description

Specify the resource to be loaded as the value of ResID. When you no longer need the bitmap, call it's Destory destructor to free it. If the function fails, the return value is Nil.

MakeBitmapID example:

const ResID = 23012;

var Bmp: TBitmap;

begin

__Bmp := MakeBitmapID(ResID);

__try

____\\\\\\\ use bitmap \\\\\\\

__finally

____Bmp.Free;

__end;

end;


(Untitled)

VCLUtils Methods

VCLUtils By object Legend

ActivatePrevInstance

ActivateWindow

AllocMemo

AnsiUpperFirstChar

AssignBitmapCell

CenterControl

CenterWindow

ChangeBitmapColor

CompareMem

CopyParentImage

CreateBitmapFromIcon

CreateTwoColorsBrushPattern

DefineCursor

Delay

DialogUnitsToPixelsX

DialogUnitsToPixelsY

DrawBitmapRectTransparent

DrawBitmapTransparent

DrawCellBitmap

DrawCellText

DrawInvertFrame

FreeMemo

FreeUnusedOLE

GetEnvVar

GetMemoSize

GradientFillRect

HeightOf

HugeDec

HugeInc

HugeMove

HugeOffset

KillMessage

LoadAniCursor

LoadDLL

MakeBitmap

MakeBitmapID

MakeIcon

MakeIconID

MakeModuleBitmap

MakeModuleIcon

MergeForm

MinimizeText

MsgBox

NotImplemented

PaintInverseRect

PixelsToDialogUnitsX

PixelsToDialogUnitsY

PointInPolyRgn

PointInRect

RegisterServer

ResourceNotFound

ShadeRect

SplitCommandLine

StartWait

StopWait

WidthOf

Win32Check


TRxClock.OnGetSiteInfo

TRxClock

property OnGetSiteInfo;


(Untitled)

TOleController Methods

TOleController By object Legend

AssignIDispatch

CallFunction

CallFunctionByID

CallFunctionByIDsNamedParams

CallFunctionNamedParams

CallFunctionNoParams

CallFunctionNoParamsByID

CallProcedure

CallProcedureByID

CallProcedureByIDsNamedParams

CallProcedureNamedParams

CallProcedureNoParams

CallProcedureNoParamsByID

ClearObject

Create

CreateLCID

CreateObject

Destroy

GetActiveObject

GetProperty

GetPropertyByID

SetLocale

SetProperty

SetPropertyByID


(Untitled)

TContainedObject Methods

TContainedObject Alphabetically Legend

In TContainedObject

QueryInterface

Derived from TAggregatedObject

Create


TRxSlider.Visible

TRxSlider

property Visible;


TRxRichEdit.ParentColor

TRxRichEdit

property ParentColor;


TCustomClipboardViewer.GetDrawFormat

TCustomClipboardViewer

function GetDrawFormat: TClipboardViewFormat;


TRxDrawGrid.GetPicklist

TRxDrawGrid

procedure GetPicklist ( ACol , ARow: Longint; Picklist: TStrings );


MaxMin.MaxOf

MaxMin

The MaxOf function returns the greatest value in the Values array.

function MaxOf(const Values: array of Variant): Variant;

Description

MaxOf example:

MaxVal := MaxOf([MaxVal, -1, 12.2, 3.36, 12.438]);


TRxDrawGrid.KeyDown

TRxDrawGrid

procedure KeyDown ( var Key: Word; Shift: TShiftState );


(Untitled)

TDatabaseDesc Methods

TDatabaseDesc Alphabetically Legend

In TDatabaseDesc

Create


TRxSpinButton.DragCursor

TRxSpinButton

property DragCursor;


TAnimatedImage.PopupMenu

TAnimatedImage

property PopupMenu;


TColorComboBox.Color

TColorComboBox

property Color;


TSpeedItem.Stored

TSpeedItem

property Stored: Boolean read FStored write FStored default True;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TStrings

|

TStringList


(Untitled)

TLangDrivList Properties

TLangDrivList Alphabetically Legend

Derived from TCustomBDEItems

DBSession

RecordCount

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

Handle

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TColorComboBox.OnDragOver

TColorComboBox

property OnDragOver;


TRxTimerEvent.Destroy

TRxTimerEvent

destructor Destroy;


EOleException.Source

EOleException

property Source: string read FSource write FSource;


TBtnControl.CreateParams

TBtnControl

procedure CreateParams ( var Params: TCreateParams );


(Untitled)

TBookmarkList Properties

TBookmarkList Alphabetically Legend

In TBookmarkList

Count

CurrentRowSelected

Items


TRxProjectResExpert.EditBinaryRes

TRxProjectResExpert

procedure EditBinaryRes ( Entry: TResourceEntry; Stream: TMemoryStream );


(Untitled)

TTableItems Events

TTableItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TCustomComboEdit.Alignment

TCustomComboEdit

property Alignment: TAlignment read FAlignment write SetAlignment default taLeftJustify;


TRxDBCalcEdit.ButtonHint

TRxDBCalcEdit

property ButtonHint;


(Untitled)

TPropsStorage Events

TPropsStorage By object Legend

OnEraseSection

OnReadString

OnWriteString


TRxCustomRichEdit.DefAttributes

TRxCustomRichEdit

property DefAttributes: TRxTextAttributes read FDefAttributes write SetDefAttributes;


TTextListBox.OnKeyPress

TTextListBox

property OnKeyPress;


THugeList.Insert

THugeList

procedure Insert ( Index: Longint; Item: Pointer );


FileUtil.HasAttr

FileUtil

HasAttr returns True if specified file has attributes Attr.

function HasAttr(const FileName: string; Attr: Integer): Boolean;

Description

HasAttr example:

if HasAttr('c:_file.exe', faReadOnly) then

__raise Exception.Create('Can't delete read-only file');


TAnimatedImage.OnDragDrop

TAnimatedImage

property OnDragDrop;


TGIFImage.Clear

TGIFImage

procedure Clear;


TRxSlider.OnDragOver

TRxSlider

property OnDragOver;


TRxDBLookupCombo.ParentBiDiMode

TRxDBLookupCombo

property ParentBiDiMode;


TDateEdit.Button

TDateEdit

This run-time and read-only property provides to direct access to the button in the button edit component (see also: TRxSpeedButton control.)

property Button: TRxSpeedButton;


TRxCalcEdit.OnKeyPress

TRxCalcEdit

property OnKeyPress;


TFilenameEdit.Create

TFilenameEdit

constructor Create ( AOwner: TComponent );


TRxSwitch.OnStartDock

TRxSwitch

property OnStartDock;


TFilenameEdit.DialogTitle

TFilenameEdit

property DialogTitle: string read GetDialogTitle write SetDialogTitle stored IsCustomTitle;


(Untitled)

TAutoObject Methods

TAutoObject Alphabetically Legend

In TAutoObject

EventConnect

EventSinkChanged

GetIDsOfNames

GetTypeInfo

GetTypeInfoCount

Initialize

Invoke

Derived from TTypedComObject

Derived from TComObject

Create

CreateAggregated

CreateFromFactory

Destroy

ObjAddRef

ObjQueryInterface

ObjRelease

SafeCallException


TSpeedBar.RemoveItem

TSpeedBar

RemoveItem procedure removes the item from the speedbar.

property procedure RemoveItem(Item: TSpeedItem);


TRxDBGrid.OnShowEditor

TRxDBGrid

property OnShowEditor: TDBEditShowEvent read FOnShowEditor write FOnShowEditor;


TRxCustomLabel.Notification

TRxCustomLabel

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxCustomSlider.Loaded

TRxCustomSlider

procedure Loaded;


(Untitled)

TDualListForm Properties

TDualListForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHelp

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TRxDice.Destroy

TRxDice

destructor Destroy;


TSecretPanel.DragCursor

TSecretPanel

property DragCursor;


TConverter.AsBoolean

TConverter

Run-time only. This is a conversion property. AsBoolean can be used to read or set the value as a boolean value (True or False). The DisplayFalse and DisplayTrue properties controls the manner in which boolean values are translated to and from string format by the TConverter component.

property AsBoolean: Boolean;


TCustomDateEdit.UpdateFormat

TCustomDateEdit

procedure UpdateFormat;


TDBDateEdit.Destroy

TDBDateEdit

destructor Destroy;


TPageNotifyEvent

TPageNotifyEvent is used for events of the TPageProxy class, which occurs when the notebook's page changed.

Unit

PageMngr

property TPageNotifyEvent = procedure(Next: Boolean) of object;


TConverter.TimeSeparator

TConverter

The character used to separate the hour, minute, and second parts of a time value. The initial value is fetched from the TimeSeparator variable in the SYSUTILS.PAS standard unit.

property TimeSeparator: Char;


TGetStringEvent

Unit

RXDBCtrl

TGetStringEvent ( Sender : TObject ): string of object ;


TImageForm.CheckDatabaseChange

TImageForm

function CheckDatabaseChange: Boolean;


TCurrencyEdit.OnEndDrag

TCurrencyEdit

property OnEndDrag;


TRxHintWindow.ActivateHint

TRxHintWindow

procedure ActivateHint ( Rect: TRect; const AHint: string );


TSQLScript.ParamCount

TSQLScript

property ParamCount: Cardinal read GetParamsCount;


TTextListBox.OnDragOver

TTextListBox

property OnDragOver;


TRxCalcEdit.OnDragOver

TRxCalcEdit

property OnDragOver;


TRxMemoryData.SetMemoryRecordData

TRxMemoryData

procedure SetMemoryRecordData ( Buffer: PChar; Pos: Integer );


TRxGradient

Hierarchy Properties Methods Events

Unit

RxGIF


TRxCheckListBox.GetItemData

TRxCheckListBox

function GetItemData ( Index: Integer ): LongInt;


(Untitled)

TRxRemoteLogin Methods

TRxRemoteLogin By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

DoCheckUser

DoLogin

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

Lock

Login

Notification

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TAppEvents.OnRestore

TAppEvents

OnRestore is triggered when your application is restored (from maximized position, or from minimized position).

Method DoRestore(Sender: TObject);


TRxImageControl.Create

TRxImageControl

constructor Create ( AOwner: TComponent );


TRxSlider.Value

TRxSlider

The property Value contains the current position of the slider of a TRxSlider control.

property Value: Longint;

Description

Value is always in the range between MinValue and MaxValue (inclusive). Set Value to programmatically move the slider to a new value.


VCLUtils.CenterWindow

VCLUtils

This function centers the given window Wnd over the screen.

property procedure CenterWindow(Wnd: HWnd);

Description

It ensures that the window is entirely within the visible screen.

CenterWindow example:

CenterWindow(Form1.Hanle);


TRxCheckListBox.DeleteString

TRxCheckListBox

procedure DeleteString ( Index: Integer );


(Untitled)

TRxClock Events

TRxClock Alphabetically Legend

In TRxClock

OnAlarm

OnCanResize

OnClick

OnConstrainedResize

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnGetSiteInfo

OnGetTime

OnMouseDown

OnMouseMove

OnMouseUp

OnResize

OnStartDock

OnStartDrag

OnUnDock

Derived from TWinControl

Derived from TControl


TPropsStorage.WriteString

TPropsStorage

procedure WriteString ( const ASection , Item , Value: string );


TFormPlacement.SaveFormPlacement

TFormPlacement

The SaveFormPlacement method saves all the properties specified in the related Options property from the initialization file or registry key specified in IniFileName independently of Active property value.

property procedure SaveFormPlacement; virtual;


(Untitled)

TGIFFrame Methods

TGIFFrame Alphabetically Legend

In TGIFFrame

Assign

AssignTo

Create

Destroy

Draw

GrayscaleImage

LoadFromStream

Derived from TPersistent

GetNamePath


TRxDBComboEdit.ParentFont

TRxDBComboEdit

property ParentFont;


TRxParaAttributes.NumberingStyle

TRxParaAttributes

property NumberingStyle: TRxNumberingStyle read GetNumberingStyle write SetNumberingStyle;


TRxDBComboEdit.OnDragDrop

TRxDBComboEdit

property OnDragDrop;


(Untitled)

TRxImageControl Events

TRxImageControl Alphabetically Legend

Derived from TControl


TQBEQuery.BlankAsZero

TQBEQuery

When True blanks in numeric fields in a table are treated equivalent to a zero. The default value is False.

property BlankAsZero: Boolean;


TRxMemoryData.SetOnFilterRecord

TRxMemoryData

procedure SetOnFilterRecord ( const Value: TFilterRecordEvent );


(Untitled)

TRxFolderMonitor Events

TRxFolderMonitor Alphabetically Legend

In TRxFolderMonitor

OnChange


TCustomNumEdit.FormatOnEditing

TCustomNumEdit

property FormatOnEditing: Boolean read FFormatOnEditing write SetFormatOnEditing default False;


(Untitled)

TRxFolderMonitor Methods

TRxFolderMonitor By object Legend

Assign

BeforeDestruction

Changed

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeNotifyThread

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

RemoveComponent

RemoveFreeNotification

ResetNotifyThread

SafeCallException

UpdateAction


TGIFImage.TransparentColor

TGIFImage

TransparentColor determines which color of the GIF image is to be transparent when the GIF image is drawn.

property TransparentColor: TColor;


TCustomClipboardViewer.DestroyWindowHandle

TCustomClipboardViewer

procedure DestroyWindowHandle;


ServerDateFmt

Const ServerDateFmt: ServerDateFmt variable specifies date format used in SQL queries by function FormatSQLDateRange,

Unit

DbUtils

property ServerDateFmt: string[50] = '''"''mm''/''dd''/''yyyy''"''';

Description

FormatSQLCondition and FormatAnsiSQLCondition. You can assign another value to this variable according to date format used by your SQL Server.

sdfStandard16, sdfStandard32 - date format for STANDARD driver (local SQL);

sdfOracle - date format for using with Oracle SQL-server;

sdfInterbase - date format for using with Interbase SQL-server.


TRxRichEdit.OnEndDock

TRxRichEdit

property OnEndDock;


(Untitled)

TRxSliderImages Methods

TRxSliderImages By object Legend

Assign

Destroy

GetNamePath


TRxCustomSlider.Options

TRxCustomSlider

property Options: TSliderOptions read FOptions write SetOptions default [ soShowFocus , soShowPoints , soSmooth ];


TMRUManager.SaveToRegistry

TMRUManager

SaveToRegistry saves the MRU list is the registry.

property procedure SaveToRegistry(Ini: TRegIniFile; const Section: string);


TRxCustomListBox.CreateParams

TRxCustomListBox

procedure CreateParams ( var Params: TCreateParams );


(Untitled)

TBookmarkList Methods

TBookmarkList By object Legend

Clear

Compare

Create

CurrentRow

Delete

Destroy

Find

IndexOf

LinkActive

Refresh


VCLUtils.LoadDLL

VCLUtils

The LoadDLL function loads the specified library module.

property function LoadDLL(const LibName: string): THandle;

Description

Returns the instance handle of the loaded library module if the function is successful. Otherwise, an EOutOfResources exception is raised.

LoadDLL example:

\\\\\\\$IFDEF WIN32\\\\\\\

TUHandle := LoadDLL('TUTIL32.DLL');

\\\\\\\$ELSE\\\\\\\

TUHandle := LoadDLL('TUTILITY.DLL');

\\\\\\\$ENDIF\\\\\\\


TRxTimerEvent.GetParentComponent

TRxTimerEvent

function GetParentComponent: TComponent;


TTimerItemsEditor.FormModified

TTimerItemsEditor

procedure FormModified;


TBtnControl.Alignment

TBtnControl

property Alignment: TAlignment read GetAlignment write SetAlignment;


TSpeedItem.HasParent

TSpeedItem

function HasParent: Boolean;


(Untitled)

TGIFImage Events

TGIFImage By object Legend

OnChange

OnProgress


TRxQuery.SQL

TRxQuery

property SQL: TStrings read FSQLPattern write SetSQL;


TRxDBLookupList.ImeName

TRxDBLookupList

property ImeName;


TRxDBGrid.DrawColumnCell

TRxDBGrid

procedure DrawColumnCell ( const Rect: TRect; DataCol: Integer; Column: TColumn; State: TGridDrawState );


(Untitled)

TAggregatedObject Properties

TAggregatedObject Alphabetically Legend

In TAggregatedObject

Controller


(Untitled)

TAutoObject Properties

TAutoObject Alphabetically Legend

In TAutoObject

AutoFactory

EventSink

Derived from TComObject

Controller

Factory

RefCount

ServerExceptionHandler


TAddInNotifier.FileNotification

TAddInNotifier

procedure FileNotification ( NotifyCode: TFileNotification; const FileName: string; var Cancel: Boolean );


TRxDBRichEdit.OnEnter

TRxDBRichEdit

property OnEnter;


TMemoryRecord.Destroy

TMemoryRecord

destructor Destroy;


TRxMemoryData.GetRecordSize

TRxMemoryData

function GetRecordSize: Word;


TSliderImage

Unit

RXSlider

Description

ValueMeaning

siHThumb

siHRuler

siVThumb

siVRuler


TRxSlider.Align

TRxSlider

property Align;


(Untitled)

TLangDrivList Events

TLangDrivList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxCustomSlider.OnDrawPoints

TRxCustomSlider

property OnDrawPoints: TNotifyEvent read FOnDrawPoints write FOnDrawPoints;


TPopupWindow.InvalidateEditor

TPopupWindow

procedure InvalidateEditor;


TRxCustomRichEdit.WordAttributes

TRxCustomRichEdit

property WordAttributes: TRxTextAttributes read FWordAttributes write SetWordAttributes;


TCustomDBComboBox.KeyDown

TCustomDBComboBox

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxDBCalcEdit.PopupMenu

TRxDBCalcEdit

property PopupMenu;


TRxSpinEdit.Visible

TRxSpinEdit

property Visible;


TIconList.Count

TIconList

property Count: Integer read GetCount;


TCustomComboEdit.PopupAlign

TCustomComboEdit

property PopupAlign: TPopupAlign read FPopupAlign write FPopupAlign default epaRight;


TRxGradient.EndColor

TRxGradient

property EndColor: TColor read FEndColor write SetEndColor default clGray;


TRxDBCalcEdit.UpdateFieldParams

TRxDBCalcEdit

procedure UpdateFieldParams;


(Untitled)

THugeList Properties

THugeList Alphabetically Legend

In THugeList

Capacity

Count

Items

Derived from TList

List


TRxSwitch.Enabled

TRxSwitch

property Enabled;


(Untitled)

TRxDBRichEdit Properties

TRxDBRichEdit Alphabetically Legend

In TRxDBRichEdit

Align

Alignment

AllowInPlace

AllowObjects

Anchors

AutoDisplay

AutoURLDetect

AutoVerbMenu

BiDiMode

BorderStyle

Color

Constraints

Ctl3D

DataField

DataSource

DragCursor

DragKind

DragMode

Enabled

Field

Font

HideScrollBars

HideSelection

ImeMode

ImeName

LangOptions

MaxLength

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PlainText

PopupMenu

ReadOnly

ScrollBars

SelectionBar

ShowHint

StreamFormat

StreamMode

TabOrder

TabStop

Title

UndoLimit

Visible

WantReturns

WantTabs

WordSelection

WordWrap

Derived from TRxCustomRichEdit

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

DefAttributes

DefaultConverter

PageRect

Paragraph

RedoName

SelAttributes

SelectionType

UndoName

WordAttributes

Derived from TCustomEdit

Modified

SelLength

SelStart

SelText

Text

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCalcEdit.ParentBiDiMode

TRxCalcEdit

property ParentBiDiMode;


TSecretPanel.BevelWidth

TSecretPanel

property BevelWidth;


TRxDBGrid.TitleButtons

TRxDBGrid

When this property is True, the column headings of each column will act as a button.

property TitleButtons: Boolean read FTitleButtons write SetTitleButtons default False;

Description

When the user clicks on one, it will depress and fire the OnTitleBtnClick event. You can also handle OnCheckButton and OnGetBtnParams events to change title buttons property.


TMemDataSetEditor.GetVerbCount

TMemDataSetEditor

function GetVerbCount: Integer;


TRxSlider.OnMouseMove

TRxSlider

property OnMouseMove;


TTextListBox.Align

TTextListBox

property Align;


TRxCaptionList.Create

TRxCaptionList

constructor Create ( AParent: TRxGradientCaption );


TDateEdit.Glyph

TDateEdit

property Glyph;


TColorComboBox.OnDropDown

TColorComboBox

property OnDropDown;


TRxCustomLogin.DoBeforeLogin

TRxCustomLogin

procedure DoBeforeLogin;


TRxDrawGrid.FixedButtons

TRxDrawGrid

property FixedButtons: Boolean read FFixedCellsButtons write SetFixedButtons default False;


TRxSpeedButton.ParentShowHint

TRxSpeedButton

property ParentShowHint default False;


TRxDBGrid.ShowGlyphs

TRxDBGrid

This option would allow bitmaps or glyphys to be displayed.

property ShowGlyphs: Boolean read FShowGlyphs write SetShowGlyphs default True;


TAnimatedImage.OnStart

TAnimatedImage

The OnStart event is triggered if the component has started displaying the animation and the Active (Animate) property is set to True.

property OnStart: TNotifyEvent;


(Untitled)

TPicClip Events

TPicClip By object Legend

OnChange


TRxDBLookupList.UpdateDisplayEmpty

TRxDBLookupList

procedure UpdateDisplayEmpty ( const Value: string );


TRxCustomSlider.ImageVRuler

TRxCustomSlider

property ImageVRuler: TBitmap index Ord ( siVRuler ) read GetImage write SetImage stored StoreImage;


(Untitled)

TIconList Events

TIconList Alphabetically Legend

In TIconList

OnChange


TSecretPanel.Constraints

TSecretPanel

property Constraints;


TMRUManager.Clear

TMRUManager

Clears the MRU list

procedure Clear;


TRxSpinButton.MouseMove

TRxSpinButton

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TSQLScript.Create

TSQLScript

constructor Create ( AOwner: TComponent );


(Untitled)

Hierarchy

TComponentProperty


TColorComboBox.CreateWnd

TColorComboBox

procedure CreateWnd;


(Untitled)

TCustomNumEdit Methods

TCustomNumEdit By object Legend

AcceptValue

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Change

CheckRange

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DataChanged

DefaultDisplayFormat

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FormatDisplayText

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDefaultBitmap

GetDisplayText

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsValidChar

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

ReformatEditText

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

Reset

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateData

UpdatePopup

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxGradientCaption.FormCaption

TRxGradientCaption

This is the main caption. When the component is created, it reads this value from the Form.Caption property.

property FormCaption: string read GetFormCaption write SetFormCaption;

Description

Once the component is activated, you must change the Form caption using this property (not the Form one)


TDateEdit.Visible

TDateEdit

property Visible;


TAppEvents.OnShowHint

TAppEvents

OnShowHint is triggered when a hint is shown.

Method DoShowHint(var HintStr: string; var CanShow: Boolean; var HintInfo: THintInfo);


(Untitled)

TPropsStorage Methods

TPropsStorage Alphabetically Legend

In TPropsStorage

CreateStorage

EraseSection

GetItemName

LoadAnyProperty

LoadObjectsProps

LoadProperties

ReadString

StoreAnyProperty

StoreObjectsProps

StoreProperties

WriteString


(Untitled)

TStrEditDlg Properties

TStrEditDlg By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


(Untitled)

TRxSpinEdit Properties

TRxSpinEdit Alphabetically Legend

In TRxSpinEdit

Alignment

Anchors

ArrowKeys

AsInteger

AutoSelect

AutoSize

BiDiMode

BorderStyle

ButtonKind

Color

Constraints

Ctl3D

Decimal

Down

DownGlyph

DragCursor

DragKind

DragMode

EditorEnabled

Enabled

Font

ImeMode

ImeName

Increment

MaxLength

MaxValue

MinValue

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

UpGlyph

Value

ValueType

Visible

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Text

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TSpeedbarSection Properties

TSpeedbarSection By object Legend

Caption

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Count

DesignInfo

Index

Items

List

Name

Owner

SpeedBar

Tag

VCLComObject


TRxCustomListBox.ResetContent

TRxCustomListBox

procedure ResetContent;


TRxParaAttributes.FirstIndent

TRxParaAttributes

property FirstIndent: Longint read GetFirstIndent write SetFirstIndent;


TRxMainMenu.Canvas

TRxMainMenu

property Canvas: TCanvas read FCanvas;


TComboEdit.DragKind

TComboEdit

property DragKind;


TRxTimerList.Delete

TRxTimerList

Method removes event specified by Handle from the list.

procedure Delete(AHandle: Longint);


TYearDigits

Describes number of digits displayed in year part of a date.

Unit

ToolEdit

Description

ValueMeaning

dyDefault

dyFour

dyTwo


TRxDrawGrid.DoFixedCellClick

TRxDrawGrid

procedure DoFixedCellClick ( ACol , ARow: Longint );


TRxRichEdit.TabOrder

TRxRichEdit

property TabOrder;


TLocateObject.FormatSQLDateRange

TLocateObject

FormatSQLDateRange checks a fieldname for a date period within Date1 and Date2.

property function FormatSQLDateRange(Date1, Date2: TDateTime; const FieldName: string): string;

Description

FormatSQLDateRange example:

FormatSQLDateRange(0, Date1, 'CONTRACTS."ACTIVE_FROM"')

Date1 = 01.01.95

Result = 'CONTRACTS."ACTIVE_FROM" < "01/01/1995"'


DateUtil.StrToDateFmtDef

DateUtil

StrToDateFmtDef converts a string to a date format.

property function StrToDateFmtDef(const DateFormat, S: string; Default: TDateTime): TDateTime;

Description

The order for month, day, and year is determined by the DateFormat parameter.

If the given string does not contain a valid date, StrToDateFmtDef returns the date

passed in Default.

StrToDateFmtDef example:

Field1.AsDateTime := StrToDateFmtDef(DefDateFormat, Edit1.Text, SysUtils.Date);


TRxCustomLogin.AllowEmptyPassword

TRxCustomLogin

property AllowEmptyPassword: Boolean read FAllowEmpty write FAllowEmpty default True;


(Untitled)

TQueryParamsDialog Events

TQueryParamsDialog Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TRxSplitter.OnEnter

TRxSplitter

property OnEnter;


TGIFFrame.DisposalMethod

TGIFFrame

DisposalMethod indicates how frames display in the animation from the following choices:

• dmUndefined - Directs the viewer (animator) to do nothing to the background before displaying the next image.

• dmLeave - Directs the viewer to leave the previous graphic image as the next is drawn.

This choice can create a shadowing effect.

• dmRestoreBackground - Directs the viewer to redraw the original background as the current image is drawn.

• dmRestorePrevious - Directs the viewer to redraw the previous image as the current image is drawn

property DisposalMethod: TDisposalMethod;


TIconList.Changed

TIconList

procedure Changed;


TDBLocate.DataSetShowDeleted

TDBLocate

Toggles mode to show or hide deleted records in DataSet. Applicable only when soft delete is supported (dBASE and FoxPro only).

property procedure DataSetShowDeleted(DataSet: TBDEDataSet; Show: Boolean);

Description

DataSetShowDeleted example:

DataSetShowDeleted(Table1, True);


TRxDrawGrid.RowHeightsChanged

TRxDrawGrid

procedure RowHeightsChanged;


TDBProgress.Create

TDBProgress

constructor Create ( AOwner: TComponent );


TRxDBFilter.Activate

TRxDBFilter

Activate filter for a dataset. It is equivalent to setting the Active property to True.

property procedure Activate;


(Untitled)

TResourceStream Methods

TResourceStream By object Legend

CopyFrom

Create

CreateFromID

CreateFromPChar

Destroy

FixupResourceHeader

Read

ReadBuffer

ReadComponent

ReadComponentRes

ReadResHeader

Seek

Write

WriteBuffer

WriteComponent

WriteComponentRes

WriteDescendent

WriteDescendentRes

WriteResourceHeader


TRxDBRichEdit.OnEndDrag

TRxDBRichEdit

property OnEndDrag;


TRxLookupEdit.OnEndDock

TRxLookupEdit

property OnEndDock;


(Untitled)

TRxSplitter Properties

TRxSplitter By object Legend

Action

Align

Anchors

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BottomRightLimit

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

ControlFirst

Controls

ControlSecond

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentColor

ParentCtl3D

ParentShowHint

ParentWindow

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

TopLeftLimit

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


DateUtil.IncMSec

DateUtil

IncMSec changes the time of day ATime by Delta number of milliseconds.

property function IncMSec(ATime: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncMSec example:

var T: TDateTime; Hour, Min, Sec, MSec;

begin

T := IncMSec(0, -100);

DecodeTime(T, Hour, Min, Sec, MSec);

\\\\\\\ here Hour = 23, Min = 59, Sec = 59, MSec = 900 \\\\\\\

end;


TDBProgress.ProgressMsgValue

TDBProgress

Returns numeric value contained in BDE callback string specified by Msg parameter.

property function ProgressMsgValue(const Msg: string): Longint;

Description

The message string format always is: <Text_string><:><Value>. In the message string, the value and colon fields are optional. When message Msg contains value field, then ProgressMsgValue returns value as result, otherwise this method returns -1. You can use ProgressMsgValue method, for example, in OnMessageChange event handler.


TRxButtonState

TRxButtonState defines a range for the state of TRxSpeedButton. For internal using.

Unit

RXCtrls

property TRxButtonState = (rbsUp, rbsDisabled, rbsDown, rbsExclusive, rbsInactive);

Description

ValueMeaning

rbsUp

rbsDisabled

rbsDown

rbsExclusive

rbsInactive


TRxDBComboEdit.OnChange

TRxDBComboEdit

property OnChange;


TRxClock.Align

TRxClock

property Align;


TRxSplitter.TopLeftLimit

TRxSplitter

TopLeftLimit and BottomRightLimit are the minimum sizes, in pixels, of the client area the splitter must leave on the form.

property TopLeftLimit: Integer;

Description

Set TopLeftLimit or BottomRightLimit to provide a minimum size the splitter must leave when resizing its neighboring control. For

example, if the Align property is alLeft or alRight, TopLeftLimit is the minimum width of the client area to the left of the splitter and BottomRightLimit is the minimum width of the client area to the right of the splitter. If the Align property is alTop, TopLeftLimit is

the minimum height of the client area above the splitter.


TTextListBox.ImeName

TTextListBox

property ImeName;


TSpeedItem.MarkDropDown

TSpeedItem

property MarkDropDown: Boolean read GetMarkDropDown write SetMarkDropDown default True;


TRxTimer

Hierarchy Properties Methods Events

Timer component that can be threaded

Unit

RxTimer


TRxCustomRichEdit.ClearUndo

TRxCustomRichEdit

procedure ClearUndo;


TGlyphKind

The TGlyphKind type contains the values the GlyphKind property of combo edits (TComboEdit, TFilenameEdit, TDirectoryEdit, TDateEdit, TDBDateEdit) can assume.

Unit

ToolEdit

TGlyphKind = (gkCustom, gkDefault, gkDropDown, gkEllipsis);

Description

ValueMeaning

gkCustom

gkDefault

gkDropDown

gkEllipsis


(Untitled)

TMRUManager Events

TMRUManager By object Legend

OnChange

OnClick

OnGetItemData

OnReadItem

OnWriteItem


TConverter.DateSeparator

TConverter

The character used to separate the year, month, and day parts of a date value.

property DateSeparator: Char;

Description

The initial value is correspond with DateSeparator constant from standard SYSUTILS.PAS module.


TRxDBLookupList.DataSource

TRxDBLookupList

property DataSource;


TShowClock

Unit

RXClock

Description

ValueMeaning

scDigital

scAnalog


TRxGradientCaption.GradientActive

TRxGradientCaption

Allows to set the font color of captions when the window is inactive

property GradientActive: Boolean read FGradientActive write SetGradientActive default True;


(Untitled)

ERxParserError Methods

ERxParserError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


TTextListBox.ParentShowHint

TTextListBox

property ParentShowHint;


(Untitled)

EFilterError Properties

EFilterError Alphabetically Legend

Derived from Exception

HelpContext

Message


TFileDirEdit

Hierarchy Properties Methods Events

Unit

ToolEdit


TComboEdit.DragCursor

TComboEdit

property DragCursor;


TPictProperty.GetValue

TPictProperty

function GetValue: string;


THideDirection

Unit

RxGrdCpt

Description

ValueMeaning

hdLeftToRight

hdRightToLeft


TFormHistory

Hierarchy Properties Methods

Unit

MrgMngr


RxQuery.OpenOrExec

RxQuery

If you do not know at design time whether a query will return a result set at run time, use OpenOrExec method to execute query.

procedure OpenOrExec(ChangeLive: Boolean);

Description

After calling OpenOrExec you can check OpenStatus property value to determine whether a result set has been returned. If ChangeLive parameter is True and an application requests a live result set, but the SELECT statement syntax does not allow it, the OpenOrExec will try query execution again without request a live result set.

Method OpenOrExec example

begin

__\\\\\\\...\\\\\\\

__rxQuery1.SQL := Memo1.Lines;

__if Memo1.Lines.Count = 0 then

____Exit;

__rxQuery1.RequestLive := True;

__rxQuery1.Params.Clear;

__StartWait;

__try

____rxQuery1.OpenOrExec(True);

__finally

____StopWait;

__end;

__if rxQuery1.OpenStatus = qsExecuted then

____MessageDlg('Query successfully executed.', mtInformation, [mbOk], 0);

__\\\\\\\...\\\\\\\

end;


(Untitled)

TRxDBGrid Properties

TRxDBGrid By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

Canvas

ClearSelection

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

Columns

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataSource

DefaultDrawing

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditorMode

Enabled

FieldCount

Fields

FixedColor

FixedCols

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

IndicatorOffset

IniStorage

Left

LRDockWidth

MultiSelect

Name

Options

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

RowsHeight

SelCount

SelectedField

SelectedIndex

SelectedRows

ShowGlyphs

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TitleButtons

TitleFont

TitleOffset

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TComboEdit.ParentShowHint

TComboEdit

property ParentShowHint;


TPictEditor.Execute

TPictEditor

function Execute: Boolean;


TRxDBFilter.DropAllFilters-Example

DropAllFilters example:

begin

__...

__DropAllFilters(Query1);

end;


TAutoObjectFactory.EventIID

TAutoObjectFactory

property EventIID: TGUID read FEventIID;


TRxDBLookupList.OnDblClick

TRxDBLookupList

property OnDblClick;


TSpeedBar.SaveLayout

TSpeedBar

procedure SaveLayout ( IniFile: TIniFile );


TSpeedItem.SetParentComponent

TSpeedItem

procedure SetParentComponent ( Value: TComponent );


TRxGradient.StepCount

TRxGradient

property StepCount: Byte read FStepCount write SetStepCount default 64 property Visible: Boolean read FVisible write SetVisible default False;


TRxCalcEdit.PopupMenu

TRxCalcEdit

property PopupMenu;


TRxSpeedButton.OnStartDock

TRxSpeedButton

property OnStartDock;


(Untitled)

TRxTimer Methods

TRxTimer Alphabetically Legend

In TRxTimer

Create

Destroy

Synchronize

Timer

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDBLookupList.DataField

TRxDBLookupList

property DataField;


DateUtil.ValidDate

DateUtil

ValidDate verifies that the specified date ADate is a valid date.

property function ValidDate(ADate: TDateTime): Boolean;

Description

ValidDate example:

if ValidDate(ADate) then

begin

__\\\\\\\ deal with ADate \\\\\\\

end;


TIniLink.Storage

TIniLink

property Storage: TFormPlacement read FStorage write SetStorage;


TRxSwitch.OnStartDrag

TRxSwitch

property OnStartDrag;


(Untitled)

TDataSourceLink Methods

TDataSourceLink By object Legend

ActiveChanged

Assign

Create

Destroy

Edit

ExecuteAction

FocusControl

GetNamePath

LayoutChanged

RecordChanged

UpdateAction

UpdateRecord


(Untitled)

TConverter Methods

TConverter By object Legend

Assign

BeforeDestruction

Change

Clear

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetAsBoolean

GetAsDate

GetAsDateTime

GetAsFloat

GetAsInteger

GetAsString

GetAsTime

GetNamePath

GetParentComponent

HasParent

InsertComponent

IsValidChar

RemoveComponent

RemoveFreeNotification

ResetDefault

SafeCallException

SetAsBoolean

SetAsDate

SetAsDateTime

SetAsFloat

SetAsInteger

SetAsString

SetAsTime

UpdateAction


TRxDBLookupCombo.CloseUp

TRxDBLookupCombo

The CloseUp method closes an opened or "dropped-down" database lookup combo box.

property procedure CloseUp(Accept: Boolean);

Description

The Accept parameter determines whether to modify the DataField with the selected

value in the combo box.


TRxDBGrid.LinkActive

TRxDBGrid

procedure LinkActive ( Value: Boolean );


TRxCheckListBox.BorderStyle

TRxCheckListBox

property BorderStyle;


TDBStatusLabel.ParentShowHint

TDBStatusLabel

property ParentShowHint;


TFormPlacement.WriteInteger

TFormPlacement

procedure WriteInteger ( const Ident: string; Value: Longint );


(Untitled)

TFieldList Events

TFieldList By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxDice.GetPalette

TRxDice

function GetPalette: HPALETTE;


(Untitled)

TButtonImage Methods

TButtonImage By object Legend

CalcButtonLayout

Create

CreateButtonGlyph

CreateImageGlyph

Destroy

Draw

DrawButtonGlyph

DrawButtonImage

DrawButtonText

DrawEx

DrawPopupMark

Invalidate

MinimizeCaption


TRxLabel.OnClick

TRxLabel

property OnClick;


TFontComboBox.CreateWnd

TFontComboBox

procedure CreateWnd;


TDBLocate

Hierarchy Properties Methods

Use TDBLocate to search a BDE-dataset specified by DataSet property for a specific record and position the cursor on it.

Unit

BdeUtils

Description

After setting DataSet property you can call Locate method which has parameter KeyField specified field name on which to search.

When you search on non-BDE data source, use TLocateObject class instead.

TDBLocate uses the fastest possible method to locate matching records. If DataSet specifies the TTable object and the search field is a key field and the IndexSwitch property is True, TDBLocate uses the index. Otherwise TDBLocate creates a filter for the search if applicable or use full search throw dataset otherwise.

NOTE. In Delphi 2.0 or higher you can use standard TDataSet.Locate method instead.


TRxSpeedButton.Down

TRxSpeedButton

property Down: Boolean read FDown write SetDown default False;


(Untitled)

TImageForm Properties

TImageForm Alphabetically Legend

In TImageForm

FileName

Mode

SelectDatabase

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.DropDown

TRxDBLookupCombo

procedure DropDown;


TRxCustomListBox.Items

TRxCustomListBox

property Items: TStrings read FItems write SetItems;


TRxLookupEdit.OnDragOver

TRxLookupEdit

property OnDragOver;


(Untitled)

TAutoIntfObject Methods

TAutoIntfObject Alphabetically Legend

In TAutoIntfObject

Create

GetIDsOfNames

GetTypeInfo

GetTypeInfoCount

InterfaceSupportsErrorInfo

Invoke

SafeCallException

Derived from TInterfacedObject

AfterConstruction

BeforeDestruction


TMRUManager.Remove

TMRUManager

Remove a single item from the list. No error occured when item not found.

property procedure Remove(const RecentName: string);


TRxSpeedButton.OnMouseEnter

TRxSpeedButton

property OnMouseEnter: TNotifyEvent read FOnMouseEnter write FOnMouseEnter;


TMemoryTable.CopyStructure

TMemoryTable

procedure CopyStructure ( ASource: TDataSet );


TFilenameEdit.Glyph

TFilenameEdit

property Glyph;


VCLUtils.ActivatePrevInstance

VCLUtils

ActivatePrevInstance function allows you to stop your application from being running more than one instance under Windows.

property function ActivatePrevInstance(const MainFormClass, ATitle: string): Boolean;

Description

It causes the application to detect another instance at startup and when found, terminates the second instance and tries to activate the original instance of your application. ActivatePrevInstance find the top-level window whose class name and window name match the specified strings and, when found, activate this window and returns True. Typically, you can use name of class of main application form as MainFormClass parameter. ATitle parameter specifies the window name (the window's title). If this parameter is empty string, all window names match.

Also you can use 'TApplication' as MainFormClass parameter and Application.Title as ATitle parameter. It's recomended however to use the main form class name so it can be more unique for Windows.

You can call this function in project source (in .DPR-file) of your application.

ActivatePrevInstance example:

You can call ActivatePrevInstance in project source file (DPR) to stop your application from being running more than one instance under Windows:

begin

__if ActivatePrevInstance(TRxMainProjectForm.ClassName, '') then

____Exit;

__Application.CreateForm(TRxMainProjectForm, RxMainProjectForm);

__\\\\\\\ create other forms \\\\\\\

__Application.Run;

end;


TSQLScript.ExecSQL

TSQLScript

procedure ExecSQL;


TPropsStorage.StoreObjectsProps

TPropsStorage

procedure StoreObjectsProps ( AComponent: TComponent; StoredList: TStrings );


TDateEdit.OnMouseDown

TDateEdit

property OnMouseDown;


TDirectoryEdit.InitialDir

TDirectoryEdit

property InitialDir: string read FInitialDir write FInitialDir;


TDatabaseDesc

Hierarchy Properties Methods

Internal object retrieving database description

Unit

DBLists


TAppEvents.Canvas

TAppEvents

property Canvas: TCanvas read GetCanvas;


TRxLookupEdit.LookupField

TRxLookupEdit

property LookupField: string read GetLookupField write SetLookupField;


TFileDirEdit.CreateHandle

TFileDirEdit

procedure CreateHandle;


TRxSpinEdit.CreateWnd

TRxSpinEdit

procedure CreateWnd;


(Untitled)

TRxCalculatorForm Methods

TRxCalculatorForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CalcKey

CancelClick

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

DisplayChange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

OkClick

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TGIFFrame.Destroy

TGIFFrame

destructor Destroy;


(Untitled)

TRxClock Events

TRxClock By object Legend

OnAlarm

OnCanResize

OnClick

OnConstrainedResize

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnGetSiteInfo

OnGetTime

OnMouseDown

OnMouseMove

OnMouseUp

OnResize

OnStartDock

OnStartDrag

OnUnDock


TAniHeader

RIFF ANI file header

Unit

AniFile

TAniHeader packed record

cbSizeOf:Longint;

cSteps:Longint;

cFrames:Longint;

cReserved:array[0.3ofLongint;

jifRate:Longint;

fl:Longint;

end;


(Untitled)

TMemoryTable Events

TMemoryTable Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TCustomDatabaseItems.FileMask

TCustomDatabaseItems

property FileMask: string read FFileMask write SetFileMask;


TRxDice.OnKeyUp

TRxDice

property OnKeyUp;


TRxPopupMenu.MeasureItem

TRxPopupMenu

procedure MeasureItem ( Item: TMenuItem; var Width , Height: Integer );


(Untitled)

TSortCollection Properties

TSortCollection Alphabetically Legend

Derived from TCollection

Count

ItemClass

Items


TRxSwitch.ToggleSwitch

TRxSwitch

This procedure toggles the switch's state.

property procedure ToggleSwitch;


TDBDateEdit.OnKeyUp

TDBDateEdit

property OnKeyUp;


TFormHistory.Create

TFormHistory

constructor Create;


TRxTimerEvent.ReadState

TRxTimerEvent

procedure ReadState ( Reader: TReader );


TImageForm.OnCheckUserEvent

TImageForm

property OnCheckUserEvent: TCheckUserNameEvent read FCheckUserEvent write FCheckUserEvent;


TRxCustomTrackBar

Hierarchy Properties Methods Events

Unit

RXSlider


TCallDesc

Unit

ComObj

TCallDesc packed record

CallType:Byte;

ArgCount:Byte;

NamedArgCount:Byte;

ArgTypes:array[0.255]ofByte;

end;


TFileDirEdit.EnableSysErrors

TFileDirEdit

procedure EnableSysErrors;


TRxGradient.Direction

TRxGradient

property Direction: TFillDirection read FDirection write SetDirection default fdTopToBottom;


(Untitled)

TRxSliderImages Methods

TRxSliderImages Alphabetically Legend

Derived from TPersistent

Assign

Destroy

GetNamePath


TProxyListProperty

Hierarchy

Unit

PgMngrEd


(Untitled)

TFormPlacement Events

TFormPlacement Alphabetically Legend

In TFormPlacement

OnRestorePlacement

OnSavePlacement


TSpeedBar.Align

TSpeedBar

property Align: TAlign read GetAlign write SetAlign default alTop;


TRxCustomRichEdit.CreateWnd

TRxCustomRichEdit

procedure CreateWnd;


TRxCheckListBox.AutoScroll

TRxCheckListBox

The AutoScroll is a Boolean property specifying whether the horizontal scroll bar optionally appears on the list-box control.

This is useful for displaying a large number of string items. The default value is alway set to True.

property AutoScroll: Boolean;


TRxCheckListBox.Sorted

TRxCheckListBox

property Sorted;


TRxSpeedButton.GrayedInactive

TRxSpeedButton

This property controls the type of shading when no non-focus bitmap is defined and Flat property is set to True. When the button has not the mouse focus, the associated bitmap is drawn in shades (actually the bitmap is shaded with clWhite, clBtnHighlight, clBtnShadow and clBlack. You can still give a specific non-focus bitmap if you want to by place into Glyph property the bitmap with 5 images (Normal, Disabled, Down, Stay Down, Inactive). The 5th image will be used to draw non-focus bitmap.

When GrayedInactive is True and Glyph contains less then 5 images, the non-focus bitmap will be create for you automatically.

property GrayedInactive: Boolean;


TPropsStorage.ReadString

TPropsStorage

function ReadString ( const ASection , Item , Default: string ): string;


(Untitled)

TBDEItems Properties

TBDEItems Alphabetically Legend

In TBDEItems

ItemType

Derived from TCustomBDEItems

DBSession

RecordCount

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

Handle

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TMemoryTable Properties

TMemoryTable By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

EnableDelete

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

TableName

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TRxSpeedButton.RepeatInterval

TRxSpeedButton

Use this property to specify the interval (in milliseconds) between OnClick events generated when a TRxSpeedButton is depressed and AllowTimer property is True.

property RepeatInterval: Word;


TDBCallbackChain

Unit

DbPrgrss

Description

ValueMeaning

dcOnlyOnce

dcChain

dcReplace


TAnimatedImage.AsyncDrawing

TAnimatedImage

property AsyncDrawing: Boolean read FAsyncDrawing write SetAsyncDrawing default False;


TRxDBLookupList.OnMouseDown

TRxDBLookupList

property OnMouseDown;


(Untitled)

TGIFFrame Events

TGIFFrame By object Legend

OnProgress


TFilenameEdit.BiDiMode

TFilenameEdit

property BiDiMode;


TRxClock.OnDragOver

TRxClock

property OnDragOver;


TRxCustomLogin.DoLogin

TRxCustomLogin

function DoLogin ( var UserName: string ): Boolean;


TRxLookupEdit.OnDropDown

TRxLookupEdit

property OnDropDown: TNotifyEvent read FOnDropDown write FOnDropDown;


(Untitled)

TRxParaAttributes Properties

TRxParaAttributes Alphabetically Legend

In TRxParaAttributes

Alignment

FirstIndent

LeftIndent

LineSpacing

LineSpacingRule

Numbering

NumberingStyle

NumberingTab

RightIndent

SpaceAfter

SpaceBefore

Tab

TabCount


TSecretPanel.Glyph

TSecretPanel

Glyph property sets the Glyph's bitmap.

property Glyph: TBitmap;


TMemoryTable.GetRecordCount

TMemoryTable

function GetRecordCount: Longint Integer;


TRxQuery.Macros

TRxQuery

property Macros: TParams read GetMacros write SetMacros;


TRxDBLookupCombo.GetPicture

TRxDBLookupCombo

function GetPicture ( Current , Empty: Boolean; var TextMargin: Integer ): TGraphic;


TRxMemoryData.GetBookmarkFlag

TRxMemoryData

function GetBookmarkFlag ( Buffer: PChar ): TBookmarkFlag;


(Untitled)

TBits Properties

TBits By object Legend

Bits

Size


TCustomDBComboBox.UpdateAction

TCustomDBComboBox

function UpdateAction ( Action: TBasicAction ): Boolean;


TRxSpeedButton.DragMode

TRxSpeedButton

property DragMode;


TPropsStorage.OnEraseSection

TPropsStorage

property OnEraseSection: TEraseSectEvent read FOnEraseSection write FOnEraseSection;


TTextListBox.Items

TTextListBox

property Items;


TRxSwitch.Destroy

TRxSwitch

destructor Destroy;


TRxLookupEdit.DropDownWidth

TRxLookupEdit

property DropDownWidth: Integer read FDropDownWidth write FDropDownWidth default 0


(Untitled)

TRxBdeErrorDlg Methods

TRxBdeErrorDlg Alphabetically Legend

In TRxBdeErrorDlg

DbErrorIntercept

ShowException

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxIniFile.OnWriteObject

TRxIniFile

OnWriteObject event is triggered when the data is written into the INI file.

property OnWriteObject: TWriteObjectEvent;


TRxProjectResExpert.GetComment

TRxProjectResExpert

function GetComment: string;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TGraphicControl

|

TRxCustomLabel


(Untitled)

TBits Properties

TBits Alphabetically Legend

In TBits

Bits

Size


TSpeedBar.WriteComponents

TSpeedBar

procedure WriteComponents ( Writer: TWriter );


TFilenameEdit.OnClick

TFilenameEdit

property OnClick;


TDBDateEdit.Font

TDBDateEdit

property Font;


TRxDBLookupList.Ctl3D

TRxDBLookupList

property Ctl3D;


TRxGIFAnimator.Image

TRxGIFAnimator

The Image property holds the GIF clip (animated image in GIF89 format).

property Image: TGIFImage;


(Untitled)

TGIFData Properties


(Untitled)

EPropWriteOnly Methods

EPropWriteOnly By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


(Untitled)

TPageHistory Properties

TPageHistory By object Legend

Capacity

Count

Current

HistoryCapacity

Items

List

PageIndexes


TDBLocate.ActiveChanged

TDBLocate

procedure ActiveChanged;


(Untitled)

TCustomDBComboBox Events


TGIFImage.ScreenHeight

TGIFImage

Logical screen height, in pixels, of the Logical Screen where the images will be rendered in the displaying device.

property ScreenHeight: Integer;

Description

Specifies the height of the space in which the animation plays.

This value is a taller space for frames that move vertically.


TDateEdit.OnButtonClick

TDateEdit

OnButtonClick event occurs whenever the button in a button edit component gets pressed or the user presses the accelerator key specified by ClickKey property.

OnButtonClick: TNotifyEvent;

Description

When ButtonWidth = 0 the OnButtonClick events doesn't occur.


(Untitled)

TQueryParamsDialog Properties

TQueryParamsDialog Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxTimerList

Hierarchy Properties Methods Events

The TRxTimerList component provides all the functions of the standard TTimer component, plus the additional benefit of using only one Windows timer for up to 32767 timing events. The practical maximum number of timing events depends on how long it takes your application to service each timer notification.

Unit

TimerLst

Description

Windows (system) timers are a scarce system resource, especially if 16-bit application.

Using more system timers than necessary can impact performance. If a (system) timer is not available when a program needs one, it can either terminate gracefully or it can terminate in a manner that leaves Windows in an unstable state. You can reduce the chances of running out of timers by using a TRxTimerList rather than multiple timers.

TRxTimerList uses the concept of a timer events to perform the same function as the TTimer's OnTimer event. After adding a TRxTimerList component to your form, use component editor to create events at design-time, or call Add method at run-time to create timer events dinamically. Events can repeat until they are canceled or they can be fired only once and then automatically removed (accordingly Cycled property value).


TQBEQuery.AuxiliaryTables

TQBEQuery

This property tells the QBE processor whether or not to create the standard auxiliary tables (keyviol, changed, inserted, etc.).

property AuxiliaryTables: Boolean;

Description

When an auxiliary table is created, it remains on your disk until it is deleted. If an auxiliary table already exists, it will be overwritten

without warning. The default value is True.

CAUTION: If you set this property to False, you may not be able to fully check the results of your QBE since no auxiliary tables will be created for manual verification.


TRxRichEdit.MaxLength

TRxRichEdit

property MaxLength;


(Untitled)

TPictureEditDialog Events

TPictureEditDialog Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TWinMinMaxInfo Methods

TWinMinMaxInfo By object Legend

Assign

DefaultMinMaxInfo

Destroy

GetNamePath


TRxDBComboEdit.Font

TRxDBComboEdit

property Font;


TPlacementOptions

The TPlacementOption type defines the possible values for the Options property of theTFormPlacement or TFormStorage components.

Unit

Placemnt

property TPlacementOptions = set of TPlacementOption;


VCLUtils

Methods

Miscellaneous useful VCL utility functions

Unit

VCLUtils


TColorComboBox.BiDiMode

TColorComboBox

property BiDiMode;


TDataValueEvent

Unit

RXDBCtrl

TDataValueEvent ( Sender : TObject ; DataSet : TDataSet ; var Value : Longint )of object ;


(Untitled)

TRxDice Properties

TRxDice Alphabetically Legend

In TRxDice

Align

Anchors

AutoSize

AutoStopInterval

Color

Colour

Constraints

Cursor

DragCursor

DragKind

DragMode

Enabled

Interval

ParentColor

ParentShowHint

PopupMenu

Rotate

ShowFocus

ShowHint

TabOrder

TabStop

Value

Visible

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxProjectResExpert.Create

TRxProjectResExpert

constructor Create;


TRxTimerList.WriteComponents

TRxTimerList

procedure WriteComponents ( Writer: TWriter );


TFilenameEdit.History

TFilenameEdit

History property contains a list of previously selected files.

History: TStringList


TRxDBComboBox.OnMeasureItem

TRxDBComboBox

property OnMeasureItem;


TCurrencyEdit.ImeMode

TCurrencyEdit

property ImeMode;


TFilenameEdit.Constraints

TFilenameEdit

property Constraints;


TBtnControl.Spacing

TBtnControl

property Spacing: Integer read FSpacing write FSpacing;


TRxClock.Paint

TRxClock

procedure Paint;


(Untitled)

TProjectNotifier Methods

TProjectNotifier Alphabetically Legend

In TProjectNotifier

ComponentRenamed

Create

Notify


TDateEdit.OnEndDock

TDateEdit

property OnEndDock;


TSpeedItem.Cursor

TSpeedItem

property Cursor: TCursor read GetCursor write SetCursor default crDefault;


TRxQueryThread.DoTerminate

TRxQueryThread

procedure DoTerminate;


TRxImageControl.Destroy

TRxImageControl

destructor Destroy;


MaxMin

Methods

Useful maximum - minimum functions

Unit

MaxMin


TRxCalcEdit.DirectInput

TRxCalcEdit

property DirectInput;


(Untitled)

TRxDBRichEdit Methods

TRxDBRichEdit Alphabetically Legend

In TRxDBRichEdit

Change

Create

Destroy

EditCanModify

ExecuteAction

KeyDown

KeyPress

Loaded

LoadMemo

Notification

SetPlainText

UpdateAction

UpdateMemo

UseRightToLeftAlignment

Derived from TRxCustomRichEdit

Clear

ClearUndo

FindDialog

FindNext

FindText

GetCaretPos

GetCharPos

GetLineIndex

GetLineLength

GetSelection

GetSelTextBuf

GetTextRange

InsertObjectDialog

LineFromChar

ObjectPropertiesDialog

PasteSpecialDialog

Print

Redo

ReplaceDialog

SetSelection

StopGroupTyping

Undo

WordAtCursor

Derived from TCustomMemo

GetControlsAlignment

Derived from TCustomEdit

ClearSelection

CopyToClipboard

CutToClipboard

DefaultHandler

PasteFromClipboard

SelectAll

SetSelTextBuf

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TRxSpeedButton.Notification

TRxSpeedButton

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TMetafileCanvas.Metafile

TMetafileCanvas

property Metafile: TMetafile read FMetafile;


(Untitled)

TCloneDbDataset Properties

TCloneDbDataset By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

ReadOnly

RecNo

RecordCount

RecordSize

SessionName

SourceHandle

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TRxDBGrid

Hierarchy Properties Methods Events

TRxDBGrid component provides you with the ability to:

* change the background color and font displayed within individual cells and entire rows and columns (with OnGetCellParams, OnGetBtnParams event);

* save and restore columns order and display width in ini-files or system registry (using the SaveLayout, RestoreLayout, SaveLayoutReg, RestoreLayoutReg methods or IniStorage property);

* display icons for BLOB, memo, OLE and picture fields (if ShowGlyphs property is True);

* select multiple records (if MultiSelect = True);

* convert columns headings to buttons (TitleButtons property, OnTitleBtnClick event);

* define fixed, non-scrollable columns in the left-hand side of the grid (using FixedCols property).

Unit

RXDBCtrl

Description

Using class TRxDBGrid

There is example of using TRxDBGrid to display customers data (CUSTOMER.DB table from DBDEMOS alias) with using OnGetCellParams event:

procedure TForm1.rxDBGrid1GetCellParams(Sender: TObject; Field: TField; AFont: TFont; var Background: TColor; Highlight: Boolean);

var

__OldDate, NewDate: TDateTime;

__DataSet: TDataSet;

begin

__if Field.FieldName = 'Company' then

____AFont.Style := AFont.Style + [fsBold]

__else

____if Field.FieldName = 'Contact' then

______if not Highlight then Background := clYellow;

__if not Highlight then begin

____OldDate := EncodeDate(1990, 1, 1);

____NewDate := EncodeDate(1995, 1, 1);

____DataSet := (Sender as TrxDBGrid).DataSource.DataSet;

__if DataSet.FieldByName('LastInvoiceDate').AsDateTime < OldDate then

____Background := clLime \\\\\\\ oldest \\\\\\\ else

__if DataSet.FieldByName('LastInvoiceDate').AsDateTime >= NewDate then

____AFont.Color := clRed; \\\\\\\ newest \\\\\\\

__end;

end;

Use the TRxDBGrid component to display data from a dataset component in a spreadsheet-like grid instead standard TDBGrid component.


TCustomNumEdit.GetDisplayText

TCustomNumEdit

function GetDisplayText: string;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TCustomBDEItems


TDBIndexCombo.ParentShowHint

TDBIndexCombo

property ParentShowHint;


TWinMinMaxInfo

Hierarchy Properties Methods

This class contains the metrics of the form. It is used by FormPlacement's options to store information about the form.

Unit

Placemnt


TDBIndexCombo.TabStop

TDBIndexCombo

property TabStop;


TMRUManager.Change

TMRUManager

procedure Change;


TRxDBRichEdit.OnDblClick

TRxDBRichEdit

property OnDblClick;


TRxRichEdit.OnMouseWheel

TRxRichEdit

property OnMouseWheel;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet

|

TTable


TBits.OpenBit

TBits

function OpenBit: Integer;


TColorComboBox.Anchors

TColorComboBox

property Anchors;


TAnimatedImage.OnClick

TAnimatedImage

property OnClick;


TSecretPanel.Destroy

TSecretPanel

destructor Destroy;


(Untitled)

Hierarchy

TIModuleNotifier


TVersionInfo.ProductName

TVersionInfo

This contains the string specifying the name of the product with which the file is distributed.

property ProductName: string;


TSpeedBar.GetChildren

TSpeedBar

procedure GetChildren ( Proc: TGetChildProc; Root: TComponent );


TTextListBox.DragKind

TTextListBox

property DragKind;


TComboEdit.Text

TComboEdit

Text property contains the text of the ComboEdit field.

property Text : string


TClipboardViewer.OnStartDock

TClipboardViewer

property OnStartDock;


TQBEQuery.Create

TQBEQuery

constructor Create ( AOwner: TComponent );


(Untitled)

TRxPopupDataList Properties

TRxPopupDataList By object Legend

Action

Align

Anchors

BiDiMode

BorderStyle

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DesignInfo

DisplayEmpty

DisplayValue

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EmptyItemColor

EmptyValue

Enabled

Field

FieldsDelimiter

Floating

FloatingDockSiteClass

Font

Handle

Height

HelpContext

Hint

HostDockSite

IgnoreCase

ImeMode

ImeName

IndexSwitch

ItemHeight

KeyValue

Left

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

RowCount

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxLookupControl.Change

TRxLookupControl

procedure Change;


TRxLookupEdit.TabStop

TRxLookupEdit

property TabStop;


(Untitled)

TIniLink Events

TIniLink Alphabetically Legend

In TIniLink

OnLoad

OnSave


VCLUtils.DefineCursor

VCLUtils

Loads a cursor from executable file

property function DefineCursor(Instance: THandle; ResID: PChar): TCursor;

Description

DefineCursor function loads the specified cursor resource from the executable (.EXE or .DLL) file associated with an specified instance and assign a unique index. Returns the new index. ResID parameter points to a null-terminated string that contains the name of the cursor resource to be loaded. Alternatively, this parameter can consist of the resource identifier in the low-order word and zero in the high-order word. The MakeIntResource function can also be used to create this value. If the specified resource can not be found, DefineCursor raises an EResNotFound exception. To use DefineCursor, just call it and assign the return value to a component's Cursor property.

In 32-bit version DefineCursor searches for the specified cursor resource in this sequence:

1. Resources of RT_CURSOR (standard Windows cursors) type.

2. Resources of RT_ANICURSOR (animated cursors) type.

DefineCursor example:

constructor TDrawingComponent.Create(Owner: TComponent);

begin

inherited Create(Owner);

Cursor := DefineCursor(HInstance, 'CUR_MYCURSOR');

end;


TRxDrawGrid.OnChangeFocus

TRxDrawGrid

property OnChangeFocus: TNotifyEvent read FOnChangeFocus write FOnChangeFocus;


TPageManager.PageNames

TPageManager

PageNames is the current name of the selected page..

property PageNames[Index: Integer]: string;


(Untitled)

TRecentStrings Events

TRecentStrings Alphabetically Legend

Derived from TStringList

OnChange

OnChanging


(Untitled)

Hierarchy

TAggregatedObject


TIconList.Destroy

TIconList

destructor Destroy;


(Untitled)

TPictEditor Methods

TPictEditor Alphabetically Legend

In TPictEditor

Create

Destroy

Execute

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

RXMemory Methods

RXMemory Alphabetically Legend

In RXMemory

BatchMove

CopyStructure

GotoRecord

SetFieldValues


TRxDice.OnMouseDown

TRxDice

property OnMouseDown;


TButtonImage.CreateImageGlyph

TButtonImage

function CreateImageGlyph ( State: TRxButtonState; Images: TImageList; Index: Integer ): Integer;


(Untitled)

TRxCustomTrackBar Properties

TRxCustomTrackBar By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

Images

Increment

Left

LRDockWidth

MaxValue

MinValue

Name

Owner

Parent

ParentWindow

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPropsStorage.LoadObjectsProps

TPropsStorage

procedure LoadObjectsProps ( AComponent: TComponent; StoredList: TStrings );


TDateTimeFormat.DateSeparator

TDateTimeFormat

property DateSeparator: Char read FDateSeparator write FDateSeparator;


TGIFFrame.Width

TGIFFrame

Width indicates the horizontal size in pixels of the GIF-frame image.

property Width: Integer;


TDBDateEdit.OnEndDrag

TDBDateEdit

property OnEndDrag;


TDBIndexCombo.DropDownCount

TDBIndexCombo

property DropDownCount;


TSpeedBar.Orientation

TSpeedBar

property Orientation: TBarOrientation read GetOrientation write SetOrientation default boHorizontal;


(Untitled)

TDBProgress Events

TDBProgress By object Legend

OnMessageChange

OnPercentChange

OnProgress

OnTrace


TCustomBDEItems

Hierarchy Properties Methods Events

This component is a base class can create information lists about about the BDE (databases, drivers, language drivers, users, bde repository)

Unit

DBLists


TAnimatedImage.GetPalette

TAnimatedImage

function GetPalette: HPALETTE;


TOwnerDrawComboBox.Style

TOwnerDrawComboBox

property Style: TOwnerDrawComboStyle read FStyle write SetComboStyle default csDropDownList;


TRxSwitch.Font

TRxSwitch

property Font;


(Untitled)

TRxCheckListBox Methods

TRxCheckListBox Alphabetically Legend

In TRxCheckListBox

ApplyState

ChangeItemState

ClickCheck

Create

CreateItemList

CreateParams

CreateWnd

DefineProperties

DeleteString

Destroy

DestroyWnd

DrawItem

GetCheckWidth

GetItemData

GetItemWidth

KeyPress

Loaded

MouseDown

ResetContent

RestoreStates

RestoreStatesReg

SaveStates

SaveStatesReg

SetItemData

SetItems

WMDestroy

Derived from TRxCustomListBox

Clear

DefaultDrawText

ItemAtPos

ItemRect

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTextListBox.MultiSelect

TTextListBox

property MultiSelect;


TBookmarkList.LinkActive

TBookmarkList

procedure LinkActive ( Value: Boolean );


TRxCalculatorForm.CalcKey

TRxCalculatorForm

procedure CalcKey ( Sender: TObject; var Key: Char );


TRxTimerList.EnabledCount

TRxTimerList

EnabledCount returns the number of enabled timer events (which Enabled property is True).

property EnabledCount: Integer;


TDirectoryEdit.BiDiMode

TDirectoryEdit

property BiDiMode;


TSpeedBar.SectionCount

TSpeedBar

property SectionCount: Integer read GetSectionCount;


TPropsStorage.StoreAnyProperty

TPropsStorage

procedure StoreAnyProperty ( PropInfo: PPropInfo );


TPictProperty.SetValue

TPictProperty

procedure SetValue ( const Value: string );


TRxRichEdit.OnCloseFindDialog

TRxRichEdit

property OnCloseFindDialog;


TRxDice.TabOrder

TRxDice

property TabOrder;


TComboEdit.Alignment

TComboEdit

property Alignment;


(Untitled)

TAnimatedCursorImage Properties

TAnimatedCursorImage Alphabetically Legend

In TAnimatedCursorImage

Creator

DefaultRate

Frames

IconCount

Icons

OriginalColors

Title


TCurrencyEdit.ParentFont

TCurrencyEdit

property ParentFont;


TDBLoginDialog.GetUserName

TDBLoginDialog

function GetUserName: string;


TDBIndexCombo.OnStartDrag

TDBIndexCombo

property OnStartDrag;


TSecretPanel.Align

TSecretPanel

property Align;


(Untitled)

Hierarchy

TSharedImage


(Untitled)

TSortCollection Methods

TSortCollection By object Legend

Add

Assign

BeginUpdate

Clear

Create

Delete

Destroy

EndUpdate

FindItemID

GetNamePath

Insert

QuickSort

Sort


TRxDBLookupList.OnKeyPress

TRxDBLookupList

property OnKeyPress;


(Untitled)

TCheckItemEditor Events

TCheckItemEditor Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TComObject._Release

TComObject

function _Release: Integer;


TCurrencyEdit.OnDragDrop

TCurrencyEdit

property OnDragDrop;


TRxDBRichEdit.ParentFont

TRxDBRichEdit

property ParentFont;


(Untitled)

TDateEdit Properties

TDateEdit Alphabetically Legend

In TDateEdit

Anchors

AutoSelect

BiDiMode

BlanksChar

BorderStyle

Button

ButtonHint

ButtonWidth

CalendarHints

CalendarStyle

CheckOnExit

ClickKey

Color

Constraints

Ctl3D

Date

DefaultToday

DialogTitle

DirectInput

DragCursor

DragKind

DragMode

Enabled

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupColor

PopupMenu

ReadOnly

ShowHint

StartOfWeek

TabOrder

TabStop

Text

Visible

WeekendColor

WeekendColour

Weekends

YearDigits

Derived from TCustomDateEdit

PopupVisible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TDBLoginDialog Properties

TDBLoginDialog Alphabetically Legend

In TDBLoginDialog

Mode

SelectDatabase


TRxLookupEdit.KeyDown

TRxLookupEdit

procedure KeyDown ( var Key: Word; Shift: TShiftState );


StrUtils.AddChar

StrUtils

AddChar return a string left-padded to length N with characters C.

property function AddChar(C: Char; const S: string; N: Integer): string;

Description

AddChar example:

__S := 'Let It Be';

__S := AddChar(' ', S, 10);

__\\\\\\\ here S = ' Let It Be' \\\\\\\


TRxDBLookupList.FieldsDelimiter

TRxDBLookupList

property FieldsDelimiter;


TDBDateEdit.CheckOnExit

TDBDateEdit

property CheckOnExit;


TRxLabel.ParentShowHint

TRxLabel

property ParentShowHint;


TProxyEditor.ComponentDeleted

TProxyEditor

procedure ComponentDeleted ( Component: IPersistent );


(Untitled)

TRxCustomLabel Properties

TRxCustomLabel By object Legend

Action

Align

Alignment

Anchors

AutoSize

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

Enabled

Floating

FloatingDockSiteClass

FocusControl

Height

Hint

HostDockSite

Layout

Left

LeftMargin

LRDockWidth

MouseInControl

Name

Owner

Parent

RightMargin

ShadowColor

ShadowPos

ShadowSize

ShowAccelChar

ShowFocus

ShowHint

Tag

TBDockHeight

Top

Transparent

UndockHeight

UndockWidth

VCLComObject

Visible

Width

WindowProc

WordWrap


TPicClip.Height

TPicClip

property Height: Integer read GetHeight write SetHeight stored False;


TRxTrayIcon.OnMouseUp

TRxTrayIcon

property OnMouseUp: TMouseEvent read FOnMouseUp write FOnMouseUp;


TStoredPropsProperty.GetValue

TStoredPropsProperty

function GetValue: string;


TConverter.DisplayFalse

TConverter

The DisplayFalse and DisplayTrue properties controls the manner in which boolean values are translated to and from string format by the TConverter component.

property DisplayFalse: string;


TPageManager.OnShow

TPageManager

OnShow event is triggered when a page from tNoteBook is switched.

property OnShow: TPageNotifyEvent;


TDBSecurity.IniFileName

TDBSecurity

property IniFileName;


TRxDBLookupList.OnDragOver

TRxDBLookupList

property OnDragOver;


TRxSpeedButton.Layout

TRxSpeedButton

property Layout: TButtonLayout read FLayout write SetLayout default blGlyphTop;


(Untitled)

TRxTimerEvent Properties

TRxTimerEvent Alphabetically Legend

In TRxTimerEvent

AsSeconds

Cycled

Enabled

ExecCount

Handle

Interval

RepeatCount

TimerList

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TContainedObject Properties

TContainedObject Alphabetically Legend

Derived from TAggregatedObject

Controller


TConverter.Create

TConverter

constructor Create ( AOwner: TComponent );


TRxSpeedButton.Font

TRxSpeedButton

property Font;


TOleController.SetProperty

TOleController

Many automation objects include properties in their interfaces.

property procedure SetProperty(const AName: string; const Prop: array of const);

Description

Properties represent the state or content of the automation server. This method allows you to set a value of automation-object property by its name AName.


TDBSecurity.AllowEmptyPassword

TDBSecurity

empty in the login dialog and in the change password dialog.

property AllowEmptyPassword: Boolean;


TRxMemoryData.AfterScroll

TRxMemoryData

property AfterScroll;


TRxDice.OnClick

TRxDice

property OnClick;


TNotifyThread.Execute

TNotifyThread

procedure Execute;


TOnProgressEvent

TOnProgressEvent is the type of the OnProgress event of the TDBProgress component.

Unit

DbPrgrss

property TOnProgressEvent = procedure(Sender: TObject; var Abort: Boolean) of object;


VCLUtils.StartWait

VCLUtils

StartWait starts the waiting period. See also: StopWait

property procedure StartWait;

Description

StartWait example:

StartWait; \\\\\\\ set cursor to WaitCursor \\\\\\\

try

__\\\\\\\ ... \\\\\\\

__StartWait; \\\\\\\ no effect \\\\\\\

__try

____\\\\\\\ ... \\\\\\\

__finally

____StopWait; \\\\\\\ no effect \\\\\\\

__end;

__\\\\\\\ ... \\\\\\\

finally

__StopWait; \\\\\\\ restore default cursor \\\\\\\

end;


TRxClock.Visible

TRxClock

property Visible;


(Untitled)

TPropInfoList Properties

TPropInfoList By object Legend

Count

Items


TDBDateEdit.ApplyDate

TDBDateEdit

procedure ApplyDate ( Value: TDateTime );


TRxDBCalcEdit.AutoSelect

TRxDBCalcEdit

property AutoSelect;


TFilenameEdit.Anchors

TFilenameEdit

property Anchors;


(Untitled)

TIconListDialog Properties

TIconListDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TRxClock.BorderStyle

TRxClock

property BorderStyle;


TDBStatusLabel.Create

TDBStatusLabel

constructor Create ( AOwner: TComponent );


(Untitled)

TRxDBCalcEdit Events

TRxDBCalcEdit By object Legend

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TAppEvents.MessageHook

TAppEvents

function MessageHook ( var Msg: TMessage ): Boolean;


TRxLookupControl.ReadOnly

TRxLookupControl

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TRxGIFAnimator.Destroy

TRxGIFAnimator

destructor Destroy;


TRxDBFilter.Update

TRxDBFilter

The Update method reset the filter on the filtered dataset.

property procedure Update;


(Untitled)

TFieldList Methods

TFieldList Alphabetically Legend

Derived from TCustomTableItems

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTimer.Interval

TRxTimer

property Interval: Cardinal read FInterval write SetInterval default 1000


TDBDateEdit.Glyph

TDBDateEdit

property Glyph;


TRxCheckListBox.Columns

TRxCheckListBox

property Columns;


TDirnameProperty.GetAttributes

TDirnameProperty

function GetAttributes: TPropertyAttributes;


(Untitled)

EFilterError Methods

EFilterError By object Legend

Create

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


(Untitled)

TChPswdForm Methods

TChPswdForm Alphabetically Legend

In TChPswdForm

CreateParams

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTrayIcon.Create

TRxTrayIcon

constructor Create ( AOwner: TComponent );


TRxSwitch.Constraints

TRxSwitch

property Constraints;


TSpeedItem.ParentFont

TSpeedItem

property ParentFont: Boolean read GetParentFont write SetParentFont default True;


(Untitled)

TRxSpinButton Events

TRxSpinButton Alphabetically Legend

In TRxSpinButton

OnBottomClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnStartDock

OnStartDrag

OnTopClick

Derived from TControl


TRxSlider.Orientation

TRxSlider

The orientation specifies whether the slider bar is horizontal (soHorizontal) or vertical (soVertical).

property Orientation: TSliderOrientation;


(Untitled)

TCloneDbDataset Methods

TCloneDbDataset By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CreateHandle

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

InitFromDataSet

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


VCLUtils.PointInPolyRgn

VCLUtils

The PointInRgn function determines whether the specified point is inside the specified region.

property function PointInPolyRgn(const P: TPoint; const Points: array of TPoint): Boolean;

Description

If the specified point is in the region, the return value is True. Points parameter is an array of TPoint records that define the vertices of the polygon. The polygon is presumed closed. Each vertex can be specified only once.

PointInPolyRgn example:

with MyForm do

if PointInPolyRgn(Point(X, Y), [Point(Left, Top), Point(Left + Width, Top), Point(Left +

Width div 2, Top + Height div 2)]) then

begin

__\\\\\\\ ... \\\\\\\

end;


FileUtil.LongToShortPath

FileUtil

Use this procedure to obtain the short version of the directory name specified by LongName parameter.

function LongToShortPath(const LongName: string): string;

Description

LongToShortPath example:

DirectoryName := LongToShortPath(DirectoryName);


(Untitled)

TSpeedbarSection Methods

TSpeedbarSection By object Legend

Assign

BeforeDestruction

Clear

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

ReadState

RemoveComponent

RemoveFreeNotification

RemoveItem

SafeCallException

SetParentComponent

UpdateAction


TRxDBComboBox.Ctl3D

TRxDBComboBox

property Ctl3D;


(Untitled)

TRxSplitter Events

TRxSplitter Alphabetically Legend

In TRxSplitter

OnClick

OnDblClick

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPosChanged

OnPosChanging

OnResize

Derived from TWinControl

Derived from TControl


TCustomDBComboBox.Click

TCustomDBComboBox

procedure Click;


RXMemory.RecNo

RXMemory

The RecNo property Indicates the current record in the TMemoryTable.

property RecNo: Longint read GetRecordNumber write SetRecNo;

Description

Use RecNo to determine the record number of the current record in the table.

Applications might use this property with RecordCount to iterate through all the records in a in-memory table, though typically record iteration is handled with calls to First, Last, MoveBy, Next, and Prior.

RecNo also can be set to a specific record number to position the cursor on that record.

You can also position the cursor on the specified record by using GotoRecord method.


TFileDialogKind

The TFileDialogKind type contains the values the DialogKind property of filename edit can assume. Values dkOpenPicture, dkSavePicture are allowable in Delphi 3.0 or higher only.

Unit

ToolEdit

TFileDialogKind = (dkOpen, dkSave, dkOpenPicture, dkSavePicture);

Description

ValueMeaning

dkOpen

dkSave

dkOpenPicture

dkSavePicture


TRxDBGrid.Destroy

TRxDBGrid

destructor Destroy;


TMemoryTable.CreateTable

TMemoryTable

procedure CreateTable;


TRxDBFilter.OnFiltering

TRxDBFilter Example

OnFiltering occurs each time a different record in the dataset becomes the current record and filtering is enabled.

property OnFiltering: TFilterEvent;

Description

Write an OnFiltering event handler to test each record in a dataset for against a test condition that determines whether or not the record is visible to the application. To indicate whether or not a record passes the filter condition, a filter handler must return True to include a record, or False to exclude it.

Applications can also specify a filter using the Filter property. The Filter property supplements the OnFiltering event handler. Be sure that the interactions between the Filter property and the OnFiltering event handler do not result in an empty filter set when they are used simultaneously in an application.


TRxPopupMenu.LeftMargin

TRxPopupMenu

property LeftMargin: Cardinal read FLeftMargin write FLeftMargin default 0;


TComObjectFactory.HasMachineLicense

TComObjectFactory

function HasMachineLicense: Boolean;


(Untitled)

TMemDataSetEditor Methods

TMemDataSetEditor By object Legend

ExecuteVerb

GetVerb

GetVerbCount


TRxGIFAnimator.OnMouseDown

TRxGIFAnimator

property OnMouseDown;


TOleController.CallFunctionNamedParams

TOleController

CallFunctionNamedParams calls a function with Parameters Params and Names.

property function CallFunctionNamedParams(const AName: string; const Params: array of const; const Names: array of string): PVariant;


TRxSplitter.OnExit

TRxSplitter

property OnExit;


RxGraph

Methods

Useful graphical/bitmap functions

Unit

RxGraph

Description

The TMappingMethod describes possible methods to decrease bitmap color count by using SetBitmapPixelFormat procedure.


TRxClock.OnGetTime

TRxClock

property OnGetTime: TRxGetTimeEvent read FOnGetTime write FOnGetTime;


TFontComboBox.Visible

TFontComboBox

property Visible;


VCLUtils.HeightOf

VCLUtils

Retrieves the vertical size (height) of the specified rectangle R in pixels.

property function HeightOf(R: TRect): Integer;

Description

HeightOf example:

H := HeightOf(Rect);


TQBEQuery.StartParam

TQBEQuery

StartParam determines character which indicates parameter in the QBE query text (default value is '#').

property StartParam: Char;


TRxSliderImages

Hierarchy Properties Methods

Persistent class to store thumb images

Unit

RXSlider


TRxGradientCaption.FontInactiveColor

TRxGradientCaption

Allows to set the font color of captions when the window is inactive

property FontInactiveColor: TColor read FFontInactiveColor write SetFontInactiveColor default clInactiveCaptionText;


TDirectoryEdit.OnMouseMove

TDirectoryEdit

property OnMouseMove;


TCustomNumEdit.AcceptValue

TCustomNumEdit

procedure AcceptValue ( const Value: Variant );


TRxMemoryData.OnFilterRecord

TRxMemoryData

property OnFilterRecord;


TRxSpinButton.MouseUp

TRxSpinButton

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxCustomListBox.SetItems

TRxCustomListBox

procedure SetItems ( Value: TStrings );


(Untitled)

TCloneDbDataset Methods

TCloneDbDataset Alphabetically Legend

In TCloneDbDataset

CreateHandle

InitFromDataSet

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Locate

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TColorComboBox.Click

TColorComboBox

procedure Click;


TRxDBRichEdit.DragMode

TRxDBRichEdit

property DragMode;


TScreenCanvas

Hierarchy Properties Methods Events

Gives access to Windows desktop canvas

Unit

VCLUtils


TRxGradientCaption.PopupMenu

TRxGradientCaption

Define a popup menu in the caption bar of the Form

property PopupMenu: TPopupMenu read FPopupMenu write SetPopupMenu;


TClipboardViewer.OnEndDock

TClipboardViewer

property OnEndDock;


TPageProxy.PageManager

TPageProxy

property PageManager: TPageManager read FPageManager write SetPageManager;


TFormPlacement.ReadInteger

TFormPlacement

function ReadInteger ( const Ident: string; Default: Longint ): Longint;


ClipIcon.AssignClipboardIcon

ClipIcon

AssignClipboardIcon retrieves icon image from the Clipboard when Clipboard has format CF_ICON, and copies it to a icon object named Icon.

property procedure AssignClipboardIcon(Icon: TIcon);

Description

Use the TClipboard.HasFormat method to determine whether the information on the clipboard uses a format compatible with the icon object (CF_ICON).

You can place icon in the Clipboard by calling CopyIconToClipboard procedure.

AssignClipboardIcon example:

begin

__\\\\\\\...\\\\\\\

__if Clipboard.HasFormat(CF_ICON) then

____AssignClipboardIcon(Application.Icon);

__\\\\\\\...\\\\\\\

end;


(Untitled)

TComObjectFactory Methods

TComObjectFactory Alphabetically Legend

In TComObjectFactory

_AddRef

_Release

Create

CreateComObject

CreateInstance

CreateInstanceLic

Destroy

GetLicenseString

GetLicInfo

GetProgID

HasMachineLicense

LockServer

QueryInterface

RegisterClassObject

RequestLicKey

UpdateRegistry

ValidateUserLicense


VCLUtils.MergeForm

VCLUtils

MergeForm merges a form with a NoteBook page.

property procedure MergeForm(AControl: TWinControl; AForm: TForm; Align: TAlign; Show: Boolean);

Description

MergeForm example:

MergeForm(TPage(Notebook.Pages.Objects[0]), TMyForm.Create(Application), alClient,

True);


TDBErrorEvent

TDBErrorEvent is the type of the OnErrorMsg event of the TRxBdeErrorDlg dialog control.

Unit

DbExcpt

property TDBErrorEvent = procedure (Error: TDBError; var Msg: string) of object;


TRxCheckListBox.OnMouseUp

TRxCheckListBox

property OnMouseUp;


DateUtil.GetDateOrder

DateUtil

Returns the day's, month's and year's order in the date format, indicated by the DateFormat parameter.

property function GetDateOrder(const DateFormat: string): TDateOrder;

Description

GetDateOrder example:

case GetDateOrder(ShortDateFormat) of

doMDY: Result := 'MM/DD/YYYY';

doDMY: Result := 'DD/MM/YYYY';

doYMD: Result := 'YYYY/MM/DD';

end;


TButtonImage.NumGlyphs

TButtonImage

property NumGlyphs: TRxNumGlyphs read GetNumGlyphs write SetNumGlyphs;


TVersionInfo.VersionNum

TVersionInfo

Specifies the binary version number for the file.

property VersionNum: Longint;


TDateEdit.NumGlyphs

TDateEdit

property NumGlyphs;


TRxDBLookupList.OnMouseWheelDown

TRxDBLookupList

property OnMouseWheelDown;


TRxSliderImages.VertRuler

TRxSliderImages

property VertRuler: TBitmap index Ord ( siVRuler ) read GetImage write SetImage stored StoreImage;


(Untitled)

TIniLink Methods

TIniLink By object Legend

Assign

Destroy

GetNamePath

LoadFromIni

SaveToIni


TFontComboBox.ShowHint

TFontComboBox

property ShowHint;


(Untitled)

TFormPlacement Properties

TFormPlacement Alphabetically Legend

In TFormPlacement

Active

Form

IniFile

IniFileName

IniFileObject

IniSection

MinMaxInfo

Options

PreventResize

RegIniFile

UseRegistry

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxSpeedButton.MouseMove

TRxSpeedButton

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


TRxMemoryData.BeforeOpen

TRxMemoryData

property BeforeOpen;


TCustomNumEdit.Create

TCustomNumEdit

constructor Create ( AOwner: TComponent );


TImageForm.FileName

TImageForm

property FileName: string read GetFileName write SetFileName;


TRxSpinEdit.Destroy

TRxSpinEdit

destructor Destroy;


TSpeedbarSection.Clear

TSpeedbarSection

procedure Clear;


(Untitled)

TMRUManager Properties

TMRUManager By object Legend

AccelDelimiter

AutoEnable

AutoUpdate

Capacity

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

IniStorage

Mode

Name

Owner

RecentMenu

RemoveOnSelect

SeparateSize

ShowAccelChar

StartAccel

Strings

Tag

VCLComObject


TRxDice.RandomValue

TRxDice

This "spins" the dice to a random value.

procedure RandomValue;

Description

Aandom value is assigned to the value property of the TRxDice component.


TRxDBComboBox.OnKeyUp

TRxDBComboBox

property OnKeyUp;


TRxPopupMenu.DefaultDrawMargin

TRxPopupMenu

procedure DefaultDrawMargin(ARect: TRect; StartColor, EndColor: TColor);


TRxDBLookupList.Color

TRxDBLookupList

property Color;


TResourceType

Unit

RxResExp

Description

ValueMeaning

rtpCustom

rtpCursor

rtpGroupCursor

rtpBitmap

rtpIcon

rtpGroupIcon

rtpRCData

rtpVersion

rtpAniCursor

rtpPredefined


VCLUtils.CenterControl

VCLUtils

This procedure centers the given window control over its parent.

property procedure CenterControl(Control: TControl);

Description

If the control is a form, it is centered over the screen. If the control is a MDI-child form, it is centered over the main application MDI-form. It ensures that the window is entirely within the visible screen.

CenterControl example:

procedure TForm1.FormResize(Sender: TObject);

begin

__CenterControl(Memo1);

end;


TComboEdit.HideSelection

TComboEdit

property HideSelection;


TMRUManager.ShowAccelChar

TMRUManager

ShowAccelChar property defines whether the Accelerated

property ShowAccelChar: Boolean;


TRxRichEdit.OnMouseMove

TRxRichEdit

property OnMouseMove;


TSpeedbarSection

Hierarchy Properties Methods

Object storing a section of the TSpeedBar

Unit

SpeedBar


VCLUtils.Delay

VCLUtils

Delays a specified number (MSecs) of milliseconds.

property procedure Delay(MSecs: Longint);

Description

Delay example:

StartWait;

try

__Delay(1000);

finally

__StopWait;

end;


TColorComboBox.TabStop

TColorComboBox

property TabStop;


TRxSpinEdit.DownGlyph

TRxSpinEdit

Use this property to override the default down arrow bitmap used for a spin button component.

property DownGlyph: TBitmap;

Description

Store your own glyph in this property if you want to use another glyph instead.


(Untitled)

TOwnerDrawComboBox Events


TDirectoryEdit.DragMode

TDirectoryEdit

property DragMode;


(Untitled)

TRxTimerEvent Events

TRxTimerEvent By object Legend

OnTimer


TChangePasswordEvent

TChangePasswordEvent is the type of the OnChangePassword event of the TDBSecurity component.

Unit

ChPswDlg

property TChangePasswordEvent = function(UsersTable: TTable; const OldPassword, NewPassword: string): Boolean of object;


TRxSpinButton.OnEndDock

TRxSpinButton

property OnEndDock;


TRxRichEdit.UndoLimit

TRxRichEdit

property UndoLimit;


TSpeedBar.OnStartDock

TSpeedBar

property OnStartDock;


TConverter.Precision

TConverter

The Precision property is used in formatting float fields. The value of Precision is the number of decimal places to the right of the decimal point the numeric value should be formatted to before rounding begins. The default value is 15 decimal places.

property Precision: Integer;


TDBIndexCombo.TabOrder

TDBIndexCombo

property TabOrder;


THugeList.Last

THugeList

function Last: Pointer;


TSpeedBar.Paint

TSpeedBar

procedure Paint;


TFilenameEdit.DirectInput

TFilenameEdit

property DirectInput;


TRxGIFAnimator.OnDragDrop

TRxGIFAnimator

property OnDragDrop;


TRxCustomLabel.Layout

TRxCustomLabel

property Layout: TTextLayout read FLayout write SetLayout default tlTop;


TPopupWindow.CreateWnd

TPopupWindow

procedure CreateWnd;


TCustomComboEdit.DoClick

TCustomComboEdit

procedure DoClick;


TOleController.ClearObject

TOleController

procedure ClearObject;


(Untitled)

TRxLoginForm Properties

TRxLoginForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

Attempt

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

SelectDatabase

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TRxMainMenu.Cursor

TRxMainMenu

property Cursor: TCursor read FCursor write FCursor default crDefault;


(Untitled)

TCloneDataset Methods

TCloneDataset Alphabetically Legend

In TCloneDataset

CreateHandle

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

Create

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Locate

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDBComboBox

Hierarchy Properties Methods Events

TRxDBComboBox expands the capabilities of a regular data aware combo-box.

Unit

RxDBComb

Description

It allows you to enter mapped storage and display values so that you can display understandable

text versions of stored codes in your table, instead of displaying only the codes themselves where users have to remember what they all mean.

Alternatively you could use a TRxDBLookupCombo to display one field from a lookup source, and store a different field, but the TRxDBComboBox’s drop-down list comes directly from a string list

and not required the lookup source.


TCloneDbDataset.CreateHandle

TCloneDbDataset

function CreateHandle: HDBICur;


TTextListBox.TabWidth

TTextListBox

property TabWidth;


(Untitled)

TDirectoryListDialog Properties

TDirectoryListDialog Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TPageManager.ChangePage

TPageManager

procedure ChangePage ( Next: Boolean );


TRxCustomLogin

Hierarchy Properties Methods Events

Unit

RxLogin


TGraphicPropertyEditor.GetAttributes

TGraphicPropertyEditor

function GetAttributes: TPropertyAttributes;


(Untitled)

TSQLScript Properties

TSQLScript By object Legend

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DBSession

DesignInfo

IgnoreParams

Name

Owner

ParamCount

Params

SemicolonTerm

SessionName

SQL

Tag

Term

Text

Transaction

VCLComObject


TRxDBCalcEdit.Constraints

TRxDBCalcEdit

property Constraints;


(Untitled)

TFileDirEdit Properties

TFileDirEdit By object Legend

AcceptFiles

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

CanUndo

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

EditText

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

IsMasked

Left

LongName

LRDockWidth

Modified

Name

Owner

Parent

ParentWindow

SelLength

SelStart

SelText

ShortName

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPageProxy

Hierarchy Properties Methods Events

Unit

PageMngr


(Untitled)

TFileDirEdit Events

TFileDirEdit Alphabetically Legend

In TFileDirEdit

OnAfterDialog

OnBeforeDialog

OnButtonClick

OnDropFiles

Derived from TCustomEdit

Derived from TWinControl

Derived from TControl


(Untitled)

TDBLocate Properties

TDBLocate By object Legend

DataSet

IndexSwitch


TMinMaxInfoEditDialog.WinMinMaxInfo

TMinMaxInfoEditDialog

property WinMinMaxInfo: TWinMinMaxInfo read FWinMinMaxInfo write SetWinMinMaxInfo;


TQBEQuery.RowsAffected

TQBEQuery

property RowsAffected: Integer read GetRowsAffected;


(Untitled)

TRxCustomListBox Methods

TRxCustomListBox Alphabetically Legend

In TRxCustomListBox

Clear

Create

CreateItemList

CreateParams

CreateWnd

DefaultDrawText

DeleteString

Destroy

DestroyWnd

DragCanceled

DrawItem

GetItemData

GetItemWidth

ItemAtPos

ItemRect

MeasureItem

ResetContent

SetItemData

SetItems

WndProc

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxDBLookupList.ParentFont

TRxDBLookupList

property ParentFont;


TRxCheckListBox.IniStorage

TRxCheckListBox

property IniStorage: TFormPlacement read GetStorage write SetStorage;


TRxDBLookupCombo.Constraints

TRxDBLookupCombo

property Constraints;


TRxDBLookupList.ListLinkDataChanged

TRxDBLookupList

procedure ListLinkDataChanged;


TRxDBRichEdit.WordSelection

TRxDBRichEdit

property WordSelection;


TRxDice.Anchors

TRxDice

property Anchors;


TAppEvents

Hierarchy Properties Methods Events

TAppEvent is a Application wrapper component, which makes it easier to work with the TApplication object properties and events at design time. By using TAppEvent component you can set TApplication properties and event handlers in Delphi form designer.

Unit

AppEvent


TCustomDBComboBox.ReadOnly

TCustomDBComboBox

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TDBSecurity

Hierarchy Properties Methods Events

This component manages database access security (login, password change, ...)

Unit

DBSecur

Description

The TDBSecurity component provides a quick, standard interface for users to gain access to an database-oriented application. This component provides two standard dialogs: registration (login) dialog and change user password dialog. Specify Database property or call Login method manually to show registration dialog, and call ChangePassword method to show change password dialog.

Also TDBSecurity allows you lock application in minimized state by calling Lock method. After lock user must enter password to unlock and restore application.

Using class TDBSecurity

Set Database, UsersTableName and LoginNameField to approperiate values, write event handler to the OnCheckUser event (if needed) and set Active to True for use standard login dialog when application started.

When UsersTableName and LoginNameField are not specified, you can use this component to connect to the SQL-oriented database.

TDBSecurity provides three standard dialogs for database-oriented applications:

- registration (login) dialog;

- change user password dialog;

- unlock with password dialog for unlock locked application.


BoxProcs.BoxMoveFocusedItem

BoxProcs

Indended to be used in the OnDragDrop event handlers.

property procedure BoxMoveFocusedItem(List: TCustomListBox; DstIndex: Integer);

Description

BoxMoveFocusedItem example:

procedure TMyForm.SrcListDragDrop(Sender, Source: TObject; X, Y: Integer);

begin

__if Source = DstList then

____ExclBtnClick(SrcList)

__else

____if Source = SrcList then

____begin

______BoxMoveFocusedItem(SrcList, SrcList.ItemAtPos(Point(X, Y), True));

____end;

end;


(Untitled)

TDualListDialog Methods

TDualListDialog By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

Execute

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


TRxLookupEdit.BorderStyle

TRxLookupEdit

property BorderStyle;


TClipboardViewer.ViewFormat

TClipboardViewer

The Clipboard stores information in multiple formats so that you can transfer information between programs that use different formats. The ViewFormat property allows you to change current display format of Clipboard contents. TClipboardViewer component automatically changes ViewFormat property when Clipboard contents is changed. You can set format you needed in your handler of OnChange event.

To determine whether or not TClipboardViewer can display specified data format use CanDrawFormat method.

property ViewFormat: TClipboardViewFormat;


TRxCustomLabel.AutoSize

TRxCustomLabel

property AutoSize: Boolean read FAutoSize write SetAutoSize default True;


TDBDateEdit.ButtonWidth

TDBDateEdit

property ButtonWidth;


(Untitled)

TRxTimerEvent Events

TRxTimerEvent Alphabetically Legend

In TRxTimerEvent

OnTimer


TRxDBCalcEdit.ImeName

TRxDBCalcEdit

property ImeName;


TSQLScript.Database

TSQLScript

property Database: TDatabase read GetDatabase;


TRxDBLookupCombo.MouseDown

TRxDBLookupCombo

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet

|

TDBListDataSet

|

TCustomDatabaseItems


TRxCalcEdit

Hierarchy Properties Methods Events

The TRxCalcEdit takes the display and editing of numeric data one step further: it provides a popup calculator to help you calculate the number.

Unit

CurrEdit

Description

When you perform a

calculation on the calculator, the result is inserted into the number edit’s display.

TRxCalcEdit have the keyboard restrictions, so the user cannot enter invalid characters.

When the user leaves the field, the number is reformatted to display appropriately,

accordingly with the DisplayFormat property.

The field value is stored in a write Value property so you should read and write to that in your program.

This field is of type Extended. You can also read and write Value as integer number using AsInteger property.


TRxSlider.OnExit

TRxSlider

property OnExit;


(Untitled)

Hierarchy

TObject

|

TComObjectFactory


TBtnControl.Activate

TBtnControl

procedure Activate ( Rect: TRect );


TRxTextAttributes.Protected

TRxTextAttributes

property Protected: Boolean read GetProtected write SetProtected;


TCustomComboEdit.PopupCloseUp

TCustomComboEdit

procedure PopupCloseUp ( Sender: TObject; Accept: Boolean );


TRxPopupMenu.UseRightToLeftAlignment

TRxPopupMenu

function UseRightToLeftAlignment: Boolean;


TRxQuery.OpenOrExec

TRxQuery

procedure OpenOrExec ( ChangeLive: Boolean );


TRxDBGrid.CreateEditor

TRxDBGrid

function CreateEditor: TInplaceEdit;


TRxLookupControl.KeyValueChanged

TRxLookupControl

procedure KeyValueChanged;


TCurrencyEdit.TabOrder

TCurrencyEdit

property TabOrder;


TRxSpeedButton.ParentBiDiMode

TRxSpeedButton

property ParentBiDiMode;


TRxCustomRichEdit.TextNotFound

TRxCustomRichEdit

procedure TextNotFound ( Dialog: TFindDialog );


(Untitled)

Hierarchy

TThread


TRxDrawGrid.OnColumnSized

TRxDrawGrid

OnColumnSized occurs immediately after the width of a column changes. Write an

OnColumnSized event handler to provide special processing whenever a column in the

grid changes width. Columns can be sized programmatically or by user manipulation.

OnColumnSized does not occur unless the Options property includes goColSizing.

property OnColumnSized: TNotifyEvent;


(Untitled)

TSpeedbarSetupWindow Events

TSpeedbarSetupWindow By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxDrawGrid.OnGetEditLimit

TRxDrawGrid

OnGetEditLimit occurs when the in-place editor requests the number of characters that

can be typed into cells. Write an OnGetEditLimit event handler to determine if a limit

should be placed on the number of characters a user can type into a cell. Set the

MaxLength parameter to the value that describes the number of characters that can be

typed into cells. A value of 0 indicates that there is no application-defined limit on the

length. OnGetEditLimit does not occur unless the Options property includes goEditing.

property OnGetEditLimit: TEditLimitEvent;


TPropsStorage.OnWriteString

TPropsStorage

property OnWriteString: TWriteStrEvent read FOnWriteString write FOnWriteString;


TRxSpinEdit.OnChange

TRxSpinEdit

property OnChange;


(Untitled)

TRxTimerEvent Properties

TRxTimerEvent By object Legend

AsSeconds

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Cycled

DesignInfo

Enabled

ExecCount

Handle

Interval

Name

Owner

RepeatCount

Tag

TimerList

VCLComObject


TDisposalMethod

property TDisposalMethod = (dmUndefined, dmLeave, dmRestoreBackground, dmRestorePrevious, dmReserved4, dmReserved5, dmReserved6, dmReserved7);

TDisposalMethod is the type of available values for the DisposalMethod property of the TGIFFrame object.

Unit

RxGif

Description

ValueMeaning

dmUndefined

dmLeave

dmRestoreBackground

dmRestorePrevious

dmReserved4

dmReserved5

dmReserved6

dmReserved7


(Untitled)

TRxHintWindow Events


TRxDrawGrid.Destroy

TRxDrawGrid

destructor Destroy;


TRxDrawGrid.OnGetEditStyle

TRxDrawGrid

OnGetEditStyle occurs when the in-place editor requests an edit style. The Style

parameter determines how users can edit the data of a grid cell. These are the possible

values of Style:

ieSimple - No combo box or ellipsis button is provided. The user cannot select the

cell's content from a list.

iePicklist - The grid displays a combo box in the column, and the user can

choose a value from the drop-down list. You must specify contents of a pick-list

by handling OnGetPicklist event.

ieEllipsis - The column displays an ellipsis button that the user can click to

choose a value. Clicking the ellipsis button triggers an OnEditButtonClick event.

OnGetEditStyle does not occur unless the Options property includes goEditing.

property OnGetEditStyle: TEditStyleEvent;


TPageManager

Hierarchy Properties Methods Events

This component allows you to control a TNoteBook to create a wizard like dialog

PageManger acts as a middle-man between buttons assigned to OkButton, CancelButton, HelpButton and tNoteBook.

Unit

PageMngr

Description

TPageManager gives you the possibility of "one-click" creating "step-by-step" dialogs (known as "experts" or "wizards"). The database form Wizard dialog is a typical example of that. This component has no pages, it uses another page owner defined by PageOwner property. Currently only TNotebook is supported as page owner.

TPageManager has OnGetNextPage and OnGetPriorPage events to handle sequence of pages. Also TPageManager has PageProxies property which contains list

of page proxies («steps»), each of them has OnEnter, OnShow, OnHide è OnLeave events. These events occur when the user clicks the Back and Next buttons specified by NextBtn and PriorBtn properties.

You can also change current page programatically by calling NextPage and PriorPage methods.


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet


TPaintMode

Internal use

Unit

RXClock

Description

ValueMeaning

pmPaintAll

pmHandPaint


TRxDBLookupCombo.ShowHint

TRxDBLookupCombo

property ShowHint;


TCustomDatabaseItems.SystemItems

TCustomDatabaseItems

property SystemItems: Boolean read FSystemItems write SetSystemItems default False;


TRxSwitch.GlyphOn

TRxSwitch

Set the state of the glyph on. This is the bitmap that your application would load when the state of the switch is on.

Glyph On : tBitMap


(Untitled)

TRxDBGrid Methods

TRxDBGrid By object Legend

AcquireFocus

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanEditShow

CanFocus

CheckTitleButton

ClientToScreen

ColumnMoved

ColWidthsChanged

ContainsControl

ControlAtPos

Create

CreateEditor

CreateParented

DefaultDataCellDraw

DefaultDrawColumnCell

DefaultDrawDataCell

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisableScroll

Dock

DockDrop

DoMouseWheelDown

DoMouseWheelUp

DoTitleClick

DragDrop

Dragging

DrawCell

DrawColumnCell

DrawDataCell

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditChanged

EnableAlign

EnableScroll

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetCellProps

GetControlsAlignment

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

GotoSelection

HandleAllocated

HandleNeeded

HasParent

Hide

HighlightCell

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

LayoutChanged

LinkActive

ManualDock

ManualFloat

MouseCoord

MouseDown

MouseMove

MouseToCell

MouseUp

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

RestoreLayout

RestoreLayoutReg

SafeCallException

SaveLayout

SaveLayoutReg

ScaleBy

ScreenToClient

Scroll

ScrollBy

ScrollDisabled

SelectAll

SendToBack

SetBounds

SetColumnAttributes

SetFocus

SetTextBuf

Show

ShowPopupEditor

ToggleRowSelection

TopLeftChanged

UnselectAll

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidFieldIndex


(Untitled)

TFieldList Properties

TFieldList Alphabetically Legend

Derived from TCustomTableItems

TableName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TSharedImage Properties

TSharedImage By object Legend

RefCount


TGetCellPropsEvent

Unit

RXDBCtrl

TGetCellPropsEvent ( Sender : TObject ; Field : TField ; AFont : TFont ; var Background : TColor )of object ;


(Untitled)

TRxCheckListBox Properties

TRxCheckListBox Alphabetically Legend

In TRxCheckListBox

Align

AllowGrayed

Anchors

AutoScroll

BiDiMode

BorderStyle

Checked

CheckedIndex

CheckKind

Color

Columns

Constraints

Ctl3D

DragCursor

DragKind

DragMode

Enabled

EnabledItem

ExtendedSelect

Font

GraySelection

ImeMode

ImeName

IniStorage

IntegralHeight

ItemHeight

Items

MultiSelect

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

Sorted

State

Style

TabOrder

TabWidth

Visible

Derived from TRxCustomListBox

Canvas

ItemIndex

SelCount

Selected

TabStop

TopIndex

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.EmptyValue

TRxDBLookupCombo

If database is empty, the variable EmptyValue replaces the table.

property EmptyValue: string;


TGIFFrame.OnProgress

TGIFFrame

OnProgress occurs when a graphical image is in the process of changing. OnProgress

is a generic progress indicator event that propagates out to the TGIFImage OnProgress

events.

property OnProgress: TProgressEvent;


(Untitled)

TDBCallback Methods

TDBCallback Alphabetically Legend

In TDBCallback

Create

Destroy

Invoke


TFilenameEdit.GetLongName

TFilenameEdit

function GetLongName: string;


TFormPlacement.Options

TFormPlacement

The Options property tells the TFormPlacement component which parts of the parent form it should read and write to the specified IniFileName.

property Options: TPlacementOptions;

Description

These are the possible values that can be included in the Options set:

- fpState state of form (normal, minimize, maximize);

- fpPosition Top, Left, Height and Width of form;

- fpActiveControl current Active Control on the form (value of the ActiveControl property).


TSharedImage

Properties Methods

Internal object

Unit

RxGIF


TTextListBox.Ctl3D

TTextListBox

property Ctl3D;


TRxCustomListBox.WndProc

TRxCustomListBox

procedure WndProc ( var Message: TMessage );


TPicClip.GetIndex

TPicClip

function GetIndex ( Col , Row: Cardinal ): Integer;


TDBStatusLabel.ShowOptions

TDBStatusLabel

Use this property to hide and show the caption and glyph of a TDBStatusLabel component.

property ShowOptions: TDBLabelOptions;


TRxDBLookupCombo.Create

TRxDBLookupCombo

constructor Create ( AOwner: TComponent );


(Untitled)

TRxMemoryData Methods

TRxMemoryData By object Legend

ActiveBuffer

AllocRecordBuffer

Append

AppendRecord

Assign

BCDToCurr

BeforeDestruction

BookmarkValid

Cancel

CheckBrowseMode

ClearCalcFields

ClearFields

Close

CloseBlob

CompareBookmarks

CompareRecords

ControlsDisabled

CopyStructure

Create

CreateBlobStream

CurrToBCD

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableControls

Edit

EmptyTable

EnableControls

ExecuteAction

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

FreeNotification

FreeOnRelease

FreeRecordBuffer

GetBlobData

GetBlobFieldData

GetBookmark

GetBookmarkData

GetBookmarkFlag

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIsIndexField

GetNamePath

GetParentComponent

GetRecNo

GetRecord

GetRecordCount

GetRecordSize

GotoBookmark

HasParent

InitFieldDefsFromFields

InitRecord

Insert

InsertComponent

InsertRecord

InternalAddRecord

InternalClose

InternalDelete

InternalFirst

InternalGotoBookmark

InternalHandleException

InternalInitFieldDefs

InternalInitRecord

InternalLast

InternalOpen

InternalPost

InternalSetToRecord

IsCursorOpen

IsEmpty

IsLinkedTo

IsSequenced

Last

LoadFromDataSet

Locate

Lookup

MoveBy

Next

Open

OpenCursor

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

SafeCallException

SaveToDataSet

SetAutoIncFields

SetBlobData

SetBookmarkData

SetBookmarkFlag

SetFieldData

SetFields

SetFiltered

SetMemoryRecordData

SetOnFilterRecord

SetRecNo

SortOnFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TRxMainMenu.ShowCheckMarks

TRxMainMenu

property ShowCheckMarks: Boolean read FShowCheckMarks write FShowCheckMarks default True;


(Untitled)

TFormPropsDlg Events

TFormPropsDlg By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxTrayIcon.OnClick

TRxTrayIcon

To respond to mouse click events (left or right button) for the icon in Windows System Tray, use an OnClick event.

property OnClick: TMouseEvent;


VCLUtils.ChangeBitmapColor

VCLUtils

The function ChangeBitmapColour changes the colour inside the bitmap to the corresponding NewColor.

property function ChangeBitmapColor(Bitmap: TBitmap; Color, NewColor: TColor): TBitmap;

Description

ChangeBitmapColor example:

var

__Bmp1, Bmp2: TBitmap;

begin

__\\\\\\\...\\\\\\\

__Bmp2 := ChangeBitmapColor(Bmp1, clOlive, clSilver);

__try

____Bmp1.Assign(Bmp2);

__finally

____Bmp2.Free;

__end;

end;


(Untitled)

TBtnControl Methods

TBtnControl Alphabetically Legend

In TBtnControl

Activate

AssignSpeedItem

Create

CreateParams

Destroy

Paint

ReleaseHandle

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TSpeedBar.Sections

TSpeedBar

Sections are sections of speedbar so Speedbuttons can be added in a systematic manner.

property Sections: TList;


TRxGIFAnimator.ShowHint

TRxGIFAnimator

property ShowHint;


TQBEQuery.Params

TQBEQuery

property Params: TParams read FParams write SetParamsList stored False;


TRxDBComboEdit.BiDiMode

TRxDBComboEdit

property BiDiMode;


TRxLookupEdit.Create

TRxLookupEdit

constructor Create ( AOwner: TComponent );


TRxLabel.OnEndDrag

TRxLabel

property OnEndDrag;


VCLUtils.FreeUnusedOLE

VCLUtils

This procedure unloads OLE DLL's in 32-bit Delphi versions.

property procedure FreeUnusedOLE;

Description

You can unload unused OLE DLL's when you don't use OLE libraries in your application. Be sure that your project does not calling any OLE functions and does not using Variant types before calling this procedure!

FreeUnusedOLE example:

program Project1;

uses Forms, VCLUtils, Main in 'MAIN.PAS' \\\\\\\MainForm\\\\\\\;

\\\\\\\$R *.RES\\\\\\\

begin

__FreeUnusedOLE;

__Application.CreateForm(TMainForm, MainForm);

__Application.Run;

end;


TAnimatedCursorImage.LoadFromFile

TAnimatedCursorImage

The LoadFromFile method reads the animated cursor file specified in FileName and

loads the icons into the TAnimatedCursorImage object.

property procedure LoadFromFile(const Filename: string); virtual;


TSpeedbarOption

TSpeedbarOptions is a set of values for the Options property of the TSpeedbar component.

Unit

Speedbar

property TSpeedbarOption = (sbAllowDrag, sbAllowResize, sbFlatBtns, sbGrayedBtns, sbTransparentBtns, sbStretchBitmap);

Description

ValueMeaning

sbAllowDrag

sbAllowResize

sbFlatBtns

sbGrayedBtns

sbTransparentBtns

sbStretchBitmap


(Untitled)

TRxLoginForm Events

TRxLoginForm Alphabetically Legend

In TRxLoginForm

OnFormShow

OnOkClick

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TWinMinMaxInfo Properties

TWinMinMaxInfo By object Legend

MaxPosLeft

MaxPosTop

MaxSizeHeight

MaxSizeWidth

MaxTrackHeight

MaxTrackWidth

MinTrackHeight

MinTrackWidth


TRxLookupControl.LookupDisplay

TRxLookupControl

property LookupDisplay: string read FLookupDisplay write SetLookupDisplay;


(Untitled)

RxGraph Methods

RxGraph Alphabetically Legend

In RxGraph

BitmapToMemory

GetBitmapPixelFormat

GrayscaleBitmap

SaveBitmapToFile

SetBitmapPixelFormat


(Untitled)

Hierarchy

TPropertyEditor


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomComboBox

|

TOwnerDrawComboBox


(Untitled)

TCloneTable Methods

TCloneTable Alphabetically Legend

In TCloneTable

CreateHandle

InitFromTable

Derived from TTable

AddIndex

ApplyRange

BatchMove

CancelRange

CloseIndexFile

Create

CreateTable

DeleteIndex

DeleteTable

Destroy

EditKey

EditRangeEnd

EditRangeStart

EmptyTable

FindKey

FindNearest

GetDetailLinkFields

GetIndexNames

GotoCurrent

GotoKey

GotoNearest

LockTable

OpenIndexFile

RenameTable

SetKey

SetRange

SetRangeEnd

SetRangeStart

UnlockTable

Derived from TDBDataSet

CheckOpen

CloseDatabase

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Locate

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxCheckListBox.OnKeyDown

TRxCheckListBox

property OnKeyDown;


TDBDateEdit.OnMouseDown

TDBDateEdit

property OnMouseDown;


(Untitled)

TRxErrorDialog Properties

TRxErrorDialog Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxCaption Properties

TRxCaption Alphabetically Legend

In TRxCaption

Caption

Font

GlueNext

GradientCaption

InactiveColor

ParentFont

TextWidth

Visible

Derived from TCollectionItem

Collection

DisplayName

ID

Index


TRxClock.Ctl3D

TRxClock

property Ctl3D;


TRxDBRichEdit.OnProtectChange

TRxDBRichEdit

property OnProtectChange;


(Untitled)

TRxDrawGrid Methods

TRxDrawGrid By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanEditAcceptKey

CanEditShow

CanFocus

CellRect

CheckFixedCellButton

ClientToScreen

ColWidthsChanged

ContainsControl

ControlAtPos

Create

CreateEditor

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoFixedCellClick

DragDrop

Dragging

DrawCell

DrawMasked

DrawMultiline

DrawPicture

DrawStr

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditButtonClick

EditChanged

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetEditAlignment

GetEditLimit

GetEditStyle

GetNamePath

GetParentComponent

GetPicklist

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

InvalidateCell

InvalidateCol

InvalidateRow

IsRightToLeft

KeyDown

ManualDock

ManualFloat

MouseCoord

MouseDown

MouseMove

MouseToCell

MouseUp

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

RowHeightsChanged

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetEditText

SetFocus

SetTextBuf

Show

TopLeftChanged

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxCustomListBox.DestroyWnd

TRxCustomListBox

procedure DestroyWnd;


TRxParaAttributes.Create

TRxParaAttributes

constructor Create ( AOwner: TRxCustomRichEdit );


TCustomClipboardViewer.ParentColor

TCustomClipboardViewer

property ParentColor default False;


TCustomDateEdit.AcceptValue

TCustomDateEdit

procedure AcceptValue ( const Value: Variant );


(Untitled)

TDBListDataSet Events

TDBListDataSet By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TDualListDialog.Sorted

TDualListDialog

Property Sorted sorts the list of the dual lists.

property Sorted: Boolean;


(Untitled)

TSelectDataSetForm Properties

TSelectDataSetForm Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TColorComboBox.OnEndDrag

TColorComboBox

property OnEndDrag;


RxQuery.MacroChar

RxQuery

MacroChar determines character which indicates macros in the SQL query text (default value is '%').

property MacroChar: Char read FMacroChar write SetMacroChar default DefaultMacroChar;


TRxDBLookupList.IndexSwitch

TRxDBLookupList

If IndexSwitch property is True (default) and TTable component is linked to the LookupSource, the incrementally search will use available indices of lookup table.

property IndexSwitch: Boolean;


TImageForm.Destroy

TImageForm

destructor Destroy;


TGIFColorTable

Unit

RxGIF

TGIFColorTable packed record

Count:Integer;

Colors:packedarray[Byte]ofTGIFColorItem;

end;


(Untitled)

TAppEvents Methods

TAppEvents By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

MessageHook

PaintIcon

RemoveComponent

RemoveFreeNotification

SafeCallException

SettingsChanged

UpdateAction


TBookmarkList.Refresh

TBookmarkList

The Refresh method returns a boolean value to notify whether any orphans were dropped (deleted) during the time the record has been selected in the grid.

function Refresh: Boolean;

Description

The Refresh method can be used to update the selected list to minimize the possibility of accessing a deleted record.


TRxSpinEdit.UpClick

TRxSpinEdit

procedure UpClick ( Sender: TObject );


TMinMaxProperty.Edit

TMinMaxProperty

procedure Edit;


TRxBdeErrorDlg

Hierarchy Properties Methods Events

The class TRxBdeErrorDlg replaces the normal message box for EDBEngineError exceptions raised at runtime.

Unit

DbExcpt

Description

The standard message box displayed by an unhandled exception shows only the exception's name and description. EDBEngineError exceptions, however, contain additional information that can be useful to application developers. For this reason, exceptions of the EDBEngineError class, appear in a special dialog box called TRxBdeErrorDlg. The dialog shows the entire stack of BDE errors as represented in the EDBEngineError object.

You can use the DbErrorIntercept procedure to display TRxBdeErrorDlg instead standard message box. This can be useful for debugging or in cases where you want the end user to have access to BDE error information.

You can also specify handler of OnErrorMsg event to change text of error message displayed by TRxBdeErrorDlg, and help context for error dialog by using DbErrorHelpCtx variable.


TSpeedBar.OnPosChanged

TSpeedBar

OnPosChange event is triggered when the position of the speedbar has changed.

property OnPosChanged: TNotifyEvent;


TDBLocate.ExecuteQuery

TDBLocate

Executes the SQL statement QueryText in the database specified by DbName parameter.

property procedure ExecuteQuery(const DbName, QueryText: string);

Description

ExecuteQuery example:

ExecuteQuery('DBDEMOS', 'DELETE FROM CUSTOMER WHERE CustNo = 2135');


TRxButtonGlyph.Alignment

TRxButtonGlyph

property Alignment: TAlignment read FAlignment write FAlignment;


TRxCheckListBox.CheckKind

TRxCheckListBox

The property CheckKind determines the kind of check-marks found in the TRxCheckListBox component.

property CheckKind: TCheckKind;


TRxCustomLogin.Lock

TRxCustomLogin

procedure Lock;


TDirectoryEdit.OnKeyPress

TDirectoryEdit

property OnKeyPress;


(Untitled)

TComboEdit Properties

TComboEdit Alphabetically Legend

In TComboEdit

Alignment

Anchors

AutoSelect

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CharCase

ClickKey

Color

Constraints

Ctl3D

DirectInput

DragCursor

DragKind

DragMode

EditMask

Enabled

Font

Glyph

GlyphKind

HideSelection

ImeMode

ImeName

MaxLength

NumGlyphs

OEMConvert

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Visible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCustomListBox.Columns

TRxCustomListBox

property Columns: Integer read FColumns write SetColumns default 0


TSpeedBar.OnEndDrag

TSpeedBar

property OnEndDrag;


TRxCustomLogin.CreateLoginForm

TRxCustomLogin

function CreateLoginForm ( UnlockMode: Boolean ): TRxLoginForm;


(Untitled)

TRxLookupEdit Methods

TRxLookupEdit Alphabetically Legend

In TRxLookupEdit

AcceptPopup

Change

Create

Destroy

GetPopupValue

HidePopup

KeyDown

KeyPress

PopupChange

PopupDropDown

SetPopupValue

ShowPopup

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TGraphicControl

|

TRxSpeedButton


TRxDBComboBox.Color

TRxDBComboBox

property Color;


TRxCustomRichEdit.SelectionType

TRxCustomRichEdit

property SelectionType: TRichSelectionType read GetSelectionType;


TDBDateEdit.CalendarHints

TDBDateEdit

property CalendarHints;


TCurrencyEdit.OnMouseUp

TCurrencyEdit

property OnMouseUp;


(Untitled)

TRxBdeErrorDlg Events

TRxBdeErrorDlg Alphabetically Legend

In TRxBdeErrorDlg

OnErrorMsg

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TResourceEntry.GetData

TResourceEntry

procedure GetData ( ResFile: TIResourceFile; Stream: TStream );


TDBLocate.DataSetPositionStr

TDBLocate

Retrieves string with current record number and full records count in DataSet in following format:

<record_no> : <record_count>.

property function DataSetPositionStr(DataSet: TDataSet): string;

Description

This function is supported for Paradox and DBase drivers only.

DataSetPositionStr example:

procedure TMDIChild.DataSource1DataChange(Sender: TObject; Field: TField);

begin

__Panel1.Caption := DataSetPositionStr(DataSource1.DataSet);

end;


TDBIndexCombo.OnEndDock

TDBIndexCombo

property OnEndDock;


TSpeedItem.BtnCaption

TSpeedItem

property BtnCaption: TCaption read GetBtnCaption write SetBtnCaption;


TRxCheckListBox.CheckedIndex

TRxCheckListBox

The value of the CheckedIndex property is the ordinal number (starts from 0 as the first item) of the checked item in the TRxCheckListBox when the CheckKind property is ckRadioButtons.

property CheckedIndex: Integer;

Description

If no item is checked or (CheckKind = ckCheckBoxes) the value of CheckedIndex is -1.


TRxDBLookupList.DragKind

TRxDBLookupList

property DragKind;


TRxDrawGrid.DrawPicture

TRxDrawGrid

procedure DrawPicture(ARect: TRect; Graphic: TGraphic);

This method draws a picture in the selected region.

property


TDBLocate.CheckOpen

TDBLocate

Checks the result of a call to the Borland Database Engine (BDE).

property function CheckOpen(Status: DBIResult): Boolean;

Description

Call CheckOpen to determine if a call to the BDE returns an error when an attempt is made to access a

table. Status is the return result of a previous call to the BDE. CheckOpen returns True

if there is access is successful. If Status indicates insufficient table rights when

accessing a Paradox table, CheckOpen calls the database session’s GetPassword

method to prompt the user for a password. If the dialog is successful, CheckOpen

returns True. Otherwise CheckOpen returns False, indicating that dataset access failed.

> CheckOpen example:

function TFieldList.CreateHandle: HDBICur;

var

__STableName: PChar;

begin

__STableName := StrAlloc(Length(FTableName) + 1);

__try

____while not CheckOpen(DbiOpenFieldList(DBHandle, AnsiToNative(DBLocale,

______FTableName, STableName, Length(FTableName)), nil, False, Result)) do

____\\\\\\\Retry\\\\\\\;

__finally

____StrDispose(STableName);

__end;

end;


TDirectoryEdit.OnDragOver

TDirectoryEdit

property OnDragOver;


TRxRichEdit.AutoVerbMenu

TRxRichEdit

property AutoVerbMenu;


TFontComboBox.Enabled

TFontComboBox

property Enabled;


TRxDrawGrid.OnGetEditAlign

TRxDrawGrid

OnGetEditAlign occurs when the in-place editor requests an edit alignment. Write an

OnGetEditAlign event handler to provide the in-place editor with an alignment that

describes the way the text is formatted by the in-place editor. Set the Alignment

parameter to the value that describes the edit alignment for the cell specified by the

ACol and ARow parameters. OnGetEditAlign does not occur unless the Options

property includes goEditing.

property OnGetEditAlign: TEditAlignEvent;


(Untitled)

TPageProxy Events

TPageProxy By object Legend

OnEnter

OnHide

OnLeave

OnShow


(Untitled)

TRxTimer Methods

TRxTimer By object Legend

Assign

BeforeDestruction

Create

Destroy

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Synchronize

Timer

UpdateAction


(Untitled)

TPageHistory Methods

TPageHistory By object Legend

Add

AddPageIndex

Clear

Create

Delete

DeleteHistoryItem

Destroy

Exchange

Expand

Extract

First

IndexOf

Insert

Last

Move

Pack

Remove

ResetHistory

Sort


TFormPlacement.WriteString

TFormPlacement

procedure WriteString ( const Ident , Value: string );


(Untitled)

TDatabaseItems Properties

TDatabaseItems Alphabetically Legend

In TDatabaseItems

ExtendedInfo

FileMask

ItemType

SystemItems

Derived from TCustomDatabaseItems

ItemName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TTextListBox

Hierarchy Properties Methods Events

TTextListBox is a TListBox descendant (for text items only, not owner-drawn types) with an automatic horizontal scrollbar if necessary. It supports tabs.

Unit

RXCtrls


TRxCustomRichEdit.GetSelection

TRxCustomRichEdit

function GetSelection: TCharRange;


TSplashWindow.MessageText

TSplashWindow

property MessageText: string read GetMessageText write SetMessageText;


DateUtil.DaysInPeriod

DateUtil

Count days between Date1 and Date2 + 1, so if Date1 = Date2 result = 1.

property function DaysInPeriod(Date1, Date2: TDateTime): Longint;

Description

DaysInPeriod example:

Days := DaysInPeriod(Date1, Date2);


TRxSwitch.OnEnter

TRxSwitch

property OnEnter;


TRxDBRichEdit.HideSelection

TRxDBRichEdit

property HideSelection;


TCustomComboEdit.GetReadOnly

TCustomComboEdit

function GetReadOnly: Boolean;


TRxGradientCaption.Clear

TRxGradientCaption

procedure Clear;


TRxMemoryData.AllocRecordBuffer

TRxMemoryData

function AllocRecordBuffer: PChar;


TAddInNotifier.Create

TAddInNotifier

constructor Create ( AProjectResources: TRxProjectResExpert );


(Untitled)

TIconListDialog Events

TIconListDialog Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TGIFImage.GetHeight

TGIFImage

function GetHeight: Integer;


TRxProjectResExpert.Destroy

TRxProjectResExpert

destructor Destroy;


TRxDBGrid.DefaultDrawing

TRxDBGrid

property DefaultDrawing: Boolean read FDefaultDrawing write FDefaultDrawing default True;


TRxDBComboEdit.Glyph

TRxDBComboEdit

property Glyph;


TRxSwitch

Hierarchy Properties Methods Events

RX Switch is a custom control representing a switch. This defines the switch 'ON' and 'OFF' as shown below.

Unit

RXSwitch

Description

TRxSwitch is a simple component that displays two bitmaps, depending on whether the state is "On" or "Off". The component's StateOn property determines which of the two states is displayed, and its GlyphOn and GlyphOff properties determine bitmaps are used.


TConverter.Mask

TConverter

The Mask (read-only) property specifies the date-and-time output format. The value of this property corresponds to the values of other properties of TDateTimeFormat object.

property Mask: string;


TDBDateEdit.DataSource

TDBDateEdit

property DataSource: TDataSource read GetDataSource write SetDataSource;


(Untitled)

TSpeedbarEditor Properties

TSpeedbarEditor Alphabetically Legend

In TSpeedbarEditor

OwnerForm

SpeedBar


AppUtils.RestoreFormPlacement

AppUtils

RestoreFormPlacement retrieves state (normal, minimize, maximize) and placement (size and position) of Delphi form Form from an INI file specified by IniFileName parameter (or from the Windows95/NT system registry in 32-bit Delphi versions).

procedure RestoreFormPlacement(Form: TForm; const IniFileName: string; UseRegistry: Boolean);

Description

To store form's placement to an INI file or system registry use SaveFormPlacement procedure.

RestoreFormPlacement example:

RestoreFormPlacement(MyForm, GetDefaultIniName);


TRxDBComboBox.ItemHeight

TRxDBComboBox

property ItemHeight;


TQueryParamsDialog

Hierarchy Properties Methods Events

Unit

QBndDlg


TRxParaAttributes.Assign

TRxParaAttributes

procedure Assign ( Source: TPersistent );


(Untitled)

TRxLookupControl Events

TRxLookupControl By object Legend

OnChange

OnGetImage


TComboEdit.OnMouseDown

TComboEdit

property OnMouseDown;


TRxCustomListBox.SetItemData

TRxCustomListBox

procedure SetItemData ( Index: Integer; AData: LongInt );


TRxDBGrid.ColWidthsChanged

TRxDBGrid

procedure ColWidthsChanged;


(Untitled)

TStrHolder Events

TStrHolder By object Legend

OnChange

OnChanging


TRxLabel.DragCursor

TRxLabel

property DragCursor;


TQBEQuery.UnPrepare

TQBEQuery

procedure UnPrepare;


TDBDateEdit.OnDblClick

TDBDateEdit

property OnDblClick;


TRxSpinButton.Create

TRxSpinButton

constructor Create ( AOwner: TComponent );


TDateEdit.Ctl3D

TDateEdit

property Ctl3D;


TDBDateEdit.TabStop

TDBDateEdit

property TabStop;


TGIFImage.Grayscale

TGIFImage

procedure Grayscale ( ForceEncoding: Boolean );


TRxSpinEdit.ParentShowHint

TRxSpinEdit

property ParentShowHint;


TRxTextAttributes.SubscriptStyle

TRxTextAttributes

property SubscriptStyle: TSubscriptStyle read GetSubscriptStyle write SetSubscriptStyle;


TLocateObject.CheckFieldType

TLocateObject

procedure CheckFieldType ( Field: TField );


(Untitled)

TRecentStrings Properties

TRecentStrings By object Legend

Capacity

CommaText

Count

Duplicates

MaxSize

Mode

Names

Objects

Sorted

Strings

StringsAdapter

Text

Values


TRxSpinEdit.OnDblClick

TRxSpinEdit

property OnDblClick;


TPropInfoList.Count

TPropInfoList

property Count: Integer read FCount;


TOnPercentChange

The TOnPercentChange type points to the method that handles the OnPercentChange event of the TDBProgress component. The PercentDone parameter contains the last progress percentage passed back from the database engine.

Unit

DbPrgrss

property TOnPercentChange = procedure(Sender: TObject; PercentDone: Integer) of object;


TRxMemoryData.CreateBlobStream

TRxMemoryData

function CreateBlobStream ( Field: TField; Mode: TBlobStreamMode ): TStream;


TRxDBGrid.ClearSelection

TRxDBGrid

property ClearSelection: Boolean read FClearSelection write FClearSelection default True;


(Untitled)

Hierarchy

TObject

|

TStream


TVersionInfo.FileName

TVersionInfo

This contains the string specifying the FileName property where to search for Version Resource information. When the filename changes, the class looks for new version information and updates the class properties.

property FileName: string;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMemo

|

TRxCustomRichEdit


TDBProgress.Notification

TDBProgress

procedure Notification ( AComponent: TComponent; AOperation: TOperation );


TCustomDatabaseItems.CreateHandle

TCustomDatabaseItems

function CreateHandle: HDBICur;


TRxDBCalcEdit.DirectInput

TRxDBCalcEdit

property DirectInput;


VCLUtils.AnsiUpperFirstChar

VCLUtils

This returns the string, processed with the first letter in uppercase, all other letters in lowercase, using ANSI character set.

property function AnsiUpperFirstChar(const S: string): string;

Description

AnsiUpperFirstChar example:

ClientName := AnsiUpperFirstChar(ClientName);


TComObjectFactory.QueryInterface

TComObjectFactory

function QueryInterface ( const IID: TGUID; out Obj ): HResult;


(Untitled)

TMemBlobStream Methods

TMemBlobStream Alphabetically Legend

In TMemBlobStream

Create

Destroy

Read

Seek

Truncate

Write

Derived from TStream

CopyFrom

FixupResourceHeader

ReadBuffer

ReadComponent

ReadComponentRes

ReadResHeader

WriteBuffer

WriteComponent

WriteComponentRes

WriteDescendent

WriteDescendentRes

WriteResourceHeader


(Untitled)

TComObjectFactory Methods

TComObjectFactory By object Legend

_AddRef

_Release

Create

CreateComObject

CreateInstance

CreateInstanceLic

Destroy

GetLicenseString

GetLicInfo

GetProgID

HasMachineLicense

LockServer

QueryInterface

RegisterClassObject

RequestLicKey

UpdateRegistry

ValidateUserLicense


TTimerItemsEditor

Hierarchy Properties Methods

Unit

TimLstEd


(Untitled)

TColorComboBox Events

TColorComboBox Alphabetically Legend

In TColorComboBox

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnStartDock

OnStartDrag

Derived from TCustomComboBox

Derived from TWinControl

Derived from TControl


TRxDBCalcEdit.ReadOnly

TRxDBCalcEdit

property ReadOnly: Boolean read GetReadOnly write SetReadOnly default False;


TRxHintWindow.CalcHintRect

TRxHintWindow

function CalcHintRect ( MaxWidth: Integer; const AHint: string; AData: Pointer ): TRect;


TResourceEntry.Rename

TResourceEntry

function Rename ( ResFile: TIResourceFile; const NewName: string ): Boolean;


TRxGIFAnimator.Create

TRxGIFAnimator

constructor Create ( AOwner: TComponent );


TCurrencyEdit.ShowHint

TCurrencyEdit

property ShowHint;


TDBIndexCombo.Enabled

TDBIndexCombo

property Enabled;


TRxCheckListBox.RestoreStatesReg

TRxCheckListBox

procedure RestoreStatesReg ( IniFile: TRegIniFile );


TDateTimeFormat.TimeMask

TDateTimeFormat

property TimeMask: string read GetTimeMask;


TRxSpinButton

Hierarchy Properties Methods Events

A spin edit control without the edit box.

Unit

RXSpin

Description

Use the TRxSpinButton to add an up-down control to a form, which consist of a pair of

arrow buttons, such as the arrows that appear in a spin box. Spin buttons allow users,

for example, to change the size of a numerical value by clicking on arrow buttons.


TDBIndexCombo.Constraints

TDBIndexCombo

property Constraints;


(Untitled)

TRxTrayIcon Properties

TRxTrayIcon Alphabetically Legend

In TRxTrayIcon

Active

Animated

Enabled

Handle

Hint

Icon

Icons

Interval

PopupMenu

ShowDesign

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRichEdit.SelectionBar

TRxRichEdit

property SelectionBar;


TRxCalcEdit.ParentShowHint

TRxCalcEdit

property ParentShowHint;


StrUtils.ExtractSubstr

StrUtils

ExtractSubstr given a set of word delimiters, return the substring from S, that started from position Pos.

property function ExtractSubstr(const S: string; var Pos: Integer; const Delims: TCharSet): string;

Description

ExtractSubstr example:

var

__Pos: Integer; List: TStringList; S: string;

begin

__\\\\\\\ ... \\\\\\\

__Pos := 1;

__while Pos <= Length(S) do

____List.Add(ExtractFieldName(S, Pos, [',',';']));

__\\\\\\\ ... \\\\\\\

end;


TSecretPanel.OnEnter

TSecretPanel

property OnEnter;


TStrHolder.OnChange

TStrHolder

Event OnChange is triggered when there is/are any changes to the list.

property OnChange: TNotifyEvent read FOnChange write FOnChange;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit


TDateTimeFormat.AMString

TDateTimeFormat

property AMString: string read GetAMString write SetAMString;


TMemoryTable.GetFieldData

TMemoryTable

function GetFieldData ( Field: TField; Buffer: Pointer ): Boolean;


TRxDBCalcEdit.GlyphKind

TRxDBCalcEdit

property GlyphKind;


TRxDBRichEdit.WantReturns

TRxDBRichEdit

property WantReturns;


TQBEQuery

Hierarchy Properties Methods Events

The non-visual TQBEQuery component allows you to specify Paradox-style Query-By-Example query statements that are used to supply data to one or more of the other visual interface components placed on your form.

Unit

DBQBE

Description

Multiple table queries and special queries such as Insert, Delete and ChangeTo queries are also supported. Since TQBEQuery component is inherited from Delphi’s TDBDataSet component, the Delphi Fields editor is still available within this component.

If you want the normal auxiliary QBE tables written to your hard drive, set the AuxiliaryTables property to True. When defining QBE statements, it’s a very good idea to create, fully test and then save your query via the Database Desktop or the native

application (Paradox or dBASE for Windows). Then, click the Load button of the QBE string editor to load this saved query file into the editor. These environments make it much easier to create, test and validate the results of a QBE than the services provided in Delphi. If you know more about SQL than Paradox-style QBE, or if your tables are from an SQL database, you might want to consider using the TQuery or TRxQuery component instead.

Using class TQBEQuery

If you receive the error message "Error creating cursor handle" when executing your QBE, it means that your query was unable to be executed. Likely causes are incorrect syntax in your QBE specification, unopened aliases, or missing tables.


(Untitled)

TDatabaseDesc Methods

TDatabaseDesc By object Legend

Create


TRxRichEdit.Visible

TRxRichEdit

property Visible;


(Untitled)

TRxResourceEditor Properties

TRxResourceEditor By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TRxSpeedButton.Destroy

TRxSpeedButton

destructor Destroy;


TRxCalcEdit.FormatOnEditing

TRxCalcEdit

property FormatOnEditing;


TRxDBLookupCombo.Text

TRxDBLookupCombo

property Text: string read GetText;


TRxDBComboBox.OnStartDock

TRxDBComboBox

property OnStartDock;


TRxCalcEdit.TabStop

TRxCalcEdit

property TabStop;


TCustomDBComboBox.DataSource

TCustomDBComboBox

property DataSource: TDataSource read GetDataSource write SetDataSource;


ClipIcon

Methods

This is the registered custom clipboard format for Windows icon graphic.

Unit

ClipIcon

Const WaitCursor

property CF_ICON: Word = 0;

Description

This constant can be used to find out if a icon format is available on the Clipboard with the HasFormat method.


TFilenameEdit.OnDragOver

TFilenameEdit

property OnDragOver;


(Untitled)

TCustomComboEdit Methods

TCustomComboEdit By object Legend

AcceptPopup

AcceptValue

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

ButtonClick

CanFocus

Change

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParams

CreateParented

CreateWnd

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DoChange

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EditCanModify

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDefaultBitmap

GetNamePath

GetParentComponent

GetPopupValue

GetReadOnly

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

HidePopup

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

ManualDock

ManualFloat

MouseDown

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

PopupChange

PopupCloseUp

PopupDropDown

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetPopupValue

SetSelTextBuf

SetTextBuf

Show

ShowPopup

Undo

Update

UpdateAction

UpdateControlState

UpdatePopupVisible

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


(Untitled)

TFilenameEdit Methods

TFilenameEdit Alphabetically Legend

In TFilenameEdit

ButtonClick

ClearFileList

Create

GetLongName

GetShortName

ReceptFileDir

Derived from TFileDirEdit

Derived from TCustomComboEdit

Destroy

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTimersItemListProperty

Hierarchy

Unit

TimLstEd


TFormPlacement.Loaded

TFormPlacement

procedure Loaded;


TDBSecurity.DoCheckUser

TDBSecurity

function DoCheckUser ( UsersTable: TTable; const UserName , Password: string ): Boolean;


TDBStatusLabel.DragCursor

TDBStatusLabel

property DragCursor;


TRxCheckListBox.Anchors

TRxCheckListBox

property Anchors;


TRxLookupEdit.OnChange

TRxLookupEdit

property OnChange;


TLocateObject.LookupField

TLocateObject

property LookupField: TField read FLookupField;


TRxLabel.ParentBiDiMode

TRxLabel

property ParentBiDiMode;


TStrHolder.KeyString

TStrHolder

This is the string that is used to encode the contents of tStrHolder.

property KeyString: string;

Description

When this is empty, there is no encryption done. When this has a value, the string is used to encode the contents of the tStrHolder.

Note: The contents will then be stored in the DFM (Delphi Form) file as an encrypt data using a simple XOR-alghoritm with KeyString as the key to decode.

Duplicates : dupIgnore, dupAccept, dupError

dupIgnore = Ignore (or delete) duplicates

dupAccept = Accept duplicates

dupError = Trigger an exception.


TRxSpinEdit.Font

TRxSpinEdit

property Font;


TPlacementOption

The TPlacementOption type defines the possible values for the Options property of the TFormPlacement or TFormStorage components.

Unit

Placemnt

property TPlacementOption = (fpState, fpPosition, fpActiveControl);

Description

ValueMeaning

fpState

fpPosition

fpActiveControl


(Untitled)

TMemoryTable Events

TMemoryTable By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxCheckListBox.OnClickCheck

TRxCheckListBox

The trigger OnClickCheck occurs when the user selects or de-selects an item’s check

box.

Write an OnClickCheck event handler to implement any special processing that should

occur when the user checks or unchecks an item.

property OnClickCheck: TNotifyEvent;


TSecretPanel.Stop

TSecretPanel

procedure Stop;


AppUtils.ShowDialog

AppUtils

ShowDialog creates Delphi form of the type specified by the FormClass parameter and shows new form as a modal form by using ShowModal method.

property function ShowDialog(FormClass: TFormClass): Boolean;

Description

When the modal form is closed, ShowDialog destroys the form by using Free method.

ShowDialog returns True if the ModalResult property of the form is mrOk or mrYes,

another ShowDialog returns False.

ShowDialog example:

var

__Ok: Boolean;

begin

__Ok := ShowDialog(TAboutDlg);

end;


TTextListBox.OnEndDrag

TTextListBox

property OnEndDrag;


TDirnameProperty.Edit

TDirnameProperty

procedure Edit;


TSpeedItem.Glyph

TSpeedItem

property Glyph: TBitmap read GetGlyph write SetGlyph;


(Untitled)

BoxProcs Methods

BoxProcs By object Legend

BoxDragOver

BoxMoveAllItems

BoxMoveFocusedItem

BoxMoveSelectedItems


TAppEvents.HintColor

TAppEvents

HintColour determines the colour of the hint.

property HintColor: TColor read GetHintColor write SetHintColor default DefHintColor;


TCurrencyEdit.Visible

TCurrencyEdit

property Visible;


TIconList.BeginUpdate

TIconList

procedure BeginUpdate;


TRxCustomRichEdit.OnProtectChangeEx

TRxCustomRichEdit

property OnProtectChangeEx: TRichEditProtectChangeEx read FOnProtectChangeEx write FOnProtectChangeEx;


DateUtil.IncYear

DateUtil

IncYear changes the date ADate by Delta number of years.

property function IncYear(ADate: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncYear example:

var D1, D2: TDateTime;

S: string;

begin

__ShortDateFormat := 'dd.mm.yy';

__D1 := StrToDate('30.12.1991');

__D2 := IncYear(D1, -34);

__S := DateToStr(D2);

end;


TSpeedbarSection.ReadState

TSpeedbarSection

procedure ReadState ( Reader: TReader );


TComboEdit.MaxLength

TComboEdit

property MaxLength;


TDateEdit.ParentCtl3D

TDateEdit

property ParentCtl3D;


TTimersCollectionEditor

Hierarchy

Unit

TimLstEd


TRxQuery.Destroy

TRxQuery

destructor Destroy;


TRxProjectResExpert.DeleteEntry

TRxProjectResExpert

function DeleteEntry ( ResFile: TIResourceFile; Entry: TResourceEntry ): Boolean;


TRxCustomRichEdit.StreamFormat

TRxCustomRichEdit

property StreamFormat: TRichStreamFormat read GetStreamFormat write SetStreamFormat default sfDefault;


(Untitled)

TRxSplitter Events

TRxSplitter By object Legend

OnClick

OnDblClick

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp

OnPosChanged

OnPosChanging

OnResize


(Untitled)

TComboEdit Events

TComboEdit Alphabetically Legend

In TComboEdit

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


TComClassManager.GetFactoryFromClassID

TComClassManager

function GetFactoryFromClassID ( const ClassID: TGUID ): TComObjectFactory;


TRxCustomRichEdit.UndoName

TRxCustomRichEdit

property UndoName: TUndoName read GetUndoName;


TFontComboBox.OnEndDrag

TFontComboBox

property OnEndDrag;


TVersionInfo.VersionLanguage

TVersionInfo

Specifies one of the language identifiers.

property VersionLanguage: TVersionLanguage;


TRxDBComboBox.Anchors

TRxDBComboBox

property Anchors;


TRxIniFile.Flush

TRxIniFile

Flush all data to disk to make sure that disk file is up to date.

procedure Flush;


TCurrencyEdit.OnKeyDown

TCurrencyEdit

property OnKeyDown;


(Untitled)

TFormStorage Methods

TFormStorage By object Legend

Assign

BeforeDestruction

Create

DefaultMinMaxInfo

Destroy

DestroyComponents

Destroying

EraseSections

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

Loaded

Notification

ReadInteger

ReadString

RemoveComponent

RemoveFreeNotification

RestoreFormPlacement

RestorePlacement

RestoreProperties

SafeCallException

SaveFormPlacement

SavePlacement

SaveProperties

SetNotification

UpdateAction

WriteInteger

WriteState

WriteString


TDBIndexCombo.NoIndexItem

TDBIndexCombo

NoIndexItem property specifies the text string for additional item which can be selected by end-user to defeat using any indexes (i.e. assign empty value to IndexName and IndexFieldNames properties of attached table).

property NoIndexItem: string;

Description

This additional item used by TDBIndexCombo control only if EnableNoIndex property is True.


TRxSlider.Color

TRxSlider

property Color;


(Untitled)

ClipIcon Methods

ClipIcon By object Legend

AssignClipboardIcon

CopyIconToClipboard

CreateIconFromClipboard

CreateRealSizeIcon

DrawRealSizeIcon

GetIconSize


TIconFrame.Assign

TIconFrame

procedure Assign ( Source: TPersistent );


TAggregatedObject.Controller

TAggregatedObject

property Controller: IUnknown read GetController;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl


(Untitled)

TRxPopupMenu Methods

TRxPopupMenu Alphabetically Legend

In TRxPopupMenu

Create

DefaultDrawItem

DefaultDrawMargin

Destroy

DrawItem

DrawMargin

GetImageIndex

GetItemParams

IsOwnerDrawMenu

Loaded

MeasureItem

Notification

Popup

Refresh

RefreshMenu

UseRightToLeftAlignment

Derived from TPopupMenu

Derived from TMenu

DispatchCommand

DispatchPopup

FindItem

GetHelpContext

IsRightToLeft

IsShortCut

ParentBiDiModeChanged

ProcessMenuChar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TTextListBox.Color

TTextListBox

property Color;


TRxDBComboBox.CurrentRow

TRxDBComboBox

function CurrentRow: TBookmark;


TRxCustomRichEdit.CanFindNext

TRxCustomRichEdit

property CanFindNext: Boolean read GetCanFindNext;


TDBDateEdit.AcceptValue

TDBDateEdit

procedure AcceptValue ( const Value: Variant );


(Untitled)

TRxSpeedButton Methods

TRxSpeedButton By object Legend

ActionChange

Assign

BeforeDestruction

BeginDrag

BringToFront

ButtonClick

CheckBtnMenuDropDown

Click

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDropDownMenuPos

GetNamePath

GetPalette

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

MouseDown

MouseEnter

MouseLeave

MouseMove

MouseUp

Notification

Paint

PaintGlyph

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UpdateAction

UpdateTracking

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TDBStatusLabel.OnGetRecNo

TDBStatusLabel

property OnGetRecNo: TDataValueEvent read FOnGetRecNo write FOnGetRecNo;


TFilenameEdit.TabOrder

TFilenameEdit

property TabOrder;


(Untitled)

TClipboardMonitor Methods

TClipboardMonitor Alphabetically Legend

In TClipboardMonitor

Change

Create

Destroy

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxLookupEdit.Color

TRxLookupEdit

property Color;


(Untitled)

TRxLabel Events

TRxLabel By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


THugeList.Destroy

THugeList

destructor Destroy;


TImageForm.SelectDatabase

TImageForm

property SelectDatabase: Boolean read FSelectDatabase;


TRxCustomRichEdit.Lines

TRxCustomRichEdit

property Lines: TStrings read FRichEditStrings write SetRichEditStrings;


TRxSpinEdit.OnMouseWheelDown

TRxSpinEdit

property OnMouseWheelDown;


TSpeedBar.BtnWidth

TSpeedBar

BtnWidth represents the width, in pixels, of the buttons in the TSpeedBar. During

upgrading your application, don't remember to increase value of Version property if the

BtnHeight or BtnWidth property has been changed.

property BtnWidth: Integer;


TProjectNotifier.ComponentRenamed

TProjectNotifier

procedure ComponentRenamed ( ComponentHandle: Pointer; const OldName , NewName: string );


TRxDBLookupList.ListLinkActiveChanged

TRxDBLookupList

procedure ListLinkActiveChanged;


TConverter.AsFloat

TConverter

Run-time only. This is a conversion property. AsFloat can be used to read or set the value stored in the TConverter component as a Double.

property AsFloat: Double;


TRxDBGrid.Create

TRxDBGrid

constructor Create ( AOwner: TComponent );


TRxDBGrid.OnGetBtnParams

TRxDBGrid

This event which executes just prior to painting each title cell (when TitleButtons is True), allows you to change both the font and background colors of each title button.

property OnGetBtnParams: TGetBtnParamsEvent read FOnGetBtnParams write FOnGetBtnParams;


TProxyEditor.GetEditState

TProxyEditor

function GetEditState: TEditState;


TQBEQuery.ParamCount

TQBEQuery

property ParamCount: Word read GetParamsCount;


TRxDBComboBox.ParentCtl3D

TRxDBComboBox

property ParentCtl3D;


TGraphicPropertyEditor.GetValue

TGraphicPropertyEditor

function GetValue: string;


TDateEdit.OnStartDrag

TDateEdit

property OnStartDrag;


TAnimatedImage.Visible

TAnimatedImage

property Visible;


TRxTimerList.Deactivate

TRxTimerList

Activate and Deactivate methods controls whether the timer's responds to timer events.

property procedure Deactivate;

Description

Call Deactivate to set the Active property for the timer list to False.


TRxDBLookupList.ParentCtl3D

TRxDBLookupList

property ParentCtl3D;


(Untitled)

TGradCaptionsEditor Events

TGradCaptionsEditor By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TResourceEntry.Destroy

TResourceEntry

destructor Destroy;


TConverter.AsDateTime

TConverter

Run-time only. This is a conversion property. AsDateTime can be used to read or set the value stored in the TConverter component as a date-and-time value.

property AsDateTime: TDateTime;


TRxRemoteLogin.OnIconDblClick

TRxRemoteLogin

property OnIconDblClick;


TCustomNumEdit.GetDefaultBitmap

TCustomNumEdit

function GetDefaultBitmap ( var DestroyNeeded: Boolean ): TBitmap;


TRxSwitch.GlyphOff

TRxSwitch

Set the state of the glyph off. This is the bitmap that your application would load when the state of the switch is off.

GlyphOff : tBitMap


(Untitled)

TSecretPanel Properties

TSecretPanel By object Legend

Action

Active

Align

Alignment

Anchors

AsyncDrawing

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BorderWidth

BoundsRect

Brush

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

Cycled

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

Font

Glyph

GlyphLayout

Handle

Height

HelpContext

Hint

HostDockSite

Interval

Left

Lines

LRDockWidth

Name

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ScrollDirection

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TextStyle

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TMRUManager.Destroy

TMRUManager

destructor Destroy;


TComObjectFactory.Description

TComObjectFactory

property Description: string read FDescription;


(Untitled)

Hierarchy

TObject

|

TConversion


(Untitled)

TDirectoryEdit Methods

TDirectoryEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

ButtonClick

CanFocus

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetLongName

GetNamePath

GetParentComponent

GetSelTextBuf

GetShortName

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

ReceptFileDir

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TRxClock.BevelWidth

TRxClock

property BevelWidth;


TTextListBox.ItemHeight

TTextListBox

property ItemHeight;


TPopupWindow

Hierarchy Properties Methods Events

Unit

ToolEdit


(Untitled)

TMinMaxProperty Methods

TMinMaxProperty By object Legend

Edit

GetAttributes

GetValue


TRxIniFile.WritePoint

TRxIniFile

WritePoint writes the value of TPoint to a section and Ident of the specified IniFile.

procedure WritePoint(const Section, Ident: string; const Value: TPoint);


(Untitled)

TLangDrivList Properties

TLangDrivList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TRxDBLookupCombo.Ctl3D

TRxDBLookupCombo

property Ctl3D;


TAutoIntfObject.SafeCallException

TAutoIntfObject

function SafeCallException ( ExceptObject: TObject; ExceptAddr: Pointer ): HResult;


TRxSpeedButton.OnDragOver

TRxSpeedButton

property OnDragOver;


(Untitled)

TAutoObject Properties

TAutoObject By object Legend

AutoFactory

Controller

EventSink

Factory

RefCount

ServerExceptionHandler


TColorComboBox.TabOrder

TColorComboBox

property TabOrder;


TCurrencyEdit.FormatOnEditing

TCurrencyEdit

property FormatOnEditing;


FileUtil.ShortToLongFileName

FileUtil

Use this procedure to obtain the long version of the file name specified by ShortName parameter.

function ShortToLongFileName(const ShortName: string): string;

Description

ShortToLongFileName example:

FileName := ShortToLongFileName(FileName);


(Untitled)

TRxLabel Events

TRxLabel Alphabetically Legend

In TRxLabel

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TControl


(Untitled)

TSplashWindow Events

TSplashWindow By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TConverter.GetAsDateTime

TConverter

function GetAsDateTime: TDateTime;


TComboEdit

Hierarchy Properties Methods Events

The TComboEdit component combines an Edit field with a tButton.

Unit

ToolEdit

Description

The button is automatically aligned to the right side of the edit field and triggers an event when clicked (OnButtonClick).

The TComboEdit component is often used as a replacement as it can invoke a dialog box used to provide lookup values.

To change the button's glyph and appearance, use the GlyphKind, Glyph, NumGlyphs, ButtonWidth and ButtonHint properties.


TOleController.GetActiveObject

TOleController

procedure GetActiveObject ( const ClassName: string );


(Untitled)

TRxSpinButton Properties

TRxSpinButton By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlState

ControlStyle

Cursor

DesignInfo

DockOrientation

Down

DownGlyph

DragCursor

DragKind

DragMode

Enabled

Floating

FloatingDockSiteClass

FocusControl

Height

Hint

HostDockSite

Left

LRDockWidth

Name

Owner

Parent

ParentShowHint

ShowHint

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

UpGlyph

VCLComObject

Visible

Width

WindowProc


TSbScaleFlags

Unit

SpeedBar

Description

ValueMeaning

sfOffsetX

sfOffsetY

sfBtnSizeX

sfBtnSizeY


TRxDBGrid.CanEditShow

TRxDBGrid

function CanEditShow: Boolean;


(Untitled)

TRxGradientCaption Properties

TRxGradientCaption By object Legend

Active

Captions

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DefaultFont

DesignInfo

Font

FontInactiveColor

Form

FormCaption

GradientActive

GradientInactive

GradientSteps

HideDirection

Name

Owner

PopupMenu

StartColor

Tag

TextWidth

VCLComObject


TAnimatedCursorImage.OriginalColors

TAnimatedCursorImage

Read only. The OriginalColors determines in what bit format (color count) the cursor

images are stored in the animated cursor file.

The OriginalColors will always be one of the specified value: 2 (monochrome icons), 16

(16-colors icons), 256 (256-colors icons) or 0 (true-color or high-color icons).

property OriginalColors: Word;


TAppEvents.HintShortCuts

TAppEvents

property HintShortCuts: Boolean read GetHintShortCuts write SetHintShortCuts default True;


TRxClock.ShowHint

TRxClock

property ShowHint;


TIconFrame.JiffRate

TIconFrame

property JiffRate: Longint read FJiffRate;


TRxDBCalcEdit.ParentBiDiMode

TRxDBCalcEdit

property ParentBiDiMode;


TCurrencyEdit.Alignment

TCurrencyEdit

property Alignment;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TDataSet

|

TBDEDataSet

|

TDBDataSet

|

TDBListDataSet

|

TCustomTableItems


TIconList.Delete

TIconList

procedure Delete ( Index: Integer );


TExecDateDialog

The TExecDateDialog type points to a method that handles the retrieving of the date value from pop-up calendar or modal dialog to the TDateEdit control.

Unit

ToolEdit

procedure(Sender: TObject; var Date: TDateTime; var Action: Boolean) of object;


(Untitled)

TDataSourceLink Methods

TDataSourceLink Alphabetically Legend

In TDataSourceLink

ActiveChanged

FocusControl

LayoutChanged

RecordChanged

Derived from TDataLink

Create

Destroy

Edit

ExecuteAction

UpdateAction

UpdateRecord

Derived from TPersistent

Assign

GetNamePath


StrUtils.Numb2USA

StrUtils

Numb2USA converts numeric string S to USA-format.

property function Numb2USA(const S: string): string;

Description

Numb2USA example:

__S := Numb2USA('12365412');

__\\\\\\\ here S = '12,365,412' \\\\\\\


TRxDBCalcEdit.UpdatePopup

TRxDBCalcEdit

procedure UpdatePopup;


TMemoryTable.Lookup

TMemoryTable

function Lookup ( const KeyFields: string; const KeyValues: Variant; const ResultFields: string ): Variant;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TRxCustomListBox


(Untitled)

TIconListDialog Methods

TIconListDialog By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomControl

|

TRxCustomSlider


TAnimatedCursorImage.Icons

TAnimatedCursorImage

The Icons property allows you to access a specific icon inside the icon list after loading

the data from the .ANI file.

property Icons[Index: Integer]: TIcon;


TAggregatedObject.QueryInterface

TAggregatedObject

function QueryInterface ( const IID: TGUID; out Obj ): HResult;


(Untitled)

TAutoIntfObject Methods

TAutoIntfObject By object Legend

AfterConstruction

BeforeDestruction

Create

GetIDsOfNames

GetTypeInfo

GetTypeInfoCount

InterfaceSupportsErrorInfo

Invoke

SafeCallException


TRxTrayIcon.FileExecuteWait

TRxTrayIcon

This function is similar to the FileExecute function, but it don't return until after a launched program finishes executing.

property function FileExecuteWait(const FileName, Params, StartDir: string; InitialState: TExecState): Integer;

Description

32-bit version: If the function succeeds, the return value is termination status of the executed process. If the function fails, the return value is -1.

16-bit version: If the function succeeds, the return value is zero. If the function fails, the return value is -1.

> FileExecuteWait example:

if not FileExecuteWait('NOTEPAD.EXE', 'readme.txt', 'C:\', esNormal) then

ShowMessage('Can not start NOTEPAD.EXE');


(Untitled)

TCheckItemEditor Properties

TCheckItemEditor Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupList.PopupMenu

TRxDBLookupList

property PopupMenu;


(Untitled)

TScreenCanvas Methods

TScreenCanvas By object Legend

Arc

Assign

BrushCopy

Chord

CopyRect

Create

CreateHandle

Destroy

Draw

DrawFocusRect

Ellipse

FillRect

FloodFill

FrameRect

FreeHandle

GetNamePath

LineTo

Lock

MoveTo

OpenBit

Pie

PolyBezier

PolyBezierTo

Polygon

Polyline

Rectangle

Refresh

RoundRect

SetOrigin

StretchDraw

TextExtent

TextHeight

TextOut

TextRect

TextWidth

TryLock

Unlock


TRxClock.GetSystemTime

TRxClock

function GetSystemTime: TDateTime;


TCustomComboEdit.Button

TCustomComboEdit

property Button: TEditButton read FButton;


TRxButtonGlyph.CalcButtonLayout

TRxButtonGlyph

procedure CalcButtonLayout ( Canvas: TCanvas; const Client: TRect; var Caption: string; Layout: TButtonLayout; Margin , Spacing: Integer; PopupMark: Boolean; var GlyphPos: TPoint; var TextBounds: TRect; Flags: Word; Images: TImageList; ImageIndex: Integer );


TRxMemoryData.InitRecord

TRxMemoryData

procedure InitRecord ( Buffer: PChar );


TTableItems

Hierarchy Properties Methods Events

Returns information about a table.

Unit

DBLists


TRecentStrings.Create

TRecentStrings

constructor

constructor Create;


TSecretPanel.BorderWidth

TSecretPanel

property BorderWidth;


TCurrencyEdit.AutoSelect

TCurrencyEdit

property AutoSelect;


TRxDBFilter.ReleaseCapture

TRxDBFilter

You can use same data-aware controls (i.e. TDBEdit, TDBCheckBox etc) to display and edit dataset's records and to enter filter's selection criteria.

property procedure ReleaseCapture;

Description

Use SetCapture, ReleaseCapture and ReadCaptureControls methods to enable end-users to enter selection criteria into data-aware controls at run-time.

After using SetCapture method to entering selection criteria into data-ware controls and reading this criteria by ReadCaptureControls method you MUST return data-aware controls into its normal state by calling ReleaseCapture method.

Calling ReleaseCapture triggers the OnReleaseCapture event handler if one is defined for the TRxDBFilter component.


TMinMaxProperty.GetAttributes

TMinMaxProperty

function GetAttributes: TPropertyAttributes;


TDBSecurity.ChangePassword

TDBSecurity

Uses the change-password instead.

property function ChangePassword: Boolean;


TRxTrayIcon.FileExecute

TRxTrayIcon

The FileExecute function opens a specified file.

property function FileExecute(const FileName, Params, StartDir: string; InitialState: TExecState): THandle;

Description

The file can be an executable file or a document file. If FileName specifies an executable file, Params is a string that specifies parameters to be passed to the application. StartDir specifies the default directory. If FileName specifies an executable file, InitialState specifies how the application is to be shown when it is opened. This parameter can be one of the following values: esNormal, esMinimized, esMaximized or esHide. If the function succeeds, the return value is the instance handle of the application that was run. If the function fails, the return value is an error value that is less than or equal to 32.

FileExecute example:

if FileExecute('NOTEPAD.EXE', '', 'C:\', esNormal) <= 32 then

ShowMessage('Can't start NOTEPAD.EXE');


TDBIndexCombo.Notification

TDBIndexCombo

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TMemBlobStream.Destroy

TMemBlobStream

destructor Destroy;


TRxRichEdit.OnTextNotFound

TRxRichEdit

property OnTextNotFound;


TWinMinMaxInfo.MinTrackWidth

TWinMinMaxInfo

The MinTrackHeight and MinTrackWidth properties specifies the minimum tracking

width and the minimum tracking height of the form at run-time.

property MinTrackWidth: Integer;

Description

Note: Setting any of the above properties to 0 is the same as not constraining by the given axis.

So, setting MinTrackHeight to 0 lets the form be any height (up to whatever MaxSizeHeight is, unless, that to is zero).


(Untitled)

TRxRemoteLogin Properties

TRxRemoteLogin Alphabetically Legend

In TRxRemoteLogin

Active

AfterLogin

AllowEmptyPassword

AttemptNumber

BeforeLogin

IniFileName

MaxPasswordLen

RemoteServer

UpdateCaption

UseRegistry

Derived from TRxCustomLogin

LoggedUser

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TCustomDateEdit Methods

TCustomDateEdit By object Legend

AcceptPopup

AcceptValue

ApplyDate

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

ButtonClick

CanFocus

Change

CheckValidDate

Clear

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CreateWindowHandle

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DestroyWindowHandle

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetDateFormat

GetDateMask

GetDefaultBitmap

GetNamePath

GetParentComponent

GetSelTextBuf

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetPopupValue

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UpdateFormat

UpdateMask

UpdatePopup

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TAnimatedImage.FrameChanged

TAnimatedImage

procedure FrameChanged;


(Untitled)

TOwnerDrawComboBox Properties

TOwnerDrawComboBox Alphabetically Legend

In TOwnerDrawComboBox

Style

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

Items

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxLookupEdit Properties

TRxLookupEdit Alphabetically Legend

In TRxLookupEdit

Alignment

Anchors

AutoSelect

BiDiMode

BorderStyle

ButtonHint

CharCase

ClickKey

Color

Constraints

Ctl3D

DirectInput

DragCursor

DragKind

DragMode

DropDownCount

DropDownWidth

EditMask

Enabled

FieldsDelimiter

Font

HideSelection

ImeMode

ImeName

ListStyle

LookupDisplay

LookupDisplayIndex

LookupField

LookupSource

LookupValue

MaxLength

OEMConvert

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupAlign

PopupMenu

PopupOnlyLocate

ReadOnly

ShowHint

TabOrder

TabStop

Text

Visible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TBookmarkList.Delete

TBookmarkList

The Delete method will delete all the selected rows from the dataset

procedure Delete;


TRxLookupEdit.OnCloseUp

TRxLookupEdit

property OnCloseUp: TNotifyEvent read FOnCloseUp write FOnCloseUp;


TComObject.Controller

TComObject

property Controller: IUnknown read GetController;


TMRUManager.DoClick

TMRUManager

procedure DoClick ( const RecentName , Caption: string; UserData: Longint );


TRxSpinEdit.OnEnter

TRxSpinEdit

property OnEnter;


TRxProjectResExpert.NewBitmapRes

TRxProjectResExpert

procedure NewBitmapRes ( ResFile: TIResourceFile; ResName: PChar; Bitmap: TBitmap );


MaxMin.SwapInt

MaxMin

Exchange the values in two integers Int1 and Int2.

procedure SwapInt(var Int1, Int2: Integer);

Description

SwapInt example:

SwapInt(I1, I2);


TDirectoryEdit.ParentShowHint

TDirectoryEdit

property ParentShowHint;


TQBEQuery.RefreshQuery

TQBEQuery

procedure RefreshQuery;


TDirectoryEdit.OnEndDrag

TDirectoryEdit

property OnEndDrag;


(Untitled)

TContainedObject Methods

TContainedObject By object Legend

Create

QueryInterface


TRxCheckListBox.SetItemData

TRxCheckListBox

procedure SetItemData ( Index: Integer; AData: LongInt );


TSecretPanel.OnPaintClient

TSecretPanel

property OnPaintClient: TPanelDrawEvent read FOnPaintClient write FOnPaintClient;


TRxCalcEdit.Ctl3D

TRxCalcEdit

property Ctl3D;


TRxLabel.Enabled

TRxLabel

property Enabled;


(Untitled)

TDBStatusLabel Methods

TDBStatusLabel By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetCaption

GetControlsAlignment

GetDefaultFontColor

GetLabelCaption

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

Loaded

ManualDock

ManualFloat

Notification

Paint

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetName

SetTextBuf

Show

Update

UpdateAction

UpdateData

UpdateStatus

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxButtonGlyph.MinimizeCaption

TRxButtonGlyph

procedure MinimizeCaption ( Canvas: TCanvas; const Caption: string; Buffer: PChar; MaxLen , Width: Integer );


TButtonImage.WordWrap

TButtonImage

property WordWrap: Boolean read GetWordWrap write SetWordWrap;


(Untitled)

TDBDateEdit Events

TDBDateEdit By object Legend

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TRxDBLookupList.Anchors

TRxDBLookupList

property Anchors;


TDateEdit.OnEnter

TDateEdit

property OnEnter;


TRxCalcEdit.OnChange

TRxCalcEdit

property OnChange;


TTextListBox.OnStartDock

TTextListBox

property OnStartDock;


TRxDBRichEdit.Color

TRxDBRichEdit

property Color;


TRxCustomSlider.MouseMove

TRxCustomSlider

procedure MouseMove ( Shift: TShiftState; X , Y: Integer );


StrUtils.IntToRoman

StrUtils

IntToRoman converts the given value to a roman numeric string representation.

property function IntToRoman(Value: Longint): string;

Description

IntToRoman example:

S := IntToRoman(1996);


TRxGradient.OnChange

TRxGradient

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TStrHolder.OnChanging

TStrHolder

Event OnChanging is trigged during (after) changes to the list.

property OnChanging: TNotifyEvent read FOnChanging write FOnChanging;


TFilenameEdit.AcceptFiles

TFilenameEdit

AcceptFiles property specifies whether or not drag-and-drop operations are enabled.

AcceptFiles: Boolean;

Description

When True, user can drag files and directories from the FileManager or Windows

Explorer and drop it on the TFilenameEdit or TDirectoryEdit controls. The OnDropFiles

event is called when files are dropped on the edit box.


TMemoryRecord.SetIndex

TMemoryRecord

procedure SetIndex ( Value: Integer );


TCharFormat2A

Unit

RxRichEd

TCharFormat2A record

cbSize:UINT;

dwMask:DWORD;

dwEffects:DWORD;

yHeight:Longint;

yOffset:Longint;

crTextColor:TColorRef;

bCharSet:Byte;

bPitchAndFamily:Byte;

szFaceName:array[0.LF_FACESIZE-1ofAnsiChar;

wWeight:Word;

sSpacing:Smallint;

crBackColor:TColorRef;

lid:LCID;

dwReserved:DWORD;

sStyle:Smallint;

wKerning:Word;

bUnderlineType:Byte;

bAnimation:Byte;

bRevAuthor:Byte;

bReserved1:Byte;

end;


TRxCustomSlider.GetSliderValue

TRxCustomSlider

function GetSliderValue: Longint;


TRxSlider.OnMouseUp

TRxSlider

property OnMouseUp;


TComObject.ServerExceptionHandler

TComObject

property ServerExceptionHandler: IServerExceptionHandler read FServerExceptionHandler write FServerExceptionHandler;


TAnimatedImage.DragMode

TAnimatedImage

property DragMode;


TRxProjectResExpert.EndUpdate

TRxProjectResExpert

procedure EndUpdate;


(Untitled)

TFilenameEdit Properties

TFilenameEdit Alphabetically Legend

In TFilenameEdit

AcceptFiles

Anchors

AutoSelect

BiDiMode

BorderStyle

ButtonHint

ButtonWidth

CharCase

ClickKey

Color

Constraints

Ctl3D

DefaultExt

Dialog

DialogFiles

DialogKind

DialogOptions

DialogTitle

DirectInput

DragCursor

DragKind

DragMode

EditMask

Enabled

FileEditStyle

FileName

Filter

FilterIndex

Font

Glyph

GlyphKind

HideSelection

History

HistoryList

ImeMode

ImeName

InitialDir

NumGlyphs

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Visible

Derived from TFileDirEdit

LongName

ShortName

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TStrHolder.Strings

TStrHolder

property Strings: TStrings read FStrings write SetStrings stored False;


TDBProgress.MessageControl

TDBProgress

MessageControl is a control associated with the DBProgress to to display BDE messages.

property MessageControl: TControl;

Description

You can use any control which displays it's Caption property, i.e. TLabel, TPanel etc.


TDirectoryEdit.TabOrder

TDirectoryEdit

property TabOrder;


TNumThumbStates

TNumThumbStates is the type for the NumThumbStates property of TRxSlider component.

Unit

RxSlider

property TNumThumbStates = 1..2;


(Untitled)

TFormStorage Events

TFormStorage By object Legend

OnRestorePlacement

OnSavePlacement


TComObject.ObjAddRef

TComObject

function ObjAddRef: Integer;


TRxDice.OnEndDrag

TRxDice

property OnEndDrag;


TRxTimer.Synchronize

TRxTimer

procedure Synchronize ( Method: TThreadMethod );


TRxCustomListBox.CreateWnd

TRxCustomListBox

procedure CreateWnd;


TRxDBComboEdit.OnEndDrag

TRxDBComboEdit

property OnEndDrag;


TRxClock.OnStartDock

TRxClock

property OnStartDock;


(Untitled)

TAutoObjectFactory Properties

TAutoObjectFactory By object Legend

ClassID

ClassInfo

ClassName

ComClass

ComServer

Description

DispIntfEntry

DispTypeInfo

ErrorIID

EventIID

EventTypeInfo

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TDBDateEdit.EditCanModify

TDBDateEdit

function EditCanModify: Boolean;


TRecentStrings.Add

TRecentStrings

function Add ( const S: string ): Integer;


TRxCalcEdit.Visible

TRxCalcEdit

property Visible;


TComboEdit.OEMConvert

TComboEdit

property OEMConvert;


(Untitled)

TComObject Methods

TComObject Alphabetically Legend

In TComObject

_AddRef

_Release

Create

CreateAggregated

CreateFromFactory

Destroy

Initialize

InterfaceSupportsErrorInfo

IUnknown._AddRef

IUnknown._Release

IUnknown.QueryInterface

ObjAddRef

ObjQueryInterface

ObjRelease

QueryInterface

SafeCallException


TTimerItemsEditor.TimersCollection

TTimerItemsEditor

property TimersCollection: TRxTimerList read FTimersCollection write SetTimersCollection;


TRxDBLookupList.DragCursor

TRxDBLookupList

property DragCursor;


TRxDBRichEdit.Title

TRxDBRichEdit

property Title;


FileUtil.DirExists

FileUtil

The DirExists function determines whether the directory specified as the value of the Name parameter exists.

function DirExists(Name: string): Boolean;

Description

If the directory exists, the function returns True. If the directory does not exist, the function returns False. If only a directory name is entered as the value of Name, DirExists searches for the directory within the current directory. If a full path name is entered, DirExists searches for the directory along the designated path.

DirExists example:

This example uses an edit box, a label, and a button on a form. When the user enters a

directory name in the edit box and clicks the button, whether or not the directory exists

is reported in the caption of the label:

procedure TForm1.Button1Click(Sender: TObject);

begin

__if DirExists(Edit1.Text) then

____Label1.Caption := Edit1.Text + ' exists'

__else

____Label1.Caption := Edit1.Text + ' does not exist';

end;


TAnimatedImage.Orientation

TAnimatedImage

Orientation determines whether the frames are placed horizontal or vertical fashion in the image specified by Glyph property of the TAnimatedImage component.

property Orientation: TGlyphOrientation;

Description

It can either be goHorizontal or goVertical. The default value is goHorizontal.


(Untitled)

TTypedComObjectFactory Methods

TTypedComObjectFactory By object Legend

Create

CreateComObject

Destroy

GetInterfaceTypeInfo

RegisterClassObject

UpdateRegistry


StrUtils.Copy2Space

StrUtils

Copy2Space returns a substring of a string S from begining to first white space.

property function Copy2Space(const S: string): string;

Description

Copy2Space example:

S := 'Let it be';

S := Copy2Space(S);

\\\\\\\ here S = 'Let' \\\\\\\


(Untitled)

TCustomClipboardViewer Events

TCustomClipboardViewer By object Legend

OnCanResize

OnChange

OnClick

OnConstrainedResize

OnContextPopup

OnDblClick

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetSiteInfo

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnResize

OnStartDock

OnStartDrag

OnUnDock


TRxWindowHook.BeforeMessage

TRxWindowHook

BeforeMessage event is triggered before a message is generated from that particular control being monitored.

property BeforeMessage: THookMessageEvent read FBeforeMessage write FBeforeMessage;


TSpeedBar.RemoveSection

TSpeedBar

RemoveSection procedure removes the section based on the section number.

property procedure RemoveSection(Section: Integer);


TTextListBox.Anchors

TTextListBox

property Anchors;


TRxMemoryData.CompareBookmarks

TRxMemoryData

function CompareBookmarks ( Bookmark1 , Bookmark2: TBookmark ): Integer;


TVersionInfo.SpecialBuild

TVersionInfo

This contains the string specifying how this version of the file differs from the standard version--for example, "Private build for TESTER1 solving mouse problems on M250 and M250E computers".

property SpecialBuild: string;

Description

This string should be present only if the VS_FF_SPECIALBUILD flag is set in the dwFileFlags member of the FixedFileInfo property (VS_FIXEDFILEINFO structure) of the version resource.


TRxDBLookupCombo.ItemHeight

TRxDBLookupCombo

property ItemHeight;


TRxPopupDataList.CreateParams

TRxPopupDataList

procedure CreateParams ( var Params: TCreateParams );


TRxLabel

Hierarchy Properties Methods Events

TRxLabel is TLabel with some additional special effects.

Unit

RXCtrls

Description

It supports vertical alignment and shadows (like 3D style), in addition to standard label properties. You can use ShadowPos, ShadowColor and ShadowSize properties to determines how to draw the label shadowed.


DateUtil.IncMinute

DateUtil

IncMinute changes the time of day ATime by Delta number of minutes.

property function IncMinute(ATime: TDateTime; Delta: Integer): TDateTime;

Description

Delta can be either a positive or negative value.

IncMinute example:

var T1, T2: TDateTime; S: string;

begin

ShortTimeFormat := 'HH:MM:SS';

T1 := StrToTime('00:00:00');

T2 := IncMinute(T1, 5);

S := TimeToStr(T2);

end;


(Untitled)

TMemBlobStream Methods

TMemBlobStream By object Legend

CopyFrom

Create

Destroy

FixupResourceHeader

Read

ReadBuffer

ReadComponent

ReadComponentRes

ReadResHeader

Seek

Truncate

Write

WriteBuffer

WriteComponent

WriteComponentRes

WriteDescendent

WriteDescendentRes

WriteResourceHeader


TRxLookupControl.GetPicture

TRxLookupControl

function GetPicture ( Current , Empty: Boolean; var TextMargin: Integer ): TGraphic;


TRxSwitch.Create

TRxSwitch

constructor Create ( AOwner: TComponent );


TTabItemType

Unit

DBLists

Description

ValueMeaning

dtFields

dtIndices

dtValChecks

dtRefInt

dtSecurity

dtFamily


TCustomDBComboBox.Loaded

TCustomDBComboBox

procedure Loaded;


ESpeedbarError

Hierarchy Properties Methods

Generic speedbar exception

Unit

SpeedBar


TRxCustomLogin.Destroy

TRxCustomLogin

destructor Destroy;


TRxTimerEvent.RepeatCount

TRxTimerEvent

property RepeatCount: Integer read FRepeatCount write SetRepeatCount default 0 property Enabled: Boolean read FEnabled write SetEnabled default True;


TGIFImage.Count

TGIFImage

This is a read-only property and for animated GIFs. It stores the number of frames contained within the GIF file.

property Count: Integer;


(Untitled)

TPageHistory Properties

TPageHistory Alphabetically Legend

In TPageHistory

Current

HistoryCapacity

PageIndexes

Derived from TList

Capacity

Count

Items

List


TRxLookupEdit.OnButtonClick

TRxLookupEdit

property OnButtonClick;


TDBIndexCombo.OnKeyUp

TDBIndexCombo

property OnKeyUp;


(Untitled)

TRxMainMenu Events

TRxMainMenu By object Legend

OnChange

OnDrawItem

OnGetImageIndex

OnGetItemParams

OnMeasureItem


TRxCheckListBox.DragCursor

TRxCheckListBox

property DragCursor;


TMergeManager.GoForward

TMergeManager

GoForward;


TFileDirEdit.GetDefaultBitmap

TFileDirEdit

function GetDefaultBitmap ( var DestroyNeeded: Boolean ): TBitmap;


TCustomDateEdit.DestroyWindowHandle

TCustomDateEdit

procedure DestroyWindowHandle;


(Untitled)

TDBCallback Methods

TDBCallback By object Legend

Create

Destroy

Invoke


TDBProgress.Gauge

TDBProgress

Gauge is a progress-control associated with the DBProgress to to display BDE percentage.

property Gauge: TControl;

Description

In 16-bit Delphi version you can use TGauge control as progress-indicator.

In 32-bit versions you can also use TProgressBar control.


TDriverDesc.Create

TDriverDesc

constructor Create ( const DriverType: string );


TObjectStrings.Move

TObjectStrings

procedure Move ( CurIndex , NewIndex: Integer );


TImageForm.OnCheckUnlock

TImageForm

property OnCheckUnlock: TCheckUnlockEvent read FCheckUnlock write FCheckUnlock;


(Untitled)

TAutoObjectFactory Methods

TAutoObjectFactory By object Legend

Create

CreateComObject

Destroy

GetInterfaceTypeInfo

GetIntfEntry

RegisterClassObject

UpdateRegistry


TRxCustomLabel.GetLabelCaption

TRxCustomLabel

function GetLabelCaption: string;


TSecretPanel.PopupMenu

TSecretPanel

property PopupMenu;


TOEMConversion.ConvertReadStream

TOEMConversion

function ConvertReadStream ( Stream: TStream; Buffer: PChar; BufSize: Integer ): Integer;


TRxCustomSlider.KeyDown

TRxCustomSlider

procedure KeyDown ( var Key: Word; Shift: TShiftState );


TRxLookupEdit.OnKeyUp

TRxLookupEdit

property OnKeyUp;


TRxDBLookupCombo.OnEndDock

TRxDBLookupCombo

property OnEndDock;


TRxCalculator

Hierarchy Properties Methods Events

Rx Calculator is a floating point calculator designed to do simple operations. It is an invisible component, or one that pops-up upon operation.

Unit

RxCalc

Description

Use the Execute method to popup the Calculator. If any errors occur on calculators, use the BeepsOnError to control beeping on errors If you prefer the classical white calculator, set the Clt3d to false.


TRxWindowHook.Active

TRxWindowHook

Allows the hook to be activated/de-activated.

property Active: Boolean read FActive write SetActive default True;


TRxGradient.Create

TRxGradient

constructor Create;


TSpeedItem.OnMouseUp

TSpeedItem

property OnMouseUp: TMouseEvent read GetOnMouseUp write SetOnMouseUp;


TRxLabel.OnDragDrop

TRxLabel

property OnDragDrop;


(Untitled)

TMinMaxInfoEditDialog Events

TMinMaxInfoEditDialog Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


(Untitled)

TSplashWindow Methods

TSplashWindow Alphabetically Legend

In TSplashWindow

CenterFor

CreateParams

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TDualListForm Methods

TDualListForm By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParams

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetButtons

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TQBEQuery.IsEmpty

TQBEQuery

function IsEmpty: Boolean;


TCustomNumEdit.DisplayFormat

TCustomNumEdit

property DisplayFormat: string read GetDisplayFormat write SetDisplayFormat stored IsFormatStored;


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit

|

TCustomDateEdit


TRxDBComboBox.GetComboText

TRxDBComboBox

function GetComboText: string;


TMemoryTable.SetFieldValues

TMemoryTable

procedure SetFieldValues ( const FieldNames: array of string; const Values: array of const );


TAppEvents.MouseDragImmediate

TAppEvents

property MouseDragImmediate: Boolean read GetMouseDragImmediate write SetMouseDragImmediate default True;


TIconList.Create

TIconList

constructor Create;


TRichSearchType

Unit

RxRichEd

Description

ValueMeaning

stWholeWord

stMatchCase

stBackward

stSetSelection


TFontComboBox.DragMode

TFontComboBox

property DragMode;


TRxRichEdit.BorderWidth

TRxRichEdit

property BorderWidth;


TRxTrayIcon.OnMouseMove

TRxTrayIcon

property OnMouseMove: TMouseMoveEvent read FOnMouseMove write FOnMouseMove;


TMRUManager.RecentMenu

TMRUManager

RecentMenu is the last or recent menu that will contain the list of recently used files.

property RecentMenu: TMenuItem;


(Untitled)

TStrEditDlg Properties

TStrEditDlg Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxCalcEdit.ReadOnly

TRxCalcEdit

property ReadOnly;


TRxDBCalcEdit.OnButtonClick

TRxDBCalcEdit

property OnButtonClick;


TTextListBox.CreateParams

TTextListBox

procedure CreateParams ( var Params: TCreateParams );


TLocateObject.LocateFull

TLocateObject

function LocateFull: Boolean;


TRxDrawGrid.TopLeftChanged

TRxDrawGrid

procedure TopLeftChanged;


TRxRichEdit.OnMouseWheelUp

TRxRichEdit

property OnMouseWheelUp;


(Untitled)

TGraphicPropertyEditor Methods

TGraphicPropertyEditor Alphabetically Legend

In TGraphicPropertyEditor

Edit

GetAttributes

GetValue

SetValue


TTableItems.ItemType

TTableItems

property ItemType;


(Untitled)

Hierarchy

TClassProperty


(Untitled)

TPageManager Properties

TPageManager Alphabetically Legend

In TPageManager

DestroyHandles

HistoryCommand

NextBtn

NextEnabled

PageCount

PageHistory

PageIndex

PageManager

PageName

PageNames

PageOwner

PageProxies

PriorBtn

PriorEnabled

SetStartPage

UseHistory

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TCurrencyEdit.Enabled

TCurrencyEdit

property Enabled;


TFileDirEdit.GetShortName

TFileDirEdit

function GetShortName: string;


TSpeedbarSetupWindow

Hierarchy Properties Methods Events

Unit

SbSetup


TRxDBComboEdit.NumGlyphs

TRxDBComboEdit

property NumGlyphs;


DateUtil

Methods

Misc date and time procedures and functions

Unit

DateUtil


TDBListDataSet

Hierarchy Properties Methods Events

Base class for other list components

Unit

DBLists


TRxMemoryData.InternalClose

TRxMemoryData

procedure InternalClose;


TBookmarkList.Create

TBookmarkList

constructor Create ( AGrid: TCustomDBGrid );


TRxMemoryData.BookmarkValid

TRxMemoryData

function BookmarkValid ( Bookmark: TBookmark ): Boolean;


TRxCustomSlider.NumThumbStates

TRxCustomSlider

property NumThumbStates: TNumThumbStates read GetNumThumbStates write SetNumThumbStates default 2


TRxTimerList.OnFinish

TRxTimerList

This is triggered when an event has been completed.

property OnFinish: TNotifyEvent;


TDBLabelStyle

TDBLabelStyle is a set of available values for the Style property of the TDBStatusLabel control.

Unit

RXDBCtrl

TDBLabelStyle = (lsState, lsRecordNo);

Description

ValueMeaning

lsState

lsRecordNo

lsRecordSize


TSQLScript

Hierarchy Properties Methods Events

A SQL Script component.

Unit

RxQuery

Description

You can store a lot of SQL statements in on SQL property.

You can execute all the script or just a few statements.

Very useful to store a database creation script.


TDBStatusLabel.Loaded

TDBStatusLabel

procedure Loaded;


TRxPopupMenu.GetItemParams

TRxPopupMenu

procedure GetItemParams ( Item: TMenuItem; State: TMenuOwnerDrawState; AFont: TFont; var Color: TColor; var Graphic: TGraphic; var NumGlyphs: Integer );


TSpeedBar.DefineProperties

TSpeedBar

procedure DefineProperties ( Filer: TFiler );


TMemoryRecord.MemoryData

TMemoryRecord

property MemoryData: TRxMemoryData read FMemoryData;


TRxDBCalcEdit.ParentFont

TRxDBCalcEdit

property ParentFont;


TAnimatedCursorImage.AssignTo

TAnimatedCursorImage

procedure AssignTo ( Dest: TPersistent );


TRxDBCalcEdit.OnDragDrop

TRxDBCalcEdit

property OnDragDrop;


TRxDBGrid.OnMouseMove

TRxDBGrid

property OnMouseMove;


(Untitled)

TRxDBComboEdit Methods

TRxDBComboEdit Alphabetically Legend

In TRxDBComboEdit

Change

Create

Destroy

EditCanModify

ExecuteAction

GetReadOnly

KeyDown

KeyPress

Loaded

Notification

Reset

UpdateAction

UseRightToLeftAlignment

Derived from TCustomComboEdit

DoClick

SelectAll

Derived from TCustomMaskEdit

Clear

GetTextLen

ValidateEdit

Derived from TCustomEdit

ClearSelection

ClearUndo

CopyToClipboard

CutToClipboard

DefaultHandler

GetSelTextBuf

PasteFromClipboard

SetSelTextBuf

Undo

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

TDatabaseItems Events

TDatabaseItems By object Legend

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

OnCalcFields

OnDeleteError

OnEditError

OnFilterRecord

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord


TRxIniFile.DeleteKey

TRxIniFile

procedure DeleteKey ( const Section , Ident: String );


TDirectoryListDialog

Hierarchy Properties Methods Events

Unit

RxDirFrm


(Untitled)

TRxDBLookupCombo Events

TRxDBLookupCombo By object Legend

OnChange

OnClick

OnCloseUp

OnDragDrop

OnDragOver

OnDropDown

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetImage

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TProxyEditor.FormClosed

TProxyEditor

procedure FormClosed ( Form: TCustomForm );


TRxGIFAnimator.AdjustSize

TRxGIFAnimator

procedure AdjustSize;


TPopupDataWindow.CloseUp

TPopupDataWindow

procedure CloseUp ( Accept: Boolean );


TDateTimeFormat.FourDigitYear

TDateTimeFormat

property FourDigitYear: Boolean read FFourDigitYear write FFourDigitYear default True;


TRxSpinButton.DragMode

TRxSpinButton

property DragMode;


TFontComboBox.OnStartDock

TFontComboBox

property OnStartDock;


TComObjectFactory.UpdateRegistry

TComObjectFactory

procedure UpdateRegistry ( Register: Boolean );


TProjectNotifier.Notify

TProjectNotifier

procedure Notify ( NotifyCode: TNotifyCode );


TRxCheckListBox.ClickCheck

TRxCheckListBox

procedure ClickCheck;


TRxSplitter.OnResize

TRxSplitter

property OnResize;


TRxDBComboBox.ParentColor

TRxDBComboBox

property ParentColor;


TCurrencyEdit.BeepOnError

TCurrencyEdit

BeepOnError determines whether a beep is sounded when an invalid character is entered.

BeepOnError: Boolean;

Description

If BeepOnError is True, MessageBeep is called when an invalid character is entered or when a character is entered and the field is full.


TColorComboBox.Change

TColorComboBox

procedure Change;


TConverter.AsDate

TConverter

Run-time only. This is a conversion property. AsDate can be used to read or set the value stored in the TConverter component as a date value.

property AsDate: TDateTime;


(Untitled)

MaxMin Methods

MaxMin Alphabetically Legend

In MaxMin

Max

MaxFloat

MaxInteger

MaxOf

Min

MinFloat

MinInteger

MinOf

SwapInt

SwapLong


(Untitled)

TRxCustomSlider Events

TRxCustomSlider Alphabetically Legend

In TRxCustomSlider

OnChange

OnChanged

OnDrawPoints

Derived from TWinControl

Derived from TControl


TRxCustomRichEdit.GetCaretPos

TRxCustomRichEdit

function GetCaretPos: TPoint;


TRxDBLookupList.ParentColor

TRxDBLookupList

property ParentColor;


TRxSlider

Hierarchy Properties Methods Events

This is a slider component that emulates the Win32 slider and optionally-ticked bar control that contains a slider which marks a current Value.

Unit

RXSlider

Description

Move the slider's thumb* to the desired value on the bar by dragging it with the mouse or by clicking the mouse on the bar.

(* the "v" thing on the RxSlider --> |----|----|-v---|---|)

To use the keyboard to move the slider, press the arrow keys or the PgUp and PgDn keys.

The MaxValue property sets the maximum position of a TRxSlider. The MinValue property sets the minimum position of a TRxSlider. You can customize the TRxSlider component by using the Orientation property and ImageHThumb, ImageHRuler, ImageVThumb, ImageVRuler properties.


TRxClock.AutoSize

TRxClock

If the ShowMode is scDigital and the AutoSize property is true, the size of the font of the digital clock automatically changes according to size of clock control.

property AutoSize: Boolean read FAutoSize write SetAutoSize default False;


TDirectoryEdit.ReceptFileDir

TDirectoryEdit

procedure ReceptFileDir ( const AFileName: string );


AppUtils.RestoreGridLayout

AppUtils

Retrieves grid's columns widths and positions (indexes) from an INI file.

property procedure RestoreGridLayout(Grid: TCustomGrid; IniFile: TIniFile);

Description

Can be used for any TCustomGrid descendants such as TStringGrid, TDrawGrid, TRxDrawGrid or other.

To save grid's layout to an INI file use SaveGridLayout procedure. You can call this

procedure in the OnRestorePlacement event handler of the

TFormPlacement, TFormStorage components.

RestoreGridLayout example:

RestoreGridLayout(DrawGrid1, Placement.IniFile);


TRxCaption.Visible

TRxCaption

property Visible: Boolean read FVisible write SetVisible default True;


TRxLookupControl.IndexSwitch

TRxLookupControl

property IndexSwitch: Boolean read FIndexSwitch write FIndexSwitch default True;


TRxDBLookupList.OnMouseWheelUp

TRxDBLookupList

property OnMouseWheelUp;


TCustomComboEdit.MouseDown

TCustomComboEdit

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxGIFAnimator.OnStartDrag

TRxGIFAnimator

property OnStartDrag;


(Untitled)

TPageManager Events

TPageManager By object Legend

OnCheckButtons

OnCheckProxy

OnEnter

OnGetNextPage

OnGetPriorPage

OnHide

OnLeave

OnPageChanged

OnShow


TRxDBRichEdit.ShowHint

TRxDBRichEdit

property ShowHint;


(Untitled)

TPictureEditDialog Properties

TPictureEditDialog By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DecreaseColors

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

GraphicClass

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


TCustomNumEdit.Reset

TCustomNumEdit

procedure Reset;


TRxLookupEdit.ListStyle

TRxLookupEdit

property ListStyle: TLookupListStyle read GetListStyle write SetListStyle default lsFixed;


TRxDice.DragMode

TRxDice

property DragMode;


TRxDBLookupCombo.Font

TRxDBLookupCombo

property Font;


TRxDBGrid.SaveLayout

TRxDBGrid

This method saves the current layout information of the DbGrid to the INI file.

procedure SaveLayout ( IniFile: TIniFile );


TRxProjectResExpert.BeginUpdate

TRxProjectResExpert

procedure BeginUpdate;


TDateEdit.Date

TDateEdit

Current date

property Date : tDateTime


(Untitled)

TSplashWindow Properties

TSplashWindow Alphabetically Legend

In TSplashWindow

MessageText

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TSpeedbarSetupWindow Methods

TSpeedbarSetupWindow By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TFormHistory.Destroy

TFormHistory

destructor Destroy;


TAutoObjectFactory.Create

TAutoObjectFactory

constructor Create ( ComServer: TComServerObject; AutoClass: TAutoClass; const ClassID: TGUID; Instancing: TClassInstancing; ThreadingModel: TThreadingModel = tmSingle );


TDBIndexCombo.BiDiMode

TDBIndexCombo

property BiDiMode;


(Untitled)

TCheckItemEditor Methods

TCheckItemEditor Alphabetically Legend

In TCheckItemEditor

Create

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxSlider.OnKeyDown

TRxSlider

property OnKeyDown;


TRxSplitter.OnMouseDown

TRxSplitter

property OnMouseDown;


TLookupSourceLink

Hierarchy Properties Methods

Unit

RxLookup


TDBDateEdit.ExecuteAction

TDBDateEdit

function ExecuteAction ( Action: TBasicAction ): Boolean;


TRxPopupMenu.Popup

TRxPopupMenu

procedure Popup(X, Y: Integer); override;


TRxGradientCaption.OnActivate

TRxGradientCaption

Fired when the active property is changed to True

property OnActivate: TNotifyEvent read FOnActivate write FOnActivate;


(Untitled)

TDBLoginDialog Properties

TDBLoginDialog By object Legend

Mode

SelectDatabase


TGIFColorItem

Unit

RxGIF

TGIFColorItem packed record

Red,Green,Blue:Byte;

end;


(Untitled)

EOleException Methods

EOleException Alphabetically Legend

In EOleException

Create

Derived from Exception

CreateFmt

CreateFmtHelp

CreateHelp

CreateRes

CreateResFmt

CreateResFmtHelp

CreateResHelp


(Untitled)

TRxBdeErrorDlg Properties

TRxBdeErrorDlg Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TDBSecurity.MaxPasswordLen

TDBSecurity

The MaxPasswordLen property specifies the maximum number of characters the user can enter in an password edit box in the login dialog and in the change password dialog.

property MaxPasswordLen: Integer;

Description

The default setting for MaxPasswordLen is 0, which means that there is no limit on the number of characters the password can contain.


(Untitled)

TMetafileCanvas Methods

TMetafileCanvas By object Legend

Arc

Assign

BrushCopy

Chord

CopyRect

Create

Destroy

Draw

DrawFocusRect

Ellipse

FillRect

FloodFill

FrameRect

GetNamePath

LineTo

Lock

MoveTo

Pie

PolyBezier

PolyBezierTo

Polygon

Polyline

Rectangle

Refresh

RoundRect

StretchDraw

TextExtent

TextHeight

TextOut

TextRect

TextWidth

TryLock

Unlock


TPictureEditDialog.CreateHandle

TPictureEditDialog

procedure CreateHandle;


(Untitled)

TMergeManager Properties

TMergeManager By object Legend

ActiveForm

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

FormHistory

HistoryCommand

MergeFrame

Name

Owner

Tag

VCLComObject


(Untitled)

RxQuery Methods

RxQuery By object Legend

ExecDirect

ExpandMacros

IsEmpty

MacroByName

OpenOrExec


TRxFolderMonitor.Destroy

TRxFolderMonitor

destructor Destroy; override;


TRxClock.OnAlarm

TRxClock

This event (trigger) is called when there is an alarm.

The OnAlarm event is used to execute code at time specified by AlarmHour, AlarmMinute and AlarmSecond properties. This event occured only if AlarmEnabled property is set to True value.

property OnAlarm: TNotifyEvent read FOnAlarm write FOnAlarm;


TRxDBComboEdit.Constraints

TRxDBComboEdit

property Constraints;


TRxCustomListBox.OnDrawItem

TRxCustomListBox

property OnDrawItem: TDrawItemEvent read FOnDrawItem write SetOnDrawItem;


TRxQuery.Loaded

TRxQuery

procedure Loaded;


TDateEdit.Create

TDateEdit

constructor Create ( AOwner: TComponent );


TRxDBLookupList.Paint

TRxDBLookupList

procedure Paint;


TDateEdit.WeekendColour

TDateEdit

WeekendColor specifies the colour the label weekend should be in. (e.g., red colour).

property WeekendColour : tColourSet;


TRxGIFAnimator.FrameIndex

TRxGIFAnimator

The FrameIndex property stores the frame number of the frame currently displayed.

property FrameIndex: Integer;

Description

It can be set to the frame number which needs to be displayed. Before using this property, ensure that the GIF image is properly loaded into the Image property. While setting this property, if the value is within the acceptable range (between 0 and the number of frames in the animation, i.e. TGIFImage.Count - 1) then the current frame display is changed and an OnFrameChanged event is generated.


TRxSpeedButton.PaintGlyph

TRxSpeedButton

procedure PaintGlyph ( Canvas: TCanvas; ARect: TRect; AState: TRxButtonState; DrawMark: Boolean );


TRxClock.ParentFont

TRxClock

property ParentFont;


THugeList.IndexOf

THugeList

function IndexOf ( Item: Pointer ): Longint;


TRxCheckListBox.Align

TRxCheckListBox

property Align;


TFontComboBox.ImeMode

TFontComboBox

property ImeMode;


TSpeedBar.BtnOffsetHorz

TSpeedBar

Determines the minimum available horizontal offset (left coordinate) for the left-most

buttons in Speedbar.

property BtnOffsetHorz: Integer;


TProgressStage

Unit

RxGIF

Description

ValueMeaning

psStarting

psRunning

psEnding


(Untitled)

TAnimatedCursorImage Methods

TAnimatedCursorImage Alphabetically Legend

In TAnimatedCursorImage

Assign

AssignTo

AssignToBitmap

Clear

Create

Destroy

Draw

LoadFromFile

LoadFromStream

SaveToStream

Derived from TPersistent

GetNamePath


TBtnControl

Hierarchy Properties Methods Events

Internal use by RxLib

Unit

SpeedBar


TRxClock.OnDragDrop

TRxClock

property OnDragDrop;


(Untitled)

TRxDBGrid Methods

TRxDBGrid Alphabetically Legend

In TRxDBGrid

AcquireFocus

CanEditShow

CheckTitleButton

ColumnMoved

ColWidthsChanged

Create

CreateEditor

DefaultDataCellDraw

Destroy

DisableScroll

DoMouseWheelDown

DoMouseWheelUp

DoTitleClick

DrawCell

DrawColumnCell

DrawDataCell

EditChanged

EnableScroll

GetCellProps

GotoSelection

HighlightCell

KeyDown

KeyPress

LayoutChanged

LinkActive

MouseDown

MouseMove

MouseToCell

MouseUp

Paint

RestoreLayout

RestoreLayoutReg

SaveLayout

SaveLayoutReg

Scroll

ScrollDisabled

SelectAll

SetColumnAttributes

ToggleRowSelection

TopLeftChanged

UnselectAll

Derived from TCustomDBGrid

DefaultDrawColumnCell

DefaultDrawDataCell

DefaultHandler

ExecuteAction

ShowPopupEditor

UpdateAction

ValidFieldIndex

Derived from TCustomGrid

MouseCoord

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


TRxDBFilter.OnReleaseCapture

TRxDBFilter

The OnReleaseCapture event is activated when a data-aware controls, previously captured by the filter, is released by calling the ReleaseCapture method.

property OnReleaseCapture: TNotifyEvent;

Description

By assigning a method to this property, you can take any special actions required by the event.


TRxMemoryData.InternalHandleException

TRxMemoryData

procedure InternalHandleException;


TRxDBLookupCombo.DragMode

TRxDBLookupCombo

property DragMode;


TScreenCanvas.Bits

TScreenCanvas

property Bits [ Index: Integer ]: Boolean read GetBit write SetBit;


TFilenameEdit.ButtonClick

TFilenameEdit

procedure ButtonClick;


TDateEdit.CheckOnExit

TDateEdit

property CheckOnExit;


TPixelFormat

Unit

RxGIF

Description

ValueMeaning

pfDevice

pf1bit

pf4bit

pf8bit

pf24bit


(Untitled)

TRxBdeErrorDlg Events

TRxBdeErrorDlg By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnErrorMsg

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TColorComboBox.Font

TColorComboBox

property Font;


TMemoryRecord.ID

TMemoryRecord

property ID: Integer read FID;


TDBSecurity.DoLogin

TDBSecurity

function DoLogin ( var UserName: string ): Boolean;


TRxDBFilter.DoDeactivate

TRxDBFilter

procedure DoDeactivate;


TMappingMethod

Used by conversion or copy procedures

Unit

RxGIF

Description

ValueMeaning

mmHistogram

mmQuantize

mmTrunc784

mmTrunc666

mmTripel

mmGrayscale


TCustomComboEdit.Change

TCustomComboEdit

procedure Change;


TRxSwitch.OnExit

TRxSwitch

property OnExit;


TRxCustomListBox.BorderStyle

TRxCustomListBox

property BorderStyle: TBorderStyle read FBorderStyle write SetBorderStyle default bsSingle;


TDBLoginDialog.SelectDatabase

TDBLoginDialog

property SelectDatabase: Boolean read FSelectDatabase;


TRxButtonGlyph.DrawButtonImage

TRxButtonGlyph

function DrawButtonImage ( Canvas: TCanvas; X , Y: Integer; Images: TImageList; ImageIndex: Integer; State: TRxButtonState ): TPoint;


TMRUManager.OnReadItem

TMRUManager

OnReadItem event is triggered when an item or data is read into the MRU list.

property OnReadItem: TReadItemEvent;


(Untitled)

TTableItems Properties

TTableItems Alphabetically Legend

In TTableItems

ItemType

PhysTypes

Derived from TCustomTableItems

TableName

Derived from TDBListDataSet

RecordCount

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateObject

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxHintWindow.Paint

TRxHintWindow

procedure Paint;


TPictEditor.Create

TPictEditor

constructor Create ( AOwner: TComponent );


TObjectStrings.Clear

TObjectStrings

procedure Clear;


(Untitled)

TCurrencyEdit Properties

TCurrencyEdit Alphabetically Legend

In TCurrencyEdit

Alignment

Anchors

AsInteger

AutoSelect

AutoSize

BeepOnError

BiDiMode

BorderStyle

CheckOnExit

Color

Constraints

Ctl3D

DecimalPlaces

DisplayFormat

DisplayText

DragCursor

DragKind

DragMode

Enabled

Font

FormatOnEditing

HideSelection

ImeMode

ImeName

MaxLength

MaxValue

MinValue

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

TabOrder

TabStop

Text

Value

Visible

ZeroEmpty

Derived from TCustomNumEdit

PopupVisible

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TScrollDirection

Unit

RXCtrls

Description

ValueMeaning

sdVertical

sdHorizontal


(Untitled)

TRxDice Events

TRxDice By object Legend

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStart

OnStartDock

OnStartDrag

OnStop


TCustomDateEdit.Formatting

TCustomDateEdit

property Formatting: Boolean read FFormatting;


EOleSysError.Create

EOleSysError

constructor Create ( const Message: string; ErrorCode: Integer; HelpContext: Integer );


TFontComboBox.Device

TFontComboBox

This property controls the list of available fonts.

fdScreen - the list will be populated by the screen fonts only.

fdPrinter - the list will be populated by the printer fonts only.

fdBoth - the list will be populated both screen and printer fonts.

property Device: TFontDevice;


TRxIniFile.ListItemName

TRxIniFile

ListItemName is the item's list name.

ListItemName: string;


TRxSpeedButton.AllowAllUp

TRxSpeedButton

property AllowAllUp: Boolean read FAllowAllUp write SetAllowAllUp default False;


TCustomComboEdit.PopupDropDown

TCustomComboEdit

procedure PopupDropDown ( DisableEdit: Boolean );


TComClassManager

Hierarchy Methods

Unit

ComObj


TDBProgress.OnTrace

TDBProgress

The OnTrace event occurs every time trace information (text string passed as Msg parameter) is returned from the database engine (BDE).

property OnTrace: TOnTraceEvent;

Description

This event is only generated when Trace property is set to True and TraceFlags property is not equal to empty set [].


TRxQuery.MacroByName

TRxQuery

function MacroByName ( const Value: string ): TParam;


TConverter.LeadingZero

TConverter

Specifies whether or not single digit month or day values have a leading zero.

property LeadingZero: Boolean;

Description

For example, if you enter "1/1/80" and this is set to TRUE, TDateTimeFormat interprets the date as "01/1/80." If FALSE, the value is "1/1/80." Default: TRUE.


TMergeManager.Merge

TMergeManager

procedure Merge ( AForm: TCustomForm );


TRxCalcEdit.Color

TRxCalcEdit

property Color;


TDateEdit.DefaultToday

TDateEdit

DefaultToday Property specifies whether the date should default as today's date.

property DefaultToday : boolean


TRxGIFAnimator.DragMode

TRxGIFAnimator

property DragMode;


TRxDBCalcEdit.OnKeyPress

TRxDBCalcEdit

property OnKeyPress;


TGIFFrame.LoadFromStream

TGIFFrame

procedure LoadFromStream ( Stream: TStream );


TDirectoryEdit.HideSelection

TDirectoryEdit

property HideSelection;


(Untitled)

StrUtils Methods

StrUtils Alphabetically Legend

In StrUtils

AddChar

AddCharR

AnsiProperCase

CenterStr

CompStr

Copy2Space

Copy2SpaceDel

Copy2Symb

Copy2SymbDel

Dec2Hex

Dec2Numb

DelBSpace

DelChars

DelESpace

DelRSpace

DelSpace

DelSpace1

ExtractDelimited

ExtractSubstr

ExtractWord

ExtractWordPos

FindPart

Hex2Dec

IntToRoman

IsEmptyStr

IsWild

IsWordPresent

LeftStr

MakeStr

MS

NPos

Numb2Dec

Numb2USA

OemToAnsiStr

ReplaceStr

RightStr

RomanToInt

StrToOem

Tab2Space

WordCount

WordPosition


TRxDBRichEdit.SelectionBar

TRxDBRichEdit

property SelectionBar;


TCustomClipboardViewer.ValidFormat

TCustomClipboardViewer

function ValidFormat ( Format: TClipboardViewFormat ): Boolean;


(Untitled)

RxQuery Properties

RxQuery By object Legend

MacroChar

MacroCount

Macros

OpenStatus


TAppEvents.OnHint

TAppEvents

DoHint is triggered when hint is triggered.

Method DoHint(Sender: TObject);


TComObject.CreateAggregated

TComObject

constructor CreateAggregated ( const Controller: IUnknown );


TRxSpinEdit.EditorEnabled

TRxSpinEdit

Set this property to True to allow a user to type in a numeric value into the edit portion.

property EditorEnabled: Boolean;

Description

When this property is False, only the buttons or arrow keys can be used to modify the Value.


TRxDBCalcEdit.OnEndDock

TRxDBCalcEdit

property OnEndDock;


TRxDBGrid.RestoreLayout

TRxDBGridSee also

From the inifile, this method extracts the layout property information and restores the property information to the column, rows of the string-grid.

procedure RestoreLayout ( IniFile: TIniFile );


TRxHintWindow.ActivateHintData

TRxHintWindow

procedure ActivateHintData ( Rect: TRect; const AHint: string; AData: Pointer );


TDBLocate.UseKey

TDBLocate

function UseKey: Boolean;


(Untitled)

TRxDBFilter Properties

TRxDBFilter By object Legend

Active

Captured

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSource

DesignInfo

ExprFilter

Filter

FuncFilter

Handle

LogicCond

Name

Options

Owner

Priority

Tag

VCLComObject


AppUtils.SaveFormPlacement

AppUtils

SaveFormPlacement writes state (normal, minimize, maximize) and placement (size and position) of Delphi form Form to an INI file specified by IniFileName parameter (or to the Windows95/NT system registry in 32-bit Delphi versions).

procedure SaveFormPlacement(Form: TForm; const IniFileName: string; UseRegistry: Boolean);

Description

To retrieve form's placement from an INI file or system registry use RestoreFormPlacement procedure.

SaveFormPlacement example:

SaveFormPlacement(MyForm, GetDefaultIniName);


TSliderOption

TSliderOption is a set of values for the Options property of the TRxSlider component.

Unit

RXSlider

Description

ValueMeaning

soShowFocus

soShowPoints

soSmooth

soRulerOpaque

soThumbOpaque


(Untitled)

TRxDBComboEdit Properties

TRxDBComboEdit By object Legend

Action

Align

Anchors

AutoSelect

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CharCase

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DataField

DataSource

DesignInfo

DirectInput

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Field

Floating

FloatingDockSiteClass

Font

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TRxDrawGrid.CanEditAcceptKey

TRxDrawGrid

function CanEditAcceptKey ( Key: Char ): Boolean;


TLocateObject.Locate

TLocateObject

Searches the dataset specified by DataSet property for a specific record and position the cursor on it.

property function Locate(const KeyField, KeyValue: string; Exact, CaseSensitive: Boolean): Boolean;

Description

KeyField parameter is a string specified field name on which to search.

KeyValue is a string containing the value to match in the key field.

If CaseSensitive parameter is False, then Locate ignores case when matching string fields.

If Exact parameter is False, then Locate finds the first record that fulfills at least some initial part of the KeyValue criteria for record matching.

Locate returns True if it finds a matching record, and makes that record the current one. Otherwise Locate returns False.


(Untitled)

TCustomNumEdit Events


TRxCustomListBox.DragCanceled

TRxCustomListBox

procedure DragCanceled;


TDBIndexCombo.OnClick

TDBIndexCombo

property OnClick;


TRxCustomListBox.GraySelection

TRxCustomListBox

property GraySelection: Boolean read FGraySelection write SetGraySelection default False;


TAnimatedCursorImage.Clear

TAnimatedCursorImage

procedure Clear;


(Untitled)

TStrHolder Methods

TStrHolder Alphabetically Legend

In TStrHolder

Assign

AssignTo

Changed

Changing

Clear

Create

DefineProperties

Destroy

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction


VCLUtils.DrawBitmapRectTransparent

VCLUtils

DrawBitmapRectTransparent paints the rectangular part (specified by SrcRect parameter) of bitmap specified by the Bitmap parameter on the canvas Dest at the location given by the coordinates (DstX, DstY).

property procedure DrawBitmapRectTransparent(Dest: TCanvas; DstX, DstY: Integer; SrcRect: TRect; Bitmap: TBitmap; TransparentColor: TColor);

Description

TransparentColor determines which color of the bitmap is to be transparent when the bitmap is drawn.

To draw whole bitmap image transparency use DrawBitmapTransparent procedure.

DrawBitmapRectTransparent example:

var

__Bmp: TBitmap;

begin

__Bmp := Image1.Picture.Bitmap;

__DrawBitmapRectTransparent(PaintBox1.Canvas, 10, 10,

__Rect(0, 0, Bmp.Width div 2, Bmp.Height div 2), Bmp, clOlive);

end;


TColorComboBox.OnKeyUp

TColorComboBox

property OnKeyUp;


(Untitled)

TCustomDBComboBox Methods

TCustomDBComboBox Alphabetically Legend

In TCustomDBComboBox

Change

Click

ComboWndProc

Create

CreateWnd

Destroy

DropDown

ExecuteAction

GetPaintText

KeyDown

KeyPress

Loaded

Notification

SetStyle

UpdateAction

UseRightToLeftAlignment

WndProc

Derived from TCustomComboBox

Clear

Focused

SelectAll

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

Derived from TPersistent

Assign


(Untitled)

TTableList Properties

TTableList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

AutoRefresh

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Database

DatabaseName

DataSetField

DataSource

DBHandle

DBLocale

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

ExtendedInfo

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

FileMask

Filter

Filtered

FilterOptions

Found

Handle

ItemName

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

SystemItems

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TCustomNumEdit.CheckOnExit

TCustomNumEdit

property CheckOnExit: Boolean read FCheckOnExit write FCheckOnExit default False;


TPageProxy.SetParentComponent

TPageProxy

procedure SetParentComponent ( Value: TComponent );


THugeList.Capacity

THugeList

property Capacity: Longint read FCapacity write SetCapacity;


TRxTimer.Timer

TRxTimer

procedure Timer;


TRxTextAttributes.Create

TRxTextAttributes

constructor Create ( AOwner: TRxCustomRichEdit; AttributeType: TRxAttributeType );


VCLUtils.Win32Check

VCLUtils

Win32Check checks the return value of a Windows 32-bit API call and raises an appropriate exception when it indicates failure.

property function Win32Check(RetVal: Bool): Bool;

Description

Call Win32Check with the return value of a Windows API call that returns a Boolean to indicate success or failure. If the Windows API function returns False (indicating failure), Win32Check raise an exception with message returned as

SysErrorMessage(GetLastError).

If the API function returns True, Win32Check returns True.

This function presents only in RX version for Delphi 2.0. In Delphi 3.0 such function presents in standard module SYSUTILS.PAS.

Win32Check example:

Win32Check(CreateDirectory('C:\myworld\private', nil));


TRxDice.ParentColor

TRxDice

property ParentColor;


StrUtils.RomanToInt

StrUtils

RomanToInt converts the given string to an integer value. If the string doesn't contain a valid roman numeric value, the 0 value is returned.

property function RomanToInt(const S: string): Longint;

Description

RomanToInt example:

__I := RomanToInt('MCMXVI');


TRxLookupEdit.OnClick

TRxLookupEdit

property OnClick;


TRxLookupControl.ClearValue

TRxLookupControl

procedure ClearValue;


(Untitled)

TDatabaseList Properties

TDatabaseList By object Legend

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AggFields

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

BlockReadSize

Bof

Bookmark

CacheBlobs

CachedUpdates

CanModify

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DataSetField

DataSource

DBSession

DefaultFields

Designer

DesignInfo

Eof

ExpIndex

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Filter

Filtered

FilterOptions

Found

Handle

KeySize

Locale

Modified

Name

ObjectView

Owner

RecNo

RecordCount

RecordSize

SessionName

SparseArrays

State

Tag

UpdateObject

UpdateRecordTypes

UpdatesPending

VCLComObject


TOnTraceEvent

The TOnTraceEvent type points to the method that handles the OnTrace event of the TDBProgress component.

Unit

DbPrgrss

property TOnTraceEvent = procedure(Sender: TObject; Flag: TTraceFlag; const Msg: string) of object;


TRxCalcEdit.ButtonHint

TRxCalcEdit

property ButtonHint;


TRxMemoryData.GetRecordCount

TRxMemoryData

function GetRecordCount: Integer;


TDBIndexCombo.ImeMode

TDBIndexCombo

property ImeMode;


TMenuOwnerDrawState

Items states

Unit

RxMenus

Description

ValueMeaning

mdSelected

mdGrayed

mdDisabled

mdChecked

mdFocused

mdDefault


TRxSpeedButton.OnStartDrag

TRxSpeedButton

property OnStartDrag;


(Untitled)

TRxCustomRichEdit Properties

TRxCustomRichEdit By object Legend

Action

Align

AllowInPlace

AllowObjects

Anchors

AutoURLDetect

AutoVerbMenu

BiDiMode

BoundsRect

Brush

CanFindNext

CanPaste

CanRedo

CanUndo

CaretPos

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DefAttributes

DefaultConverter

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

HideScrollBars

HideSelection

Hint

HostDockSite

LangOptions

Left

Lines

LRDockWidth

Modified

Name

Owner

PageRect

Paragraph

Parent

ParentWindow

PlainText

RedoName

SelAttributes

SelectionBar

SelectionType

SelLength

SelStart

SelText

ShowHint

Showing

StreamFormat

StreamMode

TabOrder

TabStop

Tag

TBDockHeight

Text

Title

Top

UndockHeight

UndockWidth

UndoLimit

UndoName

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

WordAttributes

WordSelection


TCloseUpEvent

Unit

ToolEdit

TCloseUpEvent ( Sender : TObject ; Accept : Boolean )of object ;


TCustomDateEdit.UpdateMask

TCustomDateEdit

procedure UpdateMask;


BoxProcs.BoxDragOver

BoxProcs

This is Intended to be used in the OnDragOver event handlers.

property procedure BoxDragOver(List: TCustomListBox; Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean; Sorted: Boolean);

Description

BoxDragOver example:

procedure TMyForm.MyListDragOver(Sender, Source: TObject; X, Y: Integer; State:

TDragState; var Accept: Boolean);

begin

__BoxDragOver(MyList, Source, X, Y, State, Accept, MyList.Sorted);

__if State = dsDragLeave then

____(Source as TListBox).DragCursor := crDrag;

__if (State = dsDragEnter) and ((Source as TListBox).SelCount > 1) then

____(Source as TListBox).DragCursor := crMultiDrag;

end;


TRxDBLookupCombo.Anchors

TRxDBLookupCombo

property Anchors;


TRxDBRichEdit.AllowObjects

TRxDBRichEdit

property AllowObjects;


TScriptErrorEvent

Unit

RxQuery

TScriptErrorEvent ( Sender : TObject ; E : EDatabaseError ; LineNo , StatementNo : Integer ; var Action : TScriptAction )of object ;


TAppEvents.PaintIcon

TAppEvents

procedure PaintIcon;


TRxRemoteLogin

Hierarchy Properties Methods Events

Unit

RxRemLog


TCurrencyEdit.AsInteger

TCurrencyEdit

Run-time only. This is a conversion property. For a TCurrencyEdit and TRxCalcEdit, AsInteger can be used to read or set the Value as a Longint.

property AsInteger: Longint;


TComboEdit.OnExit

TComboEdit

property OnExit;


TAnimatedImage.Stretch

TAnimatedImage

property Stretch: Boolean read FStretch write SetStretch default True;


TRxDBComboEdit.TabOrder

TRxDBComboEdit

property TabOrder;


TSpeedbarCompEditor

Hierarchy

Unit

SbEdit


(Untitled)

TDualListForm Properties

TDualListForm Alphabetically Legend

In TDualListForm

ShowHelp

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TVersionInfo.LegalTrademarks

TVersionInfo

This contains the string specifying all trademarks and registered trademarks that apply to the file.

property LegalTrademarks: string;

Description

This should include the full text of all notices, legal symbols, trademark numbers, and so on.


TGIFImage.AssignTo

TGIFImage

procedure AssignTo ( Dest: TPersistent );


TComServerObject.GetHelpFileName

TComServerObject

function GetHelpFileName: string;


TSpeedItem.Margin

TSpeedItem

property Margin: Integer read GetMargin write SetMargin default - 1


TRxLookupEdit.ImeMode

TRxLookupEdit

property ImeMode;


TRxClock.Alarm

TRxClock

procedure Alarm;


TSpeedbarEditor.EditAction

TSpeedbarEditor

procedure EditAction ( Action: TEditAction );


(Untitled)

TRxCalculator Properties

TRxCalculator Alphabetically Legend

In TRxCalculator

BeepOnError

CalcDisplay

Ctl3D

HelpContext

Memory

Precision

Title

Value

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TPageManager.SetPage

TPageManager

Set the current page to the new page.

property procedure SetPage(NewPageIndex: Integer; Next: Boolean);


TAnimatedImage.OnEndDrag

TAnimatedImage

property OnEndDrag;


(Untitled)

TFormHistory Properties

TFormHistory By object Legend

Capacity

Count

Current

Forms

HistoryCapacity

Items

List


TPageHistory.Create

TPageHistory

constructor Create;


TRxMainMenu.Notification

TRxMainMenu

procedure Notification ( AComponent: TComponent; Operation: TOperation );


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomEdit

|

TCustomMaskEdit

|

TCustomComboEdit

|

TFileDirEdit


TRxDBRichEdit.Change

TRxDBRichEdit

procedure Change;


(Untitled)

TRxButtonGlyph Properties

TRxButtonGlyph Alphabetically Legend

In TRxButtonGlyph

Alignment

Glyph

NumGlyphs

WordWrap


TRxDBCalcEdit.OnEnter

TRxDBCalcEdit

property OnEnter;


TFilenameEdit.OnDropFiles

TFilenameEdit

If the AcceptFiles property is True then this event is called when files are dropped on the edit box from FileManager or Windows Explorer.

OnDropFiles: TNotifyEvent;


TGIFImage.Frames

TGIFImage

Procedure returns the GIF frame from the index.

property Frames[Index: Integer]: TGIFFrame;

Description

This is used to obtain (or extract) a particular frame from the GIF animated file.


TTextListBox.ExtendedSelect

TTextListBox

property ExtendedSelect;


TRxCheckListBox.Create

TRxCheckListBox

constructor Create ( AOwner: TComponent );


TFilenameEdit.DragCursor

TFilenameEdit

property DragCursor;


TRxTrayIcon.OnDblClick

TRxTrayIcon

property OnDblClick: TNotifyEvent read FOnDblClick write FOnDblClick;


(Untitled)

TRxCustomSlider Methods

TRxCustomSlider Alphabetically Legend

In TRxCustomSlider

AlignControls

CanModify

Change

Changed

Create

DefaultDrawPoints

DefineProperties

Destroy

GetSliderRect

GetSliderValue

KeyDown

Loaded

MouseDown

MouseMove

MouseUp

Paint

RangeChanged

SetRange

Sized

ThumbMouseDown

ThumbMouseMove

ThumbMouseUp

Derived from TCustomControl

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DefaultHandler

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

MouseWheelHandler

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

SetFocus

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

Show

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TDBDateEdit.PopupAlign

TDBDateEdit

property PopupAlign;


TDBStatusLabel.OnDragOver

TDBStatusLabel

property OnDragOver;


TFieldList

Hierarchy Properties Methods Events

List of a fields

Unit

DBLists


TTableItems.PhysTypes

TTableItems

property PhysTypes;


TRxClock.OnConstrainedResize

TRxClock

property OnConstrainedResize;


TRxDBRichEdit.MaxLength

TRxDBRichEdit

property MaxLength;


(Untitled)

TMetafileCanvas Events

TMetafileCanvas By object Legend

OnChange

OnChanging


TRxMathParser.Exec

TRxMathParser

Call Exec to retrieve computed value of expression specified by AFormula parameter. When calculating error occured the ERxParserError exception is raised.

property function Exec(AFormula: String): Double;

Description

Method Exec example

if rxMathParser1.Exec('2+Cos(2)') then

Label1.Caption := 'Ok! Result = ' + FloatToStr(rxMathParser1.ResValue);


(Untitled)

THugeList Events

THugeList Alphabetically Legend

In THugeList

OnDestroyObject


(Untitled)

TRxCustomLogin Events

TRxCustomLogin Alphabetically Legend

In TRxCustomLogin

AfterLogin

BeforeLogin

OnIconDblClick

OnUnlock


StrUtils.DelSpace1

StrUtils

DelSpace1 return a string with all non-single white spaces removed.

property function DelSpace1(const S: string): string;

Description

DelSpace1 example:

var S: string;

begin

__S := 'Let It Be';

__S := DelSpace1(S);

__ShowMessage(S); \\\\\\\ here S = 'Let It Be' \\\\\\\

end;


(Untitled)

TDBLocate Methods

TDBLocate Alphabetically Legend

In TDBLocate

ActiveChanged

AsyncQrySupported

CheckFieldType

CheckOpen

ConvertStringToLogicType

CurrentRecordDeleted

DataSetFindValue

DataSetPositionStr

DataSetRecNo

DataSetShowDeleted

DeleteRange

Destroy

ExecuteQuery

ExportDataSet

FetchAllRecords

FieldLogicMap

FilterApplicable

GetAliasPath

GetBDEDirectory

InitRSRun

IsBookmarkStable

LocateFilter

LocateKey

PackTable

RestoreIndex

SetIndex

SetToBookmark

TransActive

UseKey

Derived from TLocateObject

AssignRecord

CheckRequiredField

ConfirmDataSetCancel

ConfirmDelete

DataSetSortedSearch

FormatAnsiSQLCondition

FormatSQLCondition

FormatSQLDateRange

Locate

RefreshQuery

RestoreFields

RestoreFieldsReg

SaveFields

SaveFieldsReg


TPageManager.GetChildren

TPageManager

procedure GetChildren ( Proc: TGetChildProc; Root: TComponent );


(Untitled)

TRxDBGrid Events

TRxDBGrid By object Legend

OnCellClick

OnCheckButton

OnColEnter

OnColExit

OnColumnMoved

OnDblClick

OnDragDrop

OnDragOver

OnDrawColumnCell

OnDrawDataCell

OnEditButtonClick

OnEditChange

OnEndDock

OnEndDrag

OnEnter

OnExit

OnGetBtnParams

OnGetCellParams

OnGetCellProps

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheelDown

OnMouseWheelUp

OnShowEditor

OnStartDock

OnStartDrag

OnTitleBtnClick

OnTitleClick


TComboEdit.EditMask

TComboEdit

property EditMask;


(Untitled)

TPageProxy Properties

TPageProxy Alphabetically Legend

In TPageProxy

PageManager

PageName

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TFilenameEdit Methods

TFilenameEdit By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

ButtonClick

CanFocus

Clear

ClearFileList

ClearSelection

ClearUndo

ClientToScreen

ContainsControl

ControlAtPos

CopyToClipboard

Create

CreateParented

CutToClipboard

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

Dock

DockDrop

DoClick

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetLongName

GetNamePath

GetParentComponent

GetSelTextBuf

GetShortName

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

PasteFromClipboard

Perform

Realign

ReceptFileDir

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SelectAll

SendToBack

SetBounds

SetFocus

SetSelTextBuf

SetTextBuf

Show

Undo

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

ValidateEdit


TResourceEntry.GetName

TResourceEntry

function GetName: string;


(Untitled)

TRxDBCalcEdit Events

TRxDBCalcEdit Alphabetically Legend

In TRxDBCalcEdit

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TWinControl

Derived from TControl


(Untitled)

TScreenCanvas Events

TScreenCanvas By object Legend

OnChange

OnChanging


TDBSecurity.Database

TDBSecurity

Specifies the Database component for which TDBSecurity component provides standard dialogs and login to by calling Login method.

property Database: TDatabase;


(Untitled)

TProxyEditor Methods

TProxyEditor Alphabetically Legend

In TProxyEditor

Activated

ComponentDeleted

FormClosed

FormModified

GetEditState

NameProxy

UniqueName


TPopupDataWindow.OnCloseUp

TPopupDataWindow

property OnCloseUp: TCloseUpEvent read FCloseUp write FCloseUp;


TFontComboBox.TabOrder

TFontComboBox

property TabOrder;


TConverter.FloatFormat

TConverter

The value of this property controls the format of float values when TConverter component converts float data to string and backward.

property FloatFormat: TFloatFormat;


TRxDBRichEdit.DataSource

TRxDBRichEdit

property DataSource: TDataSource read GetDataSource write SetDataSource;


AppUtils.SaveMDIChildren

AppUtils

This procedure stores in INI-file set and placements of opened MDI-child forms in MDI application.

property procedure SaveMDIChildren(MainForm: TForm; IniFile: TIniFile);

Description

Use SaveMDIChildren with RestoreMDIChildren to open all child forms stored by SaveMDIChildren. You must register all MDI-child form classes by RegisterClass or RegisterClasses procedure to use these classes in SaveMDIChildren and RestoreMDIChildren procedures.

SaveMDIChildren example:

SaveMDIChildren(MainForm, IniFile);


TCurrencyEdit.OnDblClick

TCurrencyEdit

property OnDblClick;


TRxLookupControl.LookupField

TRxLookupControl

property LookupField: string read GetLookupField write SetLookupField;


TRxDBRichEdit.BiDiMode

TRxDBRichEdit

property BiDiMode;


(Untitled)

TAppEvents Properties

TAppEvents By object Legend

BiDiMode

Canvas

Chained

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

HintColor

HintHidePause

HintPause

HintShortCuts

HintShortPause

MouseDragImmediate

MouseDragThreshold

Name

Owner

ShowHint

ShowMainForm

Tag

UpdateFormatSettings

UpdateMetricSettings

VCLComObject


StrUtils.MakeStr

StrUtils

MakeStr return a string of length N filled with character C.

property function MakeStr(C: Char; N: Integer): string;

Description

MakeStr example:

__S := MakeStr(' ', 10);


TRxLookupEdit.ClickKey

TRxLookupEdit

property ClickKey;


TDBIndexCombo.ParentCtl3D

TDBIndexCombo

property ParentCtl3D;


TRxLookupControl.OnChange

TRxLookupControl

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TRxGradientCaption.Loaded

TRxGradientCaption

procedure Loaded;


TFileDirEdit.Create

TFileDirEdit

constructor Create ( AOwner: TComponent );


(Untitled)

TDBListDataSet Methods

TDBListDataSet Alphabetically Legend

In TDBListDataSet

GetRecordCount

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCustomDateEdit.Destroy

TCustomDateEdit

destructor Destroy;


TComServerObject.ServerFileName

TComServerObject

property ServerFileName: string read GetServerFileName;


(Untitled)

TCheckItemsEditor Events

TCheckItemsEditor Alphabetically Legend

Derived from TForm

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock

Derived from TWinControl

Derived from TControl


TIniLink.SaveToIni

TIniLink

procedure SaveToIni;


TRxDBComboEdit.HideSelection

TRxDBComboEdit

property HideSelection;


TCheckItemEditor

Hierarchy Properties Methods Events

Unit

CheckItm


TRxDBRichEdit.OnDragDrop

TRxDBRichEdit

property OnDragDrop;


TComboEdit.ParentColor

TComboEdit

property ParentColor;


TDatabaseItems.ItemType

TDatabaseItems

property ItemType;


TRxCustomListBox.TopIndex

TRxCustomListBox

property TopIndex: Integer read GetTopIndex write SetTopIndex;


TFilenameEdit.DragMode

TFilenameEdit

property DragMode;


TSecretPanel.OnMouseMove

TSecretPanel

property OnMouseMove;


TAppEvents.OnPaintIcon

TAppEvents

OnPaintIcon occurs when the minimized application receives a Windows paint message. Use OnPaint to perform special processing when the application's icon is redrawn. Any special painting should be done in this event. You should use the Canvas property to paint application's icon.

property OnPaintIcon: TNotifyEvent;


TSpeedBar.BevelInner

TSpeedBar

property BevelInner;


TColorComboBox.Style

TColorComboBox

property Style;


TRxSplitter.Visible

TRxSplitter

property Visible;


TAppEvents.OnActiveControlChange

TAppEvents

property OnActiveControlChange: TNotifyEvent read FOnActiveControlChange write FOnActiveControlChange;


TRxDBCalcEdit.MaxValue

TRxDBCalcEdit

property MaxValue;


(Untitled)

TFontComboBox Properties

TFontComboBox By object Legend

Action

Align

Anchors

BiDiMode

BoundsRect

Brush

Canvas

CharCase

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DesignInfo

Device

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

DroppedDown

Enabled

Floating

FloatingDockSiteClass

Font

FontName

Handle

Height

HelpContext

Hint

HostDockSite

ImeMode

ImeName

ItemIndex

Items

Left

LRDockWidth

Name

Options

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupMenu

SelLength

SelStart

SelText

ShowHint

Showing

Style

TabOrder

TabStop

Tag

TBDockHeight

Top

TrueTypeOnly

UndockHeight

UndockWidth

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


TPageManager.PriorBtn

TPageManager

PriorBtn defines which control to the PriorBtn on the form which should be used to control the pages.

property PriorBtn: TControl;


TRxCheckListBox.OnDragOver

TRxCheckListBox

property OnDragOver;


TMinMaxInfoEditDialog

Hierarchy Properties Methods Events

Unit

MinMaxEd


TColorComboBox.DragMode

TColorComboBox

property DragMode;


TRxDice.Color

TRxDice

property Color;


TRxCalcEdit.OnClick

TRxCalcEdit

property OnClick;


TRxDBRichEdit.UndoLimit

TRxDBRichEdit

property UndoLimit;


TOEMConversion.ConvertWriteStream

TOEMConversion

function ConvertWriteStream ( Stream: TStream; Buffer: PChar; BufSize: Integer ): Integer;


TRxCheckListBox.OnKeyUp

TRxCheckListBox

property OnKeyUp;


TRxSwitch.CreateParams

TRxSwitch

procedure CreateParams ( var Params: TCreateParams );


TButtonImage.DrawButtonGlyph

TButtonImage

function DrawButtonGlyph ( Canvas: TCanvas; X , Y: Integer; State: TRxButtonState ): TPoint;


TTypedComObject.GetClassInfo

TTypedComObject

function GetClassInfo ( out TypeInfo: ITypeInfo ): HResult;


TRxGIFAnimator.OnDblClick

TRxGIFAnimator

property OnDblClick;


TRxLoginForm

Hierarchy Properties Methods Events

Unit

RxLogin


TConverter.DisplayTrue

TConverter

The DisplayFalse and DisplayTrue properties controls the manner in which boolean values are translated to and from string format by the TConverter component.

property DisplayTrue: string;


TRxCustomRichEdit.ReplaceDialog

TRxCustomRichEdit

function ReplaceDialog ( const SearchStr , ReplaceStr: string ): TReplaceDialog;


TRxCalcEdit.ImeMode

TRxCalcEdit

property ImeMode;


TRxSwitch.OnDblClick

TRxSwitch

property OnDblClick;


(Untitled)

TIconList Methods

TIconList Alphabetically Legend

In TIconList

Add

AddResource

Assign

BeginUpdate

Changed

Clear

Create

DefineProperties

Delete

Destroy

EndUpdate

Exchange

Get

GetCount

IndexOf

Insert

InsertResource

LoadFromStream

LoadResource

Move

Put

SaveToStream

Derived from TPersistent

GetNamePath


TRxCalcEdit.OnMouseMove

TRxCalcEdit

property OnMouseMove;


TRxDBCalcEdit.ParentShowHint

TRxDBCalcEdit

property ParentShowHint;


TRxCustomLogin.UpdateCaption

TRxCustomLogin

property UpdateCaption: TUpdateCaption read FUpdateCaption write FUpdateCaption default ucNoChange;


TRxCalcEdit.ClickKey

TRxCalcEdit

property ClickKey;


TFilenameEdit.OnKeyUp

TFilenameEdit

property OnKeyUp;


TDatabaseItems

Hierarchy Properties Methods Events

Unit

DBLists


TPageManager.Create

TPageManager

constructor Create ( AOwner: TComponent );


TRxDBGrid.SelCount

TRxDBGrid

property SelCount: Longint read GetSelCount;


TRxGIFAnimator.OnEndDrag

TRxGIFAnimator

property OnEndDrag;


TTypedComObjectFactory.UpdateRegistry

TTypedComObjectFactory

procedure UpdateRegistry ( Register: Boolean );


(Untitled)

TCheckItemsEditor Methods

TCheckItemsEditor By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


(Untitled)

TCustomDateEdit Properties

TCustomDateEdit Alphabetically Legend

In TCustomDateEdit

BlanksChar

CalendarHints

CalendarStyle

CheckOnExit

Date

DefaultToday

DialogTitle

Formatting

PopupColor

StartOfWeek

WeekendColor

Weekends

YearDigits

Derived from TCustomComboEdit

Derived from TCustomMaskEdit

EditText

IsMasked

Text

Derived from TCustomEdit

CanUndo

Modified

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TFormHistory.Forms

TFormHistory

property Forms [ Index: Integer ]: TCustomForm read GetForm;


TRxDBFilter.FuncFilter

TRxDBFilter

Specifies the Borland Database Engine (BDE) filter handle for the filter, which use the OnFiltering event handler.

property FuncFilter: hDBIFilter;


TFormPlacement.Active

TFormPlacement

This property will activate the processing required to save and restore the form's positions.

property Active: Boolean;


TResourceStream.Write

TResourceStream

function Write ( const Buffer; Count: Longint ): Longint;


TSecretPanel.Create

TSecretPanel

constructor Create ( AOwner: TComponent );


TRxDBRichEdit.OnSelectionChange

TRxDBRichEdit

property OnSelectionChange;


TLocateObject.LocateFilter

TLocateObject

function LocateFilter: Boolean;


(Untitled)

TMemoryRecord Properties

TMemoryRecord By object Legend

Data

ID

Index

MemoryData


(Untitled)

TRxCaptionList Properties

TRxCaptionList By object Legend

Count

ItemClass

Items

Parent


TRxCheckListBox.WMDestroy

TRxCheckListBox

procedure WMDestroy ( var Msg: TWMDestroy );


TCustomTableItems.CreateHandle

TCustomTableItems

function CreateHandle: HDBICur;


(Untitled)

TAppEvents Properties

TAppEvents Alphabetically Legend

In TAppEvents

BiDiMode

Canvas

Chained

HintColor

HintHidePause

HintPause

HintShortCuts

HintShortPause

MouseDragImmediate

MouseDragThreshold

ShowHint

ShowMainForm

UpdateFormatSettings

UpdateMetricSettings

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxRichEdit.Title

TRxRichEdit

property Title;


TRxDBRichEdit.Constraints

TRxDBRichEdit

property Constraints;


TDBDateEdit.ShowHint

TDBDateEdit

property ShowHint;


TDBDateEdit.Anchors

TDBDateEdit

property Anchors;


TDBStatusLabel.Constraints

TDBStatusLabel

property Constraints;


TRxSpinButton.OnStartDock

TRxSpinButton

property OnStartDock;


(Untitled)

TRxGradientCaption Events

TRxGradientCaption Alphabetically Legend

In TRxGradientCaption

OnActivate

OnDeactivate


TRxTimerList.Count

TRxTimerList

Count returns the total number of timer events. The number returned by Count includes both enabled and disabled timers.

property Count: Integer;


TTitleClickEvent

TTitleClickEvent is the type of the OnTitleClick event of the TRxDBGrid component.

Unit

RXDBCtrl

TTitleClickEvent = procedure (Sender: TObject; ACol: Longint; Field: TField) of object;


TNotifyThread.Finished

TNotifyThread

property Finished: Boolean read FFinished;


(Untitled)

Scope

Published

Protected

Accessibility

Read-only


(Untitled)

TIndexList Events

TIndexList Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


TRxSplitter.Changed

TRxSplitter

procedure Changed;


(Untitled)

TFilenameEdit Events

TFilenameEdit By object Legend

OnAfterDialog

OnBeforeDialog

OnButtonClick

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropFiles

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


TRxCustomSlider.ThumbOffset

TRxCustomSlider

property ThumbOffset: Integer read GetThumbOffset write SetThumbOffset;


(Untitled)

TAutoIntfObject Properties

TAutoIntfObject By object Legend

DispIID

DispIntfEntry

DispTypeInfo

RefCount


(Untitled)

TRxLabel Methods

TRxLabel By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TDualListDialog.Create

TDualListDialog

constructor Create ( AOwner: TComponent );


(Untitled)

TRxLabel Methods

TRxLabel Alphabetically Legend

Derived from TRxCustomLabel

Create

Derived from TGraphicControl

Destroy

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DefaultHandler

Dock

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

Invalidate

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

Repaint

ReplaceDockedControl

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Update

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TIconList Properties

TIconList By object Legend

Count

Icons


TResSelection

Unit

RxResExp

TResSelection record

ResName:string;

ResType:string;

end;


TRxCaption.GetParentCaption

TRxCaption

function GetParentCaption: TRxGradientCaption;


RxGraph.GetBitmapPixelFormat

RxGraph

The GetBitmapPixelFormat procedure determines in what bit format the bitmap image is displayed.

function GetBitmapPixelFormat(ABitmap: TBitmap): TPixelFormat;

Description

GetBitmapPixelFormat example:

if GetBitmapPixelFormat(Image.Bitmap) > pf8bit then

__SetBitmapPixelFormat(Image.Bitmap, pf8bit, mmQuantize);


TMergeManager.GotoHistoryIndex

TMergeManager

GotoHistoryIndex(HistoryIndex: Integer);


TRxCustomRichEdit.ObjectPropertiesDialog

TRxCustomRichEdit

function ObjectPropertiesDialog: Boolean;


TCustomDateEdit.GetDateMask

TCustomDateEdit

function GetDateMask: string;


TRxImageControl.Unlock

TRxImageControl

procedure Unlock;


TRxDBGrid.CheckTitleButton

TRxDBGrid

procedure CheckTitleButton ( ACol , ARow: Longint; var Enabled: Boolean );


(Untitled)

TDBListDataSet Events

TDBListDataSet Alphabetically Legend

Derived from TDBDataSet

OnFilterRecord

Derived from TBDEDataSet

OnCalcFields

OnDeleteError

OnEditError

OnNewRecord

OnPostError

OnUpdateError

OnUpdateRecord

Derived from TDataSet

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll


(Untitled)

TLocateObject Methods

TLocateObject Alphabetically Legend

In TLocateObject

ActiveChanged

AssignRecord

CheckFieldType

CheckRequiredField

ConfirmDataSetCancel

ConfirmDelete

DataSetSortedSearch

FilterApplicable

FormatAnsiSQLCondition

FormatSQLCondition

FormatSQLDateRange

Locate

LocateFilter

LocateFull

LocateKey

MatchesLookup

RefreshQuery

RestoreFields

RestoreFieldsReg

SaveFields

SaveFieldsReg

UseKey


TRxRichEdit.DragKind

TRxRichEdit

property DragKind;


TRxDBLookupList.OnKeyUp

TRxDBLookupList

property OnKeyUp;


TGlyphLayout

TGlyphLayout defines the values the GlyphLayout property of a secret panel (TSecretPanel) can assume.

Unit

RXCtrls

property TGlyphLayout = (glGlyphLeft, glGlyphRight, glGlyphTop, glGlyphBottom);

Description

ValueMeaning

glGlyphLeft

glGlyphRight

glGlyphTop

glGlyphBottom


TRxMemoryData.AfterPost

TRxMemoryData

property AfterPost;


TDBStatusLabel.OnEndDrag

TDBStatusLabel

property OnEndDrag;


TClipboardViewer.DragKind

TClipboardViewer

property DragKind;


AppUtils.RestoreMDIChildrenReg

AppUtils

This procedure restores from Windows System Registry set and placements of MDI-child forms in MDI application.

property procedure RestoreMDIChildrenReg(MainForm: TForm; IniFile: TRegIniFile);

Description

Use RestoreMDIChildrenReg with SaveMDIChildrenReg to store all child forms in

Registry.

You must register all MDI-child form classes by RegisterClass or RegisterClasses

procedure to use these classes in SaveMDIChildrenReg and RestoreMDIChildrenReg

procedures.

RestoreMDIChildrenReg example:

RestoreMDIChildrenReg(MainForm, RegIniFile);

...

initialization

__RegisterClasses([TChildForm1, TChildForm2]);

end.


TRxCustomRichEdit.PlainText

TRxCustomRichEdit

property PlainText: Boolean read FPlainText write SetPlainText default False;


TRxClock.Enabled

TRxClock

property Enabled;


TComboEdit.ButtonWidth

TComboEdit

For button edits, use this property to specify the width of the button.

property ButtonWidth: Integer;

Description

Set this property to zero value to hide the button in a combo-edit control.


(Untitled)

TRxImageControl Methods

TRxImageControl By object Legend

AdjustSize

Assign

BeforeDestruction

BeginDrag

BringToFront

ClientToScreen

Create

DefaultHandler

Destroy

DestroyComponents

Destroying

Dock

DoPaintControl

DoPaintImage

DoPaletteChange

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetTextBuf

GetTextLen

HasParent

Hide

InitiateAction

InsertComponent

Invalidate

IsRightToLeft

Lock

ManualDock

ManualFloat

PaintDesignRect

PaintImage

Perform

PictureChanged

Refresh

RemoveComponent

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScreenToClient

SendToBack

SetBounds

SetTextBuf

Show

Unlock

Update

UpdateAction

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TRxCustomRichEdit.Redo

TRxCustomRichEdit

procedure Redo;


TRxSlider.OnChange

TRxSlider

property OnChange;


TConverter.DataType

TConverter

The DataType identifies the data type of the value stored in the TConverter component.

property DataType: TDataType;


TDBProgress.Loaded

TDBProgress

procedure Loaded;


TRxCustomRichEdit.CanRedo

TRxCustomRichEdit

property CanRedo: Boolean read GetCanRedo;


TRxIniFile.ReadList

TRxIniFile

ReadList reads a list from a section of the INI file.

function ReadList(const Section: string; List: TStrings): TStrings;


TDateTimeFormat.Destroy

TDateTimeFormat

destructor Destroy;


TRxSplitter.UpdateState

TRxSplitter

procedure UpdateState;


TRxSpinEdit.ReadOnly

TRxSpinEdit

property ReadOnly;


TObjectStrings

Hierarchy Properties Methods Events

Class TObjectStrings is similar to TStringList, but TStringList never dereferences the pointer, stored in the list as Objects property.

Unit

ObjStr

Description

Unlike the TStrings and TStringList, when items are deleted from the TObjectStrings list and when the list is destroyed, these items are freed and dereferenced. By default, the DestroyObject virtual method calls the OnDestroyObject event handler, which calls

TObject.Free to free and dereference the object.

You can change this behavior by specifying what processing you want to occur in the OnDestroyObject event handler.


(Untitled)

TDualListForm Methods

TDualListForm Alphabetically Legend

In TDualListForm

CreateParams

SetButtons

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TCurrencyEdit.DecimalPlaces

TCurrencyEdit

DecimalPlaces is the number of digits that are displayed to the right of the decimal point.

property DecimalPlaces: Word;

Description

This property can be used to set a decimal position that will display a fractional portion of the Value only if one exists and the TCurrencyEdit or the TRxCalcEdit component have focus.


TRxSpeedButton.OnMouseDown

TRxSpeedButton

property OnMouseDown;


TRxMathParser

Hierarchy Methods

The TRxMathParser is a class for parsing and evaluating simple mathematical expressions specified at run-time.

Unit

Parsing

Description

The programming interface is simple: specify expression to be evaluated in AFormula parameter of Exec method, call Exec and retrieve computed value as result of Exec method.

When calculating error occured the ERxParserError exception is raised.

Accepted operators:

+ , - , * , /

The following functions are supported; it doesn't matter if you use lower or upper case:

Arctan, Cos, Sin, Tan, Abs, Exp, Ln, Log, Sqrt, Sqr, Int, Fraq.


(Untitled)

TAutoObjectFactory Properties

TAutoObjectFactory Alphabetically Legend

In TAutoObjectFactory

DispIntfEntry

DispTypeInfo

EventIID

EventTypeInfo

Derived from TTypedComObjectFactory

ClassInfo

Derived from TComObjectFactory

ClassID

ClassName

ComClass

ComServer

Description

ErrorIID

Instancing

LicString

ProgID

ShowErrors

SupportsLicensing


TRxLabel.Visible

TRxLabel

property Visible;


(Untitled)

TRxDBComboBox Properties

TRxDBComboBox Alphabetically Legend

In TRxDBComboBox

Anchors

BiDiMode

Color

Constraints

Count

Ctl3D

CurrentRowSelected

DataField

DataSource

DragCursor

DragKind

DragMode

DropDownCount

Enabled

EnableValues

Font

ImeMode

ImeName

ItemHeight

Items

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ReadOnly

ShowHint

Sorted

Style

TabOrder

TabStop

Values

Visible

Derived from TCustomDBComboBox

Field

Text

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TVersionLanguage

TVersionLanguage is a set of values for the VersionLanguage property of the TVersionInfo class.

Unit

RxVerInf

property TVersionLanguage = (vlArabic, ..., vlUnknown);

Description

ValueMeaning

vlArabic

vlBulgarian

vlCatalan

vlTraditionalChinese

vlCzech

vlDanish

vlGerman

vlGreek

vlUSEnglish

vlCastilianSpanish

vlFinnish

vlFrench

vlHebrew

vlHungarian

vlIcelandic

vlItalian

vlJapanese

vlKorean

vlDutch

vlNorwegianBokmel

vlPolish

vlBrazilianPortuguese

vlRhaetoRomanic

vlRomanian

vlRussian

vlCroatoSerbian

vlSlovak

vlAlbanian

vlSwedish

vlThai

vlTurkish

vlUrdu

vlBahasa

vlSimplifiedChinese

vlSwissGerman

vlUKEnglish

vlMexicanSpanish

vlBelgianFrench

vlSwissItalian

vlBelgianDutch

vlNorwegianNynorsk

vlPortuguese

vlSerboCroatian

vlCanadianFrench

vlSwissFrench

vlUnknown


TSQLScript.SemicolonTerm

TSQLScript

property SemicolonTerm: Boolean read FSemicolonTerm write FSemicolonTerm default True;


(Untitled)

TRxCaption Properties

TRxCaption By object Legend

Caption

Collection

DisplayName

Font

GlueNext

GradientCaption

ID

InactiveColor

Index

ParentFont

TextWidth

Visible


(Untitled)

ERxParserError Properties

ERxParserError By object Legend

HelpContext

Message


TRxGradientCaption.GradientInactive

TRxGradientCaption

True if the gradient effect is visible when the window is not active

property GradientInactive: Boolean read FGradientInactive write SetGradientInactive default False;


TGIFImage.ScreenWidth

TGIFImage

Logical screen width, in pixels, of the Logical Screen where the images will be rendered in the displaying device.

property ScreenWidth: Integer;

Description

Specifies the width of the space in which the animation plays.

This value is a wider space for frames that move horizontally.


TRxCheckListBox.OnStartDock

TRxCheckListBox

property OnStartDock;


TColorComboBox.ParentBiDiMode

TColorComboBox

property ParentBiDiMode;


TRxImageControl.PictureChanged

TRxImageControl

procedure PictureChanged;


TRxDBRichEdit.OnMouseUp

TRxDBRichEdit

property OnMouseUp;


TRxDBLookupList.LookupDisplayIndex

TRxDBLookupList

When multiple fields specified by the LookupDisplay property, the LookupDisplayIndex specifies index of a field in the LookupDisplay list which will be use in the DisplayValue property and will be display in the editor of the TRxDBLookupCombo component.

property LookupDisplayIndex: Integer;


TPropInfoList.Contains

TPropInfoList

function Contains ( P: PPropInfo ): Boolean;


TVersionInfo.ProductLongVersion

TVersionInfo

property ProductLongVersion: TLongVersion read GetProductLongVersion;


TLocateObject.LookupValue

TLocateObject

property LookupValue: string read FLookupValue;


TCustomDBComboBox.Items

TCustomDBComboBox

property Items write SetItems;


TRxDBLookupCombo.OnExit

TRxDBLookupCombo

property OnExit;


TRxPopupMenu.OwnerDraw

TRxPopupMenu

property OwnerDraw stored False;


(Untitled)

TRxFolderMonitor Properties

TRxFolderMonitor By object Legend

Active

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DelayTime

DesignInfo

Filter

FolderName

MonitorSubtree

Name

Owner

Tag

VCLComObject


TRxDice.Create

TRxDice

constructor Create ( AOwner: TComponent );


TFilenameEdit.OnKeyPress

TFilenameEdit

property OnKeyPress;


TRxSpeedButton.BiDiMode

TRxSpeedButton

property BiDiMode;


TSpeedItem.Visible

TSpeedItem

property Visible: Boolean read FVisible write SetVisible default False;


TFileDirEdit.LongName

TFileDirEdit

property LongName: string read GetLongName;


TRxLookupEdit.DragCursor

TRxLookupEdit

property DragCursor;


TDirDialogKind

The TFileDialogKind type contains the values the DialogKind property of directory edit can assume.

Unit

ToolEdit

TDirDialogKind = (dkVCL, dkWin32);

Description

ValueMeaning

dkVCL

dkWin32


(Untitled)

Hierarchy

TObject

|

TPersistent

|

TComponent

|

TControl

|

TWinControl

|

TCustomComboBox


StrUtils.StrToOem

StrUtils

StrToOem translates a string from the Windows character set into the OEM character set.

property function StrToOem(const AnsiStr: string): string;

Description

StrToOem example:

__S := StrToOem(S);


TRxErrorDialog.ShowException

TRxErrorDialog

procedure ShowException ( Sender: TObject; E: Exception );


TRxCheckListBox.DefineProperties

TRxCheckListBox

procedure DefineProperties ( Filer: TFiler );


TRxDBLookupList.OnStartDock

TRxDBLookupList

property OnStartDock;


TImageForm.Create

TImageForm

constructor Create ( DialogMode: TDialogMode; DatabaseSelect: Boolean );


TCustomDateEdit.StartOfWeek

TCustomDateEdit

property StartOfWeek: TDayOfWeekName read FStartOfWeek write SetStartOfWeek default Mon;


TCustomBDEItems.ItemType

TCustomBDEItems

property ItemType: TBDEItemType read FItemType write SetItemType default bdDatabases;


(Untitled)

TRxMainMenu Properties

TRxMainMenu Alphabetically Legend

In TRxMainMenu

Canvas

Cursor

Images

MinTextOffset

OwnerDraw

ShowCheckMarks

Style

Derived from TMainMenu

AutoHotkeys

AutoLineReduction

AutoMerge

BiDiMode

ParentBiDiMode

Derived from TMenu

Handle

Items

WindowHandle

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TPopupDataWindow Methods

TPopupDataWindow By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClearValue

Click

ClientToScreen

CloseUp

ContainsControl

ControlAtPos

Create

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisplayValueChanged

Dock

DockDrop

DragDrop

Dragging

DrawItemText

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetPicture

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

InvalidateEditor

IsRightToLeft

KeyPress

Locate

ManualDock

ManualFloat

MouseWheelHandler

PaintTo

Perform

PopupMouseUp

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetField

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TAnimatedImage.Cursor

TAnimatedImage

property Cursor;


(Untitled)

TPropsStorage Properties

TPropsStorage By object Legend

AObject

Prefix

Section


(Untitled)

TRxParaAttributes Properties

TRxParaAttributes By object Legend

Alignment

FirstIndent

LeftIndent

LineSpacing

LineSpacingRule

Numbering

NumberingStyle

NumberingTab

RightIndent

SpaceAfter

SpaceBefore

Tab

TabCount


TRxCheckListBox.Loaded

TRxCheckListBox

procedure Loaded;


TPropsStorage.StoreProperties

TPropsStorage

procedure StoreProperties ( PropList: TStrings );


TComServerObject.StartSuspended

TComServerObject

property StartSuspended: Boolean read GetStartSuspended;


TRxClock.DragCursor

TRxClock

property DragCursor;


TTypedComObjectFactory

Hierarchy Properties Methods

Unit

ComObj


(Untitled)

TDBListDataSet Methods

TDBListDataSet By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GetRecordCount

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TRxTrayIcon.MouseUp

TRxTrayIcon

procedure MouseUp ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


TRxSwitch.MouseDown

TRxSwitch

procedure MouseDown ( Button: TMouseButton; Shift: TShiftState; X , Y: Integer );


(Untitled)

TSpeedBar Properties

TSpeedBar Alphabetically Legend

In TSpeedBar

Align

BevelInner

BevelOuter

BevelWidth

BiDiMode

BorderStyle

BorderWidth

BoundLines

BtnCaption

BtnHeight

BtnOffsetHorz

BtnOffsetVert

BtnWidth

Button

Color

Constraints

Ctl3D

DragCursor

DragMode

EditMode

Enabled

Font

Images

IniStorage

Locked

Options

Orientation

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

Position

ScaleFlags

SectionCount

Sections

ShowHint

Stored

TabOrder

TabStop

Version

Visible

Wallpaper

Derived from TCustomPanel

Derived from TCustomControl

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Anchors

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxSpinEdit.OnEndDrag

TRxSpinEdit

property OnEndDrag;


TRxSpeedButton.Margin

TRxSpeedButton

property Margin: Integer read FMargin write SetMargin default - 1


TRxCustomRichEdit.DestroyWnd

TRxCustomRichEdit

procedure DestroyWnd;


TRxWindowHook.Notification

TRxWindowHook

procedure Notification ( AComponent: TComponent; Operation: TOperation );


TRxProjectResExpert.GetName

TRxProjectResExpert

function GetName: string;


TRxClock.Color

TRxClock

property Color;


TDBLocate.FilterApplicable

TDBLocate

function FilterApplicable: Boolean;


RxQuery

Properties Methods

TRxQuery component is inherited from TQuery component.

Unit

RxQuery

Description

In addition, an application can supply macros values for dynamic queries with the Macros property and the MacroByName method. Standard Delphi's parameters can replace only column names or data values. Macros allows you change at run-time dinamically any part of SQL text.


TRxLookupEdit.GetPopupValue

TRxLookupEdit

function GetPopupValue: Variant;


TSQLScript.ParamByName

TSQLScript

function ParamByName ( const Value: string ): TParam;


(Untitled)

TPropInfoList Properties

TPropInfoList Alphabetically Legend

In TPropInfoList

Count

Items


TCustomDateEdit.CheckValidDate

TCustomDateEdit

procedure CheckValidDate;


TDBStatusLabel.ShowHint

TDBStatusLabel

property ShowHint;


TRxDBComboEdit.KeyPress

TRxDBComboEdit

procedure KeyPress ( var Key: Char );


(Untitled)

TRxCalculator Properties

TRxCalculator By object Legend

BeepOnError

CalcDisplay

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Ctl3D

DesignInfo

HelpContext

Memory

Name

Owner

Precision

Tag

Title

Value

VCLComObject


TOEMConversion

Hierarchy Methods

OEM converter

Unit

RxRichEd


TPageManager.DestroyHandles

TPageManager

property DestroyHandles: Boolean read FDestroyHandles write SetDestroyHandles default False;


TRxDBRichEdit.TabOrder

TRxDBRichEdit

property TabOrder;


TRxCustomLabel.ShadowColor

TRxCustomLabel

property ShadowColor: TColor read FShadowColor write SetShadowColor default clBtnHighlight;


TDBLoginDialog.Create

TDBLoginDialog

constructor Create ( DialogMode: TDialogMode; DatabaseSelect: Boolean );


TRxMainMenu.MeasureItem

TRxMainMenu

procedure MeasureItem ( Item: TMenuItem; var Width , Height: Integer );


TStoredProcList.SystemItems

TStoredProcList

property SystemItems;


TCustomNumEdit

Hierarchy Properties Methods Events

Custom Numeric edit

Unit

CurrEdit


TRxDBComboEdit.UpdateAction

TRxDBComboEdit

function UpdateAction ( Action: TBasicAction ): Boolean;


TRxLabel.WordWrap

TRxLabel

property WordWrap;


TRxCalculatorForm

Hierarchy Properties Methods Events

Unit

RxCalc


TRxDBRichEdit.Alignment

TRxDBRichEdit

property Alignment;


TTextListBox.IntegralHeight

TTextListBox

property IntegralHeight;


TDBDateEdit.DragKind

TDBDateEdit

property DragKind;


(Untitled)

Hierarchy

TObject

|

TComObjectFactory

|

TTypedComObjectFactory


TRxDBCalcEdit.UpdateAction

TRxDBCalcEdit

function UpdateAction ( Action: TBasicAction ): Boolean;


TComboEdit.ReadOnly

TComboEdit

property ReadOnly;


(Untitled)

TRxCalculatorForm Events

TRxCalculatorForm By object Legend

OnActivate

OnCanResize

OnClick

OnClose

OnCloseQuery

OnConstrainedResize

OnContextPopup

OnCreate

OnDblClick

OnDeactivate

OnDestroy

OnDockDrop

OnDockOver

OnDragDrop

OnDragOver

OnEndDock

OnGetSiteInfo

OnHelp

OnHide

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnPaint

OnResize

OnShortCut

OnShow

OnStartDock

OnUnDock


TRxCustomLabel.AdjustBounds

TRxCustomLabel

procedure AdjustBounds;


TFormHistory.RemoveItem

TFormHistory

function RemoveItem ( Item: TComponent ): Boolean;


TRxDBLookupCombo.BiDiMode

TRxDBLookupCombo

property BiDiMode;


TComboEdit.ImeName

TComboEdit

property ImeName;


TRxClock.ParentShowHint

TRxClock

property ParentShowHint;


TRxLookupControl.UpdateDisplayEmpty

TRxLookupControl

procedure UpdateDisplayEmpty ( const Value: string );


TRxDBCalcEdit.OnDblClick

TRxDBCalcEdit

property OnDblClick;


TConverter.GetAsFloat

TConverter

function GetAsFloat: Double;


TLocateObject.DataSet

TLocateObject

Specifies the dataset (table or query) for which Locate method will search for specified value. Set this property and IndexSwitch property to appropriate values before call Locate method.

property DataSet: TDataSet;


TDirectoryEdit.Visible

TDirectoryEdit

property Visible;


(Untitled)

TRxWindowHook Events

TRxWindowHook By object Legend

AfterMessage

BeforeMessage


TRxRichEdit.Enabled

TRxRichEdit

property Enabled;


TRxPopupMenu.DefaultDrawItem

TRxPopupMenu

procedure DefaultDrawItem(Item: TMenuItem; Rect: TRect; State: TMenuOwnerDrawState);


TRxLabel.ParentFont

TRxLabel

property ParentFont;


TRxCustomSlider.DefaultDrawPoints

TRxCustomSlider

procedure DefaultDrawPoints ( PointsStep , PointsHeight , ExtremePointsHeight: Longint );


(Untitled)

TSplashWindow Methods

TSplashWindow By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

CenterFor

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParams

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


TRxLookupControl.DisplayValue

TRxLookupControl

property DisplayValue: string read FDisplayValue write SetDisplayValue stored False;


TRxCheckListBox.Style

TRxCheckListBox

property Style;


(Untitled)

TMergeManager Methods

TMergeManager Alphabetically Legend

In TMergeManager

Create

DefineProperties

Destroy

DoChange

DoReorder

GetBackForm

GetForwardForm

GoBack

GoForward

GotoForm

GotoFormClass

GotoHistoryIndex

Merge

Notification

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TRxTimerEvent.AsSeconds

TRxTimerEvent

property AsSeconds: Cardinal read GetAsSeconds write SetAsSeconds;


(Untitled)

TProjectNotifier Methods

TProjectNotifier By object Legend

ComponentRenamed

Create

Notify


TDateEdit.ParentColor

TDateEdit

property ParentColor;


TSpeedbarEditor

Hierarchy Properties Methods

Unit

SbEdit


(Untitled)

TFormPlacement Events

TFormPlacement By object Legend

OnRestorePlacement

OnSavePlacement


TRxClock.OnMouseUp

TRxClock

property OnMouseUp;


TCustomComboEdit.CreateParams

TCustomComboEdit

procedure CreateParams ( var Params: TCreateParams );


TMergeManager.OnGetBackForm

TMergeManager

OnGetBackForm

property OnGetBackForm: TFormRequestEvent read FOnGetBackForm write FOnGetBackForm;


TColorComboBox.ShowHint

TColorComboBox

property ShowHint;


TIniLink.OnLoad

TIniLink

property OnLoad: TNotifyEvent read FOnLoad write FOnLoad;


TIconList.Put

TIconList

procedure Put ( Index: Integer; Icon: TIcon );


(Untitled)

TGradCaptionsEditor Methods

TGradCaptionsEditor Alphabetically Legend

In TGradCaptionsEditor

SetGradientCaption

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TFontComboBox.TrueTypeOnly

TFontComboBoxSee also

property TrueTypeOnly: Boolean;


TRxLookupControl.Destroy

TRxLookupControl

destructor Destroy;


(Untitled)

TRxQuery Properties

TRxQuery Alphabetically Legend

In TRxQuery

MacroChar

MacroCount

Macros

OpenStatus

ParamCheck

RealSQL

SQL

Derived from TQuery

Constrained

Constraints

DataSource

Handle

Local

ParamCount

Params

Prepared

RequestLive

RowsAffected

SQLBinary

StmtHandle

Text

UniDirectional

UpdateMode

UpdateObject

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TAddInNotifier

Hierarchy Methods

Generic add-in notify event

Unit

RxResExp


TAutoIntfObject.Create

TAutoIntfObject

constructor Create ( const TypeLib: ITypeLib; const DispIntf: TGUID );


TRxCustomRichEdit.DefaultConverter

TRxCustomRichEdit

property DefaultConverter: TConversionClass read FDefaultConverter write FDefaultConverter;


TCustomDateEdit.DialogTitle

TCustomDateEdit

property DialogTitle: string read GetDialogTitle write SetDialogTitle stored IsCustomTitle;


TRxCustomLabel.ShadowSize

TRxCustomLabel

property ShadowSize: Byte read FShadowSize write SetShadowSize default 1


TDBStatusLabel.AutoSize

TDBStatusLabel

property AutoSize;


TRxMemoryData.SetFieldData

TRxMemoryData

procedure SetFieldData ( Field: TField; Buffer: Pointer );


TRxSpinEdit.Ctl3D

TRxSpinEdit

property Ctl3D;


TAnimatedImage.OnEndDock

TAnimatedImage

property OnEndDock;


TRxDBCalcEdit.DefaultParams

TRxDBCalcEdit

property DefaultParams: Boolean read FDefaultParams write SetDefaultParams default False;


TRxTextAttributes.Link

TRxTextAttributes

property Link: Boolean read GetLink write SetLink;


TRxParaAttributes.AssignTo

TRxParaAttributes

procedure AssignTo ( Dest: TPersistent );


TRxMemoryData.GetBookmarkData

TRxMemoryData

procedure GetBookmarkData ( Buffer: PChar; Data: Pointer );


TRxSpinEdit.ParentBiDiMode

TRxSpinEdit

property ParentBiDiMode;


TSpeedBar.BorderStyle

TSpeedBar

property BorderStyle;


TFormPlacement.ReadString

TFormPlacement

function ReadString ( const Ident , Default: string ): string;


TPicClip

Hierarchy Properties Methods Events

The TPicClip component provide you the functionality of the PICCLIP.VBX control which ships with Visual Basic Professional. This control allows you to extract portions of a matrix of pictures and assign the "cell picture" to another picture control.

Unit

PicClip

Description

To accomplish this, you might use GraphicCell[Index: Integer] property which extracted a portion of a picture and assigned it to another picture property.

To determine how source picture separate by cells, use Cols and Rows properties. The TPicClip object retrieving "cell picture" via their Index within the range 0 to (Cols * Rows) - 1.

To draw the "cell picture" on a canvas, call the Draw method of a TPicClip object, passing the Canvas as a parameter. The Masked property specifies whether the background of the image obscures objects below the image object when "cell picture" is drawn by the Draw method. MaskColor determines which color of the image is to be transparent when the "cell picture" is drawn.


TRxRemoteLogin.DoCheckUser

TRxRemoteLogin

function DoCheckUser ( const UserName , Password: string ): Boolean;


TRxIniFile.WriteFont

TRxIniFile

WriteFont writes the value of the font to a section and identifier of the specified IniFile.

procedure WriteFont(const Section, Ident: string; Font: TFont);


TRxCaption.Caption

TRxCaption

property Caption: string read FCaption write SetCaption;


(Untitled)

TGradCaptionsEditor Methods

TGradCaptionsEditor By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetGradientCaption

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


(Untitled)

TRxDBLookupCombo Methods

TRxDBLookupCombo By object Legend

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

ClearValue

Click

ClientToScreen

CloseUp

ContainsControl

ControlAtPos

Create

CreateParams

CreateParented

DefaultHandler

Destroy

DestroyComponents

Destroying

DisableAlign

DisplayValueChanged

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

DropDown

EnableAlign

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetNamePath

GetParentComponent

GetPicture

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

KeyDown

KeyPress

KeyValueChanged

ListLinkActiveChanged

ListLinkDataChanged

Locate

ManualDock

ManualFloat

MouseDown

MouseMove

MouseUp

MouseWheelHandler

Paint

PaintTo

Perform

Realign

Refresh

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

ResetField

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

SendToBack

SetBounds

SetFocus

SetTextBuf

Show

Update

UpdateAction

UpdateControlState

UpdateDisplayEmpty

UpdateFieldText

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar


TMergeManager.OnReorder

TMergeManager

OnReorder

property OnReorder: TFormReorderEvent read FOnReorder write FOnReorder;


TBtnControl.Images

TBtnControl

property Images: TImageList read FImages write FImages;


TRxDrawGrid.GetEditAlignment

TRxDrawGrid

function GetEditAlignment ( ACol , ARow: Longint ): TAlignment;


TCurrencyEdit.BiDiMode

TCurrencyEdit

property BiDiMode;


TRxSpeedButton.MarkDropDown

TRxSpeedButton

If MarkDropDown set to true, a small icon is displayed at the right of the bitmap or the caption when a drop-down menu is linked to the button (DropDownMenu is set).

property MarkDropDown: Boolean read FMarkDropDown write SetMarkDropDown default True;


TDBDateEdit.OnStartDock

TDBDateEdit

property OnStartDock;


TRxMemoryData.SortOnFields

TRxMemoryData

procedure SortOnFields ( const FieldNames: string; CaseInsensitive: Boolean = True; Descending: Boolean = False );


TRxMemoryData.IsSequenced

TRxMemoryData

function IsSequenced: Boolean;


(Untitled)

TRxTimerList Properties

TRxTimerList By object Legend

Active

AsSeconds

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Count

Cycled

DesignInfo

EnabledCount

Events

ExecCount

Handle

Name

Owner

RepeatCount

Tag

TimerList

VCLComObject


TRxQuery.ExpandMacros

TRxQuery

procedure ExpandMacros;


TAppEvents.BiDiMode

TAppEvents

property BiDiMode: TBiDiMode read GetBiDiMode write SetBiDiMode default bdLeftToRight;


TRxSlider.OnMouseWheelDown

TRxSlider

property OnMouseWheelDown;


TRxTimerList.NextHandle

TRxTimerList

function NextHandle: Longint;


TMemoryTable.RecordCount

TMemoryTable

property RecordCount: Longint read GetRecordCount;


TResourceStream.CreateFromPChar

TResourceStream

constructor CreateFromPChar ( Instance: THandle; ResName , ResType: PChar );


(Untitled)

TSharedImage Properties

TSharedImage Alphabetically Legend

In TSharedImage

RefCount


TTableList.ExtendedInfo

TTableList

property ExtendedInfo;


TCheckItemsProperty

Hierarchy Methods

Unit

CheckItm


(Untitled)

TComObject Methods

TComObject By object Legend

_AddRef

_Release

Create

CreateAggregated

CreateFromFactory

Destroy

Initialize

InterfaceSupportsErrorInfo

IUnknown._AddRef

IUnknown._Release

IUnknown.QueryInterface

ObjAddRef

ObjQueryInterface

ObjRelease

QueryInterface

SafeCallException


(Untitled)

SplshWnd Methods

SplshWnd By object Legend

ShowSplashWindow


TFormStorage

Hierarchy Properties Methods Events

The TFormStorage component is a direct descendent of TFormPlacement.

It additionally will save any published properties to an INI file or the registry to be restored when the form is created.

Unit

Placemnt

Description

In 32-bit version, when UseRegistry is True, TFormStorage uses standard TRegIniFile class. So the IniFileName passed to a TFormStorage component becomes a subkey under the system registry’s root key (HKEY_CURRENT_USER by default).

TFormStorage will work with any component or control you might have. Even 3rd party controls or controls you have designed yourself.

Using class TFormStorage

At design-time use component editor to add published properties of any other components to list of stored properties of TFormStorage component.

To save and restore the position of TRxSplitter component add to stored properties the Width or Height (according to Align property) of one of splitted controls (ControlFirst or ControlSecond).

To save and restore active page of tabbed controls (TNotebook, TTabbedNotebook or TPageControl) store ActivePage or PageIndex property.

You can save and restore text of edit controls by adding to stored properties the Text property for TEdit or Lines property for TMemo.

Use TFormStorage to save and restore state of windowed controls such as TCheckBox, TRadioGroup etc.

Link the TFormStorage (or TFormPlacement) component to IniStorage property of some another components to save and load information specific for these components (TRxCheckListBox, TRxDrawGrid, TSpeedbar, TMRUManager, TRxDBGrid) with no additional code.

TFormStorage component allows you to read and write virtually any component published property to an INI file or the system Registry with virtually no code.


(Untitled)

TCustomDatabaseItems Methods

TCustomDatabaseItems Alphabetically Legend

In TCustomDatabaseItems

CreateHandle

GetItemName

Derived from TDBListDataSet

Locate

Derived from TDBDataSet

CheckOpen

CloseDatabase

Create

OpenDatabase

Derived from TBDEDataSet

ApplyUpdates

BookmarkValid

Cancel

CancelUpdates

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

CreateBlobStream

Destroy

DisableConstraints

EnableConstraints

FetchAll

FlushBuffers

GetBlobFieldData

GetCurrentRecord

GetFieldData

GetIndexInfo

IsSequenced

Lookup

Post

RevertRecord

Translate

UpdateStatus

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

MoveBy

Next

Open

Prior

Refresh

Resync

SetFields

UpdateCursorPos

UpdateRecord

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TClipboardMonitor.Destroy

TClipboardMonitor

destructor Destroy;


TRxCalcEdit.Enabled

TRxCalcEdit

property Enabled;


TRxLookupControl.DisplayValueChanged

TRxLookupControl

procedure DisplayValueChanged;


TSpeedbarEditor.UniqueName

TSpeedbarEditor

function UniqueName ( Component: TComponent ): string;


(Untitled)

DateUtil Methods

DateUtil By object Legend

CutTime

DateDiff

DaysBetween

DaysInPeriod

DaysPerMonth

DefDateFormat

DefDateMask

FirstDayOfNextMonth

FirstDayOfPrevMonth

GetDateOrder

IncDate

IncDay

IncHour

IncMinute

IncMonth

IncMSec

IncSecond

IncTime

IncYear

IsLeapYear

LastDayOfPrevMonth

MonthsBetween

StrToDateDef

StrToDateFmt

StrToDateFmtDef

ValidDate


(Untitled)

TBDEItems Methods

TBDEItems By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

ClearFields

Close

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

Create

CreateBlobStream

CursorPosChanged

Delete

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

Edit

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GotoBookmark

HasParent

Insert

InsertComponent

InsertRecord

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


(Untitled)

TRxPopupMenu Properties

TRxPopupMenu By object Legend

Alignment

AutoHotkeys

AutoLineReduction

AutoPopup

BiDiMode

Canvas

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Cursor

DesignInfo

Handle

HelpContext

Images

Items

LeftMargin

MenuAnimation

MinTextOffset

Name

Owner

OwnerDraw

ParentBiDiMode

PopupComponent

ShowCheckMarks

Style

Tag

TrackButton

VCLComObject

WindowHandle


TRxCaption.Create

TRxCaption

constructor Create ( Collection: TCollection );


TScreenCanvas.FreeHandle

TScreenCanvas

procedure FreeHandle;


TRxTrayIcon.Icon

TRxTrayIconSee also

Static icon used for tray.

property Icon: TIcon read FIcon write SetIcon;


TRxRichEdit.ShowHint

TRxRichEdit

property ShowHint;


TRxCustomLabel.Paint

TRxCustomLabel

procedure Paint;


TRxMemoryData.SetAutoIncFields

TRxMemoryData

procedure SetAutoIncFields ( Buffer: PChar );


TRxDBCalcEdit.Font

TRxDBCalcEdit

property Font;


(Untitled)

TRxGradientCaption Methods

TRxGradientCaption Alphabetically Legend

In TRxGradientCaption

Clear

Create

Destroy

IsRightToLeft

Loaded

MoveCaption

Notification

Update

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TMergeManager.FormHistory

TMergeManager

property FormHistory: TFormHistory read FFormHistory;


TBtnControl.Caption

TBtnControl

property Caption: TCaption read GetCaption write SetCaption;


(Untitled)

TMemoryTable Methods

TMemoryTable By object Legend

ActiveBuffer

Append

AppendRecord

ApplyUpdates

Assign

BatchMove

BeforeDestruction

BookmarkValid

Cancel

CancelUpdates

CheckBrowseMode

CheckOpen

ClearFields

Close

CloseDatabase

CommitUpdates

CompareBookmarks

ConstraintCallBack

ConstraintsDisabled

ControlsDisabled

CopyStructure

Create

CreateBlobStream

CreateHandle

CreateTable

CursorPosChanged

Delete

DeleteTable

Destroy

DestroyComponents

Destroying

DisableConstraints

DisableControls

DoAfterClose

DoAfterOpen

DoAfterScroll

DoBeforeClose

DoBeforeDelete

DoBeforeOpen

DoBeforeScroll

Edit

EmptyTable

EnableConstraints

EnableControls

ExecuteAction

FetchAll

FieldByName

FindComponent

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FlushBuffers

FreeBookmark

FreeNotification

FreeOnRelease

GetBlobFieldData

GetBookmark

GetCurrentRecord

GetDetailDataSets

GetDetailLinkFields

GetFieldData

GetFieldList

GetFieldNames

GetIndexInfo

GetNamePath

GetParentComponent

GetRecNo

GetRecordCount

GetRecordNumber

GotoBookmark

GotoRecord

HasParent

Insert

InsertComponent

InsertRecord

InternalDelete

IsEmpty

IsLinkedTo

IsSequenced

Last

Locate

Lookup

MoveBy

Next

Open

OpenDatabase

Post

Prior

Refresh

RemoveComponent

RemoveFreeNotification

Resync

RevertRecord

SafeCallException

SetFields

SetFieldValues

SetRecNo

Translate

UpdateAction

UpdateCursorPos

UpdateRecord

UpdateStatus


TGetItemEvent

TGetItemEvent is the type of the OnGetItemData event of the TMRUManager component.

Unit

MRUList

property TGetItemEvent = procedure (Sender: TObject; var Caption: string; var ShortCut: TShortCut; UserData: Longint) of object;


TResourceEntry.GetIconData

TResourceEntry

procedure GetIconData ( ResFile: TIResourceFile; Stream: TStream );


(Untitled)

TFormStorage Events

TFormStorage Alphabetically Legend

Derived from TFormPlacement

OnRestorePlacement

OnSavePlacement


(Untitled)

TNotifyThread Properties

TNotifyThread Alphabetically Legend

In TNotifyThread

Finished

LastError

NotifyHandle

Derived from TThread

FreeOnTerminate

Handle

Priority

Suspended

ThreadID


TProxyEditor.UniqueName

TProxyEditor

function UniqueName ( Component: TComponent ): string;


TFilenameEdit.InitialDir

TFilenameEdit

InitialDir variable contains the Initial Directory where to select the file from.

property InitialDir: string read GetInitialDir write SetInitialDir;


TGIFFrame.Draw

TGIFFrame

Draw the GIF frame on the canvas specified by the ACanvas parameter at the location

given by the coordinates (X, Y).

property procedure Draw(ACanvas: TCanvas; X, Y: Integer);


AppUtils.InstantiateForm

AppUtils

When the Reference parameter is nil then InstantiateForm creates a new form of the type specified by the FormClass parameter and assigns it to the variable given by the Reference parameter.

property function InstantiateForm(FormClass: TFormClass; var Reference): TForm;

Description

The owner of the new form is the Application object. Return value

is final value of Reference parameter. When the initial Reference value is not nil then

InstantiateForm don't create new form and simply return Reference as function return

value.

InstantiateForm example:

with InstantiateForm(TMyForm, MyForm) do

__ShowModal;


TButtonImage.Caption

TButtonImage

property Caption: TCaption read FCaption write FCaption;


TRxSpeedButton.OnMouseUp

TRxSpeedButton

property OnMouseUp;


TCustomDBComboBox.Create

TCustomDBComboBox

constructor Create ( AOwner: TComponent );


TLocateObject.IndexSwitch

TLocateObject

If the dataset specified by DataSet property is TTable object and search field is indexed, TDBLocate can use the index.

property IndexSwitch: Boolean;

Description

This property determines whether or not table will switch to the index corresponding to KeyField parameter of Locate method. When this property is False, index is used only when it's active index.

This property used by TDBLocate class only. Setting this property in TLocateObject class has no effect.


(Untitled)

TMetafileCanvas Properties

TMetafileCanvas Alphabetically Legend

In TMetafileCanvas

Metafile

Derived from TCanvas

Brush

CanvasOrientation

ClipRect

CopyMode

Font

Handle

LockCount

Pen

PenPos

Pixels

TextFlags


(Untitled)

TDBIndexCombo Properties

TDBIndexCombo Alphabetically Legend

In TDBIndexCombo

Anchors

BiDiMode

Color

Constraints

Ctl3D

DataSource

DispalyMode

DisplayMode

DragCursor

DragKind

DragMode

DropDownCount

Enabled

EnableNoIndex

Font

ImeMode

ImeName

ItemHeight

NoIndexItem

ParentBiDiMode

ParentCtl3D

ParentFont

ParentShowHint

PopupMenu

ShowHint

Sorted

TabOrder

TabStop

Visible

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

Items

SelLength

SelStart

SelText

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

VisibleDockClientCount

Derived from TControl

Action

Align

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TRxDBLookupCombo.LookupDisplayIndex

TRxDBLookupCombo

property LookupDisplayIndex;


(Untitled)

TVersionInfo Methods

TVersionInfo By object Legend

Create

Destroy

GetVerValue

OkToWriteModule


TRxDBLookupCombo.TabOrder

TRxDBLookupCombo

property TabOrder;


TScreenCanvas.OpenBit

TScreenCanvas

function OpenBit: Integer;


TMRUManager.OnWriteItem

TMRUManager

OnWriteItem event is triggered when an item or data is written into the MRU list.

property OnWriteItem: TWriteItemEvent;


(Untitled)

TRxQueryThread Methods

TRxQueryThread By object Legend

Create

Destroy

DoTerminate

Execute

HandleException

ModeError

Resume

Suspend

Terminate

WaitFor


TDBDateEdit.NumGlyphs

TDBDateEdit

property NumGlyphs;


(Untitled)

TRxCalcEdit Properties

TRxCalcEdit By object Legend

Action

Align

Alignment

Anchors

AsInteger

AutoSelect

AutoSize

BeepOnError

BiDiMode

BorderStyle

BoundsRect

Brush

ButtonHint

ButtonWidth

CanUndo

CheckOnExit

ClickKey

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DecimalPlaces

DesignInfo

DirectInput

DisplayFormat

DisplayText

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EditText

Enabled

Floating

FloatingDockSiteClass

Font

FormatOnEditing

Glyph

GlyphKind

Handle

Height

HelpContext

HideSelection

Hint

HostDockSite

ImeMode

ImeName

IsMasked

Left

LRDockWidth

MaxLength

MaxValue

MinValue

Modified

Name

NumGlyphs

Owner

Parent

ParentBiDiMode

ParentColor

ParentCtl3D

ParentFont

ParentShowHint

ParentWindow

PopupAlign

PopupMenu

PopupVisible

ReadOnly

SelLength

SelStart

SelText

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Text

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc

ZeroEmpty


TDBStatusLabel

Hierarchy Properties Methods Events

TDBStatusLabel is a data-aware label used to show state information or position information about DataSources.

Unit

RXDBCtrl

Description

It can be used on any dataset to report the current state, i.e. Inactive, Browse, Edit, Insert, Set Key, Calculating Fields; or on Paradox and dBase databases or on memory tables (TMemoryTable component) to show logical or physical record position and number of records.

When the Style property is lsState (by default) the <dataset_name>: <dataset_state> mnemonic is used to place the state label for the current state.

When the Style property is lsRecordNo the <current_record_number>:<full_record_count> mnemonic is used to place the record number and the total number of records within the string. TDBStatusLabel requires the DataSource property to be set to bind it to a dataset.


TRxTimerEvent.ExecCount

TRxTimerEvent

property ExecCount: Integer read FExecCount;


TGIFImage.Destroy

TGIFImage

destructor Destroy;


(Untitled)

TObjectStrings Events

TObjectStrings By object Legend

OnChange

OnChanging

OnDestroyObject


TVersionInfo.FileLongVersion

TVersionInfo

property FileLongVersion: TLongVersion read GetFileLongVersion;


TRxLookupEdit.KeyPress

TRxLookupEdit

procedure KeyPress ( var Key: Char );


TDirectoryEdit.BorderStyle

TDirectoryEdit

property BorderStyle;


TDBDateEdit.UpdateMask

TDBDateEdit

procedure UpdateMask;


(Untitled)

TIconListDialog Properties

TIconListDialog Alphabetically Legend

Derived from TForm

Action

ActiveControl

ActiveMDIChild

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

Caption

ClientHandle

ClientHeight

ClientWidth

Color

Constraints

Ctl3D

DefaultMonitor

DockManager

DockSite

DragKind

DragMode

Enabled

Font

FormStyle

Height

HelpFile

HorzScrollBar

Icon

KeyPreview

MDIChildCount

MDIChildren

Menu

ObjectMenuItem

OldCreateOrder

ParentBiDiMode

ParentFont

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

TileMode

UseDockManager

VertScrollBar

Visible

Width

WindowMenu

WindowState

Derived from TCustomForm

Active

ActiveOleControl

Canvas

Designer

DropTarget

FormState

ModalResult

Monitor

OleFormObject

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

TabStop

VisibleDockClientCount

Derived from TControl

BoundsRect

ClientOrigin

ClientRect

ControlState

ControlStyle

Cursor

DockOrientation

Floating

FloatingDockSiteClass

Hint

HostDockSite

Left

LRDockWidth

Parent

TBDockHeight

Top

UndockHeight

UndockWidth

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


(Untitled)

TRxRichEdit Events

TRxRichEdit Alphabetically Legend

In TRxRichEdit

OnChange

OnCloseFindDialog

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnMouseWheel

OnMouseWheelDown

OnMouseWheelUp

OnProtectChange

OnProtectChangeEx

OnResizeRequest

OnSaveClipboard

OnSelectionChange

OnStartDock

OnStartDrag

OnTextNotFound

OnURLClick

Derived from TWinControl

Derived from TControl


TCustomBDEItems.CloseCursor

TCustomBDEItems

procedure CloseCursor;


(Untitled)

TStrEditDlg Methods

TStrEditDlg By object Legend

AfterConstruction

ArrangeIcons

Assign

BeforeDestruction

BeginDrag

BringToFront

Broadcast

CanFocus

Cascade

ClientToScreen

Close

CloseQuery

ContainsControl

ControlAtPos

Create

CreateNew

CreateParented

DefaultHandler

DefocusControl

Destroy

DestroyComponents

Destroying

DisableAlign

DisableAutoRange

Dock

DockDrop

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EnableAlign

EnableAutoRange

EndDrag

ExecuteAction

FindChildControl

FindComponent

FlipChildren

FocusControl

Focused

FreeNotification

FreeOnRelease

GetControlsAlignment

GetFormImage

GetNamePath

GetParentComponent

GetTabOrderList

GetTextBuf

GetTextLen

HandleAllocated

HandleNeeded

HasParent

Hide

InitiateAction

InsertComponent

InsertControl

Invalidate

IsRightToLeft

IsShortCut

ManualDock

ManualFloat

MouseWheelHandler

Next

PaintTo

Perform

Previous

Print

Realign

Refresh

Release

RemoveComponent

RemoveControl

RemoveFreeNotification

Repaint

ReplaceDockedControl

SafeCallException

ScaleBy

ScreenToClient

ScrollBy

ScrollInView

SendCancelMode

SendToBack

SetBounds

SetFocus

SetFocusedControl

SetTextBuf

Show

ShowModal

Tile

Update

UpdateAction

UpdateControlState

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

WantChildKey


AppUtils.GetUniqueFileNameInDir

AppUtils

The GetUniqueFileNameInDir creates a unique (for specified directory) name for a file.

property function GetUniqueFileNameInDir(const Path, FileNameMask: string): string;

Description

The filename is the concatenation of specified path and strings formed from a specified

FileNameMask The FileNameMask parameter MUST contain "%d".

GetUniqueFileNameInDir example:

FileName := GetUniqueFileNameInDir('C:\TEMP', 'file%d.tmp');


TCustomNumEdit.BeepOnError

TCustomNumEdit

property BeepOnError: Boolean read FBeepOnError write SetBeepOnError default True;


TRxDBGrid.KeyPress

TRxDBGrid

procedure KeyPress ( var Key: Char );


VCLUtils.GetEnvVar

VCLUtils

Returns a string value of a specified environment variable.

property function GetEnvVar(const VarName: string): string;

Description

GetEnvVar example:

uses SysUtils, Dialogs, VCLUtils;

var EnvVar: string;

begin

__EnvVar := GetEnvVar('TEMP');

__ShowMessage(Format('Path of the temporary file is currently: %s', [EnvVar]));

end.


TRxSpeedButton.Alignment

TRxSpeedButton

Alignment specifies how caption text is aligned within the button (TRxSpeedButton).

property Alignment: TAlignment;


TFilenameEdit.TabStop

TFilenameEdit

property TabStop;


TPageManager.OnCheckProxy

TPageManager

property OnCheckProxy: TNotifyEvent read FOnCheckProxy write FOnCheckProxy;


TRxSlider.OnStartDock

TRxSlider

property OnStartDock;


TRxLookupEdit.Ctl3D

TRxLookupEdit

property Ctl3D;


(Untitled)

TRxMemoryData Methods

TRxMemoryData Alphabetically Legend

In TRxMemoryData

AllocRecordBuffer

BCDToCurr

BookmarkValid

ClearCalcFields

CloseBlob

CompareBookmarks

CompareRecords

CopyStructure

Create

CreateBlobStream

CurrToBCD

Destroy

EmptyTable

FreeRecordBuffer

GetBlobData

GetBookmarkData

GetBookmarkFlag

GetCurrentRecord

GetFieldData

GetIsIndexField

GetRecNo

GetRecord

GetRecordCount

GetRecordSize

InitFieldDefsFromFields

InitRecord

InternalAddRecord

InternalClose

InternalDelete

InternalFirst

InternalGotoBookmark

InternalHandleException

InternalInitFieldDefs

InternalInitRecord

InternalLast

InternalOpen

InternalPost

InternalSetToRecord

IsCursorOpen

IsSequenced

LoadFromDataSet

Locate

OpenCursor

SaveToDataSet

SetAutoIncFields

SetBlobData

SetBookmarkData

SetBookmarkFlag

SetFieldData

SetFiltered

SetMemoryRecordData

SetOnFilterRecord

SetRecNo

SortOnFields

Derived from TDataSet

ActiveBuffer

Append

AppendRecord

Cancel

CheckBrowseMode

ClearFields

Close

ControlsDisabled

CursorPosChanged

Delete

DisableControls

Edit

EnableControls

FieldByName

FindField

FindFirst

FindLast

FindNext

FindPrior

First

FreeBookmark

GetBlobFieldData

GetBookmark

GetDetailDataSets

GetDetailLinkFields

GetFieldList

GetFieldNames

GotoBookmark

Insert

InsertRecord

IsEmpty

IsLinkedTo

Last

Lookup

MoveBy

Next

Open

Post

Prior

Refresh

Resync

SetFields

Translate

UpdateCursorPos

UpdateRecord

UpdateStatus

Derived from TComponent

BeforeDestruction

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

GetParentComponent

HasParent

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


TGIFImage

Hierarchy Properties Methods Events

TGIFImage supports reading and writing GIF compressed image data.

Unit

RxGIF

Description

The GIFImage object uses the data from an instance of a TGIFData object, which contains that actual GIF data source and is never modified. Each GIF image object may share this data source object with other instances of a GIF image that are copies of it, created by using the Assign method. The GIF data source does referencing counting for the GIF image objects that are linked to it

The properties of TGIFImage indicate the size and characteristics of the GIF image.

TGIFImage supports up to 256-colors GIF images versions 87a and 89a (you can determine version of loaded image by Version property), and supports graphic control extensions (multiple images, transparency) and comment extensions of GIF format.

Plain text extensions are not supported.

Single image from GIF animation sequence can be accessible by the Frames property.

TGIFImage has an internal bitmaps for each frame that contains the GIF image. These internal images and the original data source of a GIF image are read only.

A TGIFImage object:

* Has no canvas (and thus it cannot draw onto a canvas). A TGIFImage object does implement the protected Draw method introduced in TGraphic. This means that it can draw itself. When TGIFImage contains multiple frames (animated GIF) the Draw method will be draw frame specified by FrameIndex property.

* Provides no access to the internal bitmap image that it creates for the GIF image.

TGIFImage and TGIFFrame can be assign to TBitmap object and you can assign TBitmap object to the TGIFImage or TGIFFrame. So you can create TGIFImage, assign bitmap to it and then store image as GIF file by using SaveToFile method.


TRxWindowHook.Create

TRxWindowHook

constructor Create ( AOwner: TComponent );


TGIFImage.SetWidth

TGIFImage

procedure SetWidth ( Value: Integer );


TRxGIFAnimator.CanAutoSize

TRxGIFAnimator

function CanAutoSize ( var NewWidth , NewHeight: Integer ): Boolean;


TRxLookupControl.ListStyle

TRxLookupControl

property ListStyle: TLookupListStyle read FListStyle write SetListStyle default lsFixed;


TRxCustomCalcEdit.Create

TRxCustomCalcEdit

constructor Create ( AOwner: TComponent );


TDBSecurity.Destroy

TDBSecurity

destructor Destroy;


TRxPopupDataList

Hierarchy Properties Methods Events

Class of the popup data list

Unit

RxLookup


TPropsStorage.Prefix

TPropsStorage

property Prefix: string read FPrefix write FPrefix;


TRxDBRichEdit.Ctl3D

TRxDBRichEdit

property Ctl3D;


TBookmarkList.Items

TBookmarkList

property Items [ Index: Longint ]: TBookmark read GetItem;


TRxDice.TabStop

TRxDice

property TabStop;


(Untitled)

TMRUManager Methods

TMRUManager By object Legend

Add

Assign

BeforeDestruction

Change

Clear

Create

Destroy

DestroyComponents

Destroying

DoClick

DoReadItem

DoWriteItem

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetItemData

GetNamePath

GetParentComponent

HasParent

InsertComponent

LoadFromIni

LoadFromRegistry

Notification

Remove

RemoveComponent

RemoveFreeNotification

SafeCallException

SaveToIni

SaveToRegistry

UpdateAction

UpdateRecentMenu


EOleSysError.ErrorCode

EOleSysError

property ErrorCode: Integer read FErrorCode write FErrorCode;


TRxDBLookupCombo.OnCloseUp

TRxDBLookupCombo

OnCloseUp occurs immediately after an opened or "dropped-down" list is closed.

property OnCloseUp: TNotifyEvent;

Description

Write an OnCloseUp event handler to respond when the combo box list is closed. When the list is closed, the value that corresponds to the selected lookup value is assigned to the field. The list can be closed by the user or by calling the CloseUp method.


TIconFrame.Create

TIconFrame

constructor Create ( Index: Integer; Jiff: Longint );


TRxLookupEdit.OnExit

TRxLookupEdit

property OnExit;


(Untitled)

TFormStorage Properties

TFormStorage By object Legend

Active

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

IniFile

IniFileName

IniFileObject

IniSection

MinMaxInfo

Name

Options

Owner

PreventResize

RegIniFile

StoredProps

Tag

UseRegistry

VCLComObject


(Untitled)

TIconFrame Methods

TIconFrame By object Legend

Assign

Create

Destroy

GetNamePath


TRxFolderMonitor.FreeNotifyThread

TRxFolderMonitor

procedure FreeNotifyThread;


(Untitled)

TCurrencyEdit Events

TCurrencyEdit Alphabetically Legend

In TCurrencyEdit

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TCustomComboEdit

Derived from TWinControl

Derived from TControl


TCustomComboEdit.DirectInput

TCustomComboEdit

property DirectInput: Boolean read GetDirectInput write SetDirectInput default True;


TRxTrayIcon.Active

TRxTrayIcon

Set the Active property to True to add an Icon to the Windows 95 Tray.

Set the Active property to False to remove the Icon from the Windows 95 Tray.

property Active: Boolean;


TRxDice.OnStop

TRxDice

property OnStop: TNotifyEvent read FOnStop write FOnStop;


(Untitled)

TChPswdForm Properties

TChPswdForm By object Legend

Action

Active

ActiveControl

ActiveMDIChild

ActiveOleControl

Align

Anchors

AutoScroll

AutoSize

BiDiMode

BorderIcons

BorderStyle

BorderWidth

BoundsRect

Brush

Canvas

Caption

ClientHandle

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Ctl3D

Cursor

DefaultMonitor

Designer

DesignInfo

DockClientCount

DockClients

DockManager

DockOrientation

DockSite

DoubleBuffered

DragKind

DragMode

DropTarget

Enabled

Floating

FloatingDockSiteClass

Font

FormState

FormStyle

Handle

Height

HelpContext

HelpFile

Hint

HorzScrollBar

HostDockSite

Icon

KeyPreview

Left

LRDockWidth

MDIChildCount

MDIChildren

Menu

ModalResult

Monitor

Name

ObjectMenuItem

OldCreateOrder

OleFormObject

Owner

Parent

ParentBiDiMode

ParentFont

ParentWindow

PixelsPerInch

PopupMenu

Position

PrintScale

Scaled

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

TileMode

Top

UndockHeight

UndockWidth

UseDockManager

VCLComObject

VertScrollBar

Visible

VisibleDockClientCount

Width

WindowMenu

WindowProc

WindowState


(Untitled)

TFilenameEdit Events

TFilenameEdit Alphabetically Legend

In TFilenameEdit

OnChange

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnDropFiles

OnEndDock

OnEndDrag

OnEnter

OnExit

OnKeyDown

OnKeyPress

OnKeyUp

OnMouseDown

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag

Derived from TFileDirEdit

OnAfterDialog

OnBeforeDialog

OnButtonClick

Derived from TWinControl

Derived from TControl


TRxRichEdit.Font

TRxRichEdit

property Font;


TCustomComboEdit.EditCanModify

TCustomComboEdit

function EditCanModify: Boolean;


TRxDBRichEdit.OnProtectChangeEx

TRxDBRichEdit

property OnProtectChangeEx;


TRxCalcEdit.GlyphKind

TRxCalcEdit

Use this property to select between standard button glyph types, or specify a custom type.

property GlyphKind: TGlyphKind;

Description

The standard types are:

gkCustom - the button is displayed with a custom glyph, specified by Glyph

property;

gkDefault - the button is displayed with a glyph, dependent on the editor class

(TFilenameEdit, TDateEdit etc);

gkDropDown - the button is displayed with the standard combo box drop down

glyph;

gkEllipsis - the button is displayed with an ellipsis glyph.

If the Glyph is set to a new bitmap, the gkCustom type is automatically set.


TRxFolderMonitor.OnChange

TRxFolderMonitor

property OnChange: TNotifyEvent read FOnChange write FOnChange;


TResourceEntry.EnableEdit

TResourceEntry

function EnableEdit: Boolean;


(Untitled)

TIniLink Properties

TIniLink By object Legend

IniObject

RootSection

Storage


TRxMemoryData.InternalPost

TRxMemoryData

procedure InternalPost;


TFontComboBox.BiDiMode

TFontComboBox

property BiDiMode;


TRxGradientCaption.Create

TRxGradientCaption

constructor Create(AOwner: TComponent); override;


TRxDice.OnStartDock

TRxDice

property OnStartDock;


TSecretPanel.Active

TSecretPanel

Active property defines whether the scrolling is active or not. You must have something defined in the property lines.

property Active: Boolean;


TRxClock.FullRepaint

TRxClock

property FullRepaint;


TRxDBCalcEdit.Destroy

TRxDBCalcEdit

destructor Destroy;


TRxDBGrid.OnEditChange

TRxDBGrid

property OnEditChange: TNotifyEvent read FOnEditChange write FOnEditChange;


(Untitled)

TQBEQuery Properties

TQBEQuery Alphabetically Legend

In TQBEQuery

AuxiliaryTables

BlankAsZero

Constrained

Constraints

Local

ParamCheck

ParamCount

Params

Prepared

QBE

RequestLive

RowsAffected

StartParam

StmtHandle

Text

UpdateMode

UpdateObject

Derived from TDBDataSet

AutoRefresh

Database

DatabaseName

DBHandle

DBLocale

DBSession

Filter

Filtered

FilterOptions

Handle

SessionName

Derived from TBDEDataSet

Active

AfterCancel

AfterClose

AfterDelete

AfterEdit

AfterInsert

AfterOpen

AfterPost

AfterRefresh

AfterScroll

AutoCalcFields

BeforeCancel

BeforeClose

BeforeDelete

BeforeEdit

BeforeInsert

BeforeOpen

BeforePost

BeforeRefresh

BeforeScroll

CacheBlobs

CachedUpdates

ExpIndex

KeySize

Locale

ObjectView

UpdateRecordTypes

UpdatesPending

Derived from TDataSet

AggFields

BlockReadSize

Bof

Bookmark

CanModify

DataSetField

DataSource

DefaultFields

Designer

Eof

FieldCount

FieldDefList

FieldDefs

FieldList

Fields

FieldValues

Found

Modified

RecNo

RecordCount

RecordSize

SparseArrays

State

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TPopupWindow.Show

TPopupWindow

procedure Show ( Origin: TPoint );


TOleController.Create

TOleController

constructor Create;


(Untitled)

TDBSecurity Events

TDBSecurity By object Legend

AfterLogin

BeforeLogin

OnChangePassword

OnCheckUser

OnIconDblClick

OnUnlock


TDateEdit.Color

TDateEdit

property Color;


TCustomClipboardViewer.ViewFormat

TCustomClipboardViewer

property ViewFormat: TClipboardViewFormat read FViewFormat write SetViewFormat stored False;


TRxGetTimeEvent

Unit

RXClock

TRxGetTimeEvent ( Sender : TObject ; var ATime : TDateTime )of object ;


(Untitled)

TPicClip Events

TPicClip Alphabetically Legend

In TPicClip

OnChange


TAutoObject

Hierarchy Properties Methods

Unit

ComObj


TIconListDialog

Hierarchy Properties Methods Events

Unit

IcoLEdit


TParaFormat2

Unit

RxRichEd

TParaFormat2 record

cbSize:UINT;

dwMask:DWORD;

wNumbering:Word;

wReserved:Word;

dxStartIndent:Longint;

dxRightIndent:Longint;

dxOffset:Longint;

wAlignment:Word;

cTabCount:Smallint;

rgxTabs:array[0.MAX_TAB_STOPS-1ofLongint;

dySpaceBefore:Longint;

dySpaceAfter:Longint;

dyLineSpacing:Longint;

sStyle:Smallint;

bLineSpacingRule:Byte;

bCRC:Byte;

wShadingWeight:Word;

wShadingStyle:Word;

wNumberingStart:Word;

wNumberingStyle:Word;

wNumberingTab:Word;

wBorderSpace:Word;

wBorderWidth:Word;

wBorders:Word;

end;


(Untitled)

TEditButton Events

TEditButton By object Legend

OnClick

OnDblClick

OnDragDrop

OnDragOver

OnEndDock

OnEndDrag

OnMouseDown

OnMouseEnter

OnMouseLeave

OnMouseMove

OnMouseUp

OnStartDock

OnStartDrag


(Untitled)

TPictureEditDialog Methods

TPictureEditDialog Alphabetically Legend

In TPictureEditDialog

CreateHandle

Derived from TForm

ArrangeIcons

Cascade

Next

Previous

Tile

Derived from TCustomForm

AfterConstruction

BeforeDestruction

Close

CloseQuery

Create

CreateNew

DefaultHandler

DefocusControl

Destroy

Dock

FocusControl

GetFormImage

Hide

IsShortCut

MouseWheelHandler

Print

Release

SendCancelMode

SetFocus

SetFocusedControl

Show

ShowModal

WantChildKey

Derived from TScrollingWinControl

DisableAutoRange

EnableAutoRange

ScrollInView

Derived from TWinControl

Broadcast

CanFocus

ContainsControl

ControlAtPos

CreateParented

DisableAlign

DockDrop

EnableAlign

FindChildControl

FlipChildren

Focused

GetTabOrderList

HandleAllocated

HandleNeeded

InsertControl

Invalidate

PaintTo

Realign

RemoveControl

Repaint

ScaleBy

ScrollBy

SetBounds

Update

UpdateControlState

Derived from TControl

BeginDrag

BringToFront

ClientToScreen

DragDrop

Dragging

DrawTextBiDiModeFlags

DrawTextBiDiModeFlagsReadingOn

EndDrag

GetControlsAlignment

GetParentComponent

GetTextBuf

GetTextLen

HasParent

InitiateAction

IsRightToLeft

ManualDock

ManualFloat

Perform

Refresh

ReplaceDockedControl

ScreenToClient

SendToBack

SetTextBuf

UseRightToLeftAlignment

UseRightToLeftReading

UseRightToLeftScrollBar

Derived from TComponent

DestroyComponents

Destroying

ExecuteAction

FindComponent

FreeNotification

FreeOnRelease

GetNamePath

InsertComponent

RemoveComponent

RemoveFreeNotification

SafeCallException

UpdateAction

Derived from TPersistent

Assign


(Untitled)

TCustomDBComboBox Properties

TCustomDBComboBox Alphabetically Legend

In TCustomDBComboBox

ComboText

DataField

DataSource

Field

Items

ReadOnly

Style

Derived from TCustomComboBox

Canvas

CharCase

DroppedDown

ItemIndex

SelLength

SelStart

SelText

TabStop

Derived from TWinControl

Brush

ControlCount

Controls

DockClientCount

DockClients

DoubleBuffered

Handle

HelpContext

ParentWindow

Showing

TabOrder

VisibleDockClientCount

Derived from TControl

Action

Align

Anchors

BiDiMode

BoundsRect

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Constraints

ControlState

ControlStyle

Cursor

DockOrientation

Enabled

Floating

FloatingDockSiteClass

Height

Hint

HostDockSite

Left

LRDockWidth

Parent

ShowHint

TBDockHeight

Top

UndockHeight

UndockWidth

Visible

Width

WindowProc

Derived from TComponent

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Name

Owner

Tag

VCLComObject


TSpeedItem.UpdateSection

TSpeedItem

procedure UpdateSection;


TAcceptKeyEvent

TAcceptKeyEvent is the type of the OnAcceptEditKey event of the TRxDrawGrid component.

Unit

RXGrids

property TAcceptKeyEvent = function (Sender: TObject; var Key: Char): Boolean of object;


TRxTrayIcon.Loaded

TRxTrayIcon

procedure Loaded;


TRxCustomRichEdit.Paragraph

TRxCustomRichEdit

property Paragraph: TRxParaAttributes read FParagraph;


TRxMemoryData.BeforeInsert

TRxMemoryData

property BeforeInsert;


TFormHistory.HistoryCapacity

TFormHistory

property HistoryCapacity: Integer read FHistoryCapacity write SetHistoryCapacity;


TRxCustomSlider.AlignControls

TRxCustomSlider

procedure AlignControls ( AControl: TControl; var Rect: TRect );


TCustomComboEdit.GlyphKind

TCustomComboEdit

property GlyphKind: TGlyphKind read FGlyphKind write SetGlyphKind default gkCustom;


TRxButtonGlyph.DrawButtonText

TRxButtonGlyph

procedure DrawButtonText ( Canvas: TCanvas; const Caption: string; TextBounds: TRect; State: TRxButtonState; Flags: Word );


TCustomDateEdit.SetPopupValue

TCustomDateEdit

procedure SetPopupValue ( const Value: Variant );


(Untitled)

TDataSourceLink Properties

TDataSourceLink By object Legend

Active

ActiveRecord

BOF

BufferCount

DataSet

DataSource

DataSourceFixed

Editing

Eof

ReadOnly

RecordCount


TFontComboBox.FontName

TFontComboBox

Contains the name of the selected font.

property FontName: string;


TRxCustomRichEdit.OnProtectChange

TRxCustomRichEdit

property OnProtectChange: TRichEditProtectChange read FOnProtectChange write FOnProtectChange;


(Untitled)

TRxSlider Properties

TRxSlider By object Legend

Action

Align

Anchors

BevelStyle

BiDiMode

BoundsRect

Brush

Canvas

ClientHeight

ClientOrigin

ClientRect

ClientWidth

Color

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

Constraints

ControlCount

Controls

ControlState

ControlStyle

Cursor

DesignInfo

DockClientCount

DockClients

DockOrientation

DoubleBuffered

DragCursor

DragKind

DragMode

EdgeSize

Enabled

Floating

FloatingDockSiteClass

Handle

Height

HelpContext

Hint

HostDockSite

ImageHRuler

ImageHThumb

ImageVRuler

ImageVThumb

Increment

Left

LRDockWidth

MaxValue

MinValue

Name

NumThumbStates

Options

Orientation

Owner

Parent

ParentColor

ParentShowHint

ParentWindow

PopupMenu

ShowHint

Showing

TabOrder

TabStop

Tag

TBDockHeight

Top

UndockHeight

UndockWidth

Value

VCLComObject

Visible

VisibleDockClientCount

Width

WindowProc


VCLUtils.PixelsToDialogUnitsX

VCLUtils

Convert pixels to dialog units in horizontal direction.

property function PixelsToDialogUnitsX(PixUnits: Word): Word;

Description

The dialog box base units used by Windows to create dialog boxes.

PixelsToDialogUnitsX example:

__X := PixelsToDialogUnitsX(X);


VCLUtils.PixelsToDialogUnitsY

VCLUtils

Convert pixels to dialog units in vertical direction.

property function PixelsToDialogUnitsY(PixUnits: Word): Word;

Description

The dialog box base units used by Windows to create dialog boxes.

PixelsToDialogUnitsY example:

__Y := PixelsToDialogUnitsY(Y);


TRxMainMenu.GetItemParams

TRxMainMenu

procedure GetItemParams ( Item: TMenuItem; State: TMenuOwnerDrawState; AFont: TFont; var Color: TColor; var Graphic: TGraphic; var NumGlyphs: Integer );


TRxCustomListBox.TabStop

TRxCustomListBox

property TabStop default True;


TRxDBFilter.ExprFilter

TRxDBFilter

Specifies the Borland Database Engine (BDE) filter handle for the filter, which use the Filter property.

property ExprFilter: hDBIFilter;


THintStyle

Hint style

Unit

RxHints

Description

ValueMeaning

hsRectangle

hsRoundRect

hsEllipse


TResourceEntry.Create

TResourceEntry

constructor Create ( AEntry: TIResourceEntry );


(Untitled)

TRxTrayIcon Properties

TRxTrayIcon By object Legend

Active

Animated

ComObject

ComponentCount

ComponentIndex

Components

ComponentState

ComponentStyle

DesignInfo

Enabled

Handle

Hint

Icon

Icons

Interval

Name

Owner

PopupMenu

ShowDesign

Tag

VCLComObject